/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_symbol4261z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4263z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4265z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_symbol4267z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4269z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_makezd2statezd2zz__evaluate_compz00(void);
static obj_t BGl_z62zc3z04anonymousza31935ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol4271z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4273z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4356z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4275z00zz__evaluate_compz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol4277z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_defglobal1446zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4279z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32940ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33491ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32819ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_unwindzd2prote1466z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4281z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_setglobal1444zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4364z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4283z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4285z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4287z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4289z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31961ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32925ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32682ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32674ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32666ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32739ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_symbol4291z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4293z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4375z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4295z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4377z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4297z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4379z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4299z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32829ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_symbol4381z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00(void);
extern obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32838ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32685ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00(void);
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32953ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00(void);
static obj_t BGl_z62zc3z04anonymousza32694ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33569ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32678ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32033ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62compzd2ev_prog21456zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32849ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32874ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33587ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31878ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32688ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62run4200z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4202z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4204z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4206z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4208z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_appendzd221009zd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4210z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62run4212z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4214z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4216z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62run4218z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33008ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32795ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32787ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00(void);
static obj_t BGl_z62run4220z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4222z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4142z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4224z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_z62run4144z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run4226z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4146z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33211ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4148z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32974ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31897ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4150z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4152z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_or1452zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4154z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4156z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33042ze3ze5zz__evaluate_compz00(obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33034ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4158z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_var1438zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4160z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4162z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4164z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32330ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4166z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4168z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_reset_profilez00zz__evaluate_compz00(void);
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32798ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32879ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4170z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4172z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62run4174z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4176z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4178z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_let1458zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_goto1474zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4180z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4182z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4184z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4186z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33045ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4188z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4201z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4203z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4205z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4207z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4209z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza33035ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62run4190z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4192z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33321ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4194z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33143ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32333ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4196z62zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
static obj_t BGl_z62run4198z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4211z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4213z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4215z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4217z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4219z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32995ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33152ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32261ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32164ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62main4221z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4141z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4223z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4143z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1442zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4225z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4145z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62main4147z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4149z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33250ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33404ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33218ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33137ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32068ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4151z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4153z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4155z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62main4157z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4159z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_synchroniza7e1470z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32700ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32328ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4161z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4163z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4165z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1472zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4167z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4169z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33430ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33414ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug(void);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32191ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33236ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33228ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32086ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62main4171z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4173z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62main4175z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4177z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4179z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_z62compzd2ev_app1476zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33504ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33172ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_get_profilez00zz__evaluate_compz00(void);
static obj_t BGl_z62zc3z04anonymousza33083ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00(void);
static obj_t BGl_z62main4181z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4183z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
static obj_t BGl_z62main4185z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4187z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4189z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(void);
static obj_t BGl_z62zc3z04anonymousza33440ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00(void);
static obj_t BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32088ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4191z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4193z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4195z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4197z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62main4199z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32712ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33336ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32194ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62comp1433z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33515ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33345ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33159ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
static obj_t BGl_z62compzd2ev_setlocal1440zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_and1454zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_bindzd2exit1464z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32730ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32706ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_zc3z04exitza33047ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33630ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32804ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32294ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32189ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_abs1478zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32724ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33607ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_withzd2handler1468z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_compz00(void);
static obj_t BGl_symbol4301z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4303z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4305z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4307z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4309z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_letrec1462zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32644ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32466ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32377ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol4311z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4231z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4313z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_trap1436zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4233z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4315z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4235z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4317z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4319z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33293ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31835ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1450zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32718ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33269ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4321z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4241z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4323z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4325z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_symbol4249z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32670ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32662ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32743ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33464ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33383ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21460z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33367ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33278ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33197ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33189ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4251z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4253z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4256z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4259z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_litt1448zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32930ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33651ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33481ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33392ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32736ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32647ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t *__cnst;


extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za74385z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_4386z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
DEFINE_STRING( BGl_string4300z00zz__evaluate_compz00, BgL_bgl_string4300za700za7za7_4387za7, "+fl", 3 );
DEFINE_STRING( BGl_string4302z00zz__evaluate_compz00, BgL_bgl_string4302za700za7za7_4388za7, "flonum", 6 );
DEFINE_STRING( BGl_string4304z00zz__evaluate_compz00, BgL_bgl_string4304za700za7za7_4389za7, "-fl", 3 );
DEFINE_STRING( BGl_string4306z00zz__evaluate_compz00, BgL_bgl_string4306za700za7za7_4390za7, "*fl", 3 );
DEFINE_STRING( BGl_string4308z00zz__evaluate_compz00, BgL_bgl_string4308za700za7za7_4391za7, "/fl", 3 );
DEFINE_STRING( BGl_string4310z00zz__evaluate_compz00, BgL_bgl_string4310za700za7za7_4392za7, "<fl", 3 );
DEFINE_STRING( BGl_string4312z00zz__evaluate_compz00, BgL_bgl_string4312za700za7za7_4393za7, ">fl", 3 );
DEFINE_STRING( BGl_string4232z00zz__evaluate_compz00, BgL_bgl_string4232za700za7za7_4394za7, "all", 3 );
DEFINE_STRING( BGl_string4314z00zz__evaluate_compz00, BgL_bgl_string4314za700za7za7_4395za7, "<=fl", 4 );
DEFINE_STRING( BGl_string4234z00zz__evaluate_compz00, BgL_bgl_string4234za700za7za7_4396za7, "label-tag", 9 );
DEFINE_STRING( BGl_string4316z00zz__evaluate_compz00, BgL_bgl_string4316za700za7za7_4397za7, ">=fl", 4 );
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string4236z00zz__evaluate_compz00, BgL_bgl_string4236za700za7za7_4398za7, "bounce", 6 );
DEFINE_STRING( BGl_string4318z00zz__evaluate_compz00, BgL_bgl_string4318za700za7za7_4399za7, "=fl", 3 );
DEFINE_STRING( BGl_string4237z00zz__evaluate_compz00, BgL_bgl_string4237za700za7za7_4400za7, "non non non", 11 );
DEFINE_STRING( BGl_string4238z00zz__evaluate_compz00, BgL_bgl_string4238za700za7za7_4401za7, " in ", 4 );
DEFINE_STRING( BGl_string4239z00zz__evaluate_compz00, BgL_bgl_string4239za700za7za7_4402za7, "eval", 4 );
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string4320z00zz__evaluate_compz00, BgL_bgl_string4320za700za7za7_4403za7, "car", 3 );
DEFINE_STRING( BGl_string4240z00zz__evaluate_compz00, BgL_bgl_string4240za700za7za7_4404za7, "internal error: not found", 25 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4322z00zz__evaluate_compz00, BgL_bgl_string4322za700za7za7_4405za7, "pair", 4 );
DEFINE_STRING( BGl_string4242z00zz__evaluate_compz00, BgL_bgl_string4242za700za7za7_4406za7, "at", 2 );
DEFINE_STRING( BGl_string4324z00zz__evaluate_compz00, BgL_bgl_string4324za700za7za7_4407za7, "cdr", 3 );
DEFINE_STRING( BGl_string4243z00zz__evaluate_compz00, BgL_bgl_string4243za700za7za7_4408za7, "", 0 );
DEFINE_STRING( BGl_string4244z00zz__evaluate_compz00, BgL_bgl_string4244za700za7za7_4409za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Eval/evaluate_comp.scm", 66 );
DEFINE_STRING( BGl_string4326z00zz__evaluate_compz00, BgL_bgl_string4326za700za7za7_4410za7, "cadr", 4 );
DEFINE_STRING( BGl_string4245z00zz__evaluate_compz00, BgL_bgl_string4245za700za7za7_4411za7, "&compile", 8 );
DEFINE_STRING( BGl_string4246z00zz__evaluate_compz00, BgL_bgl_string4246za700za7za7_4412za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string4328z00zz__evaluate_compz00, BgL_bgl_string4328za700za7za7_4413za7, "comp1433", 8 );
DEFINE_STRING( BGl_string4247z00zz__evaluate_compz00, BgL_bgl_string4247za700za7za7_4414za7, "expecting ~a, got ~a", 20 );
DEFINE_STRING( BGl_string4329z00zz__evaluate_compz00, BgL_bgl_string4329za700za7za7_4415za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string4248z00zz__evaluate_compz00, BgL_bgl_string4248za700za7za7_4416za7, "wrong number of argument", 24 );
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4330z00zz__evaluate_compz00, BgL_bgl_string4330za700za7za7_4417za7, "&comp", 5 );
DEFINE_STRING( BGl_string4250z00zz__evaluate_compz00, BgL_bgl_string4250za700za7za7_4418za7, "mcell", 5 );
DEFINE_STRING( BGl_string4332z00zz__evaluate_compz00, BgL_bgl_string4332za700za7za7_4419za7, "comp", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4327z00zz__evaluate_compz00, BgL_bgl_za762comp1433za762za7za74420z00, BGl_z62comp1433z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4252z00zz__evaluate_compz00, BgL_bgl_string4252za700za7za7_4421za7, "internal", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza74422za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string4254z00zz__evaluate_compz00, BgL_bgl_string4254za700za7za7_4423za7, "impossible", 10 );
DEFINE_STRING( BGl_string4255z00zz__evaluate_compz00, BgL_bgl_string4255za700za7za7_4424za7, "procedure", 9 );
DEFINE_STRING( BGl_string4257z00zz__evaluate_compz00, BgL_bgl_string4257za700za7za7_4425za7, "user", 4 );
DEFINE_STRING( BGl_string4258z00zz__evaluate_compz00, BgL_bgl_string4258za700za7za7_4426za7, "invalid byte code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4331z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra4427z00, BGl_z62compzd2ev_trap1436zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4333z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var4428z00, BGl_z62compzd2ev_var1438zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4334z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set4429z00, BGl_z62compzd2ev_setlocal1440zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4335z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo4430z00, BGl_z62compzd2ev_global1442zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4260z00zz__evaluate_compz00, BgL_bgl_string4260za700za7za7_4431za7, "+", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4336z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set4432z00, BGl_z62compzd2ev_setglobal1444zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4337z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def4433z00, BGl_z62compzd2ev_defglobal1446zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4262z00zz__evaluate_compz00, BgL_bgl_string4262za700za7za7_4434za7, "number", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4338z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit4435z00, BGl_z62compzd2ev_litt1448zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4339z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if14436z00, BGl_z62compzd2ev_if1450zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4264z00zz__evaluate_compz00, BgL_bgl_string4264za700za7za7_4437za7, "-", 1 );
DEFINE_STRING( BGl_string4266z00zz__evaluate_compz00, BgL_bgl_string4266za700za7za7_4438za7, "*", 1 );
DEFINE_STRING( BGl_string4268z00zz__evaluate_compz00, BgL_bgl_string4268za700za7za7_4439za7, "/", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4340z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or14440z00, BGl_z62compzd2ev_or1452zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4341z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and4441z00, BGl_z62compzd2ev_and1454zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4342z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro4442z00, BGl_z62compzd2ev_prog21456zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4343z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4443z00, BGl_z62compzd2ev_let1458zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4344z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4444z00, BGl_z62compzd2ev_letza21460z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4345z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4445z00, BGl_z62compzd2ev_letrec1462zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4270z00zz__evaluate_compz00, BgL_bgl_string4270za700za7za7_4446za7, "<", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4346z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin4447z00, BGl_z62compzd2ev_bindzd2exit1464z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4347z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw4448z00, BGl_z62compzd2ev_unwindzd2prote1466z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4272z00zz__evaluate_compz00, BgL_bgl_string4272za700za7za7_4449za7, ">", 1 );
DEFINE_STRING( BGl_string4354z00zz__evaluate_compz00, BgL_bgl_string4354za700za7za7_4450za7, "internal error", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4348z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit4451z00, BGl_z62compzd2ev_withzd2handler1468z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4355z00zz__evaluate_compz00, BgL_bgl_string4355za700za7za7_4452za7, "must be dead code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4349z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn4453z00, BGl_z62compzd2ev_synchroniza7e1470z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4274z00zz__evaluate_compz00, BgL_bgl_string4274za700za7za7_4454za7, "<=", 2 );
DEFINE_STRING( BGl_string4357z00zz__evaluate_compz00, BgL_bgl_string4357za700za7za7_4455za7, "notyet", 6 );
DEFINE_STRING( BGl_string4276z00zz__evaluate_compz00, BgL_bgl_string4276za700za7za7_4456za7, ">=", 2 );
DEFINE_STRING( BGl_string4358z00zz__evaluate_compz00, BgL_bgl_string4358za700za7za7_4457za7, "synchronize", 11 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_STRING( BGl_string4359z00zz__evaluate_compz00, BgL_bgl_string4359za700za7za7_4458za7, "mutex", 5 );
DEFINE_STRING( BGl_string4278z00zz__evaluate_compz00, BgL_bgl_string4278za700za7za7_4459za7, "=", 1 );
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4350z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab4460z00, BGl_z62compzd2ev_labels1472zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4351z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got4461z00, BGl_z62compzd2ev_goto1474zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4352z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app4462z00, BGl_z62compzd2ev_app1476zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4353z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs4463z00, BGl_z62compzd2ev_abs1478zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4360z00zz__evaluate_compz00, BgL_bgl_string4360za700za7za7_4464za7, "set!", 4 );
DEFINE_STRING( BGl_string4361z00zz__evaluate_compz00, BgL_bgl_string4361za700za7za7_4465za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string4280z00zz__evaluate_compz00, BgL_bgl_string4280za700za7za7_4466za7, "+fx", 3 );
DEFINE_STRING( BGl_string4362z00zz__evaluate_compz00, BgL_bgl_string4362za700za7za7_4467za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string4363z00zz__evaluate_compz00, BgL_bgl_string4363za700za7za7_4468za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string4282z00zz__evaluate_compz00, BgL_bgl_string4282za700za7za7_4469za7, "fixnum", 6 );
DEFINE_STRING( BGl_string4365z00zz__evaluate_compz00, BgL_bgl_string4365za700za7za7_4470za7, "@", 1 );
DEFINE_STRING( BGl_string4284z00zz__evaluate_compz00, BgL_bgl_string4284za700za7za7_4471za7, "-fx", 3 );
DEFINE_STRING( BGl_string4366z00zz__evaluate_compz00, BgL_bgl_string4366za700za7za7_4472za7, "Uninitialized variable", 22 );
DEFINE_STRING( BGl_string4286z00zz__evaluate_compz00, BgL_bgl_string4286za700za7za7_4473za7, "*fx", 3 );
DEFINE_STRING( BGl_string4288z00zz__evaluate_compz00, BgL_bgl_string4288za700za7za7_4474za7, "/fx", 3 );
DEFINE_STRING( BGl_string4290z00zz__evaluate_compz00, BgL_bgl_string4290za700za7za7_4475za7, "<fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4367z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4476za7, BGl_z62zc3z04anonymousza32795ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4292z00zz__evaluate_compz00, BgL_bgl_string4292za700za7za7_4477za7, ">fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4368z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4478za7, BGl_z62zc3z04anonymousza32798ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4369z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4479za7, BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4294z00zz__evaluate_compz00, BgL_bgl_string4294za700za7za7_4480za7, "<=fx", 4 );
DEFINE_STRING( BGl_string4376z00zz__evaluate_compz00, BgL_bgl_string4376za700za7za7_4481za7, "get_sp", 6 );
DEFINE_STRING( BGl_string4296z00zz__evaluate_compz00, BgL_bgl_string4296za700za7za7_4482za7, ">=fx", 4 );
DEFINE_STRING( BGl_string4378z00zz__evaluate_compz00, BgL_bgl_string4378za700za7za7_4483za7, "reset_profile", 13 );
DEFINE_STRING( BGl_string4298z00zz__evaluate_compz00, BgL_bgl_string4298za700za7za7_4484za7, "=fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4370z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4485za7, BGl_z62zc3z04anonymousza32804ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4371z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4486za7, BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4372z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4487za7, BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4373z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4488za7, BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4380z00zz__evaluate_compz00, BgL_bgl_string4380za700za7za7_4489za7, "get_profile", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4374z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4490za7, BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4382z00zz__evaluate_compz00, BgL_bgl_string4382za700za7za7_4491za7, "reset_stack", 11 );
DEFINE_STRING( BGl_string4383z00zz__evaluate_compz00, BgL_bgl_string4383za700za7za7_4492za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string4384z00zz__evaluate_compz00, BgL_bgl_string4384za700za7za7_4493za7, "__evaluate_comp", 15 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev4494z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol4261z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4263z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4265z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4267z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4269z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4271z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4273z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4356z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4275z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4277z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4279z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4281z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4364z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4283z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4285z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4287z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4289z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4291z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4293z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4375z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4295z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4377z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4297z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4379z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4299z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4381z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4301z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4303z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4305z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4307z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4309z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4311z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4231z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4313z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4233z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4315z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4235z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4317z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4319z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4321z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4241z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4323z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4325z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4249z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4251z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4253z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4256z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4259z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21009\" \"BGl_appendzd221009zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17544) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18918) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19526) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 20027) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20362) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20432) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20677) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20840) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 21077) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21237) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23383) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23648) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1835>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31835ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1857>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1878>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31878ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1897>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31897ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1916>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1935>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31935ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1956>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31956ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1958>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31958ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1961>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31961ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1973>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1986>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31986ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1998>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2011>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2013>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2016>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2033>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32033ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2051>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2068>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32068ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2086>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32086ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2088>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32088ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2091>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2115>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32115ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2140>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32140ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2164>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32164ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2189>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32189ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2191>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32191ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2194>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32194ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2227>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2261>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32261ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2294>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32294ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2328>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32328ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2330>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32330ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2333>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32333ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2377>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32377ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2422>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2466>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32466ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28599) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29243) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-arity-binop~0\" \"Eval/evaluate_comp.scm\" 29486) \"BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30935) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31767) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31784) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2644>\" \"Eval/evaluate_comp.scm\" 32048) \"BGl_z62zc3z04anonymousza32644ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32975) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2647>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32647ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2651>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2655>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2659>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2662>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32662ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2666>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32666ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2670>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32670ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2674>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32674ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2678>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32678ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2682>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32682ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2685>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32685ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2688>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32688ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2691>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2694>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32694ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2697>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2700>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32700ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2703>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2706>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32706ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2709>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2712>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32712ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2715>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2718>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32718ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2721>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2724>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32724ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2727>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2730>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32730ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2733>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2736>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32736ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2737>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2739>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32739ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2741>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2743>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32743ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33552) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33608) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34622) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34708) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 39035) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 39291) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39561) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1433\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1433z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1478\" \"Eval/evaluate_comp.scm\" 38561) \"BGl_z62compzd2ev_abs1478zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3532>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3543>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4141\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4141z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4142\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4142z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3557>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4143\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4143z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4144\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4144z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3569>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33569ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4145\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4145z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4146\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4146z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3481>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33481ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4147\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4147z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4148\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4148z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3491>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33491ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4149\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4149z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4150\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4150z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3504>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33504ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4151\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4151z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4152\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4152z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3515>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33515ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4153\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4153z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4154\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4154z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3430>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33430ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4155\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4155z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4156\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4156z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3440>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33440ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4157\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4157z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4158\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4158z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3453>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4159\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4159z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4160\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4160z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3464>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33464ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4161\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4161z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4162\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4162z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3383>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33383ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4163\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4163z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4164\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4164z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3392>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33392ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4165\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4165z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4166\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4166z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3404>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33404ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4167\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4167z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4168\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4168z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3414>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33414ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4169\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4169z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4170\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4170z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3336>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33336ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4171\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4171z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4172\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4172z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3345>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33345ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4173\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4173z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4174\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4174z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3357>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4175\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4175z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4176\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4176z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3367>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33367ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4177\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4177z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4178\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4178z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3293>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33293ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4179\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4179z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4180\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4180z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3301>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4181\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4181z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4182\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4182z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3312>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4183\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4183z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4184\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4184z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3321>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33321ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4185\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4185z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4186\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4186z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3250>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33250ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4187\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4187z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4188\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4188z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3258>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4189\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4189z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4190\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4190z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3269>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33269ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4191\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4191z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4192\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4192z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3278>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33278ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4193\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4193z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4194\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4194z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3211>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33211ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4195\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4195z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4196\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4196z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3218>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33218ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4197\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4197z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4198\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4198z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3228>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33228ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4199\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4199z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4200\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4200z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3236>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33236ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4201\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4201z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4202\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4202z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3172>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33172ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4203\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4203z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4204\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4204z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3179>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4205\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4205z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4206\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4206z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3189>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33189ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4207\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4207z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4208\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4208z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3197>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33197ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4209\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4209z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4210\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4210z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3137>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33137ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4211\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4211z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4212\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4212z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3143>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33143ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4213\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4213z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4214\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4214z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3152>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33152ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4215\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4215z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4216\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4216z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3159>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33159ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4217\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4217z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4218\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4218z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3587>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33587ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4219\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4219z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4220\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4220z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3607>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33607ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4221\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4221z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4222\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4222z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3630>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33630ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4223\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4223z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4224\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4224z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3651>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33651ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4225\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4225z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4226\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4226z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1476\" \"Eval/evaluate_comp.scm\" 34176) \"BGl_z62compzd2ev_app1476zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1474\" \"Eval/evaluate_comp.scm\" 17884) \"BGl_z62compzd2ev_goto1474zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3077>\" \"Eval/evaluate_comp.scm\" 18509) \"BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3083>\" \"Eval/evaluate_comp.scm\" 18790) \"BGl_z62zc3z04anonymousza33083ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1472\" \"Eval/evaluate_comp.scm\" 16809) \"BGl_z62compzd2ev_labels1472zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3072>\" \"Eval/evaluate_comp.scm\" 17482) \"BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1470\" \"Eval/evaluate_comp.scm\" 16182) \"BGl_z62compzd2ev_synchroniza7e1470z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3051>\" \"Eval/evaluate_comp.scm\" 16392) \"BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1468\" \"Eval/evaluate_comp.scm\" 15840) \"BGl_z62compzd2ev_withzd2handler1468z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3045>\" \"Eval/evaluate_comp.scm\" 16005) \"BGl_z62zc3z04anonymousza33045ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3047>~0\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_zc3z04exitza33047ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1466\" \"Eval/evaluate_comp.scm\" 15532) \"BGl_z62compzd2ev_unwindzd2prote1466z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3041>\" \"Eval/evaluate_comp.scm\" 15683) \"BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3042>\" \"Eval/evaluate_comp.scm\" 15752) \"BGl_z62zc3z04anonymousza33042ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1464\" \"Eval/evaluate_comp.scm\" 15077) \"BGl_z62compzd2ev_bindzd2exit1464z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3034>\" \"Eval/evaluate_comp.scm\" 15316) \"BGl_z62zc3z04anonymousza33034ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3035>~0\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_zc3z04exitza33035ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1462\" \"Eval/evaluate_comp.scm\" 14024) \"BGl_z62compzd2ev_letrec1462zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2995>\" \"Eval/evaluate_comp.scm\" 14306) \"BGl_z62zc3z04anonymousza32995ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3008>\" \"Eval/evaluate_comp.scm\" 14662) \"BGl_z62zc3z04anonymousza33008ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1460\" \"Eval/evaluate_comp.scm\" 13529) \"BGl_z62compzd2ev_letza21460z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2974>\" \"Eval/evaluate_comp.scm\" 13764) \"BGl_z62zc3z04anonymousza32974ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1458\" \"Eval/evaluate_comp.scm\" 12849) \"BGl_z62compzd2ev_let1458zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2953>\" \"Eval/evaluate_comp.scm\" 13176) \"BGl_z62zc3z04anonymousza32953ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21456\" \"Eval/evaluate_comp.scm\" 12655) \"BGl_z62compzd2ev_prog21456zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2950>\" \"Eval/evaluate_comp.scm\" 12785) \"BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1454\" \"Eval/evaluate_comp.scm\" 12369) \"BGl_z62compzd2ev_and1454zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2940>\" \"Eval/evaluate_comp.scm\" 12500) \"BGl_z62zc3z04anonymousza32940ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1452\" \"Eval/evaluate_comp.scm\" 12111) \"BGl_z62compzd2ev_or1452zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2930>\" \"Eval/evaluate_comp.scm\" 12240) \"BGl_z62zc3z04anonymousza32930ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1450\" \"Eval/evaluate_comp.scm\" 11907) \"BGl_z62compzd2ev_if1450zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2925>\" \"Eval/evaluate_comp.scm\" 12044) \"BGl_z62zc3z04anonymousza32925ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1448\" \"Eval/evaluate_comp.scm\" 11788) \"BGl_z62compzd2ev_litt1448zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2924>\" \"Eval/evaluate_comp.scm\" 11867) \"BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1446\" \"Eval/evaluate_comp.scm\" 10831) \"BGl_z62compzd2ev_defglobal1446zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2899>\" \"Eval/evaluate_comp.scm\" 10957) \"BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1444\" \"Eval/evaluate_comp.scm\" 9970) \"BGl_z62compzd2ev_setglobal1444zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2874>\" \"Eval/evaluate_comp.scm\" 10180) \"BGl_z62zc3z04anonymousza32874ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2879>\" \"Eval/evaluate_comp.scm\" 10353) \"BGl_z62zc3z04anonymousza32879ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2890>\" \"Eval/evaluate_comp.scm\" 10613) \"BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1442\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1442zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2836>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2838>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3z04anonymousza32838ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2849>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3z04anonymousza32849ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1440\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1440zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2825>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2829>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3z04anonymousza32829ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1438\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1438zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2813>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2816>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2807>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2810>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2801>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2804>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32804ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2795>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32795ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2798>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32798ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2819>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32819ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2822>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1436\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1436zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2787>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3z04anonymousza32787ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_15988, char * BgL_fromz00_15989)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol4231z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4232z00zz__evaluate_compz00); 
BGl_symbol4233z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4234z00zz__evaluate_compz00); 
BGl_symbol4235z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4236z00zz__evaluate_compz00); 
BGl_symbol4241z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4242z00zz__evaluate_compz00); 
BGl_symbol4249z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4250z00zz__evaluate_compz00); 
BGl_symbol4251z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4252z00zz__evaluate_compz00); 
BGl_symbol4253z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4254z00zz__evaluate_compz00); 
BGl_symbol4256z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4257z00zz__evaluate_compz00); 
BGl_symbol4259z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4260z00zz__evaluate_compz00); 
BGl_symbol4261z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4262z00zz__evaluate_compz00); 
BGl_symbol4263z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4264z00zz__evaluate_compz00); 
BGl_symbol4265z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4266z00zz__evaluate_compz00); 
BGl_symbol4267z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4268z00zz__evaluate_compz00); 
BGl_symbol4269z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4270z00zz__evaluate_compz00); 
BGl_symbol4271z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4272z00zz__evaluate_compz00); 
BGl_symbol4273z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4274z00zz__evaluate_compz00); 
BGl_symbol4275z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4276z00zz__evaluate_compz00); 
BGl_symbol4277z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4278z00zz__evaluate_compz00); 
BGl_symbol4279z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4280z00zz__evaluate_compz00); 
BGl_symbol4281z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4282z00zz__evaluate_compz00); 
BGl_symbol4283z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4284z00zz__evaluate_compz00); 
BGl_symbol4285z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4286z00zz__evaluate_compz00); 
BGl_symbol4287z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4288z00zz__evaluate_compz00); 
BGl_symbol4289z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4290z00zz__evaluate_compz00); 
BGl_symbol4291z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4292z00zz__evaluate_compz00); 
BGl_symbol4293z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4294z00zz__evaluate_compz00); 
BGl_symbol4295z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4296z00zz__evaluate_compz00); 
BGl_symbol4297z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4298z00zz__evaluate_compz00); 
BGl_symbol4299z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4300z00zz__evaluate_compz00); 
BGl_symbol4301z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4302z00zz__evaluate_compz00); 
BGl_symbol4303z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4304z00zz__evaluate_compz00); 
BGl_symbol4305z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4306z00zz__evaluate_compz00); 
BGl_symbol4307z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4308z00zz__evaluate_compz00); 
BGl_symbol4309z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4310z00zz__evaluate_compz00); 
BGl_symbol4311z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4312z00zz__evaluate_compz00); 
BGl_symbol4313z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4314z00zz__evaluate_compz00); 
BGl_symbol4315z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4316z00zz__evaluate_compz00); 
BGl_symbol4317z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4318z00zz__evaluate_compz00); 
BGl_symbol4319z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4320z00zz__evaluate_compz00); 
BGl_symbol4321z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4322z00zz__evaluate_compz00); 
BGl_symbol4323z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4324z00zz__evaluate_compz00); 
BGl_symbol4325z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4326z00zz__evaluate_compz00); 
BGl_symbol4356z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4357z00zz__evaluate_compz00); 
BGl_symbol4364z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4365z00zz__evaluate_compz00); 
BGl_symbol4375z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4376z00zz__evaluate_compz00); 
BGl_symbol4377z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4378z00zz__evaluate_compz00); 
BGl_symbol4379z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4380z00zz__evaluate_compz00); 
return ( 
BGl_symbol4381z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4382z00zz__evaluate_compz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
 BGL_LONGLONG_T BgL_arg1545z00_1404;
BgL_arg1545z00_1404 = 
LONG_TO_LLONG(((long)0)); 
{ /* Eval/evaluate_comp.scm 114 */
 obj_t BgL_list1546z00_1405;
{ /* Eval/evaluate_comp.scm 114 */
 obj_t BgL_arg1547z00_1406;
BgL_arg1547z00_1406 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1545z00_1404), BNIL); 
BgL_list1546z00_1405 = 
MAKE_YOUNG_PAIR(BGl_symbol4231z00zz__evaluate_compz00, BgL_arg1547z00_1406); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1546z00_1405; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol4233z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol4235z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 

}



/* append-21009 */
obj_t BGl_appendzd221009zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_1407;
BgL_headz00_1407 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_1408; obj_t BgL_tailz00_1409;
BgL_prevz00_1408 = BgL_headz00_1407; 
BgL_tailz00_1409 = BgL_l1z00_1; 
BgL_loopz00_1410:
if(
PAIRP(BgL_tailz00_1409))
{ 
 obj_t BgL_newzd2prevzd2_1412;
BgL_newzd2prevzd2_1412 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1409), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1408, BgL_newzd2prevzd2_1412); 
{ 
 obj_t BgL_tailz00_16065; obj_t BgL_prevz00_16064;
BgL_prevz00_16064 = BgL_newzd2prevzd2_1412; 
BgL_tailz00_16065 = 
CDR(BgL_tailz00_1409); 
BgL_tailz00_1409 = BgL_tailz00_16065; 
BgL_prevz00_1408 = BgL_prevz00_16064; 
goto BgL_loopz00_1410;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1407);} } } 

}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
 BGL_LONGLONG_T BgL_arg1571z00_1437;
BgL_arg1571z00_1437 = 
LONG_TO_LLONG(((long)0)); 
{ /* Eval/evaluate_comp.scm 133 */
 obj_t BgL_list1572z00_1438;
{ /* Eval/evaluate_comp.scm 133 */
 obj_t BgL_arg1573z00_1439;
BgL_arg1573z00_1439 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1571z00_1437), BNIL); 
BgL_list1572z00_1438 = 
MAKE_YOUNG_PAIR(BGl_symbol4231z00zz__evaluate_compz00, BgL_arg1573z00_1439); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1572z00_1438, BUNSPEC) ;} } } 

}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1449)
{
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1449))
{ /* Ieee/fixnum.scm 991 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1449), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1449))
{ /* Eval/evaluate_comp.scm 139 */
 obj_t BgL_arg3819z00_6500;
BgL_arg3819z00_6500 = 
SYMBOL_TO_STRING(BgL_vz00_1449); 
return 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3819z00_6500);}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1449))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1449;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string4237z00zz__evaluate_compz00;} } } } 

}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_10960, obj_t BgL_t1z00_10961, obj_t BgL_t2z00_10962)
{
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
 bool_t BgL_tmpz00_16082;
{ /* Eval/evaluate_comp.scm 142 */
 obj_t BgL_v1z00_12941; obj_t BgL_v2z00_12942;
BgL_v1z00_12941 = 
CAR(
((obj_t)BgL_t1z00_10961)); 
BgL_v2z00_12942 = 
CAR(
((obj_t)BgL_t2z00_10962)); 
{ /* Eval/evaluate_comp.scm 143 */
 bool_t BgL_test4500z00_16087;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_12941))
{ /* Eval/evaluate_comp.scm 143 */
BgL_test4500z00_16087 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_12942)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_test4500z00_16087 = ((bool_t)0)
; } 
if(BgL_test4500z00_16087)
{ /* Eval/evaluate_comp.scm 144 */
 bool_t BgL_test4502z00_16091;
if(
INTEGERP(BgL_v1z00_12941))
{ /* Eval/evaluate_comp.scm 144 */
BgL_test4502z00_16091 = 
INTEGERP(BgL_v2z00_12942)
; }  else 
{ /* Eval/evaluate_comp.scm 144 */
BgL_test4502z00_16091 = ((bool_t)0)
; } 
if(BgL_test4502z00_16091)
{ /* Eval/evaluate_comp.scm 144 */
BgL_tmpz00_16082 = 
(
(long)CINT(BgL_v1z00_12941)<
(long)CINT(BgL_v2z00_12942))
; }  else 
{ /* Eval/evaluate_comp.scm 144 */
BgL_tmpz00_16082 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_12941, BgL_v2z00_12942)
; } }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_16082 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_12941), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_12942))
; } } } 
return 
BBOOL(BgL_tmpz00_16082);} } 

}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 

}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1458)
{
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_arg1586z00_1460; obj_t BgL_arg1587z00_1461;
BgL_arg1586z00_1460 = 
CDR(
((obj_t)BgL_tz00_1458)); 
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_arg1588z00_1462;
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_pairz00_6511;
BgL_pairz00_6511 = 
CDR(
((obj_t)BgL_tz00_1458)); 
BgL_arg1588z00_1462 = 
CDR(BgL_pairz00_6511); } 
BgL_arg1587z00_1461 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1588z00_1462); } 
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_tmpz00_16110;
BgL_tmpz00_16110 = 
((obj_t)BgL_arg1586z00_1460); 
SET_CDR(BgL_tmpz00_16110, BgL_arg1587z00_1461); } } 
{ /* Eval/evaluate_comp.scm 150 */
 obj_t BgL_g1299z00_1463;
{ /* Eval/evaluate_comp.scm 150 */
 obj_t BgL_pairz00_6516;
BgL_pairz00_6516 = 
CDR(
((obj_t)BgL_tz00_1458)); 
BgL_g1299z00_1463 = 
CDR(BgL_pairz00_6516); } 
{ 
 obj_t BgL_l1297z00_1465;
BgL_l1297z00_1465 = BgL_g1299z00_1463; 
BgL_zc3z04anonymousza31589ze3z87_1466:
if(
PAIRP(BgL_l1297z00_1465))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1297z00_1465)); 
{ 
 obj_t BgL_l1297z00_16120;
BgL_l1297z00_16120 = 
CDR(BgL_l1297z00_1465); 
BgL_l1297z00_1465 = BgL_l1297z00_16120; 
goto BgL_zc3z04anonymousza31589ze3z87_1466;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 

}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{
{ /* Eval/evaluate_comp.scm 156 */
{ 
 obj_t BgL_lz00_1473; long BgL_nz00_1474;
BgL_lz00_1473 = BgL_lz00_7; 
BgL_nz00_1474 = ((long)0); 
BgL_zc3z04anonymousza31595ze3z87_1475:
if(
NULLP(BgL_lz00_1473))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1473))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1474);}  else 
{ 
 long BgL_nz00_16132; obj_t BgL_lz00_16129;
BgL_lz00_16129 = 
CDR(
((obj_t)BgL_lz00_1473)); 
BgL_nz00_16132 = 
(BgL_nz00_1474+((long)1)); 
BgL_nz00_1474 = BgL_nz00_16132; 
BgL_lz00_1473 = BgL_lz00_16129; 
goto BgL_zc3z04anonymousza31595ze3z87_1475;} } } } 

}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL__ortest_1076z00_1483;
BgL__ortest_1076z00_1483 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1076z00_1483))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1076z00_1483;}  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1604z00_1484;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1605z00_1485;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1605z00_1485 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_head1302z00_1491;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1615z00_1503;
BgL_arg1615z00_1503 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
BgL_head1302z00_1491 = 
MAKE_YOUNG_PAIR(BgL_arg1615z00_1503, BNIL); } 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_g1305z00_1492;
BgL_g1305z00_1492 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
 obj_t BgL_l1300z00_1494; obj_t BgL_tail1303z00_1495;
BgL_l1300z00_1494 = BgL_g1305z00_1492; 
BgL_tail1303z00_1495 = BgL_head1302z00_1491; 
BgL_zc3z04anonymousza31610ze3z87_1496:
if(
NULLP(BgL_l1300z00_1494))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1605z00_1485 = BgL_head1302z00_1491; }  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_newtail1304z00_1498;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1613z00_1500;
BgL_arg1613z00_1500 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1300z00_1494))); 
BgL_newtail1304z00_1498 = 
MAKE_YOUNG_PAIR(BgL_arg1613z00_1500, BNIL); } 
SET_CDR(BgL_tail1303z00_1495, BgL_newtail1304z00_1498); 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1612z00_1499;
BgL_arg1612z00_1499 = 
CDR(
((obj_t)BgL_l1300z00_1494)); 
{ 
 obj_t BgL_tail1303z00_16155; obj_t BgL_l1300z00_16154;
BgL_l1300z00_16154 = BgL_arg1612z00_1499; 
BgL_tail1303z00_16155 = BgL_newtail1304z00_1498; 
BgL_tail1303z00_1495 = BgL_tail1303z00_16155; 
BgL_l1300z00_1494 = BgL_l1300z00_16154; 
goto BgL_zc3z04anonymousza31610ze3z87_1496;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_list1606z00_1486;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1607z00_1487;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1608z00_1488;
BgL_arg1608z00_1488 = 
MAKE_YOUNG_PAIR(BgL_arg1605z00_1485, BNIL); 
BgL_arg1607z00_1487 = 
MAKE_YOUNG_PAIR(BGl_string4238z00zz__evaluate_compz00, BgL_arg1608z00_1488); } 
BgL_list1606z00_1486 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1607z00_1487); } 
BgL_arg1604z00_1484 = BgL_list1606z00_1486; } } 
return 
BGl_errorz00zz__errorz00(BGl_string4239z00zz__evaluate_compz00, BGl_string4240z00zz__evaluate_compz00, BgL_arg1604z00_1484);} } } 

}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{
{ /* Eval/evaluate_comp.scm 188 */
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL_test4510z00_16160;
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_classz00_6528;
BgL_classz00_6528 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_16))
{ /* Eval/evaluate_comp.scm 189 */
 BgL_objectz00_bglt BgL_arg3969z00_6530;
BgL_arg3969z00_6530 = 
(BgL_objectz00_bglt)(BgL_vz00_16); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_idxz00_6536;
BgL_idxz00_6536 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_6530); 
BgL_test4510z00_16160 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_6536+((long)2)))==BgL_classz00_6528); }  else 
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL_res3995z00_6558;
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_oclassz00_6544;
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_arg3976z00_6550;
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_arg3977z00_6551;
BgL_arg3977z00_6551 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_6530); 
BgL_arg3976z00_6550 = 
(BgL_arg3977z00_6551-OBJECT_TYPE); } 
BgL_oclassz00_6544 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_6550); } 
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL__ortest_1292z00_6545;
BgL__ortest_1292z00_6545 = 
(BgL_classz00_6528==BgL_oclassz00_6544); 
if(BgL__ortest_1292z00_6545)
{ /* Eval/evaluate_comp.scm 189 */
BgL_res3995z00_6558 = BgL__ortest_1292z00_6545; }  else 
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_odepthz00_6546;
BgL_odepthz00_6546 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6544); 
if(
(((long)2)<BgL_odepthz00_6546))
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_arg3966z00_6548;
BgL_arg3966z00_6548 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6544, ((long)2)); 
BgL_res3995z00_6558 = 
(BgL_arg3966z00_6548==BgL_classz00_6528); }  else 
{ /* Eval/evaluate_comp.scm 189 */
BgL_res3995z00_6558 = ((bool_t)0); } } } } 
BgL_test4510z00_16160 = BgL_res3995z00_6558; } }  else 
{ /* Eval/evaluate_comp.scm 189 */
BgL_test4510z00_16160 = ((bool_t)0)
; } } 
if(BgL_test4510z00_16160)
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } } 

}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{
{ /* Eval/evaluate_comp.scm 193 */
{ 
 obj_t BgL_fnamez00_1524; obj_t BgL_locz00_1525;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
 obj_t BgL_cdrzd2194zd2_1530;
BgL_cdrzd2194zd2_1530 = 
CDR(
((obj_t)BgL_locz00_20)); 
if(
(
CAR(
((obj_t)BgL_locz00_20))==BGl_symbol4241z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1530))
{ /* Eval/evaluate_comp.scm 194 */
 obj_t BgL_cdrzd2198zd2_1534;
BgL_cdrzd2198zd2_1534 = 
CDR(BgL_cdrzd2194zd2_1530); 
if(
PAIRP(BgL_cdrzd2198zd2_1534))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1534)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1524 = 
CAR(BgL_cdrzd2194zd2_1530); 
BgL_locz00_1525 = 
CAR(BgL_cdrzd2198zd2_1534); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1524, BgL_locz00_1525);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1527:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1527;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1527;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1527;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1527;} } } 

}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
 obj_t BgL_stkz00_1552;
BgL_stkz00_1552 = 
make_vector(((long)8192), BGl_string4243z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1552,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1552;} } 

}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
 obj_t BgL_sz00_1553;
{ /* Eval/evaluate_comp.scm 212 */
 obj_t BgL_tmpz00_16205;
BgL_tmpz00_16205 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1553 = 
BGL_ENV_EVSTATE(BgL_tmpz00_16205); } 
if(
VECTORP(BgL_sz00_1553))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1553;}  else 
{ /* Eval/evaluate_comp.scm 214 */
 obj_t BgL_statez00_1555;
BgL_statez00_1555 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
 obj_t BgL_tmpz00_16211;
BgL_tmpz00_16211 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_16211, BgL_statez00_1555); } 
return BgL_statez00_1555;} } } 

}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_10963)
{
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 

}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 

}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_10964, obj_t BgL_ez00_10965)
{
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
 BgL_ev_exprz00_bglt BgL_auxz00_16216;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10965, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_16216 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10965)
; }  else 
{ 
 obj_t BgL_auxz00_16220;
BgL_auxz00_16220 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4244z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string4245z00zz__evaluate_compz00, BGl_string4246z00zz__evaluate_compz00, BgL_ez00_10965); 
FAILURE(BgL_auxz00_16220,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_16216);} } 

}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{
{ /* Eval/evaluate_comp.scm 332 */
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL_test4522z00_16225;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_classz00_6570;
BgL_classz00_6570 = BGl_ev_globalz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 333 */
 BgL_objectz00_bglt BgL_arg3969z00_6572;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_tmpz00_16226;
BgL_tmpz00_16226 = 
((obj_t)BgL_ez00_43); 
BgL_arg3969z00_6572 = 
(BgL_objectz00_bglt)(BgL_tmpz00_16226); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_idxz00_6578;
BgL_idxz00_6578 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_6572); 
BgL_test4522z00_16225 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_6578+((long)2)))==BgL_classz00_6570); }  else 
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL_res3996z00_6600;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_oclassz00_6586;
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_arg3976z00_6592;
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_arg3977z00_6593;
BgL_arg3977z00_6593 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_6572); 
BgL_arg3976z00_6592 = 
(BgL_arg3977z00_6593-OBJECT_TYPE); } 
BgL_oclassz00_6586 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_6592); } 
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL__ortest_1292z00_6587;
BgL__ortest_1292z00_6587 = 
(BgL_classz00_6570==BgL_oclassz00_6586); 
if(BgL__ortest_1292z00_6587)
{ /* Eval/evaluate_comp.scm 333 */
BgL_res3996z00_6600 = BgL__ortest_1292z00_6587; }  else 
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_odepthz00_6588;
BgL_odepthz00_6588 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6586); 
if(
(((long)2)<BgL_odepthz00_6588))
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_arg3966z00_6590;
BgL_arg3966z00_6590 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6586, ((long)2)); 
BgL_res3996z00_6600 = 
(BgL_arg3966z00_6590==BgL_classz00_6570); }  else 
{ /* Eval/evaluate_comp.scm 333 */
BgL_res3996z00_6600 = ((bool_t)0); } } } } 
BgL_test4522z00_16225 = BgL_res3996z00_6600; } } } 
if(BgL_test4522z00_16225)
{ /* Eval/evaluate_comp.scm 335 */
 obj_t BgL_gz00_1611;
{ /* Eval/evaluate_comp.scm 335 */
 obj_t BgL_arg1705z00_1612; obj_t BgL_arg1706z00_1613;
BgL_arg1705z00_1612 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1706z00_1613 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1611 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1705z00_1612, BgL_arg1706z00_1613); } 
if(
CBOOL(BgL_gz00_1611))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1611),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } } 

}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{
{ /* Eval/evaluate_comp.scm 593 */
{ 
 obj_t BgL_fz00_1623;
BgL_fz00_1623 = BgL_fz00_78; 
BgL_zc3z04anonymousza31714ze3z87_1624:
{ /* Eval/evaluate_comp.scm 597 */
 obj_t BgL_rz00_1625;
BgL_rz00_1625 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_1623))(BgL_fz00_1623, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 599 */
 bool_t BgL_test4527z00_16258;
if(
PROCEDUREP(BgL_rz00_1625))
{ /* Eval/evaluate_comp.scm 599 */
 obj_t BgL_arg1718z00_1630;
BgL_arg1718z00_1630 = 
PROCEDURE_ATTR(BgL_rz00_1625); 
if(
STRUCTP(BgL_arg1718z00_1630))
{ /* Eval/evaluate_comp.scm 569 */
BgL_test4527z00_16258 = 
(
STRUCT_KEY(BgL_arg1718z00_1630)==BGl_symbol4233z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 569 */
BgL_test4527z00_16258 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 599 */
BgL_test4527z00_16258 = ((bool_t)0)
; } 
if(BgL_test4527z00_16258)
{ 
 obj_t BgL_fz00_16266;
BgL_fz00_16266 = BgL_rz00_1625; 
BgL_fz00_1623 = BgL_fz00_16266; 
goto BgL_zc3z04anonymousza31714ze3z87_1624;}  else 
{ /* Eval/evaluate_comp.scm 599 */
return BgL_rz00_1625;} } } } } 

}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{
{ /* Eval/evaluate_comp.scm 623 */
{ 
 obj_t BgL_lz00_1633; obj_t BgL_bsz00_1634; long BgL_spz00_1635;
BgL_lz00_1633 = BgL_argsz00_83; 
BgL_bsz00_1634 = BgL_boxesz00_84; 
BgL_spz00_1635 = BgL_spz00_85; 
BgL_zc3z04anonymousza31719ze3z87_1636:
if(
NULLP(BgL_lz00_1633))
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1634))
{ /* Eval/evaluate_comp.scm 626 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 629 */
 obj_t BgL_arg1722z00_1639;
{ /* Eval/evaluate_comp.scm 629 */
 long BgL_arg1723z00_1640; long BgL_arg1724z00_1641;
BgL_arg1723z00_1640 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1724z00_1641 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 628 */
 obj_t BgL_list1725z00_1642;
{ /* Eval/evaluate_comp.scm 628 */
 obj_t BgL_arg1726z00_1643;
BgL_arg1726z00_1643 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1724z00_1641), BNIL); 
BgL_list1725z00_1642 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1723z00_1640), BgL_arg1726z00_1643); } 
BgL_arg1722z00_1639 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4247z00zz__evaluate_compz00, BgL_list1725z00_1642); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string4239z00zz__evaluate_compz00, BGl_string4248z00zz__evaluate_compz00, BgL_arg1722z00_1639);} }  else 
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1634))
{ /* Eval/evaluate_comp.scm 633 */
 obj_t BgL_arg1728z00_1645;
{ /* Eval/evaluate_comp.scm 633 */
 long BgL_arg1729z00_1646; long BgL_arg1730z00_1647;
BgL_arg1729z00_1646 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1730z00_1647 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 632 */
 obj_t BgL_list1731z00_1648;
{ /* Eval/evaluate_comp.scm 632 */
 obj_t BgL_arg1732z00_1649;
BgL_arg1732z00_1649 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1730z00_1647), BNIL); 
BgL_list1731z00_1648 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1729z00_1646), BgL_arg1732z00_1649); } 
BgL_arg1728z00_1645 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4247z00zz__evaluate_compz00, BgL_list1731z00_1648); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string4239z00zz__evaluate_compz00, BGl_string4248z00zz__evaluate_compz00, BgL_arg1728z00_1645);}  else 
{ /* Eval/evaluate_comp.scm 630 */
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_arg1733z00_1650;
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_vz00_1651;
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_fun1735z00_1653;
BgL_fun1735z00_1653 = 
CAR(
((obj_t)BgL_lz00_1633)); 
BgL_vz00_1651 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1735z00_1653))(BgL_fun1735z00_1653, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1634))))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_6615;
BgL_newz00_6615 = 
create_struct(BGl_symbol4249z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_16301;
BgL_tmpz00_16301 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6615, BgL_tmpz00_16301, BgL_vz00_1651); } 
BgL_arg1733z00_1650 = BgL_newz00_6615; }  else 
{ /* Eval/evaluate_comp.scm 637 */
BgL_arg1733z00_1650 = BgL_vz00_1651; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1635,BgL_arg1733z00_1650); } 
{ /* Eval/evaluate_comp.scm 640 */
 obj_t BgL_arg1736z00_1654; obj_t BgL_arg1737z00_1655; long BgL_arg1738z00_1656;
BgL_arg1736z00_1654 = 
CDR(
((obj_t)BgL_lz00_1633)); 
BgL_arg1737z00_1655 = 
CDR(
((obj_t)BgL_bsz00_1634)); 
BgL_arg1738z00_1656 = 
(BgL_spz00_1635+((long)1)); 
{ 
 long BgL_spz00_16313; obj_t BgL_bsz00_16312; obj_t BgL_lz00_16311;
BgL_lz00_16311 = BgL_arg1736z00_1654; 
BgL_bsz00_16312 = BgL_arg1737z00_1655; 
BgL_spz00_16313 = BgL_arg1738z00_1656; 
BgL_spz00_1635 = BgL_spz00_16313; 
BgL_bsz00_1634 = BgL_bsz00_16312; 
BgL_lz00_1633 = BgL_lz00_16311; 
goto BgL_zc3z04anonymousza31719ze3z87_1636;} } } } } } 

}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{
{ /* Eval/evaluate_comp.scm 645 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 646 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 646 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 649 */
 obj_t BgL_arg1743z00_1662; obj_t BgL_arg1744z00_1663;
BgL_arg1743z00_1662 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1744z00_1663 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
 obj_t BgL_l2z00_16327; obj_t BgL_l1z00_16326;
BgL_l1z00_16326 = BgL_arg1743z00_1662; 
BgL_l2z00_16327 = BgL_arg1744z00_1663; 
BgL_l2z00_89 = BgL_l2z00_16327; 
BgL_l1z00_88 = BgL_l1z00_16326; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 647 */
return 
BGl_errorz00zz__errorz00(BGl_string4239z00zz__evaluate_compz00, BGl_symbol4251z00zz__evaluate_compz00, BGl_symbol4253z00zz__evaluate_compz00);} } } 

}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{
{ /* Eval/evaluate_comp.scm 669 */
{ /* Eval/evaluate_comp.scm 670 */
 obj_t BgL_savedzd2bpzd2_1674;
BgL_savedzd2bpzd2_1674 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
 obj_t BgL_fz00_1676;
BgL_fz00_1676 = BgL_fz00_93; 
BgL_zc3z04anonymousza31755ze3z87_1677:
{ /* Eval/evaluate_comp.scm 673 */
 obj_t BgL_rz00_1678;
BgL_rz00_1678 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_1676))(BgL_fz00_1676, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 674 */
 bool_t BgL_test4536z00_16337;
if(
PROCEDUREP(BgL_rz00_1678))
{ /* Eval/evaluate_comp.scm 674 */
 obj_t BgL_arg1759z00_1683;
BgL_arg1759z00_1683 = 
PROCEDURE_ATTR(BgL_rz00_1678); 
if(
STRUCTP(BgL_arg1759z00_1683))
{ /* Eval/evaluate_comp.scm 654 */
BgL_test4536z00_16337 = 
(
STRUCT_KEY(BgL_arg1759z00_1683)==BGl_symbol4235z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 654 */
BgL_test4536z00_16337 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 674 */
BgL_test4536z00_16337 = ((bool_t)0)
; } 
if(BgL_test4536z00_16337)
{ 
 obj_t BgL_fz00_16345;
BgL_fz00_16345 = BgL_rz00_1678; 
BgL_fz00_1676 = BgL_fz00_16345; 
goto BgL_zc3z04anonymousza31755ze3z87_1677;}  else 
{ /* Eval/evaluate_comp.scm 674 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1674); 
return BgL_rz00_1678;} } } } } } 

}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{
{ /* Eval/evaluate_comp.scm 685 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 

}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{
{ /* Eval/evaluate_comp.scm 688 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 692 */
 obj_t BgL_arg1775z00_1701; obj_t BgL_arg1776z00_1702;
{ /* Eval/evaluate_comp.scm 692 */
 obj_t BgL_arg1777z00_1703;
BgL_arg1777z00_1703 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1775z00_1701 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1777z00_1703), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 693 */
 obj_t BgL_arg1778z00_1704; obj_t BgL_arg1779z00_1705;
BgL_arg1778z00_1704 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 693 */
 obj_t BgL_arg1780z00_1706;
BgL_arg1780z00_1706 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1779z00_1705 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1780z00_1706); } 
BgL_arg1776z00_1702 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1778z00_1704, BgL_arg1779z00_1705); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1775z00_1701, BgL_arg1776z00_1702);} } 

}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_12926, obj_t BgL_lz00_1708, long BgL_iz00_1709)
{
{ /* Eval/evaluate_comp.scm 696 */
if(
NULLP(BgL_lz00_1708))
{ /* Eval/evaluate_comp.scm 697 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 697 */
if(
(BgL_iz00_1709==((long)0)))
{ /* Eval/evaluate_comp.scm 698 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1708, BgL_stkz00_12926);}  else 
{ /* Eval/evaluate_comp.scm 699 */
 obj_t BgL_arg1784z00_1713; obj_t BgL_arg1785z00_1714;
{ /* Eval/evaluate_comp.scm 699 */
 obj_t BgL_arg1786z00_1715;
BgL_arg1786z00_1715 = 
CAR(
((obj_t)BgL_lz00_1708)); 
BgL_arg1784z00_1713 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1786z00_1715), BgL_stkz00_12926); } 
{ /* Eval/evaluate_comp.scm 700 */
 obj_t BgL_arg1787z00_1716; long BgL_arg1788z00_1717;
BgL_arg1787z00_1716 = 
CDR(
((obj_t)BgL_lz00_1708)); 
BgL_arg1788z00_1717 = 
(BgL_iz00_1709-((long)1)); 
BgL_arg1785z00_1714 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12926, BgL_arg1787z00_1716, BgL_arg1788z00_1717); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1784z00_1713, BgL_arg1785z00_1714);} } } 

}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{
{ /* Eval/evaluate_comp.scm 702 */
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_argsz00_1719;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1719 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_head1351z00_1724;
BgL_head1351z00_1724 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1349z00_1726; obj_t BgL_tail1352z00_1727;
BgL_l1349z00_1726 = BgL_argsz00_124; 
BgL_tail1352z00_1727 = BgL_head1351z00_1724; 
BgL_zc3z04anonymousza31791ze3z87_1728:
if(
NULLP(BgL_l1349z00_1726))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1719 = 
CDR(BgL_head1351z00_1724); }  else 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_newtail1353z00_1730;
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_arg1794z00_1732;
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_az00_1733;
BgL_az00_1733 = 
CAR(
((obj_t)BgL_l1349z00_1726)); 
BgL_arg1794z00_1732 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_az00_1733))(BgL_az00_1733, BgL_sz00_122, BEOA); } 
BgL_newtail1353z00_1730 = 
MAKE_YOUNG_PAIR(BgL_arg1794z00_1732, BNIL); } 
SET_CDR(BgL_tail1352z00_1727, BgL_newtail1353z00_1730); 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_arg1793z00_1731;
BgL_arg1793z00_1731 = 
CDR(
((obj_t)BgL_l1349z00_1726)); 
{ 
 obj_t BgL_tail1352z00_16397; obj_t BgL_l1349z00_16396;
BgL_l1349z00_16396 = BgL_arg1793z00_1731; 
BgL_tail1352z00_16397 = BgL_newtail1353z00_1730; 
BgL_tail1352z00_1727 = BgL_tail1352z00_16397; 
BgL_l1349z00_1726 = BgL_l1349z00_16396; 
goto BgL_zc3z04anonymousza31791ze3z87_1728;} } } } } 
{ /* Eval/evaluate_comp.scm 705 */
 long BgL_arg1789z00_1720;
BgL_arg1789z00_1720 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1789z00_1720)); } 
{ /* Eval/evaluate_comp.scm 706 */
 obj_t BgL_za2za2resza2za2z00_1721;
BgL_za2za2resza2za2z00_1721 = 
apply(BgL_fz00_123, BgL_argsz00_1719); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1721;} } } 

}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{
{ /* Eval/evaluate_comp.scm 709 */
{ 
 obj_t BgL_lz00_1736; obj_t BgL_spz00_1737;
BgL_lz00_1736 = BgL_argsz00_128; 
BgL_spz00_1737 = BgL_spz00_129; 
BgL_zc3z04anonymousza31795ze3z87_1738:
if(
NULLP(BgL_lz00_1736))
{ /* Eval/evaluate_comp.scm 711 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 711 */
{ /* Eval/evaluate_comp.scm 712 */
 obj_t BgL_arg1797z00_1740;
{ /* Eval/evaluate_comp.scm 712 */
 obj_t BgL_fun1798z00_1741;
BgL_fun1798z00_1741 = 
CAR(
((obj_t)BgL_lz00_1736)); 
BgL_arg1797z00_1740 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1798z00_1741))(BgL_fun1798z00_1741, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 712 */
 long BgL_kz00_6677;
BgL_kz00_6677 = 
(long)CINT(BgL_spz00_1737); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6677,BgL_arg1797z00_1740); } } 
{ /* Eval/evaluate_comp.scm 713 */
 obj_t BgL_arg1799z00_1742; long BgL_arg1800z00_1743;
BgL_arg1799z00_1742 = 
CDR(
((obj_t)BgL_lz00_1736)); 
BgL_arg1800z00_1743 = 
(
(long)CINT(BgL_spz00_1737)+((long)1)); 
{ 
 obj_t BgL_spz00_16424; obj_t BgL_lz00_16423;
BgL_lz00_16423 = BgL_arg1799z00_1742; 
BgL_spz00_16424 = 
BINT(BgL_arg1800z00_1743); 
BgL_spz00_1737 = BgL_spz00_16424; 
BgL_lz00_1736 = BgL_lz00_16423; 
goto BgL_zc3z04anonymousza31795ze3z87_1738;} } } } } 

}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{
{ /* Eval/evaluate_comp.scm 715 */
{ /* Eval/evaluate_comp.scm 716 */
 long BgL_g1153z00_1745;
BgL_g1153z00_1745 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
 obj_t BgL_lz00_1747; obj_t BgL_spz00_1748; long BgL_nz00_1749;
BgL_lz00_1747 = BgL_argsz00_132; 
BgL_spz00_1748 = BgL_spz00_133; 
BgL_nz00_1749 = BgL_g1153z00_1745; 
BgL_zc3z04anonymousza31801ze3z87_1750:
if(
(BgL_nz00_1749==((long)0)))
{ 
 obj_t BgL_lz00_1754; obj_t BgL_rz00_1755;
BgL_lz00_1754 = BgL_lz00_1747; 
BgL_rz00_1755 = BNIL; 
BgL_zc3z04anonymousza31803ze3z87_1756:
if(
NULLP(BgL_lz00_1754))
{ /* Eval/evaluate_comp.scm 720 */
 obj_t BgL_arg1805z00_1758;
BgL_arg1805z00_1758 = 
bgl_reverse_bang(BgL_rz00_1755); 
{ /* Eval/evaluate_comp.scm 720 */
 long BgL_kz00_6683;
BgL_kz00_6683 = 
(long)CINT(BgL_spz00_1748); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6683,BgL_arg1805z00_1758);} }  else 
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_arg1806z00_1759; obj_t BgL_arg1807z00_1760;
BgL_arg1806z00_1759 = 
CDR(
((obj_t)BgL_lz00_1754)); 
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_arg1808z00_1761;
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_fun1809z00_1762;
BgL_fun1809z00_1762 = 
CAR(
((obj_t)BgL_lz00_1754)); 
BgL_arg1808z00_1761 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1809z00_1762))(BgL_fun1809z00_1762, BgL_sz00_131, BEOA); } 
BgL_arg1807z00_1760 = 
MAKE_YOUNG_PAIR(BgL_arg1808z00_1761, BgL_rz00_1755); } 
{ 
 obj_t BgL_rz00_16446; obj_t BgL_lz00_16445;
BgL_lz00_16445 = BgL_arg1806z00_1759; 
BgL_rz00_16446 = BgL_arg1807z00_1760; 
BgL_rz00_1755 = BgL_rz00_16446; 
BgL_lz00_1754 = BgL_lz00_16445; 
goto BgL_zc3z04anonymousza31803ze3z87_1756;} } }  else 
{ /* Eval/evaluate_comp.scm 717 */
{ /* Eval/evaluate_comp.scm 722 */
 obj_t BgL_arg1810z00_1764;
{ /* Eval/evaluate_comp.scm 722 */
 obj_t BgL_fun1811z00_1765;
BgL_fun1811z00_1765 = 
CAR(
((obj_t)BgL_lz00_1747)); 
BgL_arg1810z00_1764 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun1811z00_1765))(BgL_fun1811z00_1765, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 722 */
 long BgL_kz00_6688;
BgL_kz00_6688 = 
(long)CINT(BgL_spz00_1748); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6688,BgL_arg1810z00_1764); } } 
{ /* Eval/evaluate_comp.scm 723 */
 obj_t BgL_arg1812z00_1766; long BgL_arg1813z00_1767; long BgL_arg1814z00_1768;
BgL_arg1812z00_1766 = 
CDR(
((obj_t)BgL_lz00_1747)); 
BgL_arg1813z00_1767 = 
(
(long)CINT(BgL_spz00_1748)+((long)1)); 
BgL_arg1814z00_1768 = 
(BgL_nz00_1749-((long)1)); 
{ 
 long BgL_nz00_16464; obj_t BgL_spz00_16462; obj_t BgL_lz00_16461;
BgL_lz00_16461 = BgL_arg1812z00_1766; 
BgL_spz00_16462 = 
BINT(BgL_arg1813z00_1767); 
BgL_nz00_16464 = BgL_arg1814z00_1768; 
BgL_nz00_1749 = BgL_nz00_16464; 
BgL_spz00_1748 = BgL_spz00_16462; 
BgL_lz00_1747 = BgL_lz00_16461; 
goto BgL_zc3z04anonymousza31801ze3z87_1750;} } } } } } 

}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{
{ /* Eval/evaluate_comp.scm 766 */
{ 
 obj_t BgL_lz00_1771; obj_t BgL_stkz00_1772;
BgL_lz00_1771 = BgL_argsz00_134; 
BgL_stkz00_1772 = BgL_stkz00_135; 
BgL_zc3z04anonymousza31815ze3z87_1773:
{ /* Eval/evaluate_comp.scm 770 */
 bool_t BgL_test4547z00_16465;
if(
NULLP(BgL_lz00_1771))
{ /* Eval/evaluate_comp.scm 770 */
BgL_test4547z00_16465 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 770 */
BgL_test4547z00_16465 = 
NULLP(BgL_stkz00_1772)
; } 
if(BgL_test4547z00_16465)
{ /* Eval/evaluate_comp.scm 770 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 772 */
 bool_t BgL_test4549z00_16469;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_g1356z00_1790;
BgL_g1356z00_1790 = 
CDR(
((obj_t)BgL_lz00_1771)); 
{ 
 obj_t BgL_l1354z00_1792;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_tmpz00_16472;
BgL_l1354z00_1792 = BgL_g1356z00_1790; 
BgL_zc3z04anonymousza31826ze3z87_1793:
if(
NULLP(BgL_l1354z00_1792))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_16472 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL__ortest_1357z00_1795;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_ez00_1797;
BgL_ez00_1797 = 
CAR(
((obj_t)BgL_l1354z00_1792)); 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_arg1828z00_1798; obj_t BgL_arg1829z00_1799;
BgL_arg1828z00_1798 = 
CAR(
((obj_t)BgL_stkz00_1772)); 
BgL_arg1829z00_1799 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1797), BNIL); 
BgL__ortest_1357z00_1795 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1828z00_1798, BgL_arg1829z00_1799); } } 
if(
CBOOL(BgL__ortest_1357z00_1795))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_16472 = BgL__ortest_1357z00_1795
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_arg1827z00_1796;
BgL_arg1827z00_1796 = 
CDR(
((obj_t)BgL_l1354z00_1792)); 
{ 
 obj_t BgL_l1354z00_16486;
BgL_l1354z00_16486 = BgL_arg1827z00_1796; 
BgL_l1354z00_1792 = BgL_l1354z00_16486; 
goto BgL_zc3z04anonymousza31826ze3z87_1793;} } } 
BgL_test4549z00_16469 = 
CBOOL(BgL_tmpz00_16472); } } } 
if(BgL_test4549z00_16469)
{ /* Eval/evaluate_comp.scm 772 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 774 */
 obj_t BgL_arg1824z00_1788; obj_t BgL_arg1825z00_1789;
BgL_arg1824z00_1788 = 
CDR(
((obj_t)BgL_lz00_1771)); 
BgL_arg1825z00_1789 = 
CDR(
((obj_t)BgL_stkz00_1772)); 
{ 
 obj_t BgL_stkz00_16493; obj_t BgL_lz00_16492;
BgL_lz00_16492 = BgL_arg1824z00_1788; 
BgL_stkz00_16493 = BgL_arg1825z00_1789; 
BgL_stkz00_1772 = BgL_stkz00_16493; 
BgL_lz00_1771 = BgL_lz00_16492; 
goto BgL_zc3z04anonymousza31815ze3z87_1773;} } } } } } 

}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{
{ /* Eval/evaluate_comp.scm 776 */
{ /* Eval/evaluate_comp.scm 778 */
 long BgL_siza7eza7_1804; long BgL_nbargsz00_1805; obj_t BgL_fz00_1806; obj_t BgL_symbzd2funzd2_1807;
BgL_siza7eza7_1804 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1805 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1806 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1807 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 780 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4554z00_16507;
{ /* Eval/evaluate_comp.scm 787 */
 int BgL_a1360z00_1886;
BgL_a1360z00_1886 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 787 */

BgL_test4554z00_16507 = 
(
(long)(BgL_a1360z00_1886)>((long)0)); } } 
if(BgL_test4554z00_16507)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_argsz00_1815;
BgL_argsz00_1815 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_zc3z04anonymousza31835ze3z87_10966;
BgL_zc3z04anonymousza31835ze3z87_10966 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31835ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31835ze3z87_10966, 
(int)(((long)0)), BgL_fz00_1806); 
PROCEDURE_SET(BgL_zc3z04anonymousza31835ze3z87_10966, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31835ze3z87_10966, 
(int)(((long)2)), BgL_symbzd2funzd2_1807); 
PROCEDURE_SET(BgL_zc3z04anonymousza31835ze3z87_10966, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1805)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31835ze3z87_10966, 
(int)(((long)4)), BgL_argsz00_1815); 
PROCEDURE_SET(BgL_zc3z04anonymousza31835ze3z87_10966, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1804)); 
return BgL_zc3z04anonymousza31835ze3z87_10966;} }  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_argsz00_1852;
BgL_argsz00_1852 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_zc3z04anonymousza31857ze3z87_10967;
BgL_zc3z04anonymousza31857ze3z87_10967 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_10967, 
(int)(((long)0)), BgL_fz00_1806); 
PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_10967, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_10967, 
(int)(((long)2)), BgL_symbzd2funzd2_1807); 
PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_10967, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1805)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_10967, 
(int)(((long)4)), BgL_argsz00_1852); 
PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_10967, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1804)); 
return BgL_zc3z04anonymousza31857ze3z87_10967;} } }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4555z00_16551;
{ /* Eval/evaluate_comp.scm 795 */
 int BgL_a1362z00_1958;
BgL_a1362z00_1958 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 795 */

BgL_test4555z00_16551 = 
(
(long)(BgL_a1362z00_1958)>((long)0)); } } 
if(BgL_test4555z00_16551)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_argsz00_1893;
BgL_argsz00_1893 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1804); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_zc3z04anonymousza31878ze3z87_10968;
BgL_zc3z04anonymousza31878ze3z87_10968 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31878ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31878ze3z87_10968, 
(int)(((long)0)), BgL_fz00_1806); 
PROCEDURE_SET(BgL_zc3z04anonymousza31878ze3z87_10968, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31878ze3z87_10968, 
(int)(((long)2)), BgL_symbzd2funzd2_1807); 
PROCEDURE_SET(BgL_zc3z04anonymousza31878ze3z87_10968, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1805)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31878ze3z87_10968, 
(int)(((long)4)), BgL_argsz00_1893); 
return BgL_zc3z04anonymousza31878ze3z87_10968;} }  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_argsz00_1927;
BgL_argsz00_1927 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1804); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_zc3z04anonymousza31897ze3z87_10969;
BgL_zc3z04anonymousza31897ze3z87_10969 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31897ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31897ze3z87_10969, 
(int)(((long)0)), BgL_fz00_1806); 
PROCEDURE_SET(BgL_zc3z04anonymousza31897ze3z87_10969, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31897ze3z87_10969, 
(int)(((long)2)), BgL_symbzd2funzd2_1807); 
PROCEDURE_SET(BgL_zc3z04anonymousza31897ze3z87_10969, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1805)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31897ze3z87_10969, 
(int)(((long)4)), BgL_argsz00_1927); 
return BgL_zc3z04anonymousza31897ze3z87_10969;} } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4556z00_16589;
{ /* Eval/evaluate_comp.scm 781 */
 int BgL_a1358z00_2031;
BgL_a1358z00_2031 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 781 */

BgL_test4556z00_16589 = 
(
(long)(BgL_a1358z00_2031)>((long)0)); } } 
if(BgL_test4556z00_16589)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_argsz00_1966;
BgL_argsz00_1966 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_zc3z04anonymousza31916ze3z87_10970;
BgL_zc3z04anonymousza31916ze3z87_10970 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10970, 
(int)(((long)0)), BgL_fz00_1806); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10970, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10970, 
(int)(((long)2)), BgL_symbzd2funzd2_1807); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10970, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1805)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10970, 
(int)(((long)4)), BgL_argsz00_1966); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10970, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1804)); 
return BgL_zc3z04anonymousza31916ze3z87_10970;} }  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_argsz00_2000;
BgL_argsz00_2000 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_zc3z04anonymousza31935ze3z87_10971;
BgL_zc3z04anonymousza31935ze3z87_10971 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31935ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31935ze3z87_10971, 
(int)(((long)0)), BgL_fz00_1806); 
PROCEDURE_SET(BgL_zc3z04anonymousza31935ze3z87_10971, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31935ze3z87_10971, 
(int)(((long)2)), BgL_symbzd2funzd2_1807); 
PROCEDURE_SET(BgL_zc3z04anonymousza31935ze3z87_10971, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1805)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31935ze3z87_10971, 
(int)(((long)4)), BgL_argsz00_2000); 
PROCEDURE_SET(BgL_zc3z04anonymousza31935ze3z87_10971, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1804)); 
return BgL_zc3z04anonymousza31935ze3z87_10971;} } } } } 

}



/* &<@anonymous:1835> */
obj_t BGl_z62zc3z04anonymousza31835ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10972, obj_t BgL_sz00_10979)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_10973; BgL_ev_appz00_bglt BgL_i1161z00_10974; obj_t BgL_symbzd2funzd2_10975; long BgL_nbargsz00_10976; obj_t BgL_argsz00_10977; long BgL_siza7eza7_10978;
BgL_fz00_10973 = 
PROCEDURE_REF(BgL_envz00_10972, 
(int)(((long)0))); 
BgL_i1161z00_10974 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10972, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10975 = 
PROCEDURE_REF(BgL_envz00_10972, 
(int)(((long)2))); 
BgL_nbargsz00_10976 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10972, 
(int)(((long)3)))); 
BgL_argsz00_10977 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10972, 
(int)(((long)4)))); 
BgL_siza7eza7_10978 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10972, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_bpz00_12947;
BgL_bpz00_12947 = 
VECTOR_REF(
((obj_t)BgL_sz00_10979),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_12948;
BgL_fz00_12948 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_10973))(BgL_fz00_10973, BgL_sz00_10979, BEOA); 
if(
PROCEDUREP(BgL_fz00_12948))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10974))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_12948); } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ufz00_12949;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16659;
BgL_tmpz00_16659 = 
((obj_t)BgL_fz00_12948); 
BgL_ufz00_12949 = 
PROCEDURE_ATTR(BgL_tmpz00_16659); } 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4558z00_16662;
if(
STRUCTP(BgL_ufz00_12949))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4558z00_16662 = 
(
STRUCT_KEY(BgL_ufz00_12949)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4558z00_16662 = ((bool_t)0)
; } 
if(BgL_test4558z00_16662)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arityz00_12950; obj_t BgL_runz00_12951; obj_t BgL_sfz00_12952;
BgL_arityz00_12950 = 
STRUCT_REF(BgL_ufz00_12949, 
(int)(((long)0))); 
BgL_runz00_12951 = 
STRUCT_REF(BgL_ufz00_12949, 
(int)(((long)1))); 
BgL_sfz00_12952 = 
STRUCT_REF(BgL_ufz00_12949, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_spz00_12953;
BgL_spz00_12953 = 
(
(long)CINT(BgL_bpz00_12947)+BgL_siza7eza7_10978); 
if(
(
(long)CINT(BgL_arityz00_12950)==BgL_nbargsz00_10976))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10979, BgL_argsz00_10977, 
BINT(BgL_spz00_12953)); 
{ /* Eval/evaluate_comp.scm 791 */
 long BgL_arg1840z00_12954;
BgL_arg1840z00_12954 = 
(BgL_spz00_12953+BgL_nbargsz00_10976); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10979, 
(long)CINT(BgL_bpz00_12947), BgL_sz00_10979, 
BINT(BgL_spz00_12953), 
BINT(BgL_arg1840z00_12954)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4561z00_16685;
if(
(
(long)CINT(BgL_arityz00_12950)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4561z00_16685 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4561z00_16685 = 
(
(long)CINT(BgL_arityz00_12950)<
(((long)-1)-BgL_nbargsz00_10976))
; } 
if(BgL_test4561z00_16685)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10974))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12949, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10976), 
CINT(BgL_arityz00_12950)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12950, BgL_sz00_10979, BgL_argsz00_10977, 
BINT(BgL_spz00_12953)); 
{ /* Eval/evaluate_comp.scm 793 */
 long BgL_arg1846z00_12955;
BgL_arg1846z00_12955 = 
(BgL_spz00_12953+
(((long)0)-
(long)CINT(BgL_arityz00_12950))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10979, 
(long)CINT(BgL_bpz00_12947), BgL_sz00_10979, 
BINT(BgL_spz00_12953), 
BINT(BgL_arg1846z00_12955)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_z12denvz12_12956;
BgL_z12denvz12_12956 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16708;
BgL_tmpz00_16708 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10974))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12956, BgL_tmpz00_16708); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10979, BgL_bpz00_12947, BgL_sfz00_12952))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_12951;}  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_nsz00_12957;
BgL_nsz00_12957 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_arg1851z00_12958;
BgL_arg1851z00_12958 = 
(
(long)CINT(BgL_bpz00_12947)+BgL_nbargsz00_10976); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12957, ((long)2), BgL_sz00_10979, BgL_bpz00_12947, 
BINT(BgL_arg1851z00_12958)); } 
VECTOR_SET(BgL_nsz00_12957,((long)1),BgL_sz00_10979); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12956, BgL_nsz00_12957); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ez00_12959;
BgL_ez00_12959 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3986z00_12960;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3987z00_12961;
BgL_arg3987z00_12961 = 
BGL_EXITD_PROTECT(BgL_ez00_12959); 
BgL_arg3986z00_12960 = 
MAKE_YOUNG_PAIR(BgL_sz00_10979, BgL_arg3987z00_12961); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12959, BgL_arg3986z00_12960); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_____rz00_12962;
BgL_____rz00_12962 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12951, BgL_nsz00_12957, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4564z00_16726;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3985z00_12963;
BgL_arg3985z00_12963 = 
BGL_EXITD_PROTECT(BgL_ez00_12959); 
BgL_test4564z00_16726 = 
PAIRP(BgL_arg3985z00_12963); } 
if(BgL_test4564z00_16726)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3983z00_12964;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3984z00_12965;
BgL_arg3984z00_12965 = 
BGL_EXITD_PROTECT(BgL_ez00_12959); 
BgL_arg3983z00_12964 = 
CDR(
((obj_t)BgL_arg3984z00_12965)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12959, BgL_arg3983z00_12964); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 787 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12956, BgL_sz00_10979); 
return BgL_____rz00_12962;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12948, 
(int)(BgL_nbargsz00_10976)))
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_auxz00_16739; obj_t BgL_tmpz00_16737;
BgL_auxz00_16739 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10974))->BgL_locz00); 
BgL_tmpz00_16737 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16737, BgL_auxz00_16739); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10979, BgL_fz00_12948, BgL_argsz00_10977, BgL_bpz00_12947, 
BINT(BgL_siza7eza7_10978));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10974))->BgL_locz00), BgL_symbzd2funzd2_10975, 
(int)(BgL_nbargsz00_10976), 
PROCEDURE_ARITY(BgL_fz00_12948));} } } } } } } } 

}



/* &<@anonymous:1857> */
obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10980, obj_t BgL_sz00_10987)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_10981; BgL_ev_appz00_bglt BgL_i1161z00_10982; obj_t BgL_symbzd2funzd2_10983; long BgL_nbargsz00_10984; obj_t BgL_argsz00_10985; long BgL_siza7eza7_10986;
BgL_fz00_10981 = 
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)0))); 
BgL_i1161z00_10982 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10983 = 
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)2))); 
BgL_nbargsz00_10984 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)3)))); 
BgL_argsz00_10985 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)4)))); 
BgL_siza7eza7_10986 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10980, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_bpz00_12966;
BgL_bpz00_12966 = 
VECTOR_REF(
((obj_t)BgL_sz00_10987),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_12967;
BgL_fz00_12967 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_10981))(BgL_fz00_10981, BgL_sz00_10987, BEOA); 
if(
PROCEDUREP(BgL_fz00_12967))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10982))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_12967); } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ufz00_12968;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16774;
BgL_tmpz00_16774 = 
((obj_t)BgL_fz00_12967); 
BgL_ufz00_12968 = 
PROCEDURE_ATTR(BgL_tmpz00_16774); } 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4567z00_16777;
if(
STRUCTP(BgL_ufz00_12968))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4567z00_16777 = 
(
STRUCT_KEY(BgL_ufz00_12968)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4567z00_16777 = ((bool_t)0)
; } 
if(BgL_test4567z00_16777)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arityz00_12969; obj_t BgL_runz00_12970; obj_t BgL_sfz00_12971;
BgL_arityz00_12969 = 
STRUCT_REF(BgL_ufz00_12968, 
(int)(((long)0))); 
BgL_runz00_12970 = 
STRUCT_REF(BgL_ufz00_12968, 
(int)(((long)1))); 
BgL_sfz00_12971 = 
STRUCT_REF(BgL_ufz00_12968, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_spz00_12972;
BgL_spz00_12972 = 
(
(long)CINT(BgL_bpz00_12966)+BgL_siza7eza7_10986); 
if(
(
(long)CINT(BgL_arityz00_12969)==BgL_nbargsz00_10984))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10987, BgL_argsz00_10985, 
BINT(BgL_spz00_12972)); 
{ /* Eval/evaluate_comp.scm 791 */
 long BgL_arg1862z00_12973;
BgL_arg1862z00_12973 = 
(BgL_spz00_12972+BgL_nbargsz00_10984); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10987, 
(long)CINT(BgL_bpz00_12966), BgL_sz00_10987, 
BINT(BgL_spz00_12972), 
BINT(BgL_arg1862z00_12973)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4570z00_16800;
if(
(
(long)CINT(BgL_arityz00_12969)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4570z00_16800 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4570z00_16800 = 
(
(long)CINT(BgL_arityz00_12969)<
(((long)-1)-BgL_nbargsz00_10984))
; } 
if(BgL_test4570z00_16800)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10982))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12968, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10984), 
CINT(BgL_arityz00_12969)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12969, BgL_sz00_10987, BgL_argsz00_10985, 
BINT(BgL_spz00_12972)); 
{ /* Eval/evaluate_comp.scm 793 */
 long BgL_arg1868z00_12974;
BgL_arg1868z00_12974 = 
(BgL_spz00_12972+
(((long)0)-
(long)CINT(BgL_arityz00_12969))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10987, 
(long)CINT(BgL_bpz00_12966), BgL_sz00_10987, 
BINT(BgL_spz00_12972), 
BINT(BgL_arg1868z00_12974)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_z12denvz12_12975;
BgL_z12denvz12_12975 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10987, BgL_bpz00_12966, BgL_sfz00_12971))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_12970;}  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_nsz00_12976;
BgL_nsz00_12976 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_arg1872z00_12977;
BgL_arg1872z00_12977 = 
(
(long)CINT(BgL_bpz00_12966)+BgL_nbargsz00_10984); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12976, ((long)2), BgL_sz00_10987, BgL_bpz00_12966, 
BINT(BgL_arg1872z00_12977)); } 
VECTOR_SET(BgL_nsz00_12976,((long)1),BgL_sz00_10987); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12975, BgL_nsz00_12976); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ez00_12978;
BgL_ez00_12978 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3986z00_12979;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3987z00_12980;
BgL_arg3987z00_12980 = 
BGL_EXITD_PROTECT(BgL_ez00_12978); 
BgL_arg3986z00_12979 = 
MAKE_YOUNG_PAIR(BgL_sz00_10987, BgL_arg3987z00_12980); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12978, BgL_arg3986z00_12979); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_____rz00_12981;
BgL_____rz00_12981 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12970, BgL_nsz00_12976, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4573z00_16838;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3985z00_12982;
BgL_arg3985z00_12982 = 
BGL_EXITD_PROTECT(BgL_ez00_12978); 
BgL_test4573z00_16838 = 
PAIRP(BgL_arg3985z00_12982); } 
if(BgL_test4573z00_16838)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3983z00_12983;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg3984z00_12984;
BgL_arg3984z00_12984 = 
BGL_EXITD_PROTECT(BgL_ez00_12978); 
BgL_arg3983z00_12983 = 
CDR(
((obj_t)BgL_arg3984z00_12984)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12978, BgL_arg3983z00_12983); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 787 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12975, BgL_sz00_10987); 
return BgL_____rz00_12981;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12967, 
(int)(BgL_nbargsz00_10984)))
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10987, BgL_fz00_12967, BgL_argsz00_10985, BgL_bpz00_12966, 
BINT(BgL_siza7eza7_10986));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10982))->BgL_locz00), BgL_symbzd2funzd2_10983, 
(int)(BgL_nbargsz00_10984), 
PROCEDURE_ARITY(BgL_fz00_12967));} } } } } } } } 

}



/* &<@anonymous:1878> */
obj_t BGl_z62zc3z04anonymousza31878ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10988, obj_t BgL_sz00_10994)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_10989; BgL_ev_appz00_bglt BgL_i1161z00_10990; obj_t BgL_symbzd2funzd2_10991; long BgL_nbargsz00_10992; obj_t BgL_argsz00_10993;
BgL_fz00_10989 = 
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)0))); 
BgL_i1161z00_10990 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10991 = 
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)2))); 
BgL_nbargsz00_10992 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)3)))); 
BgL_argsz00_10993 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_bpz00_12985;
BgL_bpz00_12985 = 
VECTOR_REF(
((obj_t)BgL_sz00_10994),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_12986;
BgL_fz00_12986 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_10989))(BgL_fz00_10989, BgL_sz00_10994, BEOA); 
if(
PROCEDUREP(BgL_fz00_12986))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10990))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_12986); } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ufz00_12987;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16878;
BgL_tmpz00_16878 = 
((obj_t)BgL_fz00_12986); 
BgL_ufz00_12987 = 
PROCEDURE_ATTR(BgL_tmpz00_16878); } 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4576z00_16881;
if(
STRUCTP(BgL_ufz00_12987))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4576z00_16881 = 
(
STRUCT_KEY(BgL_ufz00_12987)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4576z00_16881 = ((bool_t)0)
; } 
if(BgL_test4576z00_16881)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arityz00_12988; obj_t BgL_runz00_12989; obj_t BgL_sfz00_12990;
BgL_arityz00_12988 = 
STRUCT_REF(BgL_ufz00_12987, 
(int)(((long)0))); 
BgL_runz00_12989 = 
STRUCT_REF(BgL_ufz00_12987, 
(int)(((long)1))); 
BgL_sfz00_12990 = 
STRUCT_REF(BgL_ufz00_12987, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12988)==BgL_nbargsz00_10992))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10994, BgL_argsz00_10993, BgL_bpz00_12985)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4579z00_16897;
if(
(
(long)CINT(BgL_arityz00_12988)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4579z00_16897 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4579z00_16897 = 
(
(long)CINT(BgL_arityz00_12988)<
(((long)-1)-BgL_nbargsz00_10992))
; } 
if(BgL_test4579z00_16897)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10990))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12987, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10992), 
CINT(BgL_arityz00_12988)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12988, BgL_sz00_10994, BgL_argsz00_10993, BgL_bpz00_12985); } } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_z12denvz12_12991;
BgL_z12denvz12_12991 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16912;
BgL_tmpz00_16912 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10990))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12991, BgL_tmpz00_16912); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10994, BgL_bpz00_12985, BgL_sfz00_12990))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_12989;}  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_nsz00_12992;
BgL_nsz00_12992 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
 long BgL_arg1891z00_12993;
BgL_arg1891z00_12993 = 
(
(long)CINT(BgL_bpz00_12985)+BgL_nbargsz00_10992); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12992, ((long)2), BgL_sz00_10994, BgL_bpz00_12985, 
BINT(BgL_arg1891z00_12993)); } 
VECTOR_SET(BgL_nsz00_12992,((long)1),BgL_sz00_10994); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12991, BgL_nsz00_12992); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ez00_12994;
BgL_ez00_12994 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3986z00_12995;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3987z00_12996;
BgL_arg3987z00_12996 = 
BGL_EXITD_PROTECT(BgL_ez00_12994); 
BgL_arg3986z00_12995 = 
MAKE_YOUNG_PAIR(BgL_sz00_10994, BgL_arg3987z00_12996); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12994, BgL_arg3986z00_12995); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_____rz00_12997;
BgL_____rz00_12997 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12989, BgL_nsz00_12992, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4582z00_16930;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3985z00_12998;
BgL_arg3985z00_12998 = 
BGL_EXITD_PROTECT(BgL_ez00_12994); 
BgL_test4582z00_16930 = 
PAIRP(BgL_arg3985z00_12998); } 
if(BgL_test4582z00_16930)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3983z00_12999;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3984z00_13000;
BgL_arg3984z00_13000 = 
BGL_EXITD_PROTECT(BgL_ez00_12994); 
BgL_arg3983z00_12999 = 
CDR(
((obj_t)BgL_arg3984z00_13000)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12994, BgL_arg3983z00_12999); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 795 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12991, BgL_sz00_10994); 
return BgL_____rz00_12997;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12986, 
(int)(BgL_nbargsz00_10992)))
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_auxz00_16943; obj_t BgL_tmpz00_16941;
BgL_auxz00_16943 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10990))->BgL_locz00); 
BgL_tmpz00_16941 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16941, BgL_auxz00_16943); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10994, BgL_fz00_12986, BgL_argsz00_10993, BgL_bpz00_12985, 
BINT(BgL_nbargsz00_10992));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10990))->BgL_locz00), BgL_symbzd2funzd2_10991, 
(int)(BgL_nbargsz00_10992), 
PROCEDURE_ARITY(BgL_fz00_12986));} } } } } } } } 

}



/* &<@anonymous:1897> */
obj_t BGl_z62zc3z04anonymousza31897ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10995, obj_t BgL_sz00_11001)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_10996; BgL_ev_appz00_bglt BgL_i1161z00_10997; obj_t BgL_symbzd2funzd2_10998; long BgL_nbargsz00_10999; obj_t BgL_argsz00_11000;
BgL_fz00_10996 = 
PROCEDURE_REF(BgL_envz00_10995, 
(int)(((long)0))); 
BgL_i1161z00_10997 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10995, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10998 = 
PROCEDURE_REF(BgL_envz00_10995, 
(int)(((long)2))); 
BgL_nbargsz00_10999 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10995, 
(int)(((long)3)))); 
BgL_argsz00_11000 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10995, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_bpz00_13001;
BgL_bpz00_13001 = 
VECTOR_REF(
((obj_t)BgL_sz00_11001),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_13002;
BgL_fz00_13002 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_10996))(BgL_fz00_10996, BgL_sz00_11001, BEOA); 
if(
PROCEDUREP(BgL_fz00_13002))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10997))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13002); } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ufz00_13003;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16975;
BgL_tmpz00_16975 = 
((obj_t)BgL_fz00_13002); 
BgL_ufz00_13003 = 
PROCEDURE_ATTR(BgL_tmpz00_16975); } 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4586z00_16978;
if(
STRUCTP(BgL_ufz00_13003))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4586z00_16978 = 
(
STRUCT_KEY(BgL_ufz00_13003)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4586z00_16978 = ((bool_t)0)
; } 
if(BgL_test4586z00_16978)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arityz00_13004; obj_t BgL_runz00_13005; obj_t BgL_sfz00_13006;
BgL_arityz00_13004 = 
STRUCT_REF(BgL_ufz00_13003, 
(int)(((long)0))); 
BgL_runz00_13005 = 
STRUCT_REF(BgL_ufz00_13003, 
(int)(((long)1))); 
BgL_sfz00_13006 = 
STRUCT_REF(BgL_ufz00_13003, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13004)==BgL_nbargsz00_10999))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_11001, BgL_argsz00_11000, BgL_bpz00_13001)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4589z00_16994;
if(
(
(long)CINT(BgL_arityz00_13004)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4589z00_16994 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4589z00_16994 = 
(
(long)CINT(BgL_arityz00_13004)<
(((long)-1)-BgL_nbargsz00_10999))
; } 
if(BgL_test4589z00_16994)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10997))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_13003, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10999), 
CINT(BgL_arityz00_13004)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_13004, BgL_sz00_11001, BgL_argsz00_11000, BgL_bpz00_13001); } } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_z12denvz12_13007;
BgL_z12denvz12_13007 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11001, BgL_bpz00_13001, BgL_sfz00_13006))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_13005;}  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_nsz00_13008;
BgL_nsz00_13008 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
 long BgL_arg1909z00_13009;
BgL_arg1909z00_13009 = 
(
(long)CINT(BgL_bpz00_13001)+BgL_nbargsz00_10999); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13008, ((long)2), BgL_sz00_11001, BgL_bpz00_13001, 
BINT(BgL_arg1909z00_13009)); } 
VECTOR_SET(BgL_nsz00_13008,((long)1),BgL_sz00_11001); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13007, BgL_nsz00_13008); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ez00_13010;
BgL_ez00_13010 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3986z00_13011;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3987z00_13012;
BgL_arg3987z00_13012 = 
BGL_EXITD_PROTECT(BgL_ez00_13010); 
BgL_arg3986z00_13011 = 
MAKE_YOUNG_PAIR(BgL_sz00_11001, BgL_arg3987z00_13012); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13010, BgL_arg3986z00_13011); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_____rz00_13013;
BgL_____rz00_13013 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13005, BgL_nsz00_13008, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4592z00_17024;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3985z00_13014;
BgL_arg3985z00_13014 = 
BGL_EXITD_PROTECT(BgL_ez00_13010); 
BgL_test4592z00_17024 = 
PAIRP(BgL_arg3985z00_13014); } 
if(BgL_test4592z00_17024)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3983z00_13015;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg3984z00_13016;
BgL_arg3984z00_13016 = 
BGL_EXITD_PROTECT(BgL_ez00_13010); 
BgL_arg3983z00_13015 = 
CDR(
((obj_t)BgL_arg3984z00_13016)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13010, BgL_arg3983z00_13015); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 795 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13007, BgL_sz00_11001); 
return BgL_____rz00_13013;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13002, 
(int)(BgL_nbargsz00_10999)))
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_11001, BgL_fz00_13002, BgL_argsz00_11000, BgL_bpz00_13001, 
BINT(BgL_nbargsz00_10999));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_10997))->BgL_locz00), BgL_symbzd2funzd2_10998, 
(int)(BgL_nbargsz00_10999), 
PROCEDURE_ARITY(BgL_fz00_13002));} } } } } } } } 

}



/* &<@anonymous:1916> */
obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11002, obj_t BgL_sz00_11009)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_11003; BgL_ev_appz00_bglt BgL_i1161z00_11004; obj_t BgL_symbzd2funzd2_11005; long BgL_nbargsz00_11006; obj_t BgL_argsz00_11007; long BgL_siza7eza7_11008;
BgL_fz00_11003 = 
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)0))); 
BgL_i1161z00_11004 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_11005 = 
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)2))); 
BgL_nbargsz00_11006 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)3)))); 
BgL_argsz00_11007 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)4)))); 
BgL_siza7eza7_11008 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_bpz00_13017;
BgL_bpz00_13017 = 
VECTOR_REF(
((obj_t)BgL_sz00_11009),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_13018;
BgL_fz00_13018 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_11003))(BgL_fz00_11003, BgL_sz00_11009, BEOA); 
if(
PROCEDUREP(BgL_fz00_13018))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_11004))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13018); } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ufz00_13019;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17067;
BgL_tmpz00_17067 = 
((obj_t)BgL_fz00_13018); 
BgL_ufz00_13019 = 
PROCEDURE_ATTR(BgL_tmpz00_17067); } 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4595z00_17070;
if(
STRUCTP(BgL_ufz00_13019))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4595z00_17070 = 
(
STRUCT_KEY(BgL_ufz00_13019)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4595z00_17070 = ((bool_t)0)
; } 
if(BgL_test4595z00_17070)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arityz00_13020; obj_t BgL_runz00_13021; obj_t BgL_sfz00_13022;
BgL_arityz00_13020 = 
STRUCT_REF(BgL_ufz00_13019, 
(int)(((long)0))); 
BgL_runz00_13021 = 
STRUCT_REF(BgL_ufz00_13019, 
(int)(((long)1))); 
BgL_sfz00_13022 = 
STRUCT_REF(BgL_ufz00_13019, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_spz00_13023;
BgL_spz00_13023 = 
(
(long)CINT(BgL_bpz00_13017)+BgL_siza7eza7_11008); 
if(
(
(long)CINT(BgL_arityz00_13020)==BgL_nbargsz00_11006))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_11009, BgL_argsz00_11007, 
BINT(BgL_spz00_13023))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4598z00_17089;
if(
(
(long)CINT(BgL_arityz00_13020)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4598z00_17089 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4598z00_17089 = 
(
(long)CINT(BgL_arityz00_13020)<
(((long)-1)-BgL_nbargsz00_11006))
; } 
if(BgL_test4598z00_17089)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_11004))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_13019, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_11006), 
CINT(BgL_arityz00_13020)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_13020, BgL_sz00_11009, BgL_argsz00_11007, 
BINT(BgL_spz00_13023)); } } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_z12denvz12_13024;
BgL_z12denvz12_13024 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17105;
BgL_tmpz00_17105 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_11004))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13024, BgL_tmpz00_17105); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11009, 
BINT(BgL_spz00_13023), BgL_sfz00_13022))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13021, BgL_sz00_11009, 
BINT(BgL_spz00_13023));}  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_nsz00_13025;
BgL_nsz00_13025 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_arg1929z00_13026;
BgL_arg1929z00_13026 = 
(BgL_spz00_13023+BgL_nbargsz00_11006); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13025, ((long)2), BgL_sz00_11009, 
BINT(BgL_spz00_13023), 
BINT(BgL_arg1929z00_13026)); } 
VECTOR_SET(BgL_nsz00_13025,((long)1),BgL_sz00_11009); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13024, BgL_nsz00_13025); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ez00_13027;
BgL_ez00_13027 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3986z00_13028;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3987z00_13029;
BgL_arg3987z00_13029 = 
BGL_EXITD_PROTECT(BgL_ez00_13027); 
BgL_arg3986z00_13028 = 
MAKE_YOUNG_PAIR(BgL_sz00_11009, BgL_arg3987z00_13029); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13027, BgL_arg3986z00_13028); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_____rz00_13030;
BgL_____rz00_13030 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13021, BgL_nsz00_13025, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4601z00_17126;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3985z00_13031;
BgL_arg3985z00_13031 = 
BGL_EXITD_PROTECT(BgL_ez00_13027); 
BgL_test4601z00_17126 = 
PAIRP(BgL_arg3985z00_13031); } 
if(BgL_test4601z00_17126)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3983z00_13032;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3984z00_13033;
BgL_arg3984z00_13033 = 
BGL_EXITD_PROTECT(BgL_ez00_13027); 
BgL_arg3983z00_13032 = 
CDR(
((obj_t)BgL_arg3984z00_13033)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13027, BgL_arg3983z00_13032); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 781 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13024, BgL_sz00_11009); 
return BgL_____rz00_13030;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13018, 
(int)(BgL_nbargsz00_11006)))
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_auxz00_17139; obj_t BgL_tmpz00_17137;
BgL_auxz00_17139 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_11004))->BgL_locz00); 
BgL_tmpz00_17137 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17137, BgL_auxz00_17139); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_11009, BgL_fz00_13018, BgL_argsz00_11007, BgL_bpz00_13017, 
BINT(BgL_siza7eza7_11008));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_11004))->BgL_locz00), BgL_symbzd2funzd2_11005, 
(int)(BgL_nbargsz00_11006), 
PROCEDURE_ARITY(BgL_fz00_13018));} } } } } } } } 

}



/* &<@anonymous:1935> */
obj_t BGl_z62zc3z04anonymousza31935ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11010, obj_t BgL_sz00_11017)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_11011; BgL_ev_appz00_bglt BgL_i1161z00_11012; obj_t BgL_symbzd2funzd2_11013; long BgL_nbargsz00_11014; obj_t BgL_argsz00_11015; long BgL_siza7eza7_11016;
BgL_fz00_11011 = 
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)0))); 
BgL_i1161z00_11012 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_11013 = 
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)2))); 
BgL_nbargsz00_11014 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)3)))); 
BgL_argsz00_11015 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)4)))); 
BgL_siza7eza7_11016 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11010, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_bpz00_13034;
BgL_bpz00_13034 = 
VECTOR_REF(
((obj_t)BgL_sz00_11017),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_13035;
BgL_fz00_13035 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_11011))(BgL_fz00_11011, BgL_sz00_11017, BEOA); 
if(
PROCEDUREP(BgL_fz00_13035))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_11012))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13035); } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ufz00_13036;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17174;
BgL_tmpz00_17174 = 
((obj_t)BgL_fz00_13035); 
BgL_ufz00_13036 = 
PROCEDURE_ATTR(BgL_tmpz00_17174); } 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4604z00_17177;
if(
STRUCTP(BgL_ufz00_13036))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4604z00_17177 = 
(
STRUCT_KEY(BgL_ufz00_13036)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4604z00_17177 = ((bool_t)0)
; } 
if(BgL_test4604z00_17177)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arityz00_13037; obj_t BgL_runz00_13038; obj_t BgL_sfz00_13039;
BgL_arityz00_13037 = 
STRUCT_REF(BgL_ufz00_13036, 
(int)(((long)0))); 
BgL_runz00_13038 = 
STRUCT_REF(BgL_ufz00_13036, 
(int)(((long)1))); 
BgL_sfz00_13039 = 
STRUCT_REF(BgL_ufz00_13036, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_spz00_13040;
BgL_spz00_13040 = 
(
(long)CINT(BgL_bpz00_13034)+BgL_siza7eza7_11016); 
if(
(
(long)CINT(BgL_arityz00_13037)==BgL_nbargsz00_11014))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_11017, BgL_argsz00_11015, 
BINT(BgL_spz00_13040))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4607z00_17196;
if(
(
(long)CINT(BgL_arityz00_13037)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4607z00_17196 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4607z00_17196 = 
(
(long)CINT(BgL_arityz00_13037)<
(((long)-1)-BgL_nbargsz00_11014))
; } 
if(BgL_test4607z00_17196)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_11012))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_13036, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_11014), 
CINT(BgL_arityz00_13037)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_13037, BgL_sz00_11017, BgL_argsz00_11015, 
BINT(BgL_spz00_13040)); } } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_z12denvz12_13041;
BgL_z12denvz12_13041 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11017, 
BINT(BgL_spz00_13040), BgL_sfz00_13039))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13038, BgL_sz00_11017, 
BINT(BgL_spz00_13040));}  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_nsz00_13042;
BgL_nsz00_13042 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_arg1947z00_13043;
BgL_arg1947z00_13043 = 
(BgL_spz00_13040+BgL_nbargsz00_11014); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13042, ((long)2), BgL_sz00_11017, 
BINT(BgL_spz00_13040), 
BINT(BgL_arg1947z00_13043)); } 
VECTOR_SET(BgL_nsz00_13042,((long)1),BgL_sz00_11017); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13041, BgL_nsz00_13042); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ez00_13044;
BgL_ez00_13044 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3986z00_13045;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3987z00_13046;
BgL_arg3987z00_13046 = 
BGL_EXITD_PROTECT(BgL_ez00_13044); 
BgL_arg3986z00_13045 = 
MAKE_YOUNG_PAIR(BgL_sz00_11017, BgL_arg3987z00_13046); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13044, BgL_arg3986z00_13045); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_____rz00_13047;
BgL_____rz00_13047 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13038, BgL_nsz00_13042, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4610z00_17230;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3985z00_13048;
BgL_arg3985z00_13048 = 
BGL_EXITD_PROTECT(BgL_ez00_13044); 
BgL_test4610z00_17230 = 
PAIRP(BgL_arg3985z00_13048); } 
if(BgL_test4610z00_17230)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3983z00_13049;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg3984z00_13050;
BgL_arg3984z00_13050 = 
BGL_EXITD_PROTECT(BgL_ez00_13044); 
BgL_arg3983z00_13049 = 
CDR(
((obj_t)BgL_arg3984z00_13050)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13044, BgL_arg3983z00_13049); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 781 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13041, BgL_sz00_11017); 
return BgL_____rz00_13047;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13035, 
(int)(BgL_nbargsz00_11014)))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_11017, BgL_fz00_13035, BgL_argsz00_11015, BgL_bpz00_13034, 
BINT(BgL_siza7eza7_11016));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1161z00_11012))->BgL_locz00), BgL_symbzd2funzd2_11013, 
(int)(BgL_nbargsz00_11014), 
PROCEDURE_ARITY(BgL_fz00_13035));} } } } } } } } 

}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2037;
BgL_cfunz00_2037 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_2037))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4613z00_17250;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1364z00_2053;
BgL_a1364z00_2053 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4613z00_17250 = 
(
(long)(BgL_a1364z00_2053)>((long)0)); } } 
if(BgL_test4613z00_17250)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31956ze3z87_11018;
BgL_zc3z04anonymousza31956ze3z87_11018 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31956ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31956ze3z87_11018, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31956ze3z87_11018, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31956ze3z87_11018, 
(int)(((long)2)), BgL_cfunz00_2037); 
return BgL_zc3z04anonymousza31956ze3z87_11018;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31958ze3z87_11019;
BgL_zc3z04anonymousza31958ze3z87_11019 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31958ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31958ze3z87_11019, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31958ze3z87_11019, 
(int)(((long)1)), BgL_cfunz00_2037); 
return BgL_zc3z04anonymousza31958ze3z87_11019;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4615z00_17274;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1366z00_2117;
BgL_a1366z00_2117 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4615z00_17274 = 
(
(long)(BgL_a1366z00_2117)>((long)0)); } } 
if(BgL_test4615z00_17274)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31961ze3z87_11020;
BgL_zc3z04anonymousza31961ze3z87_11020 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31961ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31961ze3z87_11020, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31961ze3z87_11020, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31961ze3z87_11020, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31961ze3z87_11020, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31961ze3z87_11020;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31973ze3z87_11021;
BgL_zc3z04anonymousza31973ze3z87_11021 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_11021, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_11021, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_11021, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_11021, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31973ze3z87_11021;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4616z00_17302;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1368z00_2181;
BgL_a1368z00_2181 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4616z00_17302 = 
(
(long)(BgL_a1368z00_2181)>((long)0)); } } 
if(BgL_test4616z00_17302)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31986ze3z87_11022;
BgL_zc3z04anonymousza31986ze3z87_11022 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31986ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31986ze3z87_11022, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31986ze3z87_11022, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31986ze3z87_11022, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31986ze3z87_11022, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31986ze3z87_11022;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31998ze3z87_11023;
BgL_zc3z04anonymousza31998ze3z87_11023 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_11023, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_11023, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_11023, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_11023, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31998ze3z87_11023;} } } } } 

}



/* &<@anonymous:1956> */
obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11024, obj_t BgL_sz00_11028)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_siza7eza7_11025; obj_t BgL_locz00_11026; obj_t BgL_cfunz00_11027;
BgL_siza7eza7_11025 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)0)))); 
BgL_locz00_11026 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)1))); 
BgL_cfunz00_11027 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13051;
BgL_bpz00_13051 = 
VECTOR_REF(
((obj_t)BgL_sz00_11028),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13052;
BgL_nbpz00_13052 = 
(
(long)CINT(BgL_bpz00_13051)+BgL_siza7eza7_11025); 
VECTOR_SET(
((obj_t)BgL_sz00_11028),((long)0),
BINT(BgL_nbpz00_13052)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17344;
BgL_tmpz00_17344 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17344, BgL_locz00_11026); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13053;
BgL_rz00_13053 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11027))(BgL_cfunz00_11027, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11028),((long)0),BgL_bpz00_13051); 
return BgL_rz00_13053;} } } } } } 

}



/* &<@anonymous:1958> */
obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11029, obj_t BgL_sz00_11032)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_siza7eza7_11030; obj_t BgL_cfunz00_11031;
BgL_siza7eza7_11030 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11029, 
(int)(((long)0)))); 
BgL_cfunz00_11031 = 
PROCEDURE_REF(BgL_envz00_11029, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13054;
BgL_bpz00_13054 = 
VECTOR_REF(
((obj_t)BgL_sz00_11032),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13055;
BgL_nbpz00_13055 = 
(
(long)CINT(BgL_bpz00_13054)+BgL_siza7eza7_11030); 
VECTOR_SET(
((obj_t)BgL_sz00_11032),((long)0),
BINT(BgL_nbpz00_13055)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13056;
BgL_rz00_13056 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11031))(BgL_cfunz00_11031, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11032),((long)0),BgL_bpz00_13054); 
return BgL_rz00_13056;} } } } } } 

}



/* &<@anonymous:1961> */
obj_t BGl_z62zc3z04anonymousza31961ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11033, obj_t BgL_sz00_11038)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11034; obj_t BgL_locz00_11035; obj_t BgL_symbzd2funzd2_11036; long BgL_siza7eza7_11037;
BgL_funz00_11034 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)0))); 
BgL_locz00_11035 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11036 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)2))); 
BgL_siza7eza7_11037 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13057;
BgL_bpz00_13057 = 
VECTOR_REF(
((obj_t)BgL_sz00_11038),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13058;
BgL_fz00_13058 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11034))(BgL_funz00_11034, BgL_sz00_11038, BEOA); 
if(
PROCEDUREP(BgL_fz00_13058))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11035, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13058); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13059;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17387;
BgL_tmpz00_17387 = 
((obj_t)BgL_fz00_13058); 
BgL_ufz00_13059 = 
PROCEDURE_ATTR(BgL_tmpz00_17387); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4618z00_17390;
if(
STRUCTP(BgL_ufz00_13059))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4618z00_17390 = 
(
STRUCT_KEY(BgL_ufz00_13059)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4618z00_17390 = ((bool_t)0)
; } 
if(BgL_test4618z00_17390)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13060; obj_t BgL_runz00_13061; obj_t BgL_sfz00_13062;
BgL_arityz00_13060 = 
STRUCT_REF(BgL_ufz00_13059, 
(int)(((long)0))); 
BgL_runz00_13061 = 
STRUCT_REF(BgL_ufz00_13059, 
(int)(((long)1))); 
BgL_sfz00_13062 = 
STRUCT_REF(BgL_ufz00_13059, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13060)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13060))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13060)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1965z00_13065; obj_t BgL_arg1966z00_13066;
BgL_arg1965z00_13065 = 
(
(long)CINT(BgL_bpz00_13057)+((long)0)); 
BgL_arg1966z00_13066 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11038),BgL_arg1965z00_13065,BgL_arg1966z00_13066); } break;
default: 
BgL_case_else1177z00_13063:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1968z00_13064;
BgL_arg1968z00_13064 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13059), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11035, BgL_arg1968z00_13064, 
(int)(((long)0)), 
CINT(BgL_arityz00_13060)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1177z00_13063;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13067;
BgL_z12denvz12_13067 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13067, BgL_locz00_11035); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11038, BgL_bpz00_13057, BgL_sfz00_13062))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13061;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13068;
BgL_nsz00_13068 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1970z00_13069;
BgL_arg1970z00_13069 = 
(
(long)CINT(BgL_bpz00_13057)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13068, ((long)2), BgL_sz00_11038, BgL_bpz00_13057, 
BINT(BgL_arg1970z00_13069)); } 
VECTOR_SET(BgL_nsz00_13068,((long)1),BgL_sz00_11038); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13067, BgL_nsz00_13068); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13070;
BgL_ez00_13070 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13071;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13072;
BgL_arg3987z00_13072 = 
BGL_EXITD_PROTECT(BgL_ez00_13070); 
BgL_arg3986z00_13071 = 
MAKE_YOUNG_PAIR(BgL_sz00_11038, BgL_arg3987z00_13072); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13070, BgL_arg3986z00_13071); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13073;
BgL_____rz00_13073 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13061, BgL_nsz00_13068, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4623z00_17435;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13074;
BgL_arg3985z00_13074 = 
BGL_EXITD_PROTECT(BgL_ez00_13070); 
BgL_test4623z00_17435 = 
PAIRP(BgL_arg3985z00_13074); } 
if(BgL_test4623z00_17435)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13075;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13076;
BgL_arg3984z00_13076 = 
BGL_EXITD_PROTECT(BgL_ez00_13070); 
BgL_arg3983z00_13075 = 
CDR(
((obj_t)BgL_arg3984z00_13076)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13070, BgL_arg3983z00_13075); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13067, BgL_sz00_11038); 
return BgL_____rz00_13073;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13058, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13077;
BgL_nbpz00_13077 = 
(
(long)CINT(BgL_bpz00_13057)+BgL_siza7eza7_11037); 
VECTOR_SET(
((obj_t)BgL_sz00_11038),((long)0),
BINT(BgL_nbpz00_13077)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17451;
BgL_tmpz00_17451 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17451, BgL_locz00_11035); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13078;
BgL_rz00_13078 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13058))(BgL_fz00_13058, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11038),((long)0),BgL_bpz00_13057); 
return BgL_rz00_13078;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11035, BgL_symbzd2funzd2_11036, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13058));} } } } } } } } 

}



/* &<@anonymous:1973> */
obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11039, obj_t BgL_sz00_11044)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11040; obj_t BgL_locz00_11041; obj_t BgL_symbzd2funzd2_11042; long BgL_siza7eza7_11043;
BgL_funz00_11040 = 
PROCEDURE_REF(BgL_envz00_11039, 
(int)(((long)0))); 
BgL_locz00_11041 = 
PROCEDURE_REF(BgL_envz00_11039, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11042 = 
PROCEDURE_REF(BgL_envz00_11039, 
(int)(((long)2))); 
BgL_siza7eza7_11043 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11039, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13079;
BgL_bpz00_13079 = 
VECTOR_REF(
((obj_t)BgL_sz00_11044),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13080;
BgL_fz00_13080 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11040))(BgL_funz00_11040, BgL_sz00_11044, BEOA); 
if(
PROCEDUREP(BgL_fz00_13080))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11041, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13080); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13081;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17480;
BgL_tmpz00_17480 = 
((obj_t)BgL_fz00_13080); 
BgL_ufz00_13081 = 
PROCEDURE_ATTR(BgL_tmpz00_17480); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4626z00_17483;
if(
STRUCTP(BgL_ufz00_13081))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4626z00_17483 = 
(
STRUCT_KEY(BgL_ufz00_13081)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4626z00_17483 = ((bool_t)0)
; } 
if(BgL_test4626z00_17483)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13082; obj_t BgL_runz00_13083; obj_t BgL_sfz00_13084;
BgL_arityz00_13082 = 
STRUCT_REF(BgL_ufz00_13081, 
(int)(((long)0))); 
BgL_runz00_13083 = 
STRUCT_REF(BgL_ufz00_13081, 
(int)(((long)1))); 
BgL_sfz00_13084 = 
STRUCT_REF(BgL_ufz00_13081, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13082)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13082))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13082)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1977z00_13087; obj_t BgL_arg1978z00_13088;
BgL_arg1977z00_13087 = 
(
(long)CINT(BgL_bpz00_13079)+((long)0)); 
BgL_arg1978z00_13088 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11044),BgL_arg1977z00_13087,BgL_arg1978z00_13088); } break;
default: 
BgL_case_else1179z00_13085:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1980z00_13086;
BgL_arg1980z00_13086 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13081), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11041, BgL_arg1980z00_13086, 
(int)(((long)0)), 
CINT(BgL_arityz00_13082)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1179z00_13085;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13089;
BgL_z12denvz12_13089 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11044, BgL_bpz00_13079, BgL_sfz00_13084))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13083;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13090;
BgL_nsz00_13090 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1982z00_13091;
BgL_arg1982z00_13091 = 
(
(long)CINT(BgL_bpz00_13079)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13090, ((long)2), BgL_sz00_11044, BgL_bpz00_13079, 
BINT(BgL_arg1982z00_13091)); } 
VECTOR_SET(BgL_nsz00_13090,((long)1),BgL_sz00_11044); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13089, BgL_nsz00_13090); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13092;
BgL_ez00_13092 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13093;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13094;
BgL_arg3987z00_13094 = 
BGL_EXITD_PROTECT(BgL_ez00_13092); 
BgL_arg3986z00_13093 = 
MAKE_YOUNG_PAIR(BgL_sz00_11044, BgL_arg3987z00_13094); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13092, BgL_arg3986z00_13093); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13095;
BgL_____rz00_13095 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13083, BgL_nsz00_13090, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4631z00_17527;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13096;
BgL_arg3985z00_13096 = 
BGL_EXITD_PROTECT(BgL_ez00_13092); 
BgL_test4631z00_17527 = 
PAIRP(BgL_arg3985z00_13096); } 
if(BgL_test4631z00_17527)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13097;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13098;
BgL_arg3984z00_13098 = 
BGL_EXITD_PROTECT(BgL_ez00_13092); 
BgL_arg3983z00_13097 = 
CDR(
((obj_t)BgL_arg3984z00_13098)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13092, BgL_arg3983z00_13097); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13089, BgL_sz00_11044); 
return BgL_____rz00_13095;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13080, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13099;
BgL_nbpz00_13099 = 
(
(long)CINT(BgL_bpz00_13079)+BgL_siza7eza7_11043); 
VECTOR_SET(
((obj_t)BgL_sz00_11044),((long)0),
BINT(BgL_nbpz00_13099)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13100;
BgL_rz00_13100 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13080))(BgL_fz00_13080, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11044),((long)0),BgL_bpz00_13079); 
return BgL_rz00_13100;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11041, BgL_symbzd2funzd2_11042, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13080));} } } } } } } } 

}



/* &<@anonymous:1986> */
obj_t BGl_z62zc3z04anonymousza31986ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11045, obj_t BgL_sz00_11050)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11046; obj_t BgL_locz00_11047; obj_t BgL_symbzd2funzd2_11048; long BgL_siza7eza7_11049;
BgL_funz00_11046 = 
PROCEDURE_REF(BgL_envz00_11045, 
(int)(((long)0))); 
BgL_locz00_11047 = 
PROCEDURE_REF(BgL_envz00_11045, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11048 = 
PROCEDURE_REF(BgL_envz00_11045, 
(int)(((long)2))); 
BgL_siza7eza7_11049 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11045, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13101;
BgL_bpz00_13101 = 
VECTOR_REF(
((obj_t)BgL_sz00_11050),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13102;
BgL_fz00_13102 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11046))(BgL_funz00_11046, BgL_sz00_11050, BEOA); 
if(
PROCEDUREP(BgL_fz00_13102))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11047, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13102); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13103;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17569;
BgL_tmpz00_17569 = 
((obj_t)BgL_fz00_13102); 
BgL_ufz00_13103 = 
PROCEDURE_ATTR(BgL_tmpz00_17569); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4634z00_17572;
if(
STRUCTP(BgL_ufz00_13103))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4634z00_17572 = 
(
STRUCT_KEY(BgL_ufz00_13103)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4634z00_17572 = ((bool_t)0)
; } 
if(BgL_test4634z00_17572)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13104; obj_t BgL_runz00_13105; obj_t BgL_sfz00_13106;
BgL_arityz00_13104 = 
STRUCT_REF(BgL_ufz00_13103, 
(int)(((long)0))); 
BgL_runz00_13105 = 
STRUCT_REF(BgL_ufz00_13103, 
(int)(((long)1))); 
BgL_sfz00_13106 = 
STRUCT_REF(BgL_ufz00_13103, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13107;
BgL_spz00_13107 = 
(
(long)CINT(BgL_bpz00_13101)+BgL_siza7eza7_11049); 
if(
(
(long)CINT(BgL_arityz00_13104)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13104))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13104)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1990z00_13110; obj_t BgL_arg1991z00_13111;
BgL_arg1990z00_13110 = 
(BgL_spz00_13107+((long)0)); 
BgL_arg1991z00_13111 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11050),BgL_arg1990z00_13110,BgL_arg1991z00_13111); } break;
default: 
BgL_case_else1181z00_13108:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1993z00_13109;
BgL_arg1993z00_13109 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13103), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11047, BgL_arg1993z00_13109, 
(int)(((long)0)), 
CINT(BgL_arityz00_13104)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1181z00_13108;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13112;
BgL_z12denvz12_13112 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13112, BgL_locz00_11047); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11050, 
BINT(BgL_spz00_13107), BgL_sfz00_13106))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13105, BgL_sz00_11050, 
BINT(BgL_spz00_13107));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13113;
BgL_nsz00_13113 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1995z00_13114;
BgL_arg1995z00_13114 = 
(BgL_spz00_13107+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13113, ((long)2), BgL_sz00_11050, 
BINT(BgL_spz00_13107), 
BINT(BgL_arg1995z00_13114)); } 
VECTOR_SET(BgL_nsz00_13113,((long)1),BgL_sz00_11050); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13112, BgL_nsz00_13113); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13115;
BgL_ez00_13115 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13116;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13117;
BgL_arg3987z00_13117 = 
BGL_EXITD_PROTECT(BgL_ez00_13115); 
BgL_arg3986z00_13116 = 
MAKE_YOUNG_PAIR(BgL_sz00_11050, BgL_arg3987z00_13117); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13115, BgL_arg3986z00_13116); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13118;
BgL_____rz00_13118 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13105, BgL_nsz00_13113, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4639z00_17621;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13119;
BgL_arg3985z00_13119 = 
BGL_EXITD_PROTECT(BgL_ez00_13115); 
BgL_test4639z00_17621 = 
PAIRP(BgL_arg3985z00_13119); } 
if(BgL_test4639z00_17621)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13120;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13121;
BgL_arg3984z00_13121 = 
BGL_EXITD_PROTECT(BgL_ez00_13115); 
BgL_arg3983z00_13120 = 
CDR(
((obj_t)BgL_arg3984z00_13121)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13115, BgL_arg3983z00_13120); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13112, BgL_sz00_11050); 
return BgL_____rz00_13118;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13102, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13122;
BgL_nbpz00_13122 = 
(
(long)CINT(BgL_bpz00_13101)+BgL_siza7eza7_11049); 
VECTOR_SET(
((obj_t)BgL_sz00_11050),((long)0),
BINT(BgL_nbpz00_13122)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17637;
BgL_tmpz00_17637 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17637, BgL_locz00_11047); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13123;
BgL_rz00_13123 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13102))(BgL_fz00_13102, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11050),((long)0),BgL_bpz00_13101); 
return BgL_rz00_13123;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11047, BgL_symbzd2funzd2_11048, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13102));} } } } } } } } 

}



/* &<@anonymous:1998> */
obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11051, obj_t BgL_sz00_11056)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11052; obj_t BgL_locz00_11053; obj_t BgL_symbzd2funzd2_11054; long BgL_siza7eza7_11055;
BgL_funz00_11052 = 
PROCEDURE_REF(BgL_envz00_11051, 
(int)(((long)0))); 
BgL_locz00_11053 = 
PROCEDURE_REF(BgL_envz00_11051, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11054 = 
PROCEDURE_REF(BgL_envz00_11051, 
(int)(((long)2))); 
BgL_siza7eza7_11055 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11051, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13124;
BgL_bpz00_13124 = 
VECTOR_REF(
((obj_t)BgL_sz00_11056),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13125;
BgL_fz00_13125 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11052))(BgL_funz00_11052, BgL_sz00_11056, BEOA); 
if(
PROCEDUREP(BgL_fz00_13125))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11053, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13125); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13126;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17666;
BgL_tmpz00_17666 = 
((obj_t)BgL_fz00_13125); 
BgL_ufz00_13126 = 
PROCEDURE_ATTR(BgL_tmpz00_17666); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4642z00_17669;
if(
STRUCTP(BgL_ufz00_13126))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4642z00_17669 = 
(
STRUCT_KEY(BgL_ufz00_13126)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4642z00_17669 = ((bool_t)0)
; } 
if(BgL_test4642z00_17669)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13127; obj_t BgL_runz00_13128; obj_t BgL_sfz00_13129;
BgL_arityz00_13127 = 
STRUCT_REF(BgL_ufz00_13126, 
(int)(((long)0))); 
BgL_runz00_13128 = 
STRUCT_REF(BgL_ufz00_13126, 
(int)(((long)1))); 
BgL_sfz00_13129 = 
STRUCT_REF(BgL_ufz00_13126, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13130;
BgL_spz00_13130 = 
(
(long)CINT(BgL_bpz00_13124)+BgL_siza7eza7_11055); 
if(
(
(long)CINT(BgL_arityz00_13127)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13127))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13127)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2002z00_13133; obj_t BgL_arg2003z00_13134;
BgL_arg2002z00_13133 = 
(BgL_spz00_13130+((long)0)); 
BgL_arg2003z00_13134 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11056),BgL_arg2002z00_13133,BgL_arg2003z00_13134); } break;
default: 
BgL_case_else1183z00_13131:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2005z00_13132;
BgL_arg2005z00_13132 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13126), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11053, BgL_arg2005z00_13132, 
(int)(((long)0)), 
CINT(BgL_arityz00_13127)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1183z00_13131;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13135;
BgL_z12denvz12_13135 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11056, 
BINT(BgL_spz00_13130), BgL_sfz00_13129))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13128, BgL_sz00_11056, 
BINT(BgL_spz00_13130));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13136;
BgL_nsz00_13136 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2007z00_13137;
BgL_arg2007z00_13137 = 
(BgL_spz00_13130+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13136, ((long)2), BgL_sz00_11056, 
BINT(BgL_spz00_13130), 
BINT(BgL_arg2007z00_13137)); } 
VECTOR_SET(BgL_nsz00_13136,((long)1),BgL_sz00_11056); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13135, BgL_nsz00_13136); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13138;
BgL_ez00_13138 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13139;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13140;
BgL_arg3987z00_13140 = 
BGL_EXITD_PROTECT(BgL_ez00_13138); 
BgL_arg3986z00_13139 = 
MAKE_YOUNG_PAIR(BgL_sz00_11056, BgL_arg3987z00_13140); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13138, BgL_arg3986z00_13139); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13141;
BgL_____rz00_13141 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13128, BgL_nsz00_13136, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4647z00_17717;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13142;
BgL_arg3985z00_13142 = 
BGL_EXITD_PROTECT(BgL_ez00_13138); 
BgL_test4647z00_17717 = 
PAIRP(BgL_arg3985z00_13142); } 
if(BgL_test4647z00_17717)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13143;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13144;
BgL_arg3984z00_13144 = 
BGL_EXITD_PROTECT(BgL_ez00_13138); 
BgL_arg3983z00_13143 = 
CDR(
((obj_t)BgL_arg3984z00_13144)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13138, BgL_arg3983z00_13143); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13135, BgL_sz00_11056); 
return BgL_____rz00_13141;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13125, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13145;
BgL_nbpz00_13145 = 
(
(long)CINT(BgL_bpz00_13124)+BgL_siza7eza7_11055); 
VECTOR_SET(
((obj_t)BgL_sz00_11056),((long)0),
BINT(BgL_nbpz00_13145)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13146;
BgL_rz00_13146 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13125))(BgL_fz00_13125, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11056),((long)0),BgL_bpz00_13124); 
return BgL_rz00_13146;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11053, BgL_symbzd2funzd2_11054, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13125));} } } } } } } } 

}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2184;
BgL_cfunz00_2184 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2184))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4650z00_17744;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1370z00_2202;
BgL_a1370z00_2202 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4650z00_17744 = 
(
(long)(BgL_a1370z00_2202)>((long)0)); } } 
if(BgL_test4650z00_17744)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32011ze3z87_11057;
BgL_zc3z04anonymousza32011ze3z87_11057 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11057, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11057, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11057, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11057, 
(int)(((long)3)), BgL_cfunz00_2184); 
return BgL_zc3z04anonymousza32011ze3z87_11057;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32013ze3z87_11058;
BgL_zc3z04anonymousza32013ze3z87_11058 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_11058, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_11058, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_11058, 
(int)(((long)2)), BgL_cfunz00_2184); 
return BgL_zc3z04anonymousza32013ze3z87_11058;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4652z00_17772;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1372z00_2278;
BgL_a1372z00_2278 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4652z00_17772 = 
(
(long)(BgL_a1372z00_2278)>((long)0)); } } 
if(BgL_test4652z00_17772)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32016ze3z87_11059;
BgL_zc3z04anonymousza32016ze3z87_11059 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_11059, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_11059, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_11059, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_11059, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32016ze3z87_11059, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32016ze3z87_11059;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32033ze3z87_11060;
BgL_zc3z04anonymousza32033ze3z87_11060 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32033ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32033ze3z87_11060, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32033ze3z87_11060, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32033ze3z87_11060, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32033ze3z87_11060, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32033ze3z87_11060, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32033ze3z87_11060;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4653z00_17804;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1374z00_2354;
BgL_a1374z00_2354 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4653z00_17804 = 
(
(long)(BgL_a1374z00_2354)>((long)0)); } } 
if(BgL_test4653z00_17804)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32051ze3z87_11061;
BgL_zc3z04anonymousza32051ze3z87_11061 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11061, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11061, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11061, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11061, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11061, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32051ze3z87_11061;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32068ze3z87_11062;
BgL_zc3z04anonymousza32068ze3z87_11062 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32068ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32068ze3z87_11062, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32068ze3z87_11062, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32068ze3z87_11062, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32068ze3z87_11062, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32068ze3z87_11062, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32068ze3z87_11062;} } } } } 

}



/* &<@anonymous:2011> */
obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11063, obj_t BgL_sz00_11068)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11064; long BgL_siza7eza7_11065; obj_t BgL_locz00_11066; obj_t BgL_cfunz00_11067;
BgL_a1z00_11064 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)0))); 
BgL_siza7eza7_11065 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)1)))); 
BgL_locz00_11066 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)2))); 
BgL_cfunz00_11067 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13147;
BgL_bpz00_13147 = 
VECTOR_REF(
((obj_t)BgL_sz00_11068),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13148;
BgL_a1z00_13148 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11064))(BgL_a1z00_11064, BgL_sz00_11068, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13149;
BgL_nbpz00_13149 = 
(
(long)CINT(BgL_bpz00_13147)+BgL_siza7eza7_11065); 
VECTOR_SET(
((obj_t)BgL_sz00_11068),((long)0),
BINT(BgL_nbpz00_13149)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17856;
BgL_tmpz00_17856 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17856, BgL_locz00_11066); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13150;
BgL_rz00_13150 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11067))(BgL_cfunz00_11067, BgL_a1z00_13148, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11068),((long)0),BgL_bpz00_13147); 
return BgL_rz00_13150;} } } } } } 

}



/* &<@anonymous:2013> */
obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11069, obj_t BgL_sz00_11073)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11070; long BgL_siza7eza7_11071; obj_t BgL_cfunz00_11072;
BgL_a1z00_11070 = 
PROCEDURE_REF(BgL_envz00_11069, 
(int)(((long)0))); 
BgL_siza7eza7_11071 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11069, 
(int)(((long)1)))); 
BgL_cfunz00_11072 = 
PROCEDURE_REF(BgL_envz00_11069, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13151;
BgL_bpz00_13151 = 
VECTOR_REF(
((obj_t)BgL_sz00_11073),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13152;
BgL_a1z00_13152 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11070))(BgL_a1z00_11070, BgL_sz00_11073, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13153;
BgL_nbpz00_13153 = 
(
(long)CINT(BgL_bpz00_13151)+BgL_siza7eza7_11071); 
VECTOR_SET(
((obj_t)BgL_sz00_11073),((long)0),
BINT(BgL_nbpz00_13153)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13154;
BgL_rz00_13154 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11072))(BgL_cfunz00_11072, BgL_a1z00_13152, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11073),((long)0),BgL_bpz00_13151); 
return BgL_rz00_13154;} } } } } } 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11074, obj_t BgL_sz00_11080)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11075; obj_t BgL_a1z00_11076; obj_t BgL_locz00_11077; obj_t BgL_symbzd2funzd2_11078; long BgL_siza7eza7_11079;
BgL_funz00_11075 = 
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)0))); 
BgL_a1z00_11076 = 
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)1))); 
BgL_locz00_11077 = 
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11078 = 
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)3))); 
BgL_siza7eza7_11079 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13155;
BgL_bpz00_13155 = 
VECTOR_REF(
((obj_t)BgL_sz00_11080),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13156; obj_t BgL_a1z00_13157;
BgL_fz00_13156 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11075))(BgL_funz00_11075, BgL_sz00_11080, BEOA); 
BgL_a1z00_13157 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11076))(BgL_a1z00_11076, BgL_sz00_11080, BEOA); 
if(
PROCEDUREP(BgL_fz00_13156))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11077, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13156); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13158;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17913;
BgL_tmpz00_17913 = 
((obj_t)BgL_fz00_13156); 
BgL_ufz00_13158 = 
PROCEDURE_ATTR(BgL_tmpz00_17913); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4655z00_17916;
if(
STRUCTP(BgL_ufz00_13158))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4655z00_17916 = 
(
STRUCT_KEY(BgL_ufz00_13158)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4655z00_17916 = ((bool_t)0)
; } 
if(BgL_test4655z00_17916)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13159; obj_t BgL_runz00_13160; obj_t BgL_sfz00_13161;
BgL_arityz00_13159 = 
STRUCT_REF(BgL_ufz00_13158, 
(int)(((long)0))); 
BgL_runz00_13160 = 
STRUCT_REF(BgL_ufz00_13158, 
(int)(((long)1))); 
BgL_sfz00_13161 = 
STRUCT_REF(BgL_ufz00_13158, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13159)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2020z00_13162;
BgL_arg2020z00_13162 = 
(
(long)CINT(BgL_bpz00_13155)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11080),BgL_arg2020z00_13162,BgL_a1z00_13157); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13159))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13159)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2021z00_13165; obj_t BgL_arg2022z00_13166;
BgL_arg2021z00_13165 = 
(
(long)CINT(BgL_bpz00_13155)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2023z00_13167;
BgL_list2023z00_13167 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13157, BNIL); 
BgL_arg2022z00_13166 = BgL_list2023z00_13167; } 
VECTOR_SET(
((obj_t)BgL_sz00_11080),BgL_arg2021z00_13165,BgL_arg2022z00_13166); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2024z00_13168;
BgL_arg2024z00_13168 = 
(
(long)CINT(BgL_bpz00_13155)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11080),BgL_arg2024z00_13168,BgL_a1z00_13157); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2025z00_13169; obj_t BgL_arg2026z00_13170;
BgL_arg2025z00_13169 = 
(
(long)CINT(BgL_bpz00_13155)+((long)1)); 
BgL_arg2026z00_13170 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11080),BgL_arg2025z00_13169,BgL_arg2026z00_13170); } break;
default: 
BgL_case_else1185z00_13163:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2028z00_13164;
BgL_arg2028z00_13164 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13158), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11077, BgL_arg2028z00_13164, 
(int)(((long)1)), 
CINT(BgL_arityz00_13159)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1185z00_13163;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13171;
BgL_z12denvz12_13171 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13171, BgL_locz00_11077); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11080, BgL_bpz00_13155, BgL_sfz00_13161))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13160;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13172;
BgL_nsz00_13172 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2030z00_13173;
BgL_arg2030z00_13173 = 
(
(long)CINT(BgL_bpz00_13155)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13172, ((long)2), BgL_sz00_11080, BgL_bpz00_13155, 
BINT(BgL_arg2030z00_13173)); } 
VECTOR_SET(BgL_nsz00_13172,((long)1),BgL_sz00_11080); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13171, BgL_nsz00_13172); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13174;
BgL_ez00_13174 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13175;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13176;
BgL_arg3987z00_13176 = 
BGL_EXITD_PROTECT(BgL_ez00_13174); 
BgL_arg3986z00_13175 = 
MAKE_YOUNG_PAIR(BgL_sz00_11080, BgL_arg3987z00_13176); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13174, BgL_arg3986z00_13175); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13177;
BgL_____rz00_13177 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13160, BgL_nsz00_13172, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4660z00_17974;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13178;
BgL_arg3985z00_13178 = 
BGL_EXITD_PROTECT(BgL_ez00_13174); 
BgL_test4660z00_17974 = 
PAIRP(BgL_arg3985z00_13178); } 
if(BgL_test4660z00_17974)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13179;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13180;
BgL_arg3984z00_13180 = 
BGL_EXITD_PROTECT(BgL_ez00_13174); 
BgL_arg3983z00_13179 = 
CDR(
((obj_t)BgL_arg3984z00_13180)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13174, BgL_arg3983z00_13179); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13171, BgL_sz00_11080); 
return BgL_____rz00_13177;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13156, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13181;
BgL_nbpz00_13181 = 
(
(long)CINT(BgL_bpz00_13155)+BgL_siza7eza7_11079); 
VECTOR_SET(
((obj_t)BgL_sz00_11080),((long)0),
BINT(BgL_nbpz00_13181)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17990;
BgL_tmpz00_17990 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17990, BgL_locz00_11077); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13182;
BgL_rz00_13182 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13156))(BgL_fz00_13156, BgL_a1z00_13157, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11080),((long)0),BgL_bpz00_13155); 
return BgL_rz00_13182;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11077, BgL_symbzd2funzd2_11078, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13156));} } } } } } } } 

}



/* &<@anonymous:2033> */
obj_t BGl_z62zc3z04anonymousza32033ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11081, obj_t BgL_sz00_11087)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11082; obj_t BgL_a1z00_11083; obj_t BgL_locz00_11084; obj_t BgL_symbzd2funzd2_11085; long BgL_siza7eza7_11086;
BgL_funz00_11082 = 
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)0))); 
BgL_a1z00_11083 = 
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)1))); 
BgL_locz00_11084 = 
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11085 = 
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)3))); 
BgL_siza7eza7_11086 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11081, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13183;
BgL_bpz00_13183 = 
VECTOR_REF(
((obj_t)BgL_sz00_11087),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13184; obj_t BgL_a1z00_13185;
BgL_fz00_13184 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11082))(BgL_funz00_11082, BgL_sz00_11087, BEOA); 
BgL_a1z00_13185 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11083))(BgL_a1z00_11083, BgL_sz00_11087, BEOA); 
if(
PROCEDUREP(BgL_fz00_13184))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11084, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13184); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13186;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18026;
BgL_tmpz00_18026 = 
((obj_t)BgL_fz00_13184); 
BgL_ufz00_13186 = 
PROCEDURE_ATTR(BgL_tmpz00_18026); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4663z00_18029;
if(
STRUCTP(BgL_ufz00_13186))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4663z00_18029 = 
(
STRUCT_KEY(BgL_ufz00_13186)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4663z00_18029 = ((bool_t)0)
; } 
if(BgL_test4663z00_18029)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13187; obj_t BgL_runz00_13188; obj_t BgL_sfz00_13189;
BgL_arityz00_13187 = 
STRUCT_REF(BgL_ufz00_13186, 
(int)(((long)0))); 
BgL_runz00_13188 = 
STRUCT_REF(BgL_ufz00_13186, 
(int)(((long)1))); 
BgL_sfz00_13189 = 
STRUCT_REF(BgL_ufz00_13186, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13187)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2037z00_13190;
BgL_arg2037z00_13190 = 
(
(long)CINT(BgL_bpz00_13183)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11087),BgL_arg2037z00_13190,BgL_a1z00_13185); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13187))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13187)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2038z00_13193; obj_t BgL_arg2039z00_13194;
BgL_arg2038z00_13193 = 
(
(long)CINT(BgL_bpz00_13183)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2040z00_13195;
BgL_list2040z00_13195 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13185, BNIL); 
BgL_arg2039z00_13194 = BgL_list2040z00_13195; } 
VECTOR_SET(
((obj_t)BgL_sz00_11087),BgL_arg2038z00_13193,BgL_arg2039z00_13194); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2041z00_13196;
BgL_arg2041z00_13196 = 
(
(long)CINT(BgL_bpz00_13183)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11087),BgL_arg2041z00_13196,BgL_a1z00_13185); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2042z00_13197; obj_t BgL_arg2043z00_13198;
BgL_arg2042z00_13197 = 
(
(long)CINT(BgL_bpz00_13183)+((long)1)); 
BgL_arg2043z00_13198 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11087),BgL_arg2042z00_13197,BgL_arg2043z00_13198); } break;
default: 
BgL_case_else1187z00_13191:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2045z00_13192;
BgL_arg2045z00_13192 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13186), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11084, BgL_arg2045z00_13192, 
(int)(((long)1)), 
CINT(BgL_arityz00_13187)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1187z00_13191;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13199;
BgL_z12denvz12_13199 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11087, BgL_bpz00_13183, BgL_sfz00_13189))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13188;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13200;
BgL_nsz00_13200 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2047z00_13201;
BgL_arg2047z00_13201 = 
(
(long)CINT(BgL_bpz00_13183)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13200, ((long)2), BgL_sz00_11087, BgL_bpz00_13183, 
BINT(BgL_arg2047z00_13201)); } 
VECTOR_SET(BgL_nsz00_13200,((long)1),BgL_sz00_11087); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13199, BgL_nsz00_13200); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13202;
BgL_ez00_13202 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13203;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13204;
BgL_arg3987z00_13204 = 
BGL_EXITD_PROTECT(BgL_ez00_13202); 
BgL_arg3986z00_13203 = 
MAKE_YOUNG_PAIR(BgL_sz00_11087, BgL_arg3987z00_13204); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13202, BgL_arg3986z00_13203); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13205;
BgL_____rz00_13205 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13188, BgL_nsz00_13200, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4668z00_18086;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13206;
BgL_arg3985z00_13206 = 
BGL_EXITD_PROTECT(BgL_ez00_13202); 
BgL_test4668z00_18086 = 
PAIRP(BgL_arg3985z00_13206); } 
if(BgL_test4668z00_18086)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13207;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13208;
BgL_arg3984z00_13208 = 
BGL_EXITD_PROTECT(BgL_ez00_13202); 
BgL_arg3983z00_13207 = 
CDR(
((obj_t)BgL_arg3984z00_13208)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13202, BgL_arg3983z00_13207); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13199, BgL_sz00_11087); 
return BgL_____rz00_13205;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13184, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13209;
BgL_nbpz00_13209 = 
(
(long)CINT(BgL_bpz00_13183)+BgL_siza7eza7_11086); 
VECTOR_SET(
((obj_t)BgL_sz00_11087),((long)0),
BINT(BgL_nbpz00_13209)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13210;
BgL_rz00_13210 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13184))(BgL_fz00_13184, BgL_a1z00_13185, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11087),((long)0),BgL_bpz00_13183); 
return BgL_rz00_13210;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11084, BgL_symbzd2funzd2_11085, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13184));} } } } } } } } 

}



/* &<@anonymous:2051> */
obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11088, obj_t BgL_sz00_11094)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11089; obj_t BgL_a1z00_11090; obj_t BgL_locz00_11091; obj_t BgL_symbzd2funzd2_11092; long BgL_siza7eza7_11093;
BgL_funz00_11089 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)0))); 
BgL_a1z00_11090 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)1))); 
BgL_locz00_11091 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11092 = 
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)3))); 
BgL_siza7eza7_11093 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11088, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13211;
BgL_bpz00_13211 = 
VECTOR_REF(
((obj_t)BgL_sz00_11094),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13212; obj_t BgL_a1z00_13213;
BgL_fz00_13212 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11089))(BgL_funz00_11089, BgL_sz00_11094, BEOA); 
BgL_a1z00_13213 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11090))(BgL_a1z00_11090, BgL_sz00_11094, BEOA); 
if(
PROCEDUREP(BgL_fz00_13212))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11091, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13212); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13214;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18135;
BgL_tmpz00_18135 = 
((obj_t)BgL_fz00_13212); 
BgL_ufz00_13214 = 
PROCEDURE_ATTR(BgL_tmpz00_18135); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4671z00_18138;
if(
STRUCTP(BgL_ufz00_13214))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4671z00_18138 = 
(
STRUCT_KEY(BgL_ufz00_13214)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4671z00_18138 = ((bool_t)0)
; } 
if(BgL_test4671z00_18138)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13215; obj_t BgL_runz00_13216; obj_t BgL_sfz00_13217;
BgL_arityz00_13215 = 
STRUCT_REF(BgL_ufz00_13214, 
(int)(((long)0))); 
BgL_runz00_13216 = 
STRUCT_REF(BgL_ufz00_13214, 
(int)(((long)1))); 
BgL_sfz00_13217 = 
STRUCT_REF(BgL_ufz00_13214, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13218;
BgL_spz00_13218 = 
(
(long)CINT(BgL_bpz00_13211)+BgL_siza7eza7_11093); 
if(
(
(long)CINT(BgL_arityz00_13215)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2055z00_13219;
BgL_arg2055z00_13219 = 
(BgL_spz00_13218+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11094),BgL_arg2055z00_13219,BgL_a1z00_13213); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13215))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13215)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2056z00_13222; obj_t BgL_arg2057z00_13223;
BgL_arg2056z00_13222 = 
(BgL_spz00_13218+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2058z00_13224;
BgL_list2058z00_13224 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13213, BNIL); 
BgL_arg2057z00_13223 = BgL_list2058z00_13224; } 
VECTOR_SET(
((obj_t)BgL_sz00_11094),BgL_arg2056z00_13222,BgL_arg2057z00_13223); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2059z00_13225;
BgL_arg2059z00_13225 = 
(BgL_spz00_13218+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11094),BgL_arg2059z00_13225,BgL_a1z00_13213); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2060z00_13226; obj_t BgL_arg2061z00_13227;
BgL_arg2060z00_13226 = 
(BgL_spz00_13218+((long)1)); 
BgL_arg2061z00_13227 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11094),BgL_arg2060z00_13226,BgL_arg2061z00_13227); } break;
default: 
BgL_case_else1189z00_13220:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2063z00_13221;
BgL_arg2063z00_13221 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13214), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11091, BgL_arg2063z00_13221, 
(int)(((long)1)), 
CINT(BgL_arityz00_13215)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1189z00_13220;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13228;
BgL_z12denvz12_13228 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13228, BgL_locz00_11091); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11094, 
BINT(BgL_spz00_13218), BgL_sfz00_13217))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13216, BgL_sz00_11094, 
BINT(BgL_spz00_13218));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13229;
BgL_nsz00_13229 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2065z00_13230;
BgL_arg2065z00_13230 = 
(BgL_spz00_13218+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13229, ((long)2), BgL_sz00_11094, 
BINT(BgL_spz00_13218), 
BINT(BgL_arg2065z00_13230)); } 
VECTOR_SET(BgL_nsz00_13229,((long)1),BgL_sz00_11094); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13228, BgL_nsz00_13229); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13231;
BgL_ez00_13231 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13232;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13233;
BgL_arg3987z00_13233 = 
BGL_EXITD_PROTECT(BgL_ez00_13231); 
BgL_arg3986z00_13232 = 
MAKE_YOUNG_PAIR(BgL_sz00_11094, BgL_arg3987z00_13233); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13231, BgL_arg3986z00_13232); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13234;
BgL_____rz00_13234 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13216, BgL_nsz00_13229, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4676z00_18197;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13235;
BgL_arg3985z00_13235 = 
BGL_EXITD_PROTECT(BgL_ez00_13231); 
BgL_test4676z00_18197 = 
PAIRP(BgL_arg3985z00_13235); } 
if(BgL_test4676z00_18197)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13236;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13237;
BgL_arg3984z00_13237 = 
BGL_EXITD_PROTECT(BgL_ez00_13231); 
BgL_arg3983z00_13236 = 
CDR(
((obj_t)BgL_arg3984z00_13237)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13231, BgL_arg3983z00_13236); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13228, BgL_sz00_11094); 
return BgL_____rz00_13234;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13212, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13238;
BgL_nbpz00_13238 = 
(
(long)CINT(BgL_bpz00_13211)+BgL_siza7eza7_11093); 
VECTOR_SET(
((obj_t)BgL_sz00_11094),((long)0),
BINT(BgL_nbpz00_13238)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18213;
BgL_tmpz00_18213 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18213, BgL_locz00_11091); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13239;
BgL_rz00_13239 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13212))(BgL_fz00_13212, BgL_a1z00_13213, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11094),((long)0),BgL_bpz00_13211); 
return BgL_rz00_13239;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11091, BgL_symbzd2funzd2_11092, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13212));} } } } } } } } 

}



/* &<@anonymous:2068> */
obj_t BGl_z62zc3z04anonymousza32068ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11095, obj_t BgL_sz00_11101)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11096; obj_t BgL_a1z00_11097; obj_t BgL_locz00_11098; obj_t BgL_symbzd2funzd2_11099; long BgL_siza7eza7_11100;
BgL_funz00_11096 = 
PROCEDURE_REF(BgL_envz00_11095, 
(int)(((long)0))); 
BgL_a1z00_11097 = 
PROCEDURE_REF(BgL_envz00_11095, 
(int)(((long)1))); 
BgL_locz00_11098 = 
PROCEDURE_REF(BgL_envz00_11095, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11099 = 
PROCEDURE_REF(BgL_envz00_11095, 
(int)(((long)3))); 
BgL_siza7eza7_11100 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11095, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13240;
BgL_bpz00_13240 = 
VECTOR_REF(
((obj_t)BgL_sz00_11101),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13241; obj_t BgL_a1z00_13242;
BgL_fz00_13241 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11096))(BgL_funz00_11096, BgL_sz00_11101, BEOA); 
BgL_a1z00_13242 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11097))(BgL_a1z00_11097, BgL_sz00_11101, BEOA); 
if(
PROCEDUREP(BgL_fz00_13241))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11098, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13241); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13243;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18249;
BgL_tmpz00_18249 = 
((obj_t)BgL_fz00_13241); 
BgL_ufz00_13243 = 
PROCEDURE_ATTR(BgL_tmpz00_18249); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4679z00_18252;
if(
STRUCTP(BgL_ufz00_13243))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4679z00_18252 = 
(
STRUCT_KEY(BgL_ufz00_13243)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4679z00_18252 = ((bool_t)0)
; } 
if(BgL_test4679z00_18252)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13244; obj_t BgL_runz00_13245; obj_t BgL_sfz00_13246;
BgL_arityz00_13244 = 
STRUCT_REF(BgL_ufz00_13243, 
(int)(((long)0))); 
BgL_runz00_13245 = 
STRUCT_REF(BgL_ufz00_13243, 
(int)(((long)1))); 
BgL_sfz00_13246 = 
STRUCT_REF(BgL_ufz00_13243, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13247;
BgL_spz00_13247 = 
(
(long)CINT(BgL_bpz00_13240)+BgL_siza7eza7_11100); 
if(
(
(long)CINT(BgL_arityz00_13244)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2072z00_13248;
BgL_arg2072z00_13248 = 
(BgL_spz00_13247+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2072z00_13248,BgL_a1z00_13242); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13244))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13244)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2073z00_13251; obj_t BgL_arg2074z00_13252;
BgL_arg2073z00_13251 = 
(BgL_spz00_13247+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2075z00_13253;
BgL_list2075z00_13253 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13242, BNIL); 
BgL_arg2074z00_13252 = BgL_list2075z00_13253; } 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2073z00_13251,BgL_arg2074z00_13252); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2076z00_13254;
BgL_arg2076z00_13254 = 
(BgL_spz00_13247+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2076z00_13254,BgL_a1z00_13242); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2077z00_13255; obj_t BgL_arg2078z00_13256;
BgL_arg2077z00_13255 = 
(BgL_spz00_13247+((long)1)); 
BgL_arg2078z00_13256 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11101),BgL_arg2077z00_13255,BgL_arg2078z00_13256); } break;
default: 
BgL_case_else1191z00_13249:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2080z00_13250;
BgL_arg2080z00_13250 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13243), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11098, BgL_arg2080z00_13250, 
(int)(((long)1)), 
CINT(BgL_arityz00_13244)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1191z00_13249;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13257;
BgL_z12denvz12_13257 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11101, 
BINT(BgL_spz00_13247), BgL_sfz00_13246))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13245, BgL_sz00_11101, 
BINT(BgL_spz00_13247));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13258;
BgL_nsz00_13258 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2082z00_13259;
BgL_arg2082z00_13259 = 
(BgL_spz00_13247+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13258, ((long)2), BgL_sz00_11101, 
BINT(BgL_spz00_13247), 
BINT(BgL_arg2082z00_13259)); } 
VECTOR_SET(BgL_nsz00_13258,((long)1),BgL_sz00_11101); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13257, BgL_nsz00_13258); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13260;
BgL_ez00_13260 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13261;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13262;
BgL_arg3987z00_13262 = 
BGL_EXITD_PROTECT(BgL_ez00_13260); 
BgL_arg3986z00_13261 = 
MAKE_YOUNG_PAIR(BgL_sz00_11101, BgL_arg3987z00_13262); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13260, BgL_arg3986z00_13261); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13263;
BgL_____rz00_13263 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13245, BgL_nsz00_13258, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4684z00_18310;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13264;
BgL_arg3985z00_13264 = 
BGL_EXITD_PROTECT(BgL_ez00_13260); 
BgL_test4684z00_18310 = 
PAIRP(BgL_arg3985z00_13264); } 
if(BgL_test4684z00_18310)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13265;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13266;
BgL_arg3984z00_13266 = 
BGL_EXITD_PROTECT(BgL_ez00_13260); 
BgL_arg3983z00_13265 = 
CDR(
((obj_t)BgL_arg3984z00_13266)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13260, BgL_arg3983z00_13265); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13257, BgL_sz00_11101); 
return BgL_____rz00_13263;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13241, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13267;
BgL_nbpz00_13267 = 
(
(long)CINT(BgL_bpz00_13240)+BgL_siza7eza7_11100); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),((long)0),
BINT(BgL_nbpz00_13267)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13268;
BgL_rz00_13268 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13241))(BgL_fz00_13241, BgL_a1z00_13242, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11101),((long)0),BgL_bpz00_13240); 
return BgL_rz00_13268;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11098, BgL_symbzd2funzd2_11099, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13241));} } } } } } } } 

}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2357;
BgL_cfunz00_2357 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2357))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4687z00_18338;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1376z00_2377;
BgL_a1376z00_2377 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4687z00_18338 = 
(
(long)(BgL_a1376z00_2377)>((long)0)); } } 
if(BgL_test4687z00_18338)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32086ze3z87_11102;
BgL_zc3z04anonymousza32086ze3z87_11102 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32086ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32086ze3z87_11102, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32086ze3z87_11102, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32086ze3z87_11102, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32086ze3z87_11102, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32086ze3z87_11102, 
(int)(((long)4)), BgL_cfunz00_2357); 
return BgL_zc3z04anonymousza32086ze3z87_11102;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32088ze3z87_11103;
BgL_zc3z04anonymousza32088ze3z87_11103 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32088ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32088ze3z87_11103, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32088ze3z87_11103, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32088ze3z87_11103, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32088ze3z87_11103, 
(int)(((long)3)), BgL_cfunz00_2357); 
return BgL_zc3z04anonymousza32088ze3z87_11103;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4689z00_18370;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1378z00_2469;
BgL_a1378z00_2469 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4689z00_18370 = 
(
(long)(BgL_a1378z00_2469)>((long)0)); } } 
if(BgL_test4689z00_18370)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32091ze3z87_11104;
BgL_zc3z04anonymousza32091ze3z87_11104 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11104, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11104, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11104, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11104, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11104, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11104, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32091ze3z87_11104;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32115ze3z87_11105;
BgL_zc3z04anonymousza32115ze3z87_11105 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32115ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32115ze3z87_11105, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32115ze3z87_11105, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32115ze3z87_11105, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32115ze3z87_11105, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32115ze3z87_11105, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32115ze3z87_11105, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32115ze3z87_11105;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4690z00_18406;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1380z00_2561;
BgL_a1380z00_2561 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4690z00_18406 = 
(
(long)(BgL_a1380z00_2561)>((long)0)); } } 
if(BgL_test4690z00_18406)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32140ze3z87_11106;
BgL_zc3z04anonymousza32140ze3z87_11106 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32140ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32140ze3z87_11106, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32140ze3z87_11106, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32140ze3z87_11106, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32140ze3z87_11106, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32140ze3z87_11106, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32140ze3z87_11106, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32140ze3z87_11106;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32164ze3z87_11107;
BgL_zc3z04anonymousza32164ze3z87_11107 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32164ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32164ze3z87_11107, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32164ze3z87_11107, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32164ze3z87_11107, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32164ze3z87_11107, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32164ze3z87_11107, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32164ze3z87_11107, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32164ze3z87_11107;} } } } } 

}



/* &<@anonymous:2086> */
obj_t BGl_z62zc3z04anonymousza32086ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11108, obj_t BgL_sz00_11114)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11109; obj_t BgL_a2z00_11110; long BgL_siza7eza7_11111; obj_t BgL_locz00_11112; obj_t BgL_cfunz00_11113;
BgL_a1z00_11109 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)0))); 
BgL_a2z00_11110 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)1))); 
BgL_siza7eza7_11111 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)2)))); 
BgL_locz00_11112 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)3))); 
BgL_cfunz00_11113 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13269;
BgL_bpz00_13269 = 
VECTOR_REF(
((obj_t)BgL_sz00_11114),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13270; obj_t BgL_a2z00_13271;
BgL_a1z00_13270 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11109))(BgL_a1z00_11109, BgL_sz00_11114, BEOA); 
BgL_a2z00_13271 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11110))(BgL_a2z00_11110, BgL_sz00_11114, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13272;
BgL_nbpz00_13272 = 
(
(long)CINT(BgL_bpz00_13269)+BgL_siza7eza7_11111); 
VECTOR_SET(
((obj_t)BgL_sz00_11114),((long)0),
BINT(BgL_nbpz00_13272)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18468;
BgL_tmpz00_18468 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18468, BgL_locz00_11112); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13273;
BgL_rz00_13273 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11113))(BgL_cfunz00_11113, BgL_a1z00_13270, BgL_a2z00_13271, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11114),((long)0),BgL_bpz00_13269); 
return BgL_rz00_13273;} } } } } } 

}



/* &<@anonymous:2088> */
obj_t BGl_z62zc3z04anonymousza32088ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11115, obj_t BgL_sz00_11120)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11116; obj_t BgL_a2z00_11117; long BgL_siza7eza7_11118; obj_t BgL_cfunz00_11119;
BgL_a1z00_11116 = 
PROCEDURE_REF(BgL_envz00_11115, 
(int)(((long)0))); 
BgL_a2z00_11117 = 
PROCEDURE_REF(BgL_envz00_11115, 
(int)(((long)1))); 
BgL_siza7eza7_11118 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11115, 
(int)(((long)2)))); 
BgL_cfunz00_11119 = 
PROCEDURE_REF(BgL_envz00_11115, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13274;
BgL_bpz00_13274 = 
VECTOR_REF(
((obj_t)BgL_sz00_11120),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13275; obj_t BgL_a2z00_13276;
BgL_a1z00_13275 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11116))(BgL_a1z00_11116, BgL_sz00_11120, BEOA); 
BgL_a2z00_13276 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11117))(BgL_a2z00_11117, BgL_sz00_11120, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13277;
BgL_nbpz00_13277 = 
(
(long)CINT(BgL_bpz00_13274)+BgL_siza7eza7_11118); 
VECTOR_SET(
((obj_t)BgL_sz00_11120),((long)0),
BINT(BgL_nbpz00_13277)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13278;
BgL_rz00_13278 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11119))(BgL_cfunz00_11119, BgL_a1z00_13275, BgL_a2z00_13276, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11120),((long)0),BgL_bpz00_13274); 
return BgL_rz00_13278;} } } } } } 

}



/* &<@anonymous:2091> */
obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11121, obj_t BgL_sz00_11128)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11122; obj_t BgL_a1z00_11123; obj_t BgL_a2z00_11124; obj_t BgL_locz00_11125; obj_t BgL_symbzd2funzd2_11126; long BgL_siza7eza7_11127;
BgL_funz00_11122 = 
PROCEDURE_REF(BgL_envz00_11121, 
(int)(((long)0))); 
BgL_a1z00_11123 = 
PROCEDURE_REF(BgL_envz00_11121, 
(int)(((long)1))); 
BgL_a2z00_11124 = 
PROCEDURE_REF(BgL_envz00_11121, 
(int)(((long)2))); 
BgL_locz00_11125 = 
PROCEDURE_REF(BgL_envz00_11121, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11126 = 
PROCEDURE_REF(BgL_envz00_11121, 
(int)(((long)4))); 
BgL_siza7eza7_11127 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11121, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13279;
BgL_bpz00_13279 = 
VECTOR_REF(
((obj_t)BgL_sz00_11128),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13280; obj_t BgL_a1z00_13281; obj_t BgL_a2z00_13282;
BgL_fz00_13280 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11122))(BgL_funz00_11122, BgL_sz00_11128, BEOA); 
BgL_a1z00_13281 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11123))(BgL_a1z00_11123, BgL_sz00_11128, BEOA); 
BgL_a2z00_13282 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11124))(BgL_a2z00_11124, BgL_sz00_11128, BEOA); 
if(
PROCEDUREP(BgL_fz00_13280))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11125, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13280); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13283;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18539;
BgL_tmpz00_18539 = 
((obj_t)BgL_fz00_13280); 
BgL_ufz00_13283 = 
PROCEDURE_ATTR(BgL_tmpz00_18539); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4692z00_18542;
if(
STRUCTP(BgL_ufz00_13283))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4692z00_18542 = 
(
STRUCT_KEY(BgL_ufz00_13283)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4692z00_18542 = ((bool_t)0)
; } 
if(BgL_test4692z00_18542)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13284; obj_t BgL_runz00_13285; obj_t BgL_sfz00_13286;
BgL_arityz00_13284 = 
STRUCT_REF(BgL_ufz00_13283, 
(int)(((long)0))); 
BgL_runz00_13285 = 
STRUCT_REF(BgL_ufz00_13283, 
(int)(((long)1))); 
BgL_sfz00_13286 = 
STRUCT_REF(BgL_ufz00_13283, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13284)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2095z00_13287;
BgL_arg2095z00_13287 = 
(
(long)CINT(BgL_bpz00_13279)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11128),BgL_arg2095z00_13287,BgL_a1z00_13281); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2096z00_13288;
BgL_arg2096z00_13288 = 
(
(long)CINT(BgL_bpz00_13279)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11128),BgL_arg2096z00_13288,BgL_a2z00_13282); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13284))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13284)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2097z00_13291; obj_t BgL_arg2098z00_13292;
BgL_arg2097z00_13291 = 
(
(long)CINT(BgL_bpz00_13279)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2099z00_13293;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2100z00_13294;
BgL_arg2100z00_13294 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13282, BNIL); 
BgL_list2099z00_13293 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13281, BgL_arg2100z00_13294); } 
BgL_arg2098z00_13292 = BgL_list2099z00_13293; } 
VECTOR_SET(
((obj_t)BgL_sz00_11128),BgL_arg2097z00_13291,BgL_arg2098z00_13292); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2101z00_13295;
BgL_arg2101z00_13295 = 
(
(long)CINT(BgL_bpz00_13279)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11128),BgL_arg2101z00_13295,BgL_a1z00_13281); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2102z00_13296; obj_t BgL_arg2103z00_13297;
BgL_arg2102z00_13296 = 
(
(long)CINT(BgL_bpz00_13279)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2104z00_13298;
BgL_list2104z00_13298 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13282, BNIL); 
BgL_arg2103z00_13297 = BgL_list2104z00_13298; } 
VECTOR_SET(
((obj_t)BgL_sz00_11128),BgL_arg2102z00_13296,BgL_arg2103z00_13297); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2105z00_13299;
BgL_arg2105z00_13299 = 
(
(long)CINT(BgL_bpz00_13279)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11128),BgL_arg2105z00_13299,BgL_a1z00_13281); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2106z00_13300;
BgL_arg2106z00_13300 = 
(
(long)CINT(BgL_bpz00_13279)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11128),BgL_arg2106z00_13300,BgL_a2z00_13282); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2107z00_13301; obj_t BgL_arg2108z00_13302;
BgL_arg2107z00_13301 = 
(
(long)CINT(BgL_bpz00_13279)+((long)2)); 
BgL_arg2108z00_13302 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11128),BgL_arg2107z00_13301,BgL_arg2108z00_13302); } break;
default: 
BgL_case_else1193z00_13289:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2110z00_13290;
BgL_arg2110z00_13290 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13283), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11125, BgL_arg2110z00_13290, 
(int)(((long)2)), 
CINT(BgL_arityz00_13284)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1193z00_13289;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13303;
BgL_z12denvz12_13303 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13303, BgL_locz00_11125); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11128, BgL_bpz00_13279, BgL_sfz00_13286))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13285;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13304;
BgL_nsz00_13304 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2112z00_13305;
BgL_arg2112z00_13305 = 
(
(long)CINT(BgL_bpz00_13279)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13304, ((long)2), BgL_sz00_11128, BgL_bpz00_13279, 
BINT(BgL_arg2112z00_13305)); } 
VECTOR_SET(BgL_nsz00_13304,((long)1),BgL_sz00_11128); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13303, BgL_nsz00_13304); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13306;
BgL_ez00_13306 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13307;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13308;
BgL_arg3987z00_13308 = 
BGL_EXITD_PROTECT(BgL_ez00_13306); 
BgL_arg3986z00_13307 = 
MAKE_YOUNG_PAIR(BgL_sz00_11128, BgL_arg3987z00_13308); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13306, BgL_arg3986z00_13307); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13309;
BgL_____rz00_13309 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13285, BgL_nsz00_13304, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4697z00_18618;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13310;
BgL_arg3985z00_13310 = 
BGL_EXITD_PROTECT(BgL_ez00_13306); 
BgL_test4697z00_18618 = 
PAIRP(BgL_arg3985z00_13310); } 
if(BgL_test4697z00_18618)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13311;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13312;
BgL_arg3984z00_13312 = 
BGL_EXITD_PROTECT(BgL_ez00_13306); 
BgL_arg3983z00_13311 = 
CDR(
((obj_t)BgL_arg3984z00_13312)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13306, BgL_arg3983z00_13311); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13303, BgL_sz00_11128); 
return BgL_____rz00_13309;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13280, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13313;
BgL_nbpz00_13313 = 
(
(long)CINT(BgL_bpz00_13279)+BgL_siza7eza7_11127); 
VECTOR_SET(
((obj_t)BgL_sz00_11128),((long)0),
BINT(BgL_nbpz00_13313)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18634;
BgL_tmpz00_18634 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18634, BgL_locz00_11125); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13314;
BgL_rz00_13314 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13280))(BgL_fz00_13280, BgL_a1z00_13281, BgL_a2z00_13282, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11128),((long)0),BgL_bpz00_13279); 
return BgL_rz00_13314;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11125, BgL_symbzd2funzd2_11126, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13280));} } } } } } } } 

}



/* &<@anonymous:2115> */
obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11129, obj_t BgL_sz00_11136)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11130; obj_t BgL_a1z00_11131; obj_t BgL_a2z00_11132; obj_t BgL_locz00_11133; obj_t BgL_symbzd2funzd2_11134; long BgL_siza7eza7_11135;
BgL_funz00_11130 = 
PROCEDURE_REF(BgL_envz00_11129, 
(int)(((long)0))); 
BgL_a1z00_11131 = 
PROCEDURE_REF(BgL_envz00_11129, 
(int)(((long)1))); 
BgL_a2z00_11132 = 
PROCEDURE_REF(BgL_envz00_11129, 
(int)(((long)2))); 
BgL_locz00_11133 = 
PROCEDURE_REF(BgL_envz00_11129, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11134 = 
PROCEDURE_REF(BgL_envz00_11129, 
(int)(((long)4))); 
BgL_siza7eza7_11135 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11129, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13315;
BgL_bpz00_13315 = 
VECTOR_REF(
((obj_t)BgL_sz00_11136),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13316; obj_t BgL_a1z00_13317; obj_t BgL_a2z00_13318;
BgL_fz00_13316 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11130))(BgL_funz00_11130, BgL_sz00_11136, BEOA); 
BgL_a1z00_13317 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11131))(BgL_a1z00_11131, BgL_sz00_11136, BEOA); 
BgL_a2z00_13318 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11132))(BgL_a2z00_11132, BgL_sz00_11136, BEOA); 
if(
PROCEDUREP(BgL_fz00_13316))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11133, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13316); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13319;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18677;
BgL_tmpz00_18677 = 
((obj_t)BgL_fz00_13316); 
BgL_ufz00_13319 = 
PROCEDURE_ATTR(BgL_tmpz00_18677); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4700z00_18680;
if(
STRUCTP(BgL_ufz00_13319))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4700z00_18680 = 
(
STRUCT_KEY(BgL_ufz00_13319)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4700z00_18680 = ((bool_t)0)
; } 
if(BgL_test4700z00_18680)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13320; obj_t BgL_runz00_13321; obj_t BgL_sfz00_13322;
BgL_arityz00_13320 = 
STRUCT_REF(BgL_ufz00_13319, 
(int)(((long)0))); 
BgL_runz00_13321 = 
STRUCT_REF(BgL_ufz00_13319, 
(int)(((long)1))); 
BgL_sfz00_13322 = 
STRUCT_REF(BgL_ufz00_13319, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13320)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2119z00_13323;
BgL_arg2119z00_13323 = 
(
(long)CINT(BgL_bpz00_13315)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11136),BgL_arg2119z00_13323,BgL_a1z00_13317); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2120z00_13324;
BgL_arg2120z00_13324 = 
(
(long)CINT(BgL_bpz00_13315)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11136),BgL_arg2120z00_13324,BgL_a2z00_13318); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13320))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13320)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2121z00_13327; obj_t BgL_arg2122z00_13328;
BgL_arg2121z00_13327 = 
(
(long)CINT(BgL_bpz00_13315)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2123z00_13329;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2124z00_13330;
BgL_arg2124z00_13330 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13318, BNIL); 
BgL_list2123z00_13329 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13317, BgL_arg2124z00_13330); } 
BgL_arg2122z00_13328 = BgL_list2123z00_13329; } 
VECTOR_SET(
((obj_t)BgL_sz00_11136),BgL_arg2121z00_13327,BgL_arg2122z00_13328); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2125z00_13331;
BgL_arg2125z00_13331 = 
(
(long)CINT(BgL_bpz00_13315)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11136),BgL_arg2125z00_13331,BgL_a1z00_13317); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2126z00_13332; obj_t BgL_arg2127z00_13333;
BgL_arg2126z00_13332 = 
(
(long)CINT(BgL_bpz00_13315)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2128z00_13334;
BgL_list2128z00_13334 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13318, BNIL); 
BgL_arg2127z00_13333 = BgL_list2128z00_13334; } 
VECTOR_SET(
((obj_t)BgL_sz00_11136),BgL_arg2126z00_13332,BgL_arg2127z00_13333); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2129z00_13335;
BgL_arg2129z00_13335 = 
(
(long)CINT(BgL_bpz00_13315)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11136),BgL_arg2129z00_13335,BgL_a1z00_13317); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2130z00_13336;
BgL_arg2130z00_13336 = 
(
(long)CINT(BgL_bpz00_13315)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11136),BgL_arg2130z00_13336,BgL_a2z00_13318); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2131z00_13337; obj_t BgL_arg2132z00_13338;
BgL_arg2131z00_13337 = 
(
(long)CINT(BgL_bpz00_13315)+((long)2)); 
BgL_arg2132z00_13338 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11136),BgL_arg2131z00_13337,BgL_arg2132z00_13338); } break;
default: 
BgL_case_else1195z00_13325:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2134z00_13326;
BgL_arg2134z00_13326 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13319), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11133, BgL_arg2134z00_13326, 
(int)(((long)2)), 
CINT(BgL_arityz00_13320)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1195z00_13325;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13339;
BgL_z12denvz12_13339 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11136, BgL_bpz00_13315, BgL_sfz00_13322))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13321;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13340;
BgL_nsz00_13340 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2136z00_13341;
BgL_arg2136z00_13341 = 
(
(long)CINT(BgL_bpz00_13315)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13340, ((long)2), BgL_sz00_11136, BgL_bpz00_13315, 
BINT(BgL_arg2136z00_13341)); } 
VECTOR_SET(BgL_nsz00_13340,((long)1),BgL_sz00_11136); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13339, BgL_nsz00_13340); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13342;
BgL_ez00_13342 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13343;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13344;
BgL_arg3987z00_13344 = 
BGL_EXITD_PROTECT(BgL_ez00_13342); 
BgL_arg3986z00_13343 = 
MAKE_YOUNG_PAIR(BgL_sz00_11136, BgL_arg3987z00_13344); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13342, BgL_arg3986z00_13343); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13345;
BgL_____rz00_13345 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13321, BgL_nsz00_13340, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4705z00_18755;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13346;
BgL_arg3985z00_13346 = 
BGL_EXITD_PROTECT(BgL_ez00_13342); 
BgL_test4705z00_18755 = 
PAIRP(BgL_arg3985z00_13346); } 
if(BgL_test4705z00_18755)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13347;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13348;
BgL_arg3984z00_13348 = 
BGL_EXITD_PROTECT(BgL_ez00_13342); 
BgL_arg3983z00_13347 = 
CDR(
((obj_t)BgL_arg3984z00_13348)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13342, BgL_arg3983z00_13347); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13339, BgL_sz00_11136); 
return BgL_____rz00_13345;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13316, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13349;
BgL_nbpz00_13349 = 
(
(long)CINT(BgL_bpz00_13315)+BgL_siza7eza7_11135); 
VECTOR_SET(
((obj_t)BgL_sz00_11136),((long)0),
BINT(BgL_nbpz00_13349)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13350;
BgL_rz00_13350 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13316))(BgL_fz00_13316, BgL_a1z00_13317, BgL_a2z00_13318, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11136),((long)0),BgL_bpz00_13315); 
return BgL_rz00_13350;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11133, BgL_symbzd2funzd2_11134, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13316));} } } } } } } } 

}



/* &<@anonymous:2140> */
obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11137, obj_t BgL_sz00_11144)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11138; obj_t BgL_a1z00_11139; obj_t BgL_a2z00_11140; obj_t BgL_locz00_11141; obj_t BgL_symbzd2funzd2_11142; long BgL_siza7eza7_11143;
BgL_funz00_11138 = 
PROCEDURE_REF(BgL_envz00_11137, 
(int)(((long)0))); 
BgL_a1z00_11139 = 
PROCEDURE_REF(BgL_envz00_11137, 
(int)(((long)1))); 
BgL_a2z00_11140 = 
PROCEDURE_REF(BgL_envz00_11137, 
(int)(((long)2))); 
BgL_locz00_11141 = 
PROCEDURE_REF(BgL_envz00_11137, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11142 = 
PROCEDURE_REF(BgL_envz00_11137, 
(int)(((long)4))); 
BgL_siza7eza7_11143 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11137, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13351;
BgL_bpz00_13351 = 
VECTOR_REF(
((obj_t)BgL_sz00_11144),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13352; obj_t BgL_a1z00_13353; obj_t BgL_a2z00_13354;
BgL_fz00_13352 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11138))(BgL_funz00_11138, BgL_sz00_11144, BEOA); 
BgL_a1z00_13353 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11139))(BgL_a1z00_11139, BgL_sz00_11144, BEOA); 
BgL_a2z00_13354 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11140))(BgL_a2z00_11140, BgL_sz00_11144, BEOA); 
if(
PROCEDUREP(BgL_fz00_13352))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11141, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13352); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13355;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18811;
BgL_tmpz00_18811 = 
((obj_t)BgL_fz00_13352); 
BgL_ufz00_13355 = 
PROCEDURE_ATTR(BgL_tmpz00_18811); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4708z00_18814;
if(
STRUCTP(BgL_ufz00_13355))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4708z00_18814 = 
(
STRUCT_KEY(BgL_ufz00_13355)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4708z00_18814 = ((bool_t)0)
; } 
if(BgL_test4708z00_18814)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13356; obj_t BgL_runz00_13357; obj_t BgL_sfz00_13358;
BgL_arityz00_13356 = 
STRUCT_REF(BgL_ufz00_13355, 
(int)(((long)0))); 
BgL_runz00_13357 = 
STRUCT_REF(BgL_ufz00_13355, 
(int)(((long)1))); 
BgL_sfz00_13358 = 
STRUCT_REF(BgL_ufz00_13355, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13359;
BgL_spz00_13359 = 
(
(long)CINT(BgL_bpz00_13351)+BgL_siza7eza7_11143); 
if(
(
(long)CINT(BgL_arityz00_13356)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2144z00_13360;
BgL_arg2144z00_13360 = 
(BgL_spz00_13359+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11144),BgL_arg2144z00_13360,BgL_a1z00_13353); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2145z00_13361;
BgL_arg2145z00_13361 = 
(BgL_spz00_13359+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11144),BgL_arg2145z00_13361,BgL_a2z00_13354); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13356))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13356)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2146z00_13364; obj_t BgL_arg2147z00_13365;
BgL_arg2146z00_13364 = 
(BgL_spz00_13359+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2148z00_13366;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2149z00_13367;
BgL_arg2149z00_13367 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13354, BNIL); 
BgL_list2148z00_13366 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13353, BgL_arg2149z00_13367); } 
BgL_arg2147z00_13365 = BgL_list2148z00_13366; } 
VECTOR_SET(
((obj_t)BgL_sz00_11144),BgL_arg2146z00_13364,BgL_arg2147z00_13365); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2150z00_13368;
BgL_arg2150z00_13368 = 
(BgL_spz00_13359+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11144),BgL_arg2150z00_13368,BgL_a1z00_13353); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2151z00_13369; obj_t BgL_arg2152z00_13370;
BgL_arg2151z00_13369 = 
(BgL_spz00_13359+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2153z00_13371;
BgL_list2153z00_13371 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13354, BNIL); 
BgL_arg2152z00_13370 = BgL_list2153z00_13371; } 
VECTOR_SET(
((obj_t)BgL_sz00_11144),BgL_arg2151z00_13369,BgL_arg2152z00_13370); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2154z00_13372;
BgL_arg2154z00_13372 = 
(BgL_spz00_13359+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11144),BgL_arg2154z00_13372,BgL_a1z00_13353); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2155z00_13373;
BgL_arg2155z00_13373 = 
(BgL_spz00_13359+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11144),BgL_arg2155z00_13373,BgL_a2z00_13354); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2156z00_13374; obj_t BgL_arg2157z00_13375;
BgL_arg2156z00_13374 = 
(BgL_spz00_13359+((long)2)); 
BgL_arg2157z00_13375 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11144),BgL_arg2156z00_13374,BgL_arg2157z00_13375); } break;
default: 
BgL_case_else1197z00_13362:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2159z00_13363;
BgL_arg2159z00_13363 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13355), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11141, BgL_arg2159z00_13363, 
(int)(((long)2)), 
CINT(BgL_arityz00_13356)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1197z00_13362;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13376;
BgL_z12denvz12_13376 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13376, BgL_locz00_11141); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11144, 
BINT(BgL_spz00_13359), BgL_sfz00_13358))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13357, BgL_sz00_11144, 
BINT(BgL_spz00_13359));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13377;
BgL_nsz00_13377 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2161z00_13378;
BgL_arg2161z00_13378 = 
(BgL_spz00_13359+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13377, ((long)2), BgL_sz00_11144, 
BINT(BgL_spz00_13359), 
BINT(BgL_arg2161z00_13378)); } 
VECTOR_SET(BgL_nsz00_13377,((long)1),BgL_sz00_11144); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13376, BgL_nsz00_13377); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13379;
BgL_ez00_13379 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13380;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13381;
BgL_arg3987z00_13381 = 
BGL_EXITD_PROTECT(BgL_ez00_13379); 
BgL_arg3986z00_13380 = 
MAKE_YOUNG_PAIR(BgL_sz00_11144, BgL_arg3987z00_13381); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13379, BgL_arg3986z00_13380); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13382;
BgL_____rz00_13382 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13357, BgL_nsz00_13377, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4713z00_18887;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13383;
BgL_arg3985z00_13383 = 
BGL_EXITD_PROTECT(BgL_ez00_13379); 
BgL_test4713z00_18887 = 
PAIRP(BgL_arg3985z00_13383); } 
if(BgL_test4713z00_18887)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13384;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13385;
BgL_arg3984z00_13385 = 
BGL_EXITD_PROTECT(BgL_ez00_13379); 
BgL_arg3983z00_13384 = 
CDR(
((obj_t)BgL_arg3984z00_13385)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13379, BgL_arg3983z00_13384); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13376, BgL_sz00_11144); 
return BgL_____rz00_13382;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13352, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13386;
BgL_nbpz00_13386 = 
(
(long)CINT(BgL_bpz00_13351)+BgL_siza7eza7_11143); 
VECTOR_SET(
((obj_t)BgL_sz00_11144),((long)0),
BINT(BgL_nbpz00_13386)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18903;
BgL_tmpz00_18903 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18903, BgL_locz00_11141); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13387;
BgL_rz00_13387 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13352))(BgL_fz00_13352, BgL_a1z00_13353, BgL_a2z00_13354, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11144),((long)0),BgL_bpz00_13351); 
return BgL_rz00_13387;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11141, BgL_symbzd2funzd2_11142, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13352));} } } } } } } } 

}



/* &<@anonymous:2164> */
obj_t BGl_z62zc3z04anonymousza32164ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11145, obj_t BgL_sz00_11152)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11146; obj_t BgL_a1z00_11147; obj_t BgL_a2z00_11148; obj_t BgL_locz00_11149; obj_t BgL_symbzd2funzd2_11150; long BgL_siza7eza7_11151;
BgL_funz00_11146 = 
PROCEDURE_REF(BgL_envz00_11145, 
(int)(((long)0))); 
BgL_a1z00_11147 = 
PROCEDURE_REF(BgL_envz00_11145, 
(int)(((long)1))); 
BgL_a2z00_11148 = 
PROCEDURE_REF(BgL_envz00_11145, 
(int)(((long)2))); 
BgL_locz00_11149 = 
PROCEDURE_REF(BgL_envz00_11145, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11150 = 
PROCEDURE_REF(BgL_envz00_11145, 
(int)(((long)4))); 
BgL_siza7eza7_11151 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11145, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13388;
BgL_bpz00_13388 = 
VECTOR_REF(
((obj_t)BgL_sz00_11152),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13389; obj_t BgL_a1z00_13390; obj_t BgL_a2z00_13391;
BgL_fz00_13389 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11146))(BgL_funz00_11146, BgL_sz00_11152, BEOA); 
BgL_a1z00_13390 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11147))(BgL_a1z00_11147, BgL_sz00_11152, BEOA); 
BgL_a2z00_13391 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11148))(BgL_a2z00_11148, BgL_sz00_11152, BEOA); 
if(
PROCEDUREP(BgL_fz00_13389))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11149, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13389); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13392;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18946;
BgL_tmpz00_18946 = 
((obj_t)BgL_fz00_13389); 
BgL_ufz00_13392 = 
PROCEDURE_ATTR(BgL_tmpz00_18946); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4716z00_18949;
if(
STRUCTP(BgL_ufz00_13392))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4716z00_18949 = 
(
STRUCT_KEY(BgL_ufz00_13392)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4716z00_18949 = ((bool_t)0)
; } 
if(BgL_test4716z00_18949)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13393; obj_t BgL_runz00_13394; obj_t BgL_sfz00_13395;
BgL_arityz00_13393 = 
STRUCT_REF(BgL_ufz00_13392, 
(int)(((long)0))); 
BgL_runz00_13394 = 
STRUCT_REF(BgL_ufz00_13392, 
(int)(((long)1))); 
BgL_sfz00_13395 = 
STRUCT_REF(BgL_ufz00_13392, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13396;
BgL_spz00_13396 = 
(
(long)CINT(BgL_bpz00_13388)+BgL_siza7eza7_11151); 
if(
(
(long)CINT(BgL_arityz00_13393)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2168z00_13397;
BgL_arg2168z00_13397 = 
(BgL_spz00_13396+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),BgL_arg2168z00_13397,BgL_a1z00_13390); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2169z00_13398;
BgL_arg2169z00_13398 = 
(BgL_spz00_13396+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),BgL_arg2169z00_13398,BgL_a2z00_13391); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13393))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13393)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2170z00_13401; obj_t BgL_arg2171z00_13402;
BgL_arg2170z00_13401 = 
(BgL_spz00_13396+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2172z00_13403;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2173z00_13404;
BgL_arg2173z00_13404 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13391, BNIL); 
BgL_list2172z00_13403 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13390, BgL_arg2173z00_13404); } 
BgL_arg2171z00_13402 = BgL_list2172z00_13403; } 
VECTOR_SET(
((obj_t)BgL_sz00_11152),BgL_arg2170z00_13401,BgL_arg2171z00_13402); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2174z00_13405;
BgL_arg2174z00_13405 = 
(BgL_spz00_13396+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),BgL_arg2174z00_13405,BgL_a1z00_13390); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2175z00_13406; obj_t BgL_arg2176z00_13407;
BgL_arg2175z00_13406 = 
(BgL_spz00_13396+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2177z00_13408;
BgL_list2177z00_13408 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13391, BNIL); 
BgL_arg2176z00_13407 = BgL_list2177z00_13408; } 
VECTOR_SET(
((obj_t)BgL_sz00_11152),BgL_arg2175z00_13406,BgL_arg2176z00_13407); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2178z00_13409;
BgL_arg2178z00_13409 = 
(BgL_spz00_13396+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),BgL_arg2178z00_13409,BgL_a1z00_13390); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2179z00_13410;
BgL_arg2179z00_13410 = 
(BgL_spz00_13396+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),BgL_arg2179z00_13410,BgL_a2z00_13391); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2180z00_13411; obj_t BgL_arg2181z00_13412;
BgL_arg2180z00_13411 = 
(BgL_spz00_13396+((long)2)); 
BgL_arg2181z00_13412 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11152),BgL_arg2180z00_13411,BgL_arg2181z00_13412); } break;
default: 
BgL_case_else1199z00_13399:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2183z00_13400;
BgL_arg2183z00_13400 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13392), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11149, BgL_arg2183z00_13400, 
(int)(((long)2)), 
CINT(BgL_arityz00_13393)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1199z00_13399;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13413;
BgL_z12denvz12_13413 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11152, 
BINT(BgL_spz00_13396), BgL_sfz00_13395))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13394, BgL_sz00_11152, 
BINT(BgL_spz00_13396));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13414;
BgL_nsz00_13414 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2185z00_13415;
BgL_arg2185z00_13415 = 
(BgL_spz00_13396+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13414, ((long)2), BgL_sz00_11152, 
BINT(BgL_spz00_13396), 
BINT(BgL_arg2185z00_13415)); } 
VECTOR_SET(BgL_nsz00_13414,((long)1),BgL_sz00_11152); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13413, BgL_nsz00_13414); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13416;
BgL_ez00_13416 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13417;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13418;
BgL_arg3987z00_13418 = 
BGL_EXITD_PROTECT(BgL_ez00_13416); 
BgL_arg3986z00_13417 = 
MAKE_YOUNG_PAIR(BgL_sz00_11152, BgL_arg3987z00_13418); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13416, BgL_arg3986z00_13417); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13419;
BgL_____rz00_13419 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13394, BgL_nsz00_13414, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4721z00_19021;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13420;
BgL_arg3985z00_13420 = 
BGL_EXITD_PROTECT(BgL_ez00_13416); 
BgL_test4721z00_19021 = 
PAIRP(BgL_arg3985z00_13420); } 
if(BgL_test4721z00_19021)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13421;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13422;
BgL_arg3984z00_13422 = 
BGL_EXITD_PROTECT(BgL_ez00_13416); 
BgL_arg3983z00_13421 = 
CDR(
((obj_t)BgL_arg3984z00_13422)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13416, BgL_arg3983z00_13421); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13413, BgL_sz00_11152); 
return BgL_____rz00_13419;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13389, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13423;
BgL_nbpz00_13423 = 
(
(long)CINT(BgL_bpz00_13388)+BgL_siza7eza7_11151); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),((long)0),
BINT(BgL_nbpz00_13423)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13424;
BgL_rz00_13424 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13389))(BgL_fz00_13389, BgL_a1z00_13390, BgL_a2z00_13391, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),((long)0),BgL_bpz00_13388); 
return BgL_rz00_13424;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11149, BgL_symbzd2funzd2_11150, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13389));} } } } } } } } 

}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2564;
BgL_cfunz00_2564 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2564))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4724z00_19050;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1382z00_2586;
BgL_a1382z00_2586 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4724z00_19050 = 
(
(long)(BgL_a1382z00_2586)>((long)0)); } } 
if(BgL_test4724z00_19050)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32189ze3z87_11153;
BgL_zc3z04anonymousza32189ze3z87_11153 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32189ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32189ze3z87_11153, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32189ze3z87_11153, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32189ze3z87_11153, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32189ze3z87_11153, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32189ze3z87_11153, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32189ze3z87_11153, 
(int)(((long)5)), BgL_cfunz00_2564); 
return BgL_zc3z04anonymousza32189ze3z87_11153;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32191ze3z87_11154;
BgL_zc3z04anonymousza32191ze3z87_11154 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32191ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_11154, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_11154, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_11154, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_11154, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_11154, 
(int)(((long)4)), BgL_cfunz00_2564); 
return BgL_zc3z04anonymousza32191ze3z87_11154;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4726z00_19086;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1384z00_2698;
BgL_a1384z00_2698 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4726z00_19086 = 
(
(long)(BgL_a1384z00_2698)>((long)0)); } } 
if(BgL_test4726z00_19086)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32194ze3z87_11155;
BgL_zc3z04anonymousza32194ze3z87_11155 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32194ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32194ze3z87_11155, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32194ze3z87_11155, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32194ze3z87_11155, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32194ze3z87_11155, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32194ze3z87_11155, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32194ze3z87_11155, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32194ze3z87_11155, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32194ze3z87_11155;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32227ze3z87_11156;
BgL_zc3z04anonymousza32227ze3z87_11156 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_11156, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_11156, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_11156, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_11156, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_11156, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_11156, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_11156, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32227ze3z87_11156;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4727z00_19126;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1386z00_2810;
BgL_a1386z00_2810 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4727z00_19126 = 
(
(long)(BgL_a1386z00_2810)>((long)0)); } } 
if(BgL_test4727z00_19126)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32261ze3z87_11157;
BgL_zc3z04anonymousza32261ze3z87_11157 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32261ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_11157, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_11157, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_11157, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_11157, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_11157, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_11157, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_11157, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32261ze3z87_11157;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32294ze3z87_11158;
BgL_zc3z04anonymousza32294ze3z87_11158 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32294ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_11158, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_11158, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_11158, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_11158, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_11158, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_11158, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32294ze3z87_11158, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32294ze3z87_11158;} } } } } 

}



/* &<@anonymous:2189> */
obj_t BGl_z62zc3z04anonymousza32189ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11159, obj_t BgL_sz00_11166)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11160; obj_t BgL_a2z00_11161; obj_t BgL_a3z00_11162; long BgL_siza7eza7_11163; obj_t BgL_locz00_11164; obj_t BgL_cfunz00_11165;
BgL_a1z00_11160 = 
PROCEDURE_REF(BgL_envz00_11159, 
(int)(((long)0))); 
BgL_a2z00_11161 = 
PROCEDURE_REF(BgL_envz00_11159, 
(int)(((long)1))); 
BgL_a3z00_11162 = 
PROCEDURE_REF(BgL_envz00_11159, 
(int)(((long)2))); 
BgL_siza7eza7_11163 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11159, 
(int)(((long)3)))); 
BgL_locz00_11164 = 
PROCEDURE_REF(BgL_envz00_11159, 
(int)(((long)4))); 
BgL_cfunz00_11165 = 
PROCEDURE_REF(BgL_envz00_11159, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13425;
BgL_bpz00_13425 = 
VECTOR_REF(
((obj_t)BgL_sz00_11166),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13426; obj_t BgL_a2z00_13427; obj_t BgL_a3z00_13428;
BgL_a1z00_13426 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11160))(BgL_a1z00_11160, BgL_sz00_11166, BEOA); 
BgL_a2z00_13427 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11161))(BgL_a2z00_11161, BgL_sz00_11166, BEOA); 
BgL_a3z00_13428 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11162))(BgL_a3z00_11162, BgL_sz00_11166, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13429;
BgL_nbpz00_13429 = 
(
(long)CINT(BgL_bpz00_13425)+BgL_siza7eza7_11163); 
VECTOR_SET(
((obj_t)BgL_sz00_11166),((long)0),
BINT(BgL_nbpz00_13429)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19198;
BgL_tmpz00_19198 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19198, BgL_locz00_11164); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13430;
BgL_rz00_13430 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11165))(BgL_cfunz00_11165, BgL_a1z00_13426, BgL_a2z00_13427, BgL_a3z00_13428, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11166),((long)0),BgL_bpz00_13425); 
return BgL_rz00_13430;} } } } } } 

}



/* &<@anonymous:2191> */
obj_t BGl_z62zc3z04anonymousza32191ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11167, obj_t BgL_sz00_11173)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11168; obj_t BgL_a2z00_11169; obj_t BgL_a3z00_11170; long BgL_siza7eza7_11171; obj_t BgL_cfunz00_11172;
BgL_a1z00_11168 = 
PROCEDURE_REF(BgL_envz00_11167, 
(int)(((long)0))); 
BgL_a2z00_11169 = 
PROCEDURE_REF(BgL_envz00_11167, 
(int)(((long)1))); 
BgL_a3z00_11170 = 
PROCEDURE_REF(BgL_envz00_11167, 
(int)(((long)2))); 
BgL_siza7eza7_11171 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11167, 
(int)(((long)3)))); 
BgL_cfunz00_11172 = 
PROCEDURE_REF(BgL_envz00_11167, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13431;
BgL_bpz00_13431 = 
VECTOR_REF(
((obj_t)BgL_sz00_11173),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13432; obj_t BgL_a2z00_13433; obj_t BgL_a3z00_13434;
BgL_a1z00_13432 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11168))(BgL_a1z00_11168, BgL_sz00_11173, BEOA); 
BgL_a2z00_13433 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11169))(BgL_a2z00_11169, BgL_sz00_11173, BEOA); 
BgL_a3z00_13434 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11170))(BgL_a3z00_11170, BgL_sz00_11173, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13435;
BgL_nbpz00_13435 = 
(
(long)CINT(BgL_bpz00_13431)+BgL_siza7eza7_11171); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),((long)0),
BINT(BgL_nbpz00_13435)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13436;
BgL_rz00_13436 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11172))(BgL_cfunz00_11172, BgL_a1z00_13432, BgL_a2z00_13433, BgL_a3z00_13434, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11173),((long)0),BgL_bpz00_13431); 
return BgL_rz00_13436;} } } } } } 

}



/* &<@anonymous:2194> */
obj_t BGl_z62zc3z04anonymousza32194ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11174, obj_t BgL_sz00_11182)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11175; obj_t BgL_a1z00_11176; obj_t BgL_a2z00_11177; obj_t BgL_a3z00_11178; obj_t BgL_locz00_11179; obj_t BgL_symbzd2funzd2_11180; long BgL_siza7eza7_11181;
BgL_funz00_11175 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)0))); 
BgL_a1z00_11176 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)1))); 
BgL_a2z00_11177 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)2))); 
BgL_a3z00_11178 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)3))); 
BgL_locz00_11179 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11180 = 
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)5))); 
BgL_siza7eza7_11181 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11174, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13437;
BgL_bpz00_13437 = 
VECTOR_REF(
((obj_t)BgL_sz00_11182),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13438; obj_t BgL_a1z00_13439; obj_t BgL_a2z00_13440; obj_t BgL_a3z00_13441;
BgL_fz00_13438 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11175))(BgL_funz00_11175, BgL_sz00_11182, BEOA); 
BgL_a1z00_13439 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11176))(BgL_a1z00_11176, BgL_sz00_11182, BEOA); 
BgL_a2z00_13440 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11177))(BgL_a2z00_11177, BgL_sz00_11182, BEOA); 
BgL_a3z00_13441 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11178))(BgL_a3z00_11178, BgL_sz00_11182, BEOA); 
if(
PROCEDUREP(BgL_fz00_13438))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11179, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13438); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13442;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19283;
BgL_tmpz00_19283 = 
((obj_t)BgL_fz00_13438); 
BgL_ufz00_13442 = 
PROCEDURE_ATTR(BgL_tmpz00_19283); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4729z00_19286;
if(
STRUCTP(BgL_ufz00_13442))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4729z00_19286 = 
(
STRUCT_KEY(BgL_ufz00_13442)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4729z00_19286 = ((bool_t)0)
; } 
if(BgL_test4729z00_19286)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13443; obj_t BgL_runz00_13444; obj_t BgL_sfz00_13445;
BgL_arityz00_13443 = 
STRUCT_REF(BgL_ufz00_13442, 
(int)(((long)0))); 
BgL_runz00_13444 = 
STRUCT_REF(BgL_ufz00_13442, 
(int)(((long)1))); 
BgL_sfz00_13445 = 
STRUCT_REF(BgL_ufz00_13442, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13443)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2198z00_13446;
BgL_arg2198z00_13446 = 
(
(long)CINT(BgL_bpz00_13437)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2198z00_13446,BgL_a1z00_13439); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2199z00_13447;
BgL_arg2199z00_13447 = 
(
(long)CINT(BgL_bpz00_13437)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2199z00_13447,BgL_a2z00_13440); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2200z00_13448;
BgL_arg2200z00_13448 = 
(
(long)CINT(BgL_bpz00_13437)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2200z00_13448,BgL_a3z00_13441); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13443))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13443)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2201z00_13451; obj_t BgL_arg2202z00_13452;
BgL_arg2201z00_13451 = 
(
(long)CINT(BgL_bpz00_13437)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2203z00_13453;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2204z00_13454;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2205z00_13455;
BgL_arg2205z00_13455 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13441, BNIL); 
BgL_arg2204z00_13454 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13440, BgL_arg2205z00_13455); } 
BgL_list2203z00_13453 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13439, BgL_arg2204z00_13454); } 
BgL_arg2202z00_13452 = BgL_list2203z00_13453; } 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2201z00_13451,BgL_arg2202z00_13452); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2206z00_13456;
BgL_arg2206z00_13456 = 
(
(long)CINT(BgL_bpz00_13437)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2206z00_13456,BgL_a1z00_13439); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2207z00_13457; obj_t BgL_arg2208z00_13458;
BgL_arg2207z00_13457 = 
(
(long)CINT(BgL_bpz00_13437)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2209z00_13459;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2210z00_13460;
BgL_arg2210z00_13460 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13441, BNIL); 
BgL_list2209z00_13459 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13440, BgL_arg2210z00_13460); } 
BgL_arg2208z00_13458 = BgL_list2209z00_13459; } 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2207z00_13457,BgL_arg2208z00_13458); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2211z00_13461;
BgL_arg2211z00_13461 = 
(
(long)CINT(BgL_bpz00_13437)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2211z00_13461,BgL_a1z00_13439); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2212z00_13462;
BgL_arg2212z00_13462 = 
(
(long)CINT(BgL_bpz00_13437)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2212z00_13462,BgL_a2z00_13440); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2213z00_13463; obj_t BgL_arg2214z00_13464;
BgL_arg2213z00_13463 = 
(
(long)CINT(BgL_bpz00_13437)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2215z00_13465;
BgL_list2215z00_13465 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13441, BNIL); 
BgL_arg2214z00_13464 = BgL_list2215z00_13465; } 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2213z00_13463,BgL_arg2214z00_13464); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2216z00_13466;
BgL_arg2216z00_13466 = 
(
(long)CINT(BgL_bpz00_13437)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2216z00_13466,BgL_a1z00_13439); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2217z00_13467;
BgL_arg2217z00_13467 = 
(
(long)CINT(BgL_bpz00_13437)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2217z00_13467,BgL_a2z00_13440); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2218z00_13468;
BgL_arg2218z00_13468 = 
(
(long)CINT(BgL_bpz00_13437)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2218z00_13468,BgL_a3z00_13441); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2219z00_13469; obj_t BgL_arg2220z00_13470;
BgL_arg2219z00_13469 = 
(
(long)CINT(BgL_bpz00_13437)+((long)3)); 
BgL_arg2220z00_13470 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11182),BgL_arg2219z00_13469,BgL_arg2220z00_13470); } break;
default: 
BgL_case_else1201z00_13449:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2222z00_13450;
BgL_arg2222z00_13450 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13442), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11179, BgL_arg2222z00_13450, 
(int)(((long)3)), 
CINT(BgL_arityz00_13443)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1201z00_13449;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13471;
BgL_z12denvz12_13471 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13471, BgL_locz00_11179); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11182, BgL_bpz00_13437, BgL_sfz00_13445))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13444;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13472;
BgL_nsz00_13472 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2224z00_13473;
BgL_arg2224z00_13473 = 
(
(long)CINT(BgL_bpz00_13437)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13472, ((long)2), BgL_sz00_11182, BgL_bpz00_13437, 
BINT(BgL_arg2224z00_13473)); } 
VECTOR_SET(BgL_nsz00_13472,((long)1),BgL_sz00_11182); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13471, BgL_nsz00_13472); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13474;
BgL_ez00_13474 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13475;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13476;
BgL_arg3987z00_13476 = 
BGL_EXITD_PROTECT(BgL_ez00_13474); 
BgL_arg3986z00_13475 = 
MAKE_YOUNG_PAIR(BgL_sz00_11182, BgL_arg3987z00_13476); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13474, BgL_arg3986z00_13475); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13477;
BgL_____rz00_13477 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13444, BgL_nsz00_13472, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4734z00_19385;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13478;
BgL_arg3985z00_13478 = 
BGL_EXITD_PROTECT(BgL_ez00_13474); 
BgL_test4734z00_19385 = 
PAIRP(BgL_arg3985z00_13478); } 
if(BgL_test4734z00_19385)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13479;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13480;
BgL_arg3984z00_13480 = 
BGL_EXITD_PROTECT(BgL_ez00_13474); 
BgL_arg3983z00_13479 = 
CDR(
((obj_t)BgL_arg3984z00_13480)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13474, BgL_arg3983z00_13479); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13471, BgL_sz00_11182); 
return BgL_____rz00_13477;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13438, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13481;
BgL_nbpz00_13481 = 
(
(long)CINT(BgL_bpz00_13437)+BgL_siza7eza7_11181); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),((long)0),
BINT(BgL_nbpz00_13481)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19401;
BgL_tmpz00_19401 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19401, BgL_locz00_11179); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13482;
BgL_rz00_13482 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13438))(BgL_fz00_13438, BgL_a1z00_13439, BgL_a2z00_13440, BgL_a3z00_13441, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11182),((long)0),BgL_bpz00_13437); 
return BgL_rz00_13482;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11179, BgL_symbzd2funzd2_11180, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13438));} } } } } } } } 

}



/* &<@anonymous:2227> */
obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11183, obj_t BgL_sz00_11191)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11184; obj_t BgL_a1z00_11185; obj_t BgL_a2z00_11186; obj_t BgL_a3z00_11187; obj_t BgL_locz00_11188; obj_t BgL_symbzd2funzd2_11189; long BgL_siza7eza7_11190;
BgL_funz00_11184 = 
PROCEDURE_REF(BgL_envz00_11183, 
(int)(((long)0))); 
BgL_a1z00_11185 = 
PROCEDURE_REF(BgL_envz00_11183, 
(int)(((long)1))); 
BgL_a2z00_11186 = 
PROCEDURE_REF(BgL_envz00_11183, 
(int)(((long)2))); 
BgL_a3z00_11187 = 
PROCEDURE_REF(BgL_envz00_11183, 
(int)(((long)3))); 
BgL_locz00_11188 = 
PROCEDURE_REF(BgL_envz00_11183, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11189 = 
PROCEDURE_REF(BgL_envz00_11183, 
(int)(((long)5))); 
BgL_siza7eza7_11190 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11183, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13483;
BgL_bpz00_13483 = 
VECTOR_REF(
((obj_t)BgL_sz00_11191),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13484; obj_t BgL_a1z00_13485; obj_t BgL_a2z00_13486; obj_t BgL_a3z00_13487;
BgL_fz00_13484 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11184))(BgL_funz00_11184, BgL_sz00_11191, BEOA); 
BgL_a1z00_13485 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11185))(BgL_a1z00_11185, BgL_sz00_11191, BEOA); 
BgL_a2z00_13486 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11186))(BgL_a2z00_11186, BgL_sz00_11191, BEOA); 
BgL_a3z00_13487 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11187))(BgL_a3z00_11187, BgL_sz00_11191, BEOA); 
if(
PROCEDUREP(BgL_fz00_13484))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11188, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13484); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13488;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19451;
BgL_tmpz00_19451 = 
((obj_t)BgL_fz00_13484); 
BgL_ufz00_13488 = 
PROCEDURE_ATTR(BgL_tmpz00_19451); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4737z00_19454;
if(
STRUCTP(BgL_ufz00_13488))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4737z00_19454 = 
(
STRUCT_KEY(BgL_ufz00_13488)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4737z00_19454 = ((bool_t)0)
; } 
if(BgL_test4737z00_19454)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13489; obj_t BgL_runz00_13490; obj_t BgL_sfz00_13491;
BgL_arityz00_13489 = 
STRUCT_REF(BgL_ufz00_13488, 
(int)(((long)0))); 
BgL_runz00_13490 = 
STRUCT_REF(BgL_ufz00_13488, 
(int)(((long)1))); 
BgL_sfz00_13491 = 
STRUCT_REF(BgL_ufz00_13488, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13489)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2231z00_13492;
BgL_arg2231z00_13492 = 
(
(long)CINT(BgL_bpz00_13483)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2231z00_13492,BgL_a1z00_13485); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2232z00_13493;
BgL_arg2232z00_13493 = 
(
(long)CINT(BgL_bpz00_13483)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2232z00_13493,BgL_a2z00_13486); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2233z00_13494;
BgL_arg2233z00_13494 = 
(
(long)CINT(BgL_bpz00_13483)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2233z00_13494,BgL_a3z00_13487); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13489))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13489)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2234z00_13497; obj_t BgL_arg2235z00_13498;
BgL_arg2234z00_13497 = 
(
(long)CINT(BgL_bpz00_13483)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2236z00_13499;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2237z00_13500;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2238z00_13501;
BgL_arg2238z00_13501 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13487, BNIL); 
BgL_arg2237z00_13500 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13486, BgL_arg2238z00_13501); } 
BgL_list2236z00_13499 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13485, BgL_arg2237z00_13500); } 
BgL_arg2235z00_13498 = BgL_list2236z00_13499; } 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2234z00_13497,BgL_arg2235z00_13498); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2239z00_13502;
BgL_arg2239z00_13502 = 
(
(long)CINT(BgL_bpz00_13483)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2239z00_13502,BgL_a1z00_13485); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2240z00_13503; obj_t BgL_arg2241z00_13504;
BgL_arg2240z00_13503 = 
(
(long)CINT(BgL_bpz00_13483)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2242z00_13505;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2243z00_13506;
BgL_arg2243z00_13506 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13487, BNIL); 
BgL_list2242z00_13505 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13486, BgL_arg2243z00_13506); } 
BgL_arg2241z00_13504 = BgL_list2242z00_13505; } 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2240z00_13503,BgL_arg2241z00_13504); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2244z00_13507;
BgL_arg2244z00_13507 = 
(
(long)CINT(BgL_bpz00_13483)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2244z00_13507,BgL_a1z00_13485); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2245z00_13508;
BgL_arg2245z00_13508 = 
(
(long)CINT(BgL_bpz00_13483)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2245z00_13508,BgL_a2z00_13486); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2246z00_13509; obj_t BgL_arg2247z00_13510;
BgL_arg2246z00_13509 = 
(
(long)CINT(BgL_bpz00_13483)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2248z00_13511;
BgL_list2248z00_13511 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13487, BNIL); 
BgL_arg2247z00_13510 = BgL_list2248z00_13511; } 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2246z00_13509,BgL_arg2247z00_13510); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2249z00_13512;
BgL_arg2249z00_13512 = 
(
(long)CINT(BgL_bpz00_13483)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2249z00_13512,BgL_a1z00_13485); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2250z00_13513;
BgL_arg2250z00_13513 = 
(
(long)CINT(BgL_bpz00_13483)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2250z00_13513,BgL_a2z00_13486); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2251z00_13514;
BgL_arg2251z00_13514 = 
(
(long)CINT(BgL_bpz00_13483)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2251z00_13514,BgL_a3z00_13487); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2252z00_13515; obj_t BgL_arg2253z00_13516;
BgL_arg2252z00_13515 = 
(
(long)CINT(BgL_bpz00_13483)+((long)3)); 
BgL_arg2253z00_13516 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11191),BgL_arg2252z00_13515,BgL_arg2253z00_13516); } break;
default: 
BgL_case_else1203z00_13495:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2255z00_13496;
BgL_arg2255z00_13496 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13488), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11188, BgL_arg2255z00_13496, 
(int)(((long)3)), 
CINT(BgL_arityz00_13489)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1203z00_13495;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13517;
BgL_z12denvz12_13517 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11191, BgL_bpz00_13483, BgL_sfz00_13491))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13490;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13518;
BgL_nsz00_13518 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2257z00_13519;
BgL_arg2257z00_13519 = 
(
(long)CINT(BgL_bpz00_13483)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13518, ((long)2), BgL_sz00_11191, BgL_bpz00_13483, 
BINT(BgL_arg2257z00_13519)); } 
VECTOR_SET(BgL_nsz00_13518,((long)1),BgL_sz00_11191); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13517, BgL_nsz00_13518); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13520;
BgL_ez00_13520 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13521;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13522;
BgL_arg3987z00_13522 = 
BGL_EXITD_PROTECT(BgL_ez00_13520); 
BgL_arg3986z00_13521 = 
MAKE_YOUNG_PAIR(BgL_sz00_11191, BgL_arg3987z00_13522); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13520, BgL_arg3986z00_13521); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13523;
BgL_____rz00_13523 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13490, BgL_nsz00_13518, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4742z00_19552;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13524;
BgL_arg3985z00_13524 = 
BGL_EXITD_PROTECT(BgL_ez00_13520); 
BgL_test4742z00_19552 = 
PAIRP(BgL_arg3985z00_13524); } 
if(BgL_test4742z00_19552)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13525;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13526;
BgL_arg3984z00_13526 = 
BGL_EXITD_PROTECT(BgL_ez00_13520); 
BgL_arg3983z00_13525 = 
CDR(
((obj_t)BgL_arg3984z00_13526)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13520, BgL_arg3983z00_13525); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13517, BgL_sz00_11191); 
return BgL_____rz00_13523;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13484, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13527;
BgL_nbpz00_13527 = 
(
(long)CINT(BgL_bpz00_13483)+BgL_siza7eza7_11190); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),((long)0),
BINT(BgL_nbpz00_13527)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13528;
BgL_rz00_13528 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13484))(BgL_fz00_13484, BgL_a1z00_13485, BgL_a2z00_13486, BgL_a3z00_13487, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11191),((long)0),BgL_bpz00_13483); 
return BgL_rz00_13528;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11188, BgL_symbzd2funzd2_11189, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13484));} } } } } } } } 

}



/* &<@anonymous:2261> */
obj_t BGl_z62zc3z04anonymousza32261ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11192, obj_t BgL_sz00_11200)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11193; obj_t BgL_a1z00_11194; obj_t BgL_a2z00_11195; obj_t BgL_a3z00_11196; obj_t BgL_locz00_11197; obj_t BgL_symbzd2funzd2_11198; long BgL_siza7eza7_11199;
BgL_funz00_11193 = 
PROCEDURE_REF(BgL_envz00_11192, 
(int)(((long)0))); 
BgL_a1z00_11194 = 
PROCEDURE_REF(BgL_envz00_11192, 
(int)(((long)1))); 
BgL_a2z00_11195 = 
PROCEDURE_REF(BgL_envz00_11192, 
(int)(((long)2))); 
BgL_a3z00_11196 = 
PROCEDURE_REF(BgL_envz00_11192, 
(int)(((long)3))); 
BgL_locz00_11197 = 
PROCEDURE_REF(BgL_envz00_11192, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11198 = 
PROCEDURE_REF(BgL_envz00_11192, 
(int)(((long)5))); 
BgL_siza7eza7_11199 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11192, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13529;
BgL_bpz00_13529 = 
VECTOR_REF(
((obj_t)BgL_sz00_11200),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13530; obj_t BgL_a1z00_13531; obj_t BgL_a2z00_13532; obj_t BgL_a3z00_13533;
BgL_fz00_13530 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11193))(BgL_funz00_11193, BgL_sz00_11200, BEOA); 
BgL_a1z00_13531 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11194))(BgL_a1z00_11194, BgL_sz00_11200, BEOA); 
BgL_a2z00_13532 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11195))(BgL_a2z00_11195, BgL_sz00_11200, BEOA); 
BgL_a3z00_13533 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11196))(BgL_a3z00_11196, BgL_sz00_11200, BEOA); 
if(
PROCEDUREP(BgL_fz00_13530))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11197, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13530); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13534;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19615;
BgL_tmpz00_19615 = 
((obj_t)BgL_fz00_13530); 
BgL_ufz00_13534 = 
PROCEDURE_ATTR(BgL_tmpz00_19615); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4745z00_19618;
if(
STRUCTP(BgL_ufz00_13534))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4745z00_19618 = 
(
STRUCT_KEY(BgL_ufz00_13534)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4745z00_19618 = ((bool_t)0)
; } 
if(BgL_test4745z00_19618)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13535; obj_t BgL_runz00_13536; obj_t BgL_sfz00_13537;
BgL_arityz00_13535 = 
STRUCT_REF(BgL_ufz00_13534, 
(int)(((long)0))); 
BgL_runz00_13536 = 
STRUCT_REF(BgL_ufz00_13534, 
(int)(((long)1))); 
BgL_sfz00_13537 = 
STRUCT_REF(BgL_ufz00_13534, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13538;
BgL_spz00_13538 = 
(
(long)CINT(BgL_bpz00_13529)+BgL_siza7eza7_11199); 
if(
(
(long)CINT(BgL_arityz00_13535)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2265z00_13539;
BgL_arg2265z00_13539 = 
(BgL_spz00_13538+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2265z00_13539,BgL_a1z00_13531); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2266z00_13540;
BgL_arg2266z00_13540 = 
(BgL_spz00_13538+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2266z00_13540,BgL_a2z00_13532); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2267z00_13541;
BgL_arg2267z00_13541 = 
(BgL_spz00_13538+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2267z00_13541,BgL_a3z00_13533); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13535))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13535)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2268z00_13544; obj_t BgL_arg2269z00_13545;
BgL_arg2268z00_13544 = 
(BgL_spz00_13538+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2270z00_13546;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2271z00_13547;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2272z00_13548;
BgL_arg2272z00_13548 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13533, BNIL); 
BgL_arg2271z00_13547 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13532, BgL_arg2272z00_13548); } 
BgL_list2270z00_13546 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13531, BgL_arg2271z00_13547); } 
BgL_arg2269z00_13545 = BgL_list2270z00_13546; } 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2268z00_13544,BgL_arg2269z00_13545); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2273z00_13549;
BgL_arg2273z00_13549 = 
(BgL_spz00_13538+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2273z00_13549,BgL_a1z00_13531); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2274z00_13550; obj_t BgL_arg2275z00_13551;
BgL_arg2274z00_13550 = 
(BgL_spz00_13538+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2276z00_13552;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2277z00_13553;
BgL_arg2277z00_13553 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13533, BNIL); 
BgL_list2276z00_13552 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13532, BgL_arg2277z00_13553); } 
BgL_arg2275z00_13551 = BgL_list2276z00_13552; } 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2274z00_13550,BgL_arg2275z00_13551); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2278z00_13554;
BgL_arg2278z00_13554 = 
(BgL_spz00_13538+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2278z00_13554,BgL_a1z00_13531); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2279z00_13555;
BgL_arg2279z00_13555 = 
(BgL_spz00_13538+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2279z00_13555,BgL_a2z00_13532); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2280z00_13556; obj_t BgL_arg2281z00_13557;
BgL_arg2280z00_13556 = 
(BgL_spz00_13538+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2282z00_13558;
BgL_list2282z00_13558 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13533, BNIL); 
BgL_arg2281z00_13557 = BgL_list2282z00_13558; } 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2280z00_13556,BgL_arg2281z00_13557); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2283z00_13559;
BgL_arg2283z00_13559 = 
(BgL_spz00_13538+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2283z00_13559,BgL_a1z00_13531); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2284z00_13560;
BgL_arg2284z00_13560 = 
(BgL_spz00_13538+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2284z00_13560,BgL_a2z00_13532); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2285z00_13561;
BgL_arg2285z00_13561 = 
(BgL_spz00_13538+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2285z00_13561,BgL_a3z00_13533); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2286z00_13562; obj_t BgL_arg2287z00_13563;
BgL_arg2286z00_13562 = 
(BgL_spz00_13538+((long)3)); 
BgL_arg2287z00_13563 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11200),BgL_arg2286z00_13562,BgL_arg2287z00_13563); } break;
default: 
BgL_case_else1205z00_13542:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2289z00_13543;
BgL_arg2289z00_13543 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13534), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11197, BgL_arg2289z00_13543, 
(int)(((long)3)), 
CINT(BgL_arityz00_13535)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1205z00_13542;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13564;
BgL_z12denvz12_13564 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13564, BgL_locz00_11197); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11200, 
BINT(BgL_spz00_13538), BgL_sfz00_13537))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13536, BgL_sz00_11200, 
BINT(BgL_spz00_13538));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13565;
BgL_nsz00_13565 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2291z00_13566;
BgL_arg2291z00_13566 = 
(BgL_spz00_13538+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13565, ((long)2), BgL_sz00_11200, 
BINT(BgL_spz00_13538), 
BINT(BgL_arg2291z00_13566)); } 
VECTOR_SET(BgL_nsz00_13565,((long)1),BgL_sz00_11200); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13564, BgL_nsz00_13565); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13567;
BgL_ez00_13567 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13568;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13569;
BgL_arg3987z00_13569 = 
BGL_EXITD_PROTECT(BgL_ez00_13567); 
BgL_arg3986z00_13568 = 
MAKE_YOUNG_PAIR(BgL_sz00_11200, BgL_arg3987z00_13569); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13567, BgL_arg3986z00_13568); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13570;
BgL_____rz00_13570 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13536, BgL_nsz00_13565, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4750z00_19709;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13571;
BgL_arg3985z00_13571 = 
BGL_EXITD_PROTECT(BgL_ez00_13567); 
BgL_test4750z00_19709 = 
PAIRP(BgL_arg3985z00_13571); } 
if(BgL_test4750z00_19709)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13572;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13573;
BgL_arg3984z00_13573 = 
BGL_EXITD_PROTECT(BgL_ez00_13567); 
BgL_arg3983z00_13572 = 
CDR(
((obj_t)BgL_arg3984z00_13573)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13567, BgL_arg3983z00_13572); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13564, BgL_sz00_11200); 
return BgL_____rz00_13570;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13530, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13574;
BgL_nbpz00_13574 = 
(
(long)CINT(BgL_bpz00_13529)+BgL_siza7eza7_11199); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),((long)0),
BINT(BgL_nbpz00_13574)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19725;
BgL_tmpz00_19725 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19725, BgL_locz00_11197); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13575;
BgL_rz00_13575 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13530))(BgL_fz00_13530, BgL_a1z00_13531, BgL_a2z00_13532, BgL_a3z00_13533, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11200),((long)0),BgL_bpz00_13529); 
return BgL_rz00_13575;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11197, BgL_symbzd2funzd2_11198, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13530));} } } } } } } } 

}



/* &<@anonymous:2294> */
obj_t BGl_z62zc3z04anonymousza32294ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11201, obj_t BgL_sz00_11209)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11202; obj_t BgL_a1z00_11203; obj_t BgL_a2z00_11204; obj_t BgL_a3z00_11205; obj_t BgL_locz00_11206; obj_t BgL_symbzd2funzd2_11207; long BgL_siza7eza7_11208;
BgL_funz00_11202 = 
PROCEDURE_REF(BgL_envz00_11201, 
(int)(((long)0))); 
BgL_a1z00_11203 = 
PROCEDURE_REF(BgL_envz00_11201, 
(int)(((long)1))); 
BgL_a2z00_11204 = 
PROCEDURE_REF(BgL_envz00_11201, 
(int)(((long)2))); 
BgL_a3z00_11205 = 
PROCEDURE_REF(BgL_envz00_11201, 
(int)(((long)3))); 
BgL_locz00_11206 = 
PROCEDURE_REF(BgL_envz00_11201, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11207 = 
PROCEDURE_REF(BgL_envz00_11201, 
(int)(((long)5))); 
BgL_siza7eza7_11208 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11201, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13576;
BgL_bpz00_13576 = 
VECTOR_REF(
((obj_t)BgL_sz00_11209),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13577; obj_t BgL_a1z00_13578; obj_t BgL_a2z00_13579; obj_t BgL_a3z00_13580;
BgL_fz00_13577 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11202))(BgL_funz00_11202, BgL_sz00_11209, BEOA); 
BgL_a1z00_13578 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11203))(BgL_a1z00_11203, BgL_sz00_11209, BEOA); 
BgL_a2z00_13579 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11204))(BgL_a2z00_11204, BgL_sz00_11209, BEOA); 
BgL_a3z00_13580 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11205))(BgL_a3z00_11205, BgL_sz00_11209, BEOA); 
if(
PROCEDUREP(BgL_fz00_13577))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11206, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13577); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13581;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19775;
BgL_tmpz00_19775 = 
((obj_t)BgL_fz00_13577); 
BgL_ufz00_13581 = 
PROCEDURE_ATTR(BgL_tmpz00_19775); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4753z00_19778;
if(
STRUCTP(BgL_ufz00_13581))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4753z00_19778 = 
(
STRUCT_KEY(BgL_ufz00_13581)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4753z00_19778 = ((bool_t)0)
; } 
if(BgL_test4753z00_19778)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13582; obj_t BgL_runz00_13583; obj_t BgL_sfz00_13584;
BgL_arityz00_13582 = 
STRUCT_REF(BgL_ufz00_13581, 
(int)(((long)0))); 
BgL_runz00_13583 = 
STRUCT_REF(BgL_ufz00_13581, 
(int)(((long)1))); 
BgL_sfz00_13584 = 
STRUCT_REF(BgL_ufz00_13581, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13585;
BgL_spz00_13585 = 
(
(long)CINT(BgL_bpz00_13576)+BgL_siza7eza7_11208); 
if(
(
(long)CINT(BgL_arityz00_13582)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2298z00_13586;
BgL_arg2298z00_13586 = 
(BgL_spz00_13585+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2298z00_13586,BgL_a1z00_13578); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2299z00_13587;
BgL_arg2299z00_13587 = 
(BgL_spz00_13585+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2299z00_13587,BgL_a2z00_13579); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2300z00_13588;
BgL_arg2300z00_13588 = 
(BgL_spz00_13585+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2300z00_13588,BgL_a3z00_13580); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13582))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13582)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2301z00_13591; obj_t BgL_arg2302z00_13592;
BgL_arg2301z00_13591 = 
(BgL_spz00_13585+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2303z00_13593;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2304z00_13594;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2305z00_13595;
BgL_arg2305z00_13595 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13580, BNIL); 
BgL_arg2304z00_13594 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13579, BgL_arg2305z00_13595); } 
BgL_list2303z00_13593 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13578, BgL_arg2304z00_13594); } 
BgL_arg2302z00_13592 = BgL_list2303z00_13593; } 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2301z00_13591,BgL_arg2302z00_13592); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2306z00_13596;
BgL_arg2306z00_13596 = 
(BgL_spz00_13585+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2306z00_13596,BgL_a1z00_13578); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2307z00_13597; obj_t BgL_arg2308z00_13598;
BgL_arg2307z00_13597 = 
(BgL_spz00_13585+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2309z00_13599;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2310z00_13600;
BgL_arg2310z00_13600 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13580, BNIL); 
BgL_list2309z00_13599 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13579, BgL_arg2310z00_13600); } 
BgL_arg2308z00_13598 = BgL_list2309z00_13599; } 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2307z00_13597,BgL_arg2308z00_13598); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2311z00_13601;
BgL_arg2311z00_13601 = 
(BgL_spz00_13585+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2311z00_13601,BgL_a1z00_13578); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2312z00_13602;
BgL_arg2312z00_13602 = 
(BgL_spz00_13585+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2312z00_13602,BgL_a2z00_13579); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2313z00_13603; obj_t BgL_arg2314z00_13604;
BgL_arg2313z00_13603 = 
(BgL_spz00_13585+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2315z00_13605;
BgL_list2315z00_13605 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13580, BNIL); 
BgL_arg2314z00_13604 = BgL_list2315z00_13605; } 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2313z00_13603,BgL_arg2314z00_13604); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2316z00_13606;
BgL_arg2316z00_13606 = 
(BgL_spz00_13585+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2316z00_13606,BgL_a1z00_13578); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2317z00_13607;
BgL_arg2317z00_13607 = 
(BgL_spz00_13585+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2317z00_13607,BgL_a2z00_13579); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2318z00_13608;
BgL_arg2318z00_13608 = 
(BgL_spz00_13585+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2318z00_13608,BgL_a3z00_13580); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2319z00_13609; obj_t BgL_arg2320z00_13610;
BgL_arg2319z00_13609 = 
(BgL_spz00_13585+((long)3)); 
BgL_arg2320z00_13610 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11209),BgL_arg2319z00_13609,BgL_arg2320z00_13610); } break;
default: 
BgL_case_else1207z00_13589:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2322z00_13590;
BgL_arg2322z00_13590 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13581), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11206, BgL_arg2322z00_13590, 
(int)(((long)3)), 
CINT(BgL_arityz00_13582)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1207z00_13589;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13611;
BgL_z12denvz12_13611 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11209, 
BINT(BgL_spz00_13585), BgL_sfz00_13584))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13583, BgL_sz00_11209, 
BINT(BgL_spz00_13585));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13612;
BgL_nsz00_13612 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2324z00_13613;
BgL_arg2324z00_13613 = 
(BgL_spz00_13585+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13612, ((long)2), BgL_sz00_11209, 
BINT(BgL_spz00_13585), 
BINT(BgL_arg2324z00_13613)); } 
VECTOR_SET(BgL_nsz00_13612,((long)1),BgL_sz00_11209); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13611, BgL_nsz00_13612); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13614;
BgL_ez00_13614 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13615;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13616;
BgL_arg3987z00_13616 = 
BGL_EXITD_PROTECT(BgL_ez00_13614); 
BgL_arg3986z00_13615 = 
MAKE_YOUNG_PAIR(BgL_sz00_11209, BgL_arg3987z00_13616); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13614, BgL_arg3986z00_13615); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13617;
BgL_____rz00_13617 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13583, BgL_nsz00_13612, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4758z00_19868;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13618;
BgL_arg3985z00_13618 = 
BGL_EXITD_PROTECT(BgL_ez00_13614); 
BgL_test4758z00_19868 = 
PAIRP(BgL_arg3985z00_13618); } 
if(BgL_test4758z00_19868)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13619;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13620;
BgL_arg3984z00_13620 = 
BGL_EXITD_PROTECT(BgL_ez00_13614); 
BgL_arg3983z00_13619 = 
CDR(
((obj_t)BgL_arg3984z00_13620)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13614, BgL_arg3983z00_13619); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13611, BgL_sz00_11209); 
return BgL_____rz00_13617;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13577, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13621;
BgL_nbpz00_13621 = 
(
(long)CINT(BgL_bpz00_13576)+BgL_siza7eza7_11208); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),((long)0),
BINT(BgL_nbpz00_13621)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13622;
BgL_rz00_13622 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13577))(BgL_fz00_13577, BgL_a1z00_13578, BgL_a2z00_13579, BgL_a3z00_13580, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11209),((long)0),BgL_bpz00_13576); 
return BgL_rz00_13622;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11206, BgL_symbzd2funzd2_11207, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13577));} } } } } } } } 

}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2813;
BgL_cfunz00_2813 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2813))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4761z00_19898;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1388z00_2837;
BgL_a1388z00_2837 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4761z00_19898 = 
(
(long)(BgL_a1388z00_2837)>((long)0)); } } 
if(BgL_test4761z00_19898)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32328ze3z87_11210;
BgL_zc3z04anonymousza32328ze3z87_11210 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32328ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32328ze3z87_11210, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32328ze3z87_11210, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32328ze3z87_11210, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32328ze3z87_11210, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32328ze3z87_11210, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32328ze3z87_11210, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32328ze3z87_11210, 
(int)(((long)6)), BgL_cfunz00_2813); 
return BgL_zc3z04anonymousza32328ze3z87_11210;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32330ze3z87_11211;
BgL_zc3z04anonymousza32330ze3z87_11211 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32330ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32330ze3z87_11211, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32330ze3z87_11211, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32330ze3z87_11211, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32330ze3z87_11211, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32330ze3z87_11211, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32330ze3z87_11211, 
(int)(((long)5)), BgL_cfunz00_2813); 
return BgL_zc3z04anonymousza32330ze3z87_11211;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4763z00_19938;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1390z00_2973;
BgL_a1390z00_2973 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4763z00_19938 = 
(
(long)(BgL_a1390z00_2973)>((long)0)); } } 
if(BgL_test4763z00_19938)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32333ze3z87_11212;
BgL_zc3z04anonymousza32333ze3z87_11212 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32333ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32333ze3z87_11212, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32333ze3z87_11212, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32333ze3z87_11212, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32333ze3z87_11212, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32333ze3z87_11212, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32333ze3z87_11212, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32333ze3z87_11212, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32333ze3z87_11212, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32333ze3z87_11212;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32377ze3z87_11213;
BgL_zc3z04anonymousza32377ze3z87_11213 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32377ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32377ze3z87_11213, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32377ze3z87_11213, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32377ze3z87_11213, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32377ze3z87_11213, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32377ze3z87_11213, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32377ze3z87_11213, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32377ze3z87_11213, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32377ze3z87_11213, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32377ze3z87_11213;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4764z00_19982;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_a1392z00_3109;
BgL_a1392z00_3109 = 
bgl_debug(); 
{ /* Eval/evaluate_comp.scm 896 */

BgL_test4764z00_19982 = 
(
(long)(BgL_a1392z00_3109)>((long)0)); } } 
if(BgL_test4764z00_19982)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32422ze3z87_11214;
BgL_zc3z04anonymousza32422ze3z87_11214 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_11214, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_11214, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_11214, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_11214, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_11214, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_11214, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_11214, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_11214, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32422ze3z87_11214;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32466ze3z87_11215;
BgL_zc3z04anonymousza32466ze3z87_11215 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32466ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32466ze3z87_11215, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32466ze3z87_11215, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32466ze3z87_11215, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32466ze3z87_11215, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32466ze3z87_11215, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32466ze3z87_11215, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32466ze3z87_11215, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32466ze3z87_11215, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32466ze3z87_11215;} } } } } 

}



/* &<@anonymous:2328> */
obj_t BGl_z62zc3z04anonymousza32328ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11216, obj_t BgL_sz00_11224)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11217; obj_t BgL_a2z00_11218; obj_t BgL_a3z00_11219; obj_t BgL_a4z00_11220; long BgL_siza7eza7_11221; obj_t BgL_locz00_11222; obj_t BgL_cfunz00_11223;
BgL_a1z00_11217 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)0))); 
BgL_a2z00_11218 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)1))); 
BgL_a3z00_11219 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)2))); 
BgL_a4z00_11220 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)3))); 
BgL_siza7eza7_11221 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)4)))); 
BgL_locz00_11222 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)5))); 
BgL_cfunz00_11223 = 
PROCEDURE_REF(BgL_envz00_11216, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13623;
BgL_bpz00_13623 = 
VECTOR_REF(
((obj_t)BgL_sz00_11224),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13624; obj_t BgL_a2z00_13625; obj_t BgL_a3z00_13626; obj_t BgL_a4z00_13627;
BgL_a1z00_13624 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11217))(BgL_a1z00_11217, BgL_sz00_11224, BEOA); 
BgL_a2z00_13625 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11218))(BgL_a2z00_11218, BgL_sz00_11224, BEOA); 
BgL_a3z00_13626 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11219))(BgL_a3z00_11219, BgL_sz00_11224, BEOA); 
BgL_a4z00_13627 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a4z00_11220))(BgL_a4z00_11220, BgL_sz00_11224, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13628;
BgL_nbpz00_13628 = 
(
(long)CINT(BgL_bpz00_13623)+BgL_siza7eza7_11221); 
VECTOR_SET(
((obj_t)BgL_sz00_11224),((long)0),
BINT(BgL_nbpz00_13628)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20064;
BgL_tmpz00_20064 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20064, BgL_locz00_11222); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13629;
BgL_rz00_13629 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11223))(BgL_cfunz00_11223, BgL_a1z00_13624, BgL_a2z00_13625, BgL_a3z00_13626, BgL_a4z00_13627, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11224),((long)0),BgL_bpz00_13623); 
return BgL_rz00_13629;} } } } } } 

}



/* &<@anonymous:2330> */
obj_t BGl_z62zc3z04anonymousza32330ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11225, obj_t BgL_sz00_11232)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11226; obj_t BgL_a2z00_11227; obj_t BgL_a3z00_11228; obj_t BgL_a4z00_11229; long BgL_siza7eza7_11230; obj_t BgL_cfunz00_11231;
BgL_a1z00_11226 = 
PROCEDURE_REF(BgL_envz00_11225, 
(int)(((long)0))); 
BgL_a2z00_11227 = 
PROCEDURE_REF(BgL_envz00_11225, 
(int)(((long)1))); 
BgL_a3z00_11228 = 
PROCEDURE_REF(BgL_envz00_11225, 
(int)(((long)2))); 
BgL_a4z00_11229 = 
PROCEDURE_REF(BgL_envz00_11225, 
(int)(((long)3))); 
BgL_siza7eza7_11230 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11225, 
(int)(((long)4)))); 
BgL_cfunz00_11231 = 
PROCEDURE_REF(BgL_envz00_11225, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13630;
BgL_bpz00_13630 = 
VECTOR_REF(
((obj_t)BgL_sz00_11232),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13631; obj_t BgL_a2z00_13632; obj_t BgL_a3z00_13633; obj_t BgL_a4z00_13634;
BgL_a1z00_13631 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11226))(BgL_a1z00_11226, BgL_sz00_11232, BEOA); 
BgL_a2z00_13632 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11227))(BgL_a2z00_11227, BgL_sz00_11232, BEOA); 
BgL_a3z00_13633 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11228))(BgL_a3z00_11228, BgL_sz00_11232, BEOA); 
BgL_a4z00_13634 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a4z00_11229))(BgL_a4z00_11229, BgL_sz00_11232, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13635;
BgL_nbpz00_13635 = 
(
(long)CINT(BgL_bpz00_13630)+BgL_siza7eza7_11230); 
VECTOR_SET(
((obj_t)BgL_sz00_11232),((long)0),
BINT(BgL_nbpz00_13635)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13636;
BgL_rz00_13636 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_cfunz00_11231))(BgL_cfunz00_11231, BgL_a1z00_13631, BgL_a2z00_13632, BgL_a3z00_13633, BgL_a4z00_13634, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11232),((long)0),BgL_bpz00_13630); 
return BgL_rz00_13636;} } } } } } 

}



/* &<@anonymous:2333> */
obj_t BGl_z62zc3z04anonymousza32333ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11233, obj_t BgL_sz00_11242)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11234; obj_t BgL_a1z00_11235; obj_t BgL_a2z00_11236; obj_t BgL_a3z00_11237; obj_t BgL_a4z00_11238; obj_t BgL_locz00_11239; obj_t BgL_symbzd2funzd2_11240; long BgL_siza7eza7_11241;
BgL_funz00_11234 = 
PROCEDURE_REF(BgL_envz00_11233, 
(int)(((long)0))); 
BgL_a1z00_11235 = 
PROCEDURE_REF(BgL_envz00_11233, 
(int)(((long)1))); 
BgL_a2z00_11236 = 
PROCEDURE_REF(BgL_envz00_11233, 
(int)(((long)2))); 
BgL_a3z00_11237 = 
PROCEDURE_REF(BgL_envz00_11233, 
(int)(((long)3))); 
BgL_a4z00_11238 = 
PROCEDURE_REF(BgL_envz00_11233, 
(int)(((long)4))); 
BgL_locz00_11239 = 
PROCEDURE_REF(BgL_envz00_11233, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11240 = 
PROCEDURE_REF(BgL_envz00_11233, 
(int)(((long)6))); 
BgL_siza7eza7_11241 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11233, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13637;
BgL_bpz00_13637 = 
VECTOR_REF(
((obj_t)BgL_sz00_11242),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13638; obj_t BgL_a1z00_13639; obj_t BgL_a2z00_13640; obj_t BgL_a3z00_13641; obj_t BgL_a4z00_13642;
BgL_fz00_13638 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11234))(BgL_funz00_11234, BgL_sz00_11242, BEOA); 
BgL_a1z00_13639 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11235))(BgL_a1z00_11235, BgL_sz00_11242, BEOA); 
BgL_a2z00_13640 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11236))(BgL_a2z00_11236, BgL_sz00_11242, BEOA); 
BgL_a3z00_13641 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11237))(BgL_a3z00_11237, BgL_sz00_11242, BEOA); 
BgL_a4z00_13642 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a4z00_11238))(BgL_a4z00_11238, BgL_sz00_11242, BEOA); 
if(
PROCEDUREP(BgL_fz00_13638))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11239, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13638); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13643;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20163;
BgL_tmpz00_20163 = 
((obj_t)BgL_fz00_13638); 
BgL_ufz00_13643 = 
PROCEDURE_ATTR(BgL_tmpz00_20163); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4766z00_20166;
if(
STRUCTP(BgL_ufz00_13643))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4766z00_20166 = 
(
STRUCT_KEY(BgL_ufz00_13643)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4766z00_20166 = ((bool_t)0)
; } 
if(BgL_test4766z00_20166)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13644; obj_t BgL_runz00_13645; obj_t BgL_sfz00_13646;
BgL_arityz00_13644 = 
STRUCT_REF(BgL_ufz00_13643, 
(int)(((long)0))); 
BgL_runz00_13645 = 
STRUCT_REF(BgL_ufz00_13643, 
(int)(((long)1))); 
BgL_sfz00_13646 = 
STRUCT_REF(BgL_ufz00_13643, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13644)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2337z00_13647;
BgL_arg2337z00_13647 = 
(
(long)CINT(BgL_bpz00_13637)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2337z00_13647,BgL_a1z00_13639); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2338z00_13648;
BgL_arg2338z00_13648 = 
(
(long)CINT(BgL_bpz00_13637)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2338z00_13648,BgL_a2z00_13640); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2339z00_13649;
BgL_arg2339z00_13649 = 
(
(long)CINT(BgL_bpz00_13637)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2339z00_13649,BgL_a3z00_13641); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2340z00_13650;
BgL_arg2340z00_13650 = 
(
(long)CINT(BgL_bpz00_13637)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2340z00_13650,BgL_a4z00_13642); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13644))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13644)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2341z00_13653; obj_t BgL_arg2342z00_13654;
BgL_arg2341z00_13653 = 
(
(long)CINT(BgL_bpz00_13637)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2343z00_13655;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2344z00_13656;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2345z00_13657;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2346z00_13658;
BgL_arg2346z00_13658 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13642, BNIL); 
BgL_arg2345z00_13657 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13641, BgL_arg2346z00_13658); } 
BgL_arg2344z00_13656 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13640, BgL_arg2345z00_13657); } 
BgL_list2343z00_13655 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13639, BgL_arg2344z00_13656); } 
BgL_arg2342z00_13654 = BgL_list2343z00_13655; } 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2341z00_13653,BgL_arg2342z00_13654); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2347z00_13659;
BgL_arg2347z00_13659 = 
(
(long)CINT(BgL_bpz00_13637)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2347z00_13659,BgL_a1z00_13639); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2348z00_13660; obj_t BgL_arg2349z00_13661;
BgL_arg2348z00_13660 = 
(
(long)CINT(BgL_bpz00_13637)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2350z00_13662;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2351z00_13663;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2352z00_13664;
BgL_arg2352z00_13664 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13642, BNIL); 
BgL_arg2351z00_13663 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13641, BgL_arg2352z00_13664); } 
BgL_list2350z00_13662 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13640, BgL_arg2351z00_13663); } 
BgL_arg2349z00_13661 = BgL_list2350z00_13662; } 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2348z00_13660,BgL_arg2349z00_13661); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2353z00_13665;
BgL_arg2353z00_13665 = 
(
(long)CINT(BgL_bpz00_13637)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2353z00_13665,BgL_a1z00_13639); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2354z00_13666;
BgL_arg2354z00_13666 = 
(
(long)CINT(BgL_bpz00_13637)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2354z00_13666,BgL_a2z00_13640); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2355z00_13667; obj_t BgL_arg2356z00_13668;
BgL_arg2355z00_13667 = 
(
(long)CINT(BgL_bpz00_13637)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2357z00_13669;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2358z00_13670;
BgL_arg2358z00_13670 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13642, BNIL); 
BgL_list2357z00_13669 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13641, BgL_arg2358z00_13670); } 
BgL_arg2356z00_13668 = BgL_list2357z00_13669; } 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2355z00_13667,BgL_arg2356z00_13668); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2359z00_13671;
BgL_arg2359z00_13671 = 
(
(long)CINT(BgL_bpz00_13637)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2359z00_13671,BgL_a1z00_13639); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2360z00_13672;
BgL_arg2360z00_13672 = 
(
(long)CINT(BgL_bpz00_13637)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2360z00_13672,BgL_a2z00_13640); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2361z00_13673;
BgL_arg2361z00_13673 = 
(
(long)CINT(BgL_bpz00_13637)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2361z00_13673,BgL_a3z00_13641); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2362z00_13674; obj_t BgL_arg2363z00_13675;
BgL_arg2362z00_13674 = 
(
(long)CINT(BgL_bpz00_13637)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2364z00_13676;
BgL_list2364z00_13676 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13642, BNIL); 
BgL_arg2363z00_13675 = BgL_list2364z00_13676; } 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2362z00_13674,BgL_arg2363z00_13675); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2365z00_13677;
BgL_arg2365z00_13677 = 
(
(long)CINT(BgL_bpz00_13637)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2365z00_13677,BgL_a1z00_13639); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2366z00_13678;
BgL_arg2366z00_13678 = 
(
(long)CINT(BgL_bpz00_13637)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2366z00_13678,BgL_a2z00_13640); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2367z00_13679;
BgL_arg2367z00_13679 = 
(
(long)CINT(BgL_bpz00_13637)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2367z00_13679,BgL_a3z00_13641); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2368z00_13680;
BgL_arg2368z00_13680 = 
(
(long)CINT(BgL_bpz00_13637)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2368z00_13680,BgL_a4z00_13642); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2369z00_13681; obj_t BgL_arg2370z00_13682;
BgL_arg2369z00_13681 = 
(
(long)CINT(BgL_bpz00_13637)+((long)4)); 
BgL_arg2370z00_13682 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11242),BgL_arg2369z00_13681,BgL_arg2370z00_13682); } break;
default: 
BgL_case_else1209z00_13651:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2372z00_13652;
BgL_arg2372z00_13652 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13643), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11239, BgL_arg2372z00_13652, 
(int)(((long)4)), 
CINT(BgL_arityz00_13644)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1209z00_13651;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13683;
BgL_z12denvz12_13683 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13683, BgL_locz00_11239); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11242, BgL_bpz00_13637, BgL_sfz00_13646))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13645;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13684;
BgL_nsz00_13684 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2374z00_13685;
BgL_arg2374z00_13685 = 
(
(long)CINT(BgL_bpz00_13637)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13684, ((long)2), BgL_sz00_11242, BgL_bpz00_13637, 
BINT(BgL_arg2374z00_13685)); } 
VECTOR_SET(BgL_nsz00_13684,((long)1),BgL_sz00_11242); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13683, BgL_nsz00_13684); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13686;
BgL_ez00_13686 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13687;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13688;
BgL_arg3987z00_13688 = 
BGL_EXITD_PROTECT(BgL_ez00_13686); 
BgL_arg3986z00_13687 = 
MAKE_YOUNG_PAIR(BgL_sz00_11242, BgL_arg3987z00_13688); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13686, BgL_arg3986z00_13687); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13689;
BgL_____rz00_13689 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13645, BgL_nsz00_13684, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4771z00_20293;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13690;
BgL_arg3985z00_13690 = 
BGL_EXITD_PROTECT(BgL_ez00_13686); 
BgL_test4771z00_20293 = 
PAIRP(BgL_arg3985z00_13690); } 
if(BgL_test4771z00_20293)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13691;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13692;
BgL_arg3984z00_13692 = 
BGL_EXITD_PROTECT(BgL_ez00_13686); 
BgL_arg3983z00_13691 = 
CDR(
((obj_t)BgL_arg3984z00_13692)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13686, BgL_arg3983z00_13691); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13683, BgL_sz00_11242); 
return BgL_____rz00_13689;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13638, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13693;
BgL_nbpz00_13693 = 
(
(long)CINT(BgL_bpz00_13637)+BgL_siza7eza7_11241); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),((long)0),
BINT(BgL_nbpz00_13693)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20309;
BgL_tmpz00_20309 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20309, BgL_locz00_11239); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13694;
BgL_rz00_13694 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13638))(BgL_fz00_13638, BgL_a1z00_13639, BgL_a2z00_13640, BgL_a3z00_13641, BgL_a4z00_13642, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11242),((long)0),BgL_bpz00_13637); 
return BgL_rz00_13694;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11239, BgL_symbzd2funzd2_11240, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13638));} } } } } } } } 

}



/* &<@anonymous:2377> */
obj_t BGl_z62zc3z04anonymousza32377ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11243, obj_t BgL_sz00_11252)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11244; obj_t BgL_a1z00_11245; obj_t BgL_a2z00_11246; obj_t BgL_a3z00_11247; obj_t BgL_a4z00_11248; obj_t BgL_locz00_11249; obj_t BgL_symbzd2funzd2_11250; long BgL_siza7eza7_11251;
BgL_funz00_11244 = 
PROCEDURE_REF(BgL_envz00_11243, 
(int)(((long)0))); 
BgL_a1z00_11245 = 
PROCEDURE_REF(BgL_envz00_11243, 
(int)(((long)1))); 
BgL_a2z00_11246 = 
PROCEDURE_REF(BgL_envz00_11243, 
(int)(((long)2))); 
BgL_a3z00_11247 = 
PROCEDURE_REF(BgL_envz00_11243, 
(int)(((long)3))); 
BgL_a4z00_11248 = 
PROCEDURE_REF(BgL_envz00_11243, 
(int)(((long)4))); 
BgL_locz00_11249 = 
PROCEDURE_REF(BgL_envz00_11243, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11250 = 
PROCEDURE_REF(BgL_envz00_11243, 
(int)(((long)6))); 
BgL_siza7eza7_11251 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11243, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13695;
BgL_bpz00_13695 = 
VECTOR_REF(
((obj_t)BgL_sz00_11252),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13696; obj_t BgL_a1z00_13697; obj_t BgL_a2z00_13698; obj_t BgL_a3z00_13699; obj_t BgL_a4z00_13700;
BgL_fz00_13696 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11244))(BgL_funz00_11244, BgL_sz00_11252, BEOA); 
BgL_a1z00_13697 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11245))(BgL_a1z00_11245, BgL_sz00_11252, BEOA); 
BgL_a2z00_13698 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11246))(BgL_a2z00_11246, BgL_sz00_11252, BEOA); 
BgL_a3z00_13699 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11247))(BgL_a3z00_11247, BgL_sz00_11252, BEOA); 
BgL_a4z00_13700 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a4z00_11248))(BgL_a4z00_11248, BgL_sz00_11252, BEOA); 
if(
PROCEDUREP(BgL_fz00_13696))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11249, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13696); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13701;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20366;
BgL_tmpz00_20366 = 
((obj_t)BgL_fz00_13696); 
BgL_ufz00_13701 = 
PROCEDURE_ATTR(BgL_tmpz00_20366); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4774z00_20369;
if(
STRUCTP(BgL_ufz00_13701))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4774z00_20369 = 
(
STRUCT_KEY(BgL_ufz00_13701)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4774z00_20369 = ((bool_t)0)
; } 
if(BgL_test4774z00_20369)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13702; obj_t BgL_runz00_13703; obj_t BgL_sfz00_13704;
BgL_arityz00_13702 = 
STRUCT_REF(BgL_ufz00_13701, 
(int)(((long)0))); 
BgL_runz00_13703 = 
STRUCT_REF(BgL_ufz00_13701, 
(int)(((long)1))); 
BgL_sfz00_13704 = 
STRUCT_REF(BgL_ufz00_13701, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13702)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2381z00_13705;
BgL_arg2381z00_13705 = 
(
(long)CINT(BgL_bpz00_13695)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2381z00_13705,BgL_a1z00_13697); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2382z00_13706;
BgL_arg2382z00_13706 = 
(
(long)CINT(BgL_bpz00_13695)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2382z00_13706,BgL_a2z00_13698); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2383z00_13707;
BgL_arg2383z00_13707 = 
(
(long)CINT(BgL_bpz00_13695)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2383z00_13707,BgL_a3z00_13699); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2384z00_13708;
BgL_arg2384z00_13708 = 
(
(long)CINT(BgL_bpz00_13695)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2384z00_13708,BgL_a4z00_13700); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13702))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13702)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2385z00_13711; obj_t BgL_arg2386z00_13712;
BgL_arg2385z00_13711 = 
(
(long)CINT(BgL_bpz00_13695)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2387z00_13713;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2388z00_13714;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2389z00_13715;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2390z00_13716;
BgL_arg2390z00_13716 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13700, BNIL); 
BgL_arg2389z00_13715 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13699, BgL_arg2390z00_13716); } 
BgL_arg2388z00_13714 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13698, BgL_arg2389z00_13715); } 
BgL_list2387z00_13713 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13697, BgL_arg2388z00_13714); } 
BgL_arg2386z00_13712 = BgL_list2387z00_13713; } 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2385z00_13711,BgL_arg2386z00_13712); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2391z00_13717;
BgL_arg2391z00_13717 = 
(
(long)CINT(BgL_bpz00_13695)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2391z00_13717,BgL_a1z00_13697); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2392z00_13718; obj_t BgL_arg2393z00_13719;
BgL_arg2392z00_13718 = 
(
(long)CINT(BgL_bpz00_13695)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2394z00_13720;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2395z00_13721;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2396z00_13722;
BgL_arg2396z00_13722 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13700, BNIL); 
BgL_arg2395z00_13721 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13699, BgL_arg2396z00_13722); } 
BgL_list2394z00_13720 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13698, BgL_arg2395z00_13721); } 
BgL_arg2393z00_13719 = BgL_list2394z00_13720; } 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2392z00_13718,BgL_arg2393z00_13719); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2397z00_13723;
BgL_arg2397z00_13723 = 
(
(long)CINT(BgL_bpz00_13695)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2397z00_13723,BgL_a1z00_13697); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2398z00_13724;
BgL_arg2398z00_13724 = 
(
(long)CINT(BgL_bpz00_13695)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2398z00_13724,BgL_a2z00_13698); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2399z00_13725; obj_t BgL_arg2400z00_13726;
BgL_arg2399z00_13725 = 
(
(long)CINT(BgL_bpz00_13695)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2401z00_13727;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2402z00_13728;
BgL_arg2402z00_13728 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13700, BNIL); 
BgL_list2401z00_13727 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13699, BgL_arg2402z00_13728); } 
BgL_arg2400z00_13726 = BgL_list2401z00_13727; } 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2399z00_13725,BgL_arg2400z00_13726); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2403z00_13729;
BgL_arg2403z00_13729 = 
(
(long)CINT(BgL_bpz00_13695)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2403z00_13729,BgL_a1z00_13697); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2404z00_13730;
BgL_arg2404z00_13730 = 
(
(long)CINT(BgL_bpz00_13695)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2404z00_13730,BgL_a2z00_13698); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2405z00_13731;
BgL_arg2405z00_13731 = 
(
(long)CINT(BgL_bpz00_13695)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2405z00_13731,BgL_a3z00_13699); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2406z00_13732; obj_t BgL_arg2407z00_13733;
BgL_arg2406z00_13732 = 
(
(long)CINT(BgL_bpz00_13695)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2408z00_13734;
BgL_list2408z00_13734 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13700, BNIL); 
BgL_arg2407z00_13733 = BgL_list2408z00_13734; } 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2406z00_13732,BgL_arg2407z00_13733); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2409z00_13735;
BgL_arg2409z00_13735 = 
(
(long)CINT(BgL_bpz00_13695)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2409z00_13735,BgL_a1z00_13697); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2410z00_13736;
BgL_arg2410z00_13736 = 
(
(long)CINT(BgL_bpz00_13695)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2410z00_13736,BgL_a2z00_13698); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2411z00_13737;
BgL_arg2411z00_13737 = 
(
(long)CINT(BgL_bpz00_13695)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2411z00_13737,BgL_a3z00_13699); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2412z00_13738;
BgL_arg2412z00_13738 = 
(
(long)CINT(BgL_bpz00_13695)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2412z00_13738,BgL_a4z00_13700); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2413z00_13739; obj_t BgL_arg2414z00_13740;
BgL_arg2413z00_13739 = 
(
(long)CINT(BgL_bpz00_13695)+((long)4)); 
BgL_arg2414z00_13740 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11252),BgL_arg2413z00_13739,BgL_arg2414z00_13740); } break;
default: 
BgL_case_else1211z00_13709:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2416z00_13710;
BgL_arg2416z00_13710 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13701), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11249, BgL_arg2416z00_13710, 
(int)(((long)4)), 
CINT(BgL_arityz00_13702)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1211z00_13709;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13741;
BgL_z12denvz12_13741 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11252, BgL_bpz00_13695, BgL_sfz00_13704))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13703;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13742;
BgL_nsz00_13742 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2418z00_13743;
BgL_arg2418z00_13743 = 
(
(long)CINT(BgL_bpz00_13695)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13742, ((long)2), BgL_sz00_11252, BgL_bpz00_13695, 
BINT(BgL_arg2418z00_13743)); } 
VECTOR_SET(BgL_nsz00_13742,((long)1),BgL_sz00_11252); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13741, BgL_nsz00_13742); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13744;
BgL_ez00_13744 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13745;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13746;
BgL_arg3987z00_13746 = 
BGL_EXITD_PROTECT(BgL_ez00_13744); 
BgL_arg3986z00_13745 = 
MAKE_YOUNG_PAIR(BgL_sz00_11252, BgL_arg3987z00_13746); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13744, BgL_arg3986z00_13745); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13747;
BgL_____rz00_13747 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13703, BgL_nsz00_13742, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4779z00_20495;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13748;
BgL_arg3985z00_13748 = 
BGL_EXITD_PROTECT(BgL_ez00_13744); 
BgL_test4779z00_20495 = 
PAIRP(BgL_arg3985z00_13748); } 
if(BgL_test4779z00_20495)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13749;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13750;
BgL_arg3984z00_13750 = 
BGL_EXITD_PROTECT(BgL_ez00_13744); 
BgL_arg3983z00_13749 = 
CDR(
((obj_t)BgL_arg3984z00_13750)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13744, BgL_arg3983z00_13749); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13741, BgL_sz00_11252); 
return BgL_____rz00_13747;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13696, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13751;
BgL_nbpz00_13751 = 
(
(long)CINT(BgL_bpz00_13695)+BgL_siza7eza7_11251); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),((long)0),
BINT(BgL_nbpz00_13751)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13752;
BgL_rz00_13752 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13696))(BgL_fz00_13696, BgL_a1z00_13697, BgL_a2z00_13698, BgL_a3z00_13699, BgL_a4z00_13700, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11252),((long)0),BgL_bpz00_13695); 
return BgL_rz00_13752;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11249, BgL_symbzd2funzd2_11250, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13696));} } } } } } } } 

}



/* &<@anonymous:2422> */
obj_t BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11253, obj_t BgL_sz00_11262)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11254; obj_t BgL_a1z00_11255; obj_t BgL_a2z00_11256; obj_t BgL_a3z00_11257; obj_t BgL_a4z00_11258; obj_t BgL_locz00_11259; obj_t BgL_symbzd2funzd2_11260; long BgL_siza7eza7_11261;
BgL_funz00_11254 = 
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)0))); 
BgL_a1z00_11255 = 
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)1))); 
BgL_a2z00_11256 = 
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)2))); 
BgL_a3z00_11257 = 
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)3))); 
BgL_a4z00_11258 = 
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)4))); 
BgL_locz00_11259 = 
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11260 = 
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)6))); 
BgL_siza7eza7_11261 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11253, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13753;
BgL_bpz00_13753 = 
VECTOR_REF(
((obj_t)BgL_sz00_11262),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13754; obj_t BgL_a1z00_13755; obj_t BgL_a2z00_13756; obj_t BgL_a3z00_13757; obj_t BgL_a4z00_13758;
BgL_fz00_13754 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11254))(BgL_funz00_11254, BgL_sz00_11262, BEOA); 
BgL_a1z00_13755 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11255))(BgL_a1z00_11255, BgL_sz00_11262, BEOA); 
BgL_a2z00_13756 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11256))(BgL_a2z00_11256, BgL_sz00_11262, BEOA); 
BgL_a3z00_13757 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11257))(BgL_a3z00_11257, BgL_sz00_11262, BEOA); 
BgL_a4z00_13758 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a4z00_11258))(BgL_a4z00_11258, BgL_sz00_11262, BEOA); 
if(
PROCEDUREP(BgL_fz00_13754))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11259, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13754); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13759;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20565;
BgL_tmpz00_20565 = 
((obj_t)BgL_fz00_13754); 
BgL_ufz00_13759 = 
PROCEDURE_ATTR(BgL_tmpz00_20565); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4782z00_20568;
if(
STRUCTP(BgL_ufz00_13759))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4782z00_20568 = 
(
STRUCT_KEY(BgL_ufz00_13759)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4782z00_20568 = ((bool_t)0)
; } 
if(BgL_test4782z00_20568)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13760; obj_t BgL_runz00_13761; obj_t BgL_sfz00_13762;
BgL_arityz00_13760 = 
STRUCT_REF(BgL_ufz00_13759, 
(int)(((long)0))); 
BgL_runz00_13761 = 
STRUCT_REF(BgL_ufz00_13759, 
(int)(((long)1))); 
BgL_sfz00_13762 = 
STRUCT_REF(BgL_ufz00_13759, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13763;
BgL_spz00_13763 = 
(
(long)CINT(BgL_bpz00_13753)+BgL_siza7eza7_11261); 
if(
(
(long)CINT(BgL_arityz00_13760)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2426z00_13764;
BgL_arg2426z00_13764 = 
(BgL_spz00_13763+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2426z00_13764,BgL_a1z00_13755); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2427z00_13765;
BgL_arg2427z00_13765 = 
(BgL_spz00_13763+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2427z00_13765,BgL_a2z00_13756); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2428z00_13766;
BgL_arg2428z00_13766 = 
(BgL_spz00_13763+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2428z00_13766,BgL_a3z00_13757); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2429z00_13767;
BgL_arg2429z00_13767 = 
(BgL_spz00_13763+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2429z00_13767,BgL_a4z00_13758); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13760))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13760)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2430z00_13770; obj_t BgL_arg2431z00_13771;
BgL_arg2430z00_13770 = 
(BgL_spz00_13763+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2432z00_13772;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2433z00_13773;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2434z00_13774;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2435z00_13775;
BgL_arg2435z00_13775 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13758, BNIL); 
BgL_arg2434z00_13774 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13757, BgL_arg2435z00_13775); } 
BgL_arg2433z00_13773 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13756, BgL_arg2434z00_13774); } 
BgL_list2432z00_13772 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13755, BgL_arg2433z00_13773); } 
BgL_arg2431z00_13771 = BgL_list2432z00_13772; } 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2430z00_13770,BgL_arg2431z00_13771); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2436z00_13776;
BgL_arg2436z00_13776 = 
(BgL_spz00_13763+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2436z00_13776,BgL_a1z00_13755); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2437z00_13777; obj_t BgL_arg2438z00_13778;
BgL_arg2437z00_13777 = 
(BgL_spz00_13763+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2439z00_13779;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2440z00_13780;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2441z00_13781;
BgL_arg2441z00_13781 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13758, BNIL); 
BgL_arg2440z00_13780 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13757, BgL_arg2441z00_13781); } 
BgL_list2439z00_13779 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13756, BgL_arg2440z00_13780); } 
BgL_arg2438z00_13778 = BgL_list2439z00_13779; } 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2437z00_13777,BgL_arg2438z00_13778); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2442z00_13782;
BgL_arg2442z00_13782 = 
(BgL_spz00_13763+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2442z00_13782,BgL_a1z00_13755); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2443z00_13783;
BgL_arg2443z00_13783 = 
(BgL_spz00_13763+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2443z00_13783,BgL_a2z00_13756); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2444z00_13784; obj_t BgL_arg2445z00_13785;
BgL_arg2444z00_13784 = 
(BgL_spz00_13763+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2446z00_13786;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2447z00_13787;
BgL_arg2447z00_13787 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13758, BNIL); 
BgL_list2446z00_13786 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13757, BgL_arg2447z00_13787); } 
BgL_arg2445z00_13785 = BgL_list2446z00_13786; } 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2444z00_13784,BgL_arg2445z00_13785); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2448z00_13788;
BgL_arg2448z00_13788 = 
(BgL_spz00_13763+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2448z00_13788,BgL_a1z00_13755); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2449z00_13789;
BgL_arg2449z00_13789 = 
(BgL_spz00_13763+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2449z00_13789,BgL_a2z00_13756); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2450z00_13790;
BgL_arg2450z00_13790 = 
(BgL_spz00_13763+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2450z00_13790,BgL_a3z00_13757); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2451z00_13791; obj_t BgL_arg2452z00_13792;
BgL_arg2451z00_13791 = 
(BgL_spz00_13763+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2453z00_13793;
BgL_list2453z00_13793 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13758, BNIL); 
BgL_arg2452z00_13792 = BgL_list2453z00_13793; } 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2451z00_13791,BgL_arg2452z00_13792); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2454z00_13794;
BgL_arg2454z00_13794 = 
(BgL_spz00_13763+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2454z00_13794,BgL_a1z00_13755); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2455z00_13795;
BgL_arg2455z00_13795 = 
(BgL_spz00_13763+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2455z00_13795,BgL_a2z00_13756); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2456z00_13796;
BgL_arg2456z00_13796 = 
(BgL_spz00_13763+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2456z00_13796,BgL_a3z00_13757); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2457z00_13797;
BgL_arg2457z00_13797 = 
(BgL_spz00_13763+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2457z00_13797,BgL_a4z00_13758); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2458z00_13798; obj_t BgL_arg2459z00_13799;
BgL_arg2458z00_13798 = 
(BgL_spz00_13763+((long)4)); 
BgL_arg2459z00_13799 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11262),BgL_arg2458z00_13798,BgL_arg2459z00_13799); } break;
default: 
BgL_case_else1213z00_13768:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2461z00_13769;
BgL_arg2461z00_13769 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13759), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11259, BgL_arg2461z00_13769, 
(int)(((long)4)), 
CINT(BgL_arityz00_13760)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1213z00_13768;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13800;
BgL_z12denvz12_13800 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13800, BgL_locz00_11259); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11262, 
BINT(BgL_spz00_13763), BgL_sfz00_13762))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13761, BgL_sz00_11262, 
BINT(BgL_spz00_13763));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13801;
BgL_nsz00_13801 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2463z00_13802;
BgL_arg2463z00_13802 = 
(BgL_spz00_13763+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13801, ((long)2), BgL_sz00_11262, 
BINT(BgL_spz00_13763), 
BINT(BgL_arg2463z00_13802)); } 
VECTOR_SET(BgL_nsz00_13801,((long)1),BgL_sz00_11262); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13800, BgL_nsz00_13801); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13803;
BgL_ez00_13803 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13804;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13805;
BgL_arg3987z00_13805 = 
BGL_EXITD_PROTECT(BgL_ez00_13803); 
BgL_arg3986z00_13804 = 
MAKE_YOUNG_PAIR(BgL_sz00_11262, BgL_arg3987z00_13805); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13803, BgL_arg3986z00_13804); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13806;
BgL_____rz00_13806 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13761, BgL_nsz00_13801, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4787z00_20681;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13807;
BgL_arg3985z00_13807 = 
BGL_EXITD_PROTECT(BgL_ez00_13803); 
BgL_test4787z00_20681 = 
PAIRP(BgL_arg3985z00_13807); } 
if(BgL_test4787z00_20681)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13808;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13809;
BgL_arg3984z00_13809 = 
BGL_EXITD_PROTECT(BgL_ez00_13803); 
BgL_arg3983z00_13808 = 
CDR(
((obj_t)BgL_arg3984z00_13809)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13803, BgL_arg3983z00_13808); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13800, BgL_sz00_11262); 
return BgL_____rz00_13806;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13754, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13810;
BgL_nbpz00_13810 = 
(
(long)CINT(BgL_bpz00_13753)+BgL_siza7eza7_11261); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),((long)0),
BINT(BgL_nbpz00_13810)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20697;
BgL_tmpz00_20697 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20697, BgL_locz00_11259); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13811;
BgL_rz00_13811 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13754))(BgL_fz00_13754, BgL_a1z00_13755, BgL_a2z00_13756, BgL_a3z00_13757, BgL_a4z00_13758, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11262),((long)0),BgL_bpz00_13753); 
return BgL_rz00_13811;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11259, BgL_symbzd2funzd2_11260, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13754));} } } } } } } } 

}



/* &<@anonymous:2466> */
obj_t BGl_z62zc3z04anonymousza32466ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11263, obj_t BgL_sz00_11272)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11264; obj_t BgL_a1z00_11265; obj_t BgL_a2z00_11266; obj_t BgL_a3z00_11267; obj_t BgL_a4z00_11268; obj_t BgL_locz00_11269; obj_t BgL_symbzd2funzd2_11270; long BgL_siza7eza7_11271;
BgL_funz00_11264 = 
PROCEDURE_REF(BgL_envz00_11263, 
(int)(((long)0))); 
BgL_a1z00_11265 = 
PROCEDURE_REF(BgL_envz00_11263, 
(int)(((long)1))); 
BgL_a2z00_11266 = 
PROCEDURE_REF(BgL_envz00_11263, 
(int)(((long)2))); 
BgL_a3z00_11267 = 
PROCEDURE_REF(BgL_envz00_11263, 
(int)(((long)3))); 
BgL_a4z00_11268 = 
PROCEDURE_REF(BgL_envz00_11263, 
(int)(((long)4))); 
BgL_locz00_11269 = 
PROCEDURE_REF(BgL_envz00_11263, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11270 = 
PROCEDURE_REF(BgL_envz00_11263, 
(int)(((long)6))); 
BgL_siza7eza7_11271 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11263, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13812;
BgL_bpz00_13812 = 
VECTOR_REF(
((obj_t)BgL_sz00_11272),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13813; obj_t BgL_a1z00_13814; obj_t BgL_a2z00_13815; obj_t BgL_a3z00_13816; obj_t BgL_a4z00_13817;
BgL_fz00_13813 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_11264))(BgL_funz00_11264, BgL_sz00_11272, BEOA); 
BgL_a1z00_13814 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11265))(BgL_a1z00_11265, BgL_sz00_11272, BEOA); 
BgL_a2z00_13815 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11266))(BgL_a2z00_11266, BgL_sz00_11272, BEOA); 
BgL_a3z00_13816 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a3z00_11267))(BgL_a3z00_11267, BgL_sz00_11272, BEOA); 
BgL_a4z00_13817 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a4z00_11268))(BgL_a4z00_11268, BgL_sz00_11272, BEOA); 
if(
PROCEDUREP(BgL_fz00_13813))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11269, BGl_string4239z00zz__evaluate_compz00, BGl_string4255z00zz__evaluate_compz00, BgL_fz00_13813); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13818;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20754;
BgL_tmpz00_20754 = 
((obj_t)BgL_fz00_13813); 
BgL_ufz00_13818 = 
PROCEDURE_ATTR(BgL_tmpz00_20754); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4790z00_20757;
if(
STRUCTP(BgL_ufz00_13818))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4790z00_20757 = 
(
STRUCT_KEY(BgL_ufz00_13818)==BGl_symbol4256z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4790z00_20757 = ((bool_t)0)
; } 
if(BgL_test4790z00_20757)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13819; obj_t BgL_runz00_13820; obj_t BgL_sfz00_13821;
BgL_arityz00_13819 = 
STRUCT_REF(BgL_ufz00_13818, 
(int)(((long)0))); 
BgL_runz00_13820 = 
STRUCT_REF(BgL_ufz00_13818, 
(int)(((long)1))); 
BgL_sfz00_13821 = 
STRUCT_REF(BgL_ufz00_13818, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13822;
BgL_spz00_13822 = 
(
(long)CINT(BgL_bpz00_13812)+BgL_siza7eza7_11271); 
if(
(
(long)CINT(BgL_arityz00_13819)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2470z00_13823;
BgL_arg2470z00_13823 = 
(BgL_spz00_13822+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2470z00_13823,BgL_a1z00_13814); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2471z00_13824;
BgL_arg2471z00_13824 = 
(BgL_spz00_13822+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2471z00_13824,BgL_a2z00_13815); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2472z00_13825;
BgL_arg2472z00_13825 = 
(BgL_spz00_13822+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2472z00_13825,BgL_a3z00_13816); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2473z00_13826;
BgL_arg2473z00_13826 = 
(BgL_spz00_13822+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2473z00_13826,BgL_a4z00_13817); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13819))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13819)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2474z00_13829; obj_t BgL_arg2475z00_13830;
BgL_arg2474z00_13829 = 
(BgL_spz00_13822+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2476z00_13831;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2477z00_13832;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2478z00_13833;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2479z00_13834;
BgL_arg2479z00_13834 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13817, BNIL); 
BgL_arg2478z00_13833 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13816, BgL_arg2479z00_13834); } 
BgL_arg2477z00_13832 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13815, BgL_arg2478z00_13833); } 
BgL_list2476z00_13831 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13814, BgL_arg2477z00_13832); } 
BgL_arg2475z00_13830 = BgL_list2476z00_13831; } 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2474z00_13829,BgL_arg2475z00_13830); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2480z00_13835;
BgL_arg2480z00_13835 = 
(BgL_spz00_13822+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2480z00_13835,BgL_a1z00_13814); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2481z00_13836; obj_t BgL_arg2482z00_13837;
BgL_arg2481z00_13836 = 
(BgL_spz00_13822+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2483z00_13838;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2484z00_13839;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2485z00_13840;
BgL_arg2485z00_13840 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13817, BNIL); 
BgL_arg2484z00_13839 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13816, BgL_arg2485z00_13840); } 
BgL_list2483z00_13838 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13815, BgL_arg2484z00_13839); } 
BgL_arg2482z00_13837 = BgL_list2483z00_13838; } 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2481z00_13836,BgL_arg2482z00_13837); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2486z00_13841;
BgL_arg2486z00_13841 = 
(BgL_spz00_13822+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2486z00_13841,BgL_a1z00_13814); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2487z00_13842;
BgL_arg2487z00_13842 = 
(BgL_spz00_13822+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2487z00_13842,BgL_a2z00_13815); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2488z00_13843; obj_t BgL_arg2489z00_13844;
BgL_arg2488z00_13843 = 
(BgL_spz00_13822+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2490z00_13845;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2491z00_13846;
BgL_arg2491z00_13846 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13817, BNIL); 
BgL_list2490z00_13845 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13816, BgL_arg2491z00_13846); } 
BgL_arg2489z00_13844 = BgL_list2490z00_13845; } 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2488z00_13843,BgL_arg2489z00_13844); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2492z00_13847;
BgL_arg2492z00_13847 = 
(BgL_spz00_13822+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2492z00_13847,BgL_a1z00_13814); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2493z00_13848;
BgL_arg2493z00_13848 = 
(BgL_spz00_13822+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2493z00_13848,BgL_a2z00_13815); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2494z00_13849;
BgL_arg2494z00_13849 = 
(BgL_spz00_13822+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2494z00_13849,BgL_a3z00_13816); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2495z00_13850; obj_t BgL_arg2496z00_13851;
BgL_arg2495z00_13850 = 
(BgL_spz00_13822+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2497z00_13852;
BgL_list2497z00_13852 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13817, BNIL); 
BgL_arg2496z00_13851 = BgL_list2497z00_13852; } 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2495z00_13850,BgL_arg2496z00_13851); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2498z00_13853;
BgL_arg2498z00_13853 = 
(BgL_spz00_13822+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2498z00_13853,BgL_a1z00_13814); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2499z00_13854;
BgL_arg2499z00_13854 = 
(BgL_spz00_13822+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2499z00_13854,BgL_a2z00_13815); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2500z00_13855;
BgL_arg2500z00_13855 = 
(BgL_spz00_13822+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2500z00_13855,BgL_a3z00_13816); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2501z00_13856;
BgL_arg2501z00_13856 = 
(BgL_spz00_13822+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2501z00_13856,BgL_a4z00_13817); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2502z00_13857; obj_t BgL_arg2503z00_13858;
BgL_arg2502z00_13857 = 
(BgL_spz00_13822+((long)4)); 
BgL_arg2503z00_13858 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11272),BgL_arg2502z00_13857,BgL_arg2503z00_13858); } break;
default: 
BgL_case_else1215z00_13827:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2505z00_13828;
BgL_arg2505z00_13828 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13818), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11269, BgL_arg2505z00_13828, 
(int)(((long)4)), 
CINT(BgL_arityz00_13819)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1215z00_13827;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13859;
BgL_z12denvz12_13859 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11272, 
BINT(BgL_spz00_13822), BgL_sfz00_13821))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13820, BgL_sz00_11272, 
BINT(BgL_spz00_13822));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13860;
BgL_nsz00_13860 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2507z00_13861;
BgL_arg2507z00_13861 = 
(BgL_spz00_13822+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13860, ((long)2), BgL_sz00_11272, 
BINT(BgL_spz00_13822), 
BINT(BgL_arg2507z00_13861)); } 
VECTOR_SET(BgL_nsz00_13860,((long)1),BgL_sz00_11272); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13859, BgL_nsz00_13860); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13862;
BgL_ez00_13862 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3986z00_13863;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3987z00_13864;
BgL_arg3987z00_13864 = 
BGL_EXITD_PROTECT(BgL_ez00_13862); 
BgL_arg3986z00_13863 = 
MAKE_YOUNG_PAIR(BgL_sz00_11272, BgL_arg3987z00_13864); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13862, BgL_arg3986z00_13863); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13865;
BgL_____rz00_13865 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13820, BgL_nsz00_13860, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4795z00_20869;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3985z00_13866;
BgL_arg3985z00_13866 = 
BGL_EXITD_PROTECT(BgL_ez00_13862); 
BgL_test4795z00_20869 = 
PAIRP(BgL_arg3985z00_13866); } 
if(BgL_test4795z00_20869)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3983z00_13867;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg3984z00_13868;
BgL_arg3984z00_13868 = 
BGL_EXITD_PROTECT(BgL_ez00_13862); 
BgL_arg3983z00_13867 = 
CDR(
((obj_t)BgL_arg3984z00_13868)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13862, BgL_arg3983z00_13867); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13859, BgL_sz00_11272); 
return BgL_____rz00_13865;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13813, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13869;
BgL_nbpz00_13869 = 
(
(long)CINT(BgL_bpz00_13812)+BgL_siza7eza7_11271); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),((long)0),
BINT(BgL_nbpz00_13869)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13870;
BgL_rz00_13870 = 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fz00_13813))(BgL_fz00_13813, BgL_a1z00_13814, BgL_a2z00_13815, BgL_a3z00_13816, BgL_a4z00_13817, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11272),((long)0),BgL_bpz00_13812); 
return BgL_rz00_13870;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11269, BgL_symbzd2funzd2_11270, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13813));} } } } } } } } 

}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{
{ /* Eval/evaluate_comp.scm 899 */
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL_test4797z00_20897;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_classz00_8082;
BgL_classz00_8082 = BGl_ev_globalz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 901 */
 BgL_objectz00_bglt BgL_arg3969z00_8084;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_tmpz00_20898;
BgL_tmpz00_20898 = 
((obj_t)
((BgL_objectz00_bglt)BgL_funz00_183)); 
BgL_arg3969z00_8084 = 
(BgL_objectz00_bglt)(BgL_tmpz00_20898); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_idxz00_8090;
BgL_idxz00_8090 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_8084); 
BgL_test4797z00_20897 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8090+((long)2)))==BgL_classz00_8082); }  else 
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL_res4088z00_8112;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_oclassz00_8098;
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_arg3976z00_8104;
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_arg3977z00_8105;
BgL_arg3977z00_8105 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_8084); 
BgL_arg3976z00_8104 = 
(BgL_arg3977z00_8105-OBJECT_TYPE); } 
BgL_oclassz00_8098 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_8104); } 
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL__ortest_1292z00_8099;
BgL__ortest_1292z00_8099 = 
(BgL_classz00_8082==BgL_oclassz00_8098); 
if(BgL__ortest_1292z00_8099)
{ /* Eval/evaluate_comp.scm 901 */
BgL_res4088z00_8112 = BgL__ortest_1292z00_8099; }  else 
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_odepthz00_8100;
BgL_odepthz00_8100 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8098); 
if(
(((long)2)<BgL_odepthz00_8100))
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_arg3966z00_8102;
BgL_arg3966z00_8102 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8098, ((long)2)); 
BgL_res4088z00_8112 = 
(BgL_arg3966z00_8102==BgL_classz00_8082); }  else 
{ /* Eval/evaluate_comp.scm 901 */
BgL_res4088z00_8112 = ((bool_t)0); } } } } 
BgL_test4797z00_20897 = BgL_res4088z00_8112; } } } 
if(BgL_test4797z00_20897)
{ /* Eval/evaluate_comp.scm 903 */
 obj_t BgL_gz00_3114;
{ /* Eval/evaluate_comp.scm 903 */
 obj_t BgL_arg2515z00_3122; obj_t BgL_arg2516z00_3123;
BgL_arg2515z00_3122 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2516z00_3123 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3114 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2515z00_3122, BgL_arg2516z00_3123); } 
if(
CBOOL(BgL_gz00_3114))
{ /* Eval/evaluate_comp.scm 905 */
 bool_t BgL_test4802z00_20925;
{ /* Eval/evaluate_comp.scm 905 */
 int BgL_arg2514z00_3121;
{ /* Eval/evaluate_comp.scm 905 */
 int BgL_res4089z00_8115;
BgL_res4089z00_8115 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3114),((long)0))); 
BgL_arg2514z00_3121 = BgL_res4089z00_8115; } 
BgL_test4802z00_20925 = 
(
(long)(BgL_arg2514z00_3121)==((long)0)); } 
if(BgL_test4802z00_20925)
{ /* Eval/evaluate_comp.scm 906 */
 obj_t BgL_valz00_3117;
BgL_valz00_3117 = 
VECTOR_REF(
((obj_t)BgL_gz00_3114),((long)2)); 
{ /* Eval/evaluate_comp.scm 907 */
 bool_t BgL_test4803z00_20933;
if(
PROCEDUREP(BgL_valz00_3117))
{ /* Eval/evaluate_comp.scm 907 */
BgL_test4803z00_20933 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3117, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 907 */
BgL_test4803z00_20933 = ((bool_t)0)
; } 
if(BgL_test4803z00_20933)
{ /* Eval/evaluate_comp.scm 907 */
return BgL_valz00_3117;}  else 
{ /* Eval/evaluate_comp.scm 907 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 905 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 904 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_test4805z00_20938;
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_test4806z00_20939;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_classz00_8119;
BgL_classz00_8119 = BGl_ev_littz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 910 */
 BgL_objectz00_bglt BgL_arg3969z00_8121;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_tmpz00_20940;
BgL_tmpz00_20940 = 
((obj_t)
((BgL_objectz00_bglt)BgL_funz00_183)); 
BgL_arg3969z00_8121 = 
(BgL_objectz00_bglt)(BgL_tmpz00_20940); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_idxz00_8127;
BgL_idxz00_8127 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_8121); 
BgL_test4806z00_20939 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8127+((long)2)))==BgL_classz00_8119); }  else 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_res4090z00_8149;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_oclassz00_8135;
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_arg3976z00_8141;
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_arg3977z00_8142;
BgL_arg3977z00_8142 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_8121); 
BgL_arg3976z00_8141 = 
(BgL_arg3977z00_8142-OBJECT_TYPE); } 
BgL_oclassz00_8135 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_8141); } 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL__ortest_1292z00_8136;
BgL__ortest_1292z00_8136 = 
(BgL_classz00_8119==BgL_oclassz00_8135); 
if(BgL__ortest_1292z00_8136)
{ /* Eval/evaluate_comp.scm 910 */
BgL_res4090z00_8149 = BgL__ortest_1292z00_8136; }  else 
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_odepthz00_8137;
BgL_odepthz00_8137 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8135); 
if(
(((long)2)<BgL_odepthz00_8137))
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_arg3966z00_8139;
BgL_arg3966z00_8139 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8135, ((long)2)); 
BgL_res4090z00_8149 = 
(BgL_arg3966z00_8139==BgL_classz00_8119); }  else 
{ /* Eval/evaluate_comp.scm 910 */
BgL_res4090z00_8149 = ((bool_t)0); } } } } 
BgL_test4806z00_20939 = BgL_res4090z00_8149; } } } 
if(BgL_test4806z00_20939)
{ /* Eval/evaluate_comp.scm 911 */
 obj_t BgL_tmpz00_20960;
BgL_tmpz00_20960 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test4805z00_20938 = 
PROCEDUREP(BgL_tmpz00_20960); }  else 
{ /* Eval/evaluate_comp.scm 910 */
BgL_test4805z00_20938 = ((bool_t)0)
; } } 
if(BgL_test4805z00_20938)
{ /* Eval/evaluate_comp.scm 913 */
 bool_t BgL_test4810z00_20964;
{ /* Eval/evaluate_comp.scm 913 */
 obj_t BgL_arg2524z00_3133;
BgL_arg2524z00_3133 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test4810z00_20964 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2524z00_3133, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_test4810z00_20964)
{ /* Eval/evaluate_comp.scm 913 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 915 */
 int BgL_arg2522z00_3131;
{ /* Eval/evaluate_comp.scm 915 */
 obj_t BgL_arg2523z00_3132;
BgL_arg2523z00_3132 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2522z00_3131 = 
PROCEDURE_ARITY(BgL_arg2523z00_3132); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2522z00_3131);} }  else 
{ /* Eval/evaluate_comp.scm 910 */
return BFALSE;} } } } 

}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{
{ /* Eval/evaluate_comp.scm 918 */
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL_test4811z00_20976;
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_classz00_8155;
BgL_classz00_8155 = BGl_ev_littz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 925 */
 BgL_objectz00_bglt BgL_arg3969z00_8157;
BgL_arg3969z00_8157 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_idxz00_8163;
BgL_idxz00_8163 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_8157); 
BgL_test4811z00_20976 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8163+((long)2)))==BgL_classz00_8155); }  else 
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL_res4091z00_8185;
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_oclassz00_8171;
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_arg3976z00_8177;
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_arg3977z00_8178;
BgL_arg3977z00_8178 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_8157); 
BgL_arg3976z00_8177 = 
(BgL_arg3977z00_8178-OBJECT_TYPE); } 
BgL_oclassz00_8171 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_8177); } 
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL__ortest_1292z00_8172;
BgL__ortest_1292z00_8172 = 
(BgL_classz00_8155==BgL_oclassz00_8171); 
if(BgL__ortest_1292z00_8172)
{ /* Eval/evaluate_comp.scm 925 */
BgL_res4091z00_8185 = BgL__ortest_1292z00_8172; }  else 
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_odepthz00_8173;
BgL_odepthz00_8173 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8171); 
if(
(((long)2)<BgL_odepthz00_8173))
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_arg3966z00_8175;
BgL_arg3966z00_8175 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8171, ((long)2)); 
BgL_res4091z00_8185 = 
(BgL_arg3966z00_8175==BgL_classz00_8155); }  else 
{ /* Eval/evaluate_comp.scm 925 */
BgL_res4091z00_8185 = ((bool_t)0); } } } } 
BgL_test4811z00_20976 = BgL_res4091z00_8185; } }  else 
{ /* Eval/evaluate_comp.scm 925 */
BgL_test4811z00_20976 = ((bool_t)0)
; } } 
if(BgL_test4811z00_20976)
{ /* Eval/evaluate_comp.scm 925 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 927 */
 obj_t BgL_v1394z00_3143;
BgL_v1394z00_3143 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1394z00_3143,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 927 */
 double BgL_arg2529z00_3144;
BgL_arg2529z00_3144 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1394z00_3143,((long)1),
DOUBLE_TO_REAL(BgL_arg2529z00_3144)); } 
return BgL_v1394z00_3143;}  else 
{ /* Eval/evaluate_comp.scm 928 */
 bool_t BgL_test4817z00_21009;
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_tmpz00_21010;
BgL_tmpz00_21010 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_test4817z00_21009 = 
REALP(BgL_tmpz00_21010); } 
if(BgL_test4817z00_21009)
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_v1395z00_3148;
BgL_v1395z00_3148 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1395z00_3148,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_arg2533z00_3149;
BgL_arg2533z00_3149 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1395z00_3148,((long)1),BgL_arg2533z00_3149); } 
return BgL_v1395z00_3148;}  else 
{ /* Eval/evaluate_comp.scm 929 */
 obj_t BgL_v1396z00_3150;
BgL_v1396z00_3150 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1396z00_3150,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 929 */
 obj_t BgL_arg2534z00_3151;
BgL_arg2534z00_3151 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1396z00_3150,((long)1),BgL_arg2534z00_3151); } 
return BgL_v1396z00_3150;} } }  else 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL_test4818z00_21026;
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_classz00_8193;
BgL_classz00_8193 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 930 */
 BgL_objectz00_bglt BgL_arg3969z00_8195;
BgL_arg3969z00_8195 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_idxz00_8201;
BgL_idxz00_8201 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_8195); 
BgL_test4818z00_21026 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8201+((long)2)))==BgL_classz00_8193); }  else 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL_res4092z00_8223;
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_oclassz00_8209;
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_arg3976z00_8215;
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_arg3977z00_8216;
BgL_arg3977z00_8216 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_8195); 
BgL_arg3976z00_8215 = 
(BgL_arg3977z00_8216-OBJECT_TYPE); } 
BgL_oclassz00_8209 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_8215); } 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL__ortest_1292z00_8210;
BgL__ortest_1292z00_8210 = 
(BgL_classz00_8193==BgL_oclassz00_8209); 
if(BgL__ortest_1292z00_8210)
{ /* Eval/evaluate_comp.scm 930 */
BgL_res4092z00_8223 = BgL__ortest_1292z00_8210; }  else 
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_odepthz00_8211;
BgL_odepthz00_8211 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8209); 
if(
(((long)2)<BgL_odepthz00_8211))
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_arg3966z00_8213;
BgL_arg3966z00_8213 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8209, ((long)2)); 
BgL_res4092z00_8223 = 
(BgL_arg3966z00_8213==BgL_classz00_8193); }  else 
{ /* Eval/evaluate_comp.scm 930 */
BgL_res4092z00_8223 = ((bool_t)0); } } } } 
BgL_test4818z00_21026 = BgL_res4092z00_8223; } }  else 
{ /* Eval/evaluate_comp.scm 930 */
BgL_test4818z00_21026 = ((bool_t)0)
; } } 
if(BgL_test4818z00_21026)
{ /* Eval/evaluate_comp.scm 930 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 933 */
 obj_t BgL_v1397z00_3157;
BgL_v1397z00_3157 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1397z00_3157,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1397z00_3157,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1397z00_3157;}  else 
{ /* Eval/evaluate_comp.scm 934 */
 obj_t BgL_v1398z00_3159;
BgL_v1398z00_3159 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1398z00_3159,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1398z00_3159,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1398z00_3159;} }  else 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL_test4824z00_21060;
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_classz00_8228;
BgL_classz00_8228 = BGl_ev_globalz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 935 */
 BgL_objectz00_bglt BgL_arg3969z00_8230;
BgL_arg3969z00_8230 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_idxz00_8236;
BgL_idxz00_8236 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_8230); 
BgL_test4824z00_21060 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8236+((long)2)))==BgL_classz00_8228); }  else 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL_res4093z00_8258;
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_oclassz00_8244;
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_arg3976z00_8250;
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_arg3977z00_8251;
BgL_arg3977z00_8251 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_8230); 
BgL_arg3976z00_8250 = 
(BgL_arg3977z00_8251-OBJECT_TYPE); } 
BgL_oclassz00_8244 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_8250); } 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL__ortest_1292z00_8245;
BgL__ortest_1292z00_8245 = 
(BgL_classz00_8228==BgL_oclassz00_8244); 
if(BgL__ortest_1292z00_8245)
{ /* Eval/evaluate_comp.scm 935 */
BgL_res4093z00_8258 = BgL__ortest_1292z00_8245; }  else 
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_odepthz00_8246;
BgL_odepthz00_8246 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8244); 
if(
(((long)2)<BgL_odepthz00_8246))
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_arg3966z00_8248;
BgL_arg3966z00_8248 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8244, ((long)2)); 
BgL_res4093z00_8258 = 
(BgL_arg3966z00_8248==BgL_classz00_8228); }  else 
{ /* Eval/evaluate_comp.scm 935 */
BgL_res4093z00_8258 = ((bool_t)0); } } } } 
BgL_test4824z00_21060 = BgL_res4093z00_8258; } }  else 
{ /* Eval/evaluate_comp.scm 935 */
BgL_test4824z00_21060 = ((bool_t)0)
; } } 
if(BgL_test4824z00_21060)
{ /* Eval/evaluate_comp.scm 937 */
 obj_t BgL_gz00_3163;
{ /* Eval/evaluate_comp.scm 937 */
 obj_t BgL_arg2546z00_3171; obj_t BgL_arg2547z00_3172;
BgL_arg2546z00_3171 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2547z00_3172 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3163 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2546z00_3171, BgL_arg2547z00_3172); } 
if(
CBOOL(BgL_gz00_3163))
{ /* Eval/evaluate_comp.scm 939 */
 bool_t BgL_test4830z00_21087;
{ /* Eval/evaluate_comp.scm 939 */
 int BgL_arg2544z00_3168;
{ /* Eval/evaluate_comp.scm 939 */
 int BgL_res4094z00_8261;
BgL_res4094z00_8261 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3163),((long)0))); 
BgL_arg2544z00_3168 = BgL_res4094z00_8261; } 
BgL_test4830z00_21087 = 
(
BINT(BgL_arg2544z00_3168)==
BINT(((long)1))); } 
if(BgL_test4830z00_21087)
{ /* Eval/evaluate_comp.scm 940 */
 obj_t BgL_v1399z00_3166;
BgL_v1399z00_3166 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1399z00_3166,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1399z00_3166,((long)1),BgL_gz00_3163); 
return BgL_v1399z00_3166;}  else 
{ /* Eval/evaluate_comp.scm 941 */
 obj_t BgL_v1400z00_3167;
BgL_v1400z00_3167 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1400z00_3167,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1400z00_3167,((long)1),BgL_gz00_3163); 
return BgL_v1400z00_3167;} }  else 
{ /* Eval/evaluate_comp.scm 942 */
 obj_t BgL_v1401z00_3169;
BgL_v1401z00_3169 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1401z00_3169,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 942 */
 obj_t BgL_arg2545z00_3170;
BgL_arg2545z00_3170 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1401z00_3169,((long)1),BgL_arg2545z00_3170); } 
return BgL_v1401z00_3169;} }  else 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL_test4831z00_21108;
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_classz00_8268;
BgL_classz00_8268 = BGl_ev_appz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 943 */
 BgL_objectz00_bglt BgL_arg3969z00_8270;
BgL_arg3969z00_8270 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_idxz00_8276;
BgL_idxz00_8276 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_8270); 
BgL_test4831z00_21108 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8276+((long)2)))==BgL_classz00_8268); }  else 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL_res4095z00_8298;
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_oclassz00_8284;
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_arg3976z00_8290;
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_arg3977z00_8291;
BgL_arg3977z00_8291 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_8270); 
BgL_arg3976z00_8290 = 
(BgL_arg3977z00_8291-OBJECT_TYPE); } 
BgL_oclassz00_8284 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_8290); } 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL__ortest_1292z00_8285;
BgL__ortest_1292z00_8285 = 
(BgL_classz00_8268==BgL_oclassz00_8284); 
if(BgL__ortest_1292z00_8285)
{ /* Eval/evaluate_comp.scm 943 */
BgL_res4095z00_8298 = BgL__ortest_1292z00_8285; }  else 
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_odepthz00_8286;
BgL_odepthz00_8286 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8284); 
if(
(((long)2)<BgL_odepthz00_8286))
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_arg3966z00_8288;
BgL_arg3966z00_8288 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8284, ((long)2)); 
BgL_res4095z00_8298 = 
(BgL_arg3966z00_8288==BgL_classz00_8268); }  else 
{ /* Eval/evaluate_comp.scm 943 */
BgL_res4095z00_8298 = ((bool_t)0); } } } } 
BgL_test4831z00_21108 = BgL_res4095z00_8298; } }  else 
{ /* Eval/evaluate_comp.scm 943 */
BgL_test4831z00_21108 = ((bool_t)0)
; } } 
if(BgL_test4831z00_21108)
{ /* Eval/evaluate_comp.scm 945 */
 obj_t BgL_fvalz00_3175;
{ /* Eval/evaluate_comp.scm 945 */
 BgL_ev_exprz00_bglt BgL_arg2595z00_3229;
BgL_arg2595z00_3229 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3175 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2595z00_3229); } 
if(
(BgL_fvalz00_3175==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 947 */
{ /* Eval/evaluate_comp.scm 948 */
 obj_t BgL_arg2549z00_3176; BgL_ev_exprz00_bglt BgL_arg2550z00_3177; obj_t BgL_arg2551z00_3178;
BgL_arg2549z00_3176 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2550z00_3177 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2551z00_3178 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2549z00_3176, BgL_arg2550z00_3177, BgL_arg2551z00_3178); } 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_v1402z00_3179;
BgL_v1402z00_3179 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1402z00_3179,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2552z00_3180;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2553z00_3181;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_pairz00_8300;
BgL_pairz00_8300 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2553z00_3181 = 
CAR(BgL_pairz00_8300); } 
BgL_arg2552z00_3180 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2553z00_3181, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1402z00_3179,((long)1),BgL_arg2552z00_3180); } 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2555z00_3183;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2556z00_3184;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_pairz00_8302;
BgL_pairz00_8302 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2556z00_3184 = 
CAR(
CDR(BgL_pairz00_8302)); } 
BgL_arg2555z00_3183 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2556z00_3184, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1402z00_3179,((long)2),BgL_arg2555z00_3183); } 
return BgL_v1402z00_3179;} }  else 
{ /* Eval/evaluate_comp.scm 947 */
if(
(BgL_fvalz00_3175==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 950 */
{ /* Eval/evaluate_comp.scm 951 */
 obj_t BgL_arg2558z00_3186; BgL_ev_exprz00_bglt BgL_arg2559z00_3187; obj_t BgL_arg2560z00_3188;
BgL_arg2558z00_3186 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2559z00_3187 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2560z00_3188 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2558z00_3186, BgL_arg2559z00_3187, BgL_arg2560z00_3188); } 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_v1403z00_3189;
BgL_v1403z00_3189 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1403z00_3189,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2561z00_3190;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2562z00_3191;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_pairz00_8308;
BgL_pairz00_8308 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2562z00_3191 = 
CAR(BgL_pairz00_8308); } 
BgL_arg2561z00_3190 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2562z00_3191, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1403z00_3189,((long)1),BgL_arg2561z00_3190); } 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2564z00_3193;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2565z00_3194;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_pairz00_8310;
BgL_pairz00_8310 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2565z00_3194 = 
CAR(
CDR(BgL_pairz00_8310)); } 
BgL_arg2564z00_3193 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2565z00_3194, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1403z00_3189,((long)2),BgL_arg2564z00_3193); } 
return BgL_v1403z00_3189;} }  else 
{ /* Eval/evaluate_comp.scm 950 */
if(
(BgL_fvalz00_3175==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 953 */
{ /* Eval/evaluate_comp.scm 954 */
 obj_t BgL_arg2567z00_3196; BgL_ev_exprz00_bglt BgL_arg2568z00_3197; obj_t BgL_arg2569z00_3198;
BgL_arg2567z00_3196 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2568z00_3197 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2569z00_3198 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2567z00_3196, BgL_arg2568z00_3197, BgL_arg2569z00_3198); } 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_v1404z00_3199;
BgL_v1404z00_3199 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1404z00_3199,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2570z00_3200;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2571z00_3201;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_pairz00_8316;
BgL_pairz00_8316 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2571z00_3201 = 
CAR(BgL_pairz00_8316); } 
BgL_arg2570z00_3200 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2571z00_3201, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1404z00_3199,((long)1),BgL_arg2570z00_3200); } 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2573z00_3203;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2574z00_3204;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_pairz00_8318;
BgL_pairz00_8318 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2574z00_3204 = 
CAR(
CDR(BgL_pairz00_8318)); } 
BgL_arg2573z00_3203 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2574z00_3204, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1404z00_3199,((long)2),BgL_arg2573z00_3203); } 
return BgL_v1404z00_3199;} }  else 
{ /* Eval/evaluate_comp.scm 953 */
if(
(BgL_fvalz00_3175==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 956 */
{ /* Eval/evaluate_comp.scm 957 */
 obj_t BgL_arg2576z00_3206; BgL_ev_exprz00_bglt BgL_arg2577z00_3207; obj_t BgL_arg2578z00_3208;
BgL_arg2576z00_3206 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2577z00_3207 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2578z00_3208 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2576z00_3206, BgL_arg2577z00_3207, BgL_arg2578z00_3208); } 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_v1405z00_3209;
BgL_v1405z00_3209 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1405z00_3209,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2579z00_3210;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2580z00_3211;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_pairz00_8324;
BgL_pairz00_8324 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2580z00_3211 = 
CAR(BgL_pairz00_8324); } 
BgL_arg2579z00_3210 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2580z00_3211, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1405z00_3209,((long)1),BgL_arg2579z00_3210); } 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2582z00_3213;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2583z00_3214;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_pairz00_8326;
BgL_pairz00_8326 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2583z00_3214 = 
CAR(
CDR(BgL_pairz00_8326)); } 
BgL_arg2582z00_3213 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2583z00_3214, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1405z00_3209,((long)2),BgL_arg2582z00_3213); } 
return BgL_v1405z00_3209;} }  else 
{ /* Eval/evaluate_comp.scm 956 */
if(
(BgL_fvalz00_3175==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_v1406z00_3216;
BgL_v1406z00_3216 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1406z00_3216,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_arg2585z00_3217;
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_arg2586z00_3218;
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_pairz00_8332;
BgL_pairz00_8332 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2586z00_3218 = 
CAR(BgL_pairz00_8332); } 
BgL_arg2585z00_3217 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2586z00_3218), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1406z00_3216,((long)1),BgL_arg2585z00_3217); } 
return BgL_v1406z00_3216;}  else 
{ /* Eval/evaluate_comp.scm 959 */
if(
(BgL_fvalz00_3175==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_v1407z00_3220;
BgL_v1407z00_3220 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1407z00_3220,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2588z00_3221;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2589z00_3222;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_pairz00_8335;
BgL_pairz00_8335 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2589z00_3222 = 
CAR(BgL_pairz00_8335); } 
BgL_arg2588z00_3221 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2589z00_3222), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1407z00_3220,((long)1),BgL_arg2588z00_3221); } 
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2591z00_3224;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2592z00_3225;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_pairz00_8337;
BgL_pairz00_8337 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2592z00_3225 = 
CAR(
CDR(BgL_pairz00_8337)); } 
BgL_arg2591z00_3224 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2592z00_3225), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1407z00_3220,((long)2),BgL_arg2591z00_3224); } 
return BgL_v1407z00_3220;}  else 
{ /* Eval/evaluate_comp.scm 964 */
 obj_t BgL_v1408z00_3227;
BgL_v1408z00_3227 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1408z00_3227,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 964 */
 obj_t BgL_arg2594z00_3228;
BgL_arg2594z00_3228 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1408z00_3227,((long)1),BgL_arg2594z00_3228); } 
return BgL_v1408z00_3227;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 965 */
 obj_t BgL_v1409z00_3230;
BgL_v1409z00_3230 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1409z00_3230,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 965 */
 obj_t BgL_arg2596z00_3231;
BgL_arg2596z00_3231 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1409z00_3230,((long)1),BgL_arg2596z00_3231); } 
return BgL_v1409z00_3230;} } } } } } 

}



/* check-arity-binop~0 */
obj_t BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(obj_t BgL_locz00_3234, BgL_ev_exprz00_bglt BgL_funz00_3235, obj_t BgL_argsz00_3236)
{
{ /* Eval/evaluate_comp.scm 922 */
{ /* Eval/evaluate_comp.scm 921 */
 bool_t BgL_test4842z00_21264;
if(
PAIRP(BgL_argsz00_3236))
{ /* Eval/evaluate_comp.scm 921 */
 bool_t BgL_test4844z00_21267;
{ /* Eval/evaluate_comp.scm 921 */
 obj_t BgL_tmpz00_21268;
BgL_tmpz00_21268 = 
CDR(BgL_argsz00_3236); 
BgL_test4844z00_21267 = 
PAIRP(BgL_tmpz00_21268); } 
if(BgL_test4844z00_21267)
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4842z00_21264 = 
NULLP(
CDR(
CDR(BgL_argsz00_3236)))
; }  else 
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4842z00_21264 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4842z00_21264 = ((bool_t)0)
; } 
if(BgL_test4842z00_21264)
{ /* Eval/evaluate_comp.scm 921 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 922 */
 long BgL_arg2605z00_3244;
BgL_arg2605z00_3244 = 
bgl_list_length(BgL_argsz00_3236); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_3234, 
((obj_t)BgL_funz00_3235), 
(int)(((long)2)), 
(int)(BgL_arg2605z00_3244));} } } 

}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{
{ /* Eval/evaluate_comp.scm 967 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 

}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_12924, obj_t BgL_bcz00_3252)
{
{ /* Eval/evaluate_comp.scm 982 */
{ 

{ /* Eval/evaluate_comp.scm 969 */
 obj_t BgL_aux1225z00_3255;
BgL_aux1225z00_3255 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)0)); 
if(
INTEGERP(BgL_aux1225z00_3255))
{ /* Eval/evaluate_comp.scm 969 */
switch( 
(long)CINT(BgL_aux1225z00_3255)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 970 */
 obj_t BgL_fun2609z00_3256;
BgL_fun2609z00_3256 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2609z00_3256))(BgL_fun2609z00_3256, BgL_sz00_12924, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 972 */
 long BgL_arg2610z00_3257;
{ /* Eval/evaluate_comp.scm 972 */
 obj_t BgL_arg2611z00_3258; obj_t BgL_arg2612z00_3259;
BgL_arg2611z00_3258 = 
VECTOR_REF(
((obj_t)BgL_sz00_12924),((long)0)); 
BgL_arg2612z00_3259 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2610z00_3257 = 
(
(long)CINT(BgL_arg2611z00_3258)+
(long)CINT(BgL_arg2612z00_3259)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12924),BgL_arg2610z00_3257);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 973 */
 obj_t BgL_arg2613z00_3260;
{ /* Eval/evaluate_comp.scm 973 */
 long BgL_arg2614z00_3261;
{ /* Eval/evaluate_comp.scm 973 */
 obj_t BgL_arg2615z00_3262; obj_t BgL_arg2616z00_3263;
BgL_arg2615z00_3262 = 
VECTOR_REF(
((obj_t)BgL_sz00_12924),((long)0)); 
BgL_arg2616z00_3263 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2614z00_3261 = 
(
(long)CINT(BgL_arg2615z00_3262)+
(long)CINT(BgL_arg2616z00_3263)); } 
BgL_arg2613z00_3260 = 
VECTOR_REF(
((obj_t)BgL_sz00_12924),BgL_arg2614z00_3261); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2613z00_3260), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 974 */
 obj_t BgL_arg2617z00_3264;
{ /* Eval/evaluate_comp.scm 974 */
 obj_t BgL_arg2618z00_3265;
BgL_arg2618z00_3265 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2617z00_3264 = 
VECTOR_REF(
((obj_t)BgL_arg2618z00_3265),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2617z00_3264);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 975 */
 obj_t BgL_arg2619z00_3266;
BgL_arg2619z00_3266 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2619z00_3266),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2620z00_3267; obj_t BgL_arg2621z00_3268;
{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2622z00_3269;
BgL_arg2622z00_3269 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2620z00_3267 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12924, BgL_arg2622z00_3269); } 
{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2623z00_3270;
BgL_arg2623z00_3270 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)2)); 
BgL_arg2621z00_3268 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12924, BgL_arg2623z00_3270); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2620z00_3267)+
REAL_TO_DOUBLE(BgL_arg2621z00_3268)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2624z00_3271; obj_t BgL_arg2625z00_3272;
{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2626z00_3273;
BgL_arg2626z00_3273 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2624z00_3271 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12924, BgL_arg2626z00_3273); } 
{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2627z00_3274;
BgL_arg2627z00_3274 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)2)); 
BgL_arg2625z00_3272 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12924, BgL_arg2627z00_3274); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2624z00_3271)-
REAL_TO_DOUBLE(BgL_arg2625z00_3272)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2628z00_3275; obj_t BgL_arg2629z00_3276;
{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2630z00_3277;
BgL_arg2630z00_3277 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2628z00_3275 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12924, BgL_arg2630z00_3277); } 
{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2631z00_3278;
BgL_arg2631z00_3278 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)2)); 
BgL_arg2629z00_3276 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12924, BgL_arg2631z00_3278); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2628z00_3275)*
REAL_TO_DOUBLE(BgL_arg2629z00_3276)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2632z00_3279; obj_t BgL_arg2633z00_3280;
{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2634z00_3281;
BgL_arg2634z00_3281 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2632z00_3279 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12924, BgL_arg2634z00_3281); } 
{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2635z00_3282;
BgL_arg2635z00_3282 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)2)); 
BgL_arg2633z00_3280 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12924, BgL_arg2635z00_3282); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2632z00_3279)/
REAL_TO_DOUBLE(BgL_arg2633z00_3280)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 980 */
 obj_t BgL_arg2636z00_3283;
{ /* Eval/evaluate_comp.scm 980 */
 obj_t BgL_fun2637z00_3284;
BgL_fun2637z00_3284 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2636z00_3283 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2637z00_3284))(BgL_fun2637z00_3284, BgL_sz00_12924, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2636z00_3283)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_arg2638z00_3285; obj_t BgL_arg2639z00_3286;
{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_fun2640z00_3287;
BgL_fun2640z00_3287 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)1)); 
BgL_arg2638z00_3285 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2640z00_3287))(BgL_fun2640z00_3287, BgL_sz00_12924, BEOA); } 
{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_fun2641z00_3288;
BgL_fun2641z00_3288 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)2)); 
BgL_arg2639z00_3286 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2641z00_3288))(BgL_fun2641z00_3288, BgL_sz00_12924, BEOA); } 
{ /* Eval/evaluate_comp.scm 981 */
 double BgL_tmpz00_21384;
{ /* Eval/evaluate_comp.scm 981 */
 long BgL_tmpz00_21385;
BgL_tmpz00_21385 = 
(long)CINT(BgL_arg2639z00_3286); 
BgL_tmpz00_21384 = 
BGL_F64VREF(BgL_arg2638z00_3285, BgL_tmpz00_21385); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21384);} } break;
default: 
BgL_case_else1224z00_3254:
{ /* Eval/evaluate_comp.scm 982 */
 obj_t BgL_arg2642z00_3289;
BgL_arg2642z00_3289 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3252),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string4239z00zz__evaluate_compz00, BGl_string4258z00zz__evaluate_compz00, BgL_arg2642z00_3289);} } }  else 
{ /* Eval/evaluate_comp.scm 969 */
goto BgL_case_else1224z00_3254;} } } } 

}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{
{ /* Eval/evaluate_comp.scm 985 */
{ /* Eval/evaluate_comp.scm 987 */
 obj_t BgL_fvalz00_3292;
BgL_fvalz00_3292 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 988 */
 bool_t BgL_test4846z00_21396;
if(
(BgL_fvalz00_3292==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4846z00_21396 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
if(
(BgL_fvalz00_3292==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4846z00_21396 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
if(
(BgL_fvalz00_3292==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4846z00_21396 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4846z00_21396 = 
(BgL_fvalz00_3292==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_test4846z00_21396)
{ /* Eval/evaluate_comp.scm 989 */
 obj_t BgL_bcz00_3294;
BgL_bcz00_3294 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_zc3z04anonymousza32644ze3z87_11290;
BgL_zc3z04anonymousza32644ze3z87_11290 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32644ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32644ze3z87_11290, 
(int)(((long)0)), BgL_bcz00_3294); 
return BgL_zc3z04anonymousza32644ze3z87_11290;} }  else 
{ /* Eval/evaluate_comp.scm 988 */
return BFALSE;} } } } 

}



/* &<@anonymous:2644> */
obj_t BGl_z62zc3z04anonymousza32644ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11291, obj_t BgL_sz00_11293)
{
{ /* Eval/evaluate_comp.scm 990 */
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_bcz00_11292;
BgL_bcz00_11292 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11291, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 990 */
 double BgL_tmpz00_21414;
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_bpz00_13871;
BgL_bpz00_13871 = 
VECTOR_REF(
((obj_t)BgL_sz00_11293),((long)0)); 
BgL_tmpz00_21414 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_11292, BgL_sz00_11293); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21414);} } } 

}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{
{ /* Eval/evaluate_comp.scm 1019 */
{ /* Eval/evaluate_comp.scm 1020 */
 obj_t BgL_valz00_3299;
BgL_valz00_3299 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3299))
{ /* Eval/evaluate_comp.scm 1022 */
 long BgL_nz00_3300;
BgL_nz00_3300 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1023 */
 obj_t BgL__ortest_1231z00_3301;
if(
(BgL_nz00_3300==((long)1)))
{ /* Eval/evaluate_comp.scm 1024 */
 obj_t BgL_a1z00_3571;
BgL_a1z00_3571 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3299==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3572;
BgL_a1z00_3572 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3571), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32739ze3z87_11323;
BgL_zc3z04anonymousza32739ze3z87_11323 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32739ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32739ze3z87_11323, 
(int)(((long)0)), BgL_a1z00_3572); 
PROCEDURE_SET(BgL_zc3z04anonymousza32739ze3z87_11323, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1231z00_3301 = BgL_zc3z04anonymousza32739ze3z87_11323; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
if(
(BgL_valz00_3299==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3578;
BgL_a1z00_3578 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3571), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32741ze3z87_11324;
BgL_zc3z04anonymousza32741ze3z87_11324 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32741ze3z87_11324, 
(int)(((long)0)), BgL_a1z00_3578); 
PROCEDURE_SET(BgL_zc3z04anonymousza32741ze3z87_11324, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1231z00_3301 = BgL_zc3z04anonymousza32741ze3z87_11324; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
if(
(BgL_valz00_3299==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3584;
BgL_a1z00_3584 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3571), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32743ze3z87_11325;
BgL_zc3z04anonymousza32743ze3z87_11325 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32743ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32743ze3z87_11325, 
(int)(((long)0)), BgL_a1z00_3584); 
PROCEDURE_SET(BgL_zc3z04anonymousza32743ze3z87_11325, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1231z00_3301 = BgL_zc3z04anonymousza32743ze3z87_11325; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BgL__ortest_1231z00_3301 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1023 */
BgL__ortest_1231z00_3301 = BFALSE; } 
if(
CBOOL(BgL__ortest_1231z00_3301))
{ /* Eval/evaluate_comp.scm 1023 */
return BgL__ortest_1231z00_3301;}  else 
{ /* Eval/evaluate_comp.scm 1023 */
if(
(BgL_nz00_3300==((long)2)))
{ /* Eval/evaluate_comp.scm 1027 */
 obj_t BgL_a1z00_3303; obj_t BgL_a2z00_3304;
BgL_a1z00_3303 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1027 */
 obj_t BgL_pairz00_8406;
BgL_pairz00_8406 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3304 = 
CAR(BgL_pairz00_8406); } 
if(
(BgL_valz00_3299==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3305; obj_t BgL_a2z00_3306;
BgL_a1z00_3305 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3306 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32647ze3z87_11294;
BgL_zc3z04anonymousza32647ze3z87_11294 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32647ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32647ze3z87_11294, 
(int)(((long)0)), BgL_a1z00_3305); 
PROCEDURE_SET(BgL_zc3z04anonymousza32647ze3z87_11294, 
(int)(((long)1)), BgL_a2z00_3306); 
PROCEDURE_SET(BgL_zc3z04anonymousza32647ze3z87_11294, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32647ze3z87_11294;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3315; obj_t BgL_a2z00_3316;
BgL_a1z00_3315 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3316 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32651ze3z87_11295;
BgL_zc3z04anonymousza32651ze3z87_11295 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32651ze3z87_11295, 
(int)(((long)0)), BgL_a1z00_3315); 
PROCEDURE_SET(BgL_zc3z04anonymousza32651ze3z87_11295, 
(int)(((long)1)), BgL_a2z00_3316); 
PROCEDURE_SET(BgL_zc3z04anonymousza32651ze3z87_11295, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32651ze3z87_11295;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3325; obj_t BgL_a2z00_3326;
BgL_a1z00_3325 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3326 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32655ze3z87_11296;
BgL_zc3z04anonymousza32655ze3z87_11296 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_11296, 
(int)(((long)0)), BgL_a1z00_3325); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_11296, 
(int)(((long)1)), BgL_a2z00_3326); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_11296, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32655ze3z87_11296;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3335; obj_t BgL_a2z00_3336;
BgL_a1z00_3335 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3336 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32659ze3z87_11297;
BgL_zc3z04anonymousza32659ze3z87_11297 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_11297, 
(int)(((long)0)), BgL_a1z00_3335); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_11297, 
(int)(((long)1)), BgL_a2z00_3336); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_11297, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32659ze3z87_11297;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3344; obj_t BgL_a2z00_3345;
BgL_a1z00_3344 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3345 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32662ze3z87_11298;
BgL_zc3z04anonymousza32662ze3z87_11298 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32662ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32662ze3z87_11298, 
(int)(((long)0)), BgL_a1z00_3344); 
PROCEDURE_SET(BgL_zc3z04anonymousza32662ze3z87_11298, 
(int)(((long)1)), BgL_a2z00_3345); 
PROCEDURE_SET(BgL_zc3z04anonymousza32662ze3z87_11298, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32662ze3z87_11298;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3354; obj_t BgL_a2z00_3355;
BgL_a1z00_3354 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3355 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32666ze3z87_11299;
BgL_zc3z04anonymousza32666ze3z87_11299 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32666ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32666ze3z87_11299, 
(int)(((long)0)), BgL_a1z00_3354); 
PROCEDURE_SET(BgL_zc3z04anonymousza32666ze3z87_11299, 
(int)(((long)1)), BgL_a2z00_3355); 
PROCEDURE_SET(BgL_zc3z04anonymousza32666ze3z87_11299, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32666ze3z87_11299;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3364; obj_t BgL_a2z00_3365;
BgL_a1z00_3364 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3365 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32670ze3z87_11300;
BgL_zc3z04anonymousza32670ze3z87_11300 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32670ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32670ze3z87_11300, 
(int)(((long)0)), BgL_a1z00_3364); 
PROCEDURE_SET(BgL_zc3z04anonymousza32670ze3z87_11300, 
(int)(((long)1)), BgL_a2z00_3365); 
PROCEDURE_SET(BgL_zc3z04anonymousza32670ze3z87_11300, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32670ze3z87_11300;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3374; obj_t BgL_a2z00_3375;
BgL_a1z00_3374 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3375 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32674ze3z87_11301;
BgL_zc3z04anonymousza32674ze3z87_11301 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32674ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32674ze3z87_11301, 
(int)(((long)0)), BgL_a1z00_3374); 
PROCEDURE_SET(BgL_zc3z04anonymousza32674ze3z87_11301, 
(int)(((long)1)), BgL_a2z00_3375); 
PROCEDURE_SET(BgL_zc3z04anonymousza32674ze3z87_11301, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32674ze3z87_11301;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3384; obj_t BgL_a2z00_3385;
BgL_a1z00_3384 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3385 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32678ze3z87_11302;
BgL_zc3z04anonymousza32678ze3z87_11302 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32678ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32678ze3z87_11302, 
(int)(((long)0)), BgL_a1z00_3384); 
PROCEDURE_SET(BgL_zc3z04anonymousza32678ze3z87_11302, 
(int)(((long)1)), BgL_a2z00_3385); 
PROCEDURE_SET(BgL_zc3z04anonymousza32678ze3z87_11302, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32678ze3z87_11302;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3394; obj_t BgL_a2z00_3395;
BgL_a1z00_3394 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3395 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32682ze3z87_11303;
BgL_zc3z04anonymousza32682ze3z87_11303 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32682ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32682ze3z87_11303, 
(int)(((long)0)), BgL_a1z00_3394); 
PROCEDURE_SET(BgL_zc3z04anonymousza32682ze3z87_11303, 
(int)(((long)1)), BgL_a2z00_3395); 
PROCEDURE_SET(BgL_zc3z04anonymousza32682ze3z87_11303, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32682ze3z87_11303;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3403; obj_t BgL_a2z00_3404;
BgL_a1z00_3403 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3404 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32685ze3z87_11304;
BgL_zc3z04anonymousza32685ze3z87_11304 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32685ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32685ze3z87_11304, 
(int)(((long)0)), BgL_a1z00_3403); 
PROCEDURE_SET(BgL_zc3z04anonymousza32685ze3z87_11304, 
(int)(((long)1)), BgL_a2z00_3404); 
PROCEDURE_SET(BgL_zc3z04anonymousza32685ze3z87_11304, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32685ze3z87_11304;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3412; obj_t BgL_a2z00_3413;
BgL_a1z00_3412 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3413 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32688ze3z87_11305;
BgL_zc3z04anonymousza32688ze3z87_11305 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32688ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32688ze3z87_11305, 
(int)(((long)0)), BgL_a1z00_3412); 
PROCEDURE_SET(BgL_zc3z04anonymousza32688ze3z87_11305, 
(int)(((long)1)), BgL_a2z00_3413); 
PROCEDURE_SET(BgL_zc3z04anonymousza32688ze3z87_11305, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32688ze3z87_11305;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3421; obj_t BgL_a2z00_3422;
BgL_a1z00_3421 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3422 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32691ze3z87_11306;
BgL_zc3z04anonymousza32691ze3z87_11306 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_11306, 
(int)(((long)0)), BgL_a1z00_3421); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_11306, 
(int)(((long)1)), BgL_a2z00_3422); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_11306, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32691ze3z87_11306;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3430; obj_t BgL_a2z00_3431;
BgL_a1z00_3430 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3431 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32694ze3z87_11307;
BgL_zc3z04anonymousza32694ze3z87_11307 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32694ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32694ze3z87_11307, 
(int)(((long)0)), BgL_a1z00_3430); 
PROCEDURE_SET(BgL_zc3z04anonymousza32694ze3z87_11307, 
(int)(((long)1)), BgL_a2z00_3431); 
PROCEDURE_SET(BgL_zc3z04anonymousza32694ze3z87_11307, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32694ze3z87_11307;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3439; obj_t BgL_a2z00_3440;
BgL_a1z00_3439 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3440 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32697ze3z87_11308;
BgL_zc3z04anonymousza32697ze3z87_11308 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11308, 
(int)(((long)0)), BgL_a1z00_3439); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11308, 
(int)(((long)1)), BgL_a2z00_3440); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11308, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32697ze3z87_11308;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3448; obj_t BgL_a2z00_3449;
BgL_a1z00_3448 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3449 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32700ze3z87_11309;
BgL_zc3z04anonymousza32700ze3z87_11309 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32700ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32700ze3z87_11309, 
(int)(((long)0)), BgL_a1z00_3448); 
PROCEDURE_SET(BgL_zc3z04anonymousza32700ze3z87_11309, 
(int)(((long)1)), BgL_a2z00_3449); 
PROCEDURE_SET(BgL_zc3z04anonymousza32700ze3z87_11309, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32700ze3z87_11309;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3457; obj_t BgL_a2z00_3458;
BgL_a1z00_3457 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3458 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32703ze3z87_11310;
BgL_zc3z04anonymousza32703ze3z87_11310 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_11310, 
(int)(((long)0)), BgL_a1z00_3457); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_11310, 
(int)(((long)1)), BgL_a2z00_3458); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_11310, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32703ze3z87_11310;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3466; obj_t BgL_a2z00_3467;
BgL_a1z00_3466 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3467 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32706ze3z87_11311;
BgL_zc3z04anonymousza32706ze3z87_11311 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32706ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32706ze3z87_11311, 
(int)(((long)0)), BgL_a1z00_3466); 
PROCEDURE_SET(BgL_zc3z04anonymousza32706ze3z87_11311, 
(int)(((long)1)), BgL_a2z00_3467); 
PROCEDURE_SET(BgL_zc3z04anonymousza32706ze3z87_11311, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32706ze3z87_11311;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3475; obj_t BgL_a2z00_3476;
BgL_a1z00_3475 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3476 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32709ze3z87_11312;
BgL_zc3z04anonymousza32709ze3z87_11312 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11312, 
(int)(((long)0)), BgL_a1z00_3475); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11312, 
(int)(((long)1)), BgL_a2z00_3476); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11312, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32709ze3z87_11312;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3484; obj_t BgL_a2z00_3485;
BgL_a1z00_3484 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3485 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32712ze3z87_11313;
BgL_zc3z04anonymousza32712ze3z87_11313 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32712ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32712ze3z87_11313, 
(int)(((long)0)), BgL_a1z00_3484); 
PROCEDURE_SET(BgL_zc3z04anonymousza32712ze3z87_11313, 
(int)(((long)1)), BgL_a2z00_3485); 
PROCEDURE_SET(BgL_zc3z04anonymousza32712ze3z87_11313, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32712ze3z87_11313;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3493; obj_t BgL_a2z00_3494;
BgL_a1z00_3493 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3494 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32715ze3z87_11314;
BgL_zc3z04anonymousza32715ze3z87_11314 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_11314, 
(int)(((long)0)), BgL_a1z00_3493); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_11314, 
(int)(((long)1)), BgL_a2z00_3494); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_11314, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32715ze3z87_11314;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3502; obj_t BgL_a2z00_3503;
BgL_a1z00_3502 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3503 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32718ze3z87_11315;
BgL_zc3z04anonymousza32718ze3z87_11315 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32718ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32718ze3z87_11315, 
(int)(((long)0)), BgL_a1z00_3502); 
PROCEDURE_SET(BgL_zc3z04anonymousza32718ze3z87_11315, 
(int)(((long)1)), BgL_a2z00_3503); 
PROCEDURE_SET(BgL_zc3z04anonymousza32718ze3z87_11315, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32718ze3z87_11315;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3511; obj_t BgL_a2z00_3512;
BgL_a1z00_3511 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3512 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32721ze3z87_11316;
BgL_zc3z04anonymousza32721ze3z87_11316 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11316, 
(int)(((long)0)), BgL_a1z00_3511); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11316, 
(int)(((long)1)), BgL_a2z00_3512); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11316, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32721ze3z87_11316;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3520; obj_t BgL_a2z00_3521;
BgL_a1z00_3520 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3521 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32724ze3z87_11317;
BgL_zc3z04anonymousza32724ze3z87_11317 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32724ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32724ze3z87_11317, 
(int)(((long)0)), BgL_a1z00_3520); 
PROCEDURE_SET(BgL_zc3z04anonymousza32724ze3z87_11317, 
(int)(((long)1)), BgL_a2z00_3521); 
PROCEDURE_SET(BgL_zc3z04anonymousza32724ze3z87_11317, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32724ze3z87_11317;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3529; obj_t BgL_a2z00_3530;
BgL_a1z00_3529 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3530 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32727ze3z87_11318;
BgL_zc3z04anonymousza32727ze3z87_11318 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32727ze3z87_11318, 
(int)(((long)0)), BgL_a1z00_3529); 
PROCEDURE_SET(BgL_zc3z04anonymousza32727ze3z87_11318, 
(int)(((long)1)), BgL_a2z00_3530); 
PROCEDURE_SET(BgL_zc3z04anonymousza32727ze3z87_11318, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32727ze3z87_11318;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3538; obj_t BgL_a2z00_3539;
BgL_a1z00_3538 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3539 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32730ze3z87_11319;
BgL_zc3z04anonymousza32730ze3z87_11319 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32730ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32730ze3z87_11319, 
(int)(((long)0)), BgL_a1z00_3538); 
PROCEDURE_SET(BgL_zc3z04anonymousza32730ze3z87_11319, 
(int)(((long)1)), BgL_a2z00_3539); 
PROCEDURE_SET(BgL_zc3z04anonymousza32730ze3z87_11319, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32730ze3z87_11319;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3547; obj_t BgL_a2z00_3548;
BgL_a1z00_3547 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3548 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32733ze3z87_11320;
BgL_zc3z04anonymousza32733ze3z87_11320 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11320, 
(int)(((long)0)), BgL_a1z00_3547); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11320, 
(int)(((long)1)), BgL_a2z00_3548); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11320, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32733ze3z87_11320;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3556; obj_t BgL_a2z00_3557;
BgL_a1z00_3556 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3557 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32736ze3z87_11321;
BgL_zc3z04anonymousza32736ze3z87_11321 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32736ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32736ze3z87_11321, 
(int)(((long)0)), BgL_a1z00_3556); 
PROCEDURE_SET(BgL_zc3z04anonymousza32736ze3z87_11321, 
(int)(((long)1)), BgL_a2z00_3557); 
return BgL_zc3z04anonymousza32736ze3z87_11321;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3299==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3563; obj_t BgL_a2z00_3564;
BgL_a1z00_3563 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3303), BgL_stkz00_196); 
BgL_a2z00_3564 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3304), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32737ze3z87_11322;
BgL_zc3z04anonymousza32737ze3z87_11322 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32737ze3z87_11322, 
(int)(((long)0)), BgL_a1z00_3563); 
PROCEDURE_SET(BgL_zc3z04anonymousza32737ze3z87_11322, 
(int)(((long)1)), BgL_a2z00_3564); 
return BgL_zc3z04anonymousza32737ze3z87_11322;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1026 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1021 */
return BFALSE;} } } 

}



/* &<@anonymous:2647> */
obj_t BGl_z62zc3z04anonymousza32647ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11326, obj_t BgL_sz00_11330)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11327; obj_t BgL_a2z00_11328; obj_t BgL_locz00_11329;
BgL_a1z00_11327 = 
PROCEDURE_REF(BgL_envz00_11326, 
(int)(((long)0))); 
BgL_a2z00_11328 = 
PROCEDURE_REF(BgL_envz00_11326, 
(int)(((long)1))); 
BgL_locz00_11329 = 
PROCEDURE_REF(BgL_envz00_11326, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13872;
BgL_bpz00_13872 = 
VECTOR_REF(
((obj_t)BgL_sz00_11330),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13873; obj_t BgL_a2z00_13874;
BgL_a1z00_13873 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11327))(BgL_a1z00_11327, BgL_sz00_11330, BEOA); 
BgL_a2z00_13874 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11328))(BgL_a2z00_11328, BgL_sz00_11330, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13873))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4259z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13873, BgL_locz00_11329); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13874))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4259z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13874, BgL_locz00_11329); } 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_test4888z00_21922;
if(
INTEGERP(BgL_a1z00_13873))
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4888z00_21922 = 
INTEGERP(BgL_a2z00_13874)
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4888z00_21922 = ((bool_t)0)
; } 
if(BgL_test4888z00_21922)
{ /* Eval/evaluate_comp.scm 1028 */
return 
ADDFX(BgL_a1z00_13873, BgL_a2z00_13874);}  else 
{ /* Eval/evaluate_comp.scm 1028 */
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_13873, BgL_a2z00_13874);} } } } } } 

}



/* &<@anonymous:2651> */
obj_t BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11331, obj_t BgL_sz00_11335)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11332; obj_t BgL_a2z00_11333; obj_t BgL_locz00_11334;
BgL_a1z00_11332 = 
PROCEDURE_REF(BgL_envz00_11331, 
(int)(((long)0))); 
BgL_a2z00_11333 = 
PROCEDURE_REF(BgL_envz00_11331, 
(int)(((long)1))); 
BgL_locz00_11334 = 
PROCEDURE_REF(BgL_envz00_11331, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13875;
BgL_bpz00_13875 = 
VECTOR_REF(
((obj_t)BgL_sz00_11335),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13876; obj_t BgL_a2z00_13877;
BgL_a1z00_13876 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11332))(BgL_a1z00_11332, BgL_sz00_11335, BEOA); 
BgL_a2z00_13877 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11333))(BgL_a2z00_11333, BgL_sz00_11335, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13876))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4263z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13876, BgL_locz00_11334); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13877))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4263z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13877, BgL_locz00_11334); } 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_test4892z00_21950;
if(
INTEGERP(BgL_a1z00_13876))
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4892z00_21950 = 
INTEGERP(BgL_a2z00_13877)
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4892z00_21950 = ((bool_t)0)
; } 
if(BgL_test4892z00_21950)
{ /* Eval/evaluate_comp.scm 1028 */
return 
SUBFX(BgL_a1z00_13876, BgL_a2z00_13877);}  else 
{ /* Eval/evaluate_comp.scm 1028 */
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_13876, BgL_a2z00_13877);} } } } } } 

}



/* &<@anonymous:2655> */
obj_t BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11336, obj_t BgL_sz00_11340)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11337; obj_t BgL_a2z00_11338; obj_t BgL_locz00_11339;
BgL_a1z00_11337 = 
PROCEDURE_REF(BgL_envz00_11336, 
(int)(((long)0))); 
BgL_a2z00_11338 = 
PROCEDURE_REF(BgL_envz00_11336, 
(int)(((long)1))); 
BgL_locz00_11339 = 
PROCEDURE_REF(BgL_envz00_11336, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13878;
BgL_bpz00_13878 = 
VECTOR_REF(
((obj_t)BgL_sz00_11340),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13879; obj_t BgL_a2z00_13880;
BgL_a1z00_13879 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11337))(BgL_a1z00_11337, BgL_sz00_11340, BEOA); 
BgL_a2z00_13880 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11338))(BgL_a2z00_11338, BgL_sz00_11340, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13879))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4265z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13879, BgL_locz00_11339); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13880))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4265z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13880, BgL_locz00_11339); } 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_test4896z00_21978;
if(
INTEGERP(BgL_a1z00_13879))
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4896z00_21978 = 
INTEGERP(BgL_a2z00_13880)
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4896z00_21978 = ((bool_t)0)
; } 
if(BgL_test4896z00_21978)
{ /* Eval/evaluate_comp.scm 1028 */
return 
BINT(
(
(long)CINT(BgL_a1z00_13879)*
(long)CINT(BgL_a2z00_13880)));}  else 
{ /* Eval/evaluate_comp.scm 1028 */
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_13879, BgL_a2z00_13880);} } } } } } 

}



/* &<@anonymous:2659> */
obj_t BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11341, obj_t BgL_sz00_11345)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11342; obj_t BgL_a2z00_11343; obj_t BgL_locz00_11344;
BgL_a1z00_11342 = 
PROCEDURE_REF(BgL_envz00_11341, 
(int)(((long)0))); 
BgL_a2z00_11343 = 
PROCEDURE_REF(BgL_envz00_11341, 
(int)(((long)1))); 
BgL_locz00_11344 = 
PROCEDURE_REF(BgL_envz00_11341, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13881;
BgL_bpz00_13881 = 
VECTOR_REF(
((obj_t)BgL_sz00_11345),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13882; obj_t BgL_a2z00_13883;
BgL_a1z00_13882 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11342))(BgL_a1z00_11342, BgL_sz00_11345, BEOA); 
BgL_a2z00_13883 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11343))(BgL_a2z00_11343, BgL_sz00_11345, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13882))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4267z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13882, BgL_locz00_11344); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13883))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4267z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13883, BgL_locz00_11344); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_13882, BgL_a2z00_13883);} } } } 

}



/* &<@anonymous:2662> */
obj_t BGl_z62zc3z04anonymousza32662ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11346, obj_t BgL_sz00_11350)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11347; obj_t BgL_a2z00_11348; obj_t BgL_locz00_11349;
BgL_a1z00_11347 = 
PROCEDURE_REF(BgL_envz00_11346, 
(int)(((long)0))); 
BgL_a2z00_11348 = 
PROCEDURE_REF(BgL_envz00_11346, 
(int)(((long)1))); 
BgL_locz00_11349 = 
PROCEDURE_REF(BgL_envz00_11346, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22016;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13884;
BgL_bpz00_13884 = 
VECTOR_REF(
((obj_t)BgL_sz00_11350),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13885; obj_t BgL_a2z00_13886;
BgL_a1z00_13885 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11347))(BgL_a1z00_11347, BgL_sz00_11350, BEOA); 
BgL_a2z00_13886 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11348))(BgL_a2z00_11348, BgL_sz00_11350, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13885))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4269z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13885, BgL_locz00_11349); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13886))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4269z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13886, BgL_locz00_11349); } 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_test4902z00_22033;
if(
INTEGERP(BgL_a1z00_13885))
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4902z00_22033 = 
INTEGERP(BgL_a2z00_13886)
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4902z00_22033 = ((bool_t)0)
; } 
if(BgL_test4902z00_22033)
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22016 = 
(
(long)CINT(BgL_a1z00_13885)<
(long)CINT(BgL_a2z00_13886))
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22016 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_13885, BgL_a2z00_13886)
; } } } } 
return 
BBOOL(BgL_tmpz00_22016);} } } 

}



/* &<@anonymous:2666> */
obj_t BGl_z62zc3z04anonymousza32666ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11351, obj_t BgL_sz00_11355)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11352; obj_t BgL_a2z00_11353; obj_t BgL_locz00_11354;
BgL_a1z00_11352 = 
PROCEDURE_REF(BgL_envz00_11351, 
(int)(((long)0))); 
BgL_a2z00_11353 = 
PROCEDURE_REF(BgL_envz00_11351, 
(int)(((long)1))); 
BgL_locz00_11354 = 
PROCEDURE_REF(BgL_envz00_11351, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22048;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13887;
BgL_bpz00_13887 = 
VECTOR_REF(
((obj_t)BgL_sz00_11355),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13888; obj_t BgL_a2z00_13889;
BgL_a1z00_13888 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11352))(BgL_a1z00_11352, BgL_sz00_11355, BEOA); 
BgL_a2z00_13889 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11353))(BgL_a2z00_11353, BgL_sz00_11355, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13888))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4271z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13888, BgL_locz00_11354); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13889))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4271z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13889, BgL_locz00_11354); } 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_test4906z00_22065;
if(
INTEGERP(BgL_a1z00_13888))
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4906z00_22065 = 
INTEGERP(BgL_a2z00_13889)
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4906z00_22065 = ((bool_t)0)
; } 
if(BgL_test4906z00_22065)
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22048 = 
(
(long)CINT(BgL_a1z00_13888)>
(long)CINT(BgL_a2z00_13889))
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22048 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_13888, BgL_a2z00_13889)
; } } } } 
return 
BBOOL(BgL_tmpz00_22048);} } } 

}



/* &<@anonymous:2670> */
obj_t BGl_z62zc3z04anonymousza32670ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11356, obj_t BgL_sz00_11360)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11357; obj_t BgL_a2z00_11358; obj_t BgL_locz00_11359;
BgL_a1z00_11357 = 
PROCEDURE_REF(BgL_envz00_11356, 
(int)(((long)0))); 
BgL_a2z00_11358 = 
PROCEDURE_REF(BgL_envz00_11356, 
(int)(((long)1))); 
BgL_locz00_11359 = 
PROCEDURE_REF(BgL_envz00_11356, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22080;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13890;
BgL_bpz00_13890 = 
VECTOR_REF(
((obj_t)BgL_sz00_11360),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13891; obj_t BgL_a2z00_13892;
BgL_a1z00_13891 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11357))(BgL_a1z00_11357, BgL_sz00_11360, BEOA); 
BgL_a2z00_13892 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11358))(BgL_a2z00_11358, BgL_sz00_11360, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13891))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4273z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13891, BgL_locz00_11359); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13892))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4273z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13892, BgL_locz00_11359); } 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_test4910z00_22097;
if(
INTEGERP(BgL_a1z00_13891))
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4910z00_22097 = 
INTEGERP(BgL_a2z00_13892)
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4910z00_22097 = ((bool_t)0)
; } 
if(BgL_test4910z00_22097)
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22080 = 
(
(long)CINT(BgL_a1z00_13891)<=
(long)CINT(BgL_a2z00_13892))
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22080 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_13891, BgL_a2z00_13892)
; } } } } 
return 
BBOOL(BgL_tmpz00_22080);} } } 

}



/* &<@anonymous:2674> */
obj_t BGl_z62zc3z04anonymousza32674ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11361, obj_t BgL_sz00_11365)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11362; obj_t BgL_a2z00_11363; obj_t BgL_locz00_11364;
BgL_a1z00_11362 = 
PROCEDURE_REF(BgL_envz00_11361, 
(int)(((long)0))); 
BgL_a2z00_11363 = 
PROCEDURE_REF(BgL_envz00_11361, 
(int)(((long)1))); 
BgL_locz00_11364 = 
PROCEDURE_REF(BgL_envz00_11361, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22112;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13893;
BgL_bpz00_13893 = 
VECTOR_REF(
((obj_t)BgL_sz00_11365),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13894; obj_t BgL_a2z00_13895;
BgL_a1z00_13894 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11362))(BgL_a1z00_11362, BgL_sz00_11365, BEOA); 
BgL_a2z00_13895 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11363))(BgL_a2z00_11363, BgL_sz00_11365, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13894))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4275z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13894, BgL_locz00_11364); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13895))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4275z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13895, BgL_locz00_11364); } 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_test4914z00_22129;
if(
INTEGERP(BgL_a1z00_13894))
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4914z00_22129 = 
INTEGERP(BgL_a2z00_13895)
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4914z00_22129 = ((bool_t)0)
; } 
if(BgL_test4914z00_22129)
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22112 = 
(
(long)CINT(BgL_a1z00_13894)>=
(long)CINT(BgL_a2z00_13895))
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22112 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_13894, BgL_a2z00_13895)
; } } } } 
return 
BBOOL(BgL_tmpz00_22112);} } } 

}



/* &<@anonymous:2678> */
obj_t BGl_z62zc3z04anonymousza32678ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11366, obj_t BgL_sz00_11370)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11367; obj_t BgL_a2z00_11368; obj_t BgL_locz00_11369;
BgL_a1z00_11367 = 
PROCEDURE_REF(BgL_envz00_11366, 
(int)(((long)0))); 
BgL_a2z00_11368 = 
PROCEDURE_REF(BgL_envz00_11366, 
(int)(((long)1))); 
BgL_locz00_11369 = 
PROCEDURE_REF(BgL_envz00_11366, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22144;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13896;
BgL_bpz00_13896 = 
VECTOR_REF(
((obj_t)BgL_sz00_11370),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13897; obj_t BgL_a2z00_13898;
BgL_a1z00_13897 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11367))(BgL_a1z00_11367, BgL_sz00_11370, BEOA); 
BgL_a2z00_13898 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11368))(BgL_a2z00_11368, BgL_sz00_11370, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13897))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4277z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a1z00_13897, BgL_locz00_11369); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13898))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4277z00zz__evaluate_compz00, BGl_symbol4261z00zz__evaluate_compz00, BgL_a2z00_13898, BgL_locz00_11369); } 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_test4918z00_22161;
if(
INTEGERP(BgL_a1z00_13897))
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4918z00_22161 = 
INTEGERP(BgL_a2z00_13898)
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_test4918z00_22161 = ((bool_t)0)
; } 
if(BgL_test4918z00_22161)
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22144 = 
(
(long)CINT(BgL_a1z00_13897)==
(long)CINT(BgL_a2z00_13898))
; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BgL_tmpz00_22144 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_13897, BgL_a2z00_13898)
; } } } } 
return 
BBOOL(BgL_tmpz00_22144);} } } 

}



/* &<@anonymous:2682> */
obj_t BGl_z62zc3z04anonymousza32682ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11371, obj_t BgL_sz00_11375)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11372; obj_t BgL_a2z00_11373; obj_t BgL_locz00_11374;
BgL_a1z00_11372 = 
PROCEDURE_REF(BgL_envz00_11371, 
(int)(((long)0))); 
BgL_a2z00_11373 = 
PROCEDURE_REF(BgL_envz00_11371, 
(int)(((long)1))); 
BgL_locz00_11374 = 
PROCEDURE_REF(BgL_envz00_11371, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22176;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13899;
BgL_bpz00_13899 = 
VECTOR_REF(
((obj_t)BgL_sz00_11375),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13900; obj_t BgL_a2z00_13901;
BgL_a1z00_13900 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11372))(BgL_a1z00_11372, BgL_sz00_11375, BEOA); 
BgL_a2z00_13901 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11373))(BgL_a2z00_11373, BgL_sz00_11375, BEOA); 
if(
INTEGERP(BgL_a1z00_13900))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4279z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13900, BgL_locz00_11374); } 
if(
INTEGERP(BgL_a2z00_13901))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4279z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13901, BgL_locz00_11374); } 
BgL_tmpz00_22176 = 
(
(long)CINT(BgL_a1z00_13900)+
(long)CINT(BgL_a2z00_13901)); } } 
return 
BINT(BgL_tmpz00_22176);} } } 

}



/* &<@anonymous:2685> */
obj_t BGl_z62zc3z04anonymousza32685ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11376, obj_t BgL_sz00_11380)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11377; obj_t BgL_a2z00_11378; obj_t BgL_locz00_11379;
BgL_a1z00_11377 = 
PROCEDURE_REF(BgL_envz00_11376, 
(int)(((long)0))); 
BgL_a2z00_11378 = 
PROCEDURE_REF(BgL_envz00_11376, 
(int)(((long)1))); 
BgL_locz00_11379 = 
PROCEDURE_REF(BgL_envz00_11376, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22203;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13902;
BgL_bpz00_13902 = 
VECTOR_REF(
((obj_t)BgL_sz00_11380),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13903; obj_t BgL_a2z00_13904;
BgL_a1z00_13903 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11377))(BgL_a1z00_11377, BgL_sz00_11380, BEOA); 
BgL_a2z00_13904 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11378))(BgL_a2z00_11378, BgL_sz00_11380, BEOA); 
if(
INTEGERP(BgL_a1z00_13903))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4283z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13903, BgL_locz00_11379); } 
if(
INTEGERP(BgL_a2z00_13904))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4283z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13904, BgL_locz00_11379); } 
BgL_tmpz00_22203 = 
(
(long)CINT(BgL_a1z00_13903)-
(long)CINT(BgL_a2z00_13904)); } } 
return 
BINT(BgL_tmpz00_22203);} } } 

}



/* &<@anonymous:2688> */
obj_t BGl_z62zc3z04anonymousza32688ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11381, obj_t BgL_sz00_11385)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11382; obj_t BgL_a2z00_11383; obj_t BgL_locz00_11384;
BgL_a1z00_11382 = 
PROCEDURE_REF(BgL_envz00_11381, 
(int)(((long)0))); 
BgL_a2z00_11383 = 
PROCEDURE_REF(BgL_envz00_11381, 
(int)(((long)1))); 
BgL_locz00_11384 = 
PROCEDURE_REF(BgL_envz00_11381, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22230;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13905;
BgL_bpz00_13905 = 
VECTOR_REF(
((obj_t)BgL_sz00_11385),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13906; obj_t BgL_a2z00_13907;
BgL_a1z00_13906 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11382))(BgL_a1z00_11382, BgL_sz00_11385, BEOA); 
BgL_a2z00_13907 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11383))(BgL_a2z00_11383, BgL_sz00_11385, BEOA); 
if(
INTEGERP(BgL_a1z00_13906))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4285z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13906, BgL_locz00_11384); } 
if(
INTEGERP(BgL_a2z00_13907))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4285z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13907, BgL_locz00_11384); } 
BgL_tmpz00_22230 = 
(
(long)CINT(BgL_a1z00_13906)*
(long)CINT(BgL_a2z00_13907)); } } 
return 
BINT(BgL_tmpz00_22230);} } } 

}



/* &<@anonymous:2691> */
obj_t BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11386, obj_t BgL_sz00_11390)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11387; obj_t BgL_a2z00_11388; obj_t BgL_locz00_11389;
BgL_a1z00_11387 = 
PROCEDURE_REF(BgL_envz00_11386, 
(int)(((long)0))); 
BgL_a2z00_11388 = 
PROCEDURE_REF(BgL_envz00_11386, 
(int)(((long)1))); 
BgL_locz00_11389 = 
PROCEDURE_REF(BgL_envz00_11386, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22257;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13908;
BgL_bpz00_13908 = 
VECTOR_REF(
((obj_t)BgL_sz00_11390),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13909; obj_t BgL_a2z00_13910;
BgL_a1z00_13909 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11387))(BgL_a1z00_11387, BgL_sz00_11390, BEOA); 
BgL_a2z00_13910 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11388))(BgL_a2z00_11388, BgL_sz00_11390, BEOA); 
if(
INTEGERP(BgL_a1z00_13909))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4287z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13909, BgL_locz00_11389); } 
if(
INTEGERP(BgL_a2z00_13910))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4287z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13910, BgL_locz00_11389); } 
BgL_tmpz00_22257 = 
(
(long)CINT(BgL_a1z00_13909)/
(long)CINT(BgL_a2z00_13910)); } } 
return 
BINT(BgL_tmpz00_22257);} } } 

}



/* &<@anonymous:2694> */
obj_t BGl_z62zc3z04anonymousza32694ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11391, obj_t BgL_sz00_11395)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11392; obj_t BgL_a2z00_11393; obj_t BgL_locz00_11394;
BgL_a1z00_11392 = 
PROCEDURE_REF(BgL_envz00_11391, 
(int)(((long)0))); 
BgL_a2z00_11393 = 
PROCEDURE_REF(BgL_envz00_11391, 
(int)(((long)1))); 
BgL_locz00_11394 = 
PROCEDURE_REF(BgL_envz00_11391, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22284;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13911;
BgL_bpz00_13911 = 
VECTOR_REF(
((obj_t)BgL_sz00_11395),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13912; obj_t BgL_a2z00_13913;
BgL_a1z00_13912 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11392))(BgL_a1z00_11392, BgL_sz00_11395, BEOA); 
BgL_a2z00_13913 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11393))(BgL_a2z00_11393, BgL_sz00_11395, BEOA); 
if(
INTEGERP(BgL_a1z00_13912))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4289z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13912, BgL_locz00_11394); } 
if(
INTEGERP(BgL_a2z00_13913))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4289z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13913, BgL_locz00_11394); } 
BgL_tmpz00_22284 = 
(
(long)CINT(BgL_a1z00_13912)<
(long)CINT(BgL_a2z00_13913)); } } 
return 
BBOOL(BgL_tmpz00_22284);} } } 

}



/* &<@anonymous:2697> */
obj_t BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11396, obj_t BgL_sz00_11400)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11397; obj_t BgL_a2z00_11398; obj_t BgL_locz00_11399;
BgL_a1z00_11397 = 
PROCEDURE_REF(BgL_envz00_11396, 
(int)(((long)0))); 
BgL_a2z00_11398 = 
PROCEDURE_REF(BgL_envz00_11396, 
(int)(((long)1))); 
BgL_locz00_11399 = 
PROCEDURE_REF(BgL_envz00_11396, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22311;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13914;
BgL_bpz00_13914 = 
VECTOR_REF(
((obj_t)BgL_sz00_11400),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13915; obj_t BgL_a2z00_13916;
BgL_a1z00_13915 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11397))(BgL_a1z00_11397, BgL_sz00_11400, BEOA); 
BgL_a2z00_13916 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11398))(BgL_a2z00_11398, BgL_sz00_11400, BEOA); 
if(
INTEGERP(BgL_a1z00_13915))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4291z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13915, BgL_locz00_11399); } 
if(
INTEGERP(BgL_a2z00_13916))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4291z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13916, BgL_locz00_11399); } 
BgL_tmpz00_22311 = 
(
(long)CINT(BgL_a1z00_13915)>
(long)CINT(BgL_a2z00_13916)); } } 
return 
BBOOL(BgL_tmpz00_22311);} } } 

}



/* &<@anonymous:2700> */
obj_t BGl_z62zc3z04anonymousza32700ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11401, obj_t BgL_sz00_11405)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11402; obj_t BgL_a2z00_11403; obj_t BgL_locz00_11404;
BgL_a1z00_11402 = 
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)0))); 
BgL_a2z00_11403 = 
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)1))); 
BgL_locz00_11404 = 
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22338;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13917;
BgL_bpz00_13917 = 
VECTOR_REF(
((obj_t)BgL_sz00_11405),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13918; obj_t BgL_a2z00_13919;
BgL_a1z00_13918 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11402))(BgL_a1z00_11402, BgL_sz00_11405, BEOA); 
BgL_a2z00_13919 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11403))(BgL_a2z00_11403, BgL_sz00_11405, BEOA); 
if(
INTEGERP(BgL_a1z00_13918))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4293z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13918, BgL_locz00_11404); } 
if(
INTEGERP(BgL_a2z00_13919))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4293z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13919, BgL_locz00_11404); } 
BgL_tmpz00_22338 = 
(
(long)CINT(BgL_a1z00_13918)<=
(long)CINT(BgL_a2z00_13919)); } } 
return 
BBOOL(BgL_tmpz00_22338);} } } 

}



/* &<@anonymous:2703> */
obj_t BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11406, obj_t BgL_sz00_11410)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11407; obj_t BgL_a2z00_11408; obj_t BgL_locz00_11409;
BgL_a1z00_11407 = 
PROCEDURE_REF(BgL_envz00_11406, 
(int)(((long)0))); 
BgL_a2z00_11408 = 
PROCEDURE_REF(BgL_envz00_11406, 
(int)(((long)1))); 
BgL_locz00_11409 = 
PROCEDURE_REF(BgL_envz00_11406, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22365;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13920;
BgL_bpz00_13920 = 
VECTOR_REF(
((obj_t)BgL_sz00_11410),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13921; obj_t BgL_a2z00_13922;
BgL_a1z00_13921 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11407))(BgL_a1z00_11407, BgL_sz00_11410, BEOA); 
BgL_a2z00_13922 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11408))(BgL_a2z00_11408, BgL_sz00_11410, BEOA); 
if(
INTEGERP(BgL_a1z00_13921))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4295z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13921, BgL_locz00_11409); } 
if(
INTEGERP(BgL_a2z00_13922))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4295z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13922, BgL_locz00_11409); } 
BgL_tmpz00_22365 = 
(
(long)CINT(BgL_a1z00_13921)>=
(long)CINT(BgL_a2z00_13922)); } } 
return 
BBOOL(BgL_tmpz00_22365);} } } 

}



/* &<@anonymous:2706> */
obj_t BGl_z62zc3z04anonymousza32706ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11411, obj_t BgL_sz00_11415)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11412; obj_t BgL_a2z00_11413; obj_t BgL_locz00_11414;
BgL_a1z00_11412 = 
PROCEDURE_REF(BgL_envz00_11411, 
(int)(((long)0))); 
BgL_a2z00_11413 = 
PROCEDURE_REF(BgL_envz00_11411, 
(int)(((long)1))); 
BgL_locz00_11414 = 
PROCEDURE_REF(BgL_envz00_11411, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22392;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13923;
BgL_bpz00_13923 = 
VECTOR_REF(
((obj_t)BgL_sz00_11415),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13924; obj_t BgL_a2z00_13925;
BgL_a1z00_13924 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11412))(BgL_a1z00_11412, BgL_sz00_11415, BEOA); 
BgL_a2z00_13925 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11413))(BgL_a2z00_11413, BgL_sz00_11415, BEOA); 
if(
INTEGERP(BgL_a1z00_13924))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4297z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a1z00_13924, BgL_locz00_11414); } 
if(
INTEGERP(BgL_a2z00_13925))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4297z00zz__evaluate_compz00, BGl_symbol4281z00zz__evaluate_compz00, BgL_a2z00_13925, BgL_locz00_11414); } 
BgL_tmpz00_22392 = 
(
(long)CINT(BgL_a1z00_13924)==
(long)CINT(BgL_a2z00_13925)); } } 
return 
BBOOL(BgL_tmpz00_22392);} } } 

}



/* &<@anonymous:2709> */
obj_t BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11416, obj_t BgL_sz00_11420)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11417; obj_t BgL_a2z00_11418; obj_t BgL_locz00_11419;
BgL_a1z00_11417 = 
PROCEDURE_REF(BgL_envz00_11416, 
(int)(((long)0))); 
BgL_a2z00_11418 = 
PROCEDURE_REF(BgL_envz00_11416, 
(int)(((long)1))); 
BgL_locz00_11419 = 
PROCEDURE_REF(BgL_envz00_11416, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22419;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13926;
BgL_bpz00_13926 = 
VECTOR_REF(
((obj_t)BgL_sz00_11420),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13927; obj_t BgL_a2z00_13928;
BgL_a1z00_13927 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11417))(BgL_a1z00_11417, BgL_sz00_11420, BEOA); 
BgL_a2z00_13928 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11418))(BgL_a2z00_11418, BgL_sz00_11420, BEOA); 
if(
REALP(BgL_a1z00_13927))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4299z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13927, BgL_locz00_11419); } 
if(
REALP(BgL_a2z00_13928))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4299z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13928, BgL_locz00_11419); } 
BgL_tmpz00_22419 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13927)+
REAL_TO_DOUBLE(BgL_a2z00_13928)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22419);} } } 

}



/* &<@anonymous:2712> */
obj_t BGl_z62zc3z04anonymousza32712ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11421, obj_t BgL_sz00_11425)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11422; obj_t BgL_a2z00_11423; obj_t BgL_locz00_11424;
BgL_a1z00_11422 = 
PROCEDURE_REF(BgL_envz00_11421, 
(int)(((long)0))); 
BgL_a2z00_11423 = 
PROCEDURE_REF(BgL_envz00_11421, 
(int)(((long)1))); 
BgL_locz00_11424 = 
PROCEDURE_REF(BgL_envz00_11421, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22446;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13929;
BgL_bpz00_13929 = 
VECTOR_REF(
((obj_t)BgL_sz00_11425),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13930; obj_t BgL_a2z00_13931;
BgL_a1z00_13930 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11422))(BgL_a1z00_11422, BgL_sz00_11425, BEOA); 
BgL_a2z00_13931 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11423))(BgL_a2z00_11423, BgL_sz00_11425, BEOA); 
if(
REALP(BgL_a1z00_13930))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4303z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13930, BgL_locz00_11424); } 
if(
REALP(BgL_a2z00_13931))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4303z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13931, BgL_locz00_11424); } 
BgL_tmpz00_22446 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13930)-
REAL_TO_DOUBLE(BgL_a2z00_13931)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22446);} } } 

}



/* &<@anonymous:2715> */
obj_t BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11426, obj_t BgL_sz00_11430)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11427; obj_t BgL_a2z00_11428; obj_t BgL_locz00_11429;
BgL_a1z00_11427 = 
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)0))); 
BgL_a2z00_11428 = 
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)1))); 
BgL_locz00_11429 = 
PROCEDURE_REF(BgL_envz00_11426, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22473;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13932;
BgL_bpz00_13932 = 
VECTOR_REF(
((obj_t)BgL_sz00_11430),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13933; obj_t BgL_a2z00_13934;
BgL_a1z00_13933 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11427))(BgL_a1z00_11427, BgL_sz00_11430, BEOA); 
BgL_a2z00_13934 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11428))(BgL_a2z00_11428, BgL_sz00_11430, BEOA); 
if(
REALP(BgL_a1z00_13933))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4305z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13933, BgL_locz00_11429); } 
if(
REALP(BgL_a2z00_13934))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4305z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13934, BgL_locz00_11429); } 
BgL_tmpz00_22473 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13933)*
REAL_TO_DOUBLE(BgL_a2z00_13934)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22473);} } } 

}



/* &<@anonymous:2718> */
obj_t BGl_z62zc3z04anonymousza32718ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11431, obj_t BgL_sz00_11435)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11432; obj_t BgL_a2z00_11433; obj_t BgL_locz00_11434;
BgL_a1z00_11432 = 
PROCEDURE_REF(BgL_envz00_11431, 
(int)(((long)0))); 
BgL_a2z00_11433 = 
PROCEDURE_REF(BgL_envz00_11431, 
(int)(((long)1))); 
BgL_locz00_11434 = 
PROCEDURE_REF(BgL_envz00_11431, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22500;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13935;
BgL_bpz00_13935 = 
VECTOR_REF(
((obj_t)BgL_sz00_11435),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13936; obj_t BgL_a2z00_13937;
BgL_a1z00_13936 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11432))(BgL_a1z00_11432, BgL_sz00_11435, BEOA); 
BgL_a2z00_13937 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11433))(BgL_a2z00_11433, BgL_sz00_11435, BEOA); 
if(
REALP(BgL_a1z00_13936))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4307z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13936, BgL_locz00_11434); } 
if(
REALP(BgL_a2z00_13937))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4307z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13937, BgL_locz00_11434); } 
BgL_tmpz00_22500 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13936)/
REAL_TO_DOUBLE(BgL_a2z00_13937)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22500);} } } 

}



/* &<@anonymous:2721> */
obj_t BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11436, obj_t BgL_sz00_11440)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11437; obj_t BgL_a2z00_11438; obj_t BgL_locz00_11439;
BgL_a1z00_11437 = 
PROCEDURE_REF(BgL_envz00_11436, 
(int)(((long)0))); 
BgL_a2z00_11438 = 
PROCEDURE_REF(BgL_envz00_11436, 
(int)(((long)1))); 
BgL_locz00_11439 = 
PROCEDURE_REF(BgL_envz00_11436, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22527;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13938;
BgL_bpz00_13938 = 
VECTOR_REF(
((obj_t)BgL_sz00_11440),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13939; obj_t BgL_a2z00_13940;
BgL_a1z00_13939 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11437))(BgL_a1z00_11437, BgL_sz00_11440, BEOA); 
BgL_a2z00_13940 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11438))(BgL_a2z00_11438, BgL_sz00_11440, BEOA); 
if(
REALP(BgL_a1z00_13939))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4309z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13939, BgL_locz00_11439); } 
if(
REALP(BgL_a2z00_13940))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4309z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13940, BgL_locz00_11439); } 
BgL_tmpz00_22527 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13939)<
REAL_TO_DOUBLE(BgL_a2z00_13940)); } } 
return 
BBOOL(BgL_tmpz00_22527);} } } 

}



/* &<@anonymous:2724> */
obj_t BGl_z62zc3z04anonymousza32724ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11441, obj_t BgL_sz00_11445)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11442; obj_t BgL_a2z00_11443; obj_t BgL_locz00_11444;
BgL_a1z00_11442 = 
PROCEDURE_REF(BgL_envz00_11441, 
(int)(((long)0))); 
BgL_a2z00_11443 = 
PROCEDURE_REF(BgL_envz00_11441, 
(int)(((long)1))); 
BgL_locz00_11444 = 
PROCEDURE_REF(BgL_envz00_11441, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22554;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13941;
BgL_bpz00_13941 = 
VECTOR_REF(
((obj_t)BgL_sz00_11445),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13942; obj_t BgL_a2z00_13943;
BgL_a1z00_13942 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11442))(BgL_a1z00_11442, BgL_sz00_11445, BEOA); 
BgL_a2z00_13943 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11443))(BgL_a2z00_11443, BgL_sz00_11445, BEOA); 
if(
REALP(BgL_a1z00_13942))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4311z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13942, BgL_locz00_11444); } 
if(
REALP(BgL_a2z00_13943))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4311z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13943, BgL_locz00_11444); } 
BgL_tmpz00_22554 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13942)>
REAL_TO_DOUBLE(BgL_a2z00_13943)); } } 
return 
BBOOL(BgL_tmpz00_22554);} } } 

}



/* &<@anonymous:2727> */
obj_t BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11446, obj_t BgL_sz00_11450)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11447; obj_t BgL_a2z00_11448; obj_t BgL_locz00_11449;
BgL_a1z00_11447 = 
PROCEDURE_REF(BgL_envz00_11446, 
(int)(((long)0))); 
BgL_a2z00_11448 = 
PROCEDURE_REF(BgL_envz00_11446, 
(int)(((long)1))); 
BgL_locz00_11449 = 
PROCEDURE_REF(BgL_envz00_11446, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22581;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13944;
BgL_bpz00_13944 = 
VECTOR_REF(
((obj_t)BgL_sz00_11450),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13945; obj_t BgL_a2z00_13946;
BgL_a1z00_13945 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11447))(BgL_a1z00_11447, BgL_sz00_11450, BEOA); 
BgL_a2z00_13946 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11448))(BgL_a2z00_11448, BgL_sz00_11450, BEOA); 
if(
REALP(BgL_a1z00_13945))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4313z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13945, BgL_locz00_11449); } 
if(
REALP(BgL_a2z00_13946))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4313z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13946, BgL_locz00_11449); } 
BgL_tmpz00_22581 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13945)<=
REAL_TO_DOUBLE(BgL_a2z00_13946)); } } 
return 
BBOOL(BgL_tmpz00_22581);} } } 

}



/* &<@anonymous:2730> */
obj_t BGl_z62zc3z04anonymousza32730ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11451, obj_t BgL_sz00_11455)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11452; obj_t BgL_a2z00_11453; obj_t BgL_locz00_11454;
BgL_a1z00_11452 = 
PROCEDURE_REF(BgL_envz00_11451, 
(int)(((long)0))); 
BgL_a2z00_11453 = 
PROCEDURE_REF(BgL_envz00_11451, 
(int)(((long)1))); 
BgL_locz00_11454 = 
PROCEDURE_REF(BgL_envz00_11451, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22608;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13947;
BgL_bpz00_13947 = 
VECTOR_REF(
((obj_t)BgL_sz00_11455),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13948; obj_t BgL_a2z00_13949;
BgL_a1z00_13948 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11452))(BgL_a1z00_11452, BgL_sz00_11455, BEOA); 
BgL_a2z00_13949 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11453))(BgL_a2z00_11453, BgL_sz00_11455, BEOA); 
if(
REALP(BgL_a1z00_13948))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4315z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13948, BgL_locz00_11454); } 
if(
REALP(BgL_a2z00_13949))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4315z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13949, BgL_locz00_11454); } 
BgL_tmpz00_22608 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13948)>=
REAL_TO_DOUBLE(BgL_a2z00_13949)); } } 
return 
BBOOL(BgL_tmpz00_22608);} } } 

}



/* &<@anonymous:2733> */
obj_t BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11456, obj_t BgL_sz00_11460)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11457; obj_t BgL_a2z00_11458; obj_t BgL_locz00_11459;
BgL_a1z00_11457 = 
PROCEDURE_REF(BgL_envz00_11456, 
(int)(((long)0))); 
BgL_a2z00_11458 = 
PROCEDURE_REF(BgL_envz00_11456, 
(int)(((long)1))); 
BgL_locz00_11459 = 
PROCEDURE_REF(BgL_envz00_11456, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22635;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13950;
BgL_bpz00_13950 = 
VECTOR_REF(
((obj_t)BgL_sz00_11460),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13951; obj_t BgL_a2z00_13952;
BgL_a1z00_13951 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11457))(BgL_a1z00_11457, BgL_sz00_11460, BEOA); 
BgL_a2z00_13952 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11458))(BgL_a2z00_11458, BgL_sz00_11460, BEOA); 
if(
REALP(BgL_a1z00_13951))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4317z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a1z00_13951, BgL_locz00_11459); } 
if(
REALP(BgL_a2z00_13952))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4317z00zz__evaluate_compz00, BGl_symbol4301z00zz__evaluate_compz00, BgL_a2z00_13952, BgL_locz00_11459); } 
BgL_tmpz00_22635 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13951)==
REAL_TO_DOUBLE(BgL_a2z00_13952)); } } 
return 
BBOOL(BgL_tmpz00_22635);} } } 

}



/* &<@anonymous:2736> */
obj_t BGl_z62zc3z04anonymousza32736ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11461, obj_t BgL_sz00_11464)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11462; obj_t BgL_a2z00_11463;
BgL_a1z00_11462 = 
PROCEDURE_REF(BgL_envz00_11461, 
(int)(((long)0))); 
BgL_a2z00_11463 = 
PROCEDURE_REF(BgL_envz00_11461, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22660;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13953;
BgL_bpz00_13953 = 
VECTOR_REF(
((obj_t)BgL_sz00_11464),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13954; obj_t BgL_a2z00_13955;
BgL_a1z00_13954 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11462))(BgL_a1z00_11462, BgL_sz00_11464, BEOA); 
BgL_a2z00_13955 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11463))(BgL_a2z00_11463, BgL_sz00_11464, BEOA); 
BgL_tmpz00_22660 = 
(BgL_a1z00_13954==BgL_a2z00_13955); } } 
return 
BBOOL(BgL_tmpz00_22660);} } } 

}



/* &<@anonymous:2737> */
obj_t BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11465, obj_t BgL_sz00_11468)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11466; obj_t BgL_a2z00_11467;
BgL_a1z00_11466 = 
PROCEDURE_REF(BgL_envz00_11465, 
(int)(((long)0))); 
BgL_a2z00_11467 = 
PROCEDURE_REF(BgL_envz00_11465, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13956;
BgL_bpz00_13956 = 
VECTOR_REF(
((obj_t)BgL_sz00_11468),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13957; obj_t BgL_a2z00_13958;
BgL_a1z00_13957 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11466))(BgL_a1z00_11466, BgL_sz00_11468, BEOA); 
BgL_a2z00_13958 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a2z00_11467))(BgL_a2z00_11467, BgL_sz00_11468, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_13957, BgL_a2z00_13958);} } } } 

}



/* &<@anonymous:2739> */
obj_t BGl_z62zc3z04anonymousza32739ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11469, obj_t BgL_sz00_11472)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11470; obj_t BgL_locz00_11471;
BgL_a1z00_11470 = 
PROCEDURE_REF(BgL_envz00_11469, 
(int)(((long)0))); 
BgL_locz00_11471 = 
PROCEDURE_REF(BgL_envz00_11469, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13959;
BgL_bpz00_13959 = 
VECTOR_REF(
((obj_t)BgL_sz00_11472),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13960;
BgL_a1z00_13960 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11470))(BgL_a1z00_11470, BgL_sz00_11472, BEOA); 
if(
PAIRP(BgL_a1z00_13960))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4319z00zz__evaluate_compz00, BGl_symbol4321z00zz__evaluate_compz00, BgL_a1z00_13960, BgL_locz00_11471); } 
return 
CAR(
((obj_t)BgL_a1z00_13960));} } } } 

}



/* &<@anonymous:2741> */
obj_t BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11473, obj_t BgL_sz00_11476)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11474; obj_t BgL_locz00_11475;
BgL_a1z00_11474 = 
PROCEDURE_REF(BgL_envz00_11473, 
(int)(((long)0))); 
BgL_locz00_11475 = 
PROCEDURE_REF(BgL_envz00_11473, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13961;
BgL_bpz00_13961 = 
VECTOR_REF(
((obj_t)BgL_sz00_11476),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13962;
BgL_a1z00_13962 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11474))(BgL_a1z00_11474, BgL_sz00_11476, BEOA); 
if(
PAIRP(BgL_a1z00_13962))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4323z00zz__evaluate_compz00, BGl_symbol4321z00zz__evaluate_compz00, BgL_a1z00_13962, BgL_locz00_11475); } 
return 
CDR(
((obj_t)BgL_a1z00_13962));} } } } 

}



/* &<@anonymous:2743> */
obj_t BGl_z62zc3z04anonymousza32743ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11477, obj_t BgL_sz00_11480)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11478; obj_t BgL_locz00_11479;
BgL_a1z00_11478 = 
PROCEDURE_REF(BgL_envz00_11477, 
(int)(((long)0))); 
BgL_locz00_11479 = 
PROCEDURE_REF(BgL_envz00_11477, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13963;
BgL_bpz00_13963 = 
VECTOR_REF(
((obj_t)BgL_sz00_11480),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13964;
BgL_a1z00_13964 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_a1z00_11478))(BgL_a1z00_11478, BgL_sz00_11480, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_13964))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_arg2745z00_13965;
BgL_arg2745z00_13965 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_13964); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4325z00zz__evaluate_compz00, BGl_symbol4321z00zz__evaluate_compz00, BgL_arg2745z00_13965, BgL_locz00_11479); } 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_pairz00_13966;
BgL_pairz00_13966 = 
CDR(
((obj_t)BgL_a1z00_13964)); 
return 
CAR(BgL_pairz00_13966);} } } } } 

}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{
{ /* Eval/evaluate_comp.scm 1033 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1034 */
 obj_t BgL_tmpz00_22737;
BgL_tmpz00_22737 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_22737);}  else 
{ /* Eval/evaluate_comp.scm 1034 */
return ((bool_t)0);} } 

}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{
{ /* Eval/evaluate_comp.scm 1036 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1037 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1037 */
return BgL_vz00_198;} } 

}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{
{ /* Eval/evaluate_comp.scm 1065 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1066 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1066 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 

}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{
{ /* Eval/evaluate_comp.scm 1070 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1072 */
 long BgL_g1241z00_3596;
BgL_g1241z00_3596 = 
(((long)-1)-BgL_arityz00_206); 
{ 
 long BgL_rz00_3598; long BgL_spz00_3599; obj_t BgL_lz00_3600;
BgL_rz00_3598 = BgL_g1241z00_3596; 
BgL_spz00_3599 = BgL_spz00_205; 
BgL_lz00_3600 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32750ze3z87_3601:
if(
(BgL_rz00_3598==((long)0)))
{ /* Eval/evaluate_comp.scm 1074 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3599,BgL_lz00_3600);}  else 
{ /* Eval/evaluate_comp.scm 1074 */
if(
PAIRP(BgL_lz00_3600))
{ /* Eval/evaluate_comp.scm 1076 */
{ /* Eval/evaluate_comp.scm 1079 */
 obj_t BgL_arg2753z00_3604;
BgL_arg2753z00_3604 = 
CAR(BgL_lz00_3600); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3599,BgL_arg2753z00_3604); } 
{ 
 obj_t BgL_lz00_22766; long BgL_spz00_22764; long BgL_rz00_22762;
BgL_rz00_22762 = 
(BgL_rz00_3598-((long)1)); 
BgL_spz00_22764 = 
(BgL_spz00_3599+((long)1)); 
BgL_lz00_22766 = 
CDR(BgL_lz00_3600); 
BgL_lz00_3600 = BgL_lz00_22766; 
BgL_spz00_3599 = BgL_spz00_22764; 
BgL_rz00_3598 = BgL_rz00_22762; 
goto BgL_zc3z04anonymousza32750ze3z87_3601;} }  else 
{ /* Eval/evaluate_comp.scm 1077 */
 long BgL_arg2757z00_3608;
BgL_arg2757z00_3608 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2757z00_3608));} } } }  else 
{ 
 long BgL_rz00_3611; long BgL_spz00_3612; obj_t BgL_lz00_3613;
BgL_rz00_3611 = BgL_arityz00_206; 
BgL_spz00_3612 = BgL_spz00_205; 
BgL_lz00_3613 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32758ze3z87_3614:
if(
(BgL_rz00_3611==((long)0)))
{ /* Eval/evaluate_comp.scm 1083 */
if(
NULLP(BgL_lz00_3613))
{ /* Eval/evaluate_comp.scm 1084 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1085 */
 long BgL_arg2761z00_3617;
BgL_arg2761z00_3617 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2761z00_3617));} }  else 
{ /* Eval/evaluate_comp.scm 1083 */
if(
PAIRP(BgL_lz00_3613))
{ /* Eval/evaluate_comp.scm 1086 */
{ /* Eval/evaluate_comp.scm 1089 */
 obj_t BgL_arg2763z00_3619;
BgL_arg2763z00_3619 = 
CAR(BgL_lz00_3613); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3612,BgL_arg2763z00_3619); } 
{ 
 obj_t BgL_lz00_22789; long BgL_spz00_22787; long BgL_rz00_22785;
BgL_rz00_22785 = 
(BgL_rz00_3611-((long)1)); 
BgL_spz00_22787 = 
(BgL_spz00_3612+((long)1)); 
BgL_lz00_22789 = 
CDR(BgL_lz00_3613); 
BgL_lz00_3613 = BgL_lz00_22789; 
BgL_spz00_3612 = BgL_spz00_22787; 
BgL_rz00_3611 = BgL_rz00_22785; 
goto BgL_zc3z04anonymousza32758ze3z87_3614;} }  else 
{ /* Eval/evaluate_comp.scm 1087 */
 long BgL_arg2767z00_3623;
BgL_arg2767z00_3623 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2767z00_3623));} } } } 

}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{
{ /* Eval/evaluate_comp.scm 1184 */
{ 
 long BgL_iz00_3627;
BgL_iz00_3627 = ((long)0); 
BgL_zc3z04anonymousza32768ze3z87_3628:
{ /* Eval/evaluate_comp.scm 1187 */
 long BgL_spz00_3629;
{ /* Eval/evaluate_comp.scm 1187 */
 obj_t BgL_arg2772z00_3634;
BgL_arg2772z00_3634 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3627); 
BgL_spz00_3629 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2772z00_3634)); } 
{ /* Eval/evaluate_comp.scm 1188 */
 obj_t BgL_arg2769z00_3630;
{ /* Eval/evaluate_comp.scm 1188 */
 obj_t BgL_arg2770z00_3631;
BgL_arg2770z00_3631 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3629); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_8520;
BgL_newz00_8520 = 
create_struct(BGl_symbol4249z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_22804;
BgL_tmpz00_22804 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8520, BgL_tmpz00_22804, BgL_arg2770z00_3631); } 
BgL_arg2769z00_3630 = BgL_newz00_8520; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3629,BgL_arg2769z00_3630); } 
{ /* Eval/evaluate_comp.scm 1189 */
 long BgL_niz00_3632;
BgL_niz00_3632 = 
(BgL_iz00_3627+((long)1)); 
if(
(BgL_niz00_3632<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
 long BgL_iz00_22814;
BgL_iz00_22814 = BgL_niz00_3632; 
BgL_iz00_3627 = BgL_iz00_22814; 
goto BgL_zc3z04anonymousza32768ze3z87_3628;}  else 
{ /* Eval/evaluate_comp.scm 1190 */
return ((bool_t)0);} } } } } 

}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{
{ /* Eval/evaluate_comp.scm 1192 */
{ /* Eval/evaluate_comp.scm 1193 */
 obj_t BgL_rz00_3637;
BgL_rz00_3637 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1193 */

{ 
 long BgL_iz00_3639;
BgL_iz00_3639 = ((long)0); 
BgL_zc3z04anonymousza32773ze3z87_3640:
if(
(BgL_iz00_3639>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1195 */
return BgL_rz00_3637;}  else 
{ /* Eval/evaluate_comp.scm 1195 */
{ /* Eval/evaluate_comp.scm 1198 */
 obj_t BgL_arg2775z00_3642;
{ /* Eval/evaluate_comp.scm 1198 */
 long BgL_arg2776z00_3643;
{ /* Eval/evaluate_comp.scm 1198 */
 obj_t BgL_arg2777z00_3644;
BgL_arg2777z00_3644 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3639); 
BgL_arg2776z00_3643 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2777z00_3644)); } 
BgL_arg2775z00_3642 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2776z00_3643); } 
VECTOR_SET(BgL_rz00_3637,BgL_iz00_3639,BgL_arg2775z00_3642); } 
{ 
 long BgL_iz00_22830;
BgL_iz00_22830 = 
(BgL_iz00_3639+((long)1)); 
BgL_iz00_3639 = BgL_iz00_22830; 
goto BgL_zc3z04anonymousza32773ze3z87_3640;} } } } } } 

}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{
{ /* Eval/evaluate_comp.scm 1201 */
{ /* Eval/evaluate_comp.scm 1202 */
 long BgL_stopz00_3648;
BgL_stopz00_3648 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
 long BgL_iz00_3650; long BgL_spz00_3651;
BgL_iz00_3650 = ((long)0); 
BgL_spz00_3651 = BgL_spz00_219; 
BgL_zc3z04anonymousza32780ze3z87_3652:
if(
(BgL_spz00_3651<BgL_stopz00_3648))
{ /* Eval/evaluate_comp.scm 1204 */
{ /* Eval/evaluate_comp.scm 1205 */
 obj_t BgL_arg2782z00_3654;
BgL_arg2782z00_3654 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3650); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3651,BgL_arg2782z00_3654); } 
{ 
 long BgL_spz00_22843; long BgL_iz00_22841;
BgL_iz00_22841 = 
(BgL_iz00_3650+((long)1)); 
BgL_spz00_22843 = 
(BgL_spz00_3651+((long)1)); 
BgL_spz00_3651 = BgL_spz00_22843; 
BgL_iz00_3650 = BgL_iz00_22841; 
goto BgL_zc3z04anonymousza32780ze3z87_3652;} }  else 
{ /* Eval/evaluate_comp.scm 1204 */
return ((bool_t)0);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc4327z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string4328z00zz__evaluate_compz00);} 

}



/* &comp1433 */
obj_t BGl_z62comp1433z62zz__evaluate_compz00(obj_t BgL_envz00_11566, obj_t BgL_ez00_11567, obj_t BgL_stkz00_11568)
{
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string4239z00zz__evaluate_compz00, BGl_string4329z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_11567)));} 

}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_method1434z00_3664;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_res4101z00_8581;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_objzd2classzd2numz00_8552;
BgL_objzd2classzd2numz00_8552 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg3973z00_8553;
BgL_arg3973z00_8553 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
 int BgL_offsetz00_8556;
BgL_offsetz00_8556 = 
(int)(BgL_objzd2classzd2numz00_8552); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_offsetz00_8557;
BgL_offsetz00_8557 = 
(
(long)(BgL_offsetz00_8556)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_modz00_8558;
BgL_modz00_8558 = 
(BgL_offsetz00_8557 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_restz00_8560;
BgL_restz00_8560 = 
(BgL_offsetz00_8557 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_bucketz00_8562;
BgL_bucketz00_8562 = 
VECTOR_REF(
((obj_t)BgL_arg3973z00_8553),BgL_modz00_8558); 
BgL_res4101z00_8581 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8562),BgL_restz00_8560); } } } } } } } } 
BgL_method1434z00_3664 = BgL_res4101z00_8581; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1434z00_3664))(BgL_method1434z00_3664, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 

}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_11569, obj_t BgL_ez00_11570, obj_t BgL_stkz00_11571)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
 BgL_ev_exprz00_bglt BgL_auxz00_22880;
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL_test4971z00_22881;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_classz00_13968;
BgL_classz00_13968 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_11570))
{ /* Eval/evaluate_comp.scm 276 */
 BgL_objectz00_bglt BgL_arg3971z00_13970; long BgL_arg3972z00_13971;
BgL_arg3971z00_13970 = 
(BgL_objectz00_bglt)(BgL_ez00_11570); 
BgL_arg3972z00_13971 = 
BGL_CLASS_DEPTH(BgL_classz00_13968); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_idxz00_13979;
BgL_idxz00_13979 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3971z00_13970); 
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg3964z00_13980;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg3965z00_13981;
BgL_arg3965z00_13981 = 
(BgL_idxz00_13979+BgL_arg3972z00_13971); 
BgL_arg3964z00_13980 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg3965z00_13981); } 
BgL_test4971z00_22881 = 
(BgL_arg3964z00_13980==BgL_classz00_13968); } }  else 
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL_res4108z00_13986;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_oclassz00_13990;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg3976z00_13992;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg3977z00_13993;
BgL_arg3977z00_13993 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3971z00_13970); 
BgL_arg3976z00_13992 = 
(BgL_arg3977z00_13993-OBJECT_TYPE); } 
BgL_oclassz00_13990 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_13992); } 
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL__ortest_1292z00_13999;
BgL__ortest_1292z00_13999 = 
(BgL_classz00_13968==BgL_oclassz00_13990); 
if(BgL__ortest_1292z00_13999)
{ /* Eval/evaluate_comp.scm 276 */
BgL_res4108z00_13986 = BgL__ortest_1292z00_13999; }  else 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_odepthz00_14000;
BgL_odepthz00_14000 = 
BGL_CLASS_DEPTH(BgL_oclassz00_13990); 
if(
(BgL_arg3972z00_13971<BgL_odepthz00_14000))
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg3966z00_14004;
BgL_arg3966z00_14004 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_13990, BgL_arg3972z00_13971); 
BgL_res4108z00_13986 = 
(BgL_arg3966z00_14004==BgL_classz00_13968); }  else 
{ /* Eval/evaluate_comp.scm 276 */
BgL_res4108z00_13986 = ((bool_t)0); } } } } 
BgL_test4971z00_22881 = BgL_res4108z00_13986; } }  else 
{ /* Eval/evaluate_comp.scm 276 */
BgL_test4971z00_22881 = ((bool_t)0)
; } } 
if(BgL_test4971z00_22881)
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_22880 = 
((BgL_ev_exprz00_bglt)BgL_ez00_11570)
; }  else 
{ 
 obj_t BgL_auxz00_22903;
BgL_auxz00_22903 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4244z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string4330z00zz__evaluate_compz00, BGl_string4246z00zz__evaluate_compz00, BgL_ez00_11570); 
FAILURE(BgL_auxz00_22903,BFALSE,BFALSE);} } 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_22880, BgL_stkz00_11571);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc4331z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc4333z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc4334z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc4335z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc4336z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc4337z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc4338z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4339z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4340z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc4341z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc4342z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc4343z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc4344z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc4345z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc4346z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc4347z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc4348z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc4349z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc4350z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc4351z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc4352z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc4353z00zz__evaluate_compz00, BGl_string4332z00zz__evaluate_compz00);} 

}



/* &comp-ev_abs1478 */
obj_t BGl_z62compzd2ev_abs1478zb0zz__evaluate_compz00(obj_t BgL_envz00_11764, obj_t BgL_ez00_11765, obj_t BgL_stkz00_11766)
{
{ /* Eval/evaluate_comp.scm 1172 */
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_ifreesz00_14006; obj_t BgL_iboxesz00_14007; long BgL_siza7eza7_14008; long BgL_siza7ezd2framez75_14009; obj_t BgL_nstkz00_14010;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3675z00_14011;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_l1410z00_14012;
BgL_l1410z00_14012 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_freez00); 
if(
NULLP(BgL_l1410z00_14012))
{ /* Eval/evaluate_comp.scm 1174 */
BgL_arg3675z00_14011 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_head1412z00_14013;
BgL_head1412z00_14013 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1410z00_14015; obj_t BgL_tail1413z00_14016;
BgL_l1410z00_14015 = BgL_l1410z00_14012; 
BgL_tail1413z00_14016 = BgL_head1412z00_14013; 
BgL_zc3z04anonymousza33677ze3z87_14014:
if(
NULLP(BgL_l1410z00_14015))
{ /* Eval/evaluate_comp.scm 1174 */
BgL_arg3675z00_14011 = 
CDR(BgL_head1412z00_14013); }  else 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_newtail1414z00_14017;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3680z00_14018;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_vz00_14019;
BgL_vz00_14019 = 
CAR(
((obj_t)BgL_l1410z00_14015)); 
BgL_arg3680z00_14018 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14019, BgL_stkz00_11766); } 
BgL_newtail1414z00_14017 = 
MAKE_YOUNG_PAIR(BgL_arg3680z00_14018, BNIL); } 
SET_CDR(BgL_tail1413z00_14016, BgL_newtail1414z00_14017); 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3679z00_14020;
BgL_arg3679z00_14020 = 
CDR(
((obj_t)BgL_l1410z00_14015)); 
{ 
 obj_t BgL_tail1413z00_22946; obj_t BgL_l1410z00_22945;
BgL_l1410z00_22945 = BgL_arg3679z00_14020; 
BgL_tail1413z00_22946 = BgL_newtail1414z00_14017; 
BgL_tail1413z00_14016 = BgL_tail1413z00_22946; 
BgL_l1410z00_14015 = BgL_l1410z00_22945; 
goto BgL_zc3z04anonymousza33677ze3z87_14014;} } } } } } 
BgL_ifreesz00_14006 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3675z00_14011); } 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3681z00_14021;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_l1415z00_14022;
BgL_l1415z00_14022 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_boxesz00); 
if(
NULLP(BgL_l1415z00_14022))
{ /* Eval/evaluate_comp.scm 1175 */
BgL_arg3681z00_14021 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_head1417z00_14023;
BgL_head1417z00_14023 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1415z00_14025; obj_t BgL_tail1418z00_14026;
BgL_l1415z00_14025 = BgL_l1415z00_14022; 
BgL_tail1418z00_14026 = BgL_head1417z00_14023; 
BgL_zc3z04anonymousza33683ze3z87_14024:
if(
NULLP(BgL_l1415z00_14025))
{ /* Eval/evaluate_comp.scm 1175 */
BgL_arg3681z00_14021 = 
CDR(BgL_head1417z00_14023); }  else 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_newtail1419z00_14027;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3686z00_14028;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_vz00_14029;
BgL_vz00_14029 = 
CAR(
((obj_t)BgL_l1415z00_14025)); 
BgL_arg3686z00_14028 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14029, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_varsz00)); } 
BgL_newtail1419z00_14027 = 
MAKE_YOUNG_PAIR(BgL_arg3686z00_14028, BNIL); } 
SET_CDR(BgL_tail1418z00_14026, BgL_newtail1419z00_14027); 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3685z00_14030;
BgL_arg3685z00_14030 = 
CDR(
((obj_t)BgL_l1415z00_14025)); 
{ 
 obj_t BgL_tail1418z00_22966; obj_t BgL_l1415z00_22965;
BgL_l1415z00_22965 = BgL_arg3685z00_14030; 
BgL_tail1418z00_22966 = BgL_newtail1419z00_14027; 
BgL_tail1418z00_14026 = BgL_tail1418z00_22966; 
BgL_l1415z00_14025 = BgL_l1415z00_22965; 
goto BgL_zc3z04anonymousza33683ze3z87_14024;} } } } } } 
BgL_iboxesz00_14007 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3681z00_14021); } 
BgL_siza7eza7_14008 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_14009 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_freez00))); 
BgL_nstkz00_14010 = 
BGl_appendzd221009zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1179 */
 obj_t BgL_bodyz00_14031;
BgL_bodyz00_14031 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_bodyz00), BgL_nstkz00_14010); 
{ 

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_aux1253z00_14037;
BgL_aux1253z00_14037 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11765)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1253z00_14037))
{ /* Eval/evaluate_comp.scm 1181 */
switch( 
(long)CINT(BgL_aux1253z00_14037)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33137ze3z87_14038;
BgL_zc3z04anonymousza33137ze3z87_14038 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33137ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33137ze3z87_14038, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33137ze3z87_14038, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33137ze3z87_14038, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33137ze3z87_14038;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33143ze3z87_14039;
BgL_zc3z04anonymousza33143ze3z87_14039 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33143ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33143ze3z87_14039, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33143ze3z87_14039, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33143ze3z87_14039, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33143ze3z87_14039, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33143ze3z87_14039;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33152ze3z87_14040;
BgL_zc3z04anonymousza33152ze3z87_14040 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33152ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33152ze3z87_14040, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33152ze3z87_14040, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33152ze3z87_14040, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33152ze3z87_14040, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33152ze3z87_14040, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33152ze3z87_14040;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33159ze3z87_14041;
BgL_zc3z04anonymousza33159ze3z87_14041 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33159ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33159ze3z87_14041, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33159ze3z87_14041, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33159ze3z87_14041, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33159ze3z87_14041, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33159ze3z87_14041, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33159ze3z87_14041, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33159ze3z87_14041;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33172ze3z87_14042;
BgL_zc3z04anonymousza33172ze3z87_14042 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33172ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33172ze3z87_14042, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33172ze3z87_14042, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33172ze3z87_14042, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33172ze3z87_14042;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33179ze3z87_14043;
BgL_zc3z04anonymousza33179ze3z87_14043 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_14043, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_14043, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_14043, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_14043, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33179ze3z87_14043;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33189ze3z87_14044;
BgL_zc3z04anonymousza33189ze3z87_14044 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33189ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33189ze3z87_14044, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33189ze3z87_14044, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33189ze3z87_14044, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33189ze3z87_14044, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33189ze3z87_14044, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33189ze3z87_14044;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33197ze3z87_14045;
BgL_zc3z04anonymousza33197ze3z87_14045 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33197ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_14045, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_14045, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_14045, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_14045, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_14045, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_14045, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33197ze3z87_14045;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33211ze3z87_14046;
BgL_zc3z04anonymousza33211ze3z87_14046 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33211ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33211ze3z87_14046, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33211ze3z87_14046, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33211ze3z87_14046, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33211ze3z87_14046;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33218ze3z87_14047;
BgL_zc3z04anonymousza33218ze3z87_14047 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33218ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33218ze3z87_14047, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33218ze3z87_14047, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33218ze3z87_14047, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33218ze3z87_14047, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33218ze3z87_14047;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33228ze3z87_14048;
BgL_zc3z04anonymousza33228ze3z87_14048 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33228ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33228ze3z87_14048, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33228ze3z87_14048, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33228ze3z87_14048, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33228ze3z87_14048, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33228ze3z87_14048, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33228ze3z87_14048;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33236ze3z87_14049;
BgL_zc3z04anonymousza33236ze3z87_14049 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33236ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_14049, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_14049, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_14049, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_14049, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_14049, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_14049, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33236ze3z87_14049;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33250ze3z87_14050;
BgL_zc3z04anonymousza33250ze3z87_14050 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33250ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33250ze3z87_14050, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33250ze3z87_14050, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33250ze3z87_14050, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33250ze3z87_14050;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33258ze3z87_14051;
BgL_zc3z04anonymousza33258ze3z87_14051 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14051, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14051, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14051, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14051, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33258ze3z87_14051;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33269ze3z87_14052;
BgL_zc3z04anonymousza33269ze3z87_14052 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33269ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33269ze3z87_14052, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33269ze3z87_14052, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33269ze3z87_14052, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33269ze3z87_14052, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33269ze3z87_14052, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33269ze3z87_14052;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33278ze3z87_14053;
BgL_zc3z04anonymousza33278ze3z87_14053 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33278ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_14053, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_14053, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_14053, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_14053, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_14053, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33278ze3z87_14053, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33278ze3z87_14053;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33293ze3z87_14054;
BgL_zc3z04anonymousza33293ze3z87_14054 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33293ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33293ze3z87_14054, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33293ze3z87_14054, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33293ze3z87_14054, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33293ze3z87_14054;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33301ze3z87_14055;
BgL_zc3z04anonymousza33301ze3z87_14055 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_14055, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_14055, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_14055, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_14055, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33301ze3z87_14055;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33312ze3z87_14056;
BgL_zc3z04anonymousza33312ze3z87_14056 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_14056, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_14056, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_14056, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_14056, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_14056, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33312ze3z87_14056;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33321ze3z87_14057;
BgL_zc3z04anonymousza33321ze3z87_14057 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33321ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33321ze3z87_14057, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33321ze3z87_14057, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33321ze3z87_14057, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33321ze3z87_14057, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33321ze3z87_14057, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33321ze3z87_14057, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33321ze3z87_14057;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33336ze3z87_14058;
BgL_zc3z04anonymousza33336ze3z87_14058 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33336ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33336ze3z87_14058, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33336ze3z87_14058, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33336ze3z87_14058, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33336ze3z87_14058;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33345ze3z87_14059;
BgL_zc3z04anonymousza33345ze3z87_14059 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33345ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33345ze3z87_14059, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33345ze3z87_14059, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33345ze3z87_14059, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33345ze3z87_14059, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33345ze3z87_14059;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33357ze3z87_14060;
BgL_zc3z04anonymousza33357ze3z87_14060 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14060, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14060, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14060, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14060, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14060, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33357ze3z87_14060;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33367ze3z87_14061;
BgL_zc3z04anonymousza33367ze3z87_14061 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33367ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33367ze3z87_14061, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33367ze3z87_14061, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33367ze3z87_14061, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33367ze3z87_14061, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33367ze3z87_14061, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33367ze3z87_14061, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33367ze3z87_14061;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33383ze3z87_14062;
BgL_zc3z04anonymousza33383ze3z87_14062 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33383ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33383ze3z87_14062, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33383ze3z87_14062, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33383ze3z87_14062, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33383ze3z87_14062;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33392ze3z87_14063;
BgL_zc3z04anonymousza33392ze3z87_14063 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33392ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33392ze3z87_14063, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33392ze3z87_14063, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33392ze3z87_14063, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33392ze3z87_14063, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33392ze3z87_14063;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33404ze3z87_14064;
BgL_zc3z04anonymousza33404ze3z87_14064 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33404ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33404ze3z87_14064, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33404ze3z87_14064, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33404ze3z87_14064, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33404ze3z87_14064, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33404ze3z87_14064, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33404ze3z87_14064;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33414ze3z87_14065;
BgL_zc3z04anonymousza33414ze3z87_14065 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33414ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33414ze3z87_14065, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33414ze3z87_14065, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33414ze3z87_14065, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33414ze3z87_14065, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33414ze3z87_14065, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33414ze3z87_14065, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33414ze3z87_14065;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33430ze3z87_14066;
BgL_zc3z04anonymousza33430ze3z87_14066 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33430ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33430ze3z87_14066, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33430ze3z87_14066, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33430ze3z87_14066, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33430ze3z87_14066;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33440ze3z87_14067;
BgL_zc3z04anonymousza33440ze3z87_14067 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33440ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33440ze3z87_14067, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33440ze3z87_14067, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33440ze3z87_14067, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33440ze3z87_14067, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33440ze3z87_14067;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33453ze3z87_14068;
BgL_zc3z04anonymousza33453ze3z87_14068 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33453ze3z87_14068, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33453ze3z87_14068, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33453ze3z87_14068, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33453ze3z87_14068, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33453ze3z87_14068, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33453ze3z87_14068;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33464ze3z87_14069;
BgL_zc3z04anonymousza33464ze3z87_14069 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33464ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33464ze3z87_14069, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33464ze3z87_14069, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33464ze3z87_14069, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33464ze3z87_14069, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33464ze3z87_14069, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33464ze3z87_14069, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33464ze3z87_14069;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33481ze3z87_14070;
BgL_zc3z04anonymousza33481ze3z87_14070 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33481ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33481ze3z87_14070, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33481ze3z87_14070, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33481ze3z87_14070, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33481ze3z87_14070;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33491ze3z87_14071;
BgL_zc3z04anonymousza33491ze3z87_14071 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33491ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33491ze3z87_14071, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33491ze3z87_14071, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33491ze3z87_14071, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33491ze3z87_14071, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33491ze3z87_14071;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33504ze3z87_14072;
BgL_zc3z04anonymousza33504ze3z87_14072 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33504ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33504ze3z87_14072, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33504ze3z87_14072, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33504ze3z87_14072, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33504ze3z87_14072, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33504ze3z87_14072, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33504ze3z87_14072;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33515ze3z87_14073;
BgL_zc3z04anonymousza33515ze3z87_14073 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33515ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33515ze3z87_14073, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33515ze3z87_14073, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33515ze3z87_14073, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33515ze3z87_14073, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33515ze3z87_14073, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33515ze3z87_14073, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33515ze3z87_14073;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33532ze3z87_14074;
BgL_zc3z04anonymousza33532ze3z87_14074 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14074, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14074, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14074, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33532ze3z87_14074;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33543ze3z87_14075;
BgL_zc3z04anonymousza33543ze3z87_14075 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14075, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14075, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14075, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14075, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33543ze3z87_14075;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33557ze3z87_14076;
BgL_zc3z04anonymousza33557ze3z87_14076 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_14076, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_14076, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_14076, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_14076, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33557ze3z87_14076, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33557ze3z87_14076;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33569ze3z87_14077;
BgL_zc3z04anonymousza33569ze3z87_14077 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33569ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33569ze3z87_14077, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33569ze3z87_14077, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33569ze3z87_14077, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33569ze3z87_14077, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33569ze3z87_14077, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33569ze3z87_14077, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33569ze3z87_14077;} } break;
default: 
BgL_case_else1252z00_14032:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_14006)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33587ze3z87_14033;
BgL_zc3z04anonymousza33587ze3z87_14033 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33587ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33587ze3z87_14033, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33587ze3z87_14033, 
(int)(((long)1)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33587ze3z87_14033, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33587ze3z87_14033;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33607ze3z87_14034;
BgL_zc3z04anonymousza33607ze3z87_14034 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33607ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33607ze3z87_14034, 
(int)(((long)0)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33607ze3z87_14034, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33607ze3z87_14034, 
(int)(((long)2)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33607ze3z87_14034, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33607ze3z87_14034;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_14007)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33630ze3z87_14035;
BgL_zc3z04anonymousza33630ze3z87_14035 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33630ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33630ze3z87_14035, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33630ze3z87_14035, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33630ze3z87_14035, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33630ze3z87_14035, 
(int)(((long)3)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33630ze3z87_14035, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33630ze3z87_14035;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33651ze3z87_14036;
BgL_zc3z04anonymousza33651ze3z87_14036 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33651ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33651ze3z87_14036, 
(int)(((long)0)), BgL_ifreesz00_14006); 
PROCEDURE_SET(BgL_zc3z04anonymousza33651ze3z87_14036, 
(int)(((long)1)), BgL_iboxesz00_14007); 
PROCEDURE_SET(BgL_zc3z04anonymousza33651ze3z87_14036, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_14008)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33651ze3z87_14036, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11765))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33651ze3z87_14036, 
(int)(((long)4)), BgL_bodyz00_14031); 
PROCEDURE_SET(BgL_zc3z04anonymousza33651ze3z87_14036, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_14009)); 
return BgL_zc3z04anonymousza33651ze3z87_14036;} } } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
goto BgL_case_else1252z00_14032;} } } } } } 

}



/* &<@anonymous:3532> */
obj_t BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11767, obj_t BgL_sz00_11771)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_11768; obj_t BgL_bodyz00_11769; long BgL_siza7ezd2framez75_11770;
BgL_i1251z00_11768 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11767, 
(int)(((long)0)))); 
BgL_bodyz00_11769 = 
PROCEDURE_REF(BgL_envz00_11767, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11770 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11767, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14078;
BgL_bpz00_14078 = 
VECTOR_REF(
((obj_t)BgL_sz00_11771),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14079;
BgL_runz00_14079 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14079, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_11768)); 
PROCEDURE_SET(BgL_runz00_14079, 
(int)(((long)1)), BgL_bodyz00_11769); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14080;
BgL_mainz00_14080 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14080, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_11768)); 
PROCEDURE_SET(BgL_mainz00_14080, 
(int)(((long)1)), BgL_bodyz00_11769); 
PROCEDURE_SET(BgL_mainz00_14080, 
(int)(((long)2)), BgL_runz00_14079); 
PROCEDURE_SET(BgL_mainz00_14080, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11770)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14081;
BgL_objz00_14081 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14079, BgL_objz00_14081); BgL_objz00_14081; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3533z00_14082;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3534z00_14083;
BgL_arg3534z00_14083 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11768))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14084;
BgL_newz00_14084 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23808;
BgL_tmpz00_23808 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14084, BgL_tmpz00_23808, BgL_arg3534z00_14083); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23813; int BgL_tmpz00_23811;
BgL_auxz00_23813 = 
BINT(BgL_siza7ezd2framez75_11770); 
BgL_tmpz00_23811 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14084, BgL_tmpz00_23811, BgL_auxz00_23813); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23816;
BgL_tmpz00_23816 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14084, BgL_tmpz00_23816, BgL_runz00_14079); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23821; int BgL_tmpz00_23819;
BgL_auxz00_23821 = 
BINT(((long)-5)); 
BgL_tmpz00_23819 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14084, BgL_tmpz00_23819, BgL_auxz00_23821); } 
BgL_arg3533z00_14082 = BgL_newz00_14084; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14080, BgL_arg3533z00_14082); BgL_arg3533z00_14082; } 
return BgL_mainz00_14080;} } } } } } 

}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_11772, obj_t BgL_az00_11777, obj_t BgL_bz00_11778, obj_t BgL_cz00_11779, obj_t BgL_dz00_11780, obj_t BgL_lastz00_11781)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11775; long BgL_siza7ezd2framez75_11776;
BgL_runz00_11775 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11772, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11776 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11772, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14085;
BgL_sz00_14085 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14086;
BgL_bpz00_14086 = 
VECTOR_REF(
((obj_t)BgL_sz00_14085),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14085, BgL_bpz00_14086, 
BINT(BgL_siza7ezd2framez75_11776)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3537z00_14087;
BgL_arg3537z00_14087 = 
(
(long)CINT(BgL_bpz00_14086)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14085),BgL_arg3537z00_14087,BgL_az00_11777); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3538z00_14088;
BgL_arg3538z00_14088 = 
(
(long)CINT(BgL_bpz00_14086)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14085),BgL_arg3538z00_14088,BgL_bz00_11778); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3539z00_14089;
BgL_arg3539z00_14089 = 
(
(long)CINT(BgL_bpz00_14086)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14085),BgL_arg3539z00_14089,BgL_cz00_11779); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3540z00_14090;
BgL_arg3540z00_14090 = 
(
(long)CINT(BgL_bpz00_14086)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14085),BgL_arg3540z00_14090,BgL_dz00_11780); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3541z00_14091;
BgL_arg3541z00_14091 = 
(
(long)CINT(BgL_bpz00_14086)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14085),BgL_arg3541z00_14091,BgL_lastz00_11781); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14092;
BgL_ez00_14092 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14093;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14094;
BgL_arg3987z00_14094 = 
BGL_EXITD_PROTECT(BgL_ez00_14092); 
BgL_arg3986z00_14093 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14086, BgL_arg3987z00_14094); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14092, BgL_arg3986z00_14093); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14095;
BgL_accz00_14095 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11775, BgL_sz00_14085, BgL_bpz00_14086); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5015z00_23862;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14096;
BgL_arg3985z00_14096 = 
BGL_EXITD_PROTECT(BgL_ez00_14092); 
BgL_test5015z00_23862 = 
PAIRP(BgL_arg3985z00_14096); } 
if(BgL_test5015z00_23862)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14097;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14098;
BgL_arg3984z00_14098 = 
BGL_EXITD_PROTECT(BgL_ez00_14092); 
BgL_arg3983z00_14097 = 
CDR(
((obj_t)BgL_arg3984z00_14098)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14092, BgL_arg3983z00_14097); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14085),((long)0),BgL_bpz00_14086); 
return BgL_accz00_14095;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14099;
BgL_nsz00_14099 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14099,((long)1),BgL_sz00_14085); 
VECTOR_SET(BgL_nsz00_14099,((long)2),BgL_az00_11777); 
VECTOR_SET(BgL_nsz00_14099,((long)3),BgL_bz00_11778); 
VECTOR_SET(BgL_nsz00_14099,((long)4),BgL_cz00_11779); 
VECTOR_SET(BgL_nsz00_14099,((long)5),BgL_dz00_11780); 
VECTOR_SET(BgL_nsz00_14099,((long)6),BgL_lastz00_11781); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14100;
BgL_z12denvz12_14100 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14100, BgL_nsz00_14099); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14101;
BgL_ez00_14101 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14102;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14103;
BgL_arg3987z00_14103 = 
BGL_EXITD_PROTECT(BgL_ez00_14101); 
BgL_arg3986z00_14102 = 
MAKE_YOUNG_PAIR(BgL_sz00_14085, BgL_arg3987z00_14103); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14101, BgL_arg3986z00_14102); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14104;
BgL_____rz00_14104 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11775, BgL_nsz00_14099, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5016z00_23886;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14105;
BgL_arg3985z00_14105 = 
BGL_EXITD_PROTECT(BgL_ez00_14101); 
BgL_test5016z00_23886 = 
PAIRP(BgL_arg3985z00_14105); } 
if(BgL_test5016z00_23886)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14106;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14107;
BgL_arg3984z00_14107 = 
BGL_EXITD_PROTECT(BgL_ez00_14101); 
BgL_arg3983z00_14106 = 
CDR(
((obj_t)BgL_arg3984z00_14107)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14101, BgL_arg3983z00_14106); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14100, BgL_sz00_14085); 
return BgL_____rz00_14104;} } } } } } } } 

}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_11782, obj_t BgL_sz00_11785)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_11783; obj_t BgL_bodyz00_11784;
BgL_i1251z00_11783 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11782, 
(int)(((long)0)))); 
BgL_bodyz00_11784 = 
PROCEDURE_REF(BgL_envz00_11782, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14108;
BgL_bpz00_14108 = 
VECTOR_REF(
((obj_t)BgL_sz00_11785),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14109; obj_t BgL_wherez00_14110; obj_t BgL_locz00_14111;
BgL_z12denvz12_14109 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14110 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11783))->BgL_wherez00); 
BgL_locz00_14111 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11783))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14109, BgL_wherez00_14110, BgL_locz00_14111); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14112;
BgL_za2za2resza2za2z00_14112 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11784))(BgL_bodyz00_11784, BgL_sz00_11785, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14109); 
return BgL_za2za2resza2za2z00_14112;} } } } } } 

}



/* &<@anonymous:3543> */
obj_t BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11786, obj_t BgL_sz00_11791)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11787; BgL_ev_absz00_bglt BgL_i1251z00_11788; obj_t BgL_bodyz00_11789; long BgL_siza7ezd2framez75_11790;
BgL_iboxesz00_11787 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11786, 
(int)(((long)0)))); 
BgL_i1251z00_11788 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11786, 
(int)(((long)1)))); 
BgL_bodyz00_11789 = 
PROCEDURE_REF(BgL_envz00_11786, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11790 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11786, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14113;
BgL_bpz00_14113 = 
VECTOR_REF(
((obj_t)BgL_sz00_11791),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14114;
BgL_runz00_14114 = 
MAKE_FX_PROCEDURE(BGl_z62run4142z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14114, 
(int)(((long)0)), BgL_iboxesz00_11787); 
PROCEDURE_SET(BgL_runz00_14114, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_11788)); 
PROCEDURE_SET(BgL_runz00_14114, 
(int)(((long)2)), BgL_bodyz00_11789); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14115;
BgL_mainz00_14115 = 
MAKE_VA_PROCEDURE(BGl_z62main4141z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14115, 
(int)(((long)0)), BgL_iboxesz00_11787); 
PROCEDURE_SET(BgL_mainz00_14115, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_11788)); 
PROCEDURE_SET(BgL_mainz00_14115, 
(int)(((long)2)), BgL_bodyz00_11789); 
PROCEDURE_SET(BgL_mainz00_14115, 
(int)(((long)3)), BgL_runz00_14114); 
PROCEDURE_SET(BgL_mainz00_14115, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11790)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14116;
BgL_objz00_14116 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14114, BgL_objz00_14116); BgL_objz00_14116; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3544z00_14117;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3545z00_14118;
BgL_arg3545z00_14118 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11788))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14119;
BgL_newz00_14119 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23952;
BgL_tmpz00_23952 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14119, BgL_tmpz00_23952, BgL_arg3545z00_14118); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23957; int BgL_tmpz00_23955;
BgL_auxz00_23957 = 
BINT(BgL_siza7ezd2framez75_11790); 
BgL_tmpz00_23955 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14119, BgL_tmpz00_23955, BgL_auxz00_23957); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23960;
BgL_tmpz00_23960 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14119, BgL_tmpz00_23960, BgL_runz00_14114); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23965; int BgL_tmpz00_23963;
BgL_auxz00_23965 = 
BINT(((long)-5)); 
BgL_tmpz00_23963 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14119, BgL_tmpz00_23963, BgL_auxz00_23965); } 
BgL_arg3544z00_14117 = BgL_newz00_14119; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14115, BgL_arg3544z00_14117); BgL_arg3544z00_14117; } 
return BgL_mainz00_14115;} } } } } } 

}



/* &main4141 */
obj_t BGl_z62main4141z62zz__evaluate_compz00(obj_t BgL_envz00_11792, obj_t BgL_az00_11798, obj_t BgL_bz00_11799, obj_t BgL_cz00_11800, obj_t BgL_dz00_11801, obj_t BgL_lastz00_11802)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11796; long BgL_siza7ezd2framez75_11797;
BgL_runz00_11796 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11792, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11797 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11792, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14120;
BgL_sz00_14120 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14121;
BgL_bpz00_14121 = 
VECTOR_REF(
((obj_t)BgL_sz00_14120),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14120, BgL_bpz00_14121, 
BINT(BgL_siza7ezd2framez75_11797)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3548z00_14122;
BgL_arg3548z00_14122 = 
(
(long)CINT(BgL_bpz00_14121)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14120),BgL_arg3548z00_14122,BgL_az00_11798); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3549z00_14123;
BgL_arg3549z00_14123 = 
(
(long)CINT(BgL_bpz00_14121)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14120),BgL_arg3549z00_14123,BgL_bz00_11799); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3550z00_14124;
BgL_arg3550z00_14124 = 
(
(long)CINT(BgL_bpz00_14121)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14120),BgL_arg3550z00_14124,BgL_cz00_11800); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3551z00_14125;
BgL_arg3551z00_14125 = 
(
(long)CINT(BgL_bpz00_14121)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14120),BgL_arg3551z00_14125,BgL_dz00_11801); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3552z00_14126;
BgL_arg3552z00_14126 = 
(
(long)CINT(BgL_bpz00_14121)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14120),BgL_arg3552z00_14126,BgL_lastz00_11802); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14127;
BgL_ez00_14127 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14128;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14129;
BgL_arg3987z00_14129 = 
BGL_EXITD_PROTECT(BgL_ez00_14127); 
BgL_arg3986z00_14128 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14121, BgL_arg3987z00_14129); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14127, BgL_arg3986z00_14128); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14130;
BgL_accz00_14130 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11796, BgL_sz00_14120, BgL_bpz00_14121); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5018z00_24006;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14131;
BgL_arg3985z00_14131 = 
BGL_EXITD_PROTECT(BgL_ez00_14127); 
BgL_test5018z00_24006 = 
PAIRP(BgL_arg3985z00_14131); } 
if(BgL_test5018z00_24006)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14132;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14133;
BgL_arg3984z00_14133 = 
BGL_EXITD_PROTECT(BgL_ez00_14127); 
BgL_arg3983z00_14132 = 
CDR(
((obj_t)BgL_arg3984z00_14133)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14127, BgL_arg3983z00_14132); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14120),((long)0),BgL_bpz00_14121); 
return BgL_accz00_14130;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14134;
BgL_nsz00_14134 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14134,((long)1),BgL_sz00_14120); 
VECTOR_SET(BgL_nsz00_14134,((long)2),BgL_az00_11798); 
VECTOR_SET(BgL_nsz00_14134,((long)3),BgL_bz00_11799); 
VECTOR_SET(BgL_nsz00_14134,((long)4),BgL_cz00_11800); 
VECTOR_SET(BgL_nsz00_14134,((long)5),BgL_dz00_11801); 
VECTOR_SET(BgL_nsz00_14134,((long)6),BgL_lastz00_11802); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14135;
BgL_z12denvz12_14135 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14135, BgL_nsz00_14134); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14136;
BgL_ez00_14136 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14137;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14138;
BgL_arg3987z00_14138 = 
BGL_EXITD_PROTECT(BgL_ez00_14136); 
BgL_arg3986z00_14137 = 
MAKE_YOUNG_PAIR(BgL_sz00_14120, BgL_arg3987z00_14138); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14136, BgL_arg3986z00_14137); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14139;
BgL_____rz00_14139 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11796, BgL_nsz00_14134, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5019z00_24030;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14140;
BgL_arg3985z00_14140 = 
BGL_EXITD_PROTECT(BgL_ez00_14136); 
BgL_test5019z00_24030 = 
PAIRP(BgL_arg3985z00_14140); } 
if(BgL_test5019z00_24030)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14141;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14142;
BgL_arg3984z00_14142 = 
BGL_EXITD_PROTECT(BgL_ez00_14136); 
BgL_arg3983z00_14141 = 
CDR(
((obj_t)BgL_arg3984z00_14142)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14136, BgL_arg3983z00_14141); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14135, BgL_sz00_14120); 
return BgL_____rz00_14139;} } } } } } } } 

}



/* &run4142 */
obj_t BGl_z62run4142z62zz__evaluate_compz00(obj_t BgL_envz00_11803, obj_t BgL_sz00_11807)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11804; BgL_ev_absz00_bglt BgL_i1251z00_11805; obj_t BgL_bodyz00_11806;
BgL_iboxesz00_11804 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)0)))); 
BgL_i1251z00_11805 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)1)))); 
BgL_bodyz00_11806 = 
PROCEDURE_REF(BgL_envz00_11803, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14143;
BgL_bpz00_14143 = 
VECTOR_REF(
((obj_t)BgL_sz00_11807),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11807, BgL_iboxesz00_11804, BgL_bpz00_14143); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14144; obj_t BgL_wherez00_14145; obj_t BgL_locz00_14146;
BgL_z12denvz12_14144 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14145 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11805))->BgL_wherez00); 
BgL_locz00_14146 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11805))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14144, BgL_wherez00_14145, BgL_locz00_14146); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14147;
BgL_za2za2resza2za2z00_14147 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11806))(BgL_bodyz00_11806, BgL_sz00_11807, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14144); 
return BgL_za2za2resza2za2z00_14147;} } } } } } 

}



/* &<@anonymous:3557> */
obj_t BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11808, obj_t BgL_sz00_11814)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11809; long BgL_siza7eza7_11810; BgL_ev_absz00_bglt BgL_i1251z00_11811; obj_t BgL_bodyz00_11812; long BgL_siza7ezd2framez75_11813;
BgL_ifreesz00_11809 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11808, 
(int)(((long)0)))); 
BgL_siza7eza7_11810 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11808, 
(int)(((long)1)))); 
BgL_i1251z00_11811 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11808, 
(int)(((long)2)))); 
BgL_bodyz00_11812 = 
PROCEDURE_REF(BgL_envz00_11808, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11813 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11808, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14148;
BgL_bpz00_14148 = 
VECTOR_REF(
((obj_t)BgL_sz00_11814),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14149;
BgL_valza2za2_14149 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11814, BgL_bpz00_14148, BgL_ifreesz00_11809); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14150;
BgL_runz00_14150 = 
MAKE_FX_PROCEDURE(BGl_z62run4144z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14150, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11810)); 
PROCEDURE_SET(BgL_runz00_14150, 
(int)(((long)1)), BgL_valza2za2_14149); 
PROCEDURE_SET(BgL_runz00_14150, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_11811)); 
PROCEDURE_SET(BgL_runz00_14150, 
(int)(((long)3)), BgL_bodyz00_11812); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14151;
BgL_mainz00_14151 = 
MAKE_VA_PROCEDURE(BGl_z62main4143z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14151, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11810)); 
PROCEDURE_SET(BgL_mainz00_14151, 
(int)(((long)1)), BgL_valza2za2_14149); 
PROCEDURE_SET(BgL_mainz00_14151, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_11811)); 
PROCEDURE_SET(BgL_mainz00_14151, 
(int)(((long)3)), BgL_bodyz00_11812); 
PROCEDURE_SET(BgL_mainz00_14151, 
(int)(((long)4)), BgL_runz00_14150); 
PROCEDURE_SET(BgL_mainz00_14151, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11813)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14152;
BgL_objz00_14152 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14150, BgL_objz00_14152); BgL_objz00_14152; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3558z00_14153;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3559z00_14154;
BgL_arg3559z00_14154 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11811))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14155;
BgL_newz00_14155 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24110;
BgL_tmpz00_24110 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14155, BgL_tmpz00_24110, BgL_arg3559z00_14154); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24115; int BgL_tmpz00_24113;
BgL_auxz00_24115 = 
BINT(BgL_siza7ezd2framez75_11813); 
BgL_tmpz00_24113 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14155, BgL_tmpz00_24113, BgL_auxz00_24115); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24118;
BgL_tmpz00_24118 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14155, BgL_tmpz00_24118, BgL_runz00_14150); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24123; int BgL_tmpz00_24121;
BgL_auxz00_24123 = 
BINT(((long)-5)); 
BgL_tmpz00_24121 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14155, BgL_tmpz00_24121, BgL_auxz00_24123); } 
BgL_arg3558z00_14153 = BgL_newz00_14155; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14151, BgL_arg3558z00_14153); BgL_arg3558z00_14153; } 
return BgL_mainz00_14151;} } } } } } 

}



/* &main4143 */
obj_t BGl_z62main4143z62zz__evaluate_compz00(obj_t BgL_envz00_11815, obj_t BgL_az00_11822, obj_t BgL_bz00_11823, obj_t BgL_cz00_11824, obj_t BgL_dz00_11825, obj_t BgL_lastz00_11826)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11820; long BgL_siza7ezd2framez75_11821;
BgL_runz00_11820 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11821 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14156;
BgL_sz00_14156 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14157;
BgL_bpz00_14157 = 
VECTOR_REF(
((obj_t)BgL_sz00_14156),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14156, BgL_bpz00_14157, 
BINT(BgL_siza7ezd2framez75_11821)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3562z00_14158;
BgL_arg3562z00_14158 = 
(
(long)CINT(BgL_bpz00_14157)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14156),BgL_arg3562z00_14158,BgL_az00_11822); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3563z00_14159;
BgL_arg3563z00_14159 = 
(
(long)CINT(BgL_bpz00_14157)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14156),BgL_arg3563z00_14159,BgL_bz00_11823); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3564z00_14160;
BgL_arg3564z00_14160 = 
(
(long)CINT(BgL_bpz00_14157)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14156),BgL_arg3564z00_14160,BgL_cz00_11824); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3565z00_14161;
BgL_arg3565z00_14161 = 
(
(long)CINT(BgL_bpz00_14157)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14156),BgL_arg3565z00_14161,BgL_dz00_11825); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3566z00_14162;
BgL_arg3566z00_14162 = 
(
(long)CINT(BgL_bpz00_14157)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14156),BgL_arg3566z00_14162,BgL_lastz00_11826); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14163;
BgL_ez00_14163 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14164;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14165;
BgL_arg3987z00_14165 = 
BGL_EXITD_PROTECT(BgL_ez00_14163); 
BgL_arg3986z00_14164 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14157, BgL_arg3987z00_14165); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14163, BgL_arg3986z00_14164); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14166;
BgL_accz00_14166 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11820, BgL_sz00_14156, BgL_bpz00_14157); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5021z00_24164;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14167;
BgL_arg3985z00_14167 = 
BGL_EXITD_PROTECT(BgL_ez00_14163); 
BgL_test5021z00_24164 = 
PAIRP(BgL_arg3985z00_14167); } 
if(BgL_test5021z00_24164)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14168;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14169;
BgL_arg3984z00_14169 = 
BGL_EXITD_PROTECT(BgL_ez00_14163); 
BgL_arg3983z00_14168 = 
CDR(
((obj_t)BgL_arg3984z00_14169)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14163, BgL_arg3983z00_14168); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14156),((long)0),BgL_bpz00_14157); 
return BgL_accz00_14166;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14170;
BgL_nsz00_14170 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14170,((long)1),BgL_sz00_14156); 
VECTOR_SET(BgL_nsz00_14170,((long)2),BgL_az00_11822); 
VECTOR_SET(BgL_nsz00_14170,((long)3),BgL_bz00_11823); 
VECTOR_SET(BgL_nsz00_14170,((long)4),BgL_cz00_11824); 
VECTOR_SET(BgL_nsz00_14170,((long)5),BgL_dz00_11825); 
VECTOR_SET(BgL_nsz00_14170,((long)6),BgL_lastz00_11826); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14171;
BgL_z12denvz12_14171 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14171, BgL_nsz00_14170); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14172;
BgL_ez00_14172 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14173;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14174;
BgL_arg3987z00_14174 = 
BGL_EXITD_PROTECT(BgL_ez00_14172); 
BgL_arg3986z00_14173 = 
MAKE_YOUNG_PAIR(BgL_sz00_14156, BgL_arg3987z00_14174); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14172, BgL_arg3986z00_14173); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14175;
BgL_____rz00_14175 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11820, BgL_nsz00_14170, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5022z00_24188;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14176;
BgL_arg3985z00_14176 = 
BGL_EXITD_PROTECT(BgL_ez00_14172); 
BgL_test5022z00_24188 = 
PAIRP(BgL_arg3985z00_14176); } 
if(BgL_test5022z00_24188)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14177;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14178;
BgL_arg3984z00_14178 = 
BGL_EXITD_PROTECT(BgL_ez00_14172); 
BgL_arg3983z00_14177 = 
CDR(
((obj_t)BgL_arg3984z00_14178)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14172, BgL_arg3983z00_14177); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14171, BgL_sz00_14156); 
return BgL_____rz00_14175;} } } } } } } } 

}



/* &run4144 */
obj_t BGl_z62run4144z62zz__evaluate_compz00(obj_t BgL_envz00_11827, obj_t BgL_sz00_11832)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_11828; obj_t BgL_valza2za2_11829; BgL_ev_absz00_bglt BgL_i1251z00_11830; obj_t BgL_bodyz00_11831;
BgL_siza7eza7_11828 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)0)))); 
BgL_valza2za2_11829 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)1)))); 
BgL_i1251z00_11830 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)2)))); 
BgL_bodyz00_11831 = 
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14179;
BgL_bpz00_14179 = 
VECTOR_REF(
((obj_t)BgL_sz00_11832),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11832, BgL_valza2za2_11829, 
(
(long)CINT(BgL_bpz00_14179)+BgL_siza7eza7_11828)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14180; obj_t BgL_wherez00_14181; obj_t BgL_locz00_14182;
BgL_z12denvz12_14180 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14181 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11830))->BgL_wherez00); 
BgL_locz00_14182 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11830))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14180, BgL_wherez00_14181, BgL_locz00_14182); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14183;
BgL_za2za2resza2za2z00_14183 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11831))(BgL_bodyz00_11831, BgL_sz00_11832, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14180); 
return BgL_za2za2resza2za2z00_14183;} } } } } } 

}



/* &<@anonymous:3569> */
obj_t BGl_z62zc3z04anonymousza33569ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11833, obj_t BgL_sz00_11840)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11834; obj_t BgL_iboxesz00_11835; long BgL_siza7eza7_11836; BgL_ev_absz00_bglt BgL_i1251z00_11837; obj_t BgL_bodyz00_11838; long BgL_siza7ezd2framez75_11839;
BgL_ifreesz00_11834 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)0)))); 
BgL_iboxesz00_11835 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)1)))); 
BgL_siza7eza7_11836 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)2)))); 
BgL_i1251z00_11837 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)3)))); 
BgL_bodyz00_11838 = 
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11839 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14184;
BgL_bpz00_14184 = 
VECTOR_REF(
((obj_t)BgL_sz00_11840),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14185;
BgL_valza2za2_14185 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11840, BgL_bpz00_14184, BgL_ifreesz00_11834); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14186;
BgL_runz00_14186 = 
MAKE_FX_PROCEDURE(BGl_z62run4146z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14186, 
(int)(((long)0)), BgL_iboxesz00_11835); 
PROCEDURE_SET(BgL_runz00_14186, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11836)); 
PROCEDURE_SET(BgL_runz00_14186, 
(int)(((long)2)), BgL_valza2za2_14185); 
PROCEDURE_SET(BgL_runz00_14186, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_11837)); 
PROCEDURE_SET(BgL_runz00_14186, 
(int)(((long)4)), BgL_bodyz00_11838); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14187;
BgL_mainz00_14187 = 
MAKE_VA_PROCEDURE(BGl_z62main4145z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14187, 
(int)(((long)0)), BgL_iboxesz00_11835); 
PROCEDURE_SET(BgL_mainz00_14187, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11836)); 
PROCEDURE_SET(BgL_mainz00_14187, 
(int)(((long)2)), BgL_valza2za2_14185); 
PROCEDURE_SET(BgL_mainz00_14187, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_11837)); 
PROCEDURE_SET(BgL_mainz00_14187, 
(int)(((long)4)), BgL_bodyz00_11838); 
PROCEDURE_SET(BgL_mainz00_14187, 
(int)(((long)5)), BgL_runz00_14186); 
PROCEDURE_SET(BgL_mainz00_14187, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11839)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14188;
BgL_objz00_14188 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14186, BgL_objz00_14188); BgL_objz00_14188; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3570z00_14189;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3571z00_14190;
BgL_arg3571z00_14190 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11837))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14191;
BgL_newz00_14191 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24280;
BgL_tmpz00_24280 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14191, BgL_tmpz00_24280, BgL_arg3571z00_14190); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24285; int BgL_tmpz00_24283;
BgL_auxz00_24285 = 
BINT(BgL_siza7ezd2framez75_11839); 
BgL_tmpz00_24283 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14191, BgL_tmpz00_24283, BgL_auxz00_24285); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24288;
BgL_tmpz00_24288 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14191, BgL_tmpz00_24288, BgL_runz00_14186); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24293; int BgL_tmpz00_24291;
BgL_auxz00_24293 = 
BINT(((long)-5)); 
BgL_tmpz00_24291 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14191, BgL_tmpz00_24291, BgL_auxz00_24293); } 
BgL_arg3570z00_14189 = BgL_newz00_14191; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14187, BgL_arg3570z00_14189); BgL_arg3570z00_14189; } 
return BgL_mainz00_14187;} } } } } } 

}



/* &main4145 */
obj_t BGl_z62main4145z62zz__evaluate_compz00(obj_t BgL_envz00_11841, obj_t BgL_az00_11849, obj_t BgL_bz00_11850, obj_t BgL_cz00_11851, obj_t BgL_dz00_11852, obj_t BgL_lastz00_11853)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11847; long BgL_siza7ezd2framez75_11848;
BgL_runz00_11847 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11841, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11848 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11841, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14192;
BgL_sz00_14192 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14193;
BgL_bpz00_14193 = 
VECTOR_REF(
((obj_t)BgL_sz00_14192),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14192, BgL_bpz00_14193, 
BINT(BgL_siza7ezd2framez75_11848)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3574z00_14194;
BgL_arg3574z00_14194 = 
(
(long)CINT(BgL_bpz00_14193)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14192),BgL_arg3574z00_14194,BgL_az00_11849); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3575z00_14195;
BgL_arg3575z00_14195 = 
(
(long)CINT(BgL_bpz00_14193)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14192),BgL_arg3575z00_14195,BgL_bz00_11850); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3576z00_14196;
BgL_arg3576z00_14196 = 
(
(long)CINT(BgL_bpz00_14193)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14192),BgL_arg3576z00_14196,BgL_cz00_11851); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3577z00_14197;
BgL_arg3577z00_14197 = 
(
(long)CINT(BgL_bpz00_14193)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14192),BgL_arg3577z00_14197,BgL_dz00_11852); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3578z00_14198;
BgL_arg3578z00_14198 = 
(
(long)CINT(BgL_bpz00_14193)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14192),BgL_arg3578z00_14198,BgL_lastz00_11853); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14199;
BgL_ez00_14199 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14200;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14201;
BgL_arg3987z00_14201 = 
BGL_EXITD_PROTECT(BgL_ez00_14199); 
BgL_arg3986z00_14200 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14193, BgL_arg3987z00_14201); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14199, BgL_arg3986z00_14200); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14202;
BgL_accz00_14202 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11847, BgL_sz00_14192, BgL_bpz00_14193); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5024z00_24334;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14203;
BgL_arg3985z00_14203 = 
BGL_EXITD_PROTECT(BgL_ez00_14199); 
BgL_test5024z00_24334 = 
PAIRP(BgL_arg3985z00_14203); } 
if(BgL_test5024z00_24334)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14204;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14205;
BgL_arg3984z00_14205 = 
BGL_EXITD_PROTECT(BgL_ez00_14199); 
BgL_arg3983z00_14204 = 
CDR(
((obj_t)BgL_arg3984z00_14205)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14199, BgL_arg3983z00_14204); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14192),((long)0),BgL_bpz00_14193); 
return BgL_accz00_14202;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14206;
BgL_nsz00_14206 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14206,((long)1),BgL_sz00_14192); 
VECTOR_SET(BgL_nsz00_14206,((long)2),BgL_az00_11849); 
VECTOR_SET(BgL_nsz00_14206,((long)3),BgL_bz00_11850); 
VECTOR_SET(BgL_nsz00_14206,((long)4),BgL_cz00_11851); 
VECTOR_SET(BgL_nsz00_14206,((long)5),BgL_dz00_11852); 
VECTOR_SET(BgL_nsz00_14206,((long)6),BgL_lastz00_11853); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14207;
BgL_z12denvz12_14207 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14207, BgL_nsz00_14206); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14208;
BgL_ez00_14208 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14209;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14210;
BgL_arg3987z00_14210 = 
BGL_EXITD_PROTECT(BgL_ez00_14208); 
BgL_arg3986z00_14209 = 
MAKE_YOUNG_PAIR(BgL_sz00_14192, BgL_arg3987z00_14210); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14208, BgL_arg3986z00_14209); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14211;
BgL_____rz00_14211 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11847, BgL_nsz00_14206, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5025z00_24358;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14212;
BgL_arg3985z00_14212 = 
BGL_EXITD_PROTECT(BgL_ez00_14208); 
BgL_test5025z00_24358 = 
PAIRP(BgL_arg3985z00_14212); } 
if(BgL_test5025z00_24358)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14213;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14214;
BgL_arg3984z00_14214 = 
BGL_EXITD_PROTECT(BgL_ez00_14208); 
BgL_arg3983z00_14213 = 
CDR(
((obj_t)BgL_arg3984z00_14214)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14208, BgL_arg3983z00_14213); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14207, BgL_sz00_14192); 
return BgL_____rz00_14211;} } } } } } } } 

}



/* &run4146 */
obj_t BGl_z62run4146z62zz__evaluate_compz00(obj_t BgL_envz00_11854, obj_t BgL_sz00_11860)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11855; long BgL_siza7eza7_11856; obj_t BgL_valza2za2_11857; BgL_ev_absz00_bglt BgL_i1251z00_11858; obj_t BgL_bodyz00_11859;
BgL_iboxesz00_11855 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)0)))); 
BgL_siza7eza7_11856 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)1)))); 
BgL_valza2za2_11857 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)2)))); 
BgL_i1251z00_11858 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)3)))); 
BgL_bodyz00_11859 = 
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14215;
BgL_bpz00_14215 = 
VECTOR_REF(
((obj_t)BgL_sz00_11860),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11860, BgL_iboxesz00_11855, BgL_bpz00_14215); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11860, BgL_valza2za2_11857, 
(
(long)CINT(BgL_bpz00_14215)+BgL_siza7eza7_11856)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14216; obj_t BgL_wherez00_14217; obj_t BgL_locz00_14218;
BgL_z12denvz12_14216 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14217 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11858))->BgL_wherez00); 
BgL_locz00_14218 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11858))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14216, BgL_wherez00_14217, BgL_locz00_14218); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14219;
BgL_za2za2resza2za2z00_14219 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11859))(BgL_bodyz00_11859, BgL_sz00_11860, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14216); 
return BgL_za2za2resza2za2z00_14219;} } } } } } 

}



/* &<@anonymous:3481> */
obj_t BGl_z62zc3z04anonymousza33481ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11861, obj_t BgL_sz00_11865)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_11862; obj_t BgL_bodyz00_11863; long BgL_siza7ezd2framez75_11864;
BgL_i1251z00_11862 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11861, 
(int)(((long)0)))); 
BgL_bodyz00_11863 = 
PROCEDURE_REF(BgL_envz00_11861, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11864 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11861, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14220;
BgL_bpz00_14220 = 
VECTOR_REF(
((obj_t)BgL_sz00_11865),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14221;
BgL_runz00_14221 = 
MAKE_FX_PROCEDURE(BGl_z62run4148z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14221, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_11862)); 
PROCEDURE_SET(BgL_runz00_14221, 
(int)(((long)1)), BgL_bodyz00_11863); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14222;
BgL_mainz00_14222 = 
MAKE_FX_PROCEDURE(BGl_z62main4147z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_11862)); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)1)), BgL_bodyz00_11863); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)2)), BgL_runz00_14221); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11864)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14223;
BgL_objz00_14223 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14221, BgL_objz00_14223); BgL_objz00_14223; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3482z00_14224;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3483z00_14225;
BgL_arg3483z00_14225 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11862))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14226;
BgL_newz00_14226 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24430;
BgL_tmpz00_24430 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14226, BgL_tmpz00_24430, BgL_arg3483z00_14225); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24435; int BgL_tmpz00_24433;
BgL_auxz00_24435 = 
BINT(BgL_siza7ezd2framez75_11864); 
BgL_tmpz00_24433 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14226, BgL_tmpz00_24433, BgL_auxz00_24435); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24438;
BgL_tmpz00_24438 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14226, BgL_tmpz00_24438, BgL_runz00_14221); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24443; int BgL_tmpz00_24441;
BgL_auxz00_24443 = 
BINT(((long)4)); 
BgL_tmpz00_24441 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14226, BgL_tmpz00_24441, BgL_auxz00_24443); } 
BgL_arg3482z00_14224 = BgL_newz00_14226; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14222, BgL_arg3482z00_14224); BgL_arg3482z00_14224; } 
return BgL_mainz00_14222;} } } } } } 

}



/* &main4147 */
obj_t BGl_z62main4147z62zz__evaluate_compz00(obj_t BgL_envz00_11866, obj_t BgL_az00_11871, obj_t BgL_bz00_11872, obj_t BgL_cz00_11873, obj_t BgL_dz00_11874)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11869; long BgL_siza7ezd2framez75_11870;
BgL_runz00_11869 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11866, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11870 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11866, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14227;
BgL_sz00_14227 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14228;
BgL_bpz00_14228 = 
VECTOR_REF(
((obj_t)BgL_sz00_14227),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14227, BgL_bpz00_14228, 
BINT(BgL_siza7ezd2framez75_11870)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3486z00_14229;
BgL_arg3486z00_14229 = 
(
(long)CINT(BgL_bpz00_14228)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14227),BgL_arg3486z00_14229,BgL_az00_11871); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3487z00_14230;
BgL_arg3487z00_14230 = 
(
(long)CINT(BgL_bpz00_14228)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14227),BgL_arg3487z00_14230,BgL_bz00_11872); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3488z00_14231;
BgL_arg3488z00_14231 = 
(
(long)CINT(BgL_bpz00_14228)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14227),BgL_arg3488z00_14231,BgL_cz00_11873); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3489z00_14232;
BgL_arg3489z00_14232 = 
(
(long)CINT(BgL_bpz00_14228)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14227),BgL_arg3489z00_14232,BgL_dz00_11874); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14233;
BgL_ez00_14233 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14234;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14235;
BgL_arg3987z00_14235 = 
BGL_EXITD_PROTECT(BgL_ez00_14233); 
BgL_arg3986z00_14234 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14228, BgL_arg3987z00_14235); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14233, BgL_arg3986z00_14234); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14236;
BgL_accz00_14236 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11869, BgL_sz00_14227, BgL_bpz00_14228); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5027z00_24480;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14237;
BgL_arg3985z00_14237 = 
BGL_EXITD_PROTECT(BgL_ez00_14233); 
BgL_test5027z00_24480 = 
PAIRP(BgL_arg3985z00_14237); } 
if(BgL_test5027z00_24480)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14238;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14239;
BgL_arg3984z00_14239 = 
BGL_EXITD_PROTECT(BgL_ez00_14233); 
BgL_arg3983z00_14238 = 
CDR(
((obj_t)BgL_arg3984z00_14239)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14233, BgL_arg3983z00_14238); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14227),((long)0),BgL_bpz00_14228); 
return BgL_accz00_14236;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14240;
BgL_nsz00_14240 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14240,((long)1),BgL_sz00_14227); 
VECTOR_SET(BgL_nsz00_14240,((long)2),BgL_az00_11871); 
VECTOR_SET(BgL_nsz00_14240,((long)3),BgL_bz00_11872); 
VECTOR_SET(BgL_nsz00_14240,((long)4),BgL_cz00_11873); 
VECTOR_SET(BgL_nsz00_14240,((long)5),BgL_dz00_11874); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14241;
BgL_z12denvz12_14241 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14241, BgL_nsz00_14240); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14242;
BgL_ez00_14242 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14243;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14244;
BgL_arg3987z00_14244 = 
BGL_EXITD_PROTECT(BgL_ez00_14242); 
BgL_arg3986z00_14243 = 
MAKE_YOUNG_PAIR(BgL_sz00_14227, BgL_arg3987z00_14244); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14242, BgL_arg3986z00_14243); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14245;
BgL_____rz00_14245 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11869, BgL_nsz00_14240, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5028z00_24503;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14246;
BgL_arg3985z00_14246 = 
BGL_EXITD_PROTECT(BgL_ez00_14242); 
BgL_test5028z00_24503 = 
PAIRP(BgL_arg3985z00_14246); } 
if(BgL_test5028z00_24503)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14247;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14248;
BgL_arg3984z00_14248 = 
BGL_EXITD_PROTECT(BgL_ez00_14242); 
BgL_arg3983z00_14247 = 
CDR(
((obj_t)BgL_arg3984z00_14248)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14242, BgL_arg3983z00_14247); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14241, BgL_sz00_14227); 
return BgL_____rz00_14245;} } } } } } } } 

}



/* &run4148 */
obj_t BGl_z62run4148z62zz__evaluate_compz00(obj_t BgL_envz00_11875, obj_t BgL_sz00_11878)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_11876; obj_t BgL_bodyz00_11877;
BgL_i1251z00_11876 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11875, 
(int)(((long)0)))); 
BgL_bodyz00_11877 = 
PROCEDURE_REF(BgL_envz00_11875, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14249;
BgL_bpz00_14249 = 
VECTOR_REF(
((obj_t)BgL_sz00_11878),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14250; obj_t BgL_wherez00_14251; obj_t BgL_locz00_14252;
BgL_z12denvz12_14250 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14251 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11876))->BgL_wherez00); 
BgL_locz00_14252 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11876))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14250, BgL_wherez00_14251, BgL_locz00_14252); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14253;
BgL_za2za2resza2za2z00_14253 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11877))(BgL_bodyz00_11877, BgL_sz00_11878, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14250); 
return BgL_za2za2resza2za2z00_14253;} } } } } } 

}



/* &<@anonymous:3491> */
obj_t BGl_z62zc3z04anonymousza33491ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11879, obj_t BgL_sz00_11884)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11880; BgL_ev_absz00_bglt BgL_i1251z00_11881; obj_t BgL_bodyz00_11882; long BgL_siza7ezd2framez75_11883;
BgL_iboxesz00_11880 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)0)))); 
BgL_i1251z00_11881 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)1)))); 
BgL_bodyz00_11882 = 
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11883 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14254;
BgL_bpz00_14254 = 
VECTOR_REF(
((obj_t)BgL_sz00_11884),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14255;
BgL_runz00_14255 = 
MAKE_FX_PROCEDURE(BGl_z62run4150z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14255, 
(int)(((long)0)), BgL_iboxesz00_11880); 
PROCEDURE_SET(BgL_runz00_14255, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_11881)); 
PROCEDURE_SET(BgL_runz00_14255, 
(int)(((long)2)), BgL_bodyz00_11882); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14256;
BgL_mainz00_14256 = 
MAKE_FX_PROCEDURE(BGl_z62main4149z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14256, 
(int)(((long)0)), BgL_iboxesz00_11880); 
PROCEDURE_SET(BgL_mainz00_14256, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_11881)); 
PROCEDURE_SET(BgL_mainz00_14256, 
(int)(((long)2)), BgL_bodyz00_11882); 
PROCEDURE_SET(BgL_mainz00_14256, 
(int)(((long)3)), BgL_runz00_14255); 
PROCEDURE_SET(BgL_mainz00_14256, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11883)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14257;
BgL_objz00_14257 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14255, BgL_objz00_14257); BgL_objz00_14257; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3492z00_14258;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3493z00_14259;
BgL_arg3493z00_14259 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11881))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14260;
BgL_newz00_14260 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24569;
BgL_tmpz00_24569 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14260, BgL_tmpz00_24569, BgL_arg3493z00_14259); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24574; int BgL_tmpz00_24572;
BgL_auxz00_24574 = 
BINT(BgL_siza7ezd2framez75_11883); 
BgL_tmpz00_24572 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14260, BgL_tmpz00_24572, BgL_auxz00_24574); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24577;
BgL_tmpz00_24577 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14260, BgL_tmpz00_24577, BgL_runz00_14255); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24582; int BgL_tmpz00_24580;
BgL_auxz00_24582 = 
BINT(((long)4)); 
BgL_tmpz00_24580 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14260, BgL_tmpz00_24580, BgL_auxz00_24582); } 
BgL_arg3492z00_14258 = BgL_newz00_14260; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14256, BgL_arg3492z00_14258); BgL_arg3492z00_14258; } 
return BgL_mainz00_14256;} } } } } } 

}



/* &main4149 */
obj_t BGl_z62main4149z62zz__evaluate_compz00(obj_t BgL_envz00_11885, obj_t BgL_az00_11891, obj_t BgL_bz00_11892, obj_t BgL_cz00_11893, obj_t BgL_dz00_11894)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11889; long BgL_siza7ezd2framez75_11890;
BgL_runz00_11889 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11885, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11890 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11885, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14261;
BgL_sz00_14261 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14262;
BgL_bpz00_14262 = 
VECTOR_REF(
((obj_t)BgL_sz00_14261),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14261, BgL_bpz00_14262, 
BINT(BgL_siza7ezd2framez75_11890)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3496z00_14263;
BgL_arg3496z00_14263 = 
(
(long)CINT(BgL_bpz00_14262)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14261),BgL_arg3496z00_14263,BgL_az00_11891); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3497z00_14264;
BgL_arg3497z00_14264 = 
(
(long)CINT(BgL_bpz00_14262)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14261),BgL_arg3497z00_14264,BgL_bz00_11892); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3498z00_14265;
BgL_arg3498z00_14265 = 
(
(long)CINT(BgL_bpz00_14262)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14261),BgL_arg3498z00_14265,BgL_cz00_11893); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3499z00_14266;
BgL_arg3499z00_14266 = 
(
(long)CINT(BgL_bpz00_14262)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14261),BgL_arg3499z00_14266,BgL_dz00_11894); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14267;
BgL_ez00_14267 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14268;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14269;
BgL_arg3987z00_14269 = 
BGL_EXITD_PROTECT(BgL_ez00_14267); 
BgL_arg3986z00_14268 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14262, BgL_arg3987z00_14269); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14267, BgL_arg3986z00_14268); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14270;
BgL_accz00_14270 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11889, BgL_sz00_14261, BgL_bpz00_14262); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5030z00_24619;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14271;
BgL_arg3985z00_14271 = 
BGL_EXITD_PROTECT(BgL_ez00_14267); 
BgL_test5030z00_24619 = 
PAIRP(BgL_arg3985z00_14271); } 
if(BgL_test5030z00_24619)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14272;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14273;
BgL_arg3984z00_14273 = 
BGL_EXITD_PROTECT(BgL_ez00_14267); 
BgL_arg3983z00_14272 = 
CDR(
((obj_t)BgL_arg3984z00_14273)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14267, BgL_arg3983z00_14272); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14261),((long)0),BgL_bpz00_14262); 
return BgL_accz00_14270;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14274;
BgL_nsz00_14274 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14274,((long)1),BgL_sz00_14261); 
VECTOR_SET(BgL_nsz00_14274,((long)2),BgL_az00_11891); 
VECTOR_SET(BgL_nsz00_14274,((long)3),BgL_bz00_11892); 
VECTOR_SET(BgL_nsz00_14274,((long)4),BgL_cz00_11893); 
VECTOR_SET(BgL_nsz00_14274,((long)5),BgL_dz00_11894); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14275;
BgL_z12denvz12_14275 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14275, BgL_nsz00_14274); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14276;
BgL_ez00_14276 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14277;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14278;
BgL_arg3987z00_14278 = 
BGL_EXITD_PROTECT(BgL_ez00_14276); 
BgL_arg3986z00_14277 = 
MAKE_YOUNG_PAIR(BgL_sz00_14261, BgL_arg3987z00_14278); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14276, BgL_arg3986z00_14277); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14279;
BgL_____rz00_14279 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11889, BgL_nsz00_14274, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5031z00_24642;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14280;
BgL_arg3985z00_14280 = 
BGL_EXITD_PROTECT(BgL_ez00_14276); 
BgL_test5031z00_24642 = 
PAIRP(BgL_arg3985z00_14280); } 
if(BgL_test5031z00_24642)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14281;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14282;
BgL_arg3984z00_14282 = 
BGL_EXITD_PROTECT(BgL_ez00_14276); 
BgL_arg3983z00_14281 = 
CDR(
((obj_t)BgL_arg3984z00_14282)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14276, BgL_arg3983z00_14281); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14275, BgL_sz00_14261); 
return BgL_____rz00_14279;} } } } } } } } 

}



/* &run4150 */
obj_t BGl_z62run4150z62zz__evaluate_compz00(obj_t BgL_envz00_11895, obj_t BgL_sz00_11899)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11896; BgL_ev_absz00_bglt BgL_i1251z00_11897; obj_t BgL_bodyz00_11898;
BgL_iboxesz00_11896 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11895, 
(int)(((long)0)))); 
BgL_i1251z00_11897 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11895, 
(int)(((long)1)))); 
BgL_bodyz00_11898 = 
PROCEDURE_REF(BgL_envz00_11895, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14283;
BgL_bpz00_14283 = 
VECTOR_REF(
((obj_t)BgL_sz00_11899),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11899, BgL_iboxesz00_11896, BgL_bpz00_14283); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14284; obj_t BgL_wherez00_14285; obj_t BgL_locz00_14286;
BgL_z12denvz12_14284 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14285 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11897))->BgL_wherez00); 
BgL_locz00_14286 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11897))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14284, BgL_wherez00_14285, BgL_locz00_14286); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14287;
BgL_za2za2resza2za2z00_14287 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11898))(BgL_bodyz00_11898, BgL_sz00_11899, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14284); 
return BgL_za2za2resza2za2z00_14287;} } } } } } 

}



/* &<@anonymous:3504> */
obj_t BGl_z62zc3z04anonymousza33504ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11900, obj_t BgL_sz00_11906)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11901; long BgL_siza7eza7_11902; BgL_ev_absz00_bglt BgL_i1251z00_11903; obj_t BgL_bodyz00_11904; long BgL_siza7ezd2framez75_11905;
BgL_ifreesz00_11901 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11900, 
(int)(((long)0)))); 
BgL_siza7eza7_11902 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11900, 
(int)(((long)1)))); 
BgL_i1251z00_11903 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11900, 
(int)(((long)2)))); 
BgL_bodyz00_11904 = 
PROCEDURE_REF(BgL_envz00_11900, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11905 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11900, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14288;
BgL_bpz00_14288 = 
VECTOR_REF(
((obj_t)BgL_sz00_11906),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14289;
BgL_valza2za2_14289 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11906, BgL_bpz00_14288, BgL_ifreesz00_11901); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14290;
BgL_runz00_14290 = 
MAKE_FX_PROCEDURE(BGl_z62run4152z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14290, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11902)); 
PROCEDURE_SET(BgL_runz00_14290, 
(int)(((long)1)), BgL_valza2za2_14289); 
PROCEDURE_SET(BgL_runz00_14290, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_11903)); 
PROCEDURE_SET(BgL_runz00_14290, 
(int)(((long)3)), BgL_bodyz00_11904); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14291;
BgL_mainz00_14291 = 
MAKE_FX_PROCEDURE(BGl_z62main4151z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14291, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11902)); 
PROCEDURE_SET(BgL_mainz00_14291, 
(int)(((long)1)), BgL_valza2za2_14289); 
PROCEDURE_SET(BgL_mainz00_14291, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_11903)); 
PROCEDURE_SET(BgL_mainz00_14291, 
(int)(((long)3)), BgL_bodyz00_11904); 
PROCEDURE_SET(BgL_mainz00_14291, 
(int)(((long)4)), BgL_runz00_14290); 
PROCEDURE_SET(BgL_mainz00_14291, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11905)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14292;
BgL_objz00_14292 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14290, BgL_objz00_14292); BgL_objz00_14292; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3505z00_14293;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3506z00_14294;
BgL_arg3506z00_14294 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11903))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14295;
BgL_newz00_14295 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24722;
BgL_tmpz00_24722 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14295, BgL_tmpz00_24722, BgL_arg3506z00_14294); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24727; int BgL_tmpz00_24725;
BgL_auxz00_24727 = 
BINT(BgL_siza7ezd2framez75_11905); 
BgL_tmpz00_24725 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14295, BgL_tmpz00_24725, BgL_auxz00_24727); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24730;
BgL_tmpz00_24730 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14295, BgL_tmpz00_24730, BgL_runz00_14290); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24735; int BgL_tmpz00_24733;
BgL_auxz00_24735 = 
BINT(((long)4)); 
BgL_tmpz00_24733 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14295, BgL_tmpz00_24733, BgL_auxz00_24735); } 
BgL_arg3505z00_14293 = BgL_newz00_14295; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14291, BgL_arg3505z00_14293); BgL_arg3505z00_14293; } 
return BgL_mainz00_14291;} } } } } } 

}



/* &main4151 */
obj_t BGl_z62main4151z62zz__evaluate_compz00(obj_t BgL_envz00_11907, obj_t BgL_az00_11914, obj_t BgL_bz00_11915, obj_t BgL_cz00_11916, obj_t BgL_dz00_11917)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11912; long BgL_siza7ezd2framez75_11913;
BgL_runz00_11912 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11907, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11913 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11907, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14296;
BgL_sz00_14296 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14297;
BgL_bpz00_14297 = 
VECTOR_REF(
((obj_t)BgL_sz00_14296),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14296, BgL_bpz00_14297, 
BINT(BgL_siza7ezd2framez75_11913)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3509z00_14298;
BgL_arg3509z00_14298 = 
(
(long)CINT(BgL_bpz00_14297)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14296),BgL_arg3509z00_14298,BgL_az00_11914); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3510z00_14299;
BgL_arg3510z00_14299 = 
(
(long)CINT(BgL_bpz00_14297)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14296),BgL_arg3510z00_14299,BgL_bz00_11915); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3511z00_14300;
BgL_arg3511z00_14300 = 
(
(long)CINT(BgL_bpz00_14297)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14296),BgL_arg3511z00_14300,BgL_cz00_11916); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3512z00_14301;
BgL_arg3512z00_14301 = 
(
(long)CINT(BgL_bpz00_14297)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14296),BgL_arg3512z00_14301,BgL_dz00_11917); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14302;
BgL_ez00_14302 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14303;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14304;
BgL_arg3987z00_14304 = 
BGL_EXITD_PROTECT(BgL_ez00_14302); 
BgL_arg3986z00_14303 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14297, BgL_arg3987z00_14304); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14302, BgL_arg3986z00_14303); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14305;
BgL_accz00_14305 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11912, BgL_sz00_14296, BgL_bpz00_14297); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5033z00_24772;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14306;
BgL_arg3985z00_14306 = 
BGL_EXITD_PROTECT(BgL_ez00_14302); 
BgL_test5033z00_24772 = 
PAIRP(BgL_arg3985z00_14306); } 
if(BgL_test5033z00_24772)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14307;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14308;
BgL_arg3984z00_14308 = 
BGL_EXITD_PROTECT(BgL_ez00_14302); 
BgL_arg3983z00_14307 = 
CDR(
((obj_t)BgL_arg3984z00_14308)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14302, BgL_arg3983z00_14307); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14296),((long)0),BgL_bpz00_14297); 
return BgL_accz00_14305;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14309;
BgL_nsz00_14309 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14309,((long)1),BgL_sz00_14296); 
VECTOR_SET(BgL_nsz00_14309,((long)2),BgL_az00_11914); 
VECTOR_SET(BgL_nsz00_14309,((long)3),BgL_bz00_11915); 
VECTOR_SET(BgL_nsz00_14309,((long)4),BgL_cz00_11916); 
VECTOR_SET(BgL_nsz00_14309,((long)5),BgL_dz00_11917); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14310;
BgL_z12denvz12_14310 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14310, BgL_nsz00_14309); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14311;
BgL_ez00_14311 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14312;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14313;
BgL_arg3987z00_14313 = 
BGL_EXITD_PROTECT(BgL_ez00_14311); 
BgL_arg3986z00_14312 = 
MAKE_YOUNG_PAIR(BgL_sz00_14296, BgL_arg3987z00_14313); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14311, BgL_arg3986z00_14312); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14314;
BgL_____rz00_14314 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11912, BgL_nsz00_14309, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5034z00_24795;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14315;
BgL_arg3985z00_14315 = 
BGL_EXITD_PROTECT(BgL_ez00_14311); 
BgL_test5034z00_24795 = 
PAIRP(BgL_arg3985z00_14315); } 
if(BgL_test5034z00_24795)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14316;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14317;
BgL_arg3984z00_14317 = 
BGL_EXITD_PROTECT(BgL_ez00_14311); 
BgL_arg3983z00_14316 = 
CDR(
((obj_t)BgL_arg3984z00_14317)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14311, BgL_arg3983z00_14316); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14310, BgL_sz00_14296); 
return BgL_____rz00_14314;} } } } } } } } 

}



/* &run4152 */
obj_t BGl_z62run4152z62zz__evaluate_compz00(obj_t BgL_envz00_11918, obj_t BgL_sz00_11923)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_11919; obj_t BgL_valza2za2_11920; BgL_ev_absz00_bglt BgL_i1251z00_11921; obj_t BgL_bodyz00_11922;
BgL_siza7eza7_11919 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11918, 
(int)(((long)0)))); 
BgL_valza2za2_11920 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11918, 
(int)(((long)1)))); 
BgL_i1251z00_11921 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11918, 
(int)(((long)2)))); 
BgL_bodyz00_11922 = 
PROCEDURE_REF(BgL_envz00_11918, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14318;
BgL_bpz00_14318 = 
VECTOR_REF(
((obj_t)BgL_sz00_11923),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11923, BgL_valza2za2_11920, 
(
(long)CINT(BgL_bpz00_14318)+BgL_siza7eza7_11919)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14319; obj_t BgL_wherez00_14320; obj_t BgL_locz00_14321;
BgL_z12denvz12_14319 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14320 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11921))->BgL_wherez00); 
BgL_locz00_14321 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11921))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14319, BgL_wherez00_14320, BgL_locz00_14321); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14322;
BgL_za2za2resza2za2z00_14322 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11922))(BgL_bodyz00_11922, BgL_sz00_11923, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14319); 
return BgL_za2za2resza2za2z00_14322;} } } } } } 

}



/* &<@anonymous:3515> */
obj_t BGl_z62zc3z04anonymousza33515ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11924, obj_t BgL_sz00_11931)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11925; obj_t BgL_iboxesz00_11926; long BgL_siza7eza7_11927; BgL_ev_absz00_bglt BgL_i1251z00_11928; obj_t BgL_bodyz00_11929; long BgL_siza7ezd2framez75_11930;
BgL_ifreesz00_11925 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)0)))); 
BgL_iboxesz00_11926 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)1)))); 
BgL_siza7eza7_11927 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)2)))); 
BgL_i1251z00_11928 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)3)))); 
BgL_bodyz00_11929 = 
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11930 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11924, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14323;
BgL_bpz00_14323 = 
VECTOR_REF(
((obj_t)BgL_sz00_11931),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14324;
BgL_valza2za2_14324 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11931, BgL_bpz00_14323, BgL_ifreesz00_11925); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14325;
BgL_runz00_14325 = 
MAKE_FX_PROCEDURE(BGl_z62run4154z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14325, 
(int)(((long)0)), BgL_iboxesz00_11926); 
PROCEDURE_SET(BgL_runz00_14325, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11927)); 
PROCEDURE_SET(BgL_runz00_14325, 
(int)(((long)2)), BgL_valza2za2_14324); 
PROCEDURE_SET(BgL_runz00_14325, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_11928)); 
PROCEDURE_SET(BgL_runz00_14325, 
(int)(((long)4)), BgL_bodyz00_11929); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14326;
BgL_mainz00_14326 = 
MAKE_FX_PROCEDURE(BGl_z62main4153z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14326, 
(int)(((long)0)), BgL_iboxesz00_11926); 
PROCEDURE_SET(BgL_mainz00_14326, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11927)); 
PROCEDURE_SET(BgL_mainz00_14326, 
(int)(((long)2)), BgL_valza2za2_14324); 
PROCEDURE_SET(BgL_mainz00_14326, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_11928)); 
PROCEDURE_SET(BgL_mainz00_14326, 
(int)(((long)4)), BgL_bodyz00_11929); 
PROCEDURE_SET(BgL_mainz00_14326, 
(int)(((long)5)), BgL_runz00_14325); 
PROCEDURE_SET(BgL_mainz00_14326, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11930)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14327;
BgL_objz00_14327 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14325, BgL_objz00_14327); BgL_objz00_14327; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3516z00_14328;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3517z00_14329;
BgL_arg3517z00_14329 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11928))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14330;
BgL_newz00_14330 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24887;
BgL_tmpz00_24887 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14330, BgL_tmpz00_24887, BgL_arg3517z00_14329); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24892; int BgL_tmpz00_24890;
BgL_auxz00_24892 = 
BINT(BgL_siza7ezd2framez75_11930); 
BgL_tmpz00_24890 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14330, BgL_tmpz00_24890, BgL_auxz00_24892); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24895;
BgL_tmpz00_24895 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14330, BgL_tmpz00_24895, BgL_runz00_14325); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24900; int BgL_tmpz00_24898;
BgL_auxz00_24900 = 
BINT(((long)4)); 
BgL_tmpz00_24898 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14330, BgL_tmpz00_24898, BgL_auxz00_24900); } 
BgL_arg3516z00_14328 = BgL_newz00_14330; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14326, BgL_arg3516z00_14328); BgL_arg3516z00_14328; } 
return BgL_mainz00_14326;} } } } } } 

}



/* &main4153 */
obj_t BGl_z62main4153z62zz__evaluate_compz00(obj_t BgL_envz00_11932, obj_t BgL_az00_11940, obj_t BgL_bz00_11941, obj_t BgL_cz00_11942, obj_t BgL_dz00_11943)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11938; long BgL_siza7ezd2framez75_11939;
BgL_runz00_11938 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11939 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14331;
BgL_sz00_14331 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14332;
BgL_bpz00_14332 = 
VECTOR_REF(
((obj_t)BgL_sz00_14331),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14331, BgL_bpz00_14332, 
BINT(BgL_siza7ezd2framez75_11939)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3520z00_14333;
BgL_arg3520z00_14333 = 
(
(long)CINT(BgL_bpz00_14332)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14331),BgL_arg3520z00_14333,BgL_az00_11940); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3521z00_14334;
BgL_arg3521z00_14334 = 
(
(long)CINT(BgL_bpz00_14332)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14331),BgL_arg3521z00_14334,BgL_bz00_11941); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3522z00_14335;
BgL_arg3522z00_14335 = 
(
(long)CINT(BgL_bpz00_14332)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14331),BgL_arg3522z00_14335,BgL_cz00_11942); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3523z00_14336;
BgL_arg3523z00_14336 = 
(
(long)CINT(BgL_bpz00_14332)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14331),BgL_arg3523z00_14336,BgL_dz00_11943); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14337;
BgL_ez00_14337 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14338;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14339;
BgL_arg3987z00_14339 = 
BGL_EXITD_PROTECT(BgL_ez00_14337); 
BgL_arg3986z00_14338 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14332, BgL_arg3987z00_14339); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14337, BgL_arg3986z00_14338); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14340;
BgL_accz00_14340 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11938, BgL_sz00_14331, BgL_bpz00_14332); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5036z00_24937;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14341;
BgL_arg3985z00_14341 = 
BGL_EXITD_PROTECT(BgL_ez00_14337); 
BgL_test5036z00_24937 = 
PAIRP(BgL_arg3985z00_14341); } 
if(BgL_test5036z00_24937)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14342;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14343;
BgL_arg3984z00_14343 = 
BGL_EXITD_PROTECT(BgL_ez00_14337); 
BgL_arg3983z00_14342 = 
CDR(
((obj_t)BgL_arg3984z00_14343)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14337, BgL_arg3983z00_14342); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14331),((long)0),BgL_bpz00_14332); 
return BgL_accz00_14340;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14344;
BgL_nsz00_14344 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14344,((long)1),BgL_sz00_14331); 
VECTOR_SET(BgL_nsz00_14344,((long)2),BgL_az00_11940); 
VECTOR_SET(BgL_nsz00_14344,((long)3),BgL_bz00_11941); 
VECTOR_SET(BgL_nsz00_14344,((long)4),BgL_cz00_11942); 
VECTOR_SET(BgL_nsz00_14344,((long)5),BgL_dz00_11943); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14345;
BgL_z12denvz12_14345 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14345, BgL_nsz00_14344); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14346;
BgL_ez00_14346 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14347;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14348;
BgL_arg3987z00_14348 = 
BGL_EXITD_PROTECT(BgL_ez00_14346); 
BgL_arg3986z00_14347 = 
MAKE_YOUNG_PAIR(BgL_sz00_14331, BgL_arg3987z00_14348); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14346, BgL_arg3986z00_14347); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14349;
BgL_____rz00_14349 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11938, BgL_nsz00_14344, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5037z00_24960;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14350;
BgL_arg3985z00_14350 = 
BGL_EXITD_PROTECT(BgL_ez00_14346); 
BgL_test5037z00_24960 = 
PAIRP(BgL_arg3985z00_14350); } 
if(BgL_test5037z00_24960)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14351;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14352;
BgL_arg3984z00_14352 = 
BGL_EXITD_PROTECT(BgL_ez00_14346); 
BgL_arg3983z00_14351 = 
CDR(
((obj_t)BgL_arg3984z00_14352)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14346, BgL_arg3983z00_14351); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14345, BgL_sz00_14331); 
return BgL_____rz00_14349;} } } } } } } } 

}



/* &run4154 */
obj_t BGl_z62run4154z62zz__evaluate_compz00(obj_t BgL_envz00_11944, obj_t BgL_sz00_11950)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11945; long BgL_siza7eza7_11946; obj_t BgL_valza2za2_11947; BgL_ev_absz00_bglt BgL_i1251z00_11948; obj_t BgL_bodyz00_11949;
BgL_iboxesz00_11945 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11944, 
(int)(((long)0)))); 
BgL_siza7eza7_11946 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11944, 
(int)(((long)1)))); 
BgL_valza2za2_11947 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11944, 
(int)(((long)2)))); 
BgL_i1251z00_11948 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11944, 
(int)(((long)3)))); 
BgL_bodyz00_11949 = 
PROCEDURE_REF(BgL_envz00_11944, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14353;
BgL_bpz00_14353 = 
VECTOR_REF(
((obj_t)BgL_sz00_11950),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11950, BgL_iboxesz00_11945, BgL_bpz00_14353); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11950, BgL_valza2za2_11947, 
(
(long)CINT(BgL_bpz00_14353)+BgL_siza7eza7_11946)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14354; obj_t BgL_wherez00_14355; obj_t BgL_locz00_14356;
BgL_z12denvz12_14354 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14355 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11948))->BgL_wherez00); 
BgL_locz00_14356 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11948))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14354, BgL_wherez00_14355, BgL_locz00_14356); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14357;
BgL_za2za2resza2za2z00_14357 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11949))(BgL_bodyz00_11949, BgL_sz00_11950, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14354); 
return BgL_za2za2resza2za2z00_14357;} } } } } } 

}



/* &<@anonymous:3430> */
obj_t BGl_z62zc3z04anonymousza33430ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11951, obj_t BgL_sz00_11955)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_11952; obj_t BgL_bodyz00_11953; long BgL_siza7ezd2framez75_11954;
BgL_i1251z00_11952 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11951, 
(int)(((long)0)))); 
BgL_bodyz00_11953 = 
PROCEDURE_REF(BgL_envz00_11951, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11954 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11951, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14358;
BgL_bpz00_14358 = 
VECTOR_REF(
((obj_t)BgL_sz00_11955),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14359;
BgL_runz00_14359 = 
MAKE_FX_PROCEDURE(BGl_z62run4156z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14359, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_11952)); 
PROCEDURE_SET(BgL_runz00_14359, 
(int)(((long)1)), BgL_bodyz00_11953); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14360;
BgL_mainz00_14360 = 
MAKE_VA_PROCEDURE(BGl_z62main4155z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14360, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_11952)); 
PROCEDURE_SET(BgL_mainz00_14360, 
(int)(((long)1)), BgL_bodyz00_11953); 
PROCEDURE_SET(BgL_mainz00_14360, 
(int)(((long)2)), BgL_runz00_14359); 
PROCEDURE_SET(BgL_mainz00_14360, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11954)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14361;
BgL_objz00_14361 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14359, BgL_objz00_14361); BgL_objz00_14361; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3431z00_14362;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3432z00_14363;
BgL_arg3432z00_14363 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11952))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14364;
BgL_newz00_14364 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25032;
BgL_tmpz00_25032 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14364, BgL_tmpz00_25032, BgL_arg3432z00_14363); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25037; int BgL_tmpz00_25035;
BgL_auxz00_25037 = 
BINT(BgL_siza7ezd2framez75_11954); 
BgL_tmpz00_25035 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14364, BgL_tmpz00_25035, BgL_auxz00_25037); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25040;
BgL_tmpz00_25040 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14364, BgL_tmpz00_25040, BgL_runz00_14359); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25045; int BgL_tmpz00_25043;
BgL_auxz00_25045 = 
BINT(((long)-4)); 
BgL_tmpz00_25043 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14364, BgL_tmpz00_25043, BgL_auxz00_25045); } 
BgL_arg3431z00_14362 = BgL_newz00_14364; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14360, BgL_arg3431z00_14362); BgL_arg3431z00_14362; } 
return BgL_mainz00_14360;} } } } } } 

}



/* &main4155 */
obj_t BGl_z62main4155z62zz__evaluate_compz00(obj_t BgL_envz00_11956, obj_t BgL_bz00_11961, obj_t BgL_cz00_11962, obj_t BgL_dz00_11963, obj_t BgL_lastz00_11964)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11959; long BgL_siza7ezd2framez75_11960;
BgL_runz00_11959 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11960 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14365;
BgL_sz00_14365 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14366;
BgL_bpz00_14366 = 
VECTOR_REF(
((obj_t)BgL_sz00_14365),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14365, BgL_bpz00_14366, 
BINT(BgL_siza7ezd2framez75_11960)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3435z00_14367;
BgL_arg3435z00_14367 = 
(
(long)CINT(BgL_bpz00_14366)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14365),BgL_arg3435z00_14367,BgL_bz00_11961); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3436z00_14368;
BgL_arg3436z00_14368 = 
(
(long)CINT(BgL_bpz00_14366)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14365),BgL_arg3436z00_14368,BgL_cz00_11962); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3437z00_14369;
BgL_arg3437z00_14369 = 
(
(long)CINT(BgL_bpz00_14366)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14365),BgL_arg3437z00_14369,BgL_dz00_11963); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3438z00_14370;
BgL_arg3438z00_14370 = 
(
(long)CINT(BgL_bpz00_14366)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14365),BgL_arg3438z00_14370,BgL_lastz00_11964); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14371;
BgL_ez00_14371 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14372;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14373;
BgL_arg3987z00_14373 = 
BGL_EXITD_PROTECT(BgL_ez00_14371); 
BgL_arg3986z00_14372 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14366, BgL_arg3987z00_14373); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14371, BgL_arg3986z00_14372); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14374;
BgL_accz00_14374 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11959, BgL_sz00_14365, BgL_bpz00_14366); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5039z00_25082;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14375;
BgL_arg3985z00_14375 = 
BGL_EXITD_PROTECT(BgL_ez00_14371); 
BgL_test5039z00_25082 = 
PAIRP(BgL_arg3985z00_14375); } 
if(BgL_test5039z00_25082)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14376;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14377;
BgL_arg3984z00_14377 = 
BGL_EXITD_PROTECT(BgL_ez00_14371); 
BgL_arg3983z00_14376 = 
CDR(
((obj_t)BgL_arg3984z00_14377)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14371, BgL_arg3983z00_14376); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14365),((long)0),BgL_bpz00_14366); 
return BgL_accz00_14374;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14378;
BgL_nsz00_14378 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14378,((long)1),BgL_sz00_14365); 
VECTOR_SET(BgL_nsz00_14378,((long)2),BgL_bz00_11961); 
VECTOR_SET(BgL_nsz00_14378,((long)3),BgL_cz00_11962); 
VECTOR_SET(BgL_nsz00_14378,((long)4),BgL_dz00_11963); 
VECTOR_SET(BgL_nsz00_14378,((long)5),BgL_lastz00_11964); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14379;
BgL_z12denvz12_14379 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14379, BgL_nsz00_14378); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14380;
BgL_ez00_14380 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14381;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14382;
BgL_arg3987z00_14382 = 
BGL_EXITD_PROTECT(BgL_ez00_14380); 
BgL_arg3986z00_14381 = 
MAKE_YOUNG_PAIR(BgL_sz00_14365, BgL_arg3987z00_14382); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14380, BgL_arg3986z00_14381); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14383;
BgL_____rz00_14383 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11959, BgL_nsz00_14378, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5040z00_25105;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14384;
BgL_arg3985z00_14384 = 
BGL_EXITD_PROTECT(BgL_ez00_14380); 
BgL_test5040z00_25105 = 
PAIRP(BgL_arg3985z00_14384); } 
if(BgL_test5040z00_25105)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14385;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14386;
BgL_arg3984z00_14386 = 
BGL_EXITD_PROTECT(BgL_ez00_14380); 
BgL_arg3983z00_14385 = 
CDR(
((obj_t)BgL_arg3984z00_14386)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14380, BgL_arg3983z00_14385); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14379, BgL_sz00_14365); 
return BgL_____rz00_14383;} } } } } } } } 

}



/* &run4156 */
obj_t BGl_z62run4156z62zz__evaluate_compz00(obj_t BgL_envz00_11965, obj_t BgL_sz00_11968)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_11966; obj_t BgL_bodyz00_11967;
BgL_i1251z00_11966 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11965, 
(int)(((long)0)))); 
BgL_bodyz00_11967 = 
PROCEDURE_REF(BgL_envz00_11965, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14387;
BgL_bpz00_14387 = 
VECTOR_REF(
((obj_t)BgL_sz00_11968),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14388; obj_t BgL_wherez00_14389; obj_t BgL_locz00_14390;
BgL_z12denvz12_14388 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14389 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11966))->BgL_wherez00); 
BgL_locz00_14390 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11966))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14388, BgL_wherez00_14389, BgL_locz00_14390); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14391;
BgL_za2za2resza2za2z00_14391 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11967))(BgL_bodyz00_11967, BgL_sz00_11968, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14388); 
return BgL_za2za2resza2za2z00_14391;} } } } } } 

}



/* &<@anonymous:3440> */
obj_t BGl_z62zc3z04anonymousza33440ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11969, obj_t BgL_sz00_11974)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11970; BgL_ev_absz00_bglt BgL_i1251z00_11971; obj_t BgL_bodyz00_11972; long BgL_siza7ezd2framez75_11973;
BgL_iboxesz00_11970 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)0)))); 
BgL_i1251z00_11971 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)1)))); 
BgL_bodyz00_11972 = 
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11973 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14392;
BgL_bpz00_14392 = 
VECTOR_REF(
((obj_t)BgL_sz00_11974),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14393;
BgL_runz00_14393 = 
MAKE_FX_PROCEDURE(BGl_z62run4158z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14393, 
(int)(((long)0)), BgL_iboxesz00_11970); 
PROCEDURE_SET(BgL_runz00_14393, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_11971)); 
PROCEDURE_SET(BgL_runz00_14393, 
(int)(((long)2)), BgL_bodyz00_11972); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14394;
BgL_mainz00_14394 = 
MAKE_VA_PROCEDURE(BGl_z62main4157z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14394, 
(int)(((long)0)), BgL_iboxesz00_11970); 
PROCEDURE_SET(BgL_mainz00_14394, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_11971)); 
PROCEDURE_SET(BgL_mainz00_14394, 
(int)(((long)2)), BgL_bodyz00_11972); 
PROCEDURE_SET(BgL_mainz00_14394, 
(int)(((long)3)), BgL_runz00_14393); 
PROCEDURE_SET(BgL_mainz00_14394, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11973)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14395;
BgL_objz00_14395 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14393, BgL_objz00_14395); BgL_objz00_14395; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3441z00_14396;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3442z00_14397;
BgL_arg3442z00_14397 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11971))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14398;
BgL_newz00_14398 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25171;
BgL_tmpz00_25171 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14398, BgL_tmpz00_25171, BgL_arg3442z00_14397); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25176; int BgL_tmpz00_25174;
BgL_auxz00_25176 = 
BINT(BgL_siza7ezd2framez75_11973); 
BgL_tmpz00_25174 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14398, BgL_tmpz00_25174, BgL_auxz00_25176); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25179;
BgL_tmpz00_25179 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14398, BgL_tmpz00_25179, BgL_runz00_14393); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25184; int BgL_tmpz00_25182;
BgL_auxz00_25184 = 
BINT(((long)-4)); 
BgL_tmpz00_25182 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14398, BgL_tmpz00_25182, BgL_auxz00_25184); } 
BgL_arg3441z00_14396 = BgL_newz00_14398; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14394, BgL_arg3441z00_14396); BgL_arg3441z00_14396; } 
return BgL_mainz00_14394;} } } } } } 

}



/* &main4157 */
obj_t BGl_z62main4157z62zz__evaluate_compz00(obj_t BgL_envz00_11975, obj_t BgL_bz00_11981, obj_t BgL_cz00_11982, obj_t BgL_dz00_11983, obj_t BgL_lastz00_11984)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11979; long BgL_siza7ezd2framez75_11980;
BgL_runz00_11979 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11975, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11980 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11975, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14399;
BgL_sz00_14399 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14400;
BgL_bpz00_14400 = 
VECTOR_REF(
((obj_t)BgL_sz00_14399),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14399, BgL_bpz00_14400, 
BINT(BgL_siza7ezd2framez75_11980)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3445z00_14401;
BgL_arg3445z00_14401 = 
(
(long)CINT(BgL_bpz00_14400)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14399),BgL_arg3445z00_14401,BgL_bz00_11981); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3446z00_14402;
BgL_arg3446z00_14402 = 
(
(long)CINT(BgL_bpz00_14400)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14399),BgL_arg3446z00_14402,BgL_cz00_11982); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3447z00_14403;
BgL_arg3447z00_14403 = 
(
(long)CINT(BgL_bpz00_14400)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14399),BgL_arg3447z00_14403,BgL_dz00_11983); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3448z00_14404;
BgL_arg3448z00_14404 = 
(
(long)CINT(BgL_bpz00_14400)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14399),BgL_arg3448z00_14404,BgL_lastz00_11984); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14405;
BgL_ez00_14405 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14406;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14407;
BgL_arg3987z00_14407 = 
BGL_EXITD_PROTECT(BgL_ez00_14405); 
BgL_arg3986z00_14406 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14400, BgL_arg3987z00_14407); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14405, BgL_arg3986z00_14406); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14408;
BgL_accz00_14408 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11979, BgL_sz00_14399, BgL_bpz00_14400); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5042z00_25221;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14409;
BgL_arg3985z00_14409 = 
BGL_EXITD_PROTECT(BgL_ez00_14405); 
BgL_test5042z00_25221 = 
PAIRP(BgL_arg3985z00_14409); } 
if(BgL_test5042z00_25221)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14410;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14411;
BgL_arg3984z00_14411 = 
BGL_EXITD_PROTECT(BgL_ez00_14405); 
BgL_arg3983z00_14410 = 
CDR(
((obj_t)BgL_arg3984z00_14411)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14405, BgL_arg3983z00_14410); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14399),((long)0),BgL_bpz00_14400); 
return BgL_accz00_14408;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14412;
BgL_nsz00_14412 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14412,((long)1),BgL_sz00_14399); 
VECTOR_SET(BgL_nsz00_14412,((long)2),BgL_bz00_11981); 
VECTOR_SET(BgL_nsz00_14412,((long)3),BgL_cz00_11982); 
VECTOR_SET(BgL_nsz00_14412,((long)4),BgL_dz00_11983); 
VECTOR_SET(BgL_nsz00_14412,((long)5),BgL_lastz00_11984); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14413;
BgL_z12denvz12_14413 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14413, BgL_nsz00_14412); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14414;
BgL_ez00_14414 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14415;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14416;
BgL_arg3987z00_14416 = 
BGL_EXITD_PROTECT(BgL_ez00_14414); 
BgL_arg3986z00_14415 = 
MAKE_YOUNG_PAIR(BgL_sz00_14399, BgL_arg3987z00_14416); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14414, BgL_arg3986z00_14415); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14417;
BgL_____rz00_14417 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11979, BgL_nsz00_14412, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5043z00_25244;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14418;
BgL_arg3985z00_14418 = 
BGL_EXITD_PROTECT(BgL_ez00_14414); 
BgL_test5043z00_25244 = 
PAIRP(BgL_arg3985z00_14418); } 
if(BgL_test5043z00_25244)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14419;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14420;
BgL_arg3984z00_14420 = 
BGL_EXITD_PROTECT(BgL_ez00_14414); 
BgL_arg3983z00_14419 = 
CDR(
((obj_t)BgL_arg3984z00_14420)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14414, BgL_arg3983z00_14419); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14413, BgL_sz00_14399); 
return BgL_____rz00_14417;} } } } } } } } 

}



/* &run4158 */
obj_t BGl_z62run4158z62zz__evaluate_compz00(obj_t BgL_envz00_11985, obj_t BgL_sz00_11989)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11986; BgL_ev_absz00_bglt BgL_i1251z00_11987; obj_t BgL_bodyz00_11988;
BgL_iboxesz00_11986 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11985, 
(int)(((long)0)))); 
BgL_i1251z00_11987 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11985, 
(int)(((long)1)))); 
BgL_bodyz00_11988 = 
PROCEDURE_REF(BgL_envz00_11985, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14421;
BgL_bpz00_14421 = 
VECTOR_REF(
((obj_t)BgL_sz00_11989),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11989, BgL_iboxesz00_11986, BgL_bpz00_14421); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14422; obj_t BgL_wherez00_14423; obj_t BgL_locz00_14424;
BgL_z12denvz12_14422 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14423 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11987))->BgL_wherez00); 
BgL_locz00_14424 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11987))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14422, BgL_wherez00_14423, BgL_locz00_14424); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14425;
BgL_za2za2resza2za2z00_14425 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_11988))(BgL_bodyz00_11988, BgL_sz00_11989, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14422); 
return BgL_za2za2resza2za2z00_14425;} } } } } } 

}



/* &<@anonymous:3453> */
obj_t BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11990, obj_t BgL_sz00_11996)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11991; long BgL_siza7eza7_11992; BgL_ev_absz00_bglt BgL_i1251z00_11993; obj_t BgL_bodyz00_11994; long BgL_siza7ezd2framez75_11995;
BgL_ifreesz00_11991 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11990, 
(int)(((long)0)))); 
BgL_siza7eza7_11992 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11990, 
(int)(((long)1)))); 
BgL_i1251z00_11993 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11990, 
(int)(((long)2)))); 
BgL_bodyz00_11994 = 
PROCEDURE_REF(BgL_envz00_11990, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11995 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11990, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14426;
BgL_bpz00_14426 = 
VECTOR_REF(
((obj_t)BgL_sz00_11996),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14427;
BgL_valza2za2_14427 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11996, BgL_bpz00_14426, BgL_ifreesz00_11991); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14428;
BgL_runz00_14428 = 
MAKE_FX_PROCEDURE(BGl_z62run4160z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14428, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11992)); 
PROCEDURE_SET(BgL_runz00_14428, 
(int)(((long)1)), BgL_valza2za2_14427); 
PROCEDURE_SET(BgL_runz00_14428, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_11993)); 
PROCEDURE_SET(BgL_runz00_14428, 
(int)(((long)3)), BgL_bodyz00_11994); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14429;
BgL_mainz00_14429 = 
MAKE_VA_PROCEDURE(BGl_z62main4159z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14429, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11992)); 
PROCEDURE_SET(BgL_mainz00_14429, 
(int)(((long)1)), BgL_valza2za2_14427); 
PROCEDURE_SET(BgL_mainz00_14429, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_11993)); 
PROCEDURE_SET(BgL_mainz00_14429, 
(int)(((long)3)), BgL_bodyz00_11994); 
PROCEDURE_SET(BgL_mainz00_14429, 
(int)(((long)4)), BgL_runz00_14428); 
PROCEDURE_SET(BgL_mainz00_14429, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11995)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14430;
BgL_objz00_14430 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14428, BgL_objz00_14430); BgL_objz00_14430; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3454z00_14431;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3455z00_14432;
BgL_arg3455z00_14432 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_11993))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14433;
BgL_newz00_14433 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25324;
BgL_tmpz00_25324 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14433, BgL_tmpz00_25324, BgL_arg3455z00_14432); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25329; int BgL_tmpz00_25327;
BgL_auxz00_25329 = 
BINT(BgL_siza7ezd2framez75_11995); 
BgL_tmpz00_25327 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14433, BgL_tmpz00_25327, BgL_auxz00_25329); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25332;
BgL_tmpz00_25332 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14433, BgL_tmpz00_25332, BgL_runz00_14428); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25337; int BgL_tmpz00_25335;
BgL_auxz00_25337 = 
BINT(((long)-4)); 
BgL_tmpz00_25335 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14433, BgL_tmpz00_25335, BgL_auxz00_25337); } 
BgL_arg3454z00_14431 = BgL_newz00_14433; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14429, BgL_arg3454z00_14431); BgL_arg3454z00_14431; } 
return BgL_mainz00_14429;} } } } } } 

}



/* &main4159 */
obj_t BGl_z62main4159z62zz__evaluate_compz00(obj_t BgL_envz00_11997, obj_t BgL_bz00_12004, obj_t BgL_cz00_12005, obj_t BgL_dz00_12006, obj_t BgL_lastz00_12007)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12002; long BgL_siza7ezd2framez75_12003;
BgL_runz00_12002 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11997, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12003 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11997, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14434;
BgL_sz00_14434 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14435;
BgL_bpz00_14435 = 
VECTOR_REF(
((obj_t)BgL_sz00_14434),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14434, BgL_bpz00_14435, 
BINT(BgL_siza7ezd2framez75_12003)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3458z00_14436;
BgL_arg3458z00_14436 = 
(
(long)CINT(BgL_bpz00_14435)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14434),BgL_arg3458z00_14436,BgL_bz00_12004); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3459z00_14437;
BgL_arg3459z00_14437 = 
(
(long)CINT(BgL_bpz00_14435)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14434),BgL_arg3459z00_14437,BgL_cz00_12005); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3460z00_14438;
BgL_arg3460z00_14438 = 
(
(long)CINT(BgL_bpz00_14435)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14434),BgL_arg3460z00_14438,BgL_dz00_12006); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3461z00_14439;
BgL_arg3461z00_14439 = 
(
(long)CINT(BgL_bpz00_14435)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14434),BgL_arg3461z00_14439,BgL_lastz00_12007); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14440;
BgL_ez00_14440 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14441;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14442;
BgL_arg3987z00_14442 = 
BGL_EXITD_PROTECT(BgL_ez00_14440); 
BgL_arg3986z00_14441 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14435, BgL_arg3987z00_14442); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14440, BgL_arg3986z00_14441); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14443;
BgL_accz00_14443 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12002, BgL_sz00_14434, BgL_bpz00_14435); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5045z00_25374;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14444;
BgL_arg3985z00_14444 = 
BGL_EXITD_PROTECT(BgL_ez00_14440); 
BgL_test5045z00_25374 = 
PAIRP(BgL_arg3985z00_14444); } 
if(BgL_test5045z00_25374)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14445;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14446;
BgL_arg3984z00_14446 = 
BGL_EXITD_PROTECT(BgL_ez00_14440); 
BgL_arg3983z00_14445 = 
CDR(
((obj_t)BgL_arg3984z00_14446)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14440, BgL_arg3983z00_14445); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14434),((long)0),BgL_bpz00_14435); 
return BgL_accz00_14443;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14447;
BgL_nsz00_14447 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14447,((long)1),BgL_sz00_14434); 
VECTOR_SET(BgL_nsz00_14447,((long)2),BgL_bz00_12004); 
VECTOR_SET(BgL_nsz00_14447,((long)3),BgL_cz00_12005); 
VECTOR_SET(BgL_nsz00_14447,((long)4),BgL_dz00_12006); 
VECTOR_SET(BgL_nsz00_14447,((long)5),BgL_lastz00_12007); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14448;
BgL_z12denvz12_14448 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14448, BgL_nsz00_14447); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14449;
BgL_ez00_14449 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14450;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14451;
BgL_arg3987z00_14451 = 
BGL_EXITD_PROTECT(BgL_ez00_14449); 
BgL_arg3986z00_14450 = 
MAKE_YOUNG_PAIR(BgL_sz00_14434, BgL_arg3987z00_14451); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14449, BgL_arg3986z00_14450); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14452;
BgL_____rz00_14452 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12002, BgL_nsz00_14447, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5046z00_25397;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14453;
BgL_arg3985z00_14453 = 
BGL_EXITD_PROTECT(BgL_ez00_14449); 
BgL_test5046z00_25397 = 
PAIRP(BgL_arg3985z00_14453); } 
if(BgL_test5046z00_25397)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14454;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14455;
BgL_arg3984z00_14455 = 
BGL_EXITD_PROTECT(BgL_ez00_14449); 
BgL_arg3983z00_14454 = 
CDR(
((obj_t)BgL_arg3984z00_14455)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14449, BgL_arg3983z00_14454); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14448, BgL_sz00_14434); 
return BgL_____rz00_14452;} } } } } } } } 

}



/* &run4160 */
obj_t BGl_z62run4160z62zz__evaluate_compz00(obj_t BgL_envz00_12008, obj_t BgL_sz00_12013)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12009; obj_t BgL_valza2za2_12010; BgL_ev_absz00_bglt BgL_i1251z00_12011; obj_t BgL_bodyz00_12012;
BgL_siza7eza7_12009 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12008, 
(int)(((long)0)))); 
BgL_valza2za2_12010 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12008, 
(int)(((long)1)))); 
BgL_i1251z00_12011 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12008, 
(int)(((long)2)))); 
BgL_bodyz00_12012 = 
PROCEDURE_REF(BgL_envz00_12008, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14456;
BgL_bpz00_14456 = 
VECTOR_REF(
((obj_t)BgL_sz00_12013),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12013, BgL_valza2za2_12010, 
(
(long)CINT(BgL_bpz00_14456)+BgL_siza7eza7_12009)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14457; obj_t BgL_wherez00_14458; obj_t BgL_locz00_14459;
BgL_z12denvz12_14457 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14458 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12011))->BgL_wherez00); 
BgL_locz00_14459 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12011))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14457, BgL_wherez00_14458, BgL_locz00_14459); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14460;
BgL_za2za2resza2za2z00_14460 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12012))(BgL_bodyz00_12012, BgL_sz00_12013, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14457); 
return BgL_za2za2resza2za2z00_14460;} } } } } } 

}



/* &<@anonymous:3464> */
obj_t BGl_z62zc3z04anonymousza33464ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12014, obj_t BgL_sz00_12021)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12015; obj_t BgL_iboxesz00_12016; long BgL_siza7eza7_12017; BgL_ev_absz00_bglt BgL_i1251z00_12018; obj_t BgL_bodyz00_12019; long BgL_siza7ezd2framez75_12020;
BgL_ifreesz00_12015 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)0)))); 
BgL_iboxesz00_12016 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)1)))); 
BgL_siza7eza7_12017 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)2)))); 
BgL_i1251z00_12018 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)3)))); 
BgL_bodyz00_12019 = 
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12020 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14461;
BgL_bpz00_14461 = 
VECTOR_REF(
((obj_t)BgL_sz00_12021),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14462;
BgL_valza2za2_14462 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12021, BgL_bpz00_14461, BgL_ifreesz00_12015); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14463;
BgL_runz00_14463 = 
MAKE_FX_PROCEDURE(BGl_z62run4162z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)0)), BgL_iboxesz00_12016); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12017)); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)2)), BgL_valza2za2_14462); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12018)); 
PROCEDURE_SET(BgL_runz00_14463, 
(int)(((long)4)), BgL_bodyz00_12019); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14464;
BgL_mainz00_14464 = 
MAKE_VA_PROCEDURE(BGl_z62main4161z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)0)), BgL_iboxesz00_12016); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12017)); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)2)), BgL_valza2za2_14462); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12018)); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)4)), BgL_bodyz00_12019); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)5)), BgL_runz00_14463); 
PROCEDURE_SET(BgL_mainz00_14464, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12020)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14465;
BgL_objz00_14465 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14463, BgL_objz00_14465); BgL_objz00_14465; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3465z00_14466;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3466z00_14467;
BgL_arg3466z00_14467 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12018))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14468;
BgL_newz00_14468 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25489;
BgL_tmpz00_25489 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14468, BgL_tmpz00_25489, BgL_arg3466z00_14467); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25494; int BgL_tmpz00_25492;
BgL_auxz00_25494 = 
BINT(BgL_siza7ezd2framez75_12020); 
BgL_tmpz00_25492 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14468, BgL_tmpz00_25492, BgL_auxz00_25494); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25497;
BgL_tmpz00_25497 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14468, BgL_tmpz00_25497, BgL_runz00_14463); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25502; int BgL_tmpz00_25500;
BgL_auxz00_25502 = 
BINT(((long)-4)); 
BgL_tmpz00_25500 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14468, BgL_tmpz00_25500, BgL_auxz00_25502); } 
BgL_arg3465z00_14466 = BgL_newz00_14468; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14464, BgL_arg3465z00_14466); BgL_arg3465z00_14466; } 
return BgL_mainz00_14464;} } } } } } 

}



/* &main4161 */
obj_t BGl_z62main4161z62zz__evaluate_compz00(obj_t BgL_envz00_12022, obj_t BgL_bz00_12030, obj_t BgL_cz00_12031, obj_t BgL_dz00_12032, obj_t BgL_lastz00_12033)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12028; long BgL_siza7ezd2framez75_12029;
BgL_runz00_12028 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12022, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12029 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12022, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14469;
BgL_sz00_14469 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14470;
BgL_bpz00_14470 = 
VECTOR_REF(
((obj_t)BgL_sz00_14469),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14469, BgL_bpz00_14470, 
BINT(BgL_siza7ezd2framez75_12029)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3469z00_14471;
BgL_arg3469z00_14471 = 
(
(long)CINT(BgL_bpz00_14470)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14469),BgL_arg3469z00_14471,BgL_bz00_12030); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3470z00_14472;
BgL_arg3470z00_14472 = 
(
(long)CINT(BgL_bpz00_14470)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14469),BgL_arg3470z00_14472,BgL_cz00_12031); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3471z00_14473;
BgL_arg3471z00_14473 = 
(
(long)CINT(BgL_bpz00_14470)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14469),BgL_arg3471z00_14473,BgL_dz00_12032); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3472z00_14474;
BgL_arg3472z00_14474 = 
(
(long)CINT(BgL_bpz00_14470)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14469),BgL_arg3472z00_14474,BgL_lastz00_12033); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14475;
BgL_ez00_14475 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14476;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14477;
BgL_arg3987z00_14477 = 
BGL_EXITD_PROTECT(BgL_ez00_14475); 
BgL_arg3986z00_14476 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14470, BgL_arg3987z00_14477); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14475, BgL_arg3986z00_14476); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14478;
BgL_accz00_14478 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12028, BgL_sz00_14469, BgL_bpz00_14470); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5048z00_25539;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14479;
BgL_arg3985z00_14479 = 
BGL_EXITD_PROTECT(BgL_ez00_14475); 
BgL_test5048z00_25539 = 
PAIRP(BgL_arg3985z00_14479); } 
if(BgL_test5048z00_25539)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14480;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14481;
BgL_arg3984z00_14481 = 
BGL_EXITD_PROTECT(BgL_ez00_14475); 
BgL_arg3983z00_14480 = 
CDR(
((obj_t)BgL_arg3984z00_14481)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14475, BgL_arg3983z00_14480); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14469),((long)0),BgL_bpz00_14470); 
return BgL_accz00_14478;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14482;
BgL_nsz00_14482 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14482,((long)1),BgL_sz00_14469); 
VECTOR_SET(BgL_nsz00_14482,((long)2),BgL_bz00_12030); 
VECTOR_SET(BgL_nsz00_14482,((long)3),BgL_cz00_12031); 
VECTOR_SET(BgL_nsz00_14482,((long)4),BgL_dz00_12032); 
VECTOR_SET(BgL_nsz00_14482,((long)5),BgL_lastz00_12033); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14483;
BgL_z12denvz12_14483 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14483, BgL_nsz00_14482); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14484;
BgL_ez00_14484 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14485;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14486;
BgL_arg3987z00_14486 = 
BGL_EXITD_PROTECT(BgL_ez00_14484); 
BgL_arg3986z00_14485 = 
MAKE_YOUNG_PAIR(BgL_sz00_14469, BgL_arg3987z00_14486); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14484, BgL_arg3986z00_14485); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14487;
BgL_____rz00_14487 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12028, BgL_nsz00_14482, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5049z00_25562;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14488;
BgL_arg3985z00_14488 = 
BGL_EXITD_PROTECT(BgL_ez00_14484); 
BgL_test5049z00_25562 = 
PAIRP(BgL_arg3985z00_14488); } 
if(BgL_test5049z00_25562)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14489;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14490;
BgL_arg3984z00_14490 = 
BGL_EXITD_PROTECT(BgL_ez00_14484); 
BgL_arg3983z00_14489 = 
CDR(
((obj_t)BgL_arg3984z00_14490)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14484, BgL_arg3983z00_14489); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14483, BgL_sz00_14469); 
return BgL_____rz00_14487;} } } } } } } } 

}



/* &run4162 */
obj_t BGl_z62run4162z62zz__evaluate_compz00(obj_t BgL_envz00_12034, obj_t BgL_sz00_12040)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12035; long BgL_siza7eza7_12036; obj_t BgL_valza2za2_12037; BgL_ev_absz00_bglt BgL_i1251z00_12038; obj_t BgL_bodyz00_12039;
BgL_iboxesz00_12035 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)0)))); 
BgL_siza7eza7_12036 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)1)))); 
BgL_valza2za2_12037 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)2)))); 
BgL_i1251z00_12038 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)3)))); 
BgL_bodyz00_12039 = 
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14491;
BgL_bpz00_14491 = 
VECTOR_REF(
((obj_t)BgL_sz00_12040),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12040, BgL_iboxesz00_12035, BgL_bpz00_14491); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12040, BgL_valza2za2_12037, 
(
(long)CINT(BgL_bpz00_14491)+BgL_siza7eza7_12036)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14492; obj_t BgL_wherez00_14493; obj_t BgL_locz00_14494;
BgL_z12denvz12_14492 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14493 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12038))->BgL_wherez00); 
BgL_locz00_14494 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12038))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14492, BgL_wherez00_14493, BgL_locz00_14494); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14495;
BgL_za2za2resza2za2z00_14495 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12039))(BgL_bodyz00_12039, BgL_sz00_12040, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14492); 
return BgL_za2za2resza2za2z00_14495;} } } } } } 

}



/* &<@anonymous:3383> */
obj_t BGl_z62zc3z04anonymousza33383ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12041, obj_t BgL_sz00_12045)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12042; obj_t BgL_bodyz00_12043; long BgL_siza7ezd2framez75_12044;
BgL_i1251z00_12042 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12041, 
(int)(((long)0)))); 
BgL_bodyz00_12043 = 
PROCEDURE_REF(BgL_envz00_12041, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12044 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12041, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14496;
BgL_bpz00_14496 = 
VECTOR_REF(
((obj_t)BgL_sz00_12045),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14497;
BgL_runz00_14497 = 
MAKE_FX_PROCEDURE(BGl_z62run4164z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14497, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12042)); 
PROCEDURE_SET(BgL_runz00_14497, 
(int)(((long)1)), BgL_bodyz00_12043); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14498;
BgL_mainz00_14498 = 
MAKE_FX_PROCEDURE(BGl_z62main4163z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14498, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12042)); 
PROCEDURE_SET(BgL_mainz00_14498, 
(int)(((long)1)), BgL_bodyz00_12043); 
PROCEDURE_SET(BgL_mainz00_14498, 
(int)(((long)2)), BgL_runz00_14497); 
PROCEDURE_SET(BgL_mainz00_14498, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12044)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14499;
BgL_objz00_14499 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14497, BgL_objz00_14499); BgL_objz00_14499; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3384z00_14500;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3385z00_14501;
BgL_arg3385z00_14501 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12042))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14502;
BgL_newz00_14502 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25634;
BgL_tmpz00_25634 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14502, BgL_tmpz00_25634, BgL_arg3385z00_14501); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25639; int BgL_tmpz00_25637;
BgL_auxz00_25639 = 
BINT(BgL_siza7ezd2framez75_12044); 
BgL_tmpz00_25637 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14502, BgL_tmpz00_25637, BgL_auxz00_25639); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25642;
BgL_tmpz00_25642 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14502, BgL_tmpz00_25642, BgL_runz00_14497); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25647; int BgL_tmpz00_25645;
BgL_auxz00_25647 = 
BINT(((long)3)); 
BgL_tmpz00_25645 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14502, BgL_tmpz00_25645, BgL_auxz00_25647); } 
BgL_arg3384z00_14500 = BgL_newz00_14502; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14498, BgL_arg3384z00_14500); BgL_arg3384z00_14500; } 
return BgL_mainz00_14498;} } } } } } 

}



/* &main4163 */
obj_t BGl_z62main4163z62zz__evaluate_compz00(obj_t BgL_envz00_12046, obj_t BgL_bz00_12051, obj_t BgL_cz00_12052, obj_t BgL_dz00_12053)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12049; long BgL_siza7ezd2framez75_12050;
BgL_runz00_12049 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12046, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12050 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12046, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14503;
BgL_sz00_14503 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14504;
BgL_bpz00_14504 = 
VECTOR_REF(
((obj_t)BgL_sz00_14503),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14503, BgL_bpz00_14504, 
BINT(BgL_siza7ezd2framez75_12050)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3388z00_14505;
BgL_arg3388z00_14505 = 
(
(long)CINT(BgL_bpz00_14504)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14503),BgL_arg3388z00_14505,BgL_bz00_12051); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3389z00_14506;
BgL_arg3389z00_14506 = 
(
(long)CINT(BgL_bpz00_14504)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14503),BgL_arg3389z00_14506,BgL_cz00_12052); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3390z00_14507;
BgL_arg3390z00_14507 = 
(
(long)CINT(BgL_bpz00_14504)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14503),BgL_arg3390z00_14507,BgL_dz00_12053); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14508;
BgL_ez00_14508 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14509;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14510;
BgL_arg3987z00_14510 = 
BGL_EXITD_PROTECT(BgL_ez00_14508); 
BgL_arg3986z00_14509 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14504, BgL_arg3987z00_14510); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14508, BgL_arg3986z00_14509); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14511;
BgL_accz00_14511 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12049, BgL_sz00_14503, BgL_bpz00_14504); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5051z00_25680;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14512;
BgL_arg3985z00_14512 = 
BGL_EXITD_PROTECT(BgL_ez00_14508); 
BgL_test5051z00_25680 = 
PAIRP(BgL_arg3985z00_14512); } 
if(BgL_test5051z00_25680)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14513;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14514;
BgL_arg3984z00_14514 = 
BGL_EXITD_PROTECT(BgL_ez00_14508); 
BgL_arg3983z00_14513 = 
CDR(
((obj_t)BgL_arg3984z00_14514)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14508, BgL_arg3983z00_14513); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14503),((long)0),BgL_bpz00_14504); 
return BgL_accz00_14511;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14515;
BgL_nsz00_14515 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14515,((long)1),BgL_sz00_14503); 
VECTOR_SET(BgL_nsz00_14515,((long)2),BgL_bz00_12051); 
VECTOR_SET(BgL_nsz00_14515,((long)3),BgL_cz00_12052); 
VECTOR_SET(BgL_nsz00_14515,((long)4),BgL_dz00_12053); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14516;
BgL_z12denvz12_14516 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14516, BgL_nsz00_14515); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14517;
BgL_ez00_14517 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14518;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14519;
BgL_arg3987z00_14519 = 
BGL_EXITD_PROTECT(BgL_ez00_14517); 
BgL_arg3986z00_14518 = 
MAKE_YOUNG_PAIR(BgL_sz00_14503, BgL_arg3987z00_14519); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14517, BgL_arg3986z00_14518); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14520;
BgL_____rz00_14520 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12049, BgL_nsz00_14515, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5052z00_25702;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14521;
BgL_arg3985z00_14521 = 
BGL_EXITD_PROTECT(BgL_ez00_14517); 
BgL_test5052z00_25702 = 
PAIRP(BgL_arg3985z00_14521); } 
if(BgL_test5052z00_25702)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14522;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14523;
BgL_arg3984z00_14523 = 
BGL_EXITD_PROTECT(BgL_ez00_14517); 
BgL_arg3983z00_14522 = 
CDR(
((obj_t)BgL_arg3984z00_14523)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14517, BgL_arg3983z00_14522); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14516, BgL_sz00_14503); 
return BgL_____rz00_14520;} } } } } } } } 

}



/* &run4164 */
obj_t BGl_z62run4164z62zz__evaluate_compz00(obj_t BgL_envz00_12054, obj_t BgL_sz00_12057)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12055; obj_t BgL_bodyz00_12056;
BgL_i1251z00_12055 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12054, 
(int)(((long)0)))); 
BgL_bodyz00_12056 = 
PROCEDURE_REF(BgL_envz00_12054, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14524;
BgL_bpz00_14524 = 
VECTOR_REF(
((obj_t)BgL_sz00_12057),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14525; obj_t BgL_wherez00_14526; obj_t BgL_locz00_14527;
BgL_z12denvz12_14525 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14526 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12055))->BgL_wherez00); 
BgL_locz00_14527 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12055))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14525, BgL_wherez00_14526, BgL_locz00_14527); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14528;
BgL_za2za2resza2za2z00_14528 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12056))(BgL_bodyz00_12056, BgL_sz00_12057, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14525); 
return BgL_za2za2resza2za2z00_14528;} } } } } } 

}



/* &<@anonymous:3392> */
obj_t BGl_z62zc3z04anonymousza33392ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12058, obj_t BgL_sz00_12063)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12059; BgL_ev_absz00_bglt BgL_i1251z00_12060; obj_t BgL_bodyz00_12061; long BgL_siza7ezd2framez75_12062;
BgL_iboxesz00_12059 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12058, 
(int)(((long)0)))); 
BgL_i1251z00_12060 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12058, 
(int)(((long)1)))); 
BgL_bodyz00_12061 = 
PROCEDURE_REF(BgL_envz00_12058, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12062 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12058, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14529;
BgL_bpz00_14529 = 
VECTOR_REF(
((obj_t)BgL_sz00_12063),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14530;
BgL_runz00_14530 = 
MAKE_FX_PROCEDURE(BGl_z62run4166z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14530, 
(int)(((long)0)), BgL_iboxesz00_12059); 
PROCEDURE_SET(BgL_runz00_14530, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12060)); 
PROCEDURE_SET(BgL_runz00_14530, 
(int)(((long)2)), BgL_bodyz00_12061); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14531;
BgL_mainz00_14531 = 
MAKE_FX_PROCEDURE(BGl_z62main4165z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14531, 
(int)(((long)0)), BgL_iboxesz00_12059); 
PROCEDURE_SET(BgL_mainz00_14531, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12060)); 
PROCEDURE_SET(BgL_mainz00_14531, 
(int)(((long)2)), BgL_bodyz00_12061); 
PROCEDURE_SET(BgL_mainz00_14531, 
(int)(((long)3)), BgL_runz00_14530); 
PROCEDURE_SET(BgL_mainz00_14531, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12062)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14532;
BgL_objz00_14532 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14530, BgL_objz00_14532); BgL_objz00_14532; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3393z00_14533;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3394z00_14534;
BgL_arg3394z00_14534 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12060))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14535;
BgL_newz00_14535 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25768;
BgL_tmpz00_25768 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14535, BgL_tmpz00_25768, BgL_arg3394z00_14534); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25773; int BgL_tmpz00_25771;
BgL_auxz00_25773 = 
BINT(BgL_siza7ezd2framez75_12062); 
BgL_tmpz00_25771 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14535, BgL_tmpz00_25771, BgL_auxz00_25773); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25776;
BgL_tmpz00_25776 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14535, BgL_tmpz00_25776, BgL_runz00_14530); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25781; int BgL_tmpz00_25779;
BgL_auxz00_25781 = 
BINT(((long)3)); 
BgL_tmpz00_25779 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14535, BgL_tmpz00_25779, BgL_auxz00_25781); } 
BgL_arg3393z00_14533 = BgL_newz00_14535; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14531, BgL_arg3393z00_14533); BgL_arg3393z00_14533; } 
return BgL_mainz00_14531;} } } } } } 

}



/* &main4165 */
obj_t BGl_z62main4165z62zz__evaluate_compz00(obj_t BgL_envz00_12064, obj_t BgL_bz00_12070, obj_t BgL_cz00_12071, obj_t BgL_dz00_12072)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12068; long BgL_siza7ezd2framez75_12069;
BgL_runz00_12068 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12069 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14536;
BgL_sz00_14536 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14537;
BgL_bpz00_14537 = 
VECTOR_REF(
((obj_t)BgL_sz00_14536),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14536, BgL_bpz00_14537, 
BINT(BgL_siza7ezd2framez75_12069)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3397z00_14538;
BgL_arg3397z00_14538 = 
(
(long)CINT(BgL_bpz00_14537)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14536),BgL_arg3397z00_14538,BgL_bz00_12070); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3398z00_14539;
BgL_arg3398z00_14539 = 
(
(long)CINT(BgL_bpz00_14537)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14536),BgL_arg3398z00_14539,BgL_cz00_12071); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3399z00_14540;
BgL_arg3399z00_14540 = 
(
(long)CINT(BgL_bpz00_14537)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14536),BgL_arg3399z00_14540,BgL_dz00_12072); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14541;
BgL_ez00_14541 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14542;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14543;
BgL_arg3987z00_14543 = 
BGL_EXITD_PROTECT(BgL_ez00_14541); 
BgL_arg3986z00_14542 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14537, BgL_arg3987z00_14543); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14541, BgL_arg3986z00_14542); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14544;
BgL_accz00_14544 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12068, BgL_sz00_14536, BgL_bpz00_14537); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5054z00_25814;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14545;
BgL_arg3985z00_14545 = 
BGL_EXITD_PROTECT(BgL_ez00_14541); 
BgL_test5054z00_25814 = 
PAIRP(BgL_arg3985z00_14545); } 
if(BgL_test5054z00_25814)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14546;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14547;
BgL_arg3984z00_14547 = 
BGL_EXITD_PROTECT(BgL_ez00_14541); 
BgL_arg3983z00_14546 = 
CDR(
((obj_t)BgL_arg3984z00_14547)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14541, BgL_arg3983z00_14546); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14536),((long)0),BgL_bpz00_14537); 
return BgL_accz00_14544;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14548;
BgL_nsz00_14548 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14548,((long)1),BgL_sz00_14536); 
VECTOR_SET(BgL_nsz00_14548,((long)2),BgL_bz00_12070); 
VECTOR_SET(BgL_nsz00_14548,((long)3),BgL_cz00_12071); 
VECTOR_SET(BgL_nsz00_14548,((long)4),BgL_dz00_12072); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14549;
BgL_z12denvz12_14549 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14549, BgL_nsz00_14548); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14550;
BgL_ez00_14550 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14551;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14552;
BgL_arg3987z00_14552 = 
BGL_EXITD_PROTECT(BgL_ez00_14550); 
BgL_arg3986z00_14551 = 
MAKE_YOUNG_PAIR(BgL_sz00_14536, BgL_arg3987z00_14552); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14550, BgL_arg3986z00_14551); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14553;
BgL_____rz00_14553 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12068, BgL_nsz00_14548, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5055z00_25836;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14554;
BgL_arg3985z00_14554 = 
BGL_EXITD_PROTECT(BgL_ez00_14550); 
BgL_test5055z00_25836 = 
PAIRP(BgL_arg3985z00_14554); } 
if(BgL_test5055z00_25836)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14555;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14556;
BgL_arg3984z00_14556 = 
BGL_EXITD_PROTECT(BgL_ez00_14550); 
BgL_arg3983z00_14555 = 
CDR(
((obj_t)BgL_arg3984z00_14556)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14550, BgL_arg3983z00_14555); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14549, BgL_sz00_14536); 
return BgL_____rz00_14553;} } } } } } } } 

}



/* &run4166 */
obj_t BGl_z62run4166z62zz__evaluate_compz00(obj_t BgL_envz00_12073, obj_t BgL_sz00_12077)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12074; BgL_ev_absz00_bglt BgL_i1251z00_12075; obj_t BgL_bodyz00_12076;
BgL_iboxesz00_12074 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)0)))); 
BgL_i1251z00_12075 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)1)))); 
BgL_bodyz00_12076 = 
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14557;
BgL_bpz00_14557 = 
VECTOR_REF(
((obj_t)BgL_sz00_12077),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12077, BgL_iboxesz00_12074, BgL_bpz00_14557); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14558; obj_t BgL_wherez00_14559; obj_t BgL_locz00_14560;
BgL_z12denvz12_14558 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14559 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12075))->BgL_wherez00); 
BgL_locz00_14560 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12075))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14558, BgL_wherez00_14559, BgL_locz00_14560); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14561;
BgL_za2za2resza2za2z00_14561 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12076))(BgL_bodyz00_12076, BgL_sz00_12077, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14558); 
return BgL_za2za2resza2za2z00_14561;} } } } } } 

}



/* &<@anonymous:3404> */
obj_t BGl_z62zc3z04anonymousza33404ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12078, obj_t BgL_sz00_12084)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12079; long BgL_siza7eza7_12080; BgL_ev_absz00_bglt BgL_i1251z00_12081; obj_t BgL_bodyz00_12082; long BgL_siza7ezd2framez75_12083;
BgL_ifreesz00_12079 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)0)))); 
BgL_siza7eza7_12080 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)1)))); 
BgL_i1251z00_12081 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)2)))); 
BgL_bodyz00_12082 = 
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12083 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14562;
BgL_bpz00_14562 = 
VECTOR_REF(
((obj_t)BgL_sz00_12084),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14563;
BgL_valza2za2_14563 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12084, BgL_bpz00_14562, BgL_ifreesz00_12079); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14564;
BgL_runz00_14564 = 
MAKE_FX_PROCEDURE(BGl_z62run4168z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14564, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12080)); 
PROCEDURE_SET(BgL_runz00_14564, 
(int)(((long)1)), BgL_valza2za2_14563); 
PROCEDURE_SET(BgL_runz00_14564, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12081)); 
PROCEDURE_SET(BgL_runz00_14564, 
(int)(((long)3)), BgL_bodyz00_12082); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14565;
BgL_mainz00_14565 = 
MAKE_FX_PROCEDURE(BGl_z62main4167z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12080)); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)1)), BgL_valza2za2_14563); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12081)); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)3)), BgL_bodyz00_12082); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)4)), BgL_runz00_14564); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12083)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14566;
BgL_objz00_14566 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14564, BgL_objz00_14566); BgL_objz00_14566; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3405z00_14567;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3406z00_14568;
BgL_arg3406z00_14568 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12081))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14569;
BgL_newz00_14569 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25916;
BgL_tmpz00_25916 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14569, BgL_tmpz00_25916, BgL_arg3406z00_14568); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25921; int BgL_tmpz00_25919;
BgL_auxz00_25921 = 
BINT(BgL_siza7ezd2framez75_12083); 
BgL_tmpz00_25919 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14569, BgL_tmpz00_25919, BgL_auxz00_25921); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25924;
BgL_tmpz00_25924 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14569, BgL_tmpz00_25924, BgL_runz00_14564); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25929; int BgL_tmpz00_25927;
BgL_auxz00_25929 = 
BINT(((long)3)); 
BgL_tmpz00_25927 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14569, BgL_tmpz00_25927, BgL_auxz00_25929); } 
BgL_arg3405z00_14567 = BgL_newz00_14569; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14565, BgL_arg3405z00_14567); BgL_arg3405z00_14567; } 
return BgL_mainz00_14565;} } } } } } 

}



/* &main4167 */
obj_t BGl_z62main4167z62zz__evaluate_compz00(obj_t BgL_envz00_12085, obj_t BgL_bz00_12092, obj_t BgL_cz00_12093, obj_t BgL_dz00_12094)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12090; long BgL_siza7ezd2framez75_12091;
BgL_runz00_12090 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12085, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12091 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12085, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14570;
BgL_sz00_14570 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14571;
BgL_bpz00_14571 = 
VECTOR_REF(
((obj_t)BgL_sz00_14570),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14570, BgL_bpz00_14571, 
BINT(BgL_siza7ezd2framez75_12091)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3409z00_14572;
BgL_arg3409z00_14572 = 
(
(long)CINT(BgL_bpz00_14571)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14570),BgL_arg3409z00_14572,BgL_bz00_12092); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3410z00_14573;
BgL_arg3410z00_14573 = 
(
(long)CINT(BgL_bpz00_14571)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14570),BgL_arg3410z00_14573,BgL_cz00_12093); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3411z00_14574;
BgL_arg3411z00_14574 = 
(
(long)CINT(BgL_bpz00_14571)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14570),BgL_arg3411z00_14574,BgL_dz00_12094); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14575;
BgL_ez00_14575 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14576;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14577;
BgL_arg3987z00_14577 = 
BGL_EXITD_PROTECT(BgL_ez00_14575); 
BgL_arg3986z00_14576 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14571, BgL_arg3987z00_14577); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14575, BgL_arg3986z00_14576); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14578;
BgL_accz00_14578 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12090, BgL_sz00_14570, BgL_bpz00_14571); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5057z00_25962;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14579;
BgL_arg3985z00_14579 = 
BGL_EXITD_PROTECT(BgL_ez00_14575); 
BgL_test5057z00_25962 = 
PAIRP(BgL_arg3985z00_14579); } 
if(BgL_test5057z00_25962)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14580;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14581;
BgL_arg3984z00_14581 = 
BGL_EXITD_PROTECT(BgL_ez00_14575); 
BgL_arg3983z00_14580 = 
CDR(
((obj_t)BgL_arg3984z00_14581)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14575, BgL_arg3983z00_14580); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14570),((long)0),BgL_bpz00_14571); 
return BgL_accz00_14578;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14582;
BgL_nsz00_14582 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14582,((long)1),BgL_sz00_14570); 
VECTOR_SET(BgL_nsz00_14582,((long)2),BgL_bz00_12092); 
VECTOR_SET(BgL_nsz00_14582,((long)3),BgL_cz00_12093); 
VECTOR_SET(BgL_nsz00_14582,((long)4),BgL_dz00_12094); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14583;
BgL_z12denvz12_14583 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14583, BgL_nsz00_14582); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14584;
BgL_ez00_14584 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14585;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14586;
BgL_arg3987z00_14586 = 
BGL_EXITD_PROTECT(BgL_ez00_14584); 
BgL_arg3986z00_14585 = 
MAKE_YOUNG_PAIR(BgL_sz00_14570, BgL_arg3987z00_14586); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14584, BgL_arg3986z00_14585); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14587;
BgL_____rz00_14587 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12090, BgL_nsz00_14582, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5058z00_25984;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14588;
BgL_arg3985z00_14588 = 
BGL_EXITD_PROTECT(BgL_ez00_14584); 
BgL_test5058z00_25984 = 
PAIRP(BgL_arg3985z00_14588); } 
if(BgL_test5058z00_25984)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14589;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14590;
BgL_arg3984z00_14590 = 
BGL_EXITD_PROTECT(BgL_ez00_14584); 
BgL_arg3983z00_14589 = 
CDR(
((obj_t)BgL_arg3984z00_14590)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14584, BgL_arg3983z00_14589); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14583, BgL_sz00_14570); 
return BgL_____rz00_14587;} } } } } } } } 

}



/* &run4168 */
obj_t BGl_z62run4168z62zz__evaluate_compz00(obj_t BgL_envz00_12095, obj_t BgL_sz00_12100)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12096; obj_t BgL_valza2za2_12097; BgL_ev_absz00_bglt BgL_i1251z00_12098; obj_t BgL_bodyz00_12099;
BgL_siza7eza7_12096 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)0)))); 
BgL_valza2za2_12097 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)1)))); 
BgL_i1251z00_12098 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)2)))); 
BgL_bodyz00_12099 = 
PROCEDURE_REF(BgL_envz00_12095, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14591;
BgL_bpz00_14591 = 
VECTOR_REF(
((obj_t)BgL_sz00_12100),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12100, BgL_valza2za2_12097, 
(
(long)CINT(BgL_bpz00_14591)+BgL_siza7eza7_12096)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14592; obj_t BgL_wherez00_14593; obj_t BgL_locz00_14594;
BgL_z12denvz12_14592 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14593 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12098))->BgL_wherez00); 
BgL_locz00_14594 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12098))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14592, BgL_wherez00_14593, BgL_locz00_14594); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14595;
BgL_za2za2resza2za2z00_14595 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12099))(BgL_bodyz00_12099, BgL_sz00_12100, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14592); 
return BgL_za2za2resza2za2z00_14595;} } } } } } 

}



/* &<@anonymous:3414> */
obj_t BGl_z62zc3z04anonymousza33414ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12101, obj_t BgL_sz00_12108)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12102; obj_t BgL_iboxesz00_12103; long BgL_siza7eza7_12104; BgL_ev_absz00_bglt BgL_i1251z00_12105; obj_t BgL_bodyz00_12106; long BgL_siza7ezd2framez75_12107;
BgL_ifreesz00_12102 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12101, 
(int)(((long)0)))); 
BgL_iboxesz00_12103 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12101, 
(int)(((long)1)))); 
BgL_siza7eza7_12104 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12101, 
(int)(((long)2)))); 
BgL_i1251z00_12105 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12101, 
(int)(((long)3)))); 
BgL_bodyz00_12106 = 
PROCEDURE_REF(BgL_envz00_12101, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12107 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12101, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14596;
BgL_bpz00_14596 = 
VECTOR_REF(
((obj_t)BgL_sz00_12108),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14597;
BgL_valza2za2_14597 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12108, BgL_bpz00_14596, BgL_ifreesz00_12102); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14598;
BgL_runz00_14598 = 
MAKE_FX_PROCEDURE(BGl_z62run4170z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14598, 
(int)(((long)0)), BgL_iboxesz00_12103); 
PROCEDURE_SET(BgL_runz00_14598, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12104)); 
PROCEDURE_SET(BgL_runz00_14598, 
(int)(((long)2)), BgL_valza2za2_14597); 
PROCEDURE_SET(BgL_runz00_14598, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12105)); 
PROCEDURE_SET(BgL_runz00_14598, 
(int)(((long)4)), BgL_bodyz00_12106); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14599;
BgL_mainz00_14599 = 
MAKE_FX_PROCEDURE(BGl_z62main4169z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14599, 
(int)(((long)0)), BgL_iboxesz00_12103); 
PROCEDURE_SET(BgL_mainz00_14599, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12104)); 
PROCEDURE_SET(BgL_mainz00_14599, 
(int)(((long)2)), BgL_valza2za2_14597); 
PROCEDURE_SET(BgL_mainz00_14599, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12105)); 
PROCEDURE_SET(BgL_mainz00_14599, 
(int)(((long)4)), BgL_bodyz00_12106); 
PROCEDURE_SET(BgL_mainz00_14599, 
(int)(((long)5)), BgL_runz00_14598); 
PROCEDURE_SET(BgL_mainz00_14599, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12107)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14600;
BgL_objz00_14600 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14598, BgL_objz00_14600); BgL_objz00_14600; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3415z00_14601;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3416z00_14602;
BgL_arg3416z00_14602 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12105))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14603;
BgL_newz00_14603 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26076;
BgL_tmpz00_26076 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14603, BgL_tmpz00_26076, BgL_arg3416z00_14602); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26081; int BgL_tmpz00_26079;
BgL_auxz00_26081 = 
BINT(BgL_siza7ezd2framez75_12107); 
BgL_tmpz00_26079 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14603, BgL_tmpz00_26079, BgL_auxz00_26081); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26084;
BgL_tmpz00_26084 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14603, BgL_tmpz00_26084, BgL_runz00_14598); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26089; int BgL_tmpz00_26087;
BgL_auxz00_26089 = 
BINT(((long)3)); 
BgL_tmpz00_26087 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14603, BgL_tmpz00_26087, BgL_auxz00_26089); } 
BgL_arg3415z00_14601 = BgL_newz00_14603; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14599, BgL_arg3415z00_14601); BgL_arg3415z00_14601; } 
return BgL_mainz00_14599;} } } } } } 

}



/* &main4169 */
obj_t BGl_z62main4169z62zz__evaluate_compz00(obj_t BgL_envz00_12109, obj_t BgL_bz00_12117, obj_t BgL_cz00_12118, obj_t BgL_dz00_12119)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12115; long BgL_siza7ezd2framez75_12116;
BgL_runz00_12115 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12109, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12116 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12109, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14604;
BgL_sz00_14604 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14605;
BgL_bpz00_14605 = 
VECTOR_REF(
((obj_t)BgL_sz00_14604),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14604, BgL_bpz00_14605, 
BINT(BgL_siza7ezd2framez75_12116)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3419z00_14606;
BgL_arg3419z00_14606 = 
(
(long)CINT(BgL_bpz00_14605)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14604),BgL_arg3419z00_14606,BgL_bz00_12117); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3420z00_14607;
BgL_arg3420z00_14607 = 
(
(long)CINT(BgL_bpz00_14605)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14604),BgL_arg3420z00_14607,BgL_cz00_12118); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3421z00_14608;
BgL_arg3421z00_14608 = 
(
(long)CINT(BgL_bpz00_14605)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14604),BgL_arg3421z00_14608,BgL_dz00_12119); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14609;
BgL_ez00_14609 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14610;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14611;
BgL_arg3987z00_14611 = 
BGL_EXITD_PROTECT(BgL_ez00_14609); 
BgL_arg3986z00_14610 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14605, BgL_arg3987z00_14611); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14609, BgL_arg3986z00_14610); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14612;
BgL_accz00_14612 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12115, BgL_sz00_14604, BgL_bpz00_14605); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5060z00_26122;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14613;
BgL_arg3985z00_14613 = 
BGL_EXITD_PROTECT(BgL_ez00_14609); 
BgL_test5060z00_26122 = 
PAIRP(BgL_arg3985z00_14613); } 
if(BgL_test5060z00_26122)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14614;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14615;
BgL_arg3984z00_14615 = 
BGL_EXITD_PROTECT(BgL_ez00_14609); 
BgL_arg3983z00_14614 = 
CDR(
((obj_t)BgL_arg3984z00_14615)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14609, BgL_arg3983z00_14614); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14604),((long)0),BgL_bpz00_14605); 
return BgL_accz00_14612;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14616;
BgL_nsz00_14616 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14616,((long)1),BgL_sz00_14604); 
VECTOR_SET(BgL_nsz00_14616,((long)2),BgL_bz00_12117); 
VECTOR_SET(BgL_nsz00_14616,((long)3),BgL_cz00_12118); 
VECTOR_SET(BgL_nsz00_14616,((long)4),BgL_dz00_12119); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14617;
BgL_z12denvz12_14617 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14617, BgL_nsz00_14616); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14618;
BgL_ez00_14618 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14619;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14620;
BgL_arg3987z00_14620 = 
BGL_EXITD_PROTECT(BgL_ez00_14618); 
BgL_arg3986z00_14619 = 
MAKE_YOUNG_PAIR(BgL_sz00_14604, BgL_arg3987z00_14620); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14618, BgL_arg3986z00_14619); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14621;
BgL_____rz00_14621 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12115, BgL_nsz00_14616, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5061z00_26144;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14622;
BgL_arg3985z00_14622 = 
BGL_EXITD_PROTECT(BgL_ez00_14618); 
BgL_test5061z00_26144 = 
PAIRP(BgL_arg3985z00_14622); } 
if(BgL_test5061z00_26144)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14623;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14624;
BgL_arg3984z00_14624 = 
BGL_EXITD_PROTECT(BgL_ez00_14618); 
BgL_arg3983z00_14623 = 
CDR(
((obj_t)BgL_arg3984z00_14624)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14618, BgL_arg3983z00_14623); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14617, BgL_sz00_14604); 
return BgL_____rz00_14621;} } } } } } } } 

}



/* &run4170 */
obj_t BGl_z62run4170z62zz__evaluate_compz00(obj_t BgL_envz00_12120, obj_t BgL_sz00_12126)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12121; long BgL_siza7eza7_12122; obj_t BgL_valza2za2_12123; BgL_ev_absz00_bglt BgL_i1251z00_12124; obj_t BgL_bodyz00_12125;
BgL_iboxesz00_12121 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12120, 
(int)(((long)0)))); 
BgL_siza7eza7_12122 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12120, 
(int)(((long)1)))); 
BgL_valza2za2_12123 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12120, 
(int)(((long)2)))); 
BgL_i1251z00_12124 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12120, 
(int)(((long)3)))); 
BgL_bodyz00_12125 = 
PROCEDURE_REF(BgL_envz00_12120, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14625;
BgL_bpz00_14625 = 
VECTOR_REF(
((obj_t)BgL_sz00_12126),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12126, BgL_iboxesz00_12121, BgL_bpz00_14625); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12126, BgL_valza2za2_12123, 
(
(long)CINT(BgL_bpz00_14625)+BgL_siza7eza7_12122)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14626; obj_t BgL_wherez00_14627; obj_t BgL_locz00_14628;
BgL_z12denvz12_14626 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14627 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12124))->BgL_wherez00); 
BgL_locz00_14628 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12124))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14626, BgL_wherez00_14627, BgL_locz00_14628); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14629;
BgL_za2za2resza2za2z00_14629 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12125))(BgL_bodyz00_12125, BgL_sz00_12126, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14626); 
return BgL_za2za2resza2za2z00_14629;} } } } } } 

}



/* &<@anonymous:3336> */
obj_t BGl_z62zc3z04anonymousza33336ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12127, obj_t BgL_sz00_12131)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12128; obj_t BgL_bodyz00_12129; long BgL_siza7ezd2framez75_12130;
BgL_i1251z00_12128 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12127, 
(int)(((long)0)))); 
BgL_bodyz00_12129 = 
PROCEDURE_REF(BgL_envz00_12127, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12130 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12127, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14630;
BgL_bpz00_14630 = 
VECTOR_REF(
((obj_t)BgL_sz00_12131),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14631;
BgL_runz00_14631 = 
MAKE_FX_PROCEDURE(BGl_z62run4172z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14631, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12128)); 
PROCEDURE_SET(BgL_runz00_14631, 
(int)(((long)1)), BgL_bodyz00_12129); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14632;
BgL_mainz00_14632 = 
MAKE_VA_PROCEDURE(BGl_z62main4171z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14632, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12128)); 
PROCEDURE_SET(BgL_mainz00_14632, 
(int)(((long)1)), BgL_bodyz00_12129); 
PROCEDURE_SET(BgL_mainz00_14632, 
(int)(((long)2)), BgL_runz00_14631); 
PROCEDURE_SET(BgL_mainz00_14632, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12130)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14633;
BgL_objz00_14633 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14631, BgL_objz00_14633); BgL_objz00_14633; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3337z00_14634;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3338z00_14635;
BgL_arg3338z00_14635 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12128))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14636;
BgL_newz00_14636 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26216;
BgL_tmpz00_26216 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14636, BgL_tmpz00_26216, BgL_arg3338z00_14635); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26221; int BgL_tmpz00_26219;
BgL_auxz00_26221 = 
BINT(BgL_siza7ezd2framez75_12130); 
BgL_tmpz00_26219 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14636, BgL_tmpz00_26219, BgL_auxz00_26221); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26224;
BgL_tmpz00_26224 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14636, BgL_tmpz00_26224, BgL_runz00_14631); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26229; int BgL_tmpz00_26227;
BgL_auxz00_26229 = 
BINT(((long)-3)); 
BgL_tmpz00_26227 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14636, BgL_tmpz00_26227, BgL_auxz00_26229); } 
BgL_arg3337z00_14634 = BgL_newz00_14636; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14632, BgL_arg3337z00_14634); BgL_arg3337z00_14634; } 
return BgL_mainz00_14632;} } } } } } 

}



/* &main4171 */
obj_t BGl_z62main4171z62zz__evaluate_compz00(obj_t BgL_envz00_12132, obj_t BgL_cz00_12137, obj_t BgL_dz00_12138, obj_t BgL_lastz00_12139)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12135; long BgL_siza7ezd2framez75_12136;
BgL_runz00_12135 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12136 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12132, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14637;
BgL_sz00_14637 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14638;
BgL_bpz00_14638 = 
VECTOR_REF(
((obj_t)BgL_sz00_14637),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14637, BgL_bpz00_14638, 
BINT(BgL_siza7ezd2framez75_12136)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3341z00_14639;
BgL_arg3341z00_14639 = 
(
(long)CINT(BgL_bpz00_14638)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14637),BgL_arg3341z00_14639,BgL_cz00_12137); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3342z00_14640;
BgL_arg3342z00_14640 = 
(
(long)CINT(BgL_bpz00_14638)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14637),BgL_arg3342z00_14640,BgL_dz00_12138); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3343z00_14641;
BgL_arg3343z00_14641 = 
(
(long)CINT(BgL_bpz00_14638)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14637),BgL_arg3343z00_14641,BgL_lastz00_12139); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14642;
BgL_ez00_14642 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14643;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14644;
BgL_arg3987z00_14644 = 
BGL_EXITD_PROTECT(BgL_ez00_14642); 
BgL_arg3986z00_14643 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14638, BgL_arg3987z00_14644); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14642, BgL_arg3986z00_14643); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14645;
BgL_accz00_14645 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12135, BgL_sz00_14637, BgL_bpz00_14638); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5063z00_26262;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14646;
BgL_arg3985z00_14646 = 
BGL_EXITD_PROTECT(BgL_ez00_14642); 
BgL_test5063z00_26262 = 
PAIRP(BgL_arg3985z00_14646); } 
if(BgL_test5063z00_26262)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14647;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14648;
BgL_arg3984z00_14648 = 
BGL_EXITD_PROTECT(BgL_ez00_14642); 
BgL_arg3983z00_14647 = 
CDR(
((obj_t)BgL_arg3984z00_14648)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14642, BgL_arg3983z00_14647); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14637),((long)0),BgL_bpz00_14638); 
return BgL_accz00_14645;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14649;
BgL_nsz00_14649 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14649,((long)1),BgL_sz00_14637); 
VECTOR_SET(BgL_nsz00_14649,((long)2),BgL_cz00_12137); 
VECTOR_SET(BgL_nsz00_14649,((long)3),BgL_dz00_12138); 
VECTOR_SET(BgL_nsz00_14649,((long)4),BgL_lastz00_12139); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14650;
BgL_z12denvz12_14650 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14650, BgL_nsz00_14649); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14651;
BgL_ez00_14651 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14652;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14653;
BgL_arg3987z00_14653 = 
BGL_EXITD_PROTECT(BgL_ez00_14651); 
BgL_arg3986z00_14652 = 
MAKE_YOUNG_PAIR(BgL_sz00_14637, BgL_arg3987z00_14653); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14651, BgL_arg3986z00_14652); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14654;
BgL_____rz00_14654 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12135, BgL_nsz00_14649, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5064z00_26284;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14655;
BgL_arg3985z00_14655 = 
BGL_EXITD_PROTECT(BgL_ez00_14651); 
BgL_test5064z00_26284 = 
PAIRP(BgL_arg3985z00_14655); } 
if(BgL_test5064z00_26284)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14656;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14657;
BgL_arg3984z00_14657 = 
BGL_EXITD_PROTECT(BgL_ez00_14651); 
BgL_arg3983z00_14656 = 
CDR(
((obj_t)BgL_arg3984z00_14657)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14651, BgL_arg3983z00_14656); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14650, BgL_sz00_14637); 
return BgL_____rz00_14654;} } } } } } } } 

}



/* &run4172 */
obj_t BGl_z62run4172z62zz__evaluate_compz00(obj_t BgL_envz00_12140, obj_t BgL_sz00_12143)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12141; obj_t BgL_bodyz00_12142;
BgL_i1251z00_12141 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12140, 
(int)(((long)0)))); 
BgL_bodyz00_12142 = 
PROCEDURE_REF(BgL_envz00_12140, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14658;
BgL_bpz00_14658 = 
VECTOR_REF(
((obj_t)BgL_sz00_12143),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14659; obj_t BgL_wherez00_14660; obj_t BgL_locz00_14661;
BgL_z12denvz12_14659 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14660 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12141))->BgL_wherez00); 
BgL_locz00_14661 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12141))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14659, BgL_wherez00_14660, BgL_locz00_14661); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14662;
BgL_za2za2resza2za2z00_14662 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12142))(BgL_bodyz00_12142, BgL_sz00_12143, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14659); 
return BgL_za2za2resza2za2z00_14662;} } } } } } 

}



/* &<@anonymous:3345> */
obj_t BGl_z62zc3z04anonymousza33345ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12144, obj_t BgL_sz00_12149)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12145; BgL_ev_absz00_bglt BgL_i1251z00_12146; obj_t BgL_bodyz00_12147; long BgL_siza7ezd2framez75_12148;
BgL_iboxesz00_12145 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)0)))); 
BgL_i1251z00_12146 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)1)))); 
BgL_bodyz00_12147 = 
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12148 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14663;
BgL_bpz00_14663 = 
VECTOR_REF(
((obj_t)BgL_sz00_12149),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14664;
BgL_runz00_14664 = 
MAKE_FX_PROCEDURE(BGl_z62run4174z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14664, 
(int)(((long)0)), BgL_iboxesz00_12145); 
PROCEDURE_SET(BgL_runz00_14664, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12146)); 
PROCEDURE_SET(BgL_runz00_14664, 
(int)(((long)2)), BgL_bodyz00_12147); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14665;
BgL_mainz00_14665 = 
MAKE_VA_PROCEDURE(BGl_z62main4173z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14665, 
(int)(((long)0)), BgL_iboxesz00_12145); 
PROCEDURE_SET(BgL_mainz00_14665, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12146)); 
PROCEDURE_SET(BgL_mainz00_14665, 
(int)(((long)2)), BgL_bodyz00_12147); 
PROCEDURE_SET(BgL_mainz00_14665, 
(int)(((long)3)), BgL_runz00_14664); 
PROCEDURE_SET(BgL_mainz00_14665, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12148)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14666;
BgL_objz00_14666 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14664, BgL_objz00_14666); BgL_objz00_14666; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3346z00_14667;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3347z00_14668;
BgL_arg3347z00_14668 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12146))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14669;
BgL_newz00_14669 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26350;
BgL_tmpz00_26350 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14669, BgL_tmpz00_26350, BgL_arg3347z00_14668); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26355; int BgL_tmpz00_26353;
BgL_auxz00_26355 = 
BINT(BgL_siza7ezd2framez75_12148); 
BgL_tmpz00_26353 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14669, BgL_tmpz00_26353, BgL_auxz00_26355); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26358;
BgL_tmpz00_26358 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14669, BgL_tmpz00_26358, BgL_runz00_14664); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26363; int BgL_tmpz00_26361;
BgL_auxz00_26363 = 
BINT(((long)-3)); 
BgL_tmpz00_26361 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14669, BgL_tmpz00_26361, BgL_auxz00_26363); } 
BgL_arg3346z00_14667 = BgL_newz00_14669; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14665, BgL_arg3346z00_14667); BgL_arg3346z00_14667; } 
return BgL_mainz00_14665;} } } } } } 

}



/* &main4173 */
obj_t BGl_z62main4173z62zz__evaluate_compz00(obj_t BgL_envz00_12150, obj_t BgL_cz00_12156, obj_t BgL_dz00_12157, obj_t BgL_lastz00_12158)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12154; long BgL_siza7ezd2framez75_12155;
BgL_runz00_12154 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12155 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14670;
BgL_sz00_14670 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14671;
BgL_bpz00_14671 = 
VECTOR_REF(
((obj_t)BgL_sz00_14670),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14670, BgL_bpz00_14671, 
BINT(BgL_siza7ezd2framez75_12155)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3350z00_14672;
BgL_arg3350z00_14672 = 
(
(long)CINT(BgL_bpz00_14671)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14670),BgL_arg3350z00_14672,BgL_cz00_12156); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3351z00_14673;
BgL_arg3351z00_14673 = 
(
(long)CINT(BgL_bpz00_14671)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14670),BgL_arg3351z00_14673,BgL_dz00_12157); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3352z00_14674;
BgL_arg3352z00_14674 = 
(
(long)CINT(BgL_bpz00_14671)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14670),BgL_arg3352z00_14674,BgL_lastz00_12158); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14675;
BgL_ez00_14675 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14676;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14677;
BgL_arg3987z00_14677 = 
BGL_EXITD_PROTECT(BgL_ez00_14675); 
BgL_arg3986z00_14676 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14671, BgL_arg3987z00_14677); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14675, BgL_arg3986z00_14676); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14678;
BgL_accz00_14678 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12154, BgL_sz00_14670, BgL_bpz00_14671); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5066z00_26396;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14679;
BgL_arg3985z00_14679 = 
BGL_EXITD_PROTECT(BgL_ez00_14675); 
BgL_test5066z00_26396 = 
PAIRP(BgL_arg3985z00_14679); } 
if(BgL_test5066z00_26396)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14680;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14681;
BgL_arg3984z00_14681 = 
BGL_EXITD_PROTECT(BgL_ez00_14675); 
BgL_arg3983z00_14680 = 
CDR(
((obj_t)BgL_arg3984z00_14681)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14675, BgL_arg3983z00_14680); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14670),((long)0),BgL_bpz00_14671); 
return BgL_accz00_14678;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14682;
BgL_nsz00_14682 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14682,((long)1),BgL_sz00_14670); 
VECTOR_SET(BgL_nsz00_14682,((long)2),BgL_cz00_12156); 
VECTOR_SET(BgL_nsz00_14682,((long)3),BgL_dz00_12157); 
VECTOR_SET(BgL_nsz00_14682,((long)4),BgL_lastz00_12158); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14683;
BgL_z12denvz12_14683 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14683, BgL_nsz00_14682); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14684;
BgL_ez00_14684 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14685;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14686;
BgL_arg3987z00_14686 = 
BGL_EXITD_PROTECT(BgL_ez00_14684); 
BgL_arg3986z00_14685 = 
MAKE_YOUNG_PAIR(BgL_sz00_14670, BgL_arg3987z00_14686); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14684, BgL_arg3986z00_14685); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14687;
BgL_____rz00_14687 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12154, BgL_nsz00_14682, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5067z00_26418;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14688;
BgL_arg3985z00_14688 = 
BGL_EXITD_PROTECT(BgL_ez00_14684); 
BgL_test5067z00_26418 = 
PAIRP(BgL_arg3985z00_14688); } 
if(BgL_test5067z00_26418)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14689;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14690;
BgL_arg3984z00_14690 = 
BGL_EXITD_PROTECT(BgL_ez00_14684); 
BgL_arg3983z00_14689 = 
CDR(
((obj_t)BgL_arg3984z00_14690)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14684, BgL_arg3983z00_14689); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14683, BgL_sz00_14670); 
return BgL_____rz00_14687;} } } } } } } } 

}



/* &run4174 */
obj_t BGl_z62run4174z62zz__evaluate_compz00(obj_t BgL_envz00_12159, obj_t BgL_sz00_12163)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12160; BgL_ev_absz00_bglt BgL_i1251z00_12161; obj_t BgL_bodyz00_12162;
BgL_iboxesz00_12160 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12159, 
(int)(((long)0)))); 
BgL_i1251z00_12161 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12159, 
(int)(((long)1)))); 
BgL_bodyz00_12162 = 
PROCEDURE_REF(BgL_envz00_12159, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14691;
BgL_bpz00_14691 = 
VECTOR_REF(
((obj_t)BgL_sz00_12163),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12163, BgL_iboxesz00_12160, BgL_bpz00_14691); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14692; obj_t BgL_wherez00_14693; obj_t BgL_locz00_14694;
BgL_z12denvz12_14692 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14693 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12161))->BgL_wherez00); 
BgL_locz00_14694 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12161))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14692, BgL_wherez00_14693, BgL_locz00_14694); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14695;
BgL_za2za2resza2za2z00_14695 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12162))(BgL_bodyz00_12162, BgL_sz00_12163, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14692); 
return BgL_za2za2resza2za2z00_14695;} } } } } } 

}



/* &<@anonymous:3357> */
obj_t BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12164, obj_t BgL_sz00_12170)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12165; long BgL_siza7eza7_12166; BgL_ev_absz00_bglt BgL_i1251z00_12167; obj_t BgL_bodyz00_12168; long BgL_siza7ezd2framez75_12169;
BgL_ifreesz00_12165 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)0)))); 
BgL_siza7eza7_12166 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)1)))); 
BgL_i1251z00_12167 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)2)))); 
BgL_bodyz00_12168 = 
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12169 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12164, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14696;
BgL_bpz00_14696 = 
VECTOR_REF(
((obj_t)BgL_sz00_12170),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14697;
BgL_valza2za2_14697 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12170, BgL_bpz00_14696, BgL_ifreesz00_12165); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14698;
BgL_runz00_14698 = 
MAKE_FX_PROCEDURE(BGl_z62run4176z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14698, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12166)); 
PROCEDURE_SET(BgL_runz00_14698, 
(int)(((long)1)), BgL_valza2za2_14697); 
PROCEDURE_SET(BgL_runz00_14698, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12167)); 
PROCEDURE_SET(BgL_runz00_14698, 
(int)(((long)3)), BgL_bodyz00_12168); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14699;
BgL_mainz00_14699 = 
MAKE_VA_PROCEDURE(BGl_z62main4175z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14699, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12166)); 
PROCEDURE_SET(BgL_mainz00_14699, 
(int)(((long)1)), BgL_valza2za2_14697); 
PROCEDURE_SET(BgL_mainz00_14699, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12167)); 
PROCEDURE_SET(BgL_mainz00_14699, 
(int)(((long)3)), BgL_bodyz00_12168); 
PROCEDURE_SET(BgL_mainz00_14699, 
(int)(((long)4)), BgL_runz00_14698); 
PROCEDURE_SET(BgL_mainz00_14699, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12169)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14700;
BgL_objz00_14700 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14698, BgL_objz00_14700); BgL_objz00_14700; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3358z00_14701;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3359z00_14702;
BgL_arg3359z00_14702 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12167))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14703;
BgL_newz00_14703 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26498;
BgL_tmpz00_26498 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14703, BgL_tmpz00_26498, BgL_arg3359z00_14702); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26503; int BgL_tmpz00_26501;
BgL_auxz00_26503 = 
BINT(BgL_siza7ezd2framez75_12169); 
BgL_tmpz00_26501 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14703, BgL_tmpz00_26501, BgL_auxz00_26503); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26506;
BgL_tmpz00_26506 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14703, BgL_tmpz00_26506, BgL_runz00_14698); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26511; int BgL_tmpz00_26509;
BgL_auxz00_26511 = 
BINT(((long)-3)); 
BgL_tmpz00_26509 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14703, BgL_tmpz00_26509, BgL_auxz00_26511); } 
BgL_arg3358z00_14701 = BgL_newz00_14703; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14699, BgL_arg3358z00_14701); BgL_arg3358z00_14701; } 
return BgL_mainz00_14699;} } } } } } 

}



/* &main4175 */
obj_t BGl_z62main4175z62zz__evaluate_compz00(obj_t BgL_envz00_12171, obj_t BgL_cz00_12178, obj_t BgL_dz00_12179, obj_t BgL_lastz00_12180)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12176; long BgL_siza7ezd2framez75_12177;
BgL_runz00_12176 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12171, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12177 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12171, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14704;
BgL_sz00_14704 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14705;
BgL_bpz00_14705 = 
VECTOR_REF(
((obj_t)BgL_sz00_14704),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14704, BgL_bpz00_14705, 
BINT(BgL_siza7ezd2framez75_12177)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3362z00_14706;
BgL_arg3362z00_14706 = 
(
(long)CINT(BgL_bpz00_14705)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14704),BgL_arg3362z00_14706,BgL_cz00_12178); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3363z00_14707;
BgL_arg3363z00_14707 = 
(
(long)CINT(BgL_bpz00_14705)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14704),BgL_arg3363z00_14707,BgL_dz00_12179); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3364z00_14708;
BgL_arg3364z00_14708 = 
(
(long)CINT(BgL_bpz00_14705)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14704),BgL_arg3364z00_14708,BgL_lastz00_12180); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14709;
BgL_ez00_14709 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14710;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14711;
BgL_arg3987z00_14711 = 
BGL_EXITD_PROTECT(BgL_ez00_14709); 
BgL_arg3986z00_14710 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14705, BgL_arg3987z00_14711); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14709, BgL_arg3986z00_14710); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14712;
BgL_accz00_14712 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12176, BgL_sz00_14704, BgL_bpz00_14705); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5069z00_26544;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14713;
BgL_arg3985z00_14713 = 
BGL_EXITD_PROTECT(BgL_ez00_14709); 
BgL_test5069z00_26544 = 
PAIRP(BgL_arg3985z00_14713); } 
if(BgL_test5069z00_26544)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14714;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14715;
BgL_arg3984z00_14715 = 
BGL_EXITD_PROTECT(BgL_ez00_14709); 
BgL_arg3983z00_14714 = 
CDR(
((obj_t)BgL_arg3984z00_14715)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14709, BgL_arg3983z00_14714); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14704),((long)0),BgL_bpz00_14705); 
return BgL_accz00_14712;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14716;
BgL_nsz00_14716 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14716,((long)1),BgL_sz00_14704); 
VECTOR_SET(BgL_nsz00_14716,((long)2),BgL_cz00_12178); 
VECTOR_SET(BgL_nsz00_14716,((long)3),BgL_dz00_12179); 
VECTOR_SET(BgL_nsz00_14716,((long)4),BgL_lastz00_12180); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14717;
BgL_z12denvz12_14717 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14717, BgL_nsz00_14716); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14718;
BgL_ez00_14718 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14719;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14720;
BgL_arg3987z00_14720 = 
BGL_EXITD_PROTECT(BgL_ez00_14718); 
BgL_arg3986z00_14719 = 
MAKE_YOUNG_PAIR(BgL_sz00_14704, BgL_arg3987z00_14720); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14718, BgL_arg3986z00_14719); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14721;
BgL_____rz00_14721 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12176, BgL_nsz00_14716, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5070z00_26566;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14722;
BgL_arg3985z00_14722 = 
BGL_EXITD_PROTECT(BgL_ez00_14718); 
BgL_test5070z00_26566 = 
PAIRP(BgL_arg3985z00_14722); } 
if(BgL_test5070z00_26566)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14723;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14724;
BgL_arg3984z00_14724 = 
BGL_EXITD_PROTECT(BgL_ez00_14718); 
BgL_arg3983z00_14723 = 
CDR(
((obj_t)BgL_arg3984z00_14724)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14718, BgL_arg3983z00_14723); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14717, BgL_sz00_14704); 
return BgL_____rz00_14721;} } } } } } } } 

}



/* &run4176 */
obj_t BGl_z62run4176z62zz__evaluate_compz00(obj_t BgL_envz00_12181, obj_t BgL_sz00_12186)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12182; obj_t BgL_valza2za2_12183; BgL_ev_absz00_bglt BgL_i1251z00_12184; obj_t BgL_bodyz00_12185;
BgL_siza7eza7_12182 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12181, 
(int)(((long)0)))); 
BgL_valza2za2_12183 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12181, 
(int)(((long)1)))); 
BgL_i1251z00_12184 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12181, 
(int)(((long)2)))); 
BgL_bodyz00_12185 = 
PROCEDURE_REF(BgL_envz00_12181, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14725;
BgL_bpz00_14725 = 
VECTOR_REF(
((obj_t)BgL_sz00_12186),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12186, BgL_valza2za2_12183, 
(
(long)CINT(BgL_bpz00_14725)+BgL_siza7eza7_12182)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14726; obj_t BgL_wherez00_14727; obj_t BgL_locz00_14728;
BgL_z12denvz12_14726 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14727 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12184))->BgL_wherez00); 
BgL_locz00_14728 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12184))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14726, BgL_wherez00_14727, BgL_locz00_14728); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14729;
BgL_za2za2resza2za2z00_14729 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12185))(BgL_bodyz00_12185, BgL_sz00_12186, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14726); 
return BgL_za2za2resza2za2z00_14729;} } } } } } 

}



/* &<@anonymous:3367> */
obj_t BGl_z62zc3z04anonymousza33367ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12187, obj_t BgL_sz00_12194)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12188; obj_t BgL_iboxesz00_12189; long BgL_siza7eza7_12190; BgL_ev_absz00_bglt BgL_i1251z00_12191; obj_t BgL_bodyz00_12192; long BgL_siza7ezd2framez75_12193;
BgL_ifreesz00_12188 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)0)))); 
BgL_iboxesz00_12189 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)1)))); 
BgL_siza7eza7_12190 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)2)))); 
BgL_i1251z00_12191 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)3)))); 
BgL_bodyz00_12192 = 
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12193 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14730;
BgL_bpz00_14730 = 
VECTOR_REF(
((obj_t)BgL_sz00_12194),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14731;
BgL_valza2za2_14731 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12194, BgL_bpz00_14730, BgL_ifreesz00_12188); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14732;
BgL_runz00_14732 = 
MAKE_FX_PROCEDURE(BGl_z62run4178z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14732, 
(int)(((long)0)), BgL_iboxesz00_12189); 
PROCEDURE_SET(BgL_runz00_14732, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12190)); 
PROCEDURE_SET(BgL_runz00_14732, 
(int)(((long)2)), BgL_valza2za2_14731); 
PROCEDURE_SET(BgL_runz00_14732, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12191)); 
PROCEDURE_SET(BgL_runz00_14732, 
(int)(((long)4)), BgL_bodyz00_12192); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14733;
BgL_mainz00_14733 = 
MAKE_VA_PROCEDURE(BGl_z62main4177z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14733, 
(int)(((long)0)), BgL_iboxesz00_12189); 
PROCEDURE_SET(BgL_mainz00_14733, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12190)); 
PROCEDURE_SET(BgL_mainz00_14733, 
(int)(((long)2)), BgL_valza2za2_14731); 
PROCEDURE_SET(BgL_mainz00_14733, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12191)); 
PROCEDURE_SET(BgL_mainz00_14733, 
(int)(((long)4)), BgL_bodyz00_12192); 
PROCEDURE_SET(BgL_mainz00_14733, 
(int)(((long)5)), BgL_runz00_14732); 
PROCEDURE_SET(BgL_mainz00_14733, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12193)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14734;
BgL_objz00_14734 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14732, BgL_objz00_14734); BgL_objz00_14734; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3368z00_14735;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3369z00_14736;
BgL_arg3369z00_14736 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12191))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14737;
BgL_newz00_14737 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26658;
BgL_tmpz00_26658 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14737, BgL_tmpz00_26658, BgL_arg3369z00_14736); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26663; int BgL_tmpz00_26661;
BgL_auxz00_26663 = 
BINT(BgL_siza7ezd2framez75_12193); 
BgL_tmpz00_26661 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14737, BgL_tmpz00_26661, BgL_auxz00_26663); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26666;
BgL_tmpz00_26666 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14737, BgL_tmpz00_26666, BgL_runz00_14732); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26671; int BgL_tmpz00_26669;
BgL_auxz00_26671 = 
BINT(((long)-3)); 
BgL_tmpz00_26669 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14737, BgL_tmpz00_26669, BgL_auxz00_26671); } 
BgL_arg3368z00_14735 = BgL_newz00_14737; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14733, BgL_arg3368z00_14735); BgL_arg3368z00_14735; } 
return BgL_mainz00_14733;} } } } } } 

}



/* &main4177 */
obj_t BGl_z62main4177z62zz__evaluate_compz00(obj_t BgL_envz00_12195, obj_t BgL_cz00_12203, obj_t BgL_dz00_12204, obj_t BgL_lastz00_12205)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12201; long BgL_siza7ezd2framez75_12202;
BgL_runz00_12201 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12195, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12202 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12195, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14738;
BgL_sz00_14738 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14739;
BgL_bpz00_14739 = 
VECTOR_REF(
((obj_t)BgL_sz00_14738),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14738, BgL_bpz00_14739, 
BINT(BgL_siza7ezd2framez75_12202)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3372z00_14740;
BgL_arg3372z00_14740 = 
(
(long)CINT(BgL_bpz00_14739)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14738),BgL_arg3372z00_14740,BgL_cz00_12203); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3373z00_14741;
BgL_arg3373z00_14741 = 
(
(long)CINT(BgL_bpz00_14739)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14738),BgL_arg3373z00_14741,BgL_dz00_12204); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3374z00_14742;
BgL_arg3374z00_14742 = 
(
(long)CINT(BgL_bpz00_14739)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14738),BgL_arg3374z00_14742,BgL_lastz00_12205); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14743;
BgL_ez00_14743 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14744;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14745;
BgL_arg3987z00_14745 = 
BGL_EXITD_PROTECT(BgL_ez00_14743); 
BgL_arg3986z00_14744 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14739, BgL_arg3987z00_14745); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14743, BgL_arg3986z00_14744); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14746;
BgL_accz00_14746 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12201, BgL_sz00_14738, BgL_bpz00_14739); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5072z00_26704;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14747;
BgL_arg3985z00_14747 = 
BGL_EXITD_PROTECT(BgL_ez00_14743); 
BgL_test5072z00_26704 = 
PAIRP(BgL_arg3985z00_14747); } 
if(BgL_test5072z00_26704)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14748;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14749;
BgL_arg3984z00_14749 = 
BGL_EXITD_PROTECT(BgL_ez00_14743); 
BgL_arg3983z00_14748 = 
CDR(
((obj_t)BgL_arg3984z00_14749)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14743, BgL_arg3983z00_14748); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14738),((long)0),BgL_bpz00_14739); 
return BgL_accz00_14746;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14750;
BgL_nsz00_14750 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14750,((long)1),BgL_sz00_14738); 
VECTOR_SET(BgL_nsz00_14750,((long)2),BgL_cz00_12203); 
VECTOR_SET(BgL_nsz00_14750,((long)3),BgL_dz00_12204); 
VECTOR_SET(BgL_nsz00_14750,((long)4),BgL_lastz00_12205); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14751;
BgL_z12denvz12_14751 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14751, BgL_nsz00_14750); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14752;
BgL_ez00_14752 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14753;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14754;
BgL_arg3987z00_14754 = 
BGL_EXITD_PROTECT(BgL_ez00_14752); 
BgL_arg3986z00_14753 = 
MAKE_YOUNG_PAIR(BgL_sz00_14738, BgL_arg3987z00_14754); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14752, BgL_arg3986z00_14753); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14755;
BgL_____rz00_14755 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12201, BgL_nsz00_14750, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5073z00_26726;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14756;
BgL_arg3985z00_14756 = 
BGL_EXITD_PROTECT(BgL_ez00_14752); 
BgL_test5073z00_26726 = 
PAIRP(BgL_arg3985z00_14756); } 
if(BgL_test5073z00_26726)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14757;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14758;
BgL_arg3984z00_14758 = 
BGL_EXITD_PROTECT(BgL_ez00_14752); 
BgL_arg3983z00_14757 = 
CDR(
((obj_t)BgL_arg3984z00_14758)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14752, BgL_arg3983z00_14757); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14751, BgL_sz00_14738); 
return BgL_____rz00_14755;} } } } } } } } 

}



/* &run4178 */
obj_t BGl_z62run4178z62zz__evaluate_compz00(obj_t BgL_envz00_12206, obj_t BgL_sz00_12212)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12207; long BgL_siza7eza7_12208; obj_t BgL_valza2za2_12209; BgL_ev_absz00_bglt BgL_i1251z00_12210; obj_t BgL_bodyz00_12211;
BgL_iboxesz00_12207 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)0)))); 
BgL_siza7eza7_12208 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)1)))); 
BgL_valza2za2_12209 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)2)))); 
BgL_i1251z00_12210 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)3)))); 
BgL_bodyz00_12211 = 
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14759;
BgL_bpz00_14759 = 
VECTOR_REF(
((obj_t)BgL_sz00_12212),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12212, BgL_iboxesz00_12207, BgL_bpz00_14759); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12212, BgL_valza2za2_12209, 
(
(long)CINT(BgL_bpz00_14759)+BgL_siza7eza7_12208)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14760; obj_t BgL_wherez00_14761; obj_t BgL_locz00_14762;
BgL_z12denvz12_14760 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14761 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12210))->BgL_wherez00); 
BgL_locz00_14762 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12210))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14760, BgL_wherez00_14761, BgL_locz00_14762); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14763;
BgL_za2za2resza2za2z00_14763 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12211))(BgL_bodyz00_12211, BgL_sz00_12212, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14760); 
return BgL_za2za2resza2za2z00_14763;} } } } } } 

}



/* &<@anonymous:3293> */
obj_t BGl_z62zc3z04anonymousza33293ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12213, obj_t BgL_sz00_12217)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12214; obj_t BgL_bodyz00_12215; long BgL_siza7ezd2framez75_12216;
BgL_i1251z00_12214 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12213, 
(int)(((long)0)))); 
BgL_bodyz00_12215 = 
PROCEDURE_REF(BgL_envz00_12213, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12216 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12213, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14764;
BgL_bpz00_14764 = 
VECTOR_REF(
((obj_t)BgL_sz00_12217),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14765;
BgL_runz00_14765 = 
MAKE_FX_PROCEDURE(BGl_z62run4180z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14765, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12214)); 
PROCEDURE_SET(BgL_runz00_14765, 
(int)(((long)1)), BgL_bodyz00_12215); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14766;
BgL_mainz00_14766 = 
MAKE_FX_PROCEDURE(BGl_z62main4179z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14766, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12214)); 
PROCEDURE_SET(BgL_mainz00_14766, 
(int)(((long)1)), BgL_bodyz00_12215); 
PROCEDURE_SET(BgL_mainz00_14766, 
(int)(((long)2)), BgL_runz00_14765); 
PROCEDURE_SET(BgL_mainz00_14766, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12216)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14767;
BgL_objz00_14767 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14765, BgL_objz00_14767); BgL_objz00_14767; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3294z00_14768;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3295z00_14769;
BgL_arg3295z00_14769 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12214))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14770;
BgL_newz00_14770 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26798;
BgL_tmpz00_26798 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14770, BgL_tmpz00_26798, BgL_arg3295z00_14769); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26803; int BgL_tmpz00_26801;
BgL_auxz00_26803 = 
BINT(BgL_siza7ezd2framez75_12216); 
BgL_tmpz00_26801 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14770, BgL_tmpz00_26801, BgL_auxz00_26803); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26806;
BgL_tmpz00_26806 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14770, BgL_tmpz00_26806, BgL_runz00_14765); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26811; int BgL_tmpz00_26809;
BgL_auxz00_26811 = 
BINT(((long)2)); 
BgL_tmpz00_26809 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14770, BgL_tmpz00_26809, BgL_auxz00_26811); } 
BgL_arg3294z00_14768 = BgL_newz00_14770; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14766, BgL_arg3294z00_14768); BgL_arg3294z00_14768; } 
return BgL_mainz00_14766;} } } } } } 

}



/* &main4179 */
obj_t BGl_z62main4179z62zz__evaluate_compz00(obj_t BgL_envz00_12218, obj_t BgL_cz00_12223, obj_t BgL_dz00_12224)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12221; long BgL_siza7ezd2framez75_12222;
BgL_runz00_12221 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12218, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12222 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12218, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14771;
BgL_sz00_14771 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14772;
BgL_bpz00_14772 = 
VECTOR_REF(
((obj_t)BgL_sz00_14771),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14771, BgL_bpz00_14772, 
BINT(BgL_siza7ezd2framez75_12222)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3298z00_14773;
BgL_arg3298z00_14773 = 
(
(long)CINT(BgL_bpz00_14772)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14771),BgL_arg3298z00_14773,BgL_cz00_12223); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3299z00_14774;
BgL_arg3299z00_14774 = 
(
(long)CINT(BgL_bpz00_14772)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14771),BgL_arg3299z00_14774,BgL_dz00_12224); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14775;
BgL_ez00_14775 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14776;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14777;
BgL_arg3987z00_14777 = 
BGL_EXITD_PROTECT(BgL_ez00_14775); 
BgL_arg3986z00_14776 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14772, BgL_arg3987z00_14777); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14775, BgL_arg3986z00_14776); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14778;
BgL_accz00_14778 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12221, BgL_sz00_14771, BgL_bpz00_14772); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5075z00_26840;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14779;
BgL_arg3985z00_14779 = 
BGL_EXITD_PROTECT(BgL_ez00_14775); 
BgL_test5075z00_26840 = 
PAIRP(BgL_arg3985z00_14779); } 
if(BgL_test5075z00_26840)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14780;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14781;
BgL_arg3984z00_14781 = 
BGL_EXITD_PROTECT(BgL_ez00_14775); 
BgL_arg3983z00_14780 = 
CDR(
((obj_t)BgL_arg3984z00_14781)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14775, BgL_arg3983z00_14780); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14771),((long)0),BgL_bpz00_14772); 
return BgL_accz00_14778;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14782;
BgL_nsz00_14782 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14782,((long)1),BgL_sz00_14771); 
VECTOR_SET(BgL_nsz00_14782,((long)2),BgL_cz00_12223); 
VECTOR_SET(BgL_nsz00_14782,((long)3),BgL_dz00_12224); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14783;
BgL_z12denvz12_14783 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14783, BgL_nsz00_14782); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14784;
BgL_ez00_14784 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14785;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14786;
BgL_arg3987z00_14786 = 
BGL_EXITD_PROTECT(BgL_ez00_14784); 
BgL_arg3986z00_14785 = 
MAKE_YOUNG_PAIR(BgL_sz00_14771, BgL_arg3987z00_14786); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14784, BgL_arg3986z00_14785); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14787;
BgL_____rz00_14787 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12221, BgL_nsz00_14782, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5076z00_26861;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14788;
BgL_arg3985z00_14788 = 
BGL_EXITD_PROTECT(BgL_ez00_14784); 
BgL_test5076z00_26861 = 
PAIRP(BgL_arg3985z00_14788); } 
if(BgL_test5076z00_26861)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14789;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14790;
BgL_arg3984z00_14790 = 
BGL_EXITD_PROTECT(BgL_ez00_14784); 
BgL_arg3983z00_14789 = 
CDR(
((obj_t)BgL_arg3984z00_14790)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14784, BgL_arg3983z00_14789); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14783, BgL_sz00_14771); 
return BgL_____rz00_14787;} } } } } } } } 

}



/* &run4180 */
obj_t BGl_z62run4180z62zz__evaluate_compz00(obj_t BgL_envz00_12225, obj_t BgL_sz00_12228)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12226; obj_t BgL_bodyz00_12227;
BgL_i1251z00_12226 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12225, 
(int)(((long)0)))); 
BgL_bodyz00_12227 = 
PROCEDURE_REF(BgL_envz00_12225, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14791;
BgL_bpz00_14791 = 
VECTOR_REF(
((obj_t)BgL_sz00_12228),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14792; obj_t BgL_wherez00_14793; obj_t BgL_locz00_14794;
BgL_z12denvz12_14792 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14793 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12226))->BgL_wherez00); 
BgL_locz00_14794 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12226))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14792, BgL_wherez00_14793, BgL_locz00_14794); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14795;
BgL_za2za2resza2za2z00_14795 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12227))(BgL_bodyz00_12227, BgL_sz00_12228, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14792); 
return BgL_za2za2resza2za2z00_14795;} } } } } } 

}



/* &<@anonymous:3301> */
obj_t BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12229, obj_t BgL_sz00_12234)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12230; BgL_ev_absz00_bglt BgL_i1251z00_12231; obj_t BgL_bodyz00_12232; long BgL_siza7ezd2framez75_12233;
BgL_iboxesz00_12230 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12229, 
(int)(((long)0)))); 
BgL_i1251z00_12231 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12229, 
(int)(((long)1)))); 
BgL_bodyz00_12232 = 
PROCEDURE_REF(BgL_envz00_12229, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12233 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12229, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14796;
BgL_bpz00_14796 = 
VECTOR_REF(
((obj_t)BgL_sz00_12234),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14797;
BgL_runz00_14797 = 
MAKE_FX_PROCEDURE(BGl_z62run4182z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14797, 
(int)(((long)0)), BgL_iboxesz00_12230); 
PROCEDURE_SET(BgL_runz00_14797, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12231)); 
PROCEDURE_SET(BgL_runz00_14797, 
(int)(((long)2)), BgL_bodyz00_12232); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14798;
BgL_mainz00_14798 = 
MAKE_FX_PROCEDURE(BGl_z62main4181z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14798, 
(int)(((long)0)), BgL_iboxesz00_12230); 
PROCEDURE_SET(BgL_mainz00_14798, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12231)); 
PROCEDURE_SET(BgL_mainz00_14798, 
(int)(((long)2)), BgL_bodyz00_12232); 
PROCEDURE_SET(BgL_mainz00_14798, 
(int)(((long)3)), BgL_runz00_14797); 
PROCEDURE_SET(BgL_mainz00_14798, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12233)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14799;
BgL_objz00_14799 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14797, BgL_objz00_14799); BgL_objz00_14799; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3302z00_14800;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3303z00_14801;
BgL_arg3303z00_14801 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12231))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14802;
BgL_newz00_14802 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26927;
BgL_tmpz00_26927 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14802, BgL_tmpz00_26927, BgL_arg3303z00_14801); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26932; int BgL_tmpz00_26930;
BgL_auxz00_26932 = 
BINT(BgL_siza7ezd2framez75_12233); 
BgL_tmpz00_26930 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14802, BgL_tmpz00_26930, BgL_auxz00_26932); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26935;
BgL_tmpz00_26935 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14802, BgL_tmpz00_26935, BgL_runz00_14797); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26940; int BgL_tmpz00_26938;
BgL_auxz00_26940 = 
BINT(((long)2)); 
BgL_tmpz00_26938 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14802, BgL_tmpz00_26938, BgL_auxz00_26940); } 
BgL_arg3302z00_14800 = BgL_newz00_14802; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14798, BgL_arg3302z00_14800); BgL_arg3302z00_14800; } 
return BgL_mainz00_14798;} } } } } } 

}



/* &main4181 */
obj_t BGl_z62main4181z62zz__evaluate_compz00(obj_t BgL_envz00_12235, obj_t BgL_cz00_12241, obj_t BgL_dz00_12242)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12239; long BgL_siza7ezd2framez75_12240;
BgL_runz00_12239 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12235, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12240 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12235, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14803;
BgL_sz00_14803 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14804;
BgL_bpz00_14804 = 
VECTOR_REF(
((obj_t)BgL_sz00_14803),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14803, BgL_bpz00_14804, 
BINT(BgL_siza7ezd2framez75_12240)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3306z00_14805;
BgL_arg3306z00_14805 = 
(
(long)CINT(BgL_bpz00_14804)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14803),BgL_arg3306z00_14805,BgL_cz00_12241); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3307z00_14806;
BgL_arg3307z00_14806 = 
(
(long)CINT(BgL_bpz00_14804)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14803),BgL_arg3307z00_14806,BgL_dz00_12242); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14807;
BgL_ez00_14807 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14808;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14809;
BgL_arg3987z00_14809 = 
BGL_EXITD_PROTECT(BgL_ez00_14807); 
BgL_arg3986z00_14808 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14804, BgL_arg3987z00_14809); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14807, BgL_arg3986z00_14808); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14810;
BgL_accz00_14810 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12239, BgL_sz00_14803, BgL_bpz00_14804); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5078z00_26969;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14811;
BgL_arg3985z00_14811 = 
BGL_EXITD_PROTECT(BgL_ez00_14807); 
BgL_test5078z00_26969 = 
PAIRP(BgL_arg3985z00_14811); } 
if(BgL_test5078z00_26969)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14812;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14813;
BgL_arg3984z00_14813 = 
BGL_EXITD_PROTECT(BgL_ez00_14807); 
BgL_arg3983z00_14812 = 
CDR(
((obj_t)BgL_arg3984z00_14813)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14807, BgL_arg3983z00_14812); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14803),((long)0),BgL_bpz00_14804); 
return BgL_accz00_14810;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14814;
BgL_nsz00_14814 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14814,((long)1),BgL_sz00_14803); 
VECTOR_SET(BgL_nsz00_14814,((long)2),BgL_cz00_12241); 
VECTOR_SET(BgL_nsz00_14814,((long)3),BgL_dz00_12242); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14815;
BgL_z12denvz12_14815 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14815, BgL_nsz00_14814); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14816;
BgL_ez00_14816 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14817;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14818;
BgL_arg3987z00_14818 = 
BGL_EXITD_PROTECT(BgL_ez00_14816); 
BgL_arg3986z00_14817 = 
MAKE_YOUNG_PAIR(BgL_sz00_14803, BgL_arg3987z00_14818); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14816, BgL_arg3986z00_14817); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14819;
BgL_____rz00_14819 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12239, BgL_nsz00_14814, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5079z00_26990;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14820;
BgL_arg3985z00_14820 = 
BGL_EXITD_PROTECT(BgL_ez00_14816); 
BgL_test5079z00_26990 = 
PAIRP(BgL_arg3985z00_14820); } 
if(BgL_test5079z00_26990)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14821;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14822;
BgL_arg3984z00_14822 = 
BGL_EXITD_PROTECT(BgL_ez00_14816); 
BgL_arg3983z00_14821 = 
CDR(
((obj_t)BgL_arg3984z00_14822)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14816, BgL_arg3983z00_14821); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14815, BgL_sz00_14803); 
return BgL_____rz00_14819;} } } } } } } } 

}



/* &run4182 */
obj_t BGl_z62run4182z62zz__evaluate_compz00(obj_t BgL_envz00_12243, obj_t BgL_sz00_12247)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12244; BgL_ev_absz00_bglt BgL_i1251z00_12245; obj_t BgL_bodyz00_12246;
BgL_iboxesz00_12244 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)0)))); 
BgL_i1251z00_12245 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)1)))); 
BgL_bodyz00_12246 = 
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14823;
BgL_bpz00_14823 = 
VECTOR_REF(
((obj_t)BgL_sz00_12247),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12247, BgL_iboxesz00_12244, BgL_bpz00_14823); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14824; obj_t BgL_wherez00_14825; obj_t BgL_locz00_14826;
BgL_z12denvz12_14824 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14825 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12245))->BgL_wherez00); 
BgL_locz00_14826 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12245))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14824, BgL_wherez00_14825, BgL_locz00_14826); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14827;
BgL_za2za2resza2za2z00_14827 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12246))(BgL_bodyz00_12246, BgL_sz00_12247, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14824); 
return BgL_za2za2resza2za2z00_14827;} } } } } } 

}



/* &<@anonymous:3312> */
obj_t BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12248, obj_t BgL_sz00_12254)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12249; long BgL_siza7eza7_12250; BgL_ev_absz00_bglt BgL_i1251z00_12251; obj_t BgL_bodyz00_12252; long BgL_siza7ezd2framez75_12253;
BgL_ifreesz00_12249 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12248, 
(int)(((long)0)))); 
BgL_siza7eza7_12250 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12248, 
(int)(((long)1)))); 
BgL_i1251z00_12251 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12248, 
(int)(((long)2)))); 
BgL_bodyz00_12252 = 
PROCEDURE_REF(BgL_envz00_12248, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12253 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12248, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14828;
BgL_bpz00_14828 = 
VECTOR_REF(
((obj_t)BgL_sz00_12254),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14829;
BgL_valza2za2_14829 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12254, BgL_bpz00_14828, BgL_ifreesz00_12249); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14830;
BgL_runz00_14830 = 
MAKE_FX_PROCEDURE(BGl_z62run4184z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14830, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12250)); 
PROCEDURE_SET(BgL_runz00_14830, 
(int)(((long)1)), BgL_valza2za2_14829); 
PROCEDURE_SET(BgL_runz00_14830, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12251)); 
PROCEDURE_SET(BgL_runz00_14830, 
(int)(((long)3)), BgL_bodyz00_12252); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14831;
BgL_mainz00_14831 = 
MAKE_FX_PROCEDURE(BGl_z62main4183z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14831, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12250)); 
PROCEDURE_SET(BgL_mainz00_14831, 
(int)(((long)1)), BgL_valza2za2_14829); 
PROCEDURE_SET(BgL_mainz00_14831, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12251)); 
PROCEDURE_SET(BgL_mainz00_14831, 
(int)(((long)3)), BgL_bodyz00_12252); 
PROCEDURE_SET(BgL_mainz00_14831, 
(int)(((long)4)), BgL_runz00_14830); 
PROCEDURE_SET(BgL_mainz00_14831, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12253)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14832;
BgL_objz00_14832 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14830, BgL_objz00_14832); BgL_objz00_14832; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3313z00_14833;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3314z00_14834;
BgL_arg3314z00_14834 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12251))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14835;
BgL_newz00_14835 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27070;
BgL_tmpz00_27070 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14835, BgL_tmpz00_27070, BgL_arg3314z00_14834); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27075; int BgL_tmpz00_27073;
BgL_auxz00_27075 = 
BINT(BgL_siza7ezd2framez75_12253); 
BgL_tmpz00_27073 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14835, BgL_tmpz00_27073, BgL_auxz00_27075); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27078;
BgL_tmpz00_27078 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14835, BgL_tmpz00_27078, BgL_runz00_14830); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27083; int BgL_tmpz00_27081;
BgL_auxz00_27083 = 
BINT(((long)2)); 
BgL_tmpz00_27081 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14835, BgL_tmpz00_27081, BgL_auxz00_27083); } 
BgL_arg3313z00_14833 = BgL_newz00_14835; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14831, BgL_arg3313z00_14833); BgL_arg3313z00_14833; } 
return BgL_mainz00_14831;} } } } } } 

}



/* &main4183 */
obj_t BGl_z62main4183z62zz__evaluate_compz00(obj_t BgL_envz00_12255, obj_t BgL_cz00_12262, obj_t BgL_dz00_12263)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12260; long BgL_siza7ezd2framez75_12261;
BgL_runz00_12260 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12255, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12261 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12255, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14836;
BgL_sz00_14836 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14837;
BgL_bpz00_14837 = 
VECTOR_REF(
((obj_t)BgL_sz00_14836),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14836, BgL_bpz00_14837, 
BINT(BgL_siza7ezd2framez75_12261)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3317z00_14838;
BgL_arg3317z00_14838 = 
(
(long)CINT(BgL_bpz00_14837)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14836),BgL_arg3317z00_14838,BgL_cz00_12262); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3318z00_14839;
BgL_arg3318z00_14839 = 
(
(long)CINT(BgL_bpz00_14837)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14836),BgL_arg3318z00_14839,BgL_dz00_12263); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14840;
BgL_ez00_14840 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14841;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14842;
BgL_arg3987z00_14842 = 
BGL_EXITD_PROTECT(BgL_ez00_14840); 
BgL_arg3986z00_14841 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14837, BgL_arg3987z00_14842); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14840, BgL_arg3986z00_14841); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14843;
BgL_accz00_14843 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12260, BgL_sz00_14836, BgL_bpz00_14837); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5081z00_27112;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14844;
BgL_arg3985z00_14844 = 
BGL_EXITD_PROTECT(BgL_ez00_14840); 
BgL_test5081z00_27112 = 
PAIRP(BgL_arg3985z00_14844); } 
if(BgL_test5081z00_27112)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14845;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14846;
BgL_arg3984z00_14846 = 
BGL_EXITD_PROTECT(BgL_ez00_14840); 
BgL_arg3983z00_14845 = 
CDR(
((obj_t)BgL_arg3984z00_14846)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14840, BgL_arg3983z00_14845); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14836),((long)0),BgL_bpz00_14837); 
return BgL_accz00_14843;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14847;
BgL_nsz00_14847 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14847,((long)1),BgL_sz00_14836); 
VECTOR_SET(BgL_nsz00_14847,((long)2),BgL_cz00_12262); 
VECTOR_SET(BgL_nsz00_14847,((long)3),BgL_dz00_12263); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14848;
BgL_z12denvz12_14848 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14848, BgL_nsz00_14847); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14849;
BgL_ez00_14849 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14850;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14851;
BgL_arg3987z00_14851 = 
BGL_EXITD_PROTECT(BgL_ez00_14849); 
BgL_arg3986z00_14850 = 
MAKE_YOUNG_PAIR(BgL_sz00_14836, BgL_arg3987z00_14851); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14849, BgL_arg3986z00_14850); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14852;
BgL_____rz00_14852 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12260, BgL_nsz00_14847, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5082z00_27133;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14853;
BgL_arg3985z00_14853 = 
BGL_EXITD_PROTECT(BgL_ez00_14849); 
BgL_test5082z00_27133 = 
PAIRP(BgL_arg3985z00_14853); } 
if(BgL_test5082z00_27133)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14854;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14855;
BgL_arg3984z00_14855 = 
BGL_EXITD_PROTECT(BgL_ez00_14849); 
BgL_arg3983z00_14854 = 
CDR(
((obj_t)BgL_arg3984z00_14855)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14849, BgL_arg3983z00_14854); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14848, BgL_sz00_14836); 
return BgL_____rz00_14852;} } } } } } } } 

}



/* &run4184 */
obj_t BGl_z62run4184z62zz__evaluate_compz00(obj_t BgL_envz00_12264, obj_t BgL_sz00_12269)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12265; obj_t BgL_valza2za2_12266; BgL_ev_absz00_bglt BgL_i1251z00_12267; obj_t BgL_bodyz00_12268;
BgL_siza7eza7_12265 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12264, 
(int)(((long)0)))); 
BgL_valza2za2_12266 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12264, 
(int)(((long)1)))); 
BgL_i1251z00_12267 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12264, 
(int)(((long)2)))); 
BgL_bodyz00_12268 = 
PROCEDURE_REF(BgL_envz00_12264, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14856;
BgL_bpz00_14856 = 
VECTOR_REF(
((obj_t)BgL_sz00_12269),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12269, BgL_valza2za2_12266, 
(
(long)CINT(BgL_bpz00_14856)+BgL_siza7eza7_12265)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14857; obj_t BgL_wherez00_14858; obj_t BgL_locz00_14859;
BgL_z12denvz12_14857 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14858 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12267))->BgL_wherez00); 
BgL_locz00_14859 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12267))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14857, BgL_wherez00_14858, BgL_locz00_14859); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14860;
BgL_za2za2resza2za2z00_14860 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12268))(BgL_bodyz00_12268, BgL_sz00_12269, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14857); 
return BgL_za2za2resza2za2z00_14860;} } } } } } 

}



/* &<@anonymous:3321> */
obj_t BGl_z62zc3z04anonymousza33321ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12270, obj_t BgL_sz00_12277)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12271; obj_t BgL_iboxesz00_12272; long BgL_siza7eza7_12273; BgL_ev_absz00_bglt BgL_i1251z00_12274; obj_t BgL_bodyz00_12275; long BgL_siza7ezd2framez75_12276;
BgL_ifreesz00_12271 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12270, 
(int)(((long)0)))); 
BgL_iboxesz00_12272 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12270, 
(int)(((long)1)))); 
BgL_siza7eza7_12273 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12270, 
(int)(((long)2)))); 
BgL_i1251z00_12274 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12270, 
(int)(((long)3)))); 
BgL_bodyz00_12275 = 
PROCEDURE_REF(BgL_envz00_12270, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12276 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12270, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14861;
BgL_bpz00_14861 = 
VECTOR_REF(
((obj_t)BgL_sz00_12277),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14862;
BgL_valza2za2_14862 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12277, BgL_bpz00_14861, BgL_ifreesz00_12271); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14863;
BgL_runz00_14863 = 
MAKE_FX_PROCEDURE(BGl_z62run4186z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14863, 
(int)(((long)0)), BgL_iboxesz00_12272); 
PROCEDURE_SET(BgL_runz00_14863, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12273)); 
PROCEDURE_SET(BgL_runz00_14863, 
(int)(((long)2)), BgL_valza2za2_14862); 
PROCEDURE_SET(BgL_runz00_14863, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12274)); 
PROCEDURE_SET(BgL_runz00_14863, 
(int)(((long)4)), BgL_bodyz00_12275); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14864;
BgL_mainz00_14864 = 
MAKE_FX_PROCEDURE(BGl_z62main4185z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14864, 
(int)(((long)0)), BgL_iboxesz00_12272); 
PROCEDURE_SET(BgL_mainz00_14864, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12273)); 
PROCEDURE_SET(BgL_mainz00_14864, 
(int)(((long)2)), BgL_valza2za2_14862); 
PROCEDURE_SET(BgL_mainz00_14864, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12274)); 
PROCEDURE_SET(BgL_mainz00_14864, 
(int)(((long)4)), BgL_bodyz00_12275); 
PROCEDURE_SET(BgL_mainz00_14864, 
(int)(((long)5)), BgL_runz00_14863); 
PROCEDURE_SET(BgL_mainz00_14864, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12276)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14865;
BgL_objz00_14865 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14863, BgL_objz00_14865); BgL_objz00_14865; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3322z00_14866;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3323z00_14867;
BgL_arg3323z00_14867 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12274))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14868;
BgL_newz00_14868 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27225;
BgL_tmpz00_27225 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14868, BgL_tmpz00_27225, BgL_arg3323z00_14867); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27230; int BgL_tmpz00_27228;
BgL_auxz00_27230 = 
BINT(BgL_siza7ezd2framez75_12276); 
BgL_tmpz00_27228 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14868, BgL_tmpz00_27228, BgL_auxz00_27230); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27233;
BgL_tmpz00_27233 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14868, BgL_tmpz00_27233, BgL_runz00_14863); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27238; int BgL_tmpz00_27236;
BgL_auxz00_27238 = 
BINT(((long)2)); 
BgL_tmpz00_27236 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14868, BgL_tmpz00_27236, BgL_auxz00_27238); } 
BgL_arg3322z00_14866 = BgL_newz00_14868; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14864, BgL_arg3322z00_14866); BgL_arg3322z00_14866; } 
return BgL_mainz00_14864;} } } } } } 

}



/* &main4185 */
obj_t BGl_z62main4185z62zz__evaluate_compz00(obj_t BgL_envz00_12278, obj_t BgL_cz00_12286, obj_t BgL_dz00_12287)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12284; long BgL_siza7ezd2framez75_12285;
BgL_runz00_12284 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12278, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12285 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12278, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14869;
BgL_sz00_14869 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14870;
BgL_bpz00_14870 = 
VECTOR_REF(
((obj_t)BgL_sz00_14869),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14869, BgL_bpz00_14870, 
BINT(BgL_siza7ezd2framez75_12285)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3326z00_14871;
BgL_arg3326z00_14871 = 
(
(long)CINT(BgL_bpz00_14870)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14869),BgL_arg3326z00_14871,BgL_cz00_12286); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3327z00_14872;
BgL_arg3327z00_14872 = 
(
(long)CINT(BgL_bpz00_14870)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14869),BgL_arg3327z00_14872,BgL_dz00_12287); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14873;
BgL_ez00_14873 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14874;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14875;
BgL_arg3987z00_14875 = 
BGL_EXITD_PROTECT(BgL_ez00_14873); 
BgL_arg3986z00_14874 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14870, BgL_arg3987z00_14875); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14873, BgL_arg3986z00_14874); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14876;
BgL_accz00_14876 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12284, BgL_sz00_14869, BgL_bpz00_14870); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5084z00_27267;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14877;
BgL_arg3985z00_14877 = 
BGL_EXITD_PROTECT(BgL_ez00_14873); 
BgL_test5084z00_27267 = 
PAIRP(BgL_arg3985z00_14877); } 
if(BgL_test5084z00_27267)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14878;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14879;
BgL_arg3984z00_14879 = 
BGL_EXITD_PROTECT(BgL_ez00_14873); 
BgL_arg3983z00_14878 = 
CDR(
((obj_t)BgL_arg3984z00_14879)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14873, BgL_arg3983z00_14878); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14869),((long)0),BgL_bpz00_14870); 
return BgL_accz00_14876;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14880;
BgL_nsz00_14880 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14880,((long)1),BgL_sz00_14869); 
VECTOR_SET(BgL_nsz00_14880,((long)2),BgL_cz00_12286); 
VECTOR_SET(BgL_nsz00_14880,((long)3),BgL_dz00_12287); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14881;
BgL_z12denvz12_14881 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14881, BgL_nsz00_14880); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14882;
BgL_ez00_14882 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14883;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14884;
BgL_arg3987z00_14884 = 
BGL_EXITD_PROTECT(BgL_ez00_14882); 
BgL_arg3986z00_14883 = 
MAKE_YOUNG_PAIR(BgL_sz00_14869, BgL_arg3987z00_14884); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14882, BgL_arg3986z00_14883); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14885;
BgL_____rz00_14885 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12284, BgL_nsz00_14880, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5085z00_27288;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14886;
BgL_arg3985z00_14886 = 
BGL_EXITD_PROTECT(BgL_ez00_14882); 
BgL_test5085z00_27288 = 
PAIRP(BgL_arg3985z00_14886); } 
if(BgL_test5085z00_27288)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14887;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14888;
BgL_arg3984z00_14888 = 
BGL_EXITD_PROTECT(BgL_ez00_14882); 
BgL_arg3983z00_14887 = 
CDR(
((obj_t)BgL_arg3984z00_14888)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14882, BgL_arg3983z00_14887); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14881, BgL_sz00_14869); 
return BgL_____rz00_14885;} } } } } } } } 

}



/* &run4186 */
obj_t BGl_z62run4186z62zz__evaluate_compz00(obj_t BgL_envz00_12288, obj_t BgL_sz00_12294)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12289; long BgL_siza7eza7_12290; obj_t BgL_valza2za2_12291; BgL_ev_absz00_bglt BgL_i1251z00_12292; obj_t BgL_bodyz00_12293;
BgL_iboxesz00_12289 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12288, 
(int)(((long)0)))); 
BgL_siza7eza7_12290 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12288, 
(int)(((long)1)))); 
BgL_valza2za2_12291 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12288, 
(int)(((long)2)))); 
BgL_i1251z00_12292 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12288, 
(int)(((long)3)))); 
BgL_bodyz00_12293 = 
PROCEDURE_REF(BgL_envz00_12288, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14889;
BgL_bpz00_14889 = 
VECTOR_REF(
((obj_t)BgL_sz00_12294),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12294, BgL_iboxesz00_12289, BgL_bpz00_14889); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12294, BgL_valza2za2_12291, 
(
(long)CINT(BgL_bpz00_14889)+BgL_siza7eza7_12290)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14890; obj_t BgL_wherez00_14891; obj_t BgL_locz00_14892;
BgL_z12denvz12_14890 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14891 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12292))->BgL_wherez00); 
BgL_locz00_14892 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12292))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14890, BgL_wherez00_14891, BgL_locz00_14892); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14893;
BgL_za2za2resza2za2z00_14893 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12293))(BgL_bodyz00_12293, BgL_sz00_12294, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14890); 
return BgL_za2za2resza2za2z00_14893;} } } } } } 

}



/* &<@anonymous:3250> */
obj_t BGl_z62zc3z04anonymousza33250ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12295, obj_t BgL_sz00_12299)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12296; obj_t BgL_bodyz00_12297; long BgL_siza7ezd2framez75_12298;
BgL_i1251z00_12296 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12295, 
(int)(((long)0)))); 
BgL_bodyz00_12297 = 
PROCEDURE_REF(BgL_envz00_12295, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12298 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12295, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14894;
BgL_bpz00_14894 = 
VECTOR_REF(
((obj_t)BgL_sz00_12299),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14895;
BgL_runz00_14895 = 
MAKE_FX_PROCEDURE(BGl_z62run4188z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14895, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12296)); 
PROCEDURE_SET(BgL_runz00_14895, 
(int)(((long)1)), BgL_bodyz00_12297); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14896;
BgL_mainz00_14896 = 
MAKE_VA_PROCEDURE(BGl_z62main4187z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14896, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12296)); 
PROCEDURE_SET(BgL_mainz00_14896, 
(int)(((long)1)), BgL_bodyz00_12297); 
PROCEDURE_SET(BgL_mainz00_14896, 
(int)(((long)2)), BgL_runz00_14895); 
PROCEDURE_SET(BgL_mainz00_14896, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12298)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14897;
BgL_objz00_14897 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14895, BgL_objz00_14897); BgL_objz00_14897; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3251z00_14898;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3252z00_14899;
BgL_arg3252z00_14899 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12296))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14900;
BgL_newz00_14900 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27360;
BgL_tmpz00_27360 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14900, BgL_tmpz00_27360, BgL_arg3252z00_14899); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27365; int BgL_tmpz00_27363;
BgL_auxz00_27365 = 
BINT(BgL_siza7ezd2framez75_12298); 
BgL_tmpz00_27363 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14900, BgL_tmpz00_27363, BgL_auxz00_27365); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27368;
BgL_tmpz00_27368 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14900, BgL_tmpz00_27368, BgL_runz00_14895); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27373; int BgL_tmpz00_27371;
BgL_auxz00_27373 = 
BINT(((long)-2)); 
BgL_tmpz00_27371 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14900, BgL_tmpz00_27371, BgL_auxz00_27373); } 
BgL_arg3251z00_14898 = BgL_newz00_14900; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14896, BgL_arg3251z00_14898); BgL_arg3251z00_14898; } 
return BgL_mainz00_14896;} } } } } } 

}



/* &main4187 */
obj_t BGl_z62main4187z62zz__evaluate_compz00(obj_t BgL_envz00_12300, obj_t BgL_dz00_12305, obj_t BgL_lastz00_12306)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12303; long BgL_siza7ezd2framez75_12304;
BgL_runz00_12303 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12300, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12304 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12300, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14901;
BgL_sz00_14901 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14902;
BgL_bpz00_14902 = 
VECTOR_REF(
((obj_t)BgL_sz00_14901),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14901, BgL_bpz00_14902, 
BINT(BgL_siza7ezd2framez75_12304)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3255z00_14903;
BgL_arg3255z00_14903 = 
(
(long)CINT(BgL_bpz00_14902)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14901),BgL_arg3255z00_14903,BgL_dz00_12305); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3256z00_14904;
BgL_arg3256z00_14904 = 
(
(long)CINT(BgL_bpz00_14902)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14901),BgL_arg3256z00_14904,BgL_lastz00_12306); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14905;
BgL_ez00_14905 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14906;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14907;
BgL_arg3987z00_14907 = 
BGL_EXITD_PROTECT(BgL_ez00_14905); 
BgL_arg3986z00_14906 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14902, BgL_arg3987z00_14907); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14905, BgL_arg3986z00_14906); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14908;
BgL_accz00_14908 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12303, BgL_sz00_14901, BgL_bpz00_14902); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5087z00_27402;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14909;
BgL_arg3985z00_14909 = 
BGL_EXITD_PROTECT(BgL_ez00_14905); 
BgL_test5087z00_27402 = 
PAIRP(BgL_arg3985z00_14909); } 
if(BgL_test5087z00_27402)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14910;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14911;
BgL_arg3984z00_14911 = 
BGL_EXITD_PROTECT(BgL_ez00_14905); 
BgL_arg3983z00_14910 = 
CDR(
((obj_t)BgL_arg3984z00_14911)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14905, BgL_arg3983z00_14910); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14901),((long)0),BgL_bpz00_14902); 
return BgL_accz00_14908;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14912;
BgL_nsz00_14912 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14912,((long)1),BgL_sz00_14901); 
VECTOR_SET(BgL_nsz00_14912,((long)2),BgL_dz00_12305); 
VECTOR_SET(BgL_nsz00_14912,((long)3),BgL_lastz00_12306); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14913;
BgL_z12denvz12_14913 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14913, BgL_nsz00_14912); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14914;
BgL_ez00_14914 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14915;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14916;
BgL_arg3987z00_14916 = 
BGL_EXITD_PROTECT(BgL_ez00_14914); 
BgL_arg3986z00_14915 = 
MAKE_YOUNG_PAIR(BgL_sz00_14901, BgL_arg3987z00_14916); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14914, BgL_arg3986z00_14915); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14917;
BgL_____rz00_14917 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12303, BgL_nsz00_14912, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5088z00_27423;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14918;
BgL_arg3985z00_14918 = 
BGL_EXITD_PROTECT(BgL_ez00_14914); 
BgL_test5088z00_27423 = 
PAIRP(BgL_arg3985z00_14918); } 
if(BgL_test5088z00_27423)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14919;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14920;
BgL_arg3984z00_14920 = 
BGL_EXITD_PROTECT(BgL_ez00_14914); 
BgL_arg3983z00_14919 = 
CDR(
((obj_t)BgL_arg3984z00_14920)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14914, BgL_arg3983z00_14919); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14913, BgL_sz00_14901); 
return BgL_____rz00_14917;} } } } } } } } 

}



/* &run4188 */
obj_t BGl_z62run4188z62zz__evaluate_compz00(obj_t BgL_envz00_12307, obj_t BgL_sz00_12310)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12308; obj_t BgL_bodyz00_12309;
BgL_i1251z00_12308 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12307, 
(int)(((long)0)))); 
BgL_bodyz00_12309 = 
PROCEDURE_REF(BgL_envz00_12307, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14921;
BgL_bpz00_14921 = 
VECTOR_REF(
((obj_t)BgL_sz00_12310),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14922; obj_t BgL_wherez00_14923; obj_t BgL_locz00_14924;
BgL_z12denvz12_14922 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14923 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12308))->BgL_wherez00); 
BgL_locz00_14924 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12308))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14922, BgL_wherez00_14923, BgL_locz00_14924); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14925;
BgL_za2za2resza2za2z00_14925 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12309))(BgL_bodyz00_12309, BgL_sz00_12310, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14922); 
return BgL_za2za2resza2za2z00_14925;} } } } } } 

}



/* &<@anonymous:3258> */
obj_t BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12311, obj_t BgL_sz00_12316)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12312; BgL_ev_absz00_bglt BgL_i1251z00_12313; obj_t BgL_bodyz00_12314; long BgL_siza7ezd2framez75_12315;
BgL_iboxesz00_12312 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12311, 
(int)(((long)0)))); 
BgL_i1251z00_12313 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12311, 
(int)(((long)1)))); 
BgL_bodyz00_12314 = 
PROCEDURE_REF(BgL_envz00_12311, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12315 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12311, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14926;
BgL_bpz00_14926 = 
VECTOR_REF(
((obj_t)BgL_sz00_12316),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14927;
BgL_runz00_14927 = 
MAKE_FX_PROCEDURE(BGl_z62run4190z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14927, 
(int)(((long)0)), BgL_iboxesz00_12312); 
PROCEDURE_SET(BgL_runz00_14927, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12313)); 
PROCEDURE_SET(BgL_runz00_14927, 
(int)(((long)2)), BgL_bodyz00_12314); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14928;
BgL_mainz00_14928 = 
MAKE_VA_PROCEDURE(BGl_z62main4189z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14928, 
(int)(((long)0)), BgL_iboxesz00_12312); 
PROCEDURE_SET(BgL_mainz00_14928, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12313)); 
PROCEDURE_SET(BgL_mainz00_14928, 
(int)(((long)2)), BgL_bodyz00_12314); 
PROCEDURE_SET(BgL_mainz00_14928, 
(int)(((long)3)), BgL_runz00_14927); 
PROCEDURE_SET(BgL_mainz00_14928, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12315)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14929;
BgL_objz00_14929 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14927, BgL_objz00_14929); BgL_objz00_14929; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3259z00_14930;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3260z00_14931;
BgL_arg3260z00_14931 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12313))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14932;
BgL_newz00_14932 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27489;
BgL_tmpz00_27489 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14932, BgL_tmpz00_27489, BgL_arg3260z00_14931); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27494; int BgL_tmpz00_27492;
BgL_auxz00_27494 = 
BINT(BgL_siza7ezd2framez75_12315); 
BgL_tmpz00_27492 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14932, BgL_tmpz00_27492, BgL_auxz00_27494); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27497;
BgL_tmpz00_27497 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14932, BgL_tmpz00_27497, BgL_runz00_14927); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27502; int BgL_tmpz00_27500;
BgL_auxz00_27502 = 
BINT(((long)-2)); 
BgL_tmpz00_27500 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14932, BgL_tmpz00_27500, BgL_auxz00_27502); } 
BgL_arg3259z00_14930 = BgL_newz00_14932; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14928, BgL_arg3259z00_14930); BgL_arg3259z00_14930; } 
return BgL_mainz00_14928;} } } } } } 

}



/* &main4189 */
obj_t BGl_z62main4189z62zz__evaluate_compz00(obj_t BgL_envz00_12317, obj_t BgL_dz00_12323, obj_t BgL_lastz00_12324)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12321; long BgL_siza7ezd2framez75_12322;
BgL_runz00_12321 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12317, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12322 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12317, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14933;
BgL_sz00_14933 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14934;
BgL_bpz00_14934 = 
VECTOR_REF(
((obj_t)BgL_sz00_14933),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14933, BgL_bpz00_14934, 
BINT(BgL_siza7ezd2framez75_12322)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3263z00_14935;
BgL_arg3263z00_14935 = 
(
(long)CINT(BgL_bpz00_14934)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14933),BgL_arg3263z00_14935,BgL_dz00_12323); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3264z00_14936;
BgL_arg3264z00_14936 = 
(
(long)CINT(BgL_bpz00_14934)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14933),BgL_arg3264z00_14936,BgL_lastz00_12324); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14937;
BgL_ez00_14937 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14938;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14939;
BgL_arg3987z00_14939 = 
BGL_EXITD_PROTECT(BgL_ez00_14937); 
BgL_arg3986z00_14938 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14934, BgL_arg3987z00_14939); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14937, BgL_arg3986z00_14938); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14940;
BgL_accz00_14940 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12321, BgL_sz00_14933, BgL_bpz00_14934); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5090z00_27531;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14941;
BgL_arg3985z00_14941 = 
BGL_EXITD_PROTECT(BgL_ez00_14937); 
BgL_test5090z00_27531 = 
PAIRP(BgL_arg3985z00_14941); } 
if(BgL_test5090z00_27531)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14942;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14943;
BgL_arg3984z00_14943 = 
BGL_EXITD_PROTECT(BgL_ez00_14937); 
BgL_arg3983z00_14942 = 
CDR(
((obj_t)BgL_arg3984z00_14943)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14937, BgL_arg3983z00_14942); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14933),((long)0),BgL_bpz00_14934); 
return BgL_accz00_14940;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14944;
BgL_nsz00_14944 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14944,((long)1),BgL_sz00_14933); 
VECTOR_SET(BgL_nsz00_14944,((long)2),BgL_dz00_12323); 
VECTOR_SET(BgL_nsz00_14944,((long)3),BgL_lastz00_12324); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14945;
BgL_z12denvz12_14945 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14945, BgL_nsz00_14944); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14946;
BgL_ez00_14946 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14947;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14948;
BgL_arg3987z00_14948 = 
BGL_EXITD_PROTECT(BgL_ez00_14946); 
BgL_arg3986z00_14947 = 
MAKE_YOUNG_PAIR(BgL_sz00_14933, BgL_arg3987z00_14948); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14946, BgL_arg3986z00_14947); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14949;
BgL_____rz00_14949 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12321, BgL_nsz00_14944, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5091z00_27552;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14950;
BgL_arg3985z00_14950 = 
BGL_EXITD_PROTECT(BgL_ez00_14946); 
BgL_test5091z00_27552 = 
PAIRP(BgL_arg3985z00_14950); } 
if(BgL_test5091z00_27552)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14951;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14952;
BgL_arg3984z00_14952 = 
BGL_EXITD_PROTECT(BgL_ez00_14946); 
BgL_arg3983z00_14951 = 
CDR(
((obj_t)BgL_arg3984z00_14952)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14946, BgL_arg3983z00_14951); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14945, BgL_sz00_14933); 
return BgL_____rz00_14949;} } } } } } } } 

}



/* &run4190 */
obj_t BGl_z62run4190z62zz__evaluate_compz00(obj_t BgL_envz00_12325, obj_t BgL_sz00_12329)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12326; BgL_ev_absz00_bglt BgL_i1251z00_12327; obj_t BgL_bodyz00_12328;
BgL_iboxesz00_12326 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)0)))); 
BgL_i1251z00_12327 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)1)))); 
BgL_bodyz00_12328 = 
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14953;
BgL_bpz00_14953 = 
VECTOR_REF(
((obj_t)BgL_sz00_12329),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12329, BgL_iboxesz00_12326, BgL_bpz00_14953); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14954; obj_t BgL_wherez00_14955; obj_t BgL_locz00_14956;
BgL_z12denvz12_14954 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14955 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12327))->BgL_wherez00); 
BgL_locz00_14956 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12327))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14954, BgL_wherez00_14955, BgL_locz00_14956); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14957;
BgL_za2za2resza2za2z00_14957 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12328))(BgL_bodyz00_12328, BgL_sz00_12329, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14954); 
return BgL_za2za2resza2za2z00_14957;} } } } } } 

}



/* &<@anonymous:3269> */
obj_t BGl_z62zc3z04anonymousza33269ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12330, obj_t BgL_sz00_12336)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12331; long BgL_siza7eza7_12332; BgL_ev_absz00_bglt BgL_i1251z00_12333; obj_t BgL_bodyz00_12334; long BgL_siza7ezd2framez75_12335;
BgL_ifreesz00_12331 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12330, 
(int)(((long)0)))); 
BgL_siza7eza7_12332 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12330, 
(int)(((long)1)))); 
BgL_i1251z00_12333 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12330, 
(int)(((long)2)))); 
BgL_bodyz00_12334 = 
PROCEDURE_REF(BgL_envz00_12330, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12335 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12330, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14958;
BgL_bpz00_14958 = 
VECTOR_REF(
((obj_t)BgL_sz00_12336),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14959;
BgL_valza2za2_14959 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12336, BgL_bpz00_14958, BgL_ifreesz00_12331); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14960;
BgL_runz00_14960 = 
MAKE_FX_PROCEDURE(BGl_z62run4192z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14960, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12332)); 
PROCEDURE_SET(BgL_runz00_14960, 
(int)(((long)1)), BgL_valza2za2_14959); 
PROCEDURE_SET(BgL_runz00_14960, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12333)); 
PROCEDURE_SET(BgL_runz00_14960, 
(int)(((long)3)), BgL_bodyz00_12334); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14961;
BgL_mainz00_14961 = 
MAKE_VA_PROCEDURE(BGl_z62main4191z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14961, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12332)); 
PROCEDURE_SET(BgL_mainz00_14961, 
(int)(((long)1)), BgL_valza2za2_14959); 
PROCEDURE_SET(BgL_mainz00_14961, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12333)); 
PROCEDURE_SET(BgL_mainz00_14961, 
(int)(((long)3)), BgL_bodyz00_12334); 
PROCEDURE_SET(BgL_mainz00_14961, 
(int)(((long)4)), BgL_runz00_14960); 
PROCEDURE_SET(BgL_mainz00_14961, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12335)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14962;
BgL_objz00_14962 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14960, BgL_objz00_14962); BgL_objz00_14962; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3270z00_14963;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3271z00_14964;
BgL_arg3271z00_14964 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12333))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14965;
BgL_newz00_14965 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27632;
BgL_tmpz00_27632 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14965, BgL_tmpz00_27632, BgL_arg3271z00_14964); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27637; int BgL_tmpz00_27635;
BgL_auxz00_27637 = 
BINT(BgL_siza7ezd2framez75_12335); 
BgL_tmpz00_27635 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14965, BgL_tmpz00_27635, BgL_auxz00_27637); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27640;
BgL_tmpz00_27640 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14965, BgL_tmpz00_27640, BgL_runz00_14960); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27645; int BgL_tmpz00_27643;
BgL_auxz00_27645 = 
BINT(((long)-2)); 
BgL_tmpz00_27643 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14965, BgL_tmpz00_27643, BgL_auxz00_27645); } 
BgL_arg3270z00_14963 = BgL_newz00_14965; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14961, BgL_arg3270z00_14963); BgL_arg3270z00_14963; } 
return BgL_mainz00_14961;} } } } } } 

}



/* &main4191 */
obj_t BGl_z62main4191z62zz__evaluate_compz00(obj_t BgL_envz00_12337, obj_t BgL_dz00_12344, obj_t BgL_lastz00_12345)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12342; long BgL_siza7ezd2framez75_12343;
BgL_runz00_12342 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12337, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12343 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12337, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14966;
BgL_sz00_14966 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14967;
BgL_bpz00_14967 = 
VECTOR_REF(
((obj_t)BgL_sz00_14966),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14966, BgL_bpz00_14967, 
BINT(BgL_siza7ezd2framez75_12343)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3274z00_14968;
BgL_arg3274z00_14968 = 
(
(long)CINT(BgL_bpz00_14967)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14966),BgL_arg3274z00_14968,BgL_dz00_12344); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3275z00_14969;
BgL_arg3275z00_14969 = 
(
(long)CINT(BgL_bpz00_14967)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14966),BgL_arg3275z00_14969,BgL_lastz00_12345); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14970;
BgL_ez00_14970 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14971;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14972;
BgL_arg3987z00_14972 = 
BGL_EXITD_PROTECT(BgL_ez00_14970); 
BgL_arg3986z00_14971 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14967, BgL_arg3987z00_14972); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14970, BgL_arg3986z00_14971); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14973;
BgL_accz00_14973 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12342, BgL_sz00_14966, BgL_bpz00_14967); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5093z00_27674;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14974;
BgL_arg3985z00_14974 = 
BGL_EXITD_PROTECT(BgL_ez00_14970); 
BgL_test5093z00_27674 = 
PAIRP(BgL_arg3985z00_14974); } 
if(BgL_test5093z00_27674)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14975;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14976;
BgL_arg3984z00_14976 = 
BGL_EXITD_PROTECT(BgL_ez00_14970); 
BgL_arg3983z00_14975 = 
CDR(
((obj_t)BgL_arg3984z00_14976)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14970, BgL_arg3983z00_14975); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14966),((long)0),BgL_bpz00_14967); 
return BgL_accz00_14973;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14977;
BgL_nsz00_14977 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14977,((long)1),BgL_sz00_14966); 
VECTOR_SET(BgL_nsz00_14977,((long)2),BgL_dz00_12344); 
VECTOR_SET(BgL_nsz00_14977,((long)3),BgL_lastz00_12345); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14978;
BgL_z12denvz12_14978 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14978, BgL_nsz00_14977); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14979;
BgL_ez00_14979 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_14980;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_14981;
BgL_arg3987z00_14981 = 
BGL_EXITD_PROTECT(BgL_ez00_14979); 
BgL_arg3986z00_14980 = 
MAKE_YOUNG_PAIR(BgL_sz00_14966, BgL_arg3987z00_14981); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14979, BgL_arg3986z00_14980); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14982;
BgL_____rz00_14982 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12342, BgL_nsz00_14977, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5094z00_27695;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_14983;
BgL_arg3985z00_14983 = 
BGL_EXITD_PROTECT(BgL_ez00_14979); 
BgL_test5094z00_27695 = 
PAIRP(BgL_arg3985z00_14983); } 
if(BgL_test5094z00_27695)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_14984;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_14985;
BgL_arg3984z00_14985 = 
BGL_EXITD_PROTECT(BgL_ez00_14979); 
BgL_arg3983z00_14984 = 
CDR(
((obj_t)BgL_arg3984z00_14985)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14979, BgL_arg3983z00_14984); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14978, BgL_sz00_14966); 
return BgL_____rz00_14982;} } } } } } } } 

}



/* &run4192 */
obj_t BGl_z62run4192z62zz__evaluate_compz00(obj_t BgL_envz00_12346, obj_t BgL_sz00_12351)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12347; obj_t BgL_valza2za2_12348; BgL_ev_absz00_bglt BgL_i1251z00_12349; obj_t BgL_bodyz00_12350;
BgL_siza7eza7_12347 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12346, 
(int)(((long)0)))); 
BgL_valza2za2_12348 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12346, 
(int)(((long)1)))); 
BgL_i1251z00_12349 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12346, 
(int)(((long)2)))); 
BgL_bodyz00_12350 = 
PROCEDURE_REF(BgL_envz00_12346, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14986;
BgL_bpz00_14986 = 
VECTOR_REF(
((obj_t)BgL_sz00_12351),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12351, BgL_valza2za2_12348, 
(
(long)CINT(BgL_bpz00_14986)+BgL_siza7eza7_12347)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14987; obj_t BgL_wherez00_14988; obj_t BgL_locz00_14989;
BgL_z12denvz12_14987 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14988 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12349))->BgL_wherez00); 
BgL_locz00_14989 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12349))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14987, BgL_wherez00_14988, BgL_locz00_14989); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14990;
BgL_za2za2resza2za2z00_14990 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12350))(BgL_bodyz00_12350, BgL_sz00_12351, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14987); 
return BgL_za2za2resza2za2z00_14990;} } } } } } 

}



/* &<@anonymous:3278> */
obj_t BGl_z62zc3z04anonymousza33278ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12352, obj_t BgL_sz00_12359)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12353; obj_t BgL_iboxesz00_12354; long BgL_siza7eza7_12355; BgL_ev_absz00_bglt BgL_i1251z00_12356; obj_t BgL_bodyz00_12357; long BgL_siza7ezd2framez75_12358;
BgL_ifreesz00_12353 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12352, 
(int)(((long)0)))); 
BgL_iboxesz00_12354 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12352, 
(int)(((long)1)))); 
BgL_siza7eza7_12355 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12352, 
(int)(((long)2)))); 
BgL_i1251z00_12356 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12352, 
(int)(((long)3)))); 
BgL_bodyz00_12357 = 
PROCEDURE_REF(BgL_envz00_12352, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12358 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12352, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14991;
BgL_bpz00_14991 = 
VECTOR_REF(
((obj_t)BgL_sz00_12359),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14992;
BgL_valza2za2_14992 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12359, BgL_bpz00_14991, BgL_ifreesz00_12353); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14993;
BgL_runz00_14993 = 
MAKE_FX_PROCEDURE(BGl_z62run4194z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14993, 
(int)(((long)0)), BgL_iboxesz00_12354); 
PROCEDURE_SET(BgL_runz00_14993, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12355)); 
PROCEDURE_SET(BgL_runz00_14993, 
(int)(((long)2)), BgL_valza2za2_14992); 
PROCEDURE_SET(BgL_runz00_14993, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12356)); 
PROCEDURE_SET(BgL_runz00_14993, 
(int)(((long)4)), BgL_bodyz00_12357); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14994;
BgL_mainz00_14994 = 
MAKE_VA_PROCEDURE(BGl_z62main4193z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14994, 
(int)(((long)0)), BgL_iboxesz00_12354); 
PROCEDURE_SET(BgL_mainz00_14994, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12355)); 
PROCEDURE_SET(BgL_mainz00_14994, 
(int)(((long)2)), BgL_valza2za2_14992); 
PROCEDURE_SET(BgL_mainz00_14994, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12356)); 
PROCEDURE_SET(BgL_mainz00_14994, 
(int)(((long)4)), BgL_bodyz00_12357); 
PROCEDURE_SET(BgL_mainz00_14994, 
(int)(((long)5)), BgL_runz00_14993); 
PROCEDURE_SET(BgL_mainz00_14994, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12358)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14995;
BgL_objz00_14995 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14993, BgL_objz00_14995); BgL_objz00_14995; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3279z00_14996;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3280z00_14997;
BgL_arg3280z00_14997 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12356))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14998;
BgL_newz00_14998 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27787;
BgL_tmpz00_27787 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14998, BgL_tmpz00_27787, BgL_arg3280z00_14997); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27792; int BgL_tmpz00_27790;
BgL_auxz00_27792 = 
BINT(BgL_siza7ezd2framez75_12358); 
BgL_tmpz00_27790 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14998, BgL_tmpz00_27790, BgL_auxz00_27792); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27795;
BgL_tmpz00_27795 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14998, BgL_tmpz00_27795, BgL_runz00_14993); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27800; int BgL_tmpz00_27798;
BgL_auxz00_27800 = 
BINT(((long)-2)); 
BgL_tmpz00_27798 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14998, BgL_tmpz00_27798, BgL_auxz00_27800); } 
BgL_arg3279z00_14996 = BgL_newz00_14998; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14994, BgL_arg3279z00_14996); BgL_arg3279z00_14996; } 
return BgL_mainz00_14994;} } } } } } 

}



/* &main4193 */
obj_t BGl_z62main4193z62zz__evaluate_compz00(obj_t BgL_envz00_12360, obj_t BgL_dz00_12368, obj_t BgL_lastz00_12369)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12366; long BgL_siza7ezd2framez75_12367;
BgL_runz00_12366 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12360, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12367 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12360, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14999;
BgL_sz00_14999 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15000;
BgL_bpz00_15000 = 
VECTOR_REF(
((obj_t)BgL_sz00_14999),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14999, BgL_bpz00_15000, 
BINT(BgL_siza7ezd2framez75_12367)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3283z00_15001;
BgL_arg3283z00_15001 = 
(
(long)CINT(BgL_bpz00_15000)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14999),BgL_arg3283z00_15001,BgL_dz00_12368); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3284z00_15002;
BgL_arg3284z00_15002 = 
(
(long)CINT(BgL_bpz00_15000)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14999),BgL_arg3284z00_15002,BgL_lastz00_12369); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15003;
BgL_ez00_15003 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15004;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15005;
BgL_arg3987z00_15005 = 
BGL_EXITD_PROTECT(BgL_ez00_15003); 
BgL_arg3986z00_15004 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15000, BgL_arg3987z00_15005); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15003, BgL_arg3986z00_15004); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15006;
BgL_accz00_15006 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12366, BgL_sz00_14999, BgL_bpz00_15000); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5096z00_27829;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15007;
BgL_arg3985z00_15007 = 
BGL_EXITD_PROTECT(BgL_ez00_15003); 
BgL_test5096z00_27829 = 
PAIRP(BgL_arg3985z00_15007); } 
if(BgL_test5096z00_27829)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15008;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15009;
BgL_arg3984z00_15009 = 
BGL_EXITD_PROTECT(BgL_ez00_15003); 
BgL_arg3983z00_15008 = 
CDR(
((obj_t)BgL_arg3984z00_15009)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15003, BgL_arg3983z00_15008); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14999),((long)0),BgL_bpz00_15000); 
return BgL_accz00_15006;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15010;
BgL_nsz00_15010 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15010,((long)1),BgL_sz00_14999); 
VECTOR_SET(BgL_nsz00_15010,((long)2),BgL_dz00_12368); 
VECTOR_SET(BgL_nsz00_15010,((long)3),BgL_lastz00_12369); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15011;
BgL_z12denvz12_15011 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15011, BgL_nsz00_15010); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15012;
BgL_ez00_15012 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15013;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15014;
BgL_arg3987z00_15014 = 
BGL_EXITD_PROTECT(BgL_ez00_15012); 
BgL_arg3986z00_15013 = 
MAKE_YOUNG_PAIR(BgL_sz00_14999, BgL_arg3987z00_15014); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15012, BgL_arg3986z00_15013); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15015;
BgL_____rz00_15015 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12366, BgL_nsz00_15010, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5097z00_27850;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15016;
BgL_arg3985z00_15016 = 
BGL_EXITD_PROTECT(BgL_ez00_15012); 
BgL_test5097z00_27850 = 
PAIRP(BgL_arg3985z00_15016); } 
if(BgL_test5097z00_27850)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15017;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15018;
BgL_arg3984z00_15018 = 
BGL_EXITD_PROTECT(BgL_ez00_15012); 
BgL_arg3983z00_15017 = 
CDR(
((obj_t)BgL_arg3984z00_15018)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15012, BgL_arg3983z00_15017); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15011, BgL_sz00_14999); 
return BgL_____rz00_15015;} } } } } } } } 

}



/* &run4194 */
obj_t BGl_z62run4194z62zz__evaluate_compz00(obj_t BgL_envz00_12370, obj_t BgL_sz00_12376)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12371; long BgL_siza7eza7_12372; obj_t BgL_valza2za2_12373; BgL_ev_absz00_bglt BgL_i1251z00_12374; obj_t BgL_bodyz00_12375;
BgL_iboxesz00_12371 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12370, 
(int)(((long)0)))); 
BgL_siza7eza7_12372 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12370, 
(int)(((long)1)))); 
BgL_valza2za2_12373 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12370, 
(int)(((long)2)))); 
BgL_i1251z00_12374 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12370, 
(int)(((long)3)))); 
BgL_bodyz00_12375 = 
PROCEDURE_REF(BgL_envz00_12370, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15019;
BgL_bpz00_15019 = 
VECTOR_REF(
((obj_t)BgL_sz00_12376),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12376, BgL_iboxesz00_12371, BgL_bpz00_15019); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12376, BgL_valza2za2_12373, 
(
(long)CINT(BgL_bpz00_15019)+BgL_siza7eza7_12372)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15020; obj_t BgL_wherez00_15021; obj_t BgL_locz00_15022;
BgL_z12denvz12_15020 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15021 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12374))->BgL_wherez00); 
BgL_locz00_15022 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12374))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15020, BgL_wherez00_15021, BgL_locz00_15022); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15023;
BgL_za2za2resza2za2z00_15023 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12375))(BgL_bodyz00_12375, BgL_sz00_12376, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15020); 
return BgL_za2za2resza2za2z00_15023;} } } } } } 

}



/* &<@anonymous:3211> */
obj_t BGl_z62zc3z04anonymousza33211ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12377, obj_t BgL_sz00_12381)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12378; obj_t BgL_bodyz00_12379; long BgL_siza7ezd2framez75_12380;
BgL_i1251z00_12378 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12377, 
(int)(((long)0)))); 
BgL_bodyz00_12379 = 
PROCEDURE_REF(BgL_envz00_12377, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12380 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12377, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15024;
BgL_bpz00_15024 = 
VECTOR_REF(
((obj_t)BgL_sz00_12381),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15025;
BgL_runz00_15025 = 
MAKE_FX_PROCEDURE(BGl_z62run4196z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15025, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12378)); 
PROCEDURE_SET(BgL_runz00_15025, 
(int)(((long)1)), BgL_bodyz00_12379); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15026;
BgL_mainz00_15026 = 
MAKE_FX_PROCEDURE(BGl_z62main4195z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15026, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12378)); 
PROCEDURE_SET(BgL_mainz00_15026, 
(int)(((long)1)), BgL_bodyz00_12379); 
PROCEDURE_SET(BgL_mainz00_15026, 
(int)(((long)2)), BgL_runz00_15025); 
PROCEDURE_SET(BgL_mainz00_15026, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12380)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15027;
BgL_objz00_15027 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15025, BgL_objz00_15027); BgL_objz00_15027; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3212z00_15028;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3213z00_15029;
BgL_arg3213z00_15029 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12378))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15030;
BgL_newz00_15030 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27922;
BgL_tmpz00_27922 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15030, BgL_tmpz00_27922, BgL_arg3213z00_15029); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27927; int BgL_tmpz00_27925;
BgL_auxz00_27927 = 
BINT(BgL_siza7ezd2framez75_12380); 
BgL_tmpz00_27925 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15030, BgL_tmpz00_27925, BgL_auxz00_27927); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27930;
BgL_tmpz00_27930 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15030, BgL_tmpz00_27930, BgL_runz00_15025); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27935; int BgL_tmpz00_27933;
BgL_auxz00_27935 = 
BINT(((long)1)); 
BgL_tmpz00_27933 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15030, BgL_tmpz00_27933, BgL_auxz00_27935); } 
BgL_arg3212z00_15028 = BgL_newz00_15030; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15026, BgL_arg3212z00_15028); BgL_arg3212z00_15028; } 
return BgL_mainz00_15026;} } } } } } 

}



/* &main4195 */
obj_t BGl_z62main4195z62zz__evaluate_compz00(obj_t BgL_envz00_12382, obj_t BgL_dz00_12387)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12385; long BgL_siza7ezd2framez75_12386;
BgL_runz00_12385 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12382, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12386 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12382, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15031;
BgL_sz00_15031 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15032;
BgL_bpz00_15032 = 
VECTOR_REF(
((obj_t)BgL_sz00_15031),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15031, BgL_bpz00_15032, 
BINT(BgL_siza7ezd2framez75_12386)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3216z00_15033;
BgL_arg3216z00_15033 = 
(
(long)CINT(BgL_bpz00_15032)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15031),BgL_arg3216z00_15033,BgL_dz00_12387); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15034;
BgL_ez00_15034 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15035;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15036;
BgL_arg3987z00_15036 = 
BGL_EXITD_PROTECT(BgL_ez00_15034); 
BgL_arg3986z00_15035 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15032, BgL_arg3987z00_15036); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15034, BgL_arg3986z00_15035); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15037;
BgL_accz00_15037 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12385, BgL_sz00_15031, BgL_bpz00_15032); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5099z00_27960;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15038;
BgL_arg3985z00_15038 = 
BGL_EXITD_PROTECT(BgL_ez00_15034); 
BgL_test5099z00_27960 = 
PAIRP(BgL_arg3985z00_15038); } 
if(BgL_test5099z00_27960)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15039;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15040;
BgL_arg3984z00_15040 = 
BGL_EXITD_PROTECT(BgL_ez00_15034); 
BgL_arg3983z00_15039 = 
CDR(
((obj_t)BgL_arg3984z00_15040)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15034, BgL_arg3983z00_15039); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15031),((long)0),BgL_bpz00_15032); 
return BgL_accz00_15037;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15041;
BgL_nsz00_15041 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15041,((long)1),BgL_sz00_15031); 
VECTOR_SET(BgL_nsz00_15041,((long)2),BgL_dz00_12387); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15042;
BgL_z12denvz12_15042 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15042, BgL_nsz00_15041); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15043;
BgL_ez00_15043 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15044;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15045;
BgL_arg3987z00_15045 = 
BGL_EXITD_PROTECT(BgL_ez00_15043); 
BgL_arg3986z00_15044 = 
MAKE_YOUNG_PAIR(BgL_sz00_15031, BgL_arg3987z00_15045); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15043, BgL_arg3986z00_15044); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15046;
BgL_____rz00_15046 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12385, BgL_nsz00_15041, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5100z00_27980;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15047;
BgL_arg3985z00_15047 = 
BGL_EXITD_PROTECT(BgL_ez00_15043); 
BgL_test5100z00_27980 = 
PAIRP(BgL_arg3985z00_15047); } 
if(BgL_test5100z00_27980)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15048;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15049;
BgL_arg3984z00_15049 = 
BGL_EXITD_PROTECT(BgL_ez00_15043); 
BgL_arg3983z00_15048 = 
CDR(
((obj_t)BgL_arg3984z00_15049)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15043, BgL_arg3983z00_15048); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15042, BgL_sz00_15031); 
return BgL_____rz00_15046;} } } } } } } } 

}



/* &run4196 */
obj_t BGl_z62run4196z62zz__evaluate_compz00(obj_t BgL_envz00_12388, obj_t BgL_sz00_12391)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12389; obj_t BgL_bodyz00_12390;
BgL_i1251z00_12389 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12388, 
(int)(((long)0)))); 
BgL_bodyz00_12390 = 
PROCEDURE_REF(BgL_envz00_12388, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15050;
BgL_bpz00_15050 = 
VECTOR_REF(
((obj_t)BgL_sz00_12391),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15051; obj_t BgL_wherez00_15052; obj_t BgL_locz00_15053;
BgL_z12denvz12_15051 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15052 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12389))->BgL_wherez00); 
BgL_locz00_15053 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12389))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15051, BgL_wherez00_15052, BgL_locz00_15053); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15054;
BgL_za2za2resza2za2z00_15054 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12390))(BgL_bodyz00_12390, BgL_sz00_12391, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15051); 
return BgL_za2za2resza2za2z00_15054;} } } } } } 

}



/* &<@anonymous:3218> */
obj_t BGl_z62zc3z04anonymousza33218ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12392, obj_t BgL_sz00_12397)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12393; BgL_ev_absz00_bglt BgL_i1251z00_12394; obj_t BgL_bodyz00_12395; long BgL_siza7ezd2framez75_12396;
BgL_iboxesz00_12393 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12392, 
(int)(((long)0)))); 
BgL_i1251z00_12394 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12392, 
(int)(((long)1)))); 
BgL_bodyz00_12395 = 
PROCEDURE_REF(BgL_envz00_12392, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12396 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12392, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15055;
BgL_bpz00_15055 = 
VECTOR_REF(
((obj_t)BgL_sz00_12397),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15056;
BgL_runz00_15056 = 
MAKE_FX_PROCEDURE(BGl_z62run4198z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15056, 
(int)(((long)0)), BgL_iboxesz00_12393); 
PROCEDURE_SET(BgL_runz00_15056, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12394)); 
PROCEDURE_SET(BgL_runz00_15056, 
(int)(((long)2)), BgL_bodyz00_12395); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15057;
BgL_mainz00_15057 = 
MAKE_FX_PROCEDURE(BGl_z62main4197z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15057, 
(int)(((long)0)), BgL_iboxesz00_12393); 
PROCEDURE_SET(BgL_mainz00_15057, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12394)); 
PROCEDURE_SET(BgL_mainz00_15057, 
(int)(((long)2)), BgL_bodyz00_12395); 
PROCEDURE_SET(BgL_mainz00_15057, 
(int)(((long)3)), BgL_runz00_15056); 
PROCEDURE_SET(BgL_mainz00_15057, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12396)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15058;
BgL_objz00_15058 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15056, BgL_objz00_15058); BgL_objz00_15058; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3219z00_15059;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3220z00_15060;
BgL_arg3220z00_15060 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12394))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15061;
BgL_newz00_15061 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28046;
BgL_tmpz00_28046 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15061, BgL_tmpz00_28046, BgL_arg3220z00_15060); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28051; int BgL_tmpz00_28049;
BgL_auxz00_28051 = 
BINT(BgL_siza7ezd2framez75_12396); 
BgL_tmpz00_28049 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15061, BgL_tmpz00_28049, BgL_auxz00_28051); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28054;
BgL_tmpz00_28054 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15061, BgL_tmpz00_28054, BgL_runz00_15056); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28059; int BgL_tmpz00_28057;
BgL_auxz00_28059 = 
BINT(((long)1)); 
BgL_tmpz00_28057 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15061, BgL_tmpz00_28057, BgL_auxz00_28059); } 
BgL_arg3219z00_15059 = BgL_newz00_15061; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15057, BgL_arg3219z00_15059); BgL_arg3219z00_15059; } 
return BgL_mainz00_15057;} } } } } } 

}



/* &main4197 */
obj_t BGl_z62main4197z62zz__evaluate_compz00(obj_t BgL_envz00_12398, obj_t BgL_dz00_12404)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12402; long BgL_siza7ezd2framez75_12403;
BgL_runz00_12402 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12398, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12403 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12398, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15062;
BgL_sz00_15062 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15063;
BgL_bpz00_15063 = 
VECTOR_REF(
((obj_t)BgL_sz00_15062),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15062, BgL_bpz00_15063, 
BINT(BgL_siza7ezd2framez75_12403)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3223z00_15064;
BgL_arg3223z00_15064 = 
(
(long)CINT(BgL_bpz00_15063)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15062),BgL_arg3223z00_15064,BgL_dz00_12404); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15065;
BgL_ez00_15065 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15066;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15067;
BgL_arg3987z00_15067 = 
BGL_EXITD_PROTECT(BgL_ez00_15065); 
BgL_arg3986z00_15066 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15063, BgL_arg3987z00_15067); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15065, BgL_arg3986z00_15066); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15068;
BgL_accz00_15068 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12402, BgL_sz00_15062, BgL_bpz00_15063); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5102z00_28084;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15069;
BgL_arg3985z00_15069 = 
BGL_EXITD_PROTECT(BgL_ez00_15065); 
BgL_test5102z00_28084 = 
PAIRP(BgL_arg3985z00_15069); } 
if(BgL_test5102z00_28084)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15070;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15071;
BgL_arg3984z00_15071 = 
BGL_EXITD_PROTECT(BgL_ez00_15065); 
BgL_arg3983z00_15070 = 
CDR(
((obj_t)BgL_arg3984z00_15071)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15065, BgL_arg3983z00_15070); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15062),((long)0),BgL_bpz00_15063); 
return BgL_accz00_15068;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15072;
BgL_nsz00_15072 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15072,((long)1),BgL_sz00_15062); 
VECTOR_SET(BgL_nsz00_15072,((long)2),BgL_dz00_12404); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15073;
BgL_z12denvz12_15073 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15073, BgL_nsz00_15072); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15074;
BgL_ez00_15074 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15075;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15076;
BgL_arg3987z00_15076 = 
BGL_EXITD_PROTECT(BgL_ez00_15074); 
BgL_arg3986z00_15075 = 
MAKE_YOUNG_PAIR(BgL_sz00_15062, BgL_arg3987z00_15076); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15074, BgL_arg3986z00_15075); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15077;
BgL_____rz00_15077 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12402, BgL_nsz00_15072, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5103z00_28104;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15078;
BgL_arg3985z00_15078 = 
BGL_EXITD_PROTECT(BgL_ez00_15074); 
BgL_test5103z00_28104 = 
PAIRP(BgL_arg3985z00_15078); } 
if(BgL_test5103z00_28104)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15079;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15080;
BgL_arg3984z00_15080 = 
BGL_EXITD_PROTECT(BgL_ez00_15074); 
BgL_arg3983z00_15079 = 
CDR(
((obj_t)BgL_arg3984z00_15080)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15074, BgL_arg3983z00_15079); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15073, BgL_sz00_15062); 
return BgL_____rz00_15077;} } } } } } } } 

}



/* &run4198 */
obj_t BGl_z62run4198z62zz__evaluate_compz00(obj_t BgL_envz00_12405, obj_t BgL_sz00_12409)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12406; BgL_ev_absz00_bglt BgL_i1251z00_12407; obj_t BgL_bodyz00_12408;
BgL_iboxesz00_12406 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12405, 
(int)(((long)0)))); 
BgL_i1251z00_12407 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12405, 
(int)(((long)1)))); 
BgL_bodyz00_12408 = 
PROCEDURE_REF(BgL_envz00_12405, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15081;
BgL_bpz00_15081 = 
VECTOR_REF(
((obj_t)BgL_sz00_12409),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12409, BgL_iboxesz00_12406, BgL_bpz00_15081); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15082; obj_t BgL_wherez00_15083; obj_t BgL_locz00_15084;
BgL_z12denvz12_15082 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15083 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12407))->BgL_wherez00); 
BgL_locz00_15084 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12407))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15082, BgL_wherez00_15083, BgL_locz00_15084); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15085;
BgL_za2za2resza2za2z00_15085 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12408))(BgL_bodyz00_12408, BgL_sz00_12409, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15082); 
return BgL_za2za2resza2za2z00_15085;} } } } } } 

}



/* &<@anonymous:3228> */
obj_t BGl_z62zc3z04anonymousza33228ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12410, obj_t BgL_sz00_12416)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12411; long BgL_siza7eza7_12412; BgL_ev_absz00_bglt BgL_i1251z00_12413; obj_t BgL_bodyz00_12414; long BgL_siza7ezd2framez75_12415;
BgL_ifreesz00_12411 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)0)))); 
BgL_siza7eza7_12412 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)1)))); 
BgL_i1251z00_12413 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)2)))); 
BgL_bodyz00_12414 = 
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12415 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15086;
BgL_bpz00_15086 = 
VECTOR_REF(
((obj_t)BgL_sz00_12416),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15087;
BgL_valza2za2_15087 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12416, BgL_bpz00_15086, BgL_ifreesz00_12411); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15088;
BgL_runz00_15088 = 
MAKE_FX_PROCEDURE(BGl_z62run4200z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15088, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12412)); 
PROCEDURE_SET(BgL_runz00_15088, 
(int)(((long)1)), BgL_valza2za2_15087); 
PROCEDURE_SET(BgL_runz00_15088, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12413)); 
PROCEDURE_SET(BgL_runz00_15088, 
(int)(((long)3)), BgL_bodyz00_12414); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15089;
BgL_mainz00_15089 = 
MAKE_FX_PROCEDURE(BGl_z62main4199z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15089, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12412)); 
PROCEDURE_SET(BgL_mainz00_15089, 
(int)(((long)1)), BgL_valza2za2_15087); 
PROCEDURE_SET(BgL_mainz00_15089, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12413)); 
PROCEDURE_SET(BgL_mainz00_15089, 
(int)(((long)3)), BgL_bodyz00_12414); 
PROCEDURE_SET(BgL_mainz00_15089, 
(int)(((long)4)), BgL_runz00_15088); 
PROCEDURE_SET(BgL_mainz00_15089, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12415)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15090;
BgL_objz00_15090 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15088, BgL_objz00_15090); BgL_objz00_15090; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3229z00_15091;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3230z00_15092;
BgL_arg3230z00_15092 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12413))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15093;
BgL_newz00_15093 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28184;
BgL_tmpz00_28184 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15093, BgL_tmpz00_28184, BgL_arg3230z00_15092); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28189; int BgL_tmpz00_28187;
BgL_auxz00_28189 = 
BINT(BgL_siza7ezd2framez75_12415); 
BgL_tmpz00_28187 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15093, BgL_tmpz00_28187, BgL_auxz00_28189); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28192;
BgL_tmpz00_28192 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15093, BgL_tmpz00_28192, BgL_runz00_15088); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28197; int BgL_tmpz00_28195;
BgL_auxz00_28197 = 
BINT(((long)1)); 
BgL_tmpz00_28195 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15093, BgL_tmpz00_28195, BgL_auxz00_28197); } 
BgL_arg3229z00_15091 = BgL_newz00_15093; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15089, BgL_arg3229z00_15091); BgL_arg3229z00_15091; } 
return BgL_mainz00_15089;} } } } } } 

}



/* &main4199 */
obj_t BGl_z62main4199z62zz__evaluate_compz00(obj_t BgL_envz00_12417, obj_t BgL_dz00_12424)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12422; long BgL_siza7ezd2framez75_12423;
BgL_runz00_12422 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12417, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12423 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12417, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15094;
BgL_sz00_15094 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15095;
BgL_bpz00_15095 = 
VECTOR_REF(
((obj_t)BgL_sz00_15094),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15094, BgL_bpz00_15095, 
BINT(BgL_siza7ezd2framez75_12423)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3233z00_15096;
BgL_arg3233z00_15096 = 
(
(long)CINT(BgL_bpz00_15095)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15094),BgL_arg3233z00_15096,BgL_dz00_12424); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15097;
BgL_ez00_15097 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15098;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15099;
BgL_arg3987z00_15099 = 
BGL_EXITD_PROTECT(BgL_ez00_15097); 
BgL_arg3986z00_15098 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15095, BgL_arg3987z00_15099); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15097, BgL_arg3986z00_15098); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15100;
BgL_accz00_15100 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12422, BgL_sz00_15094, BgL_bpz00_15095); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5105z00_28222;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15101;
BgL_arg3985z00_15101 = 
BGL_EXITD_PROTECT(BgL_ez00_15097); 
BgL_test5105z00_28222 = 
PAIRP(BgL_arg3985z00_15101); } 
if(BgL_test5105z00_28222)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15102;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15103;
BgL_arg3984z00_15103 = 
BGL_EXITD_PROTECT(BgL_ez00_15097); 
BgL_arg3983z00_15102 = 
CDR(
((obj_t)BgL_arg3984z00_15103)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15097, BgL_arg3983z00_15102); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15094),((long)0),BgL_bpz00_15095); 
return BgL_accz00_15100;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15104;
BgL_nsz00_15104 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15104,((long)1),BgL_sz00_15094); 
VECTOR_SET(BgL_nsz00_15104,((long)2),BgL_dz00_12424); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15105;
BgL_z12denvz12_15105 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15105, BgL_nsz00_15104); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15106;
BgL_ez00_15106 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15107;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15108;
BgL_arg3987z00_15108 = 
BGL_EXITD_PROTECT(BgL_ez00_15106); 
BgL_arg3986z00_15107 = 
MAKE_YOUNG_PAIR(BgL_sz00_15094, BgL_arg3987z00_15108); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15106, BgL_arg3986z00_15107); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15109;
BgL_____rz00_15109 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12422, BgL_nsz00_15104, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5106z00_28242;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15110;
BgL_arg3985z00_15110 = 
BGL_EXITD_PROTECT(BgL_ez00_15106); 
BgL_test5106z00_28242 = 
PAIRP(BgL_arg3985z00_15110); } 
if(BgL_test5106z00_28242)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15111;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15112;
BgL_arg3984z00_15112 = 
BGL_EXITD_PROTECT(BgL_ez00_15106); 
BgL_arg3983z00_15111 = 
CDR(
((obj_t)BgL_arg3984z00_15112)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15106, BgL_arg3983z00_15111); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15105, BgL_sz00_15094); 
return BgL_____rz00_15109;} } } } } } } } 

}



/* &run4200 */
obj_t BGl_z62run4200z62zz__evaluate_compz00(obj_t BgL_envz00_12425, obj_t BgL_sz00_12430)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12426; obj_t BgL_valza2za2_12427; BgL_ev_absz00_bglt BgL_i1251z00_12428; obj_t BgL_bodyz00_12429;
BgL_siza7eza7_12426 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12425, 
(int)(((long)0)))); 
BgL_valza2za2_12427 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12425, 
(int)(((long)1)))); 
BgL_i1251z00_12428 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12425, 
(int)(((long)2)))); 
BgL_bodyz00_12429 = 
PROCEDURE_REF(BgL_envz00_12425, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15113;
BgL_bpz00_15113 = 
VECTOR_REF(
((obj_t)BgL_sz00_12430),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12430, BgL_valza2za2_12427, 
(
(long)CINT(BgL_bpz00_15113)+BgL_siza7eza7_12426)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15114; obj_t BgL_wherez00_15115; obj_t BgL_locz00_15116;
BgL_z12denvz12_15114 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15115 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12428))->BgL_wherez00); 
BgL_locz00_15116 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12428))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15114, BgL_wherez00_15115, BgL_locz00_15116); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15117;
BgL_za2za2resza2za2z00_15117 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12429))(BgL_bodyz00_12429, BgL_sz00_12430, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15114); 
return BgL_za2za2resza2za2z00_15117;} } } } } } 

}



/* &<@anonymous:3236> */
obj_t BGl_z62zc3z04anonymousza33236ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12431, obj_t BgL_sz00_12438)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12432; obj_t BgL_iboxesz00_12433; long BgL_siza7eza7_12434; BgL_ev_absz00_bglt BgL_i1251z00_12435; obj_t BgL_bodyz00_12436; long BgL_siza7ezd2framez75_12437;
BgL_ifreesz00_12432 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12431, 
(int)(((long)0)))); 
BgL_iboxesz00_12433 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12431, 
(int)(((long)1)))); 
BgL_siza7eza7_12434 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12431, 
(int)(((long)2)))); 
BgL_i1251z00_12435 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12431, 
(int)(((long)3)))); 
BgL_bodyz00_12436 = 
PROCEDURE_REF(BgL_envz00_12431, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12437 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12431, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15118;
BgL_bpz00_15118 = 
VECTOR_REF(
((obj_t)BgL_sz00_12438),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15119;
BgL_valza2za2_15119 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12438, BgL_bpz00_15118, BgL_ifreesz00_12432); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15120;
BgL_runz00_15120 = 
MAKE_FX_PROCEDURE(BGl_z62run4202z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15120, 
(int)(((long)0)), BgL_iboxesz00_12433); 
PROCEDURE_SET(BgL_runz00_15120, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12434)); 
PROCEDURE_SET(BgL_runz00_15120, 
(int)(((long)2)), BgL_valza2za2_15119); 
PROCEDURE_SET(BgL_runz00_15120, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12435)); 
PROCEDURE_SET(BgL_runz00_15120, 
(int)(((long)4)), BgL_bodyz00_12436); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15121;
BgL_mainz00_15121 = 
MAKE_FX_PROCEDURE(BGl_z62main4201z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15121, 
(int)(((long)0)), BgL_iboxesz00_12433); 
PROCEDURE_SET(BgL_mainz00_15121, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12434)); 
PROCEDURE_SET(BgL_mainz00_15121, 
(int)(((long)2)), BgL_valza2za2_15119); 
PROCEDURE_SET(BgL_mainz00_15121, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12435)); 
PROCEDURE_SET(BgL_mainz00_15121, 
(int)(((long)4)), BgL_bodyz00_12436); 
PROCEDURE_SET(BgL_mainz00_15121, 
(int)(((long)5)), BgL_runz00_15120); 
PROCEDURE_SET(BgL_mainz00_15121, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12437)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15122;
BgL_objz00_15122 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15120, BgL_objz00_15122); BgL_objz00_15122; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3237z00_15123;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3238z00_15124;
BgL_arg3238z00_15124 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12435))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15125;
BgL_newz00_15125 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28334;
BgL_tmpz00_28334 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15125, BgL_tmpz00_28334, BgL_arg3238z00_15124); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28339; int BgL_tmpz00_28337;
BgL_auxz00_28339 = 
BINT(BgL_siza7ezd2framez75_12437); 
BgL_tmpz00_28337 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15125, BgL_tmpz00_28337, BgL_auxz00_28339); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28342;
BgL_tmpz00_28342 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15125, BgL_tmpz00_28342, BgL_runz00_15120); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28347; int BgL_tmpz00_28345;
BgL_auxz00_28347 = 
BINT(((long)1)); 
BgL_tmpz00_28345 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15125, BgL_tmpz00_28345, BgL_auxz00_28347); } 
BgL_arg3237z00_15123 = BgL_newz00_15125; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15121, BgL_arg3237z00_15123); BgL_arg3237z00_15123; } 
return BgL_mainz00_15121;} } } } } } 

}



/* &main4201 */
obj_t BGl_z62main4201z62zz__evaluate_compz00(obj_t BgL_envz00_12439, obj_t BgL_dz00_12447)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12445; long BgL_siza7ezd2framez75_12446;
BgL_runz00_12445 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12446 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15126;
BgL_sz00_15126 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15127;
BgL_bpz00_15127 = 
VECTOR_REF(
((obj_t)BgL_sz00_15126),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15126, BgL_bpz00_15127, 
BINT(BgL_siza7ezd2framez75_12446)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3241z00_15128;
BgL_arg3241z00_15128 = 
(
(long)CINT(BgL_bpz00_15127)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15126),BgL_arg3241z00_15128,BgL_dz00_12447); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15129;
BgL_ez00_15129 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15130;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15131;
BgL_arg3987z00_15131 = 
BGL_EXITD_PROTECT(BgL_ez00_15129); 
BgL_arg3986z00_15130 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15127, BgL_arg3987z00_15131); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15129, BgL_arg3986z00_15130); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15132;
BgL_accz00_15132 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12445, BgL_sz00_15126, BgL_bpz00_15127); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5108z00_28372;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15133;
BgL_arg3985z00_15133 = 
BGL_EXITD_PROTECT(BgL_ez00_15129); 
BgL_test5108z00_28372 = 
PAIRP(BgL_arg3985z00_15133); } 
if(BgL_test5108z00_28372)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15134;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15135;
BgL_arg3984z00_15135 = 
BGL_EXITD_PROTECT(BgL_ez00_15129); 
BgL_arg3983z00_15134 = 
CDR(
((obj_t)BgL_arg3984z00_15135)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15129, BgL_arg3983z00_15134); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15126),((long)0),BgL_bpz00_15127); 
return BgL_accz00_15132;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15136;
BgL_nsz00_15136 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15136,((long)1),BgL_sz00_15126); 
VECTOR_SET(BgL_nsz00_15136,((long)2),BgL_dz00_12447); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15137;
BgL_z12denvz12_15137 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15137, BgL_nsz00_15136); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15138;
BgL_ez00_15138 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15139;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15140;
BgL_arg3987z00_15140 = 
BGL_EXITD_PROTECT(BgL_ez00_15138); 
BgL_arg3986z00_15139 = 
MAKE_YOUNG_PAIR(BgL_sz00_15126, BgL_arg3987z00_15140); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15138, BgL_arg3986z00_15139); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15141;
BgL_____rz00_15141 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12445, BgL_nsz00_15136, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5109z00_28392;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15142;
BgL_arg3985z00_15142 = 
BGL_EXITD_PROTECT(BgL_ez00_15138); 
BgL_test5109z00_28392 = 
PAIRP(BgL_arg3985z00_15142); } 
if(BgL_test5109z00_28392)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15143;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15144;
BgL_arg3984z00_15144 = 
BGL_EXITD_PROTECT(BgL_ez00_15138); 
BgL_arg3983z00_15143 = 
CDR(
((obj_t)BgL_arg3984z00_15144)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15138, BgL_arg3983z00_15143); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15137, BgL_sz00_15126); 
return BgL_____rz00_15141;} } } } } } } } 

}



/* &run4202 */
obj_t BGl_z62run4202z62zz__evaluate_compz00(obj_t BgL_envz00_12448, obj_t BgL_sz00_12454)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12449; long BgL_siza7eza7_12450; obj_t BgL_valza2za2_12451; BgL_ev_absz00_bglt BgL_i1251z00_12452; obj_t BgL_bodyz00_12453;
BgL_iboxesz00_12449 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12448, 
(int)(((long)0)))); 
BgL_siza7eza7_12450 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12448, 
(int)(((long)1)))); 
BgL_valza2za2_12451 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12448, 
(int)(((long)2)))); 
BgL_i1251z00_12452 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12448, 
(int)(((long)3)))); 
BgL_bodyz00_12453 = 
PROCEDURE_REF(BgL_envz00_12448, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15145;
BgL_bpz00_15145 = 
VECTOR_REF(
((obj_t)BgL_sz00_12454),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12454, BgL_iboxesz00_12449, BgL_bpz00_15145); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12454, BgL_valza2za2_12451, 
(
(long)CINT(BgL_bpz00_15145)+BgL_siza7eza7_12450)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15146; obj_t BgL_wherez00_15147; obj_t BgL_locz00_15148;
BgL_z12denvz12_15146 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15147 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12452))->BgL_wherez00); 
BgL_locz00_15148 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12452))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15146, BgL_wherez00_15147, BgL_locz00_15148); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15149;
BgL_za2za2resza2za2z00_15149 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12453))(BgL_bodyz00_12453, BgL_sz00_12454, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15146); 
return BgL_za2za2resza2za2z00_15149;} } } } } } 

}



/* &<@anonymous:3172> */
obj_t BGl_z62zc3z04anonymousza33172ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12455, obj_t BgL_sz00_12459)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12456; obj_t BgL_bodyz00_12457; long BgL_siza7ezd2framez75_12458;
BgL_i1251z00_12456 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12455, 
(int)(((long)0)))); 
BgL_bodyz00_12457 = 
PROCEDURE_REF(BgL_envz00_12455, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12458 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12455, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15150;
BgL_bpz00_15150 = 
VECTOR_REF(
((obj_t)BgL_sz00_12459),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15151;
BgL_runz00_15151 = 
MAKE_FX_PROCEDURE(BGl_z62run4204z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15151, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12456)); 
PROCEDURE_SET(BgL_runz00_15151, 
(int)(((long)1)), BgL_bodyz00_12457); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15152;
BgL_mainz00_15152 = 
MAKE_VA_PROCEDURE(BGl_z62main4203z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15152, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12456)); 
PROCEDURE_SET(BgL_mainz00_15152, 
(int)(((long)1)), BgL_bodyz00_12457); 
PROCEDURE_SET(BgL_mainz00_15152, 
(int)(((long)2)), BgL_runz00_15151); 
PROCEDURE_SET(BgL_mainz00_15152, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12458)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15153;
BgL_objz00_15153 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15151, BgL_objz00_15153); BgL_objz00_15153; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3173z00_15154;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3174z00_15155;
BgL_arg3174z00_15155 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12456))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15156;
BgL_newz00_15156 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28464;
BgL_tmpz00_28464 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15156, BgL_tmpz00_28464, BgL_arg3174z00_15155); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28469; int BgL_tmpz00_28467;
BgL_auxz00_28469 = 
BINT(BgL_siza7ezd2framez75_12458); 
BgL_tmpz00_28467 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15156, BgL_tmpz00_28467, BgL_auxz00_28469); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28472;
BgL_tmpz00_28472 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15156, BgL_tmpz00_28472, BgL_runz00_15151); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28477; int BgL_tmpz00_28475;
BgL_auxz00_28477 = 
BINT(((long)-1)); 
BgL_tmpz00_28475 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15156, BgL_tmpz00_28475, BgL_auxz00_28477); } 
BgL_arg3173z00_15154 = BgL_newz00_15156; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15152, BgL_arg3173z00_15154); BgL_arg3173z00_15154; } 
return BgL_mainz00_15152;} } } } } } 

}



/* &main4203 */
obj_t BGl_z62main4203z62zz__evaluate_compz00(obj_t BgL_envz00_12460, obj_t BgL_lastz00_12465)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12463; long BgL_siza7ezd2framez75_12464;
BgL_runz00_12463 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12460, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12464 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12460, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15157;
BgL_sz00_15157 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15158;
BgL_bpz00_15158 = 
VECTOR_REF(
((obj_t)BgL_sz00_15157),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15157, BgL_bpz00_15158, 
BINT(BgL_siza7ezd2framez75_12464)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3177z00_15159;
BgL_arg3177z00_15159 = 
(
(long)CINT(BgL_bpz00_15158)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15157),BgL_arg3177z00_15159,BgL_lastz00_12465); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15160;
BgL_ez00_15160 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15161;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15162;
BgL_arg3987z00_15162 = 
BGL_EXITD_PROTECT(BgL_ez00_15160); 
BgL_arg3986z00_15161 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15158, BgL_arg3987z00_15162); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15160, BgL_arg3986z00_15161); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15163;
BgL_accz00_15163 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12463, BgL_sz00_15157, BgL_bpz00_15158); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5111z00_28502;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15164;
BgL_arg3985z00_15164 = 
BGL_EXITD_PROTECT(BgL_ez00_15160); 
BgL_test5111z00_28502 = 
PAIRP(BgL_arg3985z00_15164); } 
if(BgL_test5111z00_28502)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15165;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15166;
BgL_arg3984z00_15166 = 
BGL_EXITD_PROTECT(BgL_ez00_15160); 
BgL_arg3983z00_15165 = 
CDR(
((obj_t)BgL_arg3984z00_15166)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15160, BgL_arg3983z00_15165); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15157),((long)0),BgL_bpz00_15158); 
return BgL_accz00_15163;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15167;
BgL_nsz00_15167 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15167,((long)1),BgL_sz00_15157); 
VECTOR_SET(BgL_nsz00_15167,((long)2),BgL_lastz00_12465); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15168;
BgL_z12denvz12_15168 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15168, BgL_nsz00_15167); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15169;
BgL_ez00_15169 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15170;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15171;
BgL_arg3987z00_15171 = 
BGL_EXITD_PROTECT(BgL_ez00_15169); 
BgL_arg3986z00_15170 = 
MAKE_YOUNG_PAIR(BgL_sz00_15157, BgL_arg3987z00_15171); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15169, BgL_arg3986z00_15170); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15172;
BgL_____rz00_15172 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12463, BgL_nsz00_15167, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5112z00_28522;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15173;
BgL_arg3985z00_15173 = 
BGL_EXITD_PROTECT(BgL_ez00_15169); 
BgL_test5112z00_28522 = 
PAIRP(BgL_arg3985z00_15173); } 
if(BgL_test5112z00_28522)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15174;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15175;
BgL_arg3984z00_15175 = 
BGL_EXITD_PROTECT(BgL_ez00_15169); 
BgL_arg3983z00_15174 = 
CDR(
((obj_t)BgL_arg3984z00_15175)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15169, BgL_arg3983z00_15174); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15168, BgL_sz00_15157); 
return BgL_____rz00_15172;} } } } } } } } 

}



/* &run4204 */
obj_t BGl_z62run4204z62zz__evaluate_compz00(obj_t BgL_envz00_12466, obj_t BgL_sz00_12469)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12467; obj_t BgL_bodyz00_12468;
BgL_i1251z00_12467 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12466, 
(int)(((long)0)))); 
BgL_bodyz00_12468 = 
PROCEDURE_REF(BgL_envz00_12466, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15176;
BgL_bpz00_15176 = 
VECTOR_REF(
((obj_t)BgL_sz00_12469),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15177; obj_t BgL_wherez00_15178; obj_t BgL_locz00_15179;
BgL_z12denvz12_15177 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15178 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12467))->BgL_wherez00); 
BgL_locz00_15179 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12467))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15177, BgL_wherez00_15178, BgL_locz00_15179); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15180;
BgL_za2za2resza2za2z00_15180 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12468))(BgL_bodyz00_12468, BgL_sz00_12469, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15177); 
return BgL_za2za2resza2za2z00_15180;} } } } } } 

}



/* &<@anonymous:3179> */
obj_t BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12470, obj_t BgL_sz00_12475)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12471; BgL_ev_absz00_bglt BgL_i1251z00_12472; obj_t BgL_bodyz00_12473; long BgL_siza7ezd2framez75_12474;
BgL_iboxesz00_12471 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)0)))); 
BgL_i1251z00_12472 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)1)))); 
BgL_bodyz00_12473 = 
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12474 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15181;
BgL_bpz00_15181 = 
VECTOR_REF(
((obj_t)BgL_sz00_12475),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15182;
BgL_runz00_15182 = 
MAKE_FX_PROCEDURE(BGl_z62run4206z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15182, 
(int)(((long)0)), BgL_iboxesz00_12471); 
PROCEDURE_SET(BgL_runz00_15182, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12472)); 
PROCEDURE_SET(BgL_runz00_15182, 
(int)(((long)2)), BgL_bodyz00_12473); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15183;
BgL_mainz00_15183 = 
MAKE_VA_PROCEDURE(BGl_z62main4205z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15183, 
(int)(((long)0)), BgL_iboxesz00_12471); 
PROCEDURE_SET(BgL_mainz00_15183, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12472)); 
PROCEDURE_SET(BgL_mainz00_15183, 
(int)(((long)2)), BgL_bodyz00_12473); 
PROCEDURE_SET(BgL_mainz00_15183, 
(int)(((long)3)), BgL_runz00_15182); 
PROCEDURE_SET(BgL_mainz00_15183, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12474)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15184;
BgL_objz00_15184 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15182, BgL_objz00_15184); BgL_objz00_15184; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3180z00_15185;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3181z00_15186;
BgL_arg3181z00_15186 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12472))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15187;
BgL_newz00_15187 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28588;
BgL_tmpz00_28588 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15187, BgL_tmpz00_28588, BgL_arg3181z00_15186); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28593; int BgL_tmpz00_28591;
BgL_auxz00_28593 = 
BINT(BgL_siza7ezd2framez75_12474); 
BgL_tmpz00_28591 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15187, BgL_tmpz00_28591, BgL_auxz00_28593); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28596;
BgL_tmpz00_28596 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15187, BgL_tmpz00_28596, BgL_runz00_15182); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28601; int BgL_tmpz00_28599;
BgL_auxz00_28601 = 
BINT(((long)-1)); 
BgL_tmpz00_28599 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15187, BgL_tmpz00_28599, BgL_auxz00_28601); } 
BgL_arg3180z00_15185 = BgL_newz00_15187; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15183, BgL_arg3180z00_15185); BgL_arg3180z00_15185; } 
return BgL_mainz00_15183;} } } } } } 

}



/* &main4205 */
obj_t BGl_z62main4205z62zz__evaluate_compz00(obj_t BgL_envz00_12476, obj_t BgL_lastz00_12482)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12480; long BgL_siza7ezd2framez75_12481;
BgL_runz00_12480 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12476, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12481 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12476, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15188;
BgL_sz00_15188 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15189;
BgL_bpz00_15189 = 
VECTOR_REF(
((obj_t)BgL_sz00_15188),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15188, BgL_bpz00_15189, 
BINT(BgL_siza7ezd2framez75_12481)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3184z00_15190;
BgL_arg3184z00_15190 = 
(
(long)CINT(BgL_bpz00_15189)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15188),BgL_arg3184z00_15190,BgL_lastz00_12482); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15191;
BgL_ez00_15191 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15192;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15193;
BgL_arg3987z00_15193 = 
BGL_EXITD_PROTECT(BgL_ez00_15191); 
BgL_arg3986z00_15192 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15189, BgL_arg3987z00_15193); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15191, BgL_arg3986z00_15192); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15194;
BgL_accz00_15194 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12480, BgL_sz00_15188, BgL_bpz00_15189); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5114z00_28626;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15195;
BgL_arg3985z00_15195 = 
BGL_EXITD_PROTECT(BgL_ez00_15191); 
BgL_test5114z00_28626 = 
PAIRP(BgL_arg3985z00_15195); } 
if(BgL_test5114z00_28626)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15196;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15197;
BgL_arg3984z00_15197 = 
BGL_EXITD_PROTECT(BgL_ez00_15191); 
BgL_arg3983z00_15196 = 
CDR(
((obj_t)BgL_arg3984z00_15197)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15191, BgL_arg3983z00_15196); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15188),((long)0),BgL_bpz00_15189); 
return BgL_accz00_15194;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15198;
BgL_nsz00_15198 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15198,((long)1),BgL_sz00_15188); 
VECTOR_SET(BgL_nsz00_15198,((long)2),BgL_lastz00_12482); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15199;
BgL_z12denvz12_15199 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15199, BgL_nsz00_15198); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15200;
BgL_ez00_15200 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15201;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15202;
BgL_arg3987z00_15202 = 
BGL_EXITD_PROTECT(BgL_ez00_15200); 
BgL_arg3986z00_15201 = 
MAKE_YOUNG_PAIR(BgL_sz00_15188, BgL_arg3987z00_15202); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15200, BgL_arg3986z00_15201); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15203;
BgL_____rz00_15203 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12480, BgL_nsz00_15198, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5115z00_28646;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15204;
BgL_arg3985z00_15204 = 
BGL_EXITD_PROTECT(BgL_ez00_15200); 
BgL_test5115z00_28646 = 
PAIRP(BgL_arg3985z00_15204); } 
if(BgL_test5115z00_28646)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15205;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15206;
BgL_arg3984z00_15206 = 
BGL_EXITD_PROTECT(BgL_ez00_15200); 
BgL_arg3983z00_15205 = 
CDR(
((obj_t)BgL_arg3984z00_15206)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15200, BgL_arg3983z00_15205); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15199, BgL_sz00_15188); 
return BgL_____rz00_15203;} } } } } } } } 

}



/* &run4206 */
obj_t BGl_z62run4206z62zz__evaluate_compz00(obj_t BgL_envz00_12483, obj_t BgL_sz00_12487)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12484; BgL_ev_absz00_bglt BgL_i1251z00_12485; obj_t BgL_bodyz00_12486;
BgL_iboxesz00_12484 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12483, 
(int)(((long)0)))); 
BgL_i1251z00_12485 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12483, 
(int)(((long)1)))); 
BgL_bodyz00_12486 = 
PROCEDURE_REF(BgL_envz00_12483, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15207;
BgL_bpz00_15207 = 
VECTOR_REF(
((obj_t)BgL_sz00_12487),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12487, BgL_iboxesz00_12484, BgL_bpz00_15207); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15208; obj_t BgL_wherez00_15209; obj_t BgL_locz00_15210;
BgL_z12denvz12_15208 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15209 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12485))->BgL_wherez00); 
BgL_locz00_15210 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12485))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15208, BgL_wherez00_15209, BgL_locz00_15210); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15211;
BgL_za2za2resza2za2z00_15211 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12486))(BgL_bodyz00_12486, BgL_sz00_12487, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15208); 
return BgL_za2za2resza2za2z00_15211;} } } } } } 

}



/* &<@anonymous:3189> */
obj_t BGl_z62zc3z04anonymousza33189ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12488, obj_t BgL_sz00_12494)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12489; long BgL_siza7eza7_12490; BgL_ev_absz00_bglt BgL_i1251z00_12491; obj_t BgL_bodyz00_12492; long BgL_siza7ezd2framez75_12493;
BgL_ifreesz00_12489 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)0)))); 
BgL_siza7eza7_12490 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)1)))); 
BgL_i1251z00_12491 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)2)))); 
BgL_bodyz00_12492 = 
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12493 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15212;
BgL_bpz00_15212 = 
VECTOR_REF(
((obj_t)BgL_sz00_12494),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15213;
BgL_valza2za2_15213 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12494, BgL_bpz00_15212, BgL_ifreesz00_12489); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15214;
BgL_runz00_15214 = 
MAKE_FX_PROCEDURE(BGl_z62run4208z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15214, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12490)); 
PROCEDURE_SET(BgL_runz00_15214, 
(int)(((long)1)), BgL_valza2za2_15213); 
PROCEDURE_SET(BgL_runz00_15214, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12491)); 
PROCEDURE_SET(BgL_runz00_15214, 
(int)(((long)3)), BgL_bodyz00_12492); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15215;
BgL_mainz00_15215 = 
MAKE_VA_PROCEDURE(BGl_z62main4207z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15215, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12490)); 
PROCEDURE_SET(BgL_mainz00_15215, 
(int)(((long)1)), BgL_valza2za2_15213); 
PROCEDURE_SET(BgL_mainz00_15215, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12491)); 
PROCEDURE_SET(BgL_mainz00_15215, 
(int)(((long)3)), BgL_bodyz00_12492); 
PROCEDURE_SET(BgL_mainz00_15215, 
(int)(((long)4)), BgL_runz00_15214); 
PROCEDURE_SET(BgL_mainz00_15215, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12493)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15216;
BgL_objz00_15216 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15214, BgL_objz00_15216); BgL_objz00_15216; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3190z00_15217;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3191z00_15218;
BgL_arg3191z00_15218 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12491))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15219;
BgL_newz00_15219 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28726;
BgL_tmpz00_28726 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15219, BgL_tmpz00_28726, BgL_arg3191z00_15218); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28731; int BgL_tmpz00_28729;
BgL_auxz00_28731 = 
BINT(BgL_siza7ezd2framez75_12493); 
BgL_tmpz00_28729 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15219, BgL_tmpz00_28729, BgL_auxz00_28731); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28734;
BgL_tmpz00_28734 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15219, BgL_tmpz00_28734, BgL_runz00_15214); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28739; int BgL_tmpz00_28737;
BgL_auxz00_28739 = 
BINT(((long)-1)); 
BgL_tmpz00_28737 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15219, BgL_tmpz00_28737, BgL_auxz00_28739); } 
BgL_arg3190z00_15217 = BgL_newz00_15219; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15215, BgL_arg3190z00_15217); BgL_arg3190z00_15217; } 
return BgL_mainz00_15215;} } } } } } 

}



/* &main4207 */
obj_t BGl_z62main4207z62zz__evaluate_compz00(obj_t BgL_envz00_12495, obj_t BgL_lastz00_12502)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12500; long BgL_siza7ezd2framez75_12501;
BgL_runz00_12500 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12495, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12501 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12495, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15220;
BgL_sz00_15220 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15221;
BgL_bpz00_15221 = 
VECTOR_REF(
((obj_t)BgL_sz00_15220),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15220, BgL_bpz00_15221, 
BINT(BgL_siza7ezd2framez75_12501)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3194z00_15222;
BgL_arg3194z00_15222 = 
(
(long)CINT(BgL_bpz00_15221)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15220),BgL_arg3194z00_15222,BgL_lastz00_12502); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15223;
BgL_ez00_15223 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15224;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15225;
BgL_arg3987z00_15225 = 
BGL_EXITD_PROTECT(BgL_ez00_15223); 
BgL_arg3986z00_15224 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15221, BgL_arg3987z00_15225); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15223, BgL_arg3986z00_15224); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15226;
BgL_accz00_15226 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12500, BgL_sz00_15220, BgL_bpz00_15221); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5117z00_28764;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15227;
BgL_arg3985z00_15227 = 
BGL_EXITD_PROTECT(BgL_ez00_15223); 
BgL_test5117z00_28764 = 
PAIRP(BgL_arg3985z00_15227); } 
if(BgL_test5117z00_28764)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15228;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15229;
BgL_arg3984z00_15229 = 
BGL_EXITD_PROTECT(BgL_ez00_15223); 
BgL_arg3983z00_15228 = 
CDR(
((obj_t)BgL_arg3984z00_15229)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15223, BgL_arg3983z00_15228); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15220),((long)0),BgL_bpz00_15221); 
return BgL_accz00_15226;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15230;
BgL_nsz00_15230 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15230,((long)1),BgL_sz00_15220); 
VECTOR_SET(BgL_nsz00_15230,((long)2),BgL_lastz00_12502); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15231;
BgL_z12denvz12_15231 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15231, BgL_nsz00_15230); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15232;
BgL_ez00_15232 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15233;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15234;
BgL_arg3987z00_15234 = 
BGL_EXITD_PROTECT(BgL_ez00_15232); 
BgL_arg3986z00_15233 = 
MAKE_YOUNG_PAIR(BgL_sz00_15220, BgL_arg3987z00_15234); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15232, BgL_arg3986z00_15233); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15235;
BgL_____rz00_15235 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12500, BgL_nsz00_15230, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5118z00_28784;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15236;
BgL_arg3985z00_15236 = 
BGL_EXITD_PROTECT(BgL_ez00_15232); 
BgL_test5118z00_28784 = 
PAIRP(BgL_arg3985z00_15236); } 
if(BgL_test5118z00_28784)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15237;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15238;
BgL_arg3984z00_15238 = 
BGL_EXITD_PROTECT(BgL_ez00_15232); 
BgL_arg3983z00_15237 = 
CDR(
((obj_t)BgL_arg3984z00_15238)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15232, BgL_arg3983z00_15237); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15231, BgL_sz00_15220); 
return BgL_____rz00_15235;} } } } } } } } 

}



/* &run4208 */
obj_t BGl_z62run4208z62zz__evaluate_compz00(obj_t BgL_envz00_12503, obj_t BgL_sz00_12508)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12504; obj_t BgL_valza2za2_12505; BgL_ev_absz00_bglt BgL_i1251z00_12506; obj_t BgL_bodyz00_12507;
BgL_siza7eza7_12504 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12503, 
(int)(((long)0)))); 
BgL_valza2za2_12505 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12503, 
(int)(((long)1)))); 
BgL_i1251z00_12506 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12503, 
(int)(((long)2)))); 
BgL_bodyz00_12507 = 
PROCEDURE_REF(BgL_envz00_12503, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15239;
BgL_bpz00_15239 = 
VECTOR_REF(
((obj_t)BgL_sz00_12508),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12508, BgL_valza2za2_12505, 
(
(long)CINT(BgL_bpz00_15239)+BgL_siza7eza7_12504)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15240; obj_t BgL_wherez00_15241; obj_t BgL_locz00_15242;
BgL_z12denvz12_15240 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15241 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12506))->BgL_wherez00); 
BgL_locz00_15242 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12506))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15240, BgL_wherez00_15241, BgL_locz00_15242); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15243;
BgL_za2za2resza2za2z00_15243 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12507))(BgL_bodyz00_12507, BgL_sz00_12508, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15240); 
return BgL_za2za2resza2za2z00_15243;} } } } } } 

}



/* &<@anonymous:3197> */
obj_t BGl_z62zc3z04anonymousza33197ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12509, obj_t BgL_sz00_12516)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12510; obj_t BgL_iboxesz00_12511; long BgL_siza7eza7_12512; BgL_ev_absz00_bglt BgL_i1251z00_12513; obj_t BgL_bodyz00_12514; long BgL_siza7ezd2framez75_12515;
BgL_ifreesz00_12510 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12509, 
(int)(((long)0)))); 
BgL_iboxesz00_12511 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12509, 
(int)(((long)1)))); 
BgL_siza7eza7_12512 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12509, 
(int)(((long)2)))); 
BgL_i1251z00_12513 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12509, 
(int)(((long)3)))); 
BgL_bodyz00_12514 = 
PROCEDURE_REF(BgL_envz00_12509, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12515 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12509, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15244;
BgL_bpz00_15244 = 
VECTOR_REF(
((obj_t)BgL_sz00_12516),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15245;
BgL_valza2za2_15245 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12516, BgL_bpz00_15244, BgL_ifreesz00_12510); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15246;
BgL_runz00_15246 = 
MAKE_FX_PROCEDURE(BGl_z62run4210z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15246, 
(int)(((long)0)), BgL_iboxesz00_12511); 
PROCEDURE_SET(BgL_runz00_15246, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12512)); 
PROCEDURE_SET(BgL_runz00_15246, 
(int)(((long)2)), BgL_valza2za2_15245); 
PROCEDURE_SET(BgL_runz00_15246, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12513)); 
PROCEDURE_SET(BgL_runz00_15246, 
(int)(((long)4)), BgL_bodyz00_12514); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15247;
BgL_mainz00_15247 = 
MAKE_VA_PROCEDURE(BGl_z62main4209z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15247, 
(int)(((long)0)), BgL_iboxesz00_12511); 
PROCEDURE_SET(BgL_mainz00_15247, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12512)); 
PROCEDURE_SET(BgL_mainz00_15247, 
(int)(((long)2)), BgL_valza2za2_15245); 
PROCEDURE_SET(BgL_mainz00_15247, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12513)); 
PROCEDURE_SET(BgL_mainz00_15247, 
(int)(((long)4)), BgL_bodyz00_12514); 
PROCEDURE_SET(BgL_mainz00_15247, 
(int)(((long)5)), BgL_runz00_15246); 
PROCEDURE_SET(BgL_mainz00_15247, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12515)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15248;
BgL_objz00_15248 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15246, BgL_objz00_15248); BgL_objz00_15248; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3198z00_15249;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3199z00_15250;
BgL_arg3199z00_15250 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12513))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15251;
BgL_newz00_15251 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28876;
BgL_tmpz00_28876 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15251, BgL_tmpz00_28876, BgL_arg3199z00_15250); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28881; int BgL_tmpz00_28879;
BgL_auxz00_28881 = 
BINT(BgL_siza7ezd2framez75_12515); 
BgL_tmpz00_28879 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15251, BgL_tmpz00_28879, BgL_auxz00_28881); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28884;
BgL_tmpz00_28884 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15251, BgL_tmpz00_28884, BgL_runz00_15246); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28889; int BgL_tmpz00_28887;
BgL_auxz00_28889 = 
BINT(((long)-1)); 
BgL_tmpz00_28887 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15251, BgL_tmpz00_28887, BgL_auxz00_28889); } 
BgL_arg3198z00_15249 = BgL_newz00_15251; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15247, BgL_arg3198z00_15249); BgL_arg3198z00_15249; } 
return BgL_mainz00_15247;} } } } } } 

}



/* &main4209 */
obj_t BGl_z62main4209z62zz__evaluate_compz00(obj_t BgL_envz00_12517, obj_t BgL_lastz00_12525)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12523; long BgL_siza7ezd2framez75_12524;
BgL_runz00_12523 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12517, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12524 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12517, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15252;
BgL_sz00_15252 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15253;
BgL_bpz00_15253 = 
VECTOR_REF(
((obj_t)BgL_sz00_15252),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15252, BgL_bpz00_15253, 
BINT(BgL_siza7ezd2framez75_12524)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3202z00_15254;
BgL_arg3202z00_15254 = 
(
(long)CINT(BgL_bpz00_15253)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15252),BgL_arg3202z00_15254,BgL_lastz00_12525); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15255;
BgL_ez00_15255 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15256;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15257;
BgL_arg3987z00_15257 = 
BGL_EXITD_PROTECT(BgL_ez00_15255); 
BgL_arg3986z00_15256 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15253, BgL_arg3987z00_15257); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15255, BgL_arg3986z00_15256); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15258;
BgL_accz00_15258 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12523, BgL_sz00_15252, BgL_bpz00_15253); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5120z00_28914;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15259;
BgL_arg3985z00_15259 = 
BGL_EXITD_PROTECT(BgL_ez00_15255); 
BgL_test5120z00_28914 = 
PAIRP(BgL_arg3985z00_15259); } 
if(BgL_test5120z00_28914)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15260;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15261;
BgL_arg3984z00_15261 = 
BGL_EXITD_PROTECT(BgL_ez00_15255); 
BgL_arg3983z00_15260 = 
CDR(
((obj_t)BgL_arg3984z00_15261)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15255, BgL_arg3983z00_15260); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15252),((long)0),BgL_bpz00_15253); 
return BgL_accz00_15258;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15262;
BgL_nsz00_15262 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15262,((long)1),BgL_sz00_15252); 
VECTOR_SET(BgL_nsz00_15262,((long)2),BgL_lastz00_12525); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15263;
BgL_z12denvz12_15263 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15263, BgL_nsz00_15262); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15264;
BgL_ez00_15264 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15265;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15266;
BgL_arg3987z00_15266 = 
BGL_EXITD_PROTECT(BgL_ez00_15264); 
BgL_arg3986z00_15265 = 
MAKE_YOUNG_PAIR(BgL_sz00_15252, BgL_arg3987z00_15266); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15264, BgL_arg3986z00_15265); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15267;
BgL_____rz00_15267 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12523, BgL_nsz00_15262, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5121z00_28934;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15268;
BgL_arg3985z00_15268 = 
BGL_EXITD_PROTECT(BgL_ez00_15264); 
BgL_test5121z00_28934 = 
PAIRP(BgL_arg3985z00_15268); } 
if(BgL_test5121z00_28934)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15269;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15270;
BgL_arg3984z00_15270 = 
BGL_EXITD_PROTECT(BgL_ez00_15264); 
BgL_arg3983z00_15269 = 
CDR(
((obj_t)BgL_arg3984z00_15270)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15264, BgL_arg3983z00_15269); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15263, BgL_sz00_15252); 
return BgL_____rz00_15267;} } } } } } } } 

}



/* &run4210 */
obj_t BGl_z62run4210z62zz__evaluate_compz00(obj_t BgL_envz00_12526, obj_t BgL_sz00_12532)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12527; long BgL_siza7eza7_12528; obj_t BgL_valza2za2_12529; BgL_ev_absz00_bglt BgL_i1251z00_12530; obj_t BgL_bodyz00_12531;
BgL_iboxesz00_12527 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)0)))); 
BgL_siza7eza7_12528 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)1)))); 
BgL_valza2za2_12529 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)2)))); 
BgL_i1251z00_12530 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)3)))); 
BgL_bodyz00_12531 = 
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15271;
BgL_bpz00_15271 = 
VECTOR_REF(
((obj_t)BgL_sz00_12532),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12532, BgL_iboxesz00_12527, BgL_bpz00_15271); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12532, BgL_valza2za2_12529, 
(
(long)CINT(BgL_bpz00_15271)+BgL_siza7eza7_12528)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15272; obj_t BgL_wherez00_15273; obj_t BgL_locz00_15274;
BgL_z12denvz12_15272 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15273 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12530))->BgL_wherez00); 
BgL_locz00_15274 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12530))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15272, BgL_wherez00_15273, BgL_locz00_15274); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15275;
BgL_za2za2resza2za2z00_15275 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12531))(BgL_bodyz00_12531, BgL_sz00_12532, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15272); 
return BgL_za2za2resza2za2z00_15275;} } } } } } 

}



/* &<@anonymous:3137> */
obj_t BGl_z62zc3z04anonymousza33137ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12533, obj_t BgL_sz00_12537)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12534; obj_t BgL_bodyz00_12535; long BgL_siza7ezd2framez75_12536;
BgL_i1251z00_12534 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12533, 
(int)(((long)0)))); 
BgL_bodyz00_12535 = 
PROCEDURE_REF(BgL_envz00_12533, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12536 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12533, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15276;
BgL_bpz00_15276 = 
VECTOR_REF(
((obj_t)BgL_sz00_12537),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15277;
BgL_runz00_15277 = 
MAKE_FX_PROCEDURE(BGl_z62run4212z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15277, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12534)); 
PROCEDURE_SET(BgL_runz00_15277, 
(int)(((long)1)), BgL_bodyz00_12535); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15278;
BgL_mainz00_15278 = 
MAKE_FX_PROCEDURE(BGl_z62main4211z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15278, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12534)); 
PROCEDURE_SET(BgL_mainz00_15278, 
(int)(((long)1)), BgL_bodyz00_12535); 
PROCEDURE_SET(BgL_mainz00_15278, 
(int)(((long)2)), BgL_runz00_15277); 
PROCEDURE_SET(BgL_mainz00_15278, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12536)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15279;
BgL_objz00_15279 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15277, BgL_objz00_15279); BgL_objz00_15279; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3138z00_15280;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3139z00_15281;
BgL_arg3139z00_15281 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12534))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15282;
BgL_newz00_15282 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29006;
BgL_tmpz00_29006 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15282, BgL_tmpz00_29006, BgL_arg3139z00_15281); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29011; int BgL_tmpz00_29009;
BgL_auxz00_29011 = 
BINT(BgL_siza7ezd2framez75_12536); 
BgL_tmpz00_29009 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15282, BgL_tmpz00_29009, BgL_auxz00_29011); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29014;
BgL_tmpz00_29014 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15282, BgL_tmpz00_29014, BgL_runz00_15277); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29019; int BgL_tmpz00_29017;
BgL_auxz00_29019 = 
BINT(((long)0)); 
BgL_tmpz00_29017 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15282, BgL_tmpz00_29017, BgL_auxz00_29019); } 
BgL_arg3138z00_15280 = BgL_newz00_15282; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15278, BgL_arg3138z00_15280); BgL_arg3138z00_15280; } 
return BgL_mainz00_15278;} } } } } } 

}



/* &main4211 */
obj_t BGl_z62main4211z62zz__evaluate_compz00(obj_t BgL_envz00_12538)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12541; long BgL_siza7ezd2framez75_12542;
BgL_runz00_12541 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12538, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12542 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12538, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15283;
BgL_sz00_15283 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15284;
BgL_bpz00_15284 = 
VECTOR_REF(
((obj_t)BgL_sz00_15283),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15283, BgL_bpz00_15284, 
BINT(BgL_siza7ezd2framez75_12542)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15285;
BgL_ez00_15285 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15286;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15287;
BgL_arg3987z00_15287 = 
BGL_EXITD_PROTECT(BgL_ez00_15285); 
BgL_arg3986z00_15286 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15284, BgL_arg3987z00_15287); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15285, BgL_arg3986z00_15286); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15288;
BgL_accz00_15288 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12541, BgL_sz00_15283, BgL_bpz00_15284); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5123z00_29040;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15289;
BgL_arg3985z00_15289 = 
BGL_EXITD_PROTECT(BgL_ez00_15285); 
BgL_test5123z00_29040 = 
PAIRP(BgL_arg3985z00_15289); } 
if(BgL_test5123z00_29040)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15290;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15291;
BgL_arg3984z00_15291 = 
BGL_EXITD_PROTECT(BgL_ez00_15285); 
BgL_arg3983z00_15290 = 
CDR(
((obj_t)BgL_arg3984z00_15291)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15285, BgL_arg3983z00_15290); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15283),((long)0),BgL_bpz00_15284); 
return BgL_accz00_15288;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15292;
BgL_nsz00_15292 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15292,((long)1),BgL_sz00_15283); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15293;
BgL_z12denvz12_15293 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15293, BgL_nsz00_15292); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15294;
BgL_ez00_15294 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15295;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15296;
BgL_arg3987z00_15296 = 
BGL_EXITD_PROTECT(BgL_ez00_15294); 
BgL_arg3986z00_15295 = 
MAKE_YOUNG_PAIR(BgL_sz00_15283, BgL_arg3987z00_15296); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15294, BgL_arg3986z00_15295); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15297;
BgL_____rz00_15297 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12541, BgL_nsz00_15292, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5124z00_29059;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15298;
BgL_arg3985z00_15298 = 
BGL_EXITD_PROTECT(BgL_ez00_15294); 
BgL_test5124z00_29059 = 
PAIRP(BgL_arg3985z00_15298); } 
if(BgL_test5124z00_29059)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15299;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15300;
BgL_arg3984z00_15300 = 
BGL_EXITD_PROTECT(BgL_ez00_15294); 
BgL_arg3983z00_15299 = 
CDR(
((obj_t)BgL_arg3984z00_15300)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15294, BgL_arg3983z00_15299); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15293, BgL_sz00_15283); 
return BgL_____rz00_15297;} } } } } } } } 

}



/* &run4212 */
obj_t BGl_z62run4212z62zz__evaluate_compz00(obj_t BgL_envz00_12543, obj_t BgL_sz00_12546)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12544; obj_t BgL_bodyz00_12545;
BgL_i1251z00_12544 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12543, 
(int)(((long)0)))); 
BgL_bodyz00_12545 = 
PROCEDURE_REF(BgL_envz00_12543, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15301;
BgL_bpz00_15301 = 
VECTOR_REF(
((obj_t)BgL_sz00_12546),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15302; obj_t BgL_wherez00_15303; obj_t BgL_locz00_15304;
BgL_z12denvz12_15302 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15303 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12544))->BgL_wherez00); 
BgL_locz00_15304 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12544))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15302, BgL_wherez00_15303, BgL_locz00_15304); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15305;
BgL_za2za2resza2za2z00_15305 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12545))(BgL_bodyz00_12545, BgL_sz00_12546, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15302); 
return BgL_za2za2resza2za2z00_15305;} } } } } } 

}



/* &<@anonymous:3143> */
obj_t BGl_z62zc3z04anonymousza33143ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12547, obj_t BgL_sz00_12552)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12548; BgL_ev_absz00_bglt BgL_i1251z00_12549; obj_t BgL_bodyz00_12550; long BgL_siza7ezd2framez75_12551;
BgL_iboxesz00_12548 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12547, 
(int)(((long)0)))); 
BgL_i1251z00_12549 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12547, 
(int)(((long)1)))); 
BgL_bodyz00_12550 = 
PROCEDURE_REF(BgL_envz00_12547, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12551 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12547, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15306;
BgL_bpz00_15306 = 
VECTOR_REF(
((obj_t)BgL_sz00_12552),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15307;
BgL_runz00_15307 = 
MAKE_FX_PROCEDURE(BGl_z62run4214z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15307, 
(int)(((long)0)), BgL_iboxesz00_12548); 
PROCEDURE_SET(BgL_runz00_15307, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12549)); 
PROCEDURE_SET(BgL_runz00_15307, 
(int)(((long)2)), BgL_bodyz00_12550); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15308;
BgL_mainz00_15308 = 
MAKE_FX_PROCEDURE(BGl_z62main4213z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15308, 
(int)(((long)0)), BgL_iboxesz00_12548); 
PROCEDURE_SET(BgL_mainz00_15308, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12549)); 
PROCEDURE_SET(BgL_mainz00_15308, 
(int)(((long)2)), BgL_bodyz00_12550); 
PROCEDURE_SET(BgL_mainz00_15308, 
(int)(((long)3)), BgL_runz00_15307); 
PROCEDURE_SET(BgL_mainz00_15308, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12551)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15309;
BgL_objz00_15309 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15307, BgL_objz00_15309); BgL_objz00_15309; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3144z00_15310;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3145z00_15311;
BgL_arg3145z00_15311 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12549))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15312;
BgL_newz00_15312 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29125;
BgL_tmpz00_29125 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15312, BgL_tmpz00_29125, BgL_arg3145z00_15311); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29130; int BgL_tmpz00_29128;
BgL_auxz00_29130 = 
BINT(BgL_siza7ezd2framez75_12551); 
BgL_tmpz00_29128 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15312, BgL_tmpz00_29128, BgL_auxz00_29130); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29133;
BgL_tmpz00_29133 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15312, BgL_tmpz00_29133, BgL_runz00_15307); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29138; int BgL_tmpz00_29136;
BgL_auxz00_29138 = 
BINT(((long)0)); 
BgL_tmpz00_29136 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15312, BgL_tmpz00_29136, BgL_auxz00_29138); } 
BgL_arg3144z00_15310 = BgL_newz00_15312; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15308, BgL_arg3144z00_15310); BgL_arg3144z00_15310; } 
return BgL_mainz00_15308;} } } } } } 

}



/* &main4213 */
obj_t BGl_z62main4213z62zz__evaluate_compz00(obj_t BgL_envz00_12553)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12557; long BgL_siza7ezd2framez75_12558;
BgL_runz00_12557 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12553, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12558 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12553, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15313;
BgL_sz00_15313 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15314;
BgL_bpz00_15314 = 
VECTOR_REF(
((obj_t)BgL_sz00_15313),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15313, BgL_bpz00_15314, 
BINT(BgL_siza7ezd2framez75_12558)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15315;
BgL_ez00_15315 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15316;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15317;
BgL_arg3987z00_15317 = 
BGL_EXITD_PROTECT(BgL_ez00_15315); 
BgL_arg3986z00_15316 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15314, BgL_arg3987z00_15317); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15315, BgL_arg3986z00_15316); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15318;
BgL_accz00_15318 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12557, BgL_sz00_15313, BgL_bpz00_15314); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5126z00_29159;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15319;
BgL_arg3985z00_15319 = 
BGL_EXITD_PROTECT(BgL_ez00_15315); 
BgL_test5126z00_29159 = 
PAIRP(BgL_arg3985z00_15319); } 
if(BgL_test5126z00_29159)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15320;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15321;
BgL_arg3984z00_15321 = 
BGL_EXITD_PROTECT(BgL_ez00_15315); 
BgL_arg3983z00_15320 = 
CDR(
((obj_t)BgL_arg3984z00_15321)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15315, BgL_arg3983z00_15320); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15313),((long)0),BgL_bpz00_15314); 
return BgL_accz00_15318;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15322;
BgL_nsz00_15322 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15322,((long)1),BgL_sz00_15313); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15323;
BgL_z12denvz12_15323 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15323, BgL_nsz00_15322); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15324;
BgL_ez00_15324 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15325;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15326;
BgL_arg3987z00_15326 = 
BGL_EXITD_PROTECT(BgL_ez00_15324); 
BgL_arg3986z00_15325 = 
MAKE_YOUNG_PAIR(BgL_sz00_15313, BgL_arg3987z00_15326); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15324, BgL_arg3986z00_15325); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15327;
BgL_____rz00_15327 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12557, BgL_nsz00_15322, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5127z00_29178;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15328;
BgL_arg3985z00_15328 = 
BGL_EXITD_PROTECT(BgL_ez00_15324); 
BgL_test5127z00_29178 = 
PAIRP(BgL_arg3985z00_15328); } 
if(BgL_test5127z00_29178)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15329;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15330;
BgL_arg3984z00_15330 = 
BGL_EXITD_PROTECT(BgL_ez00_15324); 
BgL_arg3983z00_15329 = 
CDR(
((obj_t)BgL_arg3984z00_15330)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15324, BgL_arg3983z00_15329); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15323, BgL_sz00_15313); 
return BgL_____rz00_15327;} } } } } } } } 

}



/* &run4214 */
obj_t BGl_z62run4214z62zz__evaluate_compz00(obj_t BgL_envz00_12559, obj_t BgL_sz00_12563)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12560; BgL_ev_absz00_bglt BgL_i1251z00_12561; obj_t BgL_bodyz00_12562;
BgL_iboxesz00_12560 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12559, 
(int)(((long)0)))); 
BgL_i1251z00_12561 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12559, 
(int)(((long)1)))); 
BgL_bodyz00_12562 = 
PROCEDURE_REF(BgL_envz00_12559, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15331;
BgL_bpz00_15331 = 
VECTOR_REF(
((obj_t)BgL_sz00_12563),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12563, BgL_iboxesz00_12560, BgL_bpz00_15331); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15332; obj_t BgL_wherez00_15333; obj_t BgL_locz00_15334;
BgL_z12denvz12_15332 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15333 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12561))->BgL_wherez00); 
BgL_locz00_15334 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12561))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15332, BgL_wherez00_15333, BgL_locz00_15334); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15335;
BgL_za2za2resza2za2z00_15335 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12562))(BgL_bodyz00_12562, BgL_sz00_12563, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15332); 
return BgL_za2za2resza2za2z00_15335;} } } } } } 

}



/* &<@anonymous:3152> */
obj_t BGl_z62zc3z04anonymousza33152ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12564, obj_t BgL_sz00_12570)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12565; long BgL_siza7eza7_12566; BgL_ev_absz00_bglt BgL_i1251z00_12567; obj_t BgL_bodyz00_12568; long BgL_siza7ezd2framez75_12569;
BgL_ifreesz00_12565 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12564, 
(int)(((long)0)))); 
BgL_siza7eza7_12566 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12564, 
(int)(((long)1)))); 
BgL_i1251z00_12567 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12564, 
(int)(((long)2)))); 
BgL_bodyz00_12568 = 
PROCEDURE_REF(BgL_envz00_12564, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12569 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12564, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15336;
BgL_bpz00_15336 = 
VECTOR_REF(
((obj_t)BgL_sz00_12570),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15337;
BgL_valza2za2_15337 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12570, BgL_bpz00_15336, BgL_ifreesz00_12565); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15338;
BgL_runz00_15338 = 
MAKE_FX_PROCEDURE(BGl_z62run4216z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15338, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12566)); 
PROCEDURE_SET(BgL_runz00_15338, 
(int)(((long)1)), BgL_valza2za2_15337); 
PROCEDURE_SET(BgL_runz00_15338, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12567)); 
PROCEDURE_SET(BgL_runz00_15338, 
(int)(((long)3)), BgL_bodyz00_12568); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15339;
BgL_mainz00_15339 = 
MAKE_FX_PROCEDURE(BGl_z62main4215z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15339, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12566)); 
PROCEDURE_SET(BgL_mainz00_15339, 
(int)(((long)1)), BgL_valza2za2_15337); 
PROCEDURE_SET(BgL_mainz00_15339, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12567)); 
PROCEDURE_SET(BgL_mainz00_15339, 
(int)(((long)3)), BgL_bodyz00_12568); 
PROCEDURE_SET(BgL_mainz00_15339, 
(int)(((long)4)), BgL_runz00_15338); 
PROCEDURE_SET(BgL_mainz00_15339, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12569)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15340;
BgL_objz00_15340 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15338, BgL_objz00_15340); BgL_objz00_15340; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3153z00_15341;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3154z00_15342;
BgL_arg3154z00_15342 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12567))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15343;
BgL_newz00_15343 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29258;
BgL_tmpz00_29258 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15343, BgL_tmpz00_29258, BgL_arg3154z00_15342); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29263; int BgL_tmpz00_29261;
BgL_auxz00_29263 = 
BINT(BgL_siza7ezd2framez75_12569); 
BgL_tmpz00_29261 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15343, BgL_tmpz00_29261, BgL_auxz00_29263); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29266;
BgL_tmpz00_29266 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15343, BgL_tmpz00_29266, BgL_runz00_15338); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29271; int BgL_tmpz00_29269;
BgL_auxz00_29271 = 
BINT(((long)0)); 
BgL_tmpz00_29269 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15343, BgL_tmpz00_29269, BgL_auxz00_29271); } 
BgL_arg3153z00_15341 = BgL_newz00_15343; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15339, BgL_arg3153z00_15341); BgL_arg3153z00_15341; } 
return BgL_mainz00_15339;} } } } } } 

}



/* &main4215 */
obj_t BGl_z62main4215z62zz__evaluate_compz00(obj_t BgL_envz00_12571)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12576; long BgL_siza7ezd2framez75_12577;
BgL_runz00_12576 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12571, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12577 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12571, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15344;
BgL_sz00_15344 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15345;
BgL_bpz00_15345 = 
VECTOR_REF(
((obj_t)BgL_sz00_15344),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15344, BgL_bpz00_15345, 
BINT(BgL_siza7ezd2framez75_12577)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15346;
BgL_ez00_15346 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15347;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15348;
BgL_arg3987z00_15348 = 
BGL_EXITD_PROTECT(BgL_ez00_15346); 
BgL_arg3986z00_15347 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15345, BgL_arg3987z00_15348); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15346, BgL_arg3986z00_15347); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15349;
BgL_accz00_15349 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12576, BgL_sz00_15344, BgL_bpz00_15345); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5129z00_29292;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15350;
BgL_arg3985z00_15350 = 
BGL_EXITD_PROTECT(BgL_ez00_15346); 
BgL_test5129z00_29292 = 
PAIRP(BgL_arg3985z00_15350); } 
if(BgL_test5129z00_29292)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15351;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15352;
BgL_arg3984z00_15352 = 
BGL_EXITD_PROTECT(BgL_ez00_15346); 
BgL_arg3983z00_15351 = 
CDR(
((obj_t)BgL_arg3984z00_15352)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15346, BgL_arg3983z00_15351); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15344),((long)0),BgL_bpz00_15345); 
return BgL_accz00_15349;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15353;
BgL_nsz00_15353 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15353,((long)1),BgL_sz00_15344); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15354;
BgL_z12denvz12_15354 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15354, BgL_nsz00_15353); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15355;
BgL_ez00_15355 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15356;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15357;
BgL_arg3987z00_15357 = 
BGL_EXITD_PROTECT(BgL_ez00_15355); 
BgL_arg3986z00_15356 = 
MAKE_YOUNG_PAIR(BgL_sz00_15344, BgL_arg3987z00_15357); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15355, BgL_arg3986z00_15356); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15358;
BgL_____rz00_15358 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12576, BgL_nsz00_15353, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5130z00_29311;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15359;
BgL_arg3985z00_15359 = 
BGL_EXITD_PROTECT(BgL_ez00_15355); 
BgL_test5130z00_29311 = 
PAIRP(BgL_arg3985z00_15359); } 
if(BgL_test5130z00_29311)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15360;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15361;
BgL_arg3984z00_15361 = 
BGL_EXITD_PROTECT(BgL_ez00_15355); 
BgL_arg3983z00_15360 = 
CDR(
((obj_t)BgL_arg3984z00_15361)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15355, BgL_arg3983z00_15360); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15354, BgL_sz00_15344); 
return BgL_____rz00_15358;} } } } } } } } 

}



/* &run4216 */
obj_t BGl_z62run4216z62zz__evaluate_compz00(obj_t BgL_envz00_12578, obj_t BgL_sz00_12583)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12579; obj_t BgL_valza2za2_12580; BgL_ev_absz00_bglt BgL_i1251z00_12581; obj_t BgL_bodyz00_12582;
BgL_siza7eza7_12579 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12578, 
(int)(((long)0)))); 
BgL_valza2za2_12580 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12578, 
(int)(((long)1)))); 
BgL_i1251z00_12581 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12578, 
(int)(((long)2)))); 
BgL_bodyz00_12582 = 
PROCEDURE_REF(BgL_envz00_12578, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15362;
BgL_bpz00_15362 = 
VECTOR_REF(
((obj_t)BgL_sz00_12583),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12583, BgL_valza2za2_12580, 
(
(long)CINT(BgL_bpz00_15362)+BgL_siza7eza7_12579)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15363; obj_t BgL_wherez00_15364; obj_t BgL_locz00_15365;
BgL_z12denvz12_15363 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15364 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12581))->BgL_wherez00); 
BgL_locz00_15365 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12581))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15363, BgL_wherez00_15364, BgL_locz00_15365); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15366;
BgL_za2za2resza2za2z00_15366 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12582))(BgL_bodyz00_12582, BgL_sz00_12583, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15363); 
return BgL_za2za2resza2za2z00_15366;} } } } } } 

}



/* &<@anonymous:3159> */
obj_t BGl_z62zc3z04anonymousza33159ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12584, obj_t BgL_sz00_12591)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12585; obj_t BgL_iboxesz00_12586; long BgL_siza7eza7_12587; BgL_ev_absz00_bglt BgL_i1251z00_12588; obj_t BgL_bodyz00_12589; long BgL_siza7ezd2framez75_12590;
BgL_ifreesz00_12585 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12584, 
(int)(((long)0)))); 
BgL_iboxesz00_12586 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12584, 
(int)(((long)1)))); 
BgL_siza7eza7_12587 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12584, 
(int)(((long)2)))); 
BgL_i1251z00_12588 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12584, 
(int)(((long)3)))); 
BgL_bodyz00_12589 = 
PROCEDURE_REF(BgL_envz00_12584, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12590 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12584, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15367;
BgL_bpz00_15367 = 
VECTOR_REF(
((obj_t)BgL_sz00_12591),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15368;
BgL_valza2za2_15368 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12591, BgL_bpz00_15367, BgL_ifreesz00_12585); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15369;
BgL_runz00_15369 = 
MAKE_FX_PROCEDURE(BGl_z62run4218z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15369, 
(int)(((long)0)), BgL_iboxesz00_12586); 
PROCEDURE_SET(BgL_runz00_15369, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12587)); 
PROCEDURE_SET(BgL_runz00_15369, 
(int)(((long)2)), BgL_valza2za2_15368); 
PROCEDURE_SET(BgL_runz00_15369, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12588)); 
PROCEDURE_SET(BgL_runz00_15369, 
(int)(((long)4)), BgL_bodyz00_12589); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15370;
BgL_mainz00_15370 = 
MAKE_FX_PROCEDURE(BGl_z62main4217z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15370, 
(int)(((long)0)), BgL_iboxesz00_12586); 
PROCEDURE_SET(BgL_mainz00_15370, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12587)); 
PROCEDURE_SET(BgL_mainz00_15370, 
(int)(((long)2)), BgL_valza2za2_15368); 
PROCEDURE_SET(BgL_mainz00_15370, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12588)); 
PROCEDURE_SET(BgL_mainz00_15370, 
(int)(((long)4)), BgL_bodyz00_12589); 
PROCEDURE_SET(BgL_mainz00_15370, 
(int)(((long)5)), BgL_runz00_15369); 
PROCEDURE_SET(BgL_mainz00_15370, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12590)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15371;
BgL_objz00_15371 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15369, BgL_objz00_15371); BgL_objz00_15371; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3160z00_15372;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3161z00_15373;
BgL_arg3161z00_15373 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12588))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15374;
BgL_newz00_15374 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29403;
BgL_tmpz00_29403 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15374, BgL_tmpz00_29403, BgL_arg3161z00_15373); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29408; int BgL_tmpz00_29406;
BgL_auxz00_29408 = 
BINT(BgL_siza7ezd2framez75_12590); 
BgL_tmpz00_29406 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15374, BgL_tmpz00_29406, BgL_auxz00_29408); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29411;
BgL_tmpz00_29411 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15374, BgL_tmpz00_29411, BgL_runz00_15369); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29416; int BgL_tmpz00_29414;
BgL_auxz00_29416 = 
BINT(((long)0)); 
BgL_tmpz00_29414 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15374, BgL_tmpz00_29414, BgL_auxz00_29416); } 
BgL_arg3160z00_15372 = BgL_newz00_15374; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15370, BgL_arg3160z00_15372); BgL_arg3160z00_15372; } 
return BgL_mainz00_15370;} } } } } } 

}



/* &main4217 */
obj_t BGl_z62main4217z62zz__evaluate_compz00(obj_t BgL_envz00_12592)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12598; long BgL_siza7ezd2framez75_12599;
BgL_runz00_12598 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12592, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12599 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12592, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15375;
BgL_sz00_15375 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15376;
BgL_bpz00_15376 = 
VECTOR_REF(
((obj_t)BgL_sz00_15375),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15375, BgL_bpz00_15376, 
BINT(BgL_siza7ezd2framez75_12599)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15377;
BgL_ez00_15377 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15378;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15379;
BgL_arg3987z00_15379 = 
BGL_EXITD_PROTECT(BgL_ez00_15377); 
BgL_arg3986z00_15378 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15376, BgL_arg3987z00_15379); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15377, BgL_arg3986z00_15378); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15380;
BgL_accz00_15380 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12598, BgL_sz00_15375, BgL_bpz00_15376); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5132z00_29437;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15381;
BgL_arg3985z00_15381 = 
BGL_EXITD_PROTECT(BgL_ez00_15377); 
BgL_test5132z00_29437 = 
PAIRP(BgL_arg3985z00_15381); } 
if(BgL_test5132z00_29437)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15382;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15383;
BgL_arg3984z00_15383 = 
BGL_EXITD_PROTECT(BgL_ez00_15377); 
BgL_arg3983z00_15382 = 
CDR(
((obj_t)BgL_arg3984z00_15383)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15377, BgL_arg3983z00_15382); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15375),((long)0),BgL_bpz00_15376); 
return BgL_accz00_15380;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15384;
BgL_nsz00_15384 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15384,((long)1),BgL_sz00_15375); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15385;
BgL_z12denvz12_15385 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15385, BgL_nsz00_15384); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15386;
BgL_ez00_15386 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15387;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15388;
BgL_arg3987z00_15388 = 
BGL_EXITD_PROTECT(BgL_ez00_15386); 
BgL_arg3986z00_15387 = 
MAKE_YOUNG_PAIR(BgL_sz00_15375, BgL_arg3987z00_15388); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15386, BgL_arg3986z00_15387); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15389;
BgL_____rz00_15389 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12598, BgL_nsz00_15384, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5133z00_29456;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15390;
BgL_arg3985z00_15390 = 
BGL_EXITD_PROTECT(BgL_ez00_15386); 
BgL_test5133z00_29456 = 
PAIRP(BgL_arg3985z00_15390); } 
if(BgL_test5133z00_29456)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15391;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15392;
BgL_arg3984z00_15392 = 
BGL_EXITD_PROTECT(BgL_ez00_15386); 
BgL_arg3983z00_15391 = 
CDR(
((obj_t)BgL_arg3984z00_15392)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15386, BgL_arg3983z00_15391); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15385, BgL_sz00_15375); 
return BgL_____rz00_15389;} } } } } } } } 

}



/* &run4218 */
obj_t BGl_z62run4218z62zz__evaluate_compz00(obj_t BgL_envz00_12600, obj_t BgL_sz00_12606)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12601; long BgL_siza7eza7_12602; obj_t BgL_valza2za2_12603; BgL_ev_absz00_bglt BgL_i1251z00_12604; obj_t BgL_bodyz00_12605;
BgL_iboxesz00_12601 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12600, 
(int)(((long)0)))); 
BgL_siza7eza7_12602 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12600, 
(int)(((long)1)))); 
BgL_valza2za2_12603 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12600, 
(int)(((long)2)))); 
BgL_i1251z00_12604 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12600, 
(int)(((long)3)))); 
BgL_bodyz00_12605 = 
PROCEDURE_REF(BgL_envz00_12600, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15393;
BgL_bpz00_15393 = 
VECTOR_REF(
((obj_t)BgL_sz00_12606),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12606, BgL_iboxesz00_12601, BgL_bpz00_15393); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12606, BgL_valza2za2_12603, 
(
(long)CINT(BgL_bpz00_15393)+BgL_siza7eza7_12602)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15394; obj_t BgL_wherez00_15395; obj_t BgL_locz00_15396;
BgL_z12denvz12_15394 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15395 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12604))->BgL_wherez00); 
BgL_locz00_15396 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12604))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15394, BgL_wherez00_15395, BgL_locz00_15396); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15397;
BgL_za2za2resza2za2z00_15397 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12605))(BgL_bodyz00_12605, BgL_sz00_12606, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15394); 
return BgL_za2za2resza2za2z00_15397;} } } } } } 

}



/* &<@anonymous:3587> */
obj_t BGl_z62zc3z04anonymousza33587ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12607, obj_t BgL_sz00_12611)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12608; obj_t BgL_bodyz00_12609; long BgL_siza7ezd2framez75_12610;
BgL_i1251z00_12608 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12607, 
(int)(((long)0)))); 
BgL_bodyz00_12609 = 
PROCEDURE_REF(BgL_envz00_12607, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12610 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12607, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15398;
BgL_bpz00_15398 = 
VECTOR_REF(
((obj_t)BgL_sz00_12611),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15399;
BgL_runz00_15399 = 
MAKE_FX_PROCEDURE(BGl_z62run4220z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15399, 
(int)(((long)0)), 
((obj_t)BgL_i1251z00_12608)); 
PROCEDURE_SET(BgL_runz00_15399, 
(int)(((long)1)), BgL_bodyz00_12609); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15400;
BgL_mainz00_15400 = 
MAKE_VA_PROCEDURE(BGl_z62main4219z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15400, 
(int)(((long)0)), BgL_bodyz00_12609); 
PROCEDURE_SET(BgL_mainz00_15400, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12608)); 
PROCEDURE_SET(BgL_mainz00_15400, 
(int)(((long)2)), BgL_runz00_15399); 
PROCEDURE_SET(BgL_mainz00_15400, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12610)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15401;
BgL_objz00_15401 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15399, BgL_objz00_15401); BgL_objz00_15401; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3588z00_15402;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3589z00_15403; obj_t BgL_arg3590z00_15404;
BgL_arg3589z00_15403 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12608))->BgL_arityz00); 
BgL_arg3590z00_15404 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12608))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15405;
BgL_newz00_15405 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29529;
BgL_tmpz00_29529 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15405, BgL_tmpz00_29529, BgL_arg3590z00_15404); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29534; int BgL_tmpz00_29532;
BgL_auxz00_29534 = 
BINT(BgL_siza7ezd2framez75_12610); 
BgL_tmpz00_29532 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15405, BgL_tmpz00_29532, BgL_auxz00_29534); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29537;
BgL_tmpz00_29537 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15405, BgL_tmpz00_29537, BgL_runz00_15399); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29540;
BgL_tmpz00_29540 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15405, BgL_tmpz00_29540, BgL_arg3589z00_15403); } 
BgL_arg3588z00_15402 = BgL_newz00_15405; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15400, BgL_arg3588z00_15402); BgL_arg3588z00_15402; } 
return BgL_mainz00_15400;} } } } } } 

}



/* &main4219 */
obj_t BGl_z62main4219z62zz__evaluate_compz00(obj_t BgL_envz00_12612, obj_t BgL_az00_12617, obj_t BgL_bz00_12618, obj_t BgL_cz00_12619, obj_t BgL_dz00_12620, obj_t BgL_restz00_12621)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12614; obj_t BgL_runz00_12615; long BgL_siza7ezd2framez75_12616;
BgL_i1251z00_12614 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12612, 
(int)(((long)1)))); 
BgL_runz00_12615 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12612, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12616 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12612, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15406;
BgL_sz00_15406 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15407;
BgL_bpz00_15407 = 
VECTOR_REF(
((obj_t)BgL_sz00_15406),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15406, BgL_bpz00_15407, 
BINT(BgL_siza7ezd2framez75_12616)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3593z00_15408;
BgL_arg3593z00_15408 = 
(
(long)CINT(BgL_bpz00_15407)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15406),BgL_arg3593z00_15408,BgL_az00_12617); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3594z00_15409;
BgL_arg3594z00_15409 = 
(
(long)CINT(BgL_bpz00_15407)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15406),BgL_arg3594z00_15409,BgL_bz00_12618); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3595z00_15410;
BgL_arg3595z00_15410 = 
(
(long)CINT(BgL_bpz00_15407)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15406),BgL_arg3595z00_15410,BgL_cz00_12619); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3596z00_15411;
BgL_arg3596z00_15411 = 
(
(long)CINT(BgL_bpz00_15407)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15406),BgL_arg3596z00_15411,BgL_dz00_12620); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15406, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12614))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15407)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12614))->BgL_arityz00), ((long)4)), BgL_restz00_12621, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12614))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15412;
BgL_ez00_15412 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15413;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15414;
BgL_arg3987z00_15414 = 
BGL_EXITD_PROTECT(BgL_ez00_15412); 
BgL_arg3986z00_15413 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15407, BgL_arg3987z00_15414); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15412, BgL_arg3986z00_15413); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15415;
BgL_accz00_15415 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12615, BgL_sz00_15406, BgL_bpz00_15407); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5135z00_29587;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15416;
BgL_arg3985z00_15416 = 
BGL_EXITD_PROTECT(BgL_ez00_15412); 
BgL_test5135z00_29587 = 
PAIRP(BgL_arg3985z00_15416); } 
if(BgL_test5135z00_29587)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15417;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15418;
BgL_arg3984z00_15418 = 
BGL_EXITD_PROTECT(BgL_ez00_15412); 
BgL_arg3983z00_15417 = 
CDR(
((obj_t)BgL_arg3984z00_15418)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15412, BgL_arg3983z00_15417); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15406),((long)0),BgL_bpz00_15407); 
return BgL_accz00_15415;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15419;
BgL_nsz00_15419 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15419,((long)1),BgL_sz00_15406); 
VECTOR_SET(BgL_nsz00_15419,((long)2),BgL_az00_12617); 
VECTOR_SET(BgL_nsz00_15419,((long)3),BgL_bz00_12618); 
VECTOR_SET(BgL_nsz00_15419,((long)4),BgL_cz00_12619); 
VECTOR_SET(BgL_nsz00_15419,((long)5),BgL_dz00_12620); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15419, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12614))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12614))->BgL_arityz00), ((long)4)), BgL_restz00_12621, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12614))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15420;
BgL_z12denvz12_15420 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15420, BgL_nsz00_15419); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15421;
BgL_ez00_15421 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15422;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15423;
BgL_arg3987z00_15423 = 
BGL_EXITD_PROTECT(BgL_ez00_15421); 
BgL_arg3986z00_15422 = 
MAKE_YOUNG_PAIR(BgL_sz00_15406, BgL_arg3987z00_15423); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15421, BgL_arg3986z00_15422); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15424;
BgL_____rz00_15424 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12615, BgL_nsz00_15419, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5136z00_29615;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15425;
BgL_arg3985z00_15425 = 
BGL_EXITD_PROTECT(BgL_ez00_15421); 
BgL_test5136z00_29615 = 
PAIRP(BgL_arg3985z00_15425); } 
if(BgL_test5136z00_29615)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15426;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15427;
BgL_arg3984z00_15427 = 
BGL_EXITD_PROTECT(BgL_ez00_15421); 
BgL_arg3983z00_15426 = 
CDR(
((obj_t)BgL_arg3984z00_15427)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15421, BgL_arg3983z00_15426); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15420, BgL_sz00_15406); 
return BgL_____rz00_15424;} } } } } } } } 

}



/* &run4220 */
obj_t BGl_z62run4220z62zz__evaluate_compz00(obj_t BgL_envz00_12622, obj_t BgL_sz00_12625)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12623; obj_t BgL_bodyz00_12624;
BgL_i1251z00_12623 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12622, 
(int)(((long)0)))); 
BgL_bodyz00_12624 = 
PROCEDURE_REF(BgL_envz00_12622, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15428;
BgL_bpz00_15428 = 
VECTOR_REF(
((obj_t)BgL_sz00_12625),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15429; obj_t BgL_wherez00_15430; obj_t BgL_locz00_15431;
BgL_z12denvz12_15429 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15430 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12623))->BgL_wherez00); 
BgL_locz00_15431 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12623))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15429, BgL_wherez00_15430, BgL_locz00_15431); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15432;
BgL_za2za2resza2za2z00_15432 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12624))(BgL_bodyz00_12624, BgL_sz00_12625, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15429); 
return BgL_za2za2resza2za2z00_15432;} } } } } } 

}



/* &<@anonymous:3607> */
obj_t BGl_z62zc3z04anonymousza33607ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12626, obj_t BgL_sz00_12631)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12627; BgL_ev_absz00_bglt BgL_i1251z00_12628; obj_t BgL_bodyz00_12629; long BgL_siza7ezd2framez75_12630;
BgL_iboxesz00_12627 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12626, 
(int)(((long)0)))); 
BgL_i1251z00_12628 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12626, 
(int)(((long)1)))); 
BgL_bodyz00_12629 = 
PROCEDURE_REF(BgL_envz00_12626, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12630 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12626, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15433;
BgL_bpz00_15433 = 
VECTOR_REF(
((obj_t)BgL_sz00_12631),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15434;
BgL_runz00_15434 = 
MAKE_FX_PROCEDURE(BGl_z62run4222z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15434, 
(int)(((long)0)), BgL_iboxesz00_12627); 
PROCEDURE_SET(BgL_runz00_15434, 
(int)(((long)1)), 
((obj_t)BgL_i1251z00_12628)); 
PROCEDURE_SET(BgL_runz00_15434, 
(int)(((long)2)), BgL_bodyz00_12629); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15435;
BgL_mainz00_15435 = 
MAKE_VA_PROCEDURE(BGl_z62main4221z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15435, 
(int)(((long)0)), BgL_iboxesz00_12627); 
PROCEDURE_SET(BgL_mainz00_15435, 
(int)(((long)1)), BgL_bodyz00_12629); 
PROCEDURE_SET(BgL_mainz00_15435, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12628)); 
PROCEDURE_SET(BgL_mainz00_15435, 
(int)(((long)3)), BgL_runz00_15434); 
PROCEDURE_SET(BgL_mainz00_15435, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12630)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15436;
BgL_objz00_15436 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15434, BgL_objz00_15436); BgL_objz00_15436; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3608z00_15437;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3609z00_15438; obj_t BgL_arg3610z00_15439;
BgL_arg3609z00_15438 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12628))->BgL_arityz00); 
BgL_arg3610z00_15439 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12628))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15440;
BgL_newz00_15440 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29682;
BgL_tmpz00_29682 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15440, BgL_tmpz00_29682, BgL_arg3610z00_15439); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29687; int BgL_tmpz00_29685;
BgL_auxz00_29687 = 
BINT(BgL_siza7ezd2framez75_12630); 
BgL_tmpz00_29685 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15440, BgL_tmpz00_29685, BgL_auxz00_29687); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29690;
BgL_tmpz00_29690 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15440, BgL_tmpz00_29690, BgL_runz00_15434); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29693;
BgL_tmpz00_29693 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15440, BgL_tmpz00_29693, BgL_arg3609z00_15438); } 
BgL_arg3608z00_15437 = BgL_newz00_15440; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15435, BgL_arg3608z00_15437); BgL_arg3608z00_15437; } 
return BgL_mainz00_15435;} } } } } } 

}



/* &main4221 */
obj_t BGl_z62main4221z62zz__evaluate_compz00(obj_t BgL_envz00_12632, obj_t BgL_az00_12638, obj_t BgL_bz00_12639, obj_t BgL_cz00_12640, obj_t BgL_dz00_12641, obj_t BgL_restz00_12642)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12635; obj_t BgL_runz00_12636; long BgL_siza7ezd2framez75_12637;
BgL_i1251z00_12635 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12632, 
(int)(((long)2)))); 
BgL_runz00_12636 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12632, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12637 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12632, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15441;
BgL_sz00_15441 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15442;
BgL_bpz00_15442 = 
VECTOR_REF(
((obj_t)BgL_sz00_15441),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15441, BgL_bpz00_15442, 
BINT(BgL_siza7ezd2framez75_12637)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3613z00_15443;
BgL_arg3613z00_15443 = 
(
(long)CINT(BgL_bpz00_15442)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15441),BgL_arg3613z00_15443,BgL_az00_12638); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3614z00_15444;
BgL_arg3614z00_15444 = 
(
(long)CINT(BgL_bpz00_15442)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15441),BgL_arg3614z00_15444,BgL_bz00_12639); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3615z00_15445;
BgL_arg3615z00_15445 = 
(
(long)CINT(BgL_bpz00_15442)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15441),BgL_arg3615z00_15445,BgL_cz00_12640); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3616z00_15446;
BgL_arg3616z00_15446 = 
(
(long)CINT(BgL_bpz00_15442)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15441),BgL_arg3616z00_15446,BgL_dz00_12641); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15441, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12635))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15442)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12635))->BgL_arityz00), ((long)4)), BgL_restz00_12642, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12635))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15447;
BgL_ez00_15447 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15448;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15449;
BgL_arg3987z00_15449 = 
BGL_EXITD_PROTECT(BgL_ez00_15447); 
BgL_arg3986z00_15448 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15442, BgL_arg3987z00_15449); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15447, BgL_arg3986z00_15448); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15450;
BgL_accz00_15450 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12636, BgL_sz00_15441, BgL_bpz00_15442); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5138z00_29740;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15451;
BgL_arg3985z00_15451 = 
BGL_EXITD_PROTECT(BgL_ez00_15447); 
BgL_test5138z00_29740 = 
PAIRP(BgL_arg3985z00_15451); } 
if(BgL_test5138z00_29740)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15452;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15453;
BgL_arg3984z00_15453 = 
BGL_EXITD_PROTECT(BgL_ez00_15447); 
BgL_arg3983z00_15452 = 
CDR(
((obj_t)BgL_arg3984z00_15453)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15447, BgL_arg3983z00_15452); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15441),((long)0),BgL_bpz00_15442); 
return BgL_accz00_15450;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15454;
BgL_nsz00_15454 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15454,((long)1),BgL_sz00_15441); 
VECTOR_SET(BgL_nsz00_15454,((long)2),BgL_az00_12638); 
VECTOR_SET(BgL_nsz00_15454,((long)3),BgL_bz00_12639); 
VECTOR_SET(BgL_nsz00_15454,((long)4),BgL_cz00_12640); 
VECTOR_SET(BgL_nsz00_15454,((long)5),BgL_dz00_12641); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15454, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12635))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12635))->BgL_arityz00), ((long)4)), BgL_restz00_12642, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12635))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15455;
BgL_z12denvz12_15455 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15455, BgL_nsz00_15454); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15456;
BgL_ez00_15456 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15457;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15458;
BgL_arg3987z00_15458 = 
BGL_EXITD_PROTECT(BgL_ez00_15456); 
BgL_arg3986z00_15457 = 
MAKE_YOUNG_PAIR(BgL_sz00_15441, BgL_arg3987z00_15458); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15456, BgL_arg3986z00_15457); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15459;
BgL_____rz00_15459 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12636, BgL_nsz00_15454, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5139z00_29768;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15460;
BgL_arg3985z00_15460 = 
BGL_EXITD_PROTECT(BgL_ez00_15456); 
BgL_test5139z00_29768 = 
PAIRP(BgL_arg3985z00_15460); } 
if(BgL_test5139z00_29768)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15461;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15462;
BgL_arg3984z00_15462 = 
BGL_EXITD_PROTECT(BgL_ez00_15456); 
BgL_arg3983z00_15461 = 
CDR(
((obj_t)BgL_arg3984z00_15462)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15456, BgL_arg3983z00_15461); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15455, BgL_sz00_15441); 
return BgL_____rz00_15459;} } } } } } } } 

}



/* &run4222 */
obj_t BGl_z62run4222z62zz__evaluate_compz00(obj_t BgL_envz00_12643, obj_t BgL_sz00_12647)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12644; BgL_ev_absz00_bglt BgL_i1251z00_12645; obj_t BgL_bodyz00_12646;
BgL_iboxesz00_12644 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12643, 
(int)(((long)0)))); 
BgL_i1251z00_12645 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12643, 
(int)(((long)1)))); 
BgL_bodyz00_12646 = 
PROCEDURE_REF(BgL_envz00_12643, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15463;
BgL_bpz00_15463 = 
VECTOR_REF(
((obj_t)BgL_sz00_12647),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12647, BgL_iboxesz00_12644, BgL_bpz00_15463); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15464; obj_t BgL_wherez00_15465; obj_t BgL_locz00_15466;
BgL_z12denvz12_15464 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15465 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12645))->BgL_wherez00); 
BgL_locz00_15466 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12645))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15464, BgL_wherez00_15465, BgL_locz00_15466); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15467;
BgL_za2za2resza2za2z00_15467 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12646))(BgL_bodyz00_12646, BgL_sz00_12647, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15464); 
return BgL_za2za2resza2za2z00_15467;} } } } } } 

}



/* &<@anonymous:3630> */
obj_t BGl_z62zc3z04anonymousza33630ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12648, obj_t BgL_sz00_12654)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12649; long BgL_siza7eza7_12650; BgL_ev_absz00_bglt BgL_i1251z00_12651; obj_t BgL_bodyz00_12652; long BgL_siza7ezd2framez75_12653;
BgL_ifreesz00_12649 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12648, 
(int)(((long)0)))); 
BgL_siza7eza7_12650 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12648, 
(int)(((long)1)))); 
BgL_i1251z00_12651 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12648, 
(int)(((long)2)))); 
BgL_bodyz00_12652 = 
PROCEDURE_REF(BgL_envz00_12648, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12653 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12648, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15468;
BgL_bpz00_15468 = 
VECTOR_REF(
((obj_t)BgL_sz00_12654),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15469;
BgL_valza2za2_15469 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12654, BgL_bpz00_15468, BgL_ifreesz00_12649); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15470;
BgL_runz00_15470 = 
MAKE_FX_PROCEDURE(BGl_z62run4224z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15470, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12650)); 
PROCEDURE_SET(BgL_runz00_15470, 
(int)(((long)1)), BgL_valza2za2_15469); 
PROCEDURE_SET(BgL_runz00_15470, 
(int)(((long)2)), 
((obj_t)BgL_i1251z00_12651)); 
PROCEDURE_SET(BgL_runz00_15470, 
(int)(((long)3)), BgL_bodyz00_12652); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15471;
BgL_mainz00_15471 = 
MAKE_VA_PROCEDURE(BGl_z62main4223z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15471, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12650)); 
PROCEDURE_SET(BgL_mainz00_15471, 
(int)(((long)1)), BgL_valza2za2_15469); 
PROCEDURE_SET(BgL_mainz00_15471, 
(int)(((long)2)), BgL_bodyz00_12652); 
PROCEDURE_SET(BgL_mainz00_15471, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12651)); 
PROCEDURE_SET(BgL_mainz00_15471, 
(int)(((long)4)), BgL_runz00_15470); 
PROCEDURE_SET(BgL_mainz00_15471, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12653)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15472;
BgL_objz00_15472 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15470, BgL_objz00_15472); BgL_objz00_15472; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3631z00_15473;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3632z00_15474; obj_t BgL_arg3633z00_15475;
BgL_arg3632z00_15474 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12651))->BgL_arityz00); 
BgL_arg3633z00_15475 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12651))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15476;
BgL_newz00_15476 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29849;
BgL_tmpz00_29849 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15476, BgL_tmpz00_29849, BgL_arg3633z00_15475); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29854; int BgL_tmpz00_29852;
BgL_auxz00_29854 = 
BINT(BgL_siza7ezd2framez75_12653); 
BgL_tmpz00_29852 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15476, BgL_tmpz00_29852, BgL_auxz00_29854); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29857;
BgL_tmpz00_29857 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15476, BgL_tmpz00_29857, BgL_runz00_15470); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29860;
BgL_tmpz00_29860 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15476, BgL_tmpz00_29860, BgL_arg3632z00_15474); } 
BgL_arg3631z00_15473 = BgL_newz00_15476; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15471, BgL_arg3631z00_15473); BgL_arg3631z00_15473; } 
return BgL_mainz00_15471;} } } } } } 

}



/* &main4223 */
obj_t BGl_z62main4223z62zz__evaluate_compz00(obj_t BgL_envz00_12655, obj_t BgL_az00_12662, obj_t BgL_bz00_12663, obj_t BgL_cz00_12664, obj_t BgL_dz00_12665, obj_t BgL_restz00_12666)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12659; obj_t BgL_runz00_12660; long BgL_siza7ezd2framez75_12661;
BgL_i1251z00_12659 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12655, 
(int)(((long)3)))); 
BgL_runz00_12660 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12655, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12661 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12655, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15477;
BgL_sz00_15477 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15478;
BgL_bpz00_15478 = 
VECTOR_REF(
((obj_t)BgL_sz00_15477),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15477, BgL_bpz00_15478, 
BINT(BgL_siza7ezd2framez75_12661)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3636z00_15479;
BgL_arg3636z00_15479 = 
(
(long)CINT(BgL_bpz00_15478)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15477),BgL_arg3636z00_15479,BgL_az00_12662); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3637z00_15480;
BgL_arg3637z00_15480 = 
(
(long)CINT(BgL_bpz00_15478)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15477),BgL_arg3637z00_15480,BgL_bz00_12663); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3638z00_15481;
BgL_arg3638z00_15481 = 
(
(long)CINT(BgL_bpz00_15478)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15477),BgL_arg3638z00_15481,BgL_cz00_12664); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3639z00_15482;
BgL_arg3639z00_15482 = 
(
(long)CINT(BgL_bpz00_15478)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15477),BgL_arg3639z00_15482,BgL_dz00_12665); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15477, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12659))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15478)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12659))->BgL_arityz00), ((long)4)), BgL_restz00_12666, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12659))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15483;
BgL_ez00_15483 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15484;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15485;
BgL_arg3987z00_15485 = 
BGL_EXITD_PROTECT(BgL_ez00_15483); 
BgL_arg3986z00_15484 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15478, BgL_arg3987z00_15485); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15483, BgL_arg3986z00_15484); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15486;
BgL_accz00_15486 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12660, BgL_sz00_15477, BgL_bpz00_15478); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5141z00_29907;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15487;
BgL_arg3985z00_15487 = 
BGL_EXITD_PROTECT(BgL_ez00_15483); 
BgL_test5141z00_29907 = 
PAIRP(BgL_arg3985z00_15487); } 
if(BgL_test5141z00_29907)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15488;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15489;
BgL_arg3984z00_15489 = 
BGL_EXITD_PROTECT(BgL_ez00_15483); 
BgL_arg3983z00_15488 = 
CDR(
((obj_t)BgL_arg3984z00_15489)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15483, BgL_arg3983z00_15488); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15477),((long)0),BgL_bpz00_15478); 
return BgL_accz00_15486;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15490;
BgL_nsz00_15490 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15490,((long)1),BgL_sz00_15477); 
VECTOR_SET(BgL_nsz00_15490,((long)2),BgL_az00_12662); 
VECTOR_SET(BgL_nsz00_15490,((long)3),BgL_bz00_12663); 
VECTOR_SET(BgL_nsz00_15490,((long)4),BgL_cz00_12664); 
VECTOR_SET(BgL_nsz00_15490,((long)5),BgL_dz00_12665); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15490, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12659))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12659))->BgL_arityz00), ((long)4)), BgL_restz00_12666, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12659))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15491;
BgL_z12denvz12_15491 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15491, BgL_nsz00_15490); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15492;
BgL_ez00_15492 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15493;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15494;
BgL_arg3987z00_15494 = 
BGL_EXITD_PROTECT(BgL_ez00_15492); 
BgL_arg3986z00_15493 = 
MAKE_YOUNG_PAIR(BgL_sz00_15477, BgL_arg3987z00_15494); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15492, BgL_arg3986z00_15493); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15495;
BgL_____rz00_15495 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12660, BgL_nsz00_15490, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5142z00_29935;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15496;
BgL_arg3985z00_15496 = 
BGL_EXITD_PROTECT(BgL_ez00_15492); 
BgL_test5142z00_29935 = 
PAIRP(BgL_arg3985z00_15496); } 
if(BgL_test5142z00_29935)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15497;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15498;
BgL_arg3984z00_15498 = 
BGL_EXITD_PROTECT(BgL_ez00_15492); 
BgL_arg3983z00_15497 = 
CDR(
((obj_t)BgL_arg3984z00_15498)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15492, BgL_arg3983z00_15497); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15491, BgL_sz00_15477); 
return BgL_____rz00_15495;} } } } } } } } 

}



/* &run4224 */
obj_t BGl_z62run4224z62zz__evaluate_compz00(obj_t BgL_envz00_12667, obj_t BgL_sz00_12672)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12668; obj_t BgL_valza2za2_12669; BgL_ev_absz00_bglt BgL_i1251z00_12670; obj_t BgL_bodyz00_12671;
BgL_siza7eza7_12668 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)0)))); 
BgL_valza2za2_12669 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)1)))); 
BgL_i1251z00_12670 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)2)))); 
BgL_bodyz00_12671 = 
PROCEDURE_REF(BgL_envz00_12667, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15499;
BgL_bpz00_15499 = 
VECTOR_REF(
((obj_t)BgL_sz00_12672),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12672, BgL_valza2za2_12669, 
(
(long)CINT(BgL_bpz00_15499)+BgL_siza7eza7_12668)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15500; obj_t BgL_wherez00_15501; obj_t BgL_locz00_15502;
BgL_z12denvz12_15500 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15501 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12670))->BgL_wherez00); 
BgL_locz00_15502 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12670))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15500, BgL_wherez00_15501, BgL_locz00_15502); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15503;
BgL_za2za2resza2za2z00_15503 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12671))(BgL_bodyz00_12671, BgL_sz00_12672, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15500); 
return BgL_za2za2resza2za2z00_15503;} } } } } } 

}



/* &<@anonymous:3651> */
obj_t BGl_z62zc3z04anonymousza33651ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12673, obj_t BgL_sz00_12680)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12674; obj_t BgL_iboxesz00_12675; long BgL_siza7eza7_12676; BgL_ev_absz00_bglt BgL_i1251z00_12677; obj_t BgL_bodyz00_12678; long BgL_siza7ezd2framez75_12679;
BgL_ifreesz00_12674 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)0)))); 
BgL_iboxesz00_12675 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)1)))); 
BgL_siza7eza7_12676 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)2)))); 
BgL_i1251z00_12677 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)3)))); 
BgL_bodyz00_12678 = 
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12679 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15504;
BgL_bpz00_15504 = 
VECTOR_REF(
((obj_t)BgL_sz00_12680),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15505;
BgL_valza2za2_15505 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12680, BgL_bpz00_15504, BgL_ifreesz00_12674); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15506;
BgL_runz00_15506 = 
MAKE_FX_PROCEDURE(BGl_z62run4226z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15506, 
(int)(((long)0)), BgL_iboxesz00_12675); 
PROCEDURE_SET(BgL_runz00_15506, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12676)); 
PROCEDURE_SET(BgL_runz00_15506, 
(int)(((long)2)), BgL_valza2za2_15505); 
PROCEDURE_SET(BgL_runz00_15506, 
(int)(((long)3)), 
((obj_t)BgL_i1251z00_12677)); 
PROCEDURE_SET(BgL_runz00_15506, 
(int)(((long)4)), BgL_bodyz00_12678); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15507;
BgL_mainz00_15507 = 
MAKE_VA_PROCEDURE(BGl_z62main4225z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15507, 
(int)(((long)0)), BgL_iboxesz00_12675); 
PROCEDURE_SET(BgL_mainz00_15507, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12676)); 
PROCEDURE_SET(BgL_mainz00_15507, 
(int)(((long)2)), BgL_valza2za2_15505); 
PROCEDURE_SET(BgL_mainz00_15507, 
(int)(((long)3)), BgL_bodyz00_12678); 
PROCEDURE_SET(BgL_mainz00_15507, 
(int)(((long)4)), 
((obj_t)BgL_i1251z00_12677)); 
PROCEDURE_SET(BgL_mainz00_15507, 
(int)(((long)5)), BgL_runz00_15506); 
PROCEDURE_SET(BgL_mainz00_15507, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12679)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15508;
BgL_objz00_15508 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15506, BgL_objz00_15508); BgL_objz00_15508; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3652z00_15509;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3653z00_15510; obj_t BgL_arg3654z00_15511;
BgL_arg3653z00_15510 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12677))->BgL_arityz00); 
BgL_arg3654z00_15511 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12677))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15512;
BgL_newz00_15512 = 
create_struct(BGl_symbol4256z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_30028;
BgL_tmpz00_30028 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15512, BgL_tmpz00_30028, BgL_arg3654z00_15511); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_30033; int BgL_tmpz00_30031;
BgL_auxz00_30033 = 
BINT(BgL_siza7ezd2framez75_12679); 
BgL_tmpz00_30031 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15512, BgL_tmpz00_30031, BgL_auxz00_30033); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_30036;
BgL_tmpz00_30036 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15512, BgL_tmpz00_30036, BgL_runz00_15506); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_30039;
BgL_tmpz00_30039 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15512, BgL_tmpz00_30039, BgL_arg3653z00_15510); } 
BgL_arg3652z00_15509 = BgL_newz00_15512; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15507, BgL_arg3652z00_15509); BgL_arg3652z00_15509; } 
return BgL_mainz00_15507;} } } } } } 

}



/* &main4225 */
obj_t BGl_z62main4225z62zz__evaluate_compz00(obj_t BgL_envz00_12681, obj_t BgL_az00_12689, obj_t BgL_bz00_12690, obj_t BgL_cz00_12691, obj_t BgL_dz00_12692, obj_t BgL_restz00_12693)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1251z00_12686; obj_t BgL_runz00_12687; long BgL_siza7ezd2framez75_12688;
BgL_i1251z00_12686 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12681, 
(int)(((long)4)))); 
BgL_runz00_12687 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12681, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12688 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12681, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15513;
BgL_sz00_15513 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15514;
BgL_bpz00_15514 = 
VECTOR_REF(
((obj_t)BgL_sz00_15513),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15513, BgL_bpz00_15514, 
BINT(BgL_siza7ezd2framez75_12688)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3657z00_15515;
BgL_arg3657z00_15515 = 
(
(long)CINT(BgL_bpz00_15514)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15513),BgL_arg3657z00_15515,BgL_az00_12689); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3658z00_15516;
BgL_arg3658z00_15516 = 
(
(long)CINT(BgL_bpz00_15514)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15513),BgL_arg3658z00_15516,BgL_bz00_12690); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3659z00_15517;
BgL_arg3659z00_15517 = 
(
(long)CINT(BgL_bpz00_15514)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15513),BgL_arg3659z00_15517,BgL_cz00_12691); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3660z00_15518;
BgL_arg3660z00_15518 = 
(
(long)CINT(BgL_bpz00_15514)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15513),BgL_arg3660z00_15518,BgL_dz00_12692); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15513, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12686))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15514)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12686))->BgL_arityz00), ((long)4)), BgL_restz00_12693, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12686))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15519;
BgL_ez00_15519 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15520;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15521;
BgL_arg3987z00_15521 = 
BGL_EXITD_PROTECT(BgL_ez00_15519); 
BgL_arg3986z00_15520 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15514, BgL_arg3987z00_15521); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15519, BgL_arg3986z00_15520); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15522;
BgL_accz00_15522 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12687, BgL_sz00_15513, BgL_bpz00_15514); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5144z00_30086;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15523;
BgL_arg3985z00_15523 = 
BGL_EXITD_PROTECT(BgL_ez00_15519); 
BgL_test5144z00_30086 = 
PAIRP(BgL_arg3985z00_15523); } 
if(BgL_test5144z00_30086)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15524;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15525;
BgL_arg3984z00_15525 = 
BGL_EXITD_PROTECT(BgL_ez00_15519); 
BgL_arg3983z00_15524 = 
CDR(
((obj_t)BgL_arg3984z00_15525)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15519, BgL_arg3983z00_15524); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15513),((long)0),BgL_bpz00_15514); 
return BgL_accz00_15522;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15526;
BgL_nsz00_15526 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15526,((long)1),BgL_sz00_15513); 
VECTOR_SET(BgL_nsz00_15526,((long)2),BgL_az00_12689); 
VECTOR_SET(BgL_nsz00_15526,((long)3),BgL_bz00_12690); 
VECTOR_SET(BgL_nsz00_15526,((long)4),BgL_cz00_12691); 
VECTOR_SET(BgL_nsz00_15526,((long)5),BgL_dz00_12692); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15526, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12686))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12686))->BgL_arityz00), ((long)4)), BgL_restz00_12693, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12686))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15527;
BgL_z12denvz12_15527 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15527, BgL_nsz00_15526); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15528;
BgL_ez00_15528 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3986z00_15529;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3987z00_15530;
BgL_arg3987z00_15530 = 
BGL_EXITD_PROTECT(BgL_ez00_15528); 
BgL_arg3986z00_15529 = 
MAKE_YOUNG_PAIR(BgL_sz00_15513, BgL_arg3987z00_15530); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15528, BgL_arg3986z00_15529); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15531;
BgL_____rz00_15531 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12687, BgL_nsz00_15526, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5145z00_30114;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3985z00_15532;
BgL_arg3985z00_15532 = 
BGL_EXITD_PROTECT(BgL_ez00_15528); 
BgL_test5145z00_30114 = 
PAIRP(BgL_arg3985z00_15532); } 
if(BgL_test5145z00_30114)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3983z00_15533;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3984z00_15534;
BgL_arg3984z00_15534 = 
BGL_EXITD_PROTECT(BgL_ez00_15528); 
BgL_arg3983z00_15533 = 
CDR(
((obj_t)BgL_arg3984z00_15534)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15528, BgL_arg3983z00_15533); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15527, BgL_sz00_15513); 
return BgL_____rz00_15531;} } } } } } } } 

}



/* &run4226 */
obj_t BGl_z62run4226z62zz__evaluate_compz00(obj_t BgL_envz00_12694, obj_t BgL_sz00_12700)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12695; long BgL_siza7eza7_12696; obj_t BgL_valza2za2_12697; BgL_ev_absz00_bglt BgL_i1251z00_12698; obj_t BgL_bodyz00_12699;
BgL_iboxesz00_12695 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12694, 
(int)(((long)0)))); 
BgL_siza7eza7_12696 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12694, 
(int)(((long)1)))); 
BgL_valza2za2_12697 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12694, 
(int)(((long)2)))); 
BgL_i1251z00_12698 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12694, 
(int)(((long)3)))); 
BgL_bodyz00_12699 = 
PROCEDURE_REF(BgL_envz00_12694, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15535;
BgL_bpz00_15535 = 
VECTOR_REF(
((obj_t)BgL_sz00_12700),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12700, BgL_iboxesz00_12695, BgL_bpz00_15535); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12700, BgL_valza2za2_12697, 
(
(long)CINT(BgL_bpz00_15535)+BgL_siza7eza7_12696)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15536; obj_t BgL_wherez00_15537; obj_t BgL_locz00_15538;
BgL_z12denvz12_15536 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15537 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12698))->BgL_wherez00); 
BgL_locz00_15538 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1251z00_12698))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15536, BgL_wherez00_15537, BgL_locz00_15538); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15539;
BgL_za2za2resza2za2z00_15539 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12699))(BgL_bodyz00_12699, BgL_sz00_12700, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15536); 
return BgL_za2za2resza2za2z00_15539;} } } } } } 

}



/* &comp-ev_app1476 */
obj_t BGl_z62compzd2ev_app1476zb0zz__evaluate_compz00(obj_t BgL_envz00_12701, obj_t BgL_ez00_12702, obj_t BgL_stkz00_12703)
{
{ /* Eval/evaluate_comp.scm 1051 */
{ /* Eval/evaluate_comp.scm 1053 */
 obj_t BgL__ortest_1237z00_15541;
BgL__ortest_1237z00_15541 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12702), BgL_stkz00_12703); 
if(
CBOOL(BgL__ortest_1237z00_15541))
{ /* Eval/evaluate_comp.scm 1053 */
return BgL__ortest_1237z00_15541;}  else 
{ /* Eval/evaluate_comp.scm 1054 */
 obj_t BgL__ortest_1238z00_15542;
BgL__ortest_1238z00_15542 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_argsz00), BgL_stkz00_12703); 
if(
CBOOL(BgL__ortest_1238z00_15542))
{ /* Eval/evaluate_comp.scm 1054 */
return BgL__ortest_1238z00_15542;}  else 
{ /* Eval/evaluate_comp.scm 1054 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1055 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12702), BgL_stkz00_12703);}  else 
{ /* Eval/evaluate_comp.scm 1057 */
 obj_t BgL_fz00_15543; long BgL_siza7eza7_15544; obj_t BgL_symbzd2funzd2_15545;
BgL_fz00_15543 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_funz00), BgL_stkz00_12703); 
BgL_siza7eza7_15544 = 
bgl_list_length(BgL_stkz00_12703); 
BgL_symbzd2funzd2_15545 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1058 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_funz00), BgL_symbzd2funzd2_15545, BgL_fz00_15543, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_tailzf3zf3), BgL_stkz00_12703, BgL_siza7eza7_15544);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a1z00_15546; obj_t BgL_argsz00_15547;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3122z00_15548;
BgL_arg3122z00_15548 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_argsz00)); 
BgL_a1z00_15546 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3122z00_15548), BgL_stkz00_12703); } 
BgL_argsz00_15547 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_15547))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_funz00), BgL_symbzd2funzd2_15545, BgL_fz00_15543, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_tailzf3zf3), BgL_stkz00_12703, BgL_siza7eza7_15544, BgL_a1z00_15546);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a2z00_15549; obj_t BgL_argsz00_15550;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3121z00_15551;
BgL_arg3121z00_15551 = 
CAR(
((obj_t)BgL_argsz00_15547)); 
BgL_a2z00_15549 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3121z00_15551), BgL_stkz00_12703); } 
BgL_argsz00_15550 = 
CDR(
((obj_t)BgL_argsz00_15547)); 
if(
NULLP(BgL_argsz00_15550))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_funz00), BgL_symbzd2funzd2_15545, BgL_fz00_15543, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_tailzf3zf3), BgL_stkz00_12703, BgL_siza7eza7_15544, BgL_a1z00_15546, BgL_a2z00_15549);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a3z00_15552; obj_t BgL_argsz00_15553;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3120z00_15554;
BgL_arg3120z00_15554 = 
CAR(
((obj_t)BgL_argsz00_15550)); 
BgL_a3z00_15552 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3120z00_15554), BgL_stkz00_12703); } 
BgL_argsz00_15553 = 
CDR(
((obj_t)BgL_argsz00_15550)); 
if(
NULLP(BgL_argsz00_15553))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_funz00), BgL_symbzd2funzd2_15545, BgL_fz00_15543, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_tailzf3zf3), BgL_stkz00_12703, BgL_siza7eza7_15544, BgL_a1z00_15546, BgL_a2z00_15549, BgL_a3z00_15552);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a4z00_15555; obj_t BgL_argsz00_15556;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3119z00_15557;
BgL_arg3119z00_15557 = 
CAR(
((obj_t)BgL_argsz00_15553)); 
BgL_a4z00_15555 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3119z00_15557), BgL_stkz00_12703); } 
BgL_argsz00_15556 = 
CDR(
((obj_t)BgL_argsz00_15553)); 
if(
NULLP(BgL_argsz00_15556))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_funz00), BgL_symbzd2funzd2_15545, BgL_fz00_15543, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12702)))->BgL_tailzf3zf3), BgL_stkz00_12703, BgL_siza7eza7_15544, BgL_a1z00_15546, BgL_a2z00_15549, BgL_a3z00_15552, BgL_a4z00_15555);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_errorz00zz__errorz00(BGl_string4239z00zz__evaluate_compz00, BGl_string4354z00zz__evaluate_compz00, BGl_string4355z00zz__evaluate_compz00);} } } } } } } } } } 

}



/* &comp-ev_goto1474 */
obj_t BGl_z62compzd2ev_goto1474zb0zz__evaluate_compz00(obj_t BgL_envz00_12704, obj_t BgL_ez00_12705, obj_t BgL_stkz00_12706)
{
{ /* Eval/evaluate_comp.scm 604 */
{ /* Eval/evaluate_comp.scm 607 */
 obj_t BgL_slotz00_15561; long BgL_siza7eza7_15562; obj_t BgL_lstkz00_15563;
BgL_slotz00_15561 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_15562 = 
bgl_list_length(BgL_stkz00_12706); 
BgL_lstkz00_15563 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 609 */
 long BgL_llstkz00_15564; obj_t BgL_substkz00_15565; obj_t BgL_boxesz00_15566;
BgL_llstkz00_15564 = 
bgl_list_length(BgL_lstkz00_15563); 
BgL_substkz00_15565 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_15563, BgL_stkz00_12706); 
{ /* Eval/evaluate_comp.scm 609 */
 obj_t BgL_pairz00_15567;
BgL_pairz00_15567 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_15566 = 
CDR(BgL_pairz00_15567); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_argsz00), BgL_substkz00_15565))
{ /* Eval/evaluate_comp.scm 612 */
 obj_t BgL_argsz00_15568; long BgL_nbargsz00_15569;
BgL_argsz00_15568 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_argsz00), BgL_stkz00_12706); 
BgL_nbargsz00_15569 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 613 */
 obj_t BgL_zc3z04anonymousza33077ze3z87_15570;
BgL_zc3z04anonymousza33077ze3z87_15570 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_15570, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15562)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_15570, 
(int)(((long)1)), 
BINT(BgL_llstkz00_15564)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_15570, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12705))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_15570, 
(int)(((long)3)), BgL_argsz00_15568); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_15570, 
(int)(((long)4)), BgL_boxesz00_15566); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_15570, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_15569)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33077ze3z87_15570, 
(int)(((long)6)), BgL_slotz00_15561); 
return BgL_zc3z04anonymousza33077ze3z87_15570;} }  else 
{ /* Eval/evaluate_comp.scm 618 */
 obj_t BgL_argsz00_15571;
{ /* Eval/evaluate_comp.scm 618 */
 obj_t BgL_lz00_15572; long BgL_nz00_15573;
BgL_lz00_15572 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12705)))->BgL_argsz00); 
BgL_nz00_15573 = 
(BgL_siza7eza7_15562-BgL_llstkz00_15564); 
BgL_argsz00_15571 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12706, BgL_lz00_15572, BgL_nz00_15573); } 
{ /* Eval/evaluate_comp.scm 619 */
 obj_t BgL_zc3z04anonymousza33083ze3z87_15574;
BgL_zc3z04anonymousza33083ze3z87_15574 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33083ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33083ze3z87_15574, 
(int)(((long)0)), 
BINT(BgL_llstkz00_15564)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33083ze3z87_15574, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12705))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33083ze3z87_15574, 
(int)(((long)2)), BgL_argsz00_15571); 
PROCEDURE_SET(BgL_zc3z04anonymousza33083ze3z87_15574, 
(int)(((long)3)), BgL_boxesz00_15566); 
PROCEDURE_SET(BgL_zc3z04anonymousza33083ze3z87_15574, 
(int)(((long)4)), BgL_slotz00_15561); 
return BgL_zc3z04anonymousza33083ze3z87_15574;} } } } } 

}



/* &<@anonymous:3077> */
obj_t BGl_z62zc3z04anonymousza33077ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12707, obj_t BgL_sz00_12715)
{
{ /* Eval/evaluate_comp.scm 613 */
{ /* Eval/evaluate_comp.scm 613 */
 long BgL_siza7eza7_12708; long BgL_llstkz00_12709; BgL_ev_gotoz00_bglt BgL_i1149z00_12710; obj_t BgL_argsz00_12711; obj_t BgL_boxesz00_12712; long BgL_nbargsz00_12713; obj_t BgL_slotz00_12714;
BgL_siza7eza7_12708 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12707, 
(int)(((long)0)))); 
BgL_llstkz00_12709 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12707, 
(int)(((long)1)))); 
BgL_i1149z00_12710 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12707, 
(int)(((long)2)))); 
BgL_argsz00_12711 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12707, 
(int)(((long)3)))); 
BgL_boxesz00_12712 = 
PROCEDURE_REF(BgL_envz00_12707, 
(int)(((long)4))); 
BgL_nbargsz00_12713 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12707, 
(int)(((long)5)))); 
BgL_slotz00_12714 = 
PROCEDURE_REF(BgL_envz00_12707, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 613 */
 obj_t BgL_bpz00_15575;
BgL_bpz00_15575 = 
VECTOR_REF(
((obj_t)BgL_sz00_12715),((long)0)); 
{ /* Eval/evaluate_comp.scm 614 */
 long BgL_spz00_15576; long BgL_lspz00_15577;
BgL_spz00_15576 = 
(
(long)CINT(BgL_bpz00_15575)+BgL_siza7eza7_12708); 
BgL_lspz00_15577 = 
(
(long)CINT(BgL_bpz00_15575)+BgL_llstkz00_12709); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12715, BgL_argsz00_12711, BgL_boxesz00_12712, BgL_spz00_15576, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1149z00_12710))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 616 */
 long BgL_arg3079z00_15578;
BgL_arg3079z00_15578 = 
(BgL_spz00_15576+BgL_nbargsz00_12713); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_12715, BgL_lspz00_15577, BgL_sz00_12715, 
BINT(BgL_spz00_15576), 
BINT(BgL_arg3079z00_15578)); } 
return 
CDR(
((obj_t)BgL_slotz00_12714));} } } } 

}



/* &<@anonymous:3083> */
obj_t BGl_z62zc3z04anonymousza33083ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12716, obj_t BgL_sz00_12722)
{
{ /* Eval/evaluate_comp.scm 619 */
{ /* Eval/evaluate_comp.scm 619 */
 long BgL_llstkz00_12717; BgL_ev_gotoz00_bglt BgL_i1149z00_12718; obj_t BgL_argsz00_12719; obj_t BgL_boxesz00_12720; obj_t BgL_slotz00_12721;
BgL_llstkz00_12717 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12716, 
(int)(((long)0)))); 
BgL_i1149z00_12718 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12716, 
(int)(((long)1)))); 
BgL_argsz00_12719 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12716, 
(int)(((long)2)))); 
BgL_boxesz00_12720 = 
PROCEDURE_REF(BgL_envz00_12716, 
(int)(((long)3))); 
BgL_slotz00_12721 = 
PROCEDURE_REF(BgL_envz00_12716, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 619 */
 obj_t BgL_bpz00_15579;
BgL_bpz00_15579 = 
VECTOR_REF(
((obj_t)BgL_sz00_12722),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12722, BgL_argsz00_12719, BgL_boxesz00_12720, 
(
(long)CINT(BgL_bpz00_15579)+BgL_llstkz00_12717), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1149z00_12718))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_12721));} } } 

}



/* &comp-ev_labels1472 */
obj_t BGl_z62compzd2ev_labels1472zb0zz__evaluate_compz00(obj_t BgL_envz00_12723, obj_t BgL_ez00_12724, obj_t BgL_stkz00_12725)
{
{ /* Eval/evaluate_comp.scm 572 */
{ 
 obj_t BgL_fz00_15582;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12724)))->BgL_stkz00)=((obj_t)BgL_stkz00_12725),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_envz00_15584;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_l1340z00_15585;
BgL_l1340z00_15585 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12724)))->BgL_varsz00); 
if(
NULLP(BgL_l1340z00_15585))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_15584 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_head1342z00_15586;
BgL_head1342z00_15586 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1340z00_15588; obj_t BgL_tail1343z00_15589;
BgL_l1340z00_15588 = BgL_l1340z00_15585; 
BgL_tail1343z00_15589 = BgL_head1342z00_15586; 
BgL_zc3z04anonymousza33068ze3z87_15587:
if(
NULLP(BgL_l1340z00_15588))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_15584 = 
CDR(BgL_head1342z00_15586); }  else 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_newtail1344z00_15590;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_arg3071z00_15591;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_vz00_15592;
BgL_vz00_15592 = 
CAR(
((obj_t)BgL_l1340z00_15588)); 
BgL_arg3071z00_15591 = 
MAKE_YOUNG_PAIR(BgL_vz00_15592, BGl_symbol4356z00zz__evaluate_compz00); } 
BgL_newtail1344z00_15590 = 
MAKE_YOUNG_PAIR(BgL_arg3071z00_15591, BNIL); } 
SET_CDR(BgL_tail1343z00_15589, BgL_newtail1344z00_15590); 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_arg3070z00_15593;
BgL_arg3070z00_15593 = 
CDR(
((obj_t)BgL_l1340z00_15588)); 
{ 
 obj_t BgL_tail1343z00_30397; obj_t BgL_l1340z00_30396;
BgL_l1340z00_30396 = BgL_arg3070z00_15593; 
BgL_tail1343z00_30397 = BgL_newtail1344z00_15590; 
BgL_tail1343z00_15589 = BgL_tail1343z00_30397; 
BgL_l1340z00_15588 = BgL_l1340z00_30396; 
goto BgL_zc3z04anonymousza33068ze3z87_15587;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12724)))->BgL_envz00)=((obj_t)BgL_envz00_15584),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 582 */
 obj_t BgL_g1348z00_15594;
BgL_g1348z00_15594 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12724)))->BgL_valsz00); 
{ 
 obj_t BgL_ll1345z00_15596; obj_t BgL_ll1346z00_15597;
BgL_ll1345z00_15596 = BgL_envz00_15584; 
BgL_ll1346z00_15597 = BgL_g1348z00_15594; 
BgL_zc3z04anonymousza33058ze3z87_15595:
if(
NULLP(BgL_ll1345z00_15596))
{ /* Eval/evaluate_comp.scm 582 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 582 */
{ /* Eval/evaluate_comp.scm 584 */
 obj_t BgL_slotz00_15598; obj_t BgL_valz00_15599;
BgL_slotz00_15598 = 
CAR(
((obj_t)BgL_ll1345z00_15596)); 
BgL_valz00_15599 = 
CAR(
((obj_t)BgL_ll1346z00_15597)); 
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3060z00_15600;
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3061z00_15601;
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3062z00_15602; obj_t BgL_arg3063z00_15603;
BgL_arg3062z00_15602 = 
CDR(
((obj_t)BgL_valz00_15599)); 
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3064z00_15604;
BgL_arg3064z00_15604 = 
CAR(
((obj_t)BgL_valz00_15599)); 
BgL_arg3063z00_15603 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12725, BgL_arg3064z00_15604); } 
BgL_arg3061z00_15601 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3062z00_15602), BgL_arg3063z00_15603); } 
BgL_fz00_15582 = BgL_arg3061z00_15601; 
{ /* Eval/evaluate_comp.scm 574 */
 obj_t BgL_objz00_15583;
BgL_objz00_15583 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 574 */
 obj_t BgL_tmpz00_30415;
BgL_tmpz00_30415 = 
((obj_t)BgL_fz00_15582); 
PROCEDURE_ATTR_SET(BgL_tmpz00_30415, BgL_objz00_15583); } BgL_objz00_15583; } 
BgL_arg3060z00_15600 = BgL_fz00_15582; } 
{ /* Eval/evaluate_comp.scm 584 */
 obj_t BgL_tmpz00_30418;
BgL_tmpz00_30418 = 
((obj_t)BgL_slotz00_15598); 
SET_CDR(BgL_tmpz00_30418, BgL_arg3060z00_15600); } } } 
{ /* Eval/evaluate_comp.scm 582 */
 obj_t BgL_arg3065z00_15605; obj_t BgL_arg3066z00_15606;
BgL_arg3065z00_15605 = 
CDR(
((obj_t)BgL_ll1345z00_15596)); 
BgL_arg3066z00_15606 = 
CDR(
((obj_t)BgL_ll1346z00_15597)); 
{ 
 obj_t BgL_ll1346z00_30426; obj_t BgL_ll1345z00_30425;
BgL_ll1345z00_30425 = BgL_arg3065z00_15605; 
BgL_ll1346z00_30426 = BgL_arg3066z00_15606; 
BgL_ll1346z00_15597 = BgL_ll1346z00_30426; 
BgL_ll1345z00_15596 = BgL_ll1345z00_30425; 
goto BgL_zc3z04anonymousza33058ze3z87_15595;} } } } } } 
{ /* Eval/evaluate_comp.scm 589 */
 obj_t BgL_bodyz00_15607;
BgL_bodyz00_15607 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12724)))->BgL_bodyz00), BgL_stkz00_12725); 
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_zc3z04anonymousza33072ze3z87_15608;
BgL_zc3z04anonymousza33072ze3z87_15608 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33072ze3z87_15608, 
(int)(((long)0)), BgL_bodyz00_15607); 
return BgL_zc3z04anonymousza33072ze3z87_15608;} } } } 

}



/* &<@anonymous:3072> */
obj_t BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12726, obj_t BgL_sz00_12728)
{
{ /* Eval/evaluate_comp.scm 590 */
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_bodyz00_12727;
BgL_bodyz00_12727 = 
PROCEDURE_REF(BgL_envz00_12726, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_bpz00_15609;
BgL_bpz00_15609 = 
VECTOR_REF(
((obj_t)BgL_sz00_12728),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_12727, BgL_sz00_12728);} } } 

}



/* &comp-ev_synchronize1470 */
obj_t BGl_z62compzd2ev_synchroniza7e1470z17zz__evaluate_compz00(obj_t BgL_envz00_12729, obj_t BgL_ez00_12730, obj_t BgL_stkz00_12731)
{
{ /* Eval/evaluate_comp.scm 552 */
{ /* Eval/evaluate_comp.scm 554 */
 obj_t BgL_mutexz00_15611; obj_t BgL_prelockz00_15612; obj_t BgL_bodyz00_15613;
BgL_mutexz00_15611 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12730)))->BgL_mutexz00), BgL_stkz00_12731); 
BgL_prelockz00_15612 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12730)))->BgL_prelockz00), BgL_stkz00_12731); 
BgL_bodyz00_15613 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12730)))->BgL_bodyz00), BgL_stkz00_12731); 
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_zc3z04anonymousza33051ze3z87_15614;
BgL_zc3z04anonymousza33051ze3z87_15614 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15614, 
(int)(((long)0)), BgL_mutexz00_15611); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15614, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12730))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15614, 
(int)(((long)2)), BgL_prelockz00_15612); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15614, 
(int)(((long)3)), BgL_bodyz00_15613); 
return BgL_zc3z04anonymousza33051ze3z87_15614;} } } 

}



/* &<@anonymous:3051> */
obj_t BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12732, obj_t BgL_sz00_12737)
{
{ /* Eval/evaluate_comp.scm 557 */
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_mutexz00_12733; BgL_ev_synchroniza7eza7_bglt BgL_i1146z00_12734; obj_t BgL_prelockz00_12735; obj_t BgL_bodyz00_12736;
BgL_mutexz00_12733 = 
PROCEDURE_REF(BgL_envz00_12732, 
(int)(((long)0))); 
BgL_i1146z00_12734 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_12732, 
(int)(((long)1)))); 
BgL_prelockz00_12735 = 
PROCEDURE_REF(BgL_envz00_12732, 
(int)(((long)2))); 
BgL_bodyz00_12736 = 
PROCEDURE_REF(BgL_envz00_12732, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_bpz00_15615;
BgL_bpz00_15615 = 
VECTOR_REF(
((obj_t)BgL_sz00_12737),((long)0)); 
{ /* Eval/evaluate_comp.scm 558 */
 obj_t BgL_mz00_15616;
BgL_mz00_15616 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_mutexz00_12733))(BgL_mutexz00_12733, BgL_sz00_12737, BEOA); 
if(
BGL_MUTEXP(BgL_mz00_15616))
{ /* Eval/evaluate_comp.scm 560 */
 obj_t BgL_pz00_15617;
BgL_pz00_15617 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_prelockz00_12735))(BgL_prelockz00_12735, BgL_sz00_12737, BEOA); 
{ /* Eval/evaluate_comp.scm 562 */
 obj_t BgL_za2za2resza2za2z00_15618;
if(
PAIRP(BgL_pz00_15617))
{ /* Eval/evaluate_comp.scm 563 */
 obj_t BgL_top5161z00_30486;
BgL_top5161z00_30486 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_15616, BgL_pz00_15617); 
BGL_EXITD_PUSH_PROTECT(BgL_top5161z00_30486, BgL_mz00_15616); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 563 */
 obj_t BgL_tmp5160z00_30485;
BgL_tmp5160z00_30485 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12736))(BgL_bodyz00_12736, BgL_sz00_12737, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5161z00_30486); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_15616); 
BgL_za2za2resza2za2z00_15618 = BgL_tmp5160z00_30485; } }  else 
{ /* Eval/evaluate_comp.scm 564 */
 obj_t BgL_top5163z00_30497;
BgL_top5163z00_30497 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_15616); 
BGL_EXITD_PUSH_PROTECT(BgL_top5163z00_30497, BgL_mz00_15616); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 564 */
 obj_t BgL_tmp5162z00_30496;
BgL_tmp5162z00_30496 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12736))(BgL_bodyz00_12736, BgL_sz00_12737, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5163z00_30497); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_15616); 
BgL_za2za2resza2za2z00_15618 = BgL_tmp5162z00_30496; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12737),((long)0),BgL_bpz00_15615); 
return BgL_za2za2resza2za2z00_15618;} }  else 
{ /* Eval/evaluate_comp.scm 559 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string4358z00zz__evaluate_compz00, BGl_string4359z00zz__evaluate_compz00, BgL_mz00_15616, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1146z00_12734))->BgL_locz00));} } } } } 

}



/* &comp-ev_with-handler1468 */
obj_t BGl_z62compzd2ev_withzd2handler1468z62zz__evaluate_compz00(obj_t BgL_envz00_12738, obj_t BgL_ez00_12739, obj_t BgL_stkz00_12740)
{
{ /* Eval/evaluate_comp.scm 543 */
{ /* Eval/evaluate_comp.scm 545 */
 obj_t BgL_handlerz00_15620; obj_t BgL_bodyz00_15621;
BgL_handlerz00_15620 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12739)))->BgL_handlerz00), BgL_stkz00_12740); 
BgL_bodyz00_15621 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12739)))->BgL_bodyz00), BgL_stkz00_12740); 
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_zc3z04anonymousza33045ze3z87_15622;
BgL_zc3z04anonymousza33045ze3z87_15622 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33045ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33045ze3z87_15622, 
(int)(((long)0)), BgL_handlerz00_15620); 
PROCEDURE_SET(BgL_zc3z04anonymousza33045ze3z87_15622, 
(int)(((long)1)), BgL_bodyz00_15621); 
return BgL_zc3z04anonymousza33045ze3z87_15622;} } } 

}



/* &<@anonymous:3045> */
obj_t BGl_z62zc3z04anonymousza33045ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12741, obj_t BgL_sz00_12744)
{
{ /* Eval/evaluate_comp.scm 546 */
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_handlerz00_12742; obj_t BgL_bodyz00_12743;
BgL_handlerz00_12742 = 
PROCEDURE_REF(BgL_envz00_12741, 
(int)(((long)0))); 
BgL_bodyz00_12743 = 
PROCEDURE_REF(BgL_envz00_12741, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_bpz00_15623;
BgL_bpz00_15623 = 
VECTOR_REF(
((obj_t)BgL_sz00_12744),((long)0)); 
{ /* Eval/evaluate_comp.scm 547 */
 obj_t BgL_hz00_15624;
BgL_hz00_15624 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_handlerz00_12742))(BgL_handlerz00_12742, BgL_sz00_12744, BEOA); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_za2za2resza2za2z00_15625;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_env1137z00_15626;
BgL_env1137z00_15626 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_cell1132z00_15627;
BgL_cell1132z00_15627 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_val1136z00_15628;
BgL_val1136z00_15628 = 
BGl_zc3z04exitza33047ze3ze70z60zz__evaluate_compz00(BgL_sz00_12744, BgL_bodyz00_12743, BgL_cell1132z00_15627, BgL_env1137z00_15626); 
if(
(BgL_val1136z00_15628==BgL_cell1132z00_15627))
{ /* Eval/evaluate_comp.scm 549 */
{ /* Eval/evaluate_comp.scm 549 */
 int BgL_tmpz00_30539;
BgL_tmpz00_30539 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_30539); } 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3046z00_15629;
BgL_arg3046z00_15629 = 
CELL_REF(
((obj_t)BgL_val1136z00_15628)); 
BgL_za2za2resza2za2z00_15625 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_hz00_15624))(BgL_hz00_15624, BgL_arg3046z00_15629, BEOA); } }  else 
{ /* Eval/evaluate_comp.scm 549 */
BgL_za2za2resza2za2z00_15625 = BgL_val1136z00_15628; } } } } 
VECTOR_SET(
((obj_t)BgL_sz00_12744),((long)0),BgL_bpz00_15623); 
return BgL_za2za2resza2za2z00_15625;} } } } } 

}



/* <@exit:3047>~0 */
obj_t BGl_zc3z04exitza33047ze3ze70z60zz__evaluate_compz00(obj_t BgL_sz00_12923, obj_t BgL_bodyz00_12922, obj_t BgL_cell1132z00_12921, obj_t BgL_env1137z00_12920)
{
{ /* Eval/evaluate_comp.scm 549 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1141z00_4278;
if( SET_EXIT(BgL_an_exit1141z00_4278 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1141z00_4278 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1137z00_12920, BgL_an_exit1141z00_4278, ((long)1)); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_escape1133z00_4279;
BgL_escape1133z00_4279 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_12920); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_res1144z00_4280;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_ohs1129z00_4281;
BgL_ohs1129z00_4281 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1137z00_12920); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_hds1130z00_4282;
BgL_hds1130z00_4282 = 
MAKE_STACK_PAIR(BgL_escape1133z00_4279, BgL_cell1132z00_12921); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_12920, BgL_hds1130z00_4282); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_exitd1138z00_4283;
BgL_exitd1138z00_4283 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_12920); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_tmp1140z00_4284;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3048z00_4286;
BgL_arg3048z00_4286 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_4283); 
BgL_tmp1140z00_4284 = 
MAKE_YOUNG_PAIR(BgL_ohs1129z00_4281, BgL_arg3048z00_4286); } 
{ /* Eval/evaluate_comp.scm 549 */

BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_4283, BgL_tmp1140z00_4284); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_tmp1139z00_4285;
BgL_tmp1139z00_4285 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12922))(BgL_bodyz00_12922, BgL_sz00_12923, BEOA); 
{ /* Eval/evaluate_comp.scm 549 */
 bool_t BgL_test5165z00_30565;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3985z00_8867;
BgL_arg3985z00_8867 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_4283); 
BgL_test5165z00_30565 = 
PAIRP(BgL_arg3985z00_8867); } 
if(BgL_test5165z00_30565)
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3983z00_8868;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3984z00_8869;
BgL_arg3984z00_8869 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_4283); 
BgL_arg3983z00_8868 = 
CDR(
((obj_t)BgL_arg3984z00_8869)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_4283, BgL_arg3983z00_8868); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 549 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_12920, BgL_ohs1129z00_4281); BUNSPEC; 
BgL_res1144z00_4280 = BgL_tmp1139z00_4285; } } } } } } 
POP_ENV_EXIT(BgL_env1137z00_12920); 
return BgL_res1144z00_4280;} } 
}} 

}



/* &comp-ev_unwind-prote1466 */
obj_t BGl_z62compzd2ev_unwindzd2prote1466z62zz__evaluate_compz00(obj_t BgL_envz00_12745, obj_t BgL_ez00_12746, obj_t BgL_stkz00_12747)
{
{ /* Eval/evaluate_comp.scm 534 */
{ /* Eval/evaluate_comp.scm 536 */
 obj_t BgL_ez00_15631; obj_t BgL_bodyz00_15632;
BgL_ez00_15631 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12746)))->BgL_ez00), BgL_stkz00_12747); 
BgL_bodyz00_15632 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12746)))->BgL_bodyz00), BgL_stkz00_12747); 
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_zc3z04anonymousza33041ze3z87_15633;
BgL_zc3z04anonymousza33041ze3z87_15633 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33041ze3z87_15633, 
(int)(((long)0)), BgL_bodyz00_15632); 
PROCEDURE_SET(BgL_zc3z04anonymousza33041ze3z87_15633, 
(int)(((long)1)), BgL_ez00_15631); 
return BgL_zc3z04anonymousza33041ze3z87_15633;} } } 

}



/* &<@anonymous:3041> */
obj_t BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12748, obj_t BgL_sz00_12751)
{
{ /* Eval/evaluate_comp.scm 537 */
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_bodyz00_12749; obj_t BgL_ez00_12750;
BgL_bodyz00_12749 = 
PROCEDURE_REF(BgL_envz00_12748, 
(int)(((long)0))); 
BgL_ez00_12750 = 
PROCEDURE_REF(BgL_envz00_12748, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_bpz00_15634;
BgL_bpz00_15634 = 
VECTOR_REF(
((obj_t)BgL_sz00_12751),((long)0)); 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_exitd1124z00_15635;
BgL_exitd1124z00_15635 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 540 */
 obj_t BgL_zc3z04anonymousza33042ze3z87_15636;
BgL_zc3z04anonymousza33042ze3z87_15636 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33042ze3ze5zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33042ze3z87_15636, 
(int)(((long)0)), BgL_sz00_12751); 
PROCEDURE_SET(BgL_zc3z04anonymousza33042ze3z87_15636, 
(int)(((long)1)), BgL_bpz00_15634); 
PROCEDURE_SET(BgL_zc3z04anonymousza33042ze3z87_15636, 
(int)(((long)2)), BgL_bodyz00_12749); 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg3986z00_15637;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg3987z00_15638;
BgL_arg3987z00_15638 = 
BGL_EXITD_PROTECT(BgL_exitd1124z00_15635); 
BgL_arg3986z00_15637 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33042ze3z87_15636, BgL_arg3987z00_15638); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1124z00_15635, BgL_arg3986z00_15637); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_tmp1126z00_15639;
BgL_tmp1126z00_15639 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12750))(BgL_ez00_12750, BgL_sz00_12751, BEOA); 
{ /* Eval/evaluate_comp.scm 539 */
 bool_t BgL_test5166z00_30610;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg3985z00_15640;
BgL_arg3985z00_15640 = 
BGL_EXITD_PROTECT(BgL_exitd1124z00_15635); 
BgL_test5166z00_30610 = 
PAIRP(BgL_arg3985z00_15640); } 
if(BgL_test5166z00_30610)
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg3983z00_15641;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg3984z00_15642;
BgL_arg3984z00_15642 = 
BGL_EXITD_PROTECT(BgL_exitd1124z00_15635); 
BgL_arg3983z00_15641 = 
CDR(
((obj_t)BgL_arg3984z00_15642)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1124z00_15635, BgL_arg3983z00_15641); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 539 */BFALSE; } } 
BGl_z62zc3z04anonymousza33042ze3ze5zz__evaluate_compz00(BgL_zc3z04anonymousza33042ze3z87_15636); 
return BgL_tmp1126z00_15639;} } } } } } 

}



/* &<@anonymous:3042> */
obj_t BGl_z62zc3z04anonymousza33042ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12752)
{
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 540 */
 obj_t BgL_sz00_12753; obj_t BgL_savedzd2bpzd2_12754; obj_t BgL_bodyz00_12755;
BgL_sz00_12753 = 
PROCEDURE_REF(BgL_envz00_12752, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_12754 = 
PROCEDURE_REF(BgL_envz00_12752, 
(int)(((long)1))); 
BgL_bodyz00_12755 = 
PROCEDURE_REF(BgL_envz00_12752, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_12753),((long)0),BgL_savedzd2bpzd2_12754); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12755))(BgL_bodyz00_12755, BgL_sz00_12753, BEOA);} } 

}



/* &comp-ev_bind-exit1464 */
obj_t BGl_z62compzd2ev_bindzd2exit1464z62zz__evaluate_compz00(obj_t BgL_envz00_12756, obj_t BgL_ez00_12757, obj_t BgL_stkz00_12758)
{
{ /* Eval/evaluate_comp.scm 523 */
{ /* Eval/evaluate_comp.scm 525 */
 long BgL_siza7eza7_15644; obj_t BgL_nstkz00_15645;
BgL_siza7eza7_15644 = 
bgl_list_length(BgL_stkz00_12758); 
{ /* Eval/evaluate_comp.scm 525 */
 obj_t BgL_arg3039z00_15646;
{ /* Eval/evaluate_comp.scm 525 */
 BgL_ev_varz00_bglt BgL_arg3040z00_15647;
BgL_arg3040z00_15647 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12757)))->BgL_varz00); 
BgL_arg3039z00_15646 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3040z00_15647), BNIL); } 
BgL_nstkz00_15645 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12758, BgL_arg3039z00_15646); } 
{ /* Eval/evaluate_comp.scm 526 */
 obj_t BgL_bodyz00_15648; obj_t BgL_effzf3zf3_15649;
BgL_bodyz00_15648 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12757)))->BgL_bodyz00), BgL_nstkz00_15645); 
BgL_effzf3zf3_15649 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12757)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 527 */
 obj_t BgL_zc3z04anonymousza33034ze3z87_15650;
BgL_zc3z04anonymousza33034ze3z87_15650 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33034ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33034ze3z87_15650, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15644)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33034ze3z87_15650, 
(int)(((long)1)), BgL_effzf3zf3_15649); 
PROCEDURE_SET(BgL_zc3z04anonymousza33034ze3z87_15650, 
(int)(((long)2)), BgL_bodyz00_15648); 
return BgL_zc3z04anonymousza33034ze3z87_15650;} } } } 

}



/* &<@anonymous:3034> */
obj_t BGl_z62zc3z04anonymousza33034ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12759, obj_t BgL_sz00_12763)
{
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 527 */
 long BgL_siza7eza7_12760; obj_t BgL_effzf3zf3_12761; obj_t BgL_bodyz00_12762;
BgL_siza7eza7_12760 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12759, 
(int)(((long)0)))); 
BgL_effzf3zf3_12761 = 
PROCEDURE_REF(BgL_envz00_12759, 
(int)(((long)1))); 
BgL_bodyz00_12762 = 
PROCEDURE_REF(BgL_envz00_12759, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 527 */
 obj_t BgL_bpz00_15651;
BgL_bpz00_15651 = 
VECTOR_REF(
((obj_t)BgL_sz00_12763),((long)0)); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_za2za2resza2za2z00_15652;
BgL_za2za2resza2za2z00_15652 = 
BGl_zc3z04exitza33035ze3ze70z60zz__evaluate_compz00(BgL_bodyz00_12762, BgL_sz00_12763, BgL_effzf3zf3_12761, BgL_siza7eza7_12760, BgL_bpz00_15651); 
VECTOR_SET(
((obj_t)BgL_sz00_12763),((long)0),BgL_bpz00_15651); 
return BgL_za2za2resza2za2z00_15652;} } } } 

}



/* <@exit:3035>~0 */
obj_t BGl_zc3z04exitza33035ze3ze70z60zz__evaluate_compz00(obj_t BgL_bodyz00_12919, obj_t BgL_sz00_12918, obj_t BgL_effzf3zf3_12917, long BgL_siza7eza7_12916, obj_t BgL_bpz00_12915)
{
{ /* Eval/evaluate_comp.scm 529 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1117z00_4227;
if( SET_EXIT(BgL_an_exit1117z00_4227 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1117z00_4227 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_env1121z00_4228;
BgL_env1121z00_4228 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1121z00_4228, BgL_an_exit1117z00_4227, ((long)1)); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_an_exitd1118z00_4229;
BgL_an_exitd1118z00_4229 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1121z00_4228); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_exitz00_11718;
BgL_exitz00_11718 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_11718, 
(int)(((long)0)), BgL_an_exitd1118z00_4229); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_res1120z00_4232;
{ /* Eval/evaluate_comp.scm 530 */
 long BgL_arg3036z00_4233; obj_t BgL_arg3037z00_4234;
BgL_arg3036z00_4233 = 
(
(long)CINT(BgL_bpz00_12915)+BgL_siza7eza7_12916); 
if(
CBOOL(BgL_effzf3zf3_12917))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_8851;
BgL_newz00_8851 = 
create_struct(BGl_symbol4249z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30680;
BgL_tmpz00_30680 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8851, BgL_tmpz00_30680, BgL_exitz00_11718); } 
BgL_arg3037z00_4234 = BgL_newz00_8851; }  else 
{ /* Eval/evaluate_comp.scm 530 */
BgL_arg3037z00_4234 = BgL_exitz00_11718; } 
VECTOR_SET(
((obj_t)BgL_sz00_12918),BgL_arg3036z00_4233,BgL_arg3037z00_4234); } 
BgL_res1120z00_4232 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12919))(BgL_bodyz00_12919, BgL_sz00_12918, BEOA); 
POP_ENV_EXIT(BgL_env1121z00_4228); 
return BgL_res1120z00_4232;} } } } 
}} 

}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_12764, obj_t BgL_val1119z00_12766)
{
{ /* Eval/evaluate_comp.scm 529 */
return 
unwind_stack_until(
PROCEDURE_REF(BgL_envz00_12764, 
(int)(((long)0))), BFALSE, BgL_val1119z00_12766, BFALSE, BFALSE);} 

}



/* &comp-ev_letrec1462 */
obj_t BGl_z62compzd2ev_letrec1462zb0zz__evaluate_compz00(obj_t BgL_envz00_12767, obj_t BgL_ez00_12768, obj_t BgL_stkz00_12769)
{
{ /* Eval/evaluate_comp.scm 494 */
{ /* Eval/evaluate_comp.scm 496 */
 long BgL_siza7eza7_15654; obj_t BgL_nstkz00_15655;
BgL_siza7eza7_15654 = 
bgl_list_length(BgL_stkz00_12769); 
{ /* Eval/evaluate_comp.scm 496 */
 obj_t BgL_arg3033z00_15656;
BgL_arg3033z00_15656 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12768))))->BgL_varsz00); 
BgL_nstkz00_15655 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12769, BgL_arg3033z00_15656); } 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_cvalsz00_15657; obj_t BgL_bodyz00_15658;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_l1326z00_15659;
BgL_l1326z00_15659 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12768))))->BgL_valsz00); 
if(
NULLP(BgL_l1326z00_15659))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_15657 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_head1328z00_15660;
BgL_head1328z00_15660 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1326z00_15662; obj_t BgL_tail1329z00_15663;
BgL_l1326z00_15662 = BgL_l1326z00_15659; 
BgL_tail1329z00_15663 = BgL_head1328z00_15660; 
BgL_zc3z04anonymousza33028ze3z87_15661:
if(
NULLP(BgL_l1326z00_15662))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_15657 = 
CDR(BgL_head1328z00_15660); }  else 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_newtail1330z00_15664;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_arg3031z00_15665;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_vz00_15666;
BgL_vz00_15666 = 
CAR(
((obj_t)BgL_l1326z00_15662)); 
BgL_arg3031z00_15665 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_15666), BgL_nstkz00_15655); } 
BgL_newtail1330z00_15664 = 
MAKE_YOUNG_PAIR(BgL_arg3031z00_15665, BNIL); } 
SET_CDR(BgL_tail1329z00_15663, BgL_newtail1330z00_15664); 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_arg3030z00_15667;
BgL_arg3030z00_15667 = 
CDR(
((obj_t)BgL_l1326z00_15662)); 
{ 
 obj_t BgL_tail1329z00_30716; obj_t BgL_l1326z00_30715;
BgL_l1326z00_30715 = BgL_arg3030z00_15667; 
BgL_tail1329z00_30716 = BgL_newtail1330z00_15664; 
BgL_tail1329z00_15663 = BgL_tail1329z00_30716; 
BgL_l1326z00_15662 = BgL_l1326z00_30715; 
goto BgL_zc3z04anonymousza33028ze3z87_15661;} } } } } } 
{ /* Eval/evaluate_comp.scm 498 */
 BgL_ev_exprz00_bglt BgL_arg3032z00_15668;
BgL_arg3032z00_15668 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12768))))->BgL_bodyz00); 
BgL_bodyz00_15658 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3032z00_15668, BgL_nstkz00_15655); } 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_test5170z00_30721;
{ 
 obj_t BgL_l1331z00_15670;
BgL_l1331z00_15670 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12768))))->BgL_valsz00); 
BgL_zc3z04anonymousza33025ze3z87_15669:
if(
NULLP(BgL_l1331z00_15670))
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5170z00_30721 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_test5172z00_30724;
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_vz00_15671;
BgL_vz00_15671 = 
CAR(
((obj_t)BgL_l1331z00_15670)); 
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_classz00_15672;
BgL_classz00_15672 = BGl_ev_absz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_15671))
{ /* Eval/evaluate_comp.scm 499 */
 BgL_objectz00_bglt BgL_arg3969z00_15673;
BgL_arg3969z00_15673 = 
(BgL_objectz00_bglt)(BgL_vz00_15671); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_idxz00_15674;
BgL_idxz00_15674 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg3969z00_15673); 
BgL_test5172z00_30724 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_15674+((long)2)))==BgL_classz00_15672); }  else 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_res4106z00_15677;
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_oclassz00_15678;
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_arg3976z00_15679;
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_arg3977z00_15680;
BgL_arg3977z00_15680 = 
BGL_OBJECT_CLASS_NUM(BgL_arg3969z00_15673); 
BgL_arg3976z00_15679 = 
(BgL_arg3977z00_15680-OBJECT_TYPE); } 
BgL_oclassz00_15678 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg3976z00_15679); } 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL__ortest_1292z00_15681;
BgL__ortest_1292z00_15681 = 
(BgL_classz00_15672==BgL_oclassz00_15678); 
if(BgL__ortest_1292z00_15681)
{ /* Eval/evaluate_comp.scm 499 */
BgL_res4106z00_15677 = BgL__ortest_1292z00_15681; }  else 
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_odepthz00_15682;
BgL_odepthz00_15682 = 
BGL_CLASS_DEPTH(BgL_oclassz00_15678); 
if(
(((long)2)<BgL_odepthz00_15682))
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_arg3966z00_15683;
BgL_arg3966z00_15683 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15678, ((long)2)); 
BgL_res4106z00_15677 = 
(BgL_arg3966z00_15683==BgL_classz00_15672); }  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_res4106z00_15677 = ((bool_t)0); } } } } 
BgL_test5172z00_30724 = BgL_res4106z00_15677; } }  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5172z00_30724 = ((bool_t)0)
; } } } 
if(BgL_test5172z00_30724)
{ 
 obj_t BgL_l1331z00_30746;
BgL_l1331z00_30746 = 
CDR(
((obj_t)BgL_l1331z00_15670)); 
BgL_l1331z00_15670 = BgL_l1331z00_30746; 
goto BgL_zc3z04anonymousza33025ze3z87_15669;}  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5170z00_30721 = ((bool_t)0)
; } } } 
if(BgL_test5170z00_30721)
{ /* Eval/evaluate_comp.scm 500 */
 obj_t BgL_zc3z04anonymousza32995ze3z87_15684;
BgL_zc3z04anonymousza32995ze3z87_15684 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32995ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32995ze3z87_15684, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15654)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32995ze3z87_15684, 
(int)(((long)1)), BgL_cvalsz00_15657); 
PROCEDURE_SET(BgL_zc3z04anonymousza32995ze3z87_15684, 
(int)(((long)2)), BgL_bodyz00_15658); 
return BgL_zc3z04anonymousza32995ze3z87_15684;}  else 
{ /* Eval/evaluate_comp.scm 510 */
 obj_t BgL_zc3z04anonymousza33008ze3z87_15685;
BgL_zc3z04anonymousza33008ze3z87_15685 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33008ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33008ze3z87_15685, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15654)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33008ze3z87_15685, 
(int)(((long)1)), BgL_cvalsz00_15657); 
PROCEDURE_SET(BgL_zc3z04anonymousza33008ze3z87_15685, 
(int)(((long)2)), BgL_bodyz00_15658); 
return BgL_zc3z04anonymousza33008ze3z87_15685;} } } } } 

}



/* &<@anonymous:2995> */
obj_t BGl_z62zc3z04anonymousza32995ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12770, obj_t BgL_sz00_12774)
{
{ /* Eval/evaluate_comp.scm 500 */
{ /* Eval/evaluate_comp.scm 500 */
 long BgL_siza7eza7_12771; obj_t BgL_cvalsz00_12772; obj_t BgL_bodyz00_12773;
BgL_siza7eza7_12771 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12770, 
(int)(((long)0)))); 
BgL_cvalsz00_12772 = 
PROCEDURE_REF(BgL_envz00_12770, 
(int)(((long)1))); 
BgL_bodyz00_12773 = 
PROCEDURE_REF(BgL_envz00_12770, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 500 */
 obj_t BgL_bpz00_15686;
BgL_bpz00_15686 = 
VECTOR_REF(
((obj_t)BgL_sz00_12774),((long)0)); 
{ /* Eval/evaluate_comp.scm 501 */
 long BgL_g1111z00_15687;
BgL_g1111z00_15687 = 
(
(long)CINT(BgL_bpz00_15686)+BgL_siza7eza7_12771); 
{ 
 obj_t BgL_lz00_15689; long BgL_iz00_15690;
BgL_lz00_15689 = BgL_cvalsz00_12772; 
BgL_iz00_15690 = BgL_g1111z00_15687; 
BgL_recz00_15688:
if(
NULLP(BgL_lz00_15689))
{ /* Eval/evaluate_comp.scm 502 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 502 */
{ /* Eval/evaluate_comp.scm 503 */
 obj_t BgL_arg2998z00_15691;
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15692;
BgL_newz00_15692 = 
create_struct(BGl_symbol4249z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30787;
BgL_tmpz00_30787 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15692, BgL_tmpz00_30787, BUNSPEC); } 
BgL_arg2998z00_15691 = BgL_newz00_15692; } 
VECTOR_SET(
((obj_t)BgL_sz00_12774),BgL_iz00_15690,BgL_arg2998z00_15691); } 
{ /* Eval/evaluate_comp.scm 504 */
 obj_t BgL_arg2999z00_15693; long BgL_arg3000z00_15694;
BgL_arg2999z00_15693 = 
CDR(
((obj_t)BgL_lz00_15689)); 
BgL_arg3000z00_15694 = 
(BgL_iz00_15690+((long)1)); 
{ 
 long BgL_iz00_30796; obj_t BgL_lz00_30795;
BgL_lz00_30795 = BgL_arg2999z00_15693; 
BgL_iz00_30796 = BgL_arg3000z00_15694; 
BgL_iz00_15690 = BgL_iz00_30796; 
BgL_lz00_15689 = BgL_lz00_30795; 
goto BgL_recz00_15688;} } } } } 
{ /* Eval/evaluate_comp.scm 505 */
 long BgL_g1112z00_15695;
BgL_g1112z00_15695 = 
(
(long)CINT(BgL_bpz00_15686)+BgL_siza7eza7_12771); 
{ 
 obj_t BgL_lz00_15697; long BgL_iz00_15698;
BgL_lz00_15697 = BgL_cvalsz00_12772; 
BgL_iz00_15698 = BgL_g1112z00_15695; 
BgL_recz00_15696:
if(
NULLP(BgL_lz00_15697))
{ /* Eval/evaluate_comp.scm 506 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 506 */
{ /* Eval/evaluate_comp.scm 507 */
 obj_t BgL_arg3003z00_15699; obj_t BgL_arg3004z00_15700;
BgL_arg3003z00_15699 = 
VECTOR_REF(
((obj_t)BgL_sz00_12774),BgL_iz00_15698); 
{ /* Eval/evaluate_comp.scm 507 */
 obj_t BgL_fun3005z00_15701;
BgL_fun3005z00_15701 = 
CAR(
((obj_t)BgL_lz00_15697)); 
BgL_arg3004z00_15700 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun3005z00_15701))(BgL_fun3005z00_15701, BgL_sz00_12774, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_30811; obj_t BgL_tmpz00_30809;
BgL_auxz00_30811 = 
(int)(((long)0)); 
BgL_tmpz00_30809 = 
((obj_t)BgL_arg3003z00_15699); 
STRUCT_SET(BgL_tmpz00_30809, BgL_auxz00_30811, BgL_arg3004z00_15700); } } 
{ /* Eval/evaluate_comp.scm 508 */
 obj_t BgL_arg3006z00_15702; long BgL_arg3007z00_15703;
BgL_arg3006z00_15702 = 
CDR(
((obj_t)BgL_lz00_15697)); 
BgL_arg3007z00_15703 = 
(BgL_iz00_15698+((long)1)); 
{ 
 long BgL_iz00_30818; obj_t BgL_lz00_30817;
BgL_lz00_30817 = BgL_arg3006z00_15702; 
BgL_iz00_30818 = BgL_arg3007z00_15703; 
BgL_iz00_15698 = BgL_iz00_30818; 
BgL_lz00_15697 = BgL_lz00_30817; 
goto BgL_recz00_15696;} } } } } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12773))(BgL_bodyz00_12773, BgL_sz00_12774, BEOA);} } } 

}



/* &<@anonymous:3008> */
obj_t BGl_z62zc3z04anonymousza33008ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12775, obj_t BgL_sz00_12779)
{
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 510 */
 long BgL_siza7eza7_12776; obj_t BgL_cvalsz00_12777; obj_t BgL_bodyz00_12778;
BgL_siza7eza7_12776 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12775, 
(int)(((long)0)))); 
BgL_cvalsz00_12777 = 
PROCEDURE_REF(BgL_envz00_12775, 
(int)(((long)1))); 
BgL_bodyz00_12778 = 
PROCEDURE_REF(BgL_envz00_12775, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 510 */
 obj_t BgL_bpz00_15704;
BgL_bpz00_15704 = 
VECTOR_REF(
((obj_t)BgL_sz00_12779),((long)0)); 
{ /* Eval/evaluate_comp.scm 511 */
 long BgL_g1113z00_15705;
BgL_g1113z00_15705 = 
(
(long)CINT(BgL_bpz00_15704)+BgL_siza7eza7_12776); 
{ 
 obj_t BgL_lz00_15707; long BgL_iz00_15708;
BgL_lz00_15707 = BgL_cvalsz00_12777; 
BgL_iz00_15708 = BgL_g1113z00_15705; 
BgL_recz00_15706:
if(
NULLP(BgL_lz00_15707))
{ /* Eval/evaluate_comp.scm 512 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 512 */
{ /* Eval/evaluate_comp.scm 513 */
 obj_t BgL_arg3011z00_15709;
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15710;
BgL_newz00_15710 = 
create_struct(BGl_symbol4249z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30838;
BgL_tmpz00_30838 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15710, BgL_tmpz00_30838, BUNSPEC); } 
BgL_arg3011z00_15709 = BgL_newz00_15710; } 
VECTOR_SET(
((obj_t)BgL_sz00_12779),BgL_iz00_15708,BgL_arg3011z00_15709); } 
{ /* Eval/evaluate_comp.scm 514 */
 obj_t BgL_arg3012z00_15711; long BgL_arg3013z00_15712;
BgL_arg3012z00_15711 = 
CDR(
((obj_t)BgL_lz00_15707)); 
BgL_arg3013z00_15712 = 
(BgL_iz00_15708+((long)1)); 
{ 
 long BgL_iz00_30847; obj_t BgL_lz00_30846;
BgL_lz00_30846 = BgL_arg3012z00_15711; 
BgL_iz00_30847 = BgL_arg3013z00_15712; 
BgL_iz00_15708 = BgL_iz00_30847; 
BgL_lz00_15707 = BgL_lz00_30846; 
goto BgL_recz00_15706;} } } } } 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_rvalsz00_15713;
if(
NULLP(BgL_cvalsz00_12777))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_15713 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_head1337z00_15714;
BgL_head1337z00_15714 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1335z00_15716; obj_t BgL_tail1338z00_15717;
BgL_l1335z00_15716 = BgL_cvalsz00_12777; 
BgL_tail1338z00_15717 = BgL_head1337z00_15714; 
BgL_zc3z04anonymousza33021ze3z87_15715:
if(
NULLP(BgL_l1335z00_15716))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_15713 = 
CDR(BgL_head1337z00_15714); }  else 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_newtail1339z00_15718;
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_arg3024z00_15719;
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_vz00_15720;
BgL_vz00_15720 = 
CAR(
((obj_t)BgL_l1335z00_15716)); 
BgL_arg3024z00_15719 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_vz00_15720))(BgL_vz00_15720, BgL_sz00_12779, BEOA); } 
BgL_newtail1339z00_15718 = 
MAKE_YOUNG_PAIR(BgL_arg3024z00_15719, BNIL); } 
SET_CDR(BgL_tail1338z00_15717, BgL_newtail1339z00_15718); 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_arg3023z00_15721;
BgL_arg3023z00_15721 = 
CDR(
((obj_t)BgL_l1335z00_15716)); 
{ 
 obj_t BgL_tail1338z00_30865; obj_t BgL_l1335z00_30864;
BgL_l1335z00_30864 = BgL_arg3023z00_15721; 
BgL_tail1338z00_30865 = BgL_newtail1339z00_15718; 
BgL_tail1338z00_15717 = BgL_tail1338z00_30865; 
BgL_l1335z00_15716 = BgL_l1335z00_30864; 
goto BgL_zc3z04anonymousza33021ze3z87_15715;} } } } } 
{ /* Eval/evaluate_comp.scm 516 */
 long BgL_g1114z00_15722;
BgL_g1114z00_15722 = 
(
(long)CINT(BgL_bpz00_15704)+BgL_siza7eza7_12776); 
{ 
 obj_t BgL_lz00_15724; long BgL_iz00_15725;
BgL_lz00_15724 = BgL_rvalsz00_15713; 
BgL_iz00_15725 = BgL_g1114z00_15722; 
BgL_recz00_15723:
if(
NULLP(BgL_lz00_15724))
{ /* Eval/evaluate_comp.scm 517 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 517 */
{ /* Eval/evaluate_comp.scm 518 */
 obj_t BgL_arg3016z00_15726; obj_t BgL_arg3017z00_15727;
BgL_arg3016z00_15726 = 
VECTOR_REF(
((obj_t)BgL_sz00_12779),BgL_iz00_15725); 
BgL_arg3017z00_15727 = 
CAR(
((obj_t)BgL_lz00_15724)); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_30876; obj_t BgL_tmpz00_30874;
BgL_auxz00_30876 = 
(int)(((long)0)); 
BgL_tmpz00_30874 = 
((obj_t)BgL_arg3016z00_15726); 
STRUCT_SET(BgL_tmpz00_30874, BgL_auxz00_30876, BgL_arg3017z00_15727); } } 
{ /* Eval/evaluate_comp.scm 519 */
 obj_t BgL_arg3018z00_15728; long BgL_arg3019z00_15729;
BgL_arg3018z00_15728 = 
CDR(
((obj_t)BgL_lz00_15724)); 
BgL_arg3019z00_15729 = 
(BgL_iz00_15725+((long)1)); 
{ 
 long BgL_iz00_30883; obj_t BgL_lz00_30882;
BgL_lz00_30882 = BgL_arg3018z00_15728; 
BgL_iz00_30883 = BgL_arg3019z00_15729; 
BgL_iz00_15725 = BgL_iz00_30883; 
BgL_lz00_15724 = BgL_lz00_30882; 
goto BgL_recz00_15723;} } } } } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12778))(BgL_bodyz00_12778, BgL_sz00_12779, BEOA);} } } } 

}



/* &comp-ev_let*1460 */
obj_t BGl_z62compzd2ev_letza21460z12zz__evaluate_compz00(obj_t BgL_envz00_12780, obj_t BgL_ez00_12781, obj_t BgL_stkz00_12782)
{
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 483 */
 long BgL_siza7eza7_15731; obj_t BgL_nstkz00_15732;
BgL_siza7eza7_15731 = 
bgl_list_length(BgL_stkz00_12782); 
{ /* Eval/evaluate_comp.scm 483 */
 obj_t BgL_arg2990z00_15733;
BgL_arg2990z00_15733 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12781))))->BgL_varsz00); 
BgL_nstkz00_15732 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12782, BgL_arg2990z00_15733); } 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_valsz00_15734; obj_t BgL_bodyz00_15735;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_l1321z00_15736;
BgL_l1321z00_15736 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12781))))->BgL_valsz00); 
if(
NULLP(BgL_l1321z00_15736))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_15734 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_head1323z00_15737;
BgL_head1323z00_15737 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1321z00_15739; obj_t BgL_tail1324z00_15740;
BgL_l1321z00_15739 = BgL_l1321z00_15736; 
BgL_tail1324z00_15740 = BgL_head1323z00_15737; 
BgL_zc3z04anonymousza32985ze3z87_15738:
if(
NULLP(BgL_l1321z00_15739))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_15734 = 
CDR(BgL_head1323z00_15737); }  else 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_newtail1325z00_15741;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_arg2988z00_15742;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_vz00_15743;
BgL_vz00_15743 = 
CAR(
((obj_t)BgL_l1321z00_15739)); 
BgL_arg2988z00_15742 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_15743), BgL_nstkz00_15732); } 
BgL_newtail1325z00_15741 = 
MAKE_YOUNG_PAIR(BgL_arg2988z00_15742, BNIL); } 
SET_CDR(BgL_tail1324z00_15740, BgL_newtail1325z00_15741); 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_arg2987z00_15744;
BgL_arg2987z00_15744 = 
CDR(
((obj_t)BgL_l1321z00_15739)); 
{ 
 obj_t BgL_tail1324z00_30911; obj_t BgL_l1321z00_30910;
BgL_l1321z00_30910 = BgL_arg2987z00_15744; 
BgL_tail1324z00_30911 = BgL_newtail1325z00_15741; 
BgL_tail1324z00_15740 = BgL_tail1324z00_30911; 
BgL_l1321z00_15739 = BgL_l1321z00_30910; 
goto BgL_zc3z04anonymousza32985ze3z87_15738;} } } } } } 
{ /* Eval/evaluate_comp.scm 485 */
 BgL_ev_exprz00_bglt BgL_arg2989z00_15745;
BgL_arg2989z00_15745 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12781))))->BgL_bodyz00); 
BgL_bodyz00_15735 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2989z00_15745, BgL_nstkz00_15732); } 
{ /* Eval/evaluate_comp.scm 486 */
 obj_t BgL_zc3z04anonymousza32974ze3z87_15746;
BgL_zc3z04anonymousza32974ze3z87_15746 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32974ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32974ze3z87_15746, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15731)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32974ze3z87_15746, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_12781))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32974ze3z87_15746, 
(int)(((long)2)), BgL_valsz00_15734); 
PROCEDURE_SET(BgL_zc3z04anonymousza32974ze3z87_15746, 
(int)(((long)3)), BgL_bodyz00_15735); 
return BgL_zc3z04anonymousza32974ze3z87_15746;} } } } 

}



/* &<@anonymous:2974> */
obj_t BGl_z62zc3z04anonymousza32974ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12783, obj_t BgL_sz00_12788)
{
{ /* Eval/evaluate_comp.scm 486 */
{ /* Eval/evaluate_comp.scm 486 */
 long BgL_siza7eza7_12784; BgL_ev_letza2za2_bglt BgL_i1108z00_12785; obj_t BgL_valsz00_12786; obj_t BgL_bodyz00_12787;
BgL_siza7eza7_12784 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12783, 
(int)(((long)0)))); 
BgL_i1108z00_12785 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_12783, 
(int)(((long)1)))); 
BgL_valsz00_12786 = 
PROCEDURE_REF(BgL_envz00_12783, 
(int)(((long)2))); 
BgL_bodyz00_12787 = 
PROCEDURE_REF(BgL_envz00_12783, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 486 */
 obj_t BgL_bpz00_15747;
BgL_bpz00_15747 = 
VECTOR_REF(
((obj_t)BgL_sz00_12788),((long)0)); 
{ /* Eval/evaluate_comp.scm 487 */
 long BgL_g1109z00_15748;
BgL_g1109z00_15748 = 
(
(long)CINT(BgL_bpz00_15747)+BgL_siza7eza7_12784); 
{ 
 obj_t BgL_lz00_15750; long BgL_iz00_15751; obj_t BgL_bza2za2_15752;
BgL_lz00_15750 = BgL_valsz00_12786; 
BgL_iz00_15751 = BgL_g1109z00_15748; 
BgL_bza2za2_15752 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1108z00_12785))->BgL_boxesz00); 
BgL_recz00_15749:
if(
NULLP(BgL_lz00_15750))
{ /* Eval/evaluate_comp.scm 488 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 488 */
{ /* Eval/evaluate_comp.scm 489 */
 obj_t BgL_valz00_15753;
{ /* Eval/evaluate_comp.scm 489 */
 obj_t BgL_fun2980z00_15754;
BgL_fun2980z00_15754 = 
CAR(
((obj_t)BgL_lz00_15750)); 
BgL_valz00_15753 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2980z00_15754))(BgL_fun2980z00_15754, BgL_sz00_12788, BEOA); } 
{ /* Eval/evaluate_comp.scm 490 */
 obj_t BgL_arg2978z00_15755;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_15752))))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15756;
BgL_newz00_15756 = 
create_struct(BGl_symbol4249z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30958;
BgL_tmpz00_30958 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15756, BgL_tmpz00_30958, BgL_valz00_15753); } 
BgL_arg2978z00_15755 = BgL_newz00_15756; }  else 
{ /* Eval/evaluate_comp.scm 490 */
BgL_arg2978z00_15755 = BgL_valz00_15753; } 
VECTOR_SET(
((obj_t)BgL_sz00_12788),BgL_iz00_15751,BgL_arg2978z00_15755); } } 
{ /* Eval/evaluate_comp.scm 491 */
 obj_t BgL_arg2981z00_15757; long BgL_arg2982z00_15758; obj_t BgL_arg2983z00_15759;
BgL_arg2981z00_15757 = 
CDR(
((obj_t)BgL_lz00_15750)); 
BgL_arg2982z00_15758 = 
(BgL_iz00_15751+((long)1)); 
BgL_arg2983z00_15759 = 
CDR(
((obj_t)BgL_bza2za2_15752)); 
{ 
 obj_t BgL_bza2za2_30970; long BgL_iz00_30969; obj_t BgL_lz00_30968;
BgL_lz00_30968 = BgL_arg2981z00_15757; 
BgL_iz00_30969 = BgL_arg2982z00_15758; 
BgL_bza2za2_30970 = BgL_arg2983z00_15759; 
BgL_bza2za2_15752 = BgL_bza2za2_30970; 
BgL_iz00_15751 = BgL_iz00_30969; 
BgL_lz00_15750 = BgL_lz00_30968; 
goto BgL_recz00_15749;} } } } } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12787))(BgL_bodyz00_12787, BgL_sz00_12788, BEOA);} } } 

}



/* &comp-ev_let1458 */
obj_t BGl_z62compzd2ev_let1458zb0zz__evaluate_compz00(obj_t BgL_envz00_12789, obj_t BgL_ez00_12790, obj_t BgL_stkz00_12791)
{
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 464 */
 long BgL_siza7eza7_15761; obj_t BgL_nstkz00_15762;
BgL_siza7eza7_15761 = 
bgl_list_length(BgL_stkz00_12791); 
{ /* Eval/evaluate_comp.scm 464 */
 obj_t BgL_arg2973z00_15763;
BgL_arg2973z00_15763 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12790))))->BgL_varsz00); 
BgL_nstkz00_15762 = 
BGl_appendzd221009zd2zz__evaluate_compz00(BgL_stkz00_12791, BgL_arg2973z00_15763); } 
{ /* Eval/evaluate_comp.scm 465 */
 obj_t BgL_valsz00_15764; obj_t BgL_iboxesz00_15765; obj_t BgL_bodyz00_15766;
{ /* Eval/evaluate_comp.scm 466 */
 obj_t BgL_arg2966z00_15767;
BgL_arg2966z00_15767 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12790))))->BgL_valsz00); 
BgL_valsz00_15764 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg2966z00_15767, BgL_stkz00_12791); } 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_l1316z00_15768;
BgL_l1316z00_15768 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_12790)))->BgL_boxesz00); 
if(
NULLP(BgL_l1316z00_15768))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_15765 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_head1318z00_15769;
BgL_head1318z00_15769 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1316z00_15771; obj_t BgL_tail1319z00_15772;
BgL_l1316z00_15771 = BgL_l1316z00_15768; 
BgL_tail1319z00_15772 = BgL_head1318z00_15769; 
BgL_zc3z04anonymousza32968ze3z87_15770:
if(
NULLP(BgL_l1316z00_15771))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_15765 = 
CDR(BgL_head1318z00_15769); }  else 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_newtail1320z00_15773;
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_arg2971z00_15774;
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_vz00_15775;
BgL_vz00_15775 = 
CAR(
((obj_t)BgL_l1316z00_15771)); 
BgL_arg2971z00_15774 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_15775, BgL_nstkz00_15762); } 
BgL_newtail1320z00_15773 = 
MAKE_YOUNG_PAIR(BgL_arg2971z00_15774, BNIL); } 
SET_CDR(BgL_tail1319z00_15772, BgL_newtail1320z00_15773); 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_arg2970z00_15776;
BgL_arg2970z00_15776 = 
CDR(
((obj_t)BgL_l1316z00_15771)); 
{ 
 obj_t BgL_tail1319z00_31001; obj_t BgL_l1316z00_31000;
BgL_l1316z00_31000 = BgL_arg2970z00_15776; 
BgL_tail1319z00_31001 = BgL_newtail1320z00_15773; 
BgL_tail1319z00_15772 = BgL_tail1319z00_31001; 
BgL_l1316z00_15771 = BgL_l1316z00_31000; 
goto BgL_zc3z04anonymousza32968ze3z87_15770;} } } } } } 
{ /* Eval/evaluate_comp.scm 468 */
 BgL_ev_exprz00_bglt BgL_arg2972z00_15777;
BgL_arg2972z00_15777 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12790))))->BgL_bodyz00); 
BgL_bodyz00_15766 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2972z00_15777, BgL_nstkz00_15762); } 
{ /* Eval/evaluate_comp.scm 469 */
 obj_t BgL_zc3z04anonymousza32953ze3z87_15778;
BgL_zc3z04anonymousza32953ze3z87_15778 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32953ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32953ze3z87_15778, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15761)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32953ze3z87_15778, 
(int)(((long)1)), BgL_valsz00_15764); 
PROCEDURE_SET(BgL_zc3z04anonymousza32953ze3z87_15778, 
(int)(((long)2)), BgL_iboxesz00_15765); 
PROCEDURE_SET(BgL_zc3z04anonymousza32953ze3z87_15778, 
(int)(((long)3)), BgL_bodyz00_15766); 
return BgL_zc3z04anonymousza32953ze3z87_15778;} } } } 

}



/* &<@anonymous:2953> */
obj_t BGl_z62zc3z04anonymousza32953ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12792, obj_t BgL_sz00_12797)
{
{ /* Eval/evaluate_comp.scm 469 */
{ /* Eval/evaluate_comp.scm 469 */
 long BgL_siza7eza7_12793; obj_t BgL_valsz00_12794; obj_t BgL_iboxesz00_12795; obj_t BgL_bodyz00_12796;
BgL_siza7eza7_12793 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12792, 
(int)(((long)0)))); 
BgL_valsz00_12794 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12792, 
(int)(((long)1)))); 
BgL_iboxesz00_12795 = 
PROCEDURE_REF(BgL_envz00_12792, 
(int)(((long)2))); 
BgL_bodyz00_12796 = 
PROCEDURE_REF(BgL_envz00_12792, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 469 */
 obj_t BgL_bpz00_15779;
BgL_bpz00_15779 = 
VECTOR_REF(
((obj_t)BgL_sz00_12797),((long)0)); 
{ /* Eval/evaluate_comp.scm 470 */
 long BgL_g1107z00_15780;
BgL_g1107z00_15780 = 
(
(long)CINT(BgL_bpz00_15779)+BgL_siza7eza7_12793); 
{ 
 obj_t BgL_lz00_15782; long BgL_iz00_15783;
BgL_lz00_15782 = BgL_valsz00_12794; 
BgL_iz00_15783 = BgL_g1107z00_15780; 
BgL_recz00_15781:
if(
NULLP(BgL_lz00_15782))
{ /* Eval/evaluate_comp.scm 471 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 471 */
{ /* Eval/evaluate_comp.scm 472 */
 obj_t BgL_arg2956z00_15784;
{ /* Eval/evaluate_comp.scm 472 */
 obj_t BgL_fun2957z00_15785;
BgL_fun2957z00_15785 = 
CAR(
((obj_t)BgL_lz00_15782)); 
BgL_arg2956z00_15784 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2957z00_15785))(BgL_fun2957z00_15785, BgL_sz00_12797, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_12797),BgL_iz00_15783,BgL_arg2956z00_15784); } 
{ /* Eval/evaluate_comp.scm 473 */
 obj_t BgL_arg2958z00_15786; long BgL_arg2959z00_15787;
BgL_arg2958z00_15786 = 
CDR(
((obj_t)BgL_lz00_15782)); 
BgL_arg2959z00_15787 = 
(BgL_iz00_15783+((long)1)); 
{ 
 long BgL_iz00_31046; obj_t BgL_lz00_31045;
BgL_lz00_31045 = BgL_arg2958z00_15786; 
BgL_iz00_31046 = BgL_arg2959z00_15787; 
BgL_iz00_15783 = BgL_iz00_31046; 
BgL_lz00_15782 = BgL_lz00_31045; 
goto BgL_recz00_15781;} } } } } 
{ 
 obj_t BgL_lz00_15789;
BgL_lz00_15789 = BgL_iboxesz00_12795; 
BgL_recz00_15788:
if(
NULLP(BgL_lz00_15789))
{ /* Eval/evaluate_comp.scm 475 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 475 */
{ /* Eval/evaluate_comp.scm 476 */
 long BgL_iz00_15790;
BgL_iz00_15790 = 
(
(long)CINT(BgL_bpz00_15779)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_15789)))); 
{ /* Eval/evaluate_comp.scm 477 */
 obj_t BgL_arg2962z00_15791;
{ /* Eval/evaluate_comp.scm 477 */
 obj_t BgL_arg2963z00_15792;
BgL_arg2963z00_15792 = 
VECTOR_REF(
((obj_t)BgL_sz00_12797),BgL_iz00_15790); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15793;
BgL_newz00_15793 = 
create_struct(BGl_symbol4249z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_31058;
BgL_tmpz00_31058 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15793, BgL_tmpz00_31058, BgL_arg2963z00_15792); } 
BgL_arg2962z00_15791 = BgL_newz00_15793; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12797),BgL_iz00_15790,BgL_arg2962z00_15791); } } 
{ /* Eval/evaluate_comp.scm 478 */
 obj_t BgL_arg2965z00_15794;
BgL_arg2965z00_15794 = 
CDR(
((obj_t)BgL_lz00_15789)); 
{ 
 obj_t BgL_lz00_31065;
BgL_lz00_31065 = BgL_arg2965z00_15794; 
BgL_lz00_15789 = BgL_lz00_31065; 
goto BgL_recz00_15788;} } } } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_bodyz00_12796))(BgL_bodyz00_12796, BgL_sz00_12797, BEOA);} } } 

}



/* &comp-ev_prog21456 */
obj_t BGl_z62compzd2ev_prog21456zb0zz__evaluate_compz00(obj_t BgL_envz00_12798, obj_t BgL_ez00_12799, obj_t BgL_stkz00_12800)
{
{ /* Eval/evaluate_comp.scm 456 */
{ /* Eval/evaluate_comp.scm 458 */
 obj_t BgL_e1z00_15796; obj_t BgL_e2z00_15797;
BgL_e1z00_15796 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12799)))->BgL_e1z00), BgL_stkz00_12800); 
BgL_e2z00_15797 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12799)))->BgL_e2z00), BgL_stkz00_12800); 
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_zc3z04anonymousza32950ze3z87_15798;
BgL_zc3z04anonymousza32950ze3z87_15798 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32950ze3z87_15798, 
(int)(((long)0)), BgL_e1z00_15796); 
PROCEDURE_SET(BgL_zc3z04anonymousza32950ze3z87_15798, 
(int)(((long)1)), BgL_e2z00_15797); 
return BgL_zc3z04anonymousza32950ze3z87_15798;} } } 

}



/* &<@anonymous:2950> */
obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12801, obj_t BgL_sz00_12804)
{
{ /* Eval/evaluate_comp.scm 459 */
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_e1z00_12802; obj_t BgL_e2z00_12803;
BgL_e1z00_12802 = 
PROCEDURE_REF(BgL_envz00_12801, 
(int)(((long)0))); 
BgL_e2z00_12803 = 
PROCEDURE_REF(BgL_envz00_12801, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_bpz00_15799;
BgL_bpz00_15799 = 
VECTOR_REF(
((obj_t)BgL_sz00_12804),((long)0)); 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_e1z00_12802))(BgL_e1z00_12802, BgL_sz00_12804, BEOA); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_e2z00_12803))(BgL_e2z00_12803, BgL_sz00_12804, BEOA);} } } 

}



/* &comp-ev_and1454 */
obj_t BGl_z62compzd2ev_and1454zb0zz__evaluate_compz00(obj_t BgL_envz00_12805, obj_t BgL_ez00_12806, obj_t BgL_stkz00_12807)
{
{ /* Eval/evaluate_comp.scm 446 */
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_argsz00_15801;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_l1311z00_15802;
BgL_l1311z00_15802 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_12806))))->BgL_argsz00); 
if(
NULLP(BgL_l1311z00_15802))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_15801 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_head1313z00_15803;
BgL_head1313z00_15803 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1311z00_15805; obj_t BgL_tail1314z00_15806;
BgL_l1311z00_15805 = BgL_l1311z00_15802; 
BgL_tail1314z00_15806 = BgL_head1313z00_15803; 
BgL_zc3z04anonymousza32946ze3z87_15804:
if(
NULLP(BgL_l1311z00_15805))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_15801 = 
CDR(BgL_head1313z00_15803); }  else 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_newtail1315z00_15807;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_arg2949z00_15808;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_ez00_15809;
BgL_ez00_15809 = 
CAR(
((obj_t)BgL_l1311z00_15805)); 
BgL_arg2949z00_15808 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_15809), BgL_stkz00_12807); } 
BgL_newtail1315z00_15807 = 
MAKE_YOUNG_PAIR(BgL_arg2949z00_15808, BNIL); } 
SET_CDR(BgL_tail1314z00_15806, BgL_newtail1315z00_15807); 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_arg2948z00_15810;
BgL_arg2948z00_15810 = 
CDR(
((obj_t)BgL_l1311z00_15805)); 
{ 
 obj_t BgL_tail1314z00_31115; obj_t BgL_l1311z00_31114;
BgL_l1311z00_31114 = BgL_arg2948z00_15810; 
BgL_tail1314z00_31115 = BgL_newtail1315z00_15807; 
BgL_tail1314z00_15806 = BgL_tail1314z00_31115; 
BgL_l1311z00_15805 = BgL_l1311z00_31114; 
goto BgL_zc3z04anonymousza32946ze3z87_15804;} } } } } } 
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_zc3z04anonymousza32940ze3z87_15811;
BgL_zc3z04anonymousza32940ze3z87_15811 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32940ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32940ze3z87_15811, 
(int)(((long)0)), BgL_argsz00_15801); 
return BgL_zc3z04anonymousza32940ze3z87_15811;} } } 

}



/* &<@anonymous:2940> */
obj_t BGl_z62zc3z04anonymousza32940ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12808, obj_t BgL_sz00_12810)
{
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_argsz00_12809;
BgL_argsz00_12809 = 
PROCEDURE_REF(BgL_envz00_12808, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_bpz00_15812;
BgL_bpz00_15812 = 
VECTOR_REF(
((obj_t)BgL_sz00_12810),((long)0)); 
{ 
 obj_t BgL_lz00_15814; obj_t BgL_rz00_15815;
BgL_lz00_15814 = BgL_argsz00_12809; 
BgL_rz00_15815 = BTRUE; 
BgL_recz00_15813:
if(
NULLP(BgL_lz00_15814))
{ /* Eval/evaluate_comp.scm 451 */
return BgL_rz00_15815;}  else 
{ /* Eval/evaluate_comp.scm 453 */
 obj_t BgL_vz00_15816;
{ /* Eval/evaluate_comp.scm 453 */
 obj_t BgL_fun2944z00_15817;
BgL_fun2944z00_15817 = 
CAR(
((obj_t)BgL_lz00_15814)); 
BgL_vz00_15816 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2944z00_15817))(BgL_fun2944z00_15817, BgL_sz00_12810, BEOA); } 
if(
CBOOL(BgL_vz00_15816))
{ /* Eval/evaluate_comp.scm 454 */
 obj_t BgL_arg2943z00_15818;
BgL_arg2943z00_15818 = 
CDR(
((obj_t)BgL_lz00_15814)); 
{ 
 obj_t BgL_rz00_31138; obj_t BgL_lz00_31137;
BgL_lz00_31137 = BgL_arg2943z00_15818; 
BgL_rz00_31138 = BgL_vz00_15816; 
BgL_rz00_15815 = BgL_rz00_31138; 
BgL_lz00_15814 = BgL_lz00_31137; 
goto BgL_recz00_15813;} }  else 
{ /* Eval/evaluate_comp.scm 454 */
return BFALSE;} } } } } } 

}



/* &comp-ev_or1452 */
obj_t BGl_z62compzd2ev_or1452zb0zz__evaluate_compz00(obj_t BgL_envz00_12811, obj_t BgL_ez00_12812, obj_t BgL_stkz00_12813)
{
{ /* Eval/evaluate_comp.scm 437 */
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_argsz00_15820;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_l1306z00_15821;
BgL_l1306z00_15821 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_12812))))->BgL_argsz00); 
if(
NULLP(BgL_l1306z00_15821))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_15820 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_head1308z00_15822;
BgL_head1308z00_15822 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1306z00_15824; obj_t BgL_tail1309z00_15825;
BgL_l1306z00_15824 = BgL_l1306z00_15821; 
BgL_tail1309z00_15825 = BgL_head1308z00_15822; 
BgL_zc3z04anonymousza32936ze3z87_15823:
if(
NULLP(BgL_l1306z00_15824))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_15820 = 
CDR(BgL_head1308z00_15822); }  else 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_newtail1310z00_15826;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_arg2939z00_15827;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_ez00_15828;
BgL_ez00_15828 = 
CAR(
((obj_t)BgL_l1306z00_15824)); 
BgL_arg2939z00_15827 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_15828), BgL_stkz00_12813); } 
BgL_newtail1310z00_15826 = 
MAKE_YOUNG_PAIR(BgL_arg2939z00_15827, BNIL); } 
SET_CDR(BgL_tail1309z00_15825, BgL_newtail1310z00_15826); 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_arg2938z00_15829;
BgL_arg2938z00_15829 = 
CDR(
((obj_t)BgL_l1306z00_15824)); 
{ 
 obj_t BgL_tail1309z00_31157; obj_t BgL_l1306z00_31156;
BgL_l1306z00_31156 = BgL_arg2938z00_15829; 
BgL_tail1309z00_31157 = BgL_newtail1310z00_15826; 
BgL_tail1309z00_15825 = BgL_tail1309z00_31157; 
BgL_l1306z00_15824 = BgL_l1306z00_31156; 
goto BgL_zc3z04anonymousza32936ze3z87_15823;} } } } } } 
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_zc3z04anonymousza32930ze3z87_15830;
BgL_zc3z04anonymousza32930ze3z87_15830 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32930ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32930ze3z87_15830, 
(int)(((long)0)), BgL_argsz00_15820); 
return BgL_zc3z04anonymousza32930ze3z87_15830;} } } 

}



/* &<@anonymous:2930> */
obj_t BGl_z62zc3z04anonymousza32930ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12814, obj_t BgL_sz00_12816)
{
{ /* Eval/evaluate_comp.scm 440 */
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_argsz00_12815;
BgL_argsz00_12815 = 
PROCEDURE_REF(BgL_envz00_12814, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_bpz00_15831;
BgL_bpz00_15831 = 
VECTOR_REF(
((obj_t)BgL_sz00_12816),((long)0)); 
{ 
 obj_t BgL_lz00_15833;
BgL_lz00_15833 = BgL_argsz00_12815; 
BgL_recz00_15832:
if(
NULLP(BgL_lz00_15833))
{ /* Eval/evaluate_comp.scm 442 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL__ortest_1102z00_15834;
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL_fun2934z00_15835;
BgL_fun2934z00_15835 = 
CAR(
((obj_t)BgL_lz00_15833)); 
BgL__ortest_1102z00_15834 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_fun2934z00_15835))(BgL_fun2934z00_15835, BgL_sz00_12816, BEOA); } 
if(
CBOOL(BgL__ortest_1102z00_15834))
{ /* Eval/evaluate_comp.scm 444 */
return BgL__ortest_1102z00_15834;}  else 
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL_arg2933z00_15836;
BgL_arg2933z00_15836 = 
CDR(
((obj_t)BgL_lz00_15833)); 
{ 
 obj_t BgL_lz00_31179;
BgL_lz00_31179 = BgL_arg2933z00_15836; 
BgL_lz00_15833 = BgL_lz00_31179; 
goto BgL_recz00_15832;} } } } } } } 

}



/* &comp-ev_if1450 */
obj_t BGl_z62compzd2ev_if1450zb0zz__evaluate_compz00(obj_t BgL_envz00_12817, obj_t BgL_ez00_12818, obj_t BgL_stkz00_12819)
{
{ /* Eval/evaluate_comp.scm 431 */
{ /* Eval/evaluate_comp.scm 433 */
 obj_t BgL_pz00_15838; obj_t BgL_tz00_15839; obj_t BgL_ez00_15840;
BgL_pz00_15838 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12818)))->BgL_pz00), BgL_stkz00_12819); 
BgL_tz00_15839 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12818)))->BgL_tz00), BgL_stkz00_12819); 
BgL_ez00_15840 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12818)))->BgL_ez00), BgL_stkz00_12819); 
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_zc3z04anonymousza32925ze3z87_15841;
BgL_zc3z04anonymousza32925ze3z87_15841 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32925ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32925ze3z87_15841, 
(int)(((long)0)), BgL_ez00_15840); 
PROCEDURE_SET(BgL_zc3z04anonymousza32925ze3z87_15841, 
(int)(((long)1)), BgL_tz00_15839); 
PROCEDURE_SET(BgL_zc3z04anonymousza32925ze3z87_15841, 
(int)(((long)2)), BgL_pz00_15838); 
return BgL_zc3z04anonymousza32925ze3z87_15841;} } } 

}



/* &<@anonymous:2925> */
obj_t BGl_z62zc3z04anonymousza32925ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12820, obj_t BgL_sz00_12824)
{
{ /* Eval/evaluate_comp.scm 434 */
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_ez00_12821; obj_t BgL_tz00_12822; obj_t BgL_pz00_12823;
BgL_ez00_12821 = 
PROCEDURE_REF(BgL_envz00_12820, 
(int)(((long)0))); 
BgL_tz00_12822 = 
PROCEDURE_REF(BgL_envz00_12820, 
(int)(((long)1))); 
BgL_pz00_12823 = 
PROCEDURE_REF(BgL_envz00_12820, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_bpz00_15842;
BgL_bpz00_15842 = 
VECTOR_REF(
((obj_t)BgL_sz00_12824),((long)0)); 
if(
CBOOL(
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_pz00_12823))(BgL_pz00_12823, BgL_sz00_12824, BEOA)))
{ /* Eval/evaluate_comp.scm 435 */
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tz00_12822))(BgL_tz00_12822, BgL_sz00_12824, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 435 */
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12821))(BgL_ez00_12821, BgL_sz00_12824, BEOA);} } } } 

}



/* &comp-ev_litt1448 */
obj_t BGl_z62compzd2ev_litt1448zb0zz__evaluate_compz00(obj_t BgL_envz00_12825, obj_t BgL_ez00_12826, obj_t BgL_stkz00_12827)
{
{ /* Eval/evaluate_comp.scm 426 */
{ /* Eval/evaluate_comp.scm 428 */
 obj_t BgL_zc3z04anonymousza32924ze3z87_15844;
BgL_zc3z04anonymousza32924ze3z87_15844 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32924ze3z87_15844, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_12826))); 
return BgL_zc3z04anonymousza32924ze3z87_15844;} } 

}



/* &<@anonymous:2924> */
obj_t BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12828, obj_t BgL_sz00_12830)
{
{ /* Eval/evaluate_comp.scm 428 */
{ /* Eval/evaluate_comp.scm 428 */
 BgL_ev_littz00_bglt BgL_i1099z00_12829;
BgL_i1099z00_12829 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_12828, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 428 */
 obj_t BgL_bpz00_15845;
BgL_bpz00_15845 = 
VECTOR_REF(
((obj_t)BgL_sz00_12830),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1099z00_12829))->BgL_valuez00);} } } 

}



/* &comp-ev_defglobal1446 */
obj_t BGl_z62compzd2ev_defglobal1446zb0zz__evaluate_compz00(obj_t BgL_envz00_12831, obj_t BgL_ez00_12832, obj_t BgL_stkz00_12833)
{
{ /* Eval/evaluate_comp.scm 395 */
{ /* Eval/evaluate_comp.scm 397 */
 obj_t BgL_ez00_15847;
{ /* Eval/evaluate_comp.scm 397 */
 BgL_ev_exprz00_bglt BgL_arg2923z00_15848;
BgL_arg2923z00_15848 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12832))))->BgL_ez00); 
BgL_ez00_15847 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2923z00_15848, BgL_stkz00_12833); } 
{ /* Eval/evaluate_comp.scm 398 */
 obj_t BgL_zc3z04anonymousza32899ze3z87_15849;
BgL_zc3z04anonymousza32899ze3z87_15849 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32899ze3z87_15849, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12832))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32899ze3z87_15849, 
(int)(((long)1)), BgL_ez00_15847); 
return BgL_zc3z04anonymousza32899ze3z87_15849;} } } 

}



/* &<@anonymous:2899> */
obj_t BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12834, obj_t BgL_sz00_12837)
{
{ /* Eval/evaluate_comp.scm 398 */
{ /* Eval/evaluate_comp.scm 398 */
 BgL_ev_defglobalz00_bglt BgL_i1096z00_12835; obj_t BgL_ez00_12836;
BgL_i1096z00_12835 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12834, 
(int)(((long)0)))); 
BgL_ez00_12836 = 
PROCEDURE_REF(BgL_envz00_12834, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 398 */
 obj_t BgL_bpz00_15850;
BgL_bpz00_15850 = 
VECTOR_REF(
((obj_t)BgL_sz00_12837),((long)0)); 
{ /* Eval/evaluate_comp.scm 399 */
 obj_t BgL_gz00_15851;
{ /* Eval/evaluate_comp.scm 399 */
 obj_t BgL_arg2921z00_15852; obj_t BgL_arg2922z00_15853;
BgL_arg2921z00_15852 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_modz00); 
BgL_arg2922z00_15853 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_namez00); 
BgL_gz00_15851 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2921z00_15852, BgL_arg2922z00_15853); } 
if(
CBOOL(BgL_gz00_15851))
{ /* Eval/evaluate_comp.scm 401 */
{ 

{ /* Eval/evaluate_comp.scm 403 */
 int BgL_aux1098z00_15857;
{ /* Eval/evaluate_comp.scm 403 */
 int BgL_res4105z00_15858;
BgL_res4105z00_15858 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15851),((long)0))); 
BgL_aux1098z00_15857 = BgL_res4105z00_15858; } 
switch( 
(long)(BgL_aux1098z00_15857)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 405 */
 obj_t BgL_arg2900z00_15859; obj_t BgL_arg2901z00_15860;
BgL_arg2900z00_15859 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_locz00); 
BgL_arg2901z00_15860 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2900z00_15859, BGl_string4360z00zz__evaluate_compz00, BGl_string4361z00zz__evaluate_compz00, BgL_arg2901z00_15860); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2902z00_15861; obj_t BgL_arg2903z00_15862;
BgL_arg2902z00_15861 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_locz00); 
BgL_arg2903z00_15862 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_list2904z00_15863;
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2905z00_15864;
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2906z00_15865;
BgL_arg2906z00_15865 = 
MAKE_YOUNG_PAIR(BgL_arg2903z00_15862, BNIL); 
BgL_arg2905z00_15864 = 
MAKE_YOUNG_PAIR(BGl_string4362z00zz__evaluate_compz00, BgL_arg2906z00_15865); } 
BgL_list2904z00_15863 = 
MAKE_YOUNG_PAIR(BGl_string4239z00zz__evaluate_compz00, BgL_arg2905z00_15864); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2902z00_15861, BgL_list2904z00_15863); } } 
{ /* Eval/evaluate_comp.scm 409 */
 obj_t BgL_arg2907z00_15866; obj_t BgL_arg2908z00_15867;
BgL_arg2907z00_15866 = 
VECTOR_REF(
((obj_t)BgL_gz00_15851),((long)2)); 
BgL_arg2908z00_15867 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12836))(BgL_ez00_12836, BgL_sz00_12837, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2907z00_15866, BgL_arg2908z00_15867); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 411 */
 obj_t BgL_arg2909z00_15868;
BgL_arg2909z00_15868 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12836))(BgL_ez00_12836, BgL_sz00_12837, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15851),((long)2),BgL_arg2909z00_15868); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 413 */
 obj_t BgL_arg2910z00_15869;
BgL_arg2910z00_15869 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12836))(BgL_ez00_12836, BgL_sz00_12837, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15851),((long)2),BgL_arg2910z00_15869); } 
VECTOR_SET(
((obj_t)BgL_gz00_15851),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 416 */
 obj_t BgL_arg2911z00_15870;
BgL_arg2911z00_15870 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12836))(BgL_ez00_12836, BgL_sz00_12837, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15851),((long)2),BgL_arg2911z00_15870); } 
VECTOR_SET(
((obj_t)BgL_gz00_15851),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 419 */
 obj_t BgL_arg2912z00_15855; obj_t BgL_arg2913z00_15856;
BgL_arg2912z00_15855 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_locz00); 
BgL_arg2913z00_15856 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2912z00_15855, BGl_string4360z00zz__evaluate_compz00, BGl_string4361z00zz__evaluate_compz00, BgL_arg2913z00_15856); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_gz00_15871;
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_arg2918z00_15872; obj_t BgL_arg2919z00_15873; obj_t BgL_arg2920z00_15874;
BgL_arg2918z00_15872 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_namez00); 
BgL_arg2919z00_15873 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_modz00); 
BgL_arg2920z00_15874 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_v1420z00_15875;
BgL_v1420z00_15875 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1420z00_15875,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1420z00_15875,((long)1),BgL_arg2918z00_15872); 
VECTOR_SET(BgL_v1420z00_15875,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1420z00_15875,((long)3),BgL_arg2919z00_15873); 
VECTOR_SET(BgL_v1420z00_15875,((long)4),BgL_arg2920z00_15874); 
BgL_gz00_15871 = BgL_v1420z00_15875; } } 
{ /* Eval/evaluate_comp.scm 422 */
 obj_t BgL_arg2914z00_15876;
BgL_arg2914z00_15876 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12836))(BgL_ez00_12836, BgL_sz00_12837, BEOA); 
VECTOR_SET(BgL_gz00_15871,((long)2),BgL_arg2914z00_15876); } 
{ /* Eval/evaluate_comp.scm 423 */
 obj_t BgL_arg2915z00_15877; obj_t BgL_arg2916z00_15878; obj_t BgL_arg2917z00_15879;
BgL_arg2915z00_15877 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_modz00); 
BgL_arg2916z00_15878 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_namez00); 
BgL_arg2917z00_15879 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2915z00_15877, BgL_arg2916z00_15878, BgL_gz00_15871, BgL_arg2917z00_15879); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12835)))->BgL_namez00);} } } } } 

}



/* &comp-ev_setglobal1444 */
obj_t BGl_z62compzd2ev_setglobal1444zb0zz__evaluate_compz00(obj_t BgL_envz00_12838, obj_t BgL_ez00_12839, obj_t BgL_stkz00_12840)
{
{ /* Eval/evaluate_comp.scm 372 */
{ /* Eval/evaluate_comp.scm 374 */
 obj_t BgL_gz00_15881; obj_t BgL_ez00_15882;
BgL_gz00_15881 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 374 */
 BgL_ev_exprz00_bglt BgL_arg2898z00_15883;
BgL_arg2898z00_15883 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839))))->BgL_ez00); 
BgL_ez00_15882 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2898z00_15883, BgL_stkz00_12840); } 
if(
CBOOL(BgL_gz00_15881))
{ 

{ /* Eval/evaluate_comp.scm 376 */
 int BgL_aux1095z00_15886;
{ /* Eval/evaluate_comp.scm 376 */
 int BgL_res4104z00_15887;
BgL_res4104z00_15887 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15881),((long)0))); 
BgL_aux1095z00_15886 = BgL_res4104z00_15887; } 
switch( 
(long)(BgL_aux1095z00_15886)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_zc3z04anonymousza32874ze3z87_15888;
BgL_zc3z04anonymousza32874ze3z87_15888 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32874ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32874ze3z87_15888, 
(int)(((long)0)), BgL_gz00_15881); 
PROCEDURE_SET(BgL_zc3z04anonymousza32874ze3z87_15888, 
(int)(((long)1)), BgL_ez00_15882); 
return BgL_zc3z04anonymousza32874ze3z87_15888;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_locz00), BGl_string4360z00zz__evaluate_compz00, BGl_string4361z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_zc3z04anonymousza32879ze3z87_15885;
BgL_zc3z04anonymousza32879ze3z87_15885 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32879ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32879ze3z87_15885, 
(int)(((long)0)), BgL_ez00_15882); 
PROCEDURE_SET(BgL_zc3z04anonymousza32879ze3z87_15885, 
(int)(((long)1)), BgL_gz00_15881); 
return BgL_zc3z04anonymousza32879ze3z87_15885;} } } }  else 
{ /* Eval/evaluate_comp.scm 384 */
 obj_t BgL_slotz00_15889;
BgL_slotz00_15889 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_gz00_15890;
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_arg2886z00_15891; obj_t BgL_arg2887z00_15892; obj_t BgL_arg2888z00_15893;
BgL_arg2886z00_15891 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_namez00); 
BgL_arg2887z00_15892 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_modz00); 
BgL_arg2888z00_15893 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_v1420z00_15894;
BgL_v1420z00_15894 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1420z00_15894,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1420z00_15894,((long)1),BgL_arg2886z00_15891); 
VECTOR_SET(BgL_v1420z00_15894,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1420z00_15894,((long)3),BgL_arg2887z00_15892); 
VECTOR_SET(BgL_v1420z00_15894,((long)4),BgL_arg2888z00_15893); 
BgL_gz00_15890 = BgL_v1420z00_15894; } } 
VECTOR_SET(BgL_gz00_15890,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_namez00), BgL_gz00_15890, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 385 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 389 */
 obj_t BgL_zc3z04anonymousza32890ze3z87_15895;
BgL_zc3z04anonymousza32890ze3z87_15895 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32890ze3z87_15895, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12839))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32890ze3z87_15895, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_15889)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32890ze3z87_15895, 
(int)(((long)2)), BgL_ez00_15882); 
return BgL_zc3z04anonymousza32890ze3z87_15895;} } } } 

}



/* &<@anonymous:2874> */
obj_t BGl_z62zc3z04anonymousza32874ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12843, obj_t BgL_sz00_12846)
{
{ /* Eval/evaluate_comp.scm 378 */
{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_gz00_12844; obj_t BgL_ez00_12845;
BgL_gz00_12844 = 
PROCEDURE_REF(BgL_envz00_12843, 
(int)(((long)0))); 
BgL_ez00_12845 = 
PROCEDURE_REF(BgL_envz00_12843, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_bpz00_15896;
BgL_bpz00_15896 = 
VECTOR_REF(
((obj_t)BgL_sz00_12846),((long)0)); 
{ /* Eval/evaluate_comp.scm 379 */
 obj_t BgL_arg2875z00_15897; obj_t BgL_arg2876z00_15898;
BgL_arg2875z00_15897 = 
VECTOR_REF(
((obj_t)BgL_gz00_12844),((long)2)); 
BgL_arg2876z00_15898 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12845))(BgL_ez00_12845, BgL_sz00_12846, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2875z00_15897, BgL_arg2876z00_15898);} } } } 

}



/* &<@anonymous:2879> */
obj_t BGl_z62zc3z04anonymousza32879ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12847, obj_t BgL_sz00_12850)
{
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_ez00_12848; obj_t BgL_gz00_12849;
BgL_ez00_12848 = 
PROCEDURE_REF(BgL_envz00_12847, 
(int)(((long)0))); 
BgL_gz00_12849 = 
PROCEDURE_REF(BgL_envz00_12847, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_bpz00_15899;
BgL_bpz00_15899 = 
VECTOR_REF(
((obj_t)BgL_sz00_12850),((long)0)); 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_arg2880z00_15900;
BgL_arg2880z00_15900 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12848))(BgL_ez00_12848, BgL_sz00_12850, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_12849),((long)2),BgL_arg2880z00_15900);} } } } 

}



/* &<@anonymous:2890> */
obj_t BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12851, obj_t BgL_sz00_12855)
{
{ /* Eval/evaluate_comp.scm 389 */
{ /* Eval/evaluate_comp.scm 389 */
 BgL_ev_setglobalz00_bglt BgL_i1093z00_12852; obj_t BgL_slotz00_12853; obj_t BgL_ez00_12854;
BgL_i1093z00_12852 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12851, 
(int)(((long)0)))); 
BgL_slotz00_12853 = 
PROCEDURE_REF(BgL_envz00_12851, 
(int)(((long)1))); 
BgL_ez00_12854 = 
PROCEDURE_REF(BgL_envz00_12851, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 389 */
 obj_t BgL_bpz00_15901;
BgL_bpz00_15901 = 
VECTOR_REF(
((obj_t)BgL_sz00_12855),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12853)))
{ /* Eval/evaluate_comp.scm 390 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 390 */
{ /* Eval/evaluate_comp.scm 391 */
 obj_t BgL_auxz00_15902;
BgL_auxz00_15902 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12852))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12852))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12853, BgL_auxz00_15902); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12853)))
{ /* Eval/evaluate_comp.scm 392 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 392 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12852))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4363z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12852))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 393 */
 obj_t BgL_arg2895z00_15903;
BgL_arg2895z00_15903 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12854))(BgL_ez00_12854, BgL_sz00_12855, BEOA); 
{ /* Eval/evaluate_comp.scm 393 */
 obj_t BgL_evalzd2globalzd2_15904;
BgL_evalzd2globalzd2_15904 = 
CELL_REF(BgL_slotz00_12853); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_15904,((long)2),BgL_arg2895z00_15903);} } } } } 

}



/* &comp-ev_global1442 */
obj_t BGl_z62compzd2ev_global1442zb0zz__evaluate_compz00(obj_t BgL_envz00_12857, obj_t BgL_varz00_12858, obj_t BgL_stkz00_12859)
{
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
 obj_t BgL_gz00_15906;
BgL_gz00_15906 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_15906))
{ /* Eval/evaluate_comp.scm 343 */
 bool_t BgL_test5206z00_31472;
{ /* Eval/evaluate_comp.scm 343 */
 int BgL_arg2839z00_15907;
{ /* Eval/evaluate_comp.scm 343 */
 int BgL_res4102z00_15908;
BgL_res4102z00_15908 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15906),((long)0))); 
BgL_arg2839z00_15907 = BgL_res4102z00_15908; } 
BgL_test5206z00_31472 = 
(
BINT(BgL_arg2839z00_15907)==
BINT(((long)1))); } 
if(BgL_test5206z00_31472)
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_zc3z04anonymousza32836ze3z87_15909;
BgL_zc3z04anonymousza32836ze3z87_15909 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32836ze3z87_15909, 
(int)(((long)0)), BgL_gz00_15906); 
return BgL_zc3z04anonymousza32836ze3z87_15909;}  else 
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_zc3z04anonymousza32838ze3z87_15910;
BgL_zc3z04anonymousza32838ze3z87_15910 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32838ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32838ze3z87_15910, 
(int)(((long)0)), BgL_gz00_15906); 
return BgL_zc3z04anonymousza32838ze3z87_15910;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
 obj_t BgL_slotz00_15911;
BgL_slotz00_15911 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_gz00_15912;
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_arg2845z00_15913; obj_t BgL_arg2846z00_15914; obj_t BgL_arg2847z00_15915;
BgL_arg2845z00_15913 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_namez00); 
BgL_arg2846z00_15914 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_modz00); 
BgL_arg2847z00_15915 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_v1420z00_15916;
BgL_v1420z00_15916 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1420z00_15916,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1420z00_15916,((long)1),BgL_arg2845z00_15913); 
VECTOR_SET(BgL_v1420z00_15916,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1420z00_15916,((long)3),BgL_arg2846z00_15914); 
VECTOR_SET(BgL_v1420z00_15916,((long)4),BgL_arg2847z00_15915); 
BgL_gz00_15912 = BgL_v1420z00_15916; } } 
VECTOR_SET(BgL_gz00_15912,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_namez00), BgL_gz00_15912, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12858)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
 obj_t BgL_zc3z04anonymousza32849ze3z87_15917;
BgL_zc3z04anonymousza32849ze3z87_15917 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32849ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32849ze3z87_15917, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_12858))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32849ze3z87_15917, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_15911)); 
return BgL_zc3z04anonymousza32849ze3z87_15917;} } } } 

}



/* &<@anonymous:2836> */
obj_t BGl_z62zc3z04anonymousza32836ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12862, obj_t BgL_sz00_12864)
{
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_gz00_12863;
BgL_gz00_12863 = 
PROCEDURE_REF(BgL_envz00_12862, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_bpz00_15918;
BgL_bpz00_15918 = 
VECTOR_REF(
((obj_t)BgL_sz00_12864),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
 obj_t BgL_arg2837z00_15919;
BgL_arg2837z00_15919 = 
VECTOR_REF(
((obj_t)BgL_gz00_12863),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2837z00_15919);} } } } 

}



/* &<@anonymous:2838> */
obj_t BGl_z62zc3z04anonymousza32838ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12865, obj_t BgL_sz00_12867)
{
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_gz00_12866;
BgL_gz00_12866 = 
PROCEDURE_REF(BgL_envz00_12865, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_bpz00_15920;
BgL_bpz00_15920 = 
VECTOR_REF(
((obj_t)BgL_sz00_12867),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_12866),((long)2));} } } 

}



/* &<@anonymous:2849> */
obj_t BGl_z62zc3z04anonymousza32849ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12868, obj_t BgL_sz00_12871)
{
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
 BgL_ev_globalz00_bglt BgL_i1092z00_12869; obj_t BgL_slotz00_12870;
BgL_i1092z00_12869 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_12868, 
(int)(((long)0)))); 
BgL_slotz00_12870 = 
PROCEDURE_REF(BgL_envz00_12868, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
 obj_t BgL_bpz00_15921;
BgL_bpz00_15921 = 
VECTOR_REF(
((obj_t)BgL_sz00_12871),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12870)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
 obj_t BgL_auxz00_15922;
BgL_auxz00_15922 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12870, BgL_auxz00_15922); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12870)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 357 */
 obj_t BgL_idz00_15923;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 358 */
 obj_t BgL_arg2855z00_15924;
{ /* Eval/evaluate_comp.scm 358 */
 obj_t BgL_arg2856z00_15925; obj_t BgL_arg2857z00_15926;
BgL_arg2856z00_15925 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_namez00); 
BgL_arg2857z00_15926 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_modz00)), BNIL); 
BgL_arg2855z00_15924 = 
MAKE_YOUNG_PAIR(BgL_arg2856z00_15925, BgL_arg2857z00_15926); } 
BgL_idz00_15923 = 
MAKE_YOUNG_PAIR(BGl_symbol4364z00zz__evaluate_compz00, BgL_arg2855z00_15924); }  else 
{ /* Eval/evaluate_comp.scm 357 */
BgL_idz00_15923 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_namez00); } 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4363z00zz__evaluate_compz00, BgL_idz00_15923); } } 
{ /* Eval/evaluate_comp.scm 361 */
 obj_t BgL_vz00_15927;
{ /* Eval/evaluate_comp.scm 361 */
 obj_t BgL_evalzd2globalzd2_15928;
BgL_evalzd2globalzd2_15928 = 
CELL_REF(BgL_slotz00_12870); 
BgL_vz00_15927 = 
VECTOR_REF(BgL_evalzd2globalzd2_15928,((long)2)); } 
if(
(BgL_vz00_15927==BUNSPEC))
{ /* Eval/evaluate_comp.scm 363 */
 int BgL_tz00_15929;
{ /* Eval/evaluate_comp.scm 363 */
 int BgL_res4103z00_15930;
{ /* Eval/evaluate_comp.scm 363 */
 obj_t BgL_evalzd2globalzd2_15931;
BgL_evalzd2globalzd2_15931 = 
CELL_REF(BgL_slotz00_12870); 
BgL_res4103z00_15930 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_15931,((long)0))); } 
BgL_tz00_15929 = BgL_res4103z00_15930; } 
{ /* Eval/evaluate_comp.scm 364 */
 bool_t BgL_test5212z00_31569;
if(
(
(long)(BgL_tz00_15929)==((long)3)))
{ /* Eval/evaluate_comp.scm 364 */
BgL_test5212z00_31569 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 364 */
BgL_test5212z00_31569 = 
(
(long)(BgL_tz00_15929)==((long)4))
; } 
if(BgL_test5212z00_31569)
{ /* Eval/evaluate_comp.scm 365 */
 obj_t BgL_idz00_15932;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 366 */
 obj_t BgL_arg2866z00_15933;
{ /* Eval/evaluate_comp.scm 366 */
 obj_t BgL_arg2867z00_15934; obj_t BgL_arg2868z00_15935;
BgL_arg2867z00_15934 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_namez00); 
BgL_arg2868z00_15935 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_modz00)), BNIL); 
BgL_arg2866z00_15933 = 
MAKE_YOUNG_PAIR(BgL_arg2867z00_15934, BgL_arg2868z00_15935); } 
BgL_idz00_15932 = 
MAKE_YOUNG_PAIR(BGl_symbol4364z00zz__evaluate_compz00, BgL_arg2866z00_15933); }  else 
{ /* Eval/evaluate_comp.scm 365 */
BgL_idz00_15932 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_namez00); } 
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12869))->BgL_locz00), BGl_string4239z00zz__evaluate_compz00, BGl_string4366z00zz__evaluate_compz00, BgL_idz00_15932);}  else 
{ /* Eval/evaluate_comp.scm 364 */
return BgL_vz00_15927;} } }  else 
{ /* Eval/evaluate_comp.scm 362 */
return BgL_vz00_15927;} } } } } 

}



/* &comp-ev_setlocal1440 */
obj_t BGl_z62compzd2ev_setlocal1440zb0zz__evaluate_compz00(obj_t BgL_envz00_12873, obj_t BgL_ez00_12874, obj_t BgL_stkz00_12875)
{
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
 obj_t BgL_iz00_15937; obj_t BgL_ez00_15938;
{ /* Eval/evaluate_comp.scm 323 */
 BgL_ev_varz00_bglt BgL_arg2832z00_15939;
BgL_arg2832z00_15939 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12874)))->BgL_vz00); 
BgL_iz00_15937 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2832z00_15939), BgL_stkz00_12875); } 
{ /* Eval/evaluate_comp.scm 323 */
 BgL_ev_exprz00_bglt BgL_arg2833z00_15940;
BgL_arg2833z00_15940 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_12874))))->BgL_ez00); 
BgL_ez00_15938 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2833z00_15940, BgL_stkz00_12875); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12874)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_zc3z04anonymousza32825ze3z87_15941;
BgL_zc3z04anonymousza32825ze3z87_15941 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32825ze3z87_15941, 
(int)(((long)0)), BgL_iz00_15937); 
PROCEDURE_SET(BgL_zc3z04anonymousza32825ze3z87_15941, 
(int)(((long)1)), BgL_ez00_15938); 
return BgL_zc3z04anonymousza32825ze3z87_15941;}  else 
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_zc3z04anonymousza32829ze3z87_15942;
BgL_zc3z04anonymousza32829ze3z87_15942 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32829ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32829ze3z87_15942, 
(int)(((long)0)), BgL_iz00_15937); 
PROCEDURE_SET(BgL_zc3z04anonymousza32829ze3z87_15942, 
(int)(((long)1)), BgL_ez00_15938); 
return BgL_zc3z04anonymousza32829ze3z87_15942;} } } 

}



/* &<@anonymous:2825> */
obj_t BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12876, obj_t BgL_sz00_12879)
{
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_iz00_12877; obj_t BgL_ez00_12878;
BgL_iz00_12877 = 
PROCEDURE_REF(BgL_envz00_12876, 
(int)(((long)0))); 
BgL_ez00_12878 = 
PROCEDURE_REF(BgL_envz00_12876, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_bpz00_15943;
BgL_bpz00_15943 = 
VECTOR_REF(
((obj_t)BgL_sz00_12879),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
 obj_t BgL_arg2826z00_15944; obj_t BgL_arg2827z00_15945;
{ /* Eval/evaluate_comp.scm 327 */
 long BgL_arg2828z00_15946;
BgL_arg2828z00_15946 = 
(
(long)CINT(BgL_bpz00_15943)+
(long)CINT(BgL_iz00_12877)); 
BgL_arg2826z00_15944 = 
VECTOR_REF(
((obj_t)BgL_sz00_12879),BgL_arg2828z00_15946); } 
BgL_arg2827z00_15945 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12878))(BgL_ez00_12878, BgL_sz00_12879, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_xz00_15947;
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_31631; obj_t BgL_tmpz00_31629;
BgL_auxz00_31631 = 
(int)(((long)0)); 
BgL_tmpz00_31629 = 
((obj_t)BgL_arg2826z00_15944); 
BgL_xz00_15947 = 
STRUCT_SET(BgL_tmpz00_31629, BgL_auxz00_31631, BgL_arg2827z00_15945); } 
return BUNSPEC;} } } } } 

}



/* &<@anonymous:2829> */
obj_t BGl_z62zc3z04anonymousza32829ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12880, obj_t BgL_sz00_12883)
{
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_iz00_12881; obj_t BgL_ez00_12882;
BgL_iz00_12881 = 
PROCEDURE_REF(BgL_envz00_12880, 
(int)(((long)0))); 
BgL_ez00_12882 = 
PROCEDURE_REF(BgL_envz00_12880, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_bpz00_15948;
BgL_bpz00_15948 = 
VECTOR_REF(
((obj_t)BgL_sz00_12883),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
 long BgL_arg2830z00_15949; obj_t BgL_arg2831z00_15950;
BgL_arg2830z00_15949 = 
(
(long)CINT(BgL_bpz00_15948)+
(long)CINT(BgL_iz00_12881)); 
BgL_arg2831z00_15950 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12882))(BgL_ez00_12882, BgL_sz00_12883, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_12883),BgL_arg2830z00_15949,BgL_arg2831z00_15950);} } } } 

}



/* &comp-ev_var1438 */
obj_t BGl_z62compzd2ev_var1438zb0zz__evaluate_compz00(obj_t BgL_envz00_12884, obj_t BgL_varz00_12885, obj_t BgL_stkz00_12886)
{
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
 obj_t BgL_iz00_15952;
BgL_iz00_15952 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_12885)), BgL_stkz00_12886); 
{ 

if(
INTEGERP(BgL_iz00_15952))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_15952)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12885)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4367z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4368z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12885)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4369z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4370z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12885)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4371z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4372z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12885)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4373z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4374z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1087z00_15953:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12885)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_zc3z04anonymousza32819ze3z87_15954;
BgL_zc3z04anonymousza32819ze3z87_15954 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32819ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32819ze3z87_15954, 
(int)(((long)0)), BgL_iz00_15952); 
return BgL_zc3z04anonymousza32819ze3z87_15954;}  else 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_zc3z04anonymousza32822ze3z87_15955;
BgL_zc3z04anonymousza32822ze3z87_15955 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32822ze3z87_15955, 
(int)(((long)0)), BgL_iz00_15952); 
return BgL_zc3z04anonymousza32822ze3z87_15955;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1087z00_15953;} } } } 

}



/* &<@anonymous:2813> */
obj_t BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12887, obj_t BgL_sz00_12888)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15956;
BgL_bpz00_15956 = 
VECTOR_REF(
((obj_t)BgL_sz00_12888),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2814z00_15957;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2815z00_15958;
BgL_arg2815z00_15958 = 
(
(long)CINT(BgL_bpz00_15956)+((long)3)); 
BgL_arg2814z00_15957 = 
VECTOR_REF(
((obj_t)BgL_sz00_12888),BgL_arg2815z00_15958); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2814z00_15957), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2816> */
obj_t BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12889, obj_t BgL_sz00_12890)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15959;
BgL_bpz00_15959 = 
VECTOR_REF(
((obj_t)BgL_sz00_12890),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2817z00_15960;
BgL_arg2817z00_15960 = 
(
(long)CINT(BgL_bpz00_15959)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12890),BgL_arg2817z00_15960);} } } 

}



/* &<@anonymous:2807> */
obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12891, obj_t BgL_sz00_12892)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15961;
BgL_bpz00_15961 = 
VECTOR_REF(
((obj_t)BgL_sz00_12892),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2808z00_15962;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2809z00_15963;
BgL_arg2809z00_15963 = 
(
(long)CINT(BgL_bpz00_15961)+((long)2)); 
BgL_arg2808z00_15962 = 
VECTOR_REF(
((obj_t)BgL_sz00_12892),BgL_arg2809z00_15963); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2808z00_15962), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2810> */
obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12893, obj_t BgL_sz00_12894)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15964;
BgL_bpz00_15964 = 
VECTOR_REF(
((obj_t)BgL_sz00_12894),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2811z00_15965;
BgL_arg2811z00_15965 = 
(
(long)CINT(BgL_bpz00_15964)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12894),BgL_arg2811z00_15965);} } } 

}



/* &<@anonymous:2801> */
obj_t BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12895, obj_t BgL_sz00_12896)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15966;
BgL_bpz00_15966 = 
VECTOR_REF(
((obj_t)BgL_sz00_12896),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2802z00_15967;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2803z00_15968;
BgL_arg2803z00_15968 = 
(
(long)CINT(BgL_bpz00_15966)+((long)1)); 
BgL_arg2802z00_15967 = 
VECTOR_REF(
((obj_t)BgL_sz00_12896),BgL_arg2803z00_15968); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2802z00_15967), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2804> */
obj_t BGl_z62zc3z04anonymousza32804ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12897, obj_t BgL_sz00_12898)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15969;
BgL_bpz00_15969 = 
VECTOR_REF(
((obj_t)BgL_sz00_12898),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2805z00_15970;
BgL_arg2805z00_15970 = 
(
(long)CINT(BgL_bpz00_15969)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12898),BgL_arg2805z00_15970);} } } 

}



/* &<@anonymous:2795> */
obj_t BGl_z62zc3z04anonymousza32795ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12899, obj_t BgL_sz00_12900)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15971;
BgL_bpz00_15971 = 
VECTOR_REF(
((obj_t)BgL_sz00_12900),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2796z00_15972;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2797z00_15973;
BgL_arg2797z00_15973 = 
(
(long)CINT(BgL_bpz00_15971)+((long)0)); 
BgL_arg2796z00_15972 = 
VECTOR_REF(
((obj_t)BgL_sz00_12900),BgL_arg2797z00_15973); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2796z00_15972), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2798> */
obj_t BGl_z62zc3z04anonymousza32798ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12901, obj_t BgL_sz00_12902)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15974;
BgL_bpz00_15974 = 
VECTOR_REF(
((obj_t)BgL_sz00_12902),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2799z00_15975;
BgL_arg2799z00_15975 = 
(
(long)CINT(BgL_bpz00_15974)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12902),BgL_arg2799z00_15975);} } } 

}



/* &<@anonymous:2819> */
obj_t BGl_z62zc3z04anonymousza32819ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12903, obj_t BgL_sz00_12905)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_iz00_12904;
BgL_iz00_12904 = 
PROCEDURE_REF(BgL_envz00_12903, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15976;
BgL_bpz00_15976 = 
VECTOR_REF(
((obj_t)BgL_sz00_12905),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2820z00_15977;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2821z00_15978;
BgL_arg2821z00_15978 = 
(
(long)CINT(BgL_bpz00_15976)+
(long)CINT(BgL_iz00_12904)); 
BgL_arg2820z00_15977 = 
VECTOR_REF(
((obj_t)BgL_sz00_12905),BgL_arg2821z00_15978); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2820z00_15977), 
(int)(((long)0)));} } } } 

}



/* &<@anonymous:2822> */
obj_t BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12906, obj_t BgL_sz00_12908)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_iz00_12907;
BgL_iz00_12907 = 
PROCEDURE_REF(BgL_envz00_12906, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15979;
BgL_bpz00_15979 = 
VECTOR_REF(
((obj_t)BgL_sz00_12908),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2823z00_15980;
BgL_arg2823z00_15980 = 
(
(long)CINT(BgL_bpz00_15979)+
(long)CINT(BgL_iz00_12907)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12908),BgL_arg2823z00_15980);} } } } 

}



/* &comp-ev_trap1436 */
obj_t BGl_z62compzd2ev_trap1436zb0zz__evaluate_compz00(obj_t BgL_envz00_12909, obj_t BgL_ez00_12910, obj_t BgL_stkz00_12911)
{
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
 obj_t BgL_ez00_15982;
{ /* Eval/evaluate_comp.scm 291 */
 BgL_ev_exprz00_bglt BgL_arg2793z00_15983;
BgL_arg2793z00_15983 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_12910))))->BgL_ez00); 
BgL_ez00_15982 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2793z00_15983, BgL_stkz00_12911); } 
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_zc3z04anonymousza32787ze3z87_15984;
BgL_zc3z04anonymousza32787ze3z87_15984 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32787ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32787ze3z87_15984, 
(int)(((long)0)), BgL_ez00_15982); 
return BgL_zc3z04anonymousza32787ze3z87_15984;} } } 

}



/* &<@anonymous:2787> */
obj_t BGl_z62zc3z04anonymousza32787ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12912, obj_t BgL_sz00_12914)
{
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_ez00_12913;
BgL_ez00_12913 = 
PROCEDURE_REF(BgL_envz00_12912, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_bpz00_15985;
BgL_bpz00_15985 = 
VECTOR_REF(
((obj_t)BgL_sz00_12914),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
 obj_t BgL_cmdz00_15986;
BgL_cmdz00_15986 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_ez00_12913))(BgL_ez00_12913, BgL_sz00_12914, BEOA); 
if(
(BgL_cmdz00_15986==BGl_symbol4375z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_15985;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15986==BGl_symbol4377z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15986==BGl_symbol4379z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15986==BGl_symbol4381z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
 obj_t BgL_arg2792z00_15987;
BgL_arg2792z00_15987 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2792z00_15987),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string4239z00zz__evaluate_compz00, BGl_string4383z00zz__evaluate_compz00, BgL_cmdz00_15986);} } } } } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(void)
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924964), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)481261960), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)242777169), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)43892022), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)207454816), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string4384z00zz__evaluate_compz00));} 

}

#ifdef __cplusplus
}
#endif
