/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2640z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2560z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2480z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2484z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2648z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2650z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2570z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2491z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2576z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2497z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1942z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2580z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2587z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2593z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2599z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_absz00_bglt BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31679ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void);
static obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31696ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void);
static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void);
static BgL_ev_exprz00_bglt BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31877ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31789ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31897ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2004z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2012z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31604ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2025z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void);
static BgL_ev_varz00_bglt BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_hookz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31570ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31716ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31465ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static BgL_ev_exprz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2403z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2324z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2326z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2408z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1610z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31822ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2330z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2412z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2332z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2416z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2337z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2339z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31580ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31815ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1469z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2501z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2343z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2508z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2428z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2348z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1714z62zz__evaluate_typesz00(obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31557ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1635z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1555z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2512z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2352z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2433z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2516z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2437z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2358z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00(void);
static obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1566z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2523z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2363z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2528z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2367z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31907ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1658z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2610z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2614z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2533z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2453z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2372z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2376z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2458z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1903z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31495ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2541z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2623z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2380z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2625z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2546z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2384z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2466z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1591z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2630z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2635z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2555z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2398z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_labelsz00_bglt BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2404z00zz__evaluate_typesz00, BgL_bgl_string2404za700za7za7_2652za7, "ev_or", 5 );
DEFINE_STRING( BGl_string2325z00zz__evaluate_typesz00, BgL_bgl_string2325za700za7za7_2653za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2327z00zz__evaluate_typesz00, BgL_bgl_string2327za700za7za7_2654za7, "__evaluate_types", 16 );
DEFINE_STRING( BGl_string2409z00zz__evaluate_typesz00, BgL_bgl_string2409za700za7za7_2655za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2656za7, BGl_z62zc3z04anonymousza31557ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__evaluate_typesz00, BgL_bgl_za762lambda1555za7622657z00, BGl_z62lambda1555z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2658za7, BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__evaluate_typesz00, BgL_bgl_za762lambda1552za7622659z00, BGl_z62lambda1552z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__evaluate_typesz00, BgL_bgl_za762lambda1424za7622660z00, BGl_z62lambda1424z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__evaluate_typesz00, BgL_bgl_za762lambda1422za7622661z00, BGl_z62lambda1422z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2662za7, BGl_z62zc3z04anonymousza31570ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2331z00zz__evaluate_typesz00, BgL_bgl_string2331za700za7za7_2663za7, "name", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__evaluate_typesz00, BgL_bgl_za762lambda1568za7622664z00, BGl_z62lambda1568z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__evaluate_typesz00, BgL_bgl_za762lambda1566za7622665z00, BGl_z62lambda1566z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2413z00zz__evaluate_typesz00, BgL_bgl_string2413za700za7za7_2666za7, "e1", 2 );
DEFINE_STRING( BGl_string2333z00zz__evaluate_typesz00, BgL_bgl_string2333za700za7za7_2667za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__evaluate_typesz00, BgL_bgl_za762lambda1443za7622668z00, BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__evaluate_typesz00, BgL_bgl_za762lambda1442za7622669z00, BGl_z62lambda1442z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2417z00zz__evaluate_typesz00, BgL_bgl_string2417za700za7za7_2670za7, "e2", 2 );
DEFINE_STRING( BGl_string2338z00zz__evaluate_typesz00, BgL_bgl_string2338za700za7za7_2671za7, "eff", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__evaluate_typesz00, BgL_bgl_za762lambda1586za7622672z00, BGl_z62lambda1586z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2411z00zz__evaluate_typesz00, BgL_bgl_za762lambda1585za7622673z00, BGl_z62lambda1585z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762lambda1591za7622674z00, BGl_z62lambda1591z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2502z00zz__evaluate_typesz00, BgL_bgl_string2502za700za7za7_2675za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2676za7, BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2340z00zz__evaluate_typesz00, BgL_bgl_string2340za700za7za7_2677za7, "obj", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__evaluate_typesz00, BgL_bgl_za762lambda1590za7622678z00, BGl_z62lambda1590z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__evaluate_typesz00, BgL_bgl_za762lambda1449za7622679z00, BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2422z00zz__evaluate_typesz00, BgL_bgl_string2422za700za7za7_2680za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__evaluate_typesz00, BgL_bgl_za762lambda1448za7622681z00, BGl_z62lambda1448z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2682za7, BGl_z62zc3z04anonymousza31580ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2344z00zz__evaluate_typesz00, BgL_bgl_string2344za700za7za7_2683za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__evaluate_typesz00, BgL_bgl_za762lambda1578za7622684z00, BGl_z62lambda1578z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2509z00zz__evaluate_typesz00, BgL_bgl_string2509za700za7za7_2685za7, "ev_synchronize", 14 );
DEFINE_STRING( BGl_string2429z00zz__evaluate_typesz00, BgL_bgl_string2429za700za7za7_2686za7, "ev_hook", 7 );
DEFINE_STRING( BGl_string2349z00zz__evaluate_typesz00, BgL_bgl_string2349za700za7za7_2687za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__evaluate_typesz00, BgL_bgl_za762lambda1773za7622688z00, BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__evaluate_typesz00, BgL_bgl_za762lambda1576za7622689z00, BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1779za7622690z00, BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622691z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1778za7622692z00, BGl_z62lambda1778z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__evaluate_typesz00, BgL_bgl_za762lambda1454za7622693z00, BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__evaluate_typesz00, BgL_bgl_za762lambda1610za7622694z00, BGl_z62lambda1610z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2695za7, BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__evaluate_typesz00, BgL_bgl_za762lambda1609za7622696z00, BGl_z62lambda1609z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__evaluate_typesz00, BgL_bgl_za762lambda1757za7622697z00, BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2698za7, BGl_z62zc3z04anonymousza31604ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2513z00zz__evaluate_typesz00, BgL_bgl_string2513za700za7za7_2699za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__evaluate_typesz00, BgL_bgl_za762lambda1755za7622700z00, BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2701za7, BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__evaluate_typesz00, BgL_bgl_za762lambda1601za7622702z00, BGl_z62lambda1601z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__evaluate_typesz00, BgL_bgl_za762lambda1434za7622703z00, BGl_z62lambda1434z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__evaluate_typesz00, BgL_bgl_za762lambda1599za7622704z00, BGl_z62lambda1599z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__evaluate_typesz00, BgL_bgl_za762lambda1432za7622705z00, BGl_z62lambda1432z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2353z00zz__evaluate_typesz00, BgL_bgl_string2353za700za7za7_2706za7, "loc", 3 );
DEFINE_STRING( BGl_string2434z00zz__evaluate_typesz00, BgL_bgl_string2434za700za7za7_2707za7, "ev_trap", 7 );
DEFINE_STRING( BGl_string2517z00zz__evaluate_typesz00, BgL_bgl_string2517za700za7za7_2708za7, "vals", 4 );
DEFINE_STRING( BGl_string2438z00zz__evaluate_typesz00, BgL_bgl_string2438za700za7za7_2709za7, "v", 1 );
DEFINE_STRING( BGl_string2359z00zz__evaluate_typesz00, BgL_bgl_string2359za700za7za7_2710za7, "mod", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__evaluate_typesz00, BgL_bgl_za762lambda1795za7622711z00, BGl_z62lambda1795z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__evaluate_typesz00, BgL_bgl_za762lambda1794za7622712z00, BGl_z62lambda1794z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2713za7, BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622714z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__evaluate_typesz00, BgL_bgl_za762lambda1618za7622715z00, BGl_z62lambda1618z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2600z00zz__evaluate_typesz00, BgL_bgl_string2600za700za7za7_2716za7, "tail?", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__evaluate_typesz00, BgL_bgl_za762lambda1469za7622717z00, BGl_z62lambda1469z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2432z00zz__evaluate_typesz00, BgL_bgl_za762lambda1616za7622718z00, BGl_z62lambda1616z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762lambda1800za7622719z00, BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__evaluate_typesz00, BgL_bgl_za762lambda1799za7622720z00, BGl_z62lambda1799z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__evaluate_typesz00, BgL_bgl_za762lambda1478za7622721z00, BGl_z62lambda1478z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762lambda1635za7622722z00, BGl_z62lambda1635z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__evaluate_typesz00, BgL_bgl_za762lambda1477za7622723z00, BGl_z62lambda1477z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__evaluate_typesz00, BgL_bgl_za762lambda1634za7622724z00, BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2605z00zz__evaluate_typesz00, BgL_bgl_string2605za700za7za7_2725za7, "ev_app", 6 );
DEFINE_STRING( BGl_string2524z00zz__evaluate_typesz00, BgL_bgl_string2524za700za7za7_2726za7, "ev_binder", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__evaluate_typesz00, BgL_bgl_za762lambda1805za7622727z00, BGl_z62lambda1805z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__evaluate_typesz00, BgL_bgl_za762lambda1483za7622728z00, BGl_z62lambda1483z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2443z00zz__evaluate_typesz00, BgL_bgl_string2443za700za7za7_2729za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__evaluate_typesz00, BgL_bgl_za762lambda1804za7622730z00, BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__evaluate_typesz00, BgL_bgl_za762lambda1482za7622731z00, BGl_z62lambda1482z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2364z00zz__evaluate_typesz00, BgL_bgl_string2364za700za7za7_2732za7, "ev_global", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2733za7, BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2529z00zz__evaluate_typesz00, BgL_bgl_string2529za700za7za7_2734za7, "boxes", 5 );
DEFINE_STRING( BGl_string2368z00zz__evaluate_typesz00, BgL_bgl_string2368za700za7za7_2735za7, "value", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2736za7, BGl_z62zc3z04anonymousza31937ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2737za7, BGl_z62zc3z04anonymousza31789ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__evaluate_typesz00, BgL_bgl_za762lambda1935za7622738z00, BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__evaluate_typesz00, BgL_bgl_za762lambda1787za7622739z00, BGl_z62lambda1787z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762lambda1628za7622740z00, BGl_z62lambda1628z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__evaluate_typesz00, BgL_bgl_za762lambda1933za7622741z00, BGl_z62lambda1933z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762lambda1785za7622742z00, BGl_z62lambda1785z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2743za7, BGl_z62zc3z04anonymousza31465ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__evaluate_typesz00, BgL_bgl_za762lambda1626za7622744z00, BGl_z62lambda1626z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2361z00zz__evaluate_typesz00, BgL_bgl_za762lambda1463za7622745z00, BGl_z62lambda1463z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2611z00zz__evaluate_typesz00, BgL_bgl_string2611za700za7za7_2746za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2362z00zz__evaluate_typesz00, BgL_bgl_za762lambda1461za7622747z00, BGl_z62lambda1461z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1972za7622748z00, BGl_z62lambda1972z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2749za7, BGl_z62zc3z04anonymousza31822ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762lambda1651za7622750z00, BGl_z62lambda1651z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__evaluate_typesz00, BgL_bgl_za762lambda1971za7622751z00, BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__evaluate_typesz00, BgL_bgl_za762lambda1821za7622752z00, BGl_z62lambda1821z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762lambda1650za7622753z00, BGl_z62lambda1650z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__evaluate_typesz00, BgL_bgl_za762lambda1977za7622754z00, BGl_z62lambda1977z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762lambda1820za7622755z00, BGl_z62lambda1820z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__evaluate_typesz00, BgL_bgl_za762lambda1500za7622756z00, BGl_z62lambda1500z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2446z00zz__evaluate_typesz00, BgL_bgl_za762lambda1659za7622757z00, BGl_z62lambda1659z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2615z00zz__evaluate_typesz00, BgL_bgl_string2615za700za7za7_2758za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__evaluate_typesz00, BgL_bgl_za762lambda1976za7622759z00, BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2534z00zz__evaluate_typesz00, BgL_bgl_string2534za700za7za7_2760za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__evaluate_typesz00, BgL_bgl_za762lambda1499za7622761z00, BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2447z00zz__evaluate_typesz00, BgL_bgl_za762lambda1658za7622762z00, BGl_z62lambda1658z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2454z00zz__evaluate_typesz00, BgL_bgl_string2454za700za7za7_2763za7, "ev_setglobal", 12 );
DEFINE_STRING( BGl_string2373z00zz__evaluate_typesz00, BgL_bgl_string2373za700za7za7_2764za7, "ev_litt", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2448z00zz__evaluate_typesz00, BgL_bgl_za762lambda1664za7622765z00, BGl_z62lambda1664z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762lambda1663za7622766z00, BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2767za7, BGl_z62zc3z04anonymousza31495ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2377z00zz__evaluate_typesz00, BgL_bgl_string2377za700za7za7_2768za7, "p", 1 );
DEFINE_STRING( BGl_string2459z00zz__evaluate_typesz00, BgL_bgl_string2459za700za7za7_2769za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2770za7, BGl_z62zc3z04anonymousza31815ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1982za7622771z00, BGl_z62lambda1982z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__evaluate_typesz00, BgL_bgl_za762lambda1813za7622772z00, BGl_z62lambda1813z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2773za7, BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__evaluate_typesz00, BgL_bgl_za762lambda1981za7622774z00, BGl_z62lambda1981z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__evaluate_typesz00, BgL_bgl_za762lambda1811za7622775z00, BGl_z62lambda1811z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2451z00zz__evaluate_typesz00, BgL_bgl_za762lambda1643za7622776z00, BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__evaluate_typesz00, BgL_bgl_za762lambda1493za7622777z00, BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2452z00zz__evaluate_typesz00, BgL_bgl_za762lambda1641za7622778z00, BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__evaluate_typesz00, BgL_bgl_za762lambda1491za7622779z00, BGl_z62lambda1491z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda1987za7622780z00, BGl_z62lambda1987z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2781za7, BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1986za7622782z00, BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2542z00zz__evaluate_typesz00, BgL_bgl_string2542za700za7za7_2783za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__evaluate_typesz00, BgL_bgl_za762lambda1838za7622784z00, BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2785za7, BGl_z62zc3z04anonymousza31679ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__evaluate_typesz00, BgL_bgl_za762lambda1515za7622786z00, BGl_z62lambda1515z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2624z00zz__evaluate_typesz00, BgL_bgl_string2624za700za7za7_2787za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__evaluate_typesz00, BgL_bgl_za762lambda1992za7622788z00, BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__evaluate_typesz00, BgL_bgl_za762lambda1837za7622789z00, BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__evaluate_typesz00, BgL_bgl_za762lambda1676za7622790z00, BGl_z62lambda1676z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__evaluate_typesz00, BgL_bgl_za762lambda1514za7622791z00, BGl_z62lambda1514z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2381z00zz__evaluate_typesz00, BgL_bgl_string2381za700za7za7_2792za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__evaluate_typesz00, BgL_bgl_za762lambda1991za7622793z00, BGl_z62lambda1991z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2794za7, BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2463z00zz__evaluate_typesz00, BgL_bgl_string2463za700za7za7_2795za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2457z00zz__evaluate_typesz00, BgL_bgl_za762lambda1672za7622796z00, BGl_z62lambda1672z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2626z00zz__evaluate_typesz00, BgL_bgl_string2626za700za7za7_2797za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762lambda1830za7622798z00, BGl_z62lambda1830z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__evaluate_typesz00, BgL_bgl_za762lambda1520za7622799z00, BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2547z00zz__evaluate_typesz00, BgL_bgl_string2547za700za7za7_2800za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__evaluate_typesz00, BgL_bgl_za762lambda1519za7622801z00, BGl_z62lambda1519z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2385z00zz__evaluate_typesz00, BgL_bgl_string2385za700za7za7_2802za7, "e", 1 );
DEFINE_STRING( BGl_string2467z00zz__evaluate_typesz00, BgL_bgl_string2467za700za7za7_2803za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2804za7, BGl_z62zc3z04anonymousza31999ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda1998za7622805z00, BGl_z62lambda1998z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762lambda1828za7622806z00, BGl_z62lambda1828z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762lambda1997za7622807z00, BGl_z62lambda1997z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1701za7622808z00, BGl_z62lambda1701z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2461z00zz__evaluate_typesz00, BgL_bgl_za762lambda1700za7622809z00, BGl_z62lambda1700z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2810za7, BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2631z00zz__evaluate_typesz00, BgL_bgl_string2631za700za7za7_2811za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__evaluate_typesz00, BgL_bgl_za762lambda1848za7622812z00, BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__evaluate_typesz00, BgL_bgl_za762lambda1525za7622813z00, BGl_z62lambda1525z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1846za7622814z00, BGl_z62lambda1846z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762lambda1706za7622815z00, BGl_z62lambda1706z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__evaluate_typesz00, BgL_bgl_za762lambda1524za7622816z00, BGl_z62lambda1524z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2817za7, BGl_z62zc3z04anonymousza32006ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__evaluate_typesz00, BgL_bgl_za762lambda1705za7622818z00, BGl_z62lambda1705z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2390z00zz__evaluate_typesz00, BgL_bgl_string2390za700za7za7_2819za7, "ev_if", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__evaluate_typesz00, BgL_bgl_za762lambda2005za7622820z00, BGl_z62lambda2005z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2472z00zz__evaluate_typesz00, BgL_bgl_string2472za700za7za7_2821za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__evaluate_typesz00, BgL_bgl_za762lambda2004za7622822z00, BGl_z62lambda2004z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1865za7622823z00, BGl_z62lambda1865z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2824za7, BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2636z00zz__evaluate_typesz00, BgL_bgl_string2636za700za7za7_2825za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1864za7622826z00, BGl_z62lambda1864z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2468z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2827za7, BGl_z62zc3z04anonymousza31696ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__evaluate_typesz00, BgL_bgl_za762lambda1508za7622828z00, BGl_z62lambda1508z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2556z00zz__evaluate_typesz00, BgL_bgl_string2556za700za7za7_2829za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__evaluate_typesz00, BgL_bgl_za762lambda1694za7622830z00, BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__evaluate_typesz00, BgL_bgl_za762lambda1506za7622831z00, BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2394z00zz__evaluate_typesz00, BgL_bgl_string2394za700za7za7_2832za7, "args", 4 );
DEFINE_STRING( BGl_string2399z00zz__evaluate_typesz00, BgL_bgl_string2399za700za7za7_2833za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__evaluate_typesz00, BgL_bgl_za762lambda1870za7622834z00, BGl_z62lambda1870z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2835za7, BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__evaluate_typesz00, BgL_bgl_za762lambda1869za7622836z00, BGl_z62lambda1869z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762lambda1691za7622837z00, BGl_z62lambda1691z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__evaluate_typesz00, BgL_bgl_za762lambda2012za7622838z00, BGl_z62lambda2012z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2839za7, BGl_z62zc3z04anonymousza31877ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__evaluate_typesz00, BgL_bgl_za762lambda2011za7622840z00, BGl_z62lambda2011z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1876za7622841z00, BGl_z62lambda1876z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__evaluate_typesz00, BgL_bgl_za762lambda1546za7622842z00, BGl_z62lambda1546z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2641z00zz__evaluate_typesz00, BgL_bgl_string2641za700za7za7_2843za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762lambda1875za7622844z00, BGl_z62lambda1875z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762lambda1722za7622845z00, BGl_z62lambda1722z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__evaluate_typesz00, BgL_bgl_za762lambda1545za7622846z00, BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2561z00zz__evaluate_typesz00, BgL_bgl_string2561za700za7za7_2847za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__evaluate_typesz00, BgL_bgl_za762lambda1721za7622848z00, BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2849za7, BGl_z62zc3z04anonymousza32020ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2481z00zz__evaluate_typesz00, BgL_bgl_string2481za700za7za7_2850za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2475z00zz__evaluate_typesz00, BgL_bgl_za762lambda1727za7622851z00, BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__evaluate_typesz00, BgL_bgl_za762lambda2019za7622852z00, BGl_z62lambda2019z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2853za7, BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2476z00zz__evaluate_typesz00, BgL_bgl_za762lambda1726za7622854z00, BGl_z62lambda1726z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2855za7, BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__evaluate_typesz00, BgL_bgl_za762lambda2018za7622856z00, BGl_z62lambda2018z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__evaluate_typesz00, BgL_bgl_za762lambda1884za7622857z00, BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2858za7, BGl_z62zc3z04anonymousza31716ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__evaluate_typesz00, BgL_bgl_za762lambda1537za7622859z00, BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762lambda1883za7622860z00, BGl_z62lambda1883z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1714za7622861z00, BGl_z62lambda1714z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__evaluate_typesz00, BgL_bgl_za762lambda1535za7622862z00, BGl_z62lambda1535z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2485z00zz__evaluate_typesz00, BgL_bgl_string2485za700za7za7_2863za7, "handler", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762lambda1712za7622864z00, BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2649z00zz__evaluate_typesz00, BgL_bgl_string2649za700za7za7_2865za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2866za7, BGl_z62zc3z04anonymousza32027ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__evaluate_typesz00, BgL_bgl_za762lambda2026za7622867z00, BGl_z62lambda2026z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762lambda1890za7622868z00, BGl_z62lambda1890z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__evaluate_typesz00, BgL_bgl_za762lambda2025za7622869z00, BGl_z62lambda2025z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762lambda1889za7622870z00, BGl_z62lambda1889z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762lambda1743za7622871z00, BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2651z00zz__evaluate_typesz00, BgL_bgl_string2651za700za7za7_2872za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2873za7, BGl_z62zc3z04anonymousza31967ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2874za7, BGl_z62zc3z04anonymousza31897ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1742za7622875z00, BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__evaluate_typesz00, BgL_bgl_za762lambda1965za7622876z00, BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2571z00zz__evaluate_typesz00, BgL_bgl_string2571za700za7za7_2877za7, "ev_labels", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__evaluate_typesz00, BgL_bgl_za762lambda1896za7622878z00, BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__evaluate_typesz00, BgL_bgl_za762lambda1963za7622879z00, BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__evaluate_typesz00, BgL_bgl_za762lambda1895za7622880z00, BGl_z62lambda1895z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2881za7, BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2492z00zz__evaluate_typesz00, BgL_bgl_string2492za700za7za7_2882za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__evaluate_typesz00, BgL_bgl_za762lambda1748za7622883z00, BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__evaluate_typesz00, BgL_bgl_za762lambda1858za7622884z00, BGl_z62lambda1858z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__evaluate_typesz00, BgL_bgl_za762lambda1747za7622885z00, BGl_z62lambda1747z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762lambda1856za7622886z00, BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2887za7, BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__evaluate_typesz00, BgL_bgl_za762lambda1735za7622888z00, BGl_z62lambda1735z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2577z00zz__evaluate_typesz00, BgL_bgl_string2577za700za7za7_2889za7, "label", 5 );
DEFINE_STRING( BGl_string2498z00zz__evaluate_typesz00, BgL_bgl_string2498za700za7za7_2890za7, "mutex", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__evaluate_typesz00, BgL_bgl_za762lambda1733za7622891z00, BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__evaluate_typesz00, BgL_bgl_za762lambda1912za7622892z00, BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762lambda1911za7622893z00, BGl_z62lambda1911z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1917za7622894z00, BGl_z62lambda1917z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__evaluate_typesz00, BgL_bgl_za762lambda1764za7622895z00, BGl_z62lambda1764z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2581z00zz__evaluate_typesz00, BgL_bgl_string2581za700za7za7_2896za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__evaluate_typesz00, BgL_bgl_za762lambda1916za7622897z00, BGl_z62lambda1916z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__evaluate_typesz00, BgL_bgl_za762lambda1763za7622898z00, BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1769za7622899z00, BGl_z62lambda1769z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__evaluate_typesz00, BgL_bgl_za762lambda1768za7622900z00, BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762lambda1922za7622901z00, BGl_z62lambda1922z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762lambda1921za7622902z00, BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1774za7622903z00, BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2588z00zz__evaluate_typesz00, BgL_bgl_string2588za700za7za7_2904za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__evaluate_typesz00, BgL_bgl_za762lambda1927za7622905z00, BGl_z62lambda1927z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__evaluate_typesz00, BgL_bgl_za762lambda1926za7622906z00, BGl_z62lambda1926z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2907za7, BGl_z62zc3z04anonymousza31907ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__evaluate_typesz00, BgL_bgl_za762lambda1905za7622908z00, BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762lambda1903za7622909z00, BGl_z62lambda1903z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2594z00zz__evaluate_typesz00, BgL_bgl_string2594za700za7za7_2910za7, "fun", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__evaluate_typesz00, BgL_bgl_za762lambda1942za7622911z00, BGl_z62lambda1942z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__evaluate_typesz00, BgL_bgl_za762lambda1941za7622912z00, BGl_z62lambda1941z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__evaluate_typesz00, BgL_bgl_za762lambda1947za7622913z00, BGl_z62lambda1947z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762lambda1946za7622914z00, BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__evaluate_typesz00, BgL_bgl_za762lambda1952za7622915z00, BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__evaluate_typesz00, BgL_bgl_za762lambda1951za7622916z00, BGl_z62lambda1951z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762lambda1957za7622917z00, BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762lambda1956za7622918z00, BGl_z62lambda1956z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2640z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2560z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2480z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2484z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2648z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2650z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2570z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2491z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2576z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2497z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2580z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2587z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2593z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2599z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2403z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2324z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2326z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2408z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2330z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2412z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2332z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2416z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2337z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2339z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2501z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2421z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2343z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2508z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2428z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2348z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2512z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2352z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2433z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2516z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2437z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2358z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2604z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2523z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2442z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2363z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2528z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2367z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2610z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2614z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2533z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2453z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2372z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2376z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2458z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2541z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2623z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2380z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2462z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2625z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2546z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2384z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2466z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2389z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2630z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2471z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2635z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2555z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2393z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2398z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1967>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31967ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2027>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32027ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2020>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32020ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2013>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2006>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32006ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1999>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31999ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1937>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3z04anonymousza31937ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1907>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3z04anonymousza31907ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1860>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1897>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31897ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1885>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1877>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31877ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1850>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1832>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1839>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1815>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31815ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1822>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31822ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1789>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3z04anonymousza31789ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1759>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1737>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1716>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3z04anonymousza31716ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1696>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3z04anonymousza31696ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1679>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3z04anonymousza31679ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1645>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1630>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1620>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1604>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3z04anonymousza31604ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1580>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3z04anonymousza31580ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1570>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3z04anonymousza31570ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1557>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3z04anonymousza31557ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1539>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1510>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1495>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3z04anonymousza31495ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1465>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3z04anonymousza31465ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1438>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1450>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1426>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4205, char * BgL_fromz00_4206)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2324z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2325z00zz__evaluate_typesz00); 
BGl_symbol2326z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2327z00zz__evaluate_typesz00); 
BGl_symbol2330z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2331z00zz__evaluate_typesz00); 
BGl_symbol2332z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2333z00zz__evaluate_typesz00); 
BGl_symbol2337z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2338z00zz__evaluate_typesz00); 
BGl_symbol2339z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2340z00zz__evaluate_typesz00); 
BGl_symbol2343z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2344z00zz__evaluate_typesz00); 
BGl_symbol2348z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2349z00zz__evaluate_typesz00); 
BGl_symbol2352z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2353z00zz__evaluate_typesz00); 
BGl_symbol2358z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2359z00zz__evaluate_typesz00); 
BGl_symbol2363z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2364z00zz__evaluate_typesz00); 
BGl_symbol2367z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2368z00zz__evaluate_typesz00); 
BGl_symbol2372z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2373z00zz__evaluate_typesz00); 
BGl_symbol2376z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2377z00zz__evaluate_typesz00); 
BGl_symbol2380z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2381z00zz__evaluate_typesz00); 
BGl_symbol2384z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2385z00zz__evaluate_typesz00); 
BGl_symbol2389z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00); 
BGl_symbol2393z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00); 
BGl_symbol2398z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2399z00zz__evaluate_typesz00); 
BGl_symbol2403z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2404z00zz__evaluate_typesz00); 
BGl_symbol2408z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2409z00zz__evaluate_typesz00); 
BGl_symbol2412z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2413z00zz__evaluate_typesz00); 
BGl_symbol2416z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2417z00zz__evaluate_typesz00); 
BGl_symbol2421z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00); 
BGl_symbol2428z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2429z00zz__evaluate_typesz00); 
BGl_symbol2433z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2434z00zz__evaluate_typesz00); 
BGl_symbol2437z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2438z00zz__evaluate_typesz00); 
BGl_symbol2442z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00); 
BGl_symbol2453z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2454z00zz__evaluate_typesz00); 
BGl_symbol2458z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2459z00zz__evaluate_typesz00); 
BGl_symbol2462z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00); 
BGl_symbol2466z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2467z00zz__evaluate_typesz00); 
BGl_symbol2471z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00); 
BGl_symbol2480z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2481z00zz__evaluate_typesz00); 
BGl_symbol2484z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2485z00zz__evaluate_typesz00); 
BGl_symbol2491z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2492z00zz__evaluate_typesz00); 
BGl_symbol2497z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2498z00zz__evaluate_typesz00); 
BGl_symbol2501z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2502z00zz__evaluate_typesz00); 
BGl_symbol2508z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2509z00zz__evaluate_typesz00); 
BGl_symbol2512z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2513z00zz__evaluate_typesz00); 
BGl_symbol2516z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2517z00zz__evaluate_typesz00); 
BGl_symbol2523z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2524z00zz__evaluate_typesz00); 
BGl_symbol2528z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2529z00zz__evaluate_typesz00); 
BGl_symbol2533z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2534z00zz__evaluate_typesz00); 
BGl_symbol2541z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2542z00zz__evaluate_typesz00); 
BGl_symbol2546z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2547z00zz__evaluate_typesz00); 
BGl_symbol2555z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2556z00zz__evaluate_typesz00); 
BGl_symbol2560z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2561z00zz__evaluate_typesz00); 
BGl_symbol2570z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2571z00zz__evaluate_typesz00); 
BGl_symbol2576z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2577z00zz__evaluate_typesz00); 
BGl_symbol2580z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2581z00zz__evaluate_typesz00); 
BGl_symbol2587z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2588z00zz__evaluate_typesz00); 
BGl_symbol2593z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2594z00zz__evaluate_typesz00); 
BGl_symbol2599z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2600z00zz__evaluate_typesz00); 
BGl_symbol2604z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00); 
BGl_symbol2610z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2611z00zz__evaluate_typesz00); 
BGl_symbol2614z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2615z00zz__evaluate_typesz00); 
BGl_symbol2623z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2624z00zz__evaluate_typesz00); 
BGl_symbol2625z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2626z00zz__evaluate_typesz00); 
BGl_symbol2630z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2631z00zz__evaluate_typesz00); 
BGl_symbol2635z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2636z00zz__evaluate_typesz00); 
BGl_symbol2640z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2641z00zz__evaluate_typesz00); 
BGl_symbol2648z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2649z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2650z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2651z00zz__evaluate_typesz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_arg1420z00_1112; obj_t BgL_arg1421z00_1113;
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1284z00_1123;
BgL_v1284z00_1123 = 
create_vector(((long)0)); 
BgL_arg1420z00_1112 = BgL_v1284z00_1123; } 
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1285z00_1124;
BgL_v1285z00_1124 = 
create_vector(((long)0)); 
BgL_arg1421z00_1113 = BgL_v1285z00_1124; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2324z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2323z00zz__evaluate_typesz00, BGl_proc2322z00zz__evaluate_typesz00, BFALSE, BGl_proc2321z00zz__evaluate_typesz00, BFALSE, BgL_arg1420z00_1112, BgL_arg1421z00_1113); } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_arg1430z00_1131; obj_t BgL_arg1431z00_1132;
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1286z00_1145;
BgL_v1286z00_1145 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1286z00_1145,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2330z00zz__evaluate_typesz00, BGl_proc2329z00zz__evaluate_typesz00, BGl_proc2328z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2332z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1145,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2337z00zz__evaluate_typesz00, BGl_proc2336z00zz__evaluate_typesz00, BGl_proc2335z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2334z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1145,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2343z00zz__evaluate_typesz00, BGl_proc2342z00zz__evaluate_typesz00, BGl_proc2341z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1430z00_1131 = BgL_v1286z00_1145; } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1287z00_1179;
BgL_v1287z00_1179 = 
create_vector(((long)0)); 
BgL_arg1431z00_1132 = BgL_v1287z00_1179; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2348z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2347z00zz__evaluate_typesz00, BGl_proc2346z00zz__evaluate_typesz00, BFALSE, BGl_proc2345z00zz__evaluate_typesz00, BFALSE, BgL_arg1430z00_1131, BgL_arg1431z00_1132); } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_arg1459z00_1186; obj_t BgL_arg1460z00_1187;
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1288z00_1200;
BgL_v1288z00_1200 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1288z00_1200,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2352z00zz__evaluate_typesz00, BGl_proc2351z00zz__evaluate_typesz00, BGl_proc2350z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1288z00_1200,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2330z00zz__evaluate_typesz00, BGl_proc2355z00zz__evaluate_typesz00, BGl_proc2354z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2332z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1288z00_1200,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2358z00zz__evaluate_typesz00, BGl_proc2357z00zz__evaluate_typesz00, BGl_proc2356z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1459z00_1186 = BgL_v1288z00_1200; } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1289z00_1231;
BgL_v1289z00_1231 = 
create_vector(((long)0)); 
BgL_arg1460z00_1187 = BgL_v1289z00_1231; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2363z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2362z00zz__evaluate_typesz00, BGl_proc2361z00zz__evaluate_typesz00, BFALSE, BGl_proc2360z00zz__evaluate_typesz00, BFALSE, BgL_arg1459z00_1186, BgL_arg1460z00_1187); } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_arg1488z00_1238; obj_t BgL_arg1490z00_1239;
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1290z00_1250;
BgL_v1290z00_1250 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1290z00_1250,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2367z00zz__evaluate_typesz00, BGl_proc2366z00zz__evaluate_typesz00, BGl_proc2365z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1488z00_1238 = BgL_v1290z00_1250; } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1291z00_1261;
BgL_v1291z00_1261 = 
create_vector(((long)0)); 
BgL_arg1490z00_1239 = BgL_v1291z00_1261; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2372z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2371z00zz__evaluate_typesz00, BGl_proc2370z00zz__evaluate_typesz00, BFALSE, BGl_proc2369z00zz__evaluate_typesz00, BFALSE, BgL_arg1488z00_1238, BgL_arg1490z00_1239); } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_arg1504z00_1268; obj_t BgL_arg1505z00_1269;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1292z00_1282;
BgL_v1292z00_1282 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1292z00_1282,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2376z00zz__evaluate_typesz00, BGl_proc2375z00zz__evaluate_typesz00, BGl_proc2374z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1292z00_1282,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2380z00zz__evaluate_typesz00, BGl_proc2379z00zz__evaluate_typesz00, BGl_proc2378z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1292z00_1282,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2384z00zz__evaluate_typesz00, BGl_proc2383z00zz__evaluate_typesz00, BGl_proc2382z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1504z00_1268 = BgL_v1292z00_1282; } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1293z00_1313;
BgL_v1293z00_1313 = 
create_vector(((long)0)); 
BgL_arg1505z00_1269 = BgL_v1293z00_1313; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2389z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2388z00zz__evaluate_typesz00, BGl_proc2387z00zz__evaluate_typesz00, BFALSE, BGl_proc2386z00zz__evaluate_typesz00, BFALSE, BgL_arg1504z00_1268, BgL_arg1505z00_1269); } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_arg1533z00_1320; obj_t BgL_arg1534z00_1321;
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1294z00_1332;
BgL_v1294z00_1332 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1294z00_1332,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2393z00zz__evaluate_typesz00, BGl_proc2392z00zz__evaluate_typesz00, BGl_proc2391z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1533z00_1320 = BgL_v1294z00_1332; } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1295z00_1343;
BgL_v1295z00_1343 = 
create_vector(((long)0)); 
BgL_arg1534z00_1321 = BgL_v1295z00_1343; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2398z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2397z00zz__evaluate_typesz00, BGl_proc2396z00zz__evaluate_typesz00, BFALSE, BGl_proc2395z00zz__evaluate_typesz00, BFALSE, BgL_arg1533z00_1320, BgL_arg1534z00_1321); } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_arg1550z00_1350; obj_t BgL_arg1551z00_1351;
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1296z00_1362;
BgL_v1296z00_1362 = 
create_vector(((long)0)); 
BgL_arg1550z00_1350 = BgL_v1296z00_1362; } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1297z00_1363;
BgL_v1297z00_1363 = 
create_vector(((long)0)); 
BgL_arg1551z00_1351 = BgL_v1297z00_1363; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2403z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2402z00zz__evaluate_typesz00, BGl_proc2401z00zz__evaluate_typesz00, BFALSE, BGl_proc2400z00zz__evaluate_typesz00, BFALSE, BgL_arg1550z00_1350, BgL_arg1551z00_1351); } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_arg1563z00_1370; obj_t BgL_arg1565z00_1371;
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1298z00_1382;
BgL_v1298z00_1382 = 
create_vector(((long)0)); 
BgL_arg1563z00_1370 = BgL_v1298z00_1382; } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1299z00_1383;
BgL_v1299z00_1383 = 
create_vector(((long)0)); 
BgL_arg1565z00_1371 = BgL_v1299z00_1383; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2408z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2407z00zz__evaluate_typesz00, BGl_proc2406z00zz__evaluate_typesz00, BFALSE, BGl_proc2405z00zz__evaluate_typesz00, BFALSE, BgL_arg1563z00_1370, BgL_arg1565z00_1371); } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_arg1574z00_1390; obj_t BgL_arg1575z00_1391;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1300z00_1403;
BgL_v1300z00_1403 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1300z00_1403,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2412z00zz__evaluate_typesz00, BGl_proc2411z00zz__evaluate_typesz00, BGl_proc2410z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1300z00_1403,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2416z00zz__evaluate_typesz00, BGl_proc2415z00zz__evaluate_typesz00, BGl_proc2414z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1574z00_1390 = BgL_v1300z00_1403; } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1301z00_1424;
BgL_v1301z00_1424 = 
create_vector(((long)0)); 
BgL_arg1575z00_1391 = BgL_v1301z00_1424; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2421z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2420z00zz__evaluate_typesz00, BGl_proc2419z00zz__evaluate_typesz00, BFALSE, BGl_proc2418z00zz__evaluate_typesz00, BFALSE, BgL_arg1574z00_1390, BgL_arg1575z00_1391); } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_arg1597z00_1431; obj_t BgL_arg1598z00_1432;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1302z00_1443;
BgL_v1302z00_1443 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1302z00_1443,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2384z00zz__evaluate_typesz00, BGl_proc2424z00zz__evaluate_typesz00, BGl_proc2423z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1597z00_1431 = BgL_v1302z00_1443; } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1303z00_1454;
BgL_v1303z00_1454 = 
create_vector(((long)0)); 
BgL_arg1598z00_1432 = BgL_v1303z00_1454; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2428z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2427z00zz__evaluate_typesz00, BGl_proc2426z00zz__evaluate_typesz00, BFALSE, BGl_proc2425z00zz__evaluate_typesz00, BFALSE, BgL_arg1597z00_1431, BgL_arg1598z00_1432); } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_arg1614z00_1461; obj_t BgL_arg1615z00_1462;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1304z00_1473;
BgL_v1304z00_1473 = 
create_vector(((long)0)); 
BgL_arg1614z00_1461 = BgL_v1304z00_1473; } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1305z00_1474;
BgL_v1305z00_1474 = 
create_vector(((long)0)); 
BgL_arg1615z00_1462 = BgL_v1305z00_1474; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2433z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2432z00zz__evaluate_typesz00, BGl_proc2431z00zz__evaluate_typesz00, BFALSE, BGl_proc2430z00zz__evaluate_typesz00, BFALSE, BgL_arg1614z00_1461, BgL_arg1615z00_1462); } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_arg1624z00_1481; obj_t BgL_arg1625z00_1482;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1306z00_1494;
BgL_v1306z00_1494 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1306z00_1494,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2437z00zz__evaluate_typesz00, BGl_proc2436z00zz__evaluate_typesz00, BGl_proc2435z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1624z00_1481 = BgL_v1306z00_1494; } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1307z00_1505;
BgL_v1307z00_1505 = 
create_vector(((long)0)); 
BgL_arg1625z00_1482 = BgL_v1307z00_1505; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2442z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2441z00zz__evaluate_typesz00, BGl_proc2440z00zz__evaluate_typesz00, BFALSE, BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BgL_arg1624z00_1481, BgL_arg1625z00_1482); } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_arg1639z00_1512; obj_t BgL_arg1640z00_1513;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1308z00_1527;
BgL_v1308z00_1527 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1308z00_1527,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2352z00zz__evaluate_typesz00, BGl_proc2445z00zz__evaluate_typesz00, BGl_proc2444z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1308z00_1527,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2330z00zz__evaluate_typesz00, BGl_proc2447z00zz__evaluate_typesz00, BGl_proc2446z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2332z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1308z00_1527,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2358z00zz__evaluate_typesz00, BGl_proc2449z00zz__evaluate_typesz00, BGl_proc2448z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1639z00_1512 = BgL_v1308z00_1527; } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1309z00_1558;
BgL_v1309z00_1558 = 
create_vector(((long)0)); 
BgL_arg1640z00_1513 = BgL_v1309z00_1558; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2453z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2452z00zz__evaluate_typesz00, BGl_proc2451z00zz__evaluate_typesz00, BFALSE, BGl_proc2450z00zz__evaluate_typesz00, BFALSE, BgL_arg1639z00_1512, BgL_arg1640z00_1513); } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_arg1670z00_1565; obj_t BgL_arg1671z00_1566;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1310z00_1580;
BgL_v1310z00_1580 = 
create_vector(((long)0)); 
BgL_arg1670z00_1565 = BgL_v1310z00_1580; } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1311z00_1581;
BgL_v1311z00_1581 = 
create_vector(((long)0)); 
BgL_arg1671z00_1566 = BgL_v1311z00_1581; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2458z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2457z00zz__evaluate_typesz00, BGl_proc2456z00zz__evaluate_typesz00, BFALSE, BGl_proc2455z00zz__evaluate_typesz00, BFALSE, BgL_arg1670z00_1565, BgL_arg1671z00_1566); } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_arg1689z00_1588; obj_t BgL_arg1690z00_1589;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1312z00_1601;
BgL_v1312z00_1601 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1312z00_1601,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2462z00zz__evaluate_typesz00, BGl_proc2461z00zz__evaluate_typesz00, BGl_proc2460z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1312z00_1601,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_proc2465z00zz__evaluate_typesz00, BGl_proc2464z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1689z00_1588 = BgL_v1312z00_1601; } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1313z00_1622;
BgL_v1313z00_1622 = 
create_vector(((long)0)); 
BgL_arg1690z00_1589 = BgL_v1313z00_1622; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2471z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2470z00zz__evaluate_typesz00, BGl_proc2469z00zz__evaluate_typesz00, BFALSE, BGl_proc2468z00zz__evaluate_typesz00, BFALSE, BgL_arg1689z00_1588, BgL_arg1690z00_1589); } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_arg1710z00_1629; obj_t BgL_arg1711z00_1630;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1314z00_1642;
BgL_v1314z00_1642 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1314z00_1642,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2384z00zz__evaluate_typesz00, BGl_proc2474z00zz__evaluate_typesz00, BGl_proc2473z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1314z00_1642,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_proc2476z00zz__evaluate_typesz00, BGl_proc2475z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1710z00_1629 = BgL_v1314z00_1642; } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1315z00_1663;
BgL_v1315z00_1663 = 
create_vector(((long)0)); 
BgL_arg1711z00_1630 = BgL_v1315z00_1663; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2480z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2479z00zz__evaluate_typesz00, BGl_proc2478z00zz__evaluate_typesz00, BFALSE, BGl_proc2477z00zz__evaluate_typesz00, BFALSE, BgL_arg1710z00_1629, BgL_arg1711z00_1630); } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_arg1731z00_1670; obj_t BgL_arg1732z00_1671;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1316z00_1683;
BgL_v1316z00_1683 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1316z00_1683,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2484z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, BGl_proc2482z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1683,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_proc2487z00zz__evaluate_typesz00, BGl_proc2486z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1731z00_1670 = BgL_v1316z00_1683; } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1317z00_1704;
BgL_v1317z00_1704 = 
create_vector(((long)0)); 
BgL_arg1732z00_1671 = BgL_v1317z00_1704; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2491z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2490z00zz__evaluate_typesz00, BGl_proc2489z00zz__evaluate_typesz00, BFALSE, BGl_proc2488z00zz__evaluate_typesz00, BFALSE, BgL_arg1731z00_1670, BgL_arg1732z00_1671); } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_arg1753z00_1711; obj_t BgL_arg1754z00_1712;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1318z00_1726;
BgL_v1318z00_1726 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1318z00_1726,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2352z00zz__evaluate_typesz00, BGl_proc2494z00zz__evaluate_typesz00, BGl_proc2493z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1726,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2497z00zz__evaluate_typesz00, BGl_proc2496z00zz__evaluate_typesz00, BGl_proc2495z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1726,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2501z00zz__evaluate_typesz00, BGl_proc2500z00zz__evaluate_typesz00, BGl_proc2499z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1726,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_proc2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1753z00_1711 = BgL_v1318z00_1726; } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1319z00_1767;
BgL_v1319z00_1767 = 
create_vector(((long)0)); 
BgL_arg1754z00_1712 = BgL_v1319z00_1767; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2508z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2507z00zz__evaluate_typesz00, BGl_proc2506z00zz__evaluate_typesz00, BFALSE, BGl_proc2505z00zz__evaluate_typesz00, BFALSE, BgL_arg1753z00_1711, BgL_arg1754z00_1712); } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_arg1783z00_1774; obj_t BgL_arg1784z00_1775;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1320z00_1788;
BgL_v1320z00_1788 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1320z00_1788,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2512z00zz__evaluate_typesz00, BGl_proc2511z00zz__evaluate_typesz00, BGl_proc2510z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1320z00_1788,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2516z00zz__evaluate_typesz00, BGl_proc2515z00zz__evaluate_typesz00, BGl_proc2514z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1320z00_1788,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_proc2519z00zz__evaluate_typesz00, BGl_proc2518z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1783z00_1774 = BgL_v1320z00_1788; } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1321z00_1819;
BgL_v1321z00_1819 = 
create_vector(((long)0)); 
BgL_arg1784z00_1775 = BgL_v1321z00_1819; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2523z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2522z00zz__evaluate_typesz00, BGl_proc2521z00zz__evaluate_typesz00, BFALSE, BGl_proc2520z00zz__evaluate_typesz00, BFALSE, BgL_arg1783z00_1774, BgL_arg1784z00_1775); } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_arg1809z00_1826; obj_t BgL_arg1810z00_1827;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1322z00_1841;
BgL_v1322z00_1841 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1322z00_1841,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2528z00zz__evaluate_typesz00, BGl_proc2527z00zz__evaluate_typesz00, BGl_proc2526z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2525z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1809z00_1826 = BgL_v1322z00_1841; } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1323z00_1855;
BgL_v1323z00_1855 = 
create_vector(((long)0)); 
BgL_arg1810z00_1827 = BgL_v1323z00_1855; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2533z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2532z00zz__evaluate_typesz00, BGl_proc2531z00zz__evaluate_typesz00, BFALSE, BGl_proc2530z00zz__evaluate_typesz00, BFALSE, BgL_arg1809z00_1826, BgL_arg1810z00_1827); } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_arg1826z00_1862; obj_t BgL_arg1827z00_1863;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1324z00_1877;
BgL_v1324z00_1877 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1324z00_1877,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2528z00zz__evaluate_typesz00, BGl_proc2537z00zz__evaluate_typesz00, BGl_proc2536z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2535z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1826z00_1862 = BgL_v1324z00_1877; } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1325z00_1891;
BgL_v1325z00_1891 = 
create_vector(((long)0)); 
BgL_arg1827z00_1863 = BgL_v1325z00_1891; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2541z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2540z00zz__evaluate_typesz00, BGl_proc2539z00zz__evaluate_typesz00, BFALSE, BGl_proc2538z00zz__evaluate_typesz00, BFALSE, BgL_arg1826z00_1862, BgL_arg1827z00_1863); } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_arg1844z00_1898; obj_t BgL_arg1845z00_1899;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1326z00_1912;
BgL_v1326z00_1912 = 
create_vector(((long)0)); 
BgL_arg1844z00_1898 = BgL_v1326z00_1912; } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1327z00_1913;
BgL_v1327z00_1913 = 
create_vector(((long)0)); 
BgL_arg1845z00_1899 = BgL_v1327z00_1913; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2546z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2545z00zz__evaluate_typesz00, BGl_proc2544z00zz__evaluate_typesz00, BFALSE, BGl_proc2543z00zz__evaluate_typesz00, BFALSE, BgL_arg1844z00_1898, BgL_arg1845z00_1899); } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_arg1854z00_1920; obj_t BgL_arg1855z00_1921;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1328z00_1937;
BgL_v1328z00_1937 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1328z00_1937,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2512z00zz__evaluate_typesz00, BGl_proc2549z00zz__evaluate_typesz00, BGl_proc2548z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1937,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2516z00zz__evaluate_typesz00, BGl_proc2551z00zz__evaluate_typesz00, BGl_proc2550z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1937,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2555z00zz__evaluate_typesz00, BGl_proc2554z00zz__evaluate_typesz00, BGl_proc2553z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2552z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1937,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2560z00zz__evaluate_typesz00, BGl_proc2559z00zz__evaluate_typesz00, BGl_proc2558z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2557z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1937,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_proc2563z00zz__evaluate_typesz00, BGl_proc2562z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1937,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2528z00zz__evaluate_typesz00, BGl_proc2566z00zz__evaluate_typesz00, BGl_proc2565z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2564z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1854z00_1920 = BgL_v1328z00_1937; } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1329z00_2007;
BgL_v1329z00_2007 = 
create_vector(((long)0)); 
BgL_arg1855z00_1921 = BgL_v1329z00_2007; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2570z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2569z00zz__evaluate_typesz00, BGl_proc2568z00zz__evaluate_typesz00, BFALSE, BGl_proc2567z00zz__evaluate_typesz00, BFALSE, BgL_arg1854z00_1920, BgL_arg1855z00_1921); } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_arg1901z00_2014; obj_t BgL_arg1902z00_2015;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1330z00_2029;
BgL_v1330z00_2029 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1330z00_2029,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2352z00zz__evaluate_typesz00, BGl_proc2573z00zz__evaluate_typesz00, BGl_proc2572z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2029,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2576z00zz__evaluate_typesz00, BGl_proc2575z00zz__evaluate_typesz00, BGl_proc2574z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2029,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2580z00zz__evaluate_typesz00, BGl_proc2579z00zz__evaluate_typesz00, BGl_proc2578z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2029,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2393z00zz__evaluate_typesz00, BGl_proc2583z00zz__evaluate_typesz00, BGl_proc2582z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1901z00_2014 = BgL_v1330z00_2029; } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1331z00_2070;
BgL_v1331z00_2070 = 
create_vector(((long)0)); 
BgL_arg1902z00_2015 = BgL_v1331z00_2070; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2587z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2586z00zz__evaluate_typesz00, BGl_proc2585z00zz__evaluate_typesz00, BFALSE, BGl_proc2584z00zz__evaluate_typesz00, BFALSE, BgL_arg1901z00_2014, BgL_arg1902z00_2015); } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_arg1931z00_2077; obj_t BgL_arg1932z00_2078;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1332z00_2092;
BgL_v1332z00_2092 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1332z00_2092,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2352z00zz__evaluate_typesz00, BGl_proc2590z00zz__evaluate_typesz00, BGl_proc2589z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2092,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2593z00zz__evaluate_typesz00, BGl_proc2592z00zz__evaluate_typesz00, BGl_proc2591z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2092,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2393z00zz__evaluate_typesz00, BGl_proc2596z00zz__evaluate_typesz00, BGl_proc2595z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2092,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2599z00zz__evaluate_typesz00, BGl_proc2598z00zz__evaluate_typesz00, BGl_proc2597z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1931z00_2077 = BgL_v1332z00_2092; } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1333z00_2133;
BgL_v1333z00_2133 = 
create_vector(((long)0)); 
BgL_arg1932z00_2078 = BgL_v1333z00_2133; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2604z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2603z00zz__evaluate_typesz00, BGl_proc2602z00zz__evaluate_typesz00, BFALSE, BGl_proc2601z00zz__evaluate_typesz00, BFALSE, BgL_arg1931z00_2077, BgL_arg1932z00_2078); } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_arg1961z00_2140; obj_t BgL_arg1962z00_2141;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1334z00_2161;
BgL_v1334z00_2161 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1334z00_2161,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2352z00zz__evaluate_typesz00, BGl_proc2607z00zz__evaluate_typesz00, BGl_proc2606z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2610z00zz__evaluate_typesz00, BGl_proc2609z00zz__evaluate_typesz00, BGl_proc2608z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2614z00zz__evaluate_typesz00, BGl_proc2613z00zz__evaluate_typesz00, BGl_proc2612z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2512z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_proc2619z00zz__evaluate_typesz00, BGl_proc2618z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2623z00zz__evaluate_typesz00, BGl_proc2622z00zz__evaluate_typesz00, BGl_proc2621z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2620z00zz__evaluate_typesz00, BGl_symbol2625z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2630z00zz__evaluate_typesz00, BGl_proc2629z00zz__evaluate_typesz00, BGl_proc2628z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2627z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2635z00zz__evaluate_typesz00, BGl_proc2634z00zz__evaluate_typesz00, BGl_proc2633z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2632z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2640z00zz__evaluate_typesz00, BGl_proc2639z00zz__evaluate_typesz00, BGl_proc2638z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2637z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2161,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2528z00zz__evaluate_typesz00, BGl_proc2644z00zz__evaluate_typesz00, BGl_proc2643z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2642z00zz__evaluate_typesz00, BGl_symbol2339z00zz__evaluate_typesz00)); 
BgL_arg1961z00_2140 = BgL_v1334z00_2161; } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1335z00_2277;
BgL_v1335z00_2277 = 
create_vector(((long)0)); 
BgL_arg1962z00_2141 = BgL_v1335z00_2277; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2648z00zz__evaluate_typesz00, BGl_symbol2326z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2647z00zz__evaluate_typesz00, BGl_proc2646z00zz__evaluate_typesz00, BFALSE, BGl_proc2645z00zz__evaluate_typesz00, BFALSE, BgL_arg1961z00_2140, BgL_arg1962z00_2141), BUNSPEC) ;} } 

}



/* &<@anonymous:1967> */
obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3342, obj_t BgL_new1190z00_3343)
{
{ /* Eval/evaluate_types.scm 122 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_4473;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4482;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_classz00_3818;
BgL_classz00_3818 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL__ortest_1283z00_3819;
BgL__ortest_1283z00_3819 = 
BGL_CLASS_NIL(BgL_classz00_3818); 
if(
CBOOL(BgL__ortest_1283z00_3819))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4482 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3819)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4482 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3818))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4482),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3343)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4473 = 
((BgL_ev_absz00_bglt)BgL_new1190z00_3343); 
return 
((obj_t)BgL_auxz00_4473);} } 

}



/* &lambda1965 */
BgL_ev_absz00_bglt BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3344)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1189z00_3820;
BgL_new1189z00_3820 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1966z00_3821;
BgL_arg1966z00_3821 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1189z00_3820), BgL_arg1966z00_3821); } 
return BgL_new1189z00_3820;} } 

}



/* &lambda1963 */
BgL_ev_absz00_bglt BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3345, obj_t BgL_loc1179z00_3346, obj_t BgL_where1180z00_3347, obj_t BgL_arity1181z00_3348, obj_t BgL_vars1182z00_3349, obj_t BgL_body1183z00_3350, obj_t BgL_siza7e1184za7_3351, obj_t BgL_bind1185z00_3352, obj_t BgL_free1186z00_3353, obj_t BgL_inner1187z00_3354, obj_t BgL_boxes1188z00_3355)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_siza7e1184za7_3823;
BgL_siza7e1184za7_3823 = 
CINT(BgL_siza7e1184za7_3351); 
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1242z00_3824;
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1241z00_3825;
BgL_new1241z00_3825 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1964z00_3826;
BgL_arg1964z00_3826 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_3825), BgL_arg1964z00_3826); } 
BgL_new1242z00_3824 = BgL_new1241z00_3825; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_locz00)=((obj_t)BgL_loc1179z00_3346),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_wherez00)=((obj_t)BgL_where1180z00_3347),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_arityz00)=((obj_t)BgL_arity1181z00_3348),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_varsz00)=((obj_t)BgL_vars1182z00_3349),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1183z00_3350)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_siza7eza7)=((int)BgL_siza7e1184za7_3823),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_bindz00)=((obj_t)BgL_bind1185z00_3352),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_freez00)=((obj_t)BgL_free1186z00_3353),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_innerz00)=((obj_t)BgL_inner1187z00_3354),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3824))->BgL_boxesz00)=((obj_t)BgL_boxes1188z00_3355),BUNSPEC); 
return BgL_new1242z00_3824;} } } 

}



/* &<@anonymous:2027> */
obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3356)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2026 */
obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t BgL_envz00_3357, obj_t BgL_oz00_3358, obj_t BgL_vz00_3359)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3358)))->BgL_boxesz00)=((obj_t)BgL_vz00_3359),BUNSPEC);} 

}



/* &lambda2025 */
obj_t BGl_z62lambda2025z62zz__evaluate_typesz00(obj_t BgL_envz00_3360, obj_t BgL_oz00_3361)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3361)))->BgL_boxesz00);} 

}



/* &<@anonymous:2020> */
obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3362)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2019 */
obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t BgL_envz00_3363, obj_t BgL_oz00_3364, obj_t BgL_vz00_3365)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3364)))->BgL_innerz00)=((obj_t)BgL_vz00_3365),BUNSPEC);} 

}



/* &lambda2018 */
obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t BgL_envz00_3366, obj_t BgL_oz00_3367)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3367)))->BgL_innerz00);} 

}



/* &<@anonymous:2013> */
obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3368)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2012 */
obj_t BGl_z62lambda2012z62zz__evaluate_typesz00(obj_t BgL_envz00_3369, obj_t BgL_oz00_3370, obj_t BgL_vz00_3371)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3370)))->BgL_freez00)=((obj_t)BgL_vz00_3371),BUNSPEC);} 

}



/* &lambda2011 */
obj_t BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t BgL_envz00_3372, obj_t BgL_oz00_3373)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3373)))->BgL_freez00);} 

}



/* &<@anonymous:2006> */
obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3374)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2005 */
obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t BgL_envz00_3375, obj_t BgL_oz00_3376, obj_t BgL_vz00_3377)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3376)))->BgL_bindz00)=((obj_t)BgL_vz00_3377),BUNSPEC);} 

}



/* &lambda2004 */
obj_t BGl_z62lambda2004z62zz__evaluate_typesz00(obj_t BgL_envz00_3378, obj_t BgL_oz00_3379)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3379)))->BgL_bindz00);} 

}



/* &<@anonymous:1999> */
obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3380)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 

}



/* &lambda1998 */
obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t BgL_envz00_3381, obj_t BgL_oz00_3382, obj_t BgL_vz00_3383)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_vz00_3836;
BgL_vz00_3836 = 
CINT(BgL_vz00_3383); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3382)))->BgL_siza7eza7)=((int)BgL_vz00_3836),BUNSPEC);} } 

}



/* &lambda1997 */
obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t BgL_envz00_3384, obj_t BgL_oz00_3385)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3385)))->BgL_siza7eza7));} 

}



/* &lambda1992 */
obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3386, obj_t BgL_oz00_3387, obj_t BgL_vz00_3388)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3387)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3388)),BUNSPEC);} 

}



/* &lambda1991 */
BgL_ev_exprz00_bglt BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t BgL_envz00_3389, obj_t BgL_oz00_3390)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3390)))->BgL_bodyz00);} 

}



/* &lambda1987 */
obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t BgL_envz00_3391, obj_t BgL_oz00_3392, obj_t BgL_vz00_3393)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3392)))->BgL_varsz00)=((obj_t)BgL_vz00_3393),BUNSPEC);} 

}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3394, obj_t BgL_oz00_3395)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3395)))->BgL_varsz00);} 

}



/* &lambda1982 */
obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t BgL_envz00_3396, obj_t BgL_oz00_3397, obj_t BgL_vz00_3398)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3397)))->BgL_arityz00)=((obj_t)BgL_vz00_3398),BUNSPEC);} 

}



/* &lambda1981 */
obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t BgL_envz00_3399, obj_t BgL_oz00_3400)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3400)))->BgL_arityz00);} 

}



/* &lambda1977 */
obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t BgL_envz00_3401, obj_t BgL_oz00_3402, obj_t BgL_vz00_3403)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3402)))->BgL_wherez00)=((obj_t)BgL_vz00_3403),BUNSPEC);} 

}



/* &lambda1976 */
obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3405)))->BgL_wherez00);} 

}



/* &lambda1972 */
obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t BgL_envz00_3406, obj_t BgL_oz00_3407, obj_t BgL_vz00_3408)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3407)))->BgL_locz00)=((obj_t)BgL_vz00_3408),BUNSPEC);} 

}



/* &lambda1971 */
obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t BgL_envz00_3409, obj_t BgL_oz00_3410)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3410)))->BgL_locz00);} 

}



/* &<@anonymous:1937> */
obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3411, obj_t BgL_new1177z00_3412)
{
{ /* Eval/evaluate_types.scm 119 */
{ 
 BgL_ev_appz00_bglt BgL_auxz00_4568;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3412)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4571;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_classz00_3850;
BgL_classz00_3850 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL__ortest_1283z00_3851;
BgL__ortest_1283z00_3851 = 
BGL_CLASS_NIL(BgL_classz00_3850); 
if(
CBOOL(BgL__ortest_1283z00_3851))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4571 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3851)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4571 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3850))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3412)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4571),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3412)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3412)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4568 = 
((BgL_ev_appz00_bglt)BgL_new1177z00_3412); 
return 
((obj_t)BgL_auxz00_4568);} } 

}



/* &lambda1935 */
BgL_ev_appz00_bglt BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3413)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1176z00_3852;
BgL_new1176z00_3852 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1936z00_3853;
BgL_arg1936z00_3853 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_3852), BgL_arg1936z00_3853); } 
return BgL_new1176z00_3852;} } 

}



/* &lambda1933 */
BgL_ev_appz00_bglt BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t BgL_envz00_3414, obj_t BgL_loc1172z00_3415, obj_t BgL_fun1173z00_3416, obj_t BgL_args1174z00_3417, obj_t BgL_tailzf31175zf3_3418)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1240z00_3855;
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1239z00_3856;
BgL_new1239z00_3856 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1934z00_3857;
BgL_arg1934z00_3857 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1239z00_3856), BgL_arg1934z00_3857); } 
BgL_new1240z00_3855 = BgL_new1239z00_3856; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3855))->BgL_locz00)=((obj_t)BgL_loc1172z00_3415),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3855))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1173z00_3416)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3855))->BgL_argsz00)=((obj_t)BgL_args1174z00_3417),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3855))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31175zf3_3418),BUNSPEC); 
return BgL_new1240z00_3855;} } 

}



/* &lambda1957 */
obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t BgL_envz00_3419, obj_t BgL_oz00_3420, obj_t BgL_vz00_3421)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3420)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3421),BUNSPEC);} 

}



/* &lambda1956 */
obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t BgL_envz00_3422, obj_t BgL_oz00_3423)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3423)))->BgL_tailzf3zf3);} 

}



/* &lambda1952 */
obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t BgL_envz00_3424, obj_t BgL_oz00_3425, obj_t BgL_vz00_3426)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3425)))->BgL_argsz00)=((obj_t)BgL_vz00_3426),BUNSPEC);} 

}



/* &lambda1951 */
obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t BgL_envz00_3427, obj_t BgL_oz00_3428)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3428)))->BgL_argsz00);} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t BgL_envz00_3429, obj_t BgL_oz00_3430, obj_t BgL_vz00_3431)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3430)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3431)),BUNSPEC);} 

}



/* &lambda1946 */
BgL_ev_exprz00_bglt BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t BgL_envz00_3432, obj_t BgL_oz00_3433)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3433)))->BgL_funz00);} 

}



/* &lambda1942 */
obj_t BGl_z62lambda1942z62zz__evaluate_typesz00(obj_t BgL_envz00_3434, obj_t BgL_oz00_3435, obj_t BgL_vz00_3436)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3435)))->BgL_locz00)=((obj_t)BgL_vz00_3436),BUNSPEC);} 

}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3438)))->BgL_locz00);} 

}



/* &<@anonymous:1907> */
obj_t BGl_z62zc3z04anonymousza31907ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3439, obj_t BgL_new1170z00_3440)
{
{ /* Eval/evaluate_types.scm 114 */
{ 
 BgL_ev_gotoz00_bglt BgL_auxz00_4616;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3440)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_4619;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3868;
BgL_classz00_3868 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1283z00_3869;
BgL__ortest_1283z00_3869 = 
BGL_CLASS_NIL(BgL_classz00_3868); 
if(
CBOOL(BgL__ortest_1283z00_3869))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4619 = 
((BgL_ev_varz00_bglt)BgL__ortest_1283z00_3869)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4619 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3868))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3440)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4619),BUNSPEC); } 
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4628;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3870;
BgL_classz00_3870 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1283z00_3871;
BgL__ortest_1283z00_3871 = 
BGL_CLASS_NIL(BgL_classz00_3870); 
if(
CBOOL(BgL__ortest_1283z00_3871))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4628 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1283z00_3871)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4628 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3870))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3440)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4628),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3440)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4616 = 
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3440); 
return 
((obj_t)BgL_auxz00_4616);} } 

}



/* &lambda1905 */
BgL_ev_gotoz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t BgL_envz00_3441)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1169z00_3872;
BgL_new1169z00_3872 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1906z00_3873;
BgL_arg1906z00_3873 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_3872), BgL_arg1906z00_3873); } 
return BgL_new1169z00_3872;} } 

}



/* &lambda1903 */
BgL_ev_gotoz00_bglt BGl_z62lambda1903z62zz__evaluate_typesz00(obj_t BgL_envz00_3442, obj_t BgL_loc1165z00_3443, obj_t BgL_label1166z00_3444, obj_t BgL_labels1167z00_3445, obj_t BgL_args1168z00_3446)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1238z00_3876;
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1237z00_3877;
BgL_new1237z00_3877 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1904z00_3878;
BgL_arg1904z00_3878 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1237z00_3877), BgL_arg1904z00_3878); } 
BgL_new1238z00_3876 = BgL_new1237z00_3877; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3876))->BgL_locz00)=((obj_t)BgL_loc1165z00_3443),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3876))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1166z00_3444)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3876))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1167z00_3445)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3876))->BgL_argsz00)=((obj_t)BgL_args1168z00_3446),BUNSPEC); 
return BgL_new1238z00_3876;} } 

}



/* &lambda1927 */
obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t BgL_envz00_3447, obj_t BgL_oz00_3448, obj_t BgL_vz00_3449)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3448)))->BgL_argsz00)=((obj_t)BgL_vz00_3449),BUNSPEC);} 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_oz00_3451)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3451)))->BgL_argsz00);} 

}



/* &lambda1922 */
obj_t BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t BgL_envz00_3452, obj_t BgL_oz00_3453, obj_t BgL_vz00_3454)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3453)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3454)),BUNSPEC);} 

}



/* &lambda1921 */
BgL_ev_labelsz00_bglt BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t BgL_envz00_3455, obj_t BgL_oz00_3456)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3456)))->BgL_labelsz00);} 

}



/* &lambda1917 */
obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t BgL_envz00_3457, obj_t BgL_oz00_3458, obj_t BgL_vz00_3459)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3458)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3459)),BUNSPEC);} 

}



/* &lambda1916 */
BgL_ev_varz00_bglt BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3461)))->BgL_labelz00);} 

}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t BgL_envz00_3462, obj_t BgL_oz00_3463, obj_t BgL_vz00_3464)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3463)))->BgL_locz00)=((obj_t)BgL_vz00_3464),BUNSPEC);} 

}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3466)))->BgL_locz00);} 

}



/* &<@anonymous:1860> */
obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3467, obj_t BgL_new1163z00_3468)
{
{ /* Eval/evaluate_types.scm 106 */
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4673;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3468)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3468)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3468)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3468)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4682;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_classz00_3890;
BgL_classz00_3890 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL__ortest_1283z00_3891;
BgL__ortest_1283z00_3891 = 
BGL_CLASS_NIL(BgL_classz00_3890); 
if(
CBOOL(BgL__ortest_1283z00_3891))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4682 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3891)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4682 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3890))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3468)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4682),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3468)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4673 = 
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3468); 
return 
((obj_t)BgL_auxz00_4673);} } 

}



/* &lambda1858 */
BgL_ev_labelsz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t BgL_envz00_3469)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1162z00_3892;
BgL_new1162z00_3892 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1859z00_3893;
BgL_arg1859z00_3893 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1162z00_3892), BgL_arg1859z00_3893); } 
return BgL_new1162z00_3892;} } 

}



/* &lambda1856 */
BgL_ev_labelsz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t BgL_envz00_3470, obj_t BgL_vars1156z00_3471, obj_t BgL_vals1157z00_3472, obj_t BgL_env1158z00_3473, obj_t BgL_stk1159z00_3474, obj_t BgL_body1160z00_3475, obj_t BgL_boxes1161z00_3476)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1236z00_3895;
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1235z00_3896;
BgL_new1235z00_3896 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1857z00_3897;
BgL_arg1857z00_3897 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_3896), BgL_arg1857z00_3897); } 
BgL_new1236z00_3895 = BgL_new1235z00_3896; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3895))->BgL_varsz00)=((obj_t)BgL_vars1156z00_3471),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3895))->BgL_valsz00)=((obj_t)BgL_vals1157z00_3472),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3895))->BgL_envz00)=((obj_t)BgL_env1158z00_3473),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3895))->BgL_stkz00)=((obj_t)BgL_stk1159z00_3474),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3895))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1160z00_3475)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3895))->BgL_boxesz00)=((obj_t)BgL_boxes1161z00_3476),BUNSPEC); 
return BgL_new1236z00_3895;} } 

}



/* &<@anonymous:1897> */
obj_t BGl_z62zc3z04anonymousza31897ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3477)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t BgL_envz00_3478, obj_t BgL_oz00_3479, obj_t BgL_vz00_3480)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3479)))->BgL_boxesz00)=((obj_t)BgL_vz00_3480),BUNSPEC);} 

}



/* &lambda1895 */
obj_t BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t BgL_envz00_3481, obj_t BgL_oz00_3482)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3482)))->BgL_boxesz00);} 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t BgL_envz00_3483, obj_t BgL_oz00_3484, obj_t BgL_vz00_3485)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3484)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3485)),BUNSPEC);} 

}



/* &lambda1889 */
BgL_ev_exprz00_bglt BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t BgL_envz00_3486, obj_t BgL_oz00_3487)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3487)))->BgL_bodyz00);} 

}



/* &<@anonymous:1885> */
obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3488)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490, obj_t BgL_vz00_3491)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3490)))->BgL_stkz00)=((obj_t)BgL_vz00_3491),BUNSPEC);} 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t BgL_envz00_3492, obj_t BgL_oz00_3493)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3493)))->BgL_stkz00);} 

}



/* &<@anonymous:1877> */
obj_t BGl_z62zc3z04anonymousza31877ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3494)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1876 */
obj_t BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t BgL_envz00_3495, obj_t BgL_oz00_3496, obj_t BgL_vz00_3497)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3496)))->BgL_envz00)=((obj_t)BgL_vz00_3497),BUNSPEC);} 

}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t BgL_envz00_3498, obj_t BgL_oz00_3499)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3499)))->BgL_envz00);} 

}



/* &lambda1870 */
obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t BgL_envz00_3500, obj_t BgL_oz00_3501, obj_t BgL_vz00_3502)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3501)))->BgL_valsz00)=((obj_t)BgL_vz00_3502),BUNSPEC);} 

}



/* &lambda1869 */
obj_t BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t BgL_envz00_3503, obj_t BgL_oz00_3504)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3504)))->BgL_valsz00);} 

}



/* &lambda1865 */
obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t BgL_envz00_3505, obj_t BgL_oz00_3506, obj_t BgL_vz00_3507)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3506)))->BgL_varsz00)=((obj_t)BgL_vz00_3507),BUNSPEC);} 

}



/* &lambda1864 */
obj_t BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t BgL_envz00_3508, obj_t BgL_oz00_3509)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3509)))->BgL_varsz00);} 

}



/* &<@anonymous:1850> */
obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3510, obj_t BgL_new1154z00_3511)
{
{ /* Eval/evaluate_types.scm 105 */
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_4735;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3511))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3511))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4742;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_classz00_3912;
BgL_classz00_3912 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL__ortest_1283z00_3913;
BgL__ortest_1283z00_3913 = 
BGL_CLASS_NIL(BgL_classz00_3912); 
if(
CBOOL(BgL__ortest_1283z00_3913))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4742 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3913)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4742 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3912))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3511))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4742),BUNSPEC); } 
BgL_auxz00_4735 = 
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3511); 
return 
((obj_t)BgL_auxz00_4735);} } 

}



/* &lambda1848 */
BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t BgL_envz00_3512)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1153z00_3914;
BgL_new1153z00_3914 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1849z00_3915;
BgL_arg1849z00_3915 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_3914), BgL_arg1849z00_3915); } 
return BgL_new1153z00_3914;} } 

}



/* &lambda1846 */
BgL_ev_letrecz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t BgL_envz00_3513, obj_t BgL_vars1150z00_3514, obj_t BgL_vals1151z00_3515, obj_t BgL_body1152z00_3516)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1234z00_3917;
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1233z00_3918;
BgL_new1233z00_3918 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1847z00_3919;
BgL_arg1847z00_3919 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1233z00_3918), BgL_arg1847z00_3919); } 
BgL_new1234z00_3917 = BgL_new1233z00_3918; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3917)))->BgL_varsz00)=((obj_t)BgL_vars1150z00_3514),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3917)))->BgL_valsz00)=((obj_t)BgL_vals1151z00_3515),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3917)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1152z00_3516)),BUNSPEC); 
return BgL_new1234z00_3917;} } 

}



/* &<@anonymous:1832> */
obj_t BGl_z62zc3z04anonymousza31832ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3517, obj_t BgL_new1148z00_3518)
{
{ /* Eval/evaluate_types.scm 103 */
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_4769;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3518))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3518))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4776;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_classz00_3921;
BgL_classz00_3921 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL__ortest_1283z00_3922;
BgL__ortest_1283z00_3922 = 
BGL_CLASS_NIL(BgL_classz00_3921); 
if(
CBOOL(BgL__ortest_1283z00_3922))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4776 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3922)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4776 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3921))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3518))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4776),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3518)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4769 = 
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3518); 
return 
((obj_t)BgL_auxz00_4769);} } 

}



/* &lambda1830 */
BgL_ev_letza2za2_bglt BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t BgL_envz00_3519)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1147z00_3923;
BgL_new1147z00_3923 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1831z00_3924;
BgL_arg1831z00_3924 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_3923), BgL_arg1831z00_3924); } 
return BgL_new1147z00_3923;} } 

}



/* &lambda1828 */
BgL_ev_letza2za2_bglt BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t BgL_envz00_3520, obj_t BgL_vars1143z00_3521, obj_t BgL_vals1144z00_3522, obj_t BgL_body1145z00_3523, obj_t BgL_boxes1146z00_3524)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1232z00_3926;
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1231z00_3927;
BgL_new1231z00_3927 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1829z00_3928;
BgL_arg1829z00_3928 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1231z00_3927), BgL_arg1829z00_3928); } 
BgL_new1232z00_3926 = BgL_new1231z00_3927; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3926)))->BgL_varsz00)=((obj_t)BgL_vars1143z00_3521),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3926)))->BgL_valsz00)=((obj_t)BgL_vals1144z00_3522),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3926)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1145z00_3523)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1232z00_3926))->BgL_boxesz00)=((obj_t)BgL_boxes1146z00_3524),BUNSPEC); 
return BgL_new1232z00_3926;} } 

}



/* &<@anonymous:1839> */
obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3525)
{
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 

}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3526, obj_t BgL_oz00_3527, obj_t BgL_vz00_3528)
{
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3527)))->BgL_boxesz00)=((obj_t)BgL_vz00_3528),BUNSPEC);} 

}



/* &lambda1837 */
obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3529, obj_t BgL_oz00_3530)
{
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3530)))->BgL_boxesz00);} 

}



/* &<@anonymous:1815> */
obj_t BGl_z62zc3z04anonymousza31815ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3531, obj_t BgL_new1141z00_3532)
{
{ /* Eval/evaluate_types.scm 101 */
{ 
 BgL_ev_letz00_bglt BgL_auxz00_4810;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3532))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3532))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4817;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_classz00_3932;
BgL_classz00_3932 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL__ortest_1283z00_3933;
BgL__ortest_1283z00_3933 = 
BGL_CLASS_NIL(BgL_classz00_3932); 
if(
CBOOL(BgL__ortest_1283z00_3933))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4817 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3933)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4817 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3932))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3532))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4817),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1141z00_3532)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4810 = 
((BgL_ev_letz00_bglt)BgL_new1141z00_3532); 
return 
((obj_t)BgL_auxz00_4810);} } 

}



/* &lambda1813 */
BgL_ev_letz00_bglt BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t BgL_envz00_3533)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1140z00_3934;
BgL_new1140z00_3934 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1814z00_3935;
BgL_arg1814z00_3935 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_3934), BgL_arg1814z00_3935); } 
return BgL_new1140z00_3934;} } 

}



/* &lambda1811 */
BgL_ev_letz00_bglt BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t BgL_envz00_3534, obj_t BgL_vars1136z00_3535, obj_t BgL_vals1137z00_3536, obj_t BgL_body1138z00_3537, obj_t BgL_boxes1139z00_3538)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1230z00_3937;
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1229z00_3938;
BgL_new1229z00_3938 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1812z00_3939;
BgL_arg1812z00_3939 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_3938), BgL_arg1812z00_3939); } 
BgL_new1230z00_3937 = BgL_new1229z00_3938; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3937)))->BgL_varsz00)=((obj_t)BgL_vars1136z00_3535),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3937)))->BgL_valsz00)=((obj_t)BgL_vals1137z00_3536),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3937)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1138z00_3537)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1230z00_3937))->BgL_boxesz00)=((obj_t)BgL_boxes1139z00_3538),BUNSPEC); 
return BgL_new1230z00_3937;} } 

}



/* &<@anonymous:1822> */
obj_t BGl_z62zc3z04anonymousza31822ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3539)
{
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 

}



/* &lambda1821 */
obj_t BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t BgL_envz00_3540, obj_t BgL_oz00_3541, obj_t BgL_vz00_3542)
{
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3541)))->BgL_boxesz00)=((obj_t)BgL_vz00_3542),BUNSPEC);} 

}



/* &lambda1820 */
obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t BgL_envz00_3543, obj_t BgL_oz00_3544)
{
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3544)))->BgL_boxesz00);} 

}



/* &<@anonymous:1789> */
obj_t BGl_z62zc3z04anonymousza31789ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3545, obj_t BgL_new1134z00_3546)
{
{ /* Eval/evaluate_types.scm 97 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_4851;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3546)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3546)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4856;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_classz00_3943;
BgL_classz00_3943 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL__ortest_1283z00_3944;
BgL__ortest_1283z00_3944 = 
BGL_CLASS_NIL(BgL_classz00_3943); 
if(
CBOOL(BgL__ortest_1283z00_3944))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4856 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3944)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4856 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3943))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3546)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4856),BUNSPEC); } 
BgL_auxz00_4851 = 
((BgL_ev_binderz00_bglt)BgL_new1134z00_3546); 
return 
((obj_t)BgL_auxz00_4851);} } 

}



/* &lambda1787 */
BgL_ev_binderz00_bglt BGl_z62lambda1787z62zz__evaluate_typesz00(obj_t BgL_envz00_3547)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1133z00_3945;
BgL_new1133z00_3945 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1788z00_3946;
BgL_arg1788z00_3946 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_3945), BgL_arg1788z00_3946); } 
return BgL_new1133z00_3945;} } 

}



/* &lambda1785 */
BgL_ev_binderz00_bglt BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t BgL_envz00_3548, obj_t BgL_vars1130z00_3549, obj_t BgL_vals1131z00_3550, obj_t BgL_body1132z00_3551)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1228z00_3948;
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1227z00_3949;
BgL_new1227z00_3949 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1786z00_3950;
BgL_arg1786z00_3950 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_3949), BgL_arg1786z00_3950); } 
BgL_new1228z00_3948 = BgL_new1227z00_3949; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3948))->BgL_varsz00)=((obj_t)BgL_vars1130z00_3549),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3948))->BgL_valsz00)=((obj_t)BgL_vals1131z00_3550),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3948))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1132z00_3551)),BUNSPEC); 
return BgL_new1228z00_3948;} } 

}



/* &lambda1805 */
obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t BgL_envz00_3552, obj_t BgL_oz00_3553, obj_t BgL_vz00_3554)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3553)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3554)),BUNSPEC);} 

}



/* &lambda1804 */
BgL_ev_exprz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t BgL_envz00_3555, obj_t BgL_oz00_3556)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3556)))->BgL_bodyz00);} 

}



/* &lambda1800 */
obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t BgL_envz00_3557, obj_t BgL_oz00_3558, obj_t BgL_vz00_3559)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3558)))->BgL_valsz00)=((obj_t)BgL_vz00_3559),BUNSPEC);} 

}



/* &lambda1799 */
obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t BgL_envz00_3560, obj_t BgL_oz00_3561)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3561)))->BgL_valsz00);} 

}



/* &lambda1795 */
obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t BgL_envz00_3562, obj_t BgL_oz00_3563, obj_t BgL_vz00_3564)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3563)))->BgL_varsz00)=((obj_t)BgL_vz00_3564),BUNSPEC);} 

}



/* &lambda1794 */
obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t BgL_envz00_3565, obj_t BgL_oz00_3566)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3566)))->BgL_varsz00);} 

}



/* &<@anonymous:1759> */
obj_t BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3567, obj_t BgL_new1128z00_3568)
{
{ /* Eval/evaluate_types.scm 92 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4892;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3568)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4895;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3959;
BgL_classz00_3959 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1283z00_3960;
BgL__ortest_1283z00_3960 = 
BGL_CLASS_NIL(BgL_classz00_3959); 
if(
CBOOL(BgL__ortest_1283z00_3960))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4895 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3960)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4895 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3959))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3568)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4895),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4904;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3961;
BgL_classz00_3961 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1283z00_3962;
BgL__ortest_1283z00_3962 = 
BGL_CLASS_NIL(BgL_classz00_3961); 
if(
CBOOL(BgL__ortest_1283z00_3962))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4904 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3962)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4904 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3961))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3568)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4904),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4913;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3963;
BgL_classz00_3963 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1283z00_3964;
BgL__ortest_1283z00_3964 = 
BGL_CLASS_NIL(BgL_classz00_3963); 
if(
CBOOL(BgL__ortest_1283z00_3964))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4913 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3964)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4913 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3963))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3568)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4913),BUNSPEC); } 
BgL_auxz00_4892 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3568); 
return 
((obj_t)BgL_auxz00_4892);} } 

}



/* &lambda1757 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t BgL_envz00_3569)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_3965;
BgL_new1127z00_3965 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1758z00_3966;
BgL_arg1758z00_3966 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_3965), BgL_arg1758z00_3966); } 
return BgL_new1127z00_3965;} } 

}



/* &lambda1755 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3570, obj_t BgL_loc1123z00_3571, obj_t BgL_mutex1124z00_3572, obj_t BgL_prelock1125z00_3573, obj_t BgL_body1126z00_3574)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1226z00_3970;
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_3971;
BgL_new1225z00_3971 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1756z00_3972;
BgL_arg1756z00_3972 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_3971), BgL_arg1756z00_3972); } 
BgL_new1226z00_3970 = BgL_new1225z00_3971; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3970))->BgL_locz00)=((obj_t)BgL_loc1123z00_3571),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3970))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1124z00_3572)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3970))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1125z00_3573)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3970))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1126z00_3574)),BUNSPEC); 
return BgL_new1226z00_3970;} } 

}



/* &lambda1779 */
obj_t BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t BgL_envz00_3575, obj_t BgL_oz00_3576, obj_t BgL_vz00_3577)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3576)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3577)),BUNSPEC);} 

}



/* &lambda1778 */
BgL_ev_exprz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t BgL_envz00_3578, obj_t BgL_oz00_3579)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3579)))->BgL_bodyz00);} 

}



/* &lambda1774 */
obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t BgL_envz00_3580, obj_t BgL_oz00_3581, obj_t BgL_vz00_3582)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3581)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3582)),BUNSPEC);} 

}



/* &lambda1773 */
BgL_ev_exprz00_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t BgL_envz00_3583, obj_t BgL_oz00_3584)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3584)))->BgL_prelockz00);} 

}



/* &lambda1769 */
obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t BgL_envz00_3585, obj_t BgL_oz00_3586, obj_t BgL_vz00_3587)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3586)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3587)),BUNSPEC);} 

}



/* &lambda1768 */
BgL_ev_exprz00_bglt BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3588, obj_t BgL_oz00_3589)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3589)))->BgL_mutexz00);} 

}



/* &lambda1764 */
obj_t BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t BgL_envz00_3590, obj_t BgL_oz00_3591, obj_t BgL_vz00_3592)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3591)))->BgL_locz00)=((obj_t)BgL_vz00_3592),BUNSPEC);} 

}



/* &lambda1763 */
obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t BgL_envz00_3593, obj_t BgL_oz00_3594)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3594)))->BgL_locz00);} 

}



/* &<@anonymous:1737> */
obj_t BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3595, obj_t BgL_new1121z00_3596)
{
{ /* Eval/evaluate_types.scm 89 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4958;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4959;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3985;
BgL_classz00_3985 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1283z00_3986;
BgL__ortest_1283z00_3986 = 
BGL_CLASS_NIL(BgL_classz00_3985); 
if(
CBOOL(BgL__ortest_1283z00_3986))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4959 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3986)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4959 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3985))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3596)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4959),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4968;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3987;
BgL_classz00_3987 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1283z00_3988;
BgL__ortest_1283z00_3988 = 
BGL_CLASS_NIL(BgL_classz00_3987); 
if(
CBOOL(BgL__ortest_1283z00_3988))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4968 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3988)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4968 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3987))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3596)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4968),BUNSPEC); } 
BgL_auxz00_4958 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3596); 
return 
((obj_t)BgL_auxz00_4958);} } 

}



/* &lambda1735 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t BgL_envz00_3597)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_3989;
BgL_new1120z00_3989 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1736z00_3990;
BgL_arg1736z00_3990 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_3989), BgL_arg1736z00_3990); } 
return BgL_new1120z00_3989;} } 

}



/* &lambda1733 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t BgL_envz00_3598, obj_t BgL_handler1118z00_3599, obj_t BgL_body1119z00_3600)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1224z00_3993;
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_3994;
BgL_new1223z00_3994 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1734z00_3995;
BgL_arg1734z00_3995 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_3994), BgL_arg1734z00_3995); } 
BgL_new1224z00_3993 = BgL_new1223z00_3994; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_3993))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1118z00_3599)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_3993))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1119z00_3600)),BUNSPEC); 
return BgL_new1224z00_3993;} } 

}



/* &lambda1748 */
obj_t BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3601, obj_t BgL_oz00_3602, obj_t BgL_vz00_3603)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3602)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3603)),BUNSPEC);} 

}



/* &lambda1747 */
BgL_ev_exprz00_bglt BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t BgL_envz00_3604, obj_t BgL_oz00_3605)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3605)))->BgL_bodyz00);} 

}



/* &lambda1743 */
obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t BgL_envz00_3606, obj_t BgL_oz00_3607, obj_t BgL_vz00_3608)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3607)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3608)),BUNSPEC);} 

}



/* &lambda1742 */
BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t BgL_envz00_3609, obj_t BgL_oz00_3610)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3610)))->BgL_handlerz00);} 

}



/* &<@anonymous:1716> */
obj_t BGl_z62zc3z04anonymousza31716ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3611, obj_t BgL_new1116z00_3612)
{
{ /* Eval/evaluate_types.scm 86 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5001;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5002;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4003;
BgL_classz00_4003 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1283z00_4004;
BgL__ortest_1283z00_4004 = 
BGL_CLASS_NIL(BgL_classz00_4003); 
if(
CBOOL(BgL__ortest_1283z00_4004))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5002 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4004)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5002 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4003))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3612)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5002),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5011;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4005;
BgL_classz00_4005 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1283z00_4006;
BgL__ortest_1283z00_4006 = 
BGL_CLASS_NIL(BgL_classz00_4005); 
if(
CBOOL(BgL__ortest_1283z00_4006))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5011 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4006)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5011 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4005))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3612)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5011),BUNSPEC); } 
BgL_auxz00_5001 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3612); 
return 
((obj_t)BgL_auxz00_5001);} } 

}



/* &lambda1714 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1714z62zz__evaluate_typesz00(obj_t BgL_envz00_3613)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_4007;
BgL_new1115z00_4007 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1715z00_4008;
BgL_arg1715z00_4008 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_4007), BgL_arg1715z00_4008); } 
return BgL_new1115z00_4007;} } 

}



/* &lambda1712 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3614, obj_t BgL_e1113z00_3615, obj_t BgL_body1114z00_3616)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1222z00_4011;
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_4012;
BgL_new1221z00_4012 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1713z00_4013;
BgL_arg1713z00_4013 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_4012), BgL_arg1713z00_4013); } 
BgL_new1222z00_4011 = BgL_new1221z00_4012; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_4011))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1113z00_3615)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_4011))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1114z00_3616)),BUNSPEC); 
return BgL_new1222z00_4011;} } 

}



/* &lambda1727 */
obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t BgL_envz00_3617, obj_t BgL_oz00_3618, obj_t BgL_vz00_3619)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3618)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3619)),BUNSPEC);} 

}



/* &lambda1726 */
BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t BgL_envz00_3620, obj_t BgL_oz00_3621)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3621)))->BgL_bodyz00);} 

}



/* &lambda1722 */
obj_t BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t BgL_envz00_3622, obj_t BgL_oz00_3623, obj_t BgL_vz00_3624)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3623)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3624)),BUNSPEC);} 

}



/* &lambda1721 */
BgL_ev_exprz00_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t BgL_envz00_3625, obj_t BgL_oz00_3626)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3626)))->BgL_ez00);} 

}



/* &<@anonymous:1696> */
obj_t BGl_z62zc3z04anonymousza31696ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3627, obj_t BgL_new1111z00_3628)
{
{ /* Eval/evaluate_types.scm 83 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5044;
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5045;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4021;
BgL_classz00_4021 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1283z00_4022;
BgL__ortest_1283z00_4022 = 
BGL_CLASS_NIL(BgL_classz00_4021); 
if(
CBOOL(BgL__ortest_1283z00_4022))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5045 = 
((BgL_ev_varz00_bglt)BgL__ortest_1283z00_4022)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5045 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4021))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3628)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5045),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5054;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4023;
BgL_classz00_4023 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1283z00_4024;
BgL__ortest_1283z00_4024 = 
BGL_CLASS_NIL(BgL_classz00_4023); 
if(
CBOOL(BgL__ortest_1283z00_4024))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5054 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4024)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5054 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4023))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3628)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5054),BUNSPEC); } 
BgL_auxz00_5044 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3628); 
return 
((obj_t)BgL_auxz00_5044);} } 

}



/* &lambda1694 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t BgL_envz00_3629)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_4025;
BgL_new1110z00_4025 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1695z00_4026;
BgL_arg1695z00_4026 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_4025), BgL_arg1695z00_4026); } 
return BgL_new1110z00_4025;} } 

}



/* &lambda1691 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t BgL_envz00_3630, obj_t BgL_var1108z00_3631, obj_t BgL_body1109z00_3632)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1220z00_4029;
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_4030;
BgL_new1219z00_4030 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1693z00_4031;
BgL_arg1693z00_4031 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_4030), BgL_arg1693z00_4031); } 
BgL_new1220z00_4029 = BgL_new1219z00_4030; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_4029))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1108z00_3631)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_4029))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1109z00_3632)),BUNSPEC); 
return BgL_new1220z00_4029;} } 

}



/* &lambda1706 */
obj_t BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t BgL_envz00_3633, obj_t BgL_oz00_3634, obj_t BgL_vz00_3635)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3634)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3635)),BUNSPEC);} 

}



/* &lambda1705 */
BgL_ev_exprz00_bglt BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t BgL_envz00_3636, obj_t BgL_oz00_3637)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3637)))->BgL_bodyz00);} 

}



/* &lambda1701 */
obj_t BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t BgL_envz00_3638, obj_t BgL_oz00_3639, obj_t BgL_vz00_3640)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3639)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3640)),BUNSPEC);} 

}



/* &lambda1700 */
BgL_ev_varz00_bglt BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t BgL_envz00_3641, obj_t BgL_oz00_3642)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3642)))->BgL_varz00);} 

}



/* &<@anonymous:1679> */
obj_t BGl_z62zc3z04anonymousza31679ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3643, obj_t BgL_new1106z00_3644)
{
{ /* Eval/evaluate_types.scm 82 */
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5087;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5088;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_classz00_4039;
BgL_classz00_4039 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL__ortest_1283z00_4040;
BgL__ortest_1283z00_4040 = 
BGL_CLASS_NIL(BgL_classz00_4039); 
if(
CBOOL(BgL__ortest_1283z00_4040))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5088 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4040)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5088 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4039))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3644))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5088),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3644))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3644))))->BgL_namez00)=((obj_t)BGl_symbol2650z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3644))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5087 = 
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3644); 
return 
((obj_t)BgL_auxz00_5087);} } 

}



/* &lambda1676 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t BgL_envz00_3645)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1105z00_4041;
BgL_new1105z00_4041 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1678z00_4042;
BgL_arg1678z00_4042 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_4041), BgL_arg1678z00_4042); } 
return BgL_new1105z00_4041;} } 

}



/* &lambda1672 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t BgL_envz00_3646, obj_t BgL_e1101z00_3647, obj_t BgL_loc1102z00_3648, obj_t BgL_name1103z00_3649, obj_t BgL_mod1104z00_3650)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1218z00_4045;
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1217z00_4046;
BgL_new1217z00_4046 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1675z00_4047;
BgL_arg1675z00_4047 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_4046), BgL_arg1675z00_4047); } 
BgL_new1218z00_4045 = BgL_new1217z00_4046; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1218z00_4045)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1101z00_3647)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4045)))->BgL_locz00)=((obj_t)BgL_loc1102z00_3648),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4045)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1103z00_3649)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4045)))->BgL_modz00)=((obj_t)BgL_mod1104z00_3650),BUNSPEC); 
return BgL_new1218z00_4045;} } 

}



/* &<@anonymous:1645> */
obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3651, obj_t BgL_new1099z00_3652)
{
{ /* Eval/evaluate_types.scm 78 */
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_5127;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5128;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_classz00_4049;
BgL_classz00_4049 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL__ortest_1283z00_4050;
BgL__ortest_1283z00_4050 = 
BGL_CLASS_NIL(BgL_classz00_4049); 
if(
CBOOL(BgL__ortest_1283z00_4050))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5128 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4050)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5128 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4049))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3652))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5128),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3652)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3652)))->BgL_namez00)=((obj_t)BGl_symbol2650z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3652)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5127 = 
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3652); 
return 
((obj_t)BgL_auxz00_5127);} } 

}



/* &lambda1643 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t BgL_envz00_3653)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1098z00_4051;
BgL_new1098z00_4051 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1644z00_4052;
BgL_arg1644z00_4052 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_4051), BgL_arg1644z00_4052); } 
return BgL_new1098z00_4051;} } 

}



/* &lambda1641 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t BgL_envz00_3654, obj_t BgL_e1094z00_3655, obj_t BgL_loc1095z00_3656, obj_t BgL_name1096z00_3657, obj_t BgL_mod1097z00_3658)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1216z00_4055;
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1215z00_4056;
BgL_new1215z00_4056 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1642z00_4057;
BgL_arg1642z00_4057 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_4056), BgL_arg1642z00_4057); } 
BgL_new1216z00_4055 = BgL_new1215z00_4056; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1216z00_4055)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1094z00_3655)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4055))->BgL_locz00)=((obj_t)BgL_loc1095z00_3656),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4055))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1096z00_3657)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4055))->BgL_modz00)=((obj_t)BgL_mod1097z00_3658),BUNSPEC); 
return BgL_new1216z00_4055;} } 

}



/* &lambda1664 */
obj_t BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t BgL_envz00_3659, obj_t BgL_oz00_3660, obj_t BgL_vz00_3661)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3660)))->BgL_modz00)=((obj_t)BgL_vz00_3661),BUNSPEC);} 

}



/* &lambda1663 */
obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t BgL_envz00_3662, obj_t BgL_oz00_3663)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3663)))->BgL_modz00);} 

}



/* &lambda1659 */
obj_t BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t BgL_envz00_3664, obj_t BgL_oz00_3665, obj_t BgL_vz00_3666)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3665)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3666)),BUNSPEC);} 

}



/* &lambda1658 */
obj_t BGl_z62lambda1658z62zz__evaluate_typesz00(obj_t BgL_envz00_3667, obj_t BgL_oz00_3668)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3668)))->BgL_namez00);} 

}



/* &lambda1651 */
obj_t BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t BgL_envz00_3669, obj_t BgL_oz00_3670, obj_t BgL_vz00_3671)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3670)))->BgL_locz00)=((obj_t)BgL_vz00_3671),BUNSPEC);} 

}



/* &lambda1650 */
obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t BgL_envz00_3672, obj_t BgL_oz00_3673)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3673)))->BgL_locz00);} 

}



/* &<@anonymous:1630> */
obj_t BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3674, obj_t BgL_new1092z00_3675)
{
{ /* Eval/evaluate_types.scm 76 */
{ 
 BgL_ev_setlocalz00_bglt BgL_auxz00_5174;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5175;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4066;
BgL_classz00_4066 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1283z00_4067;
BgL__ortest_1283z00_4067 = 
BGL_CLASS_NIL(BgL_classz00_4066); 
if(
CBOOL(BgL__ortest_1283z00_4067))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5175 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4067)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5175 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4066))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3675))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5175),BUNSPEC); } 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5185;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4068;
BgL_classz00_4068 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1283z00_4069;
BgL__ortest_1283z00_4069 = 
BGL_CLASS_NIL(BgL_classz00_4068); 
if(
CBOOL(BgL__ortest_1283z00_4069))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5185 = 
((BgL_ev_varz00_bglt)BgL__ortest_1283z00_4069)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5185 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4068))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3675)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5185),BUNSPEC); } 
BgL_auxz00_5174 = 
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3675); 
return 
((obj_t)BgL_auxz00_5174);} } 

}



/* &lambda1628 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t BgL_envz00_3676)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1091z00_4070;
BgL_new1091z00_4070 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1629z00_4071;
BgL_arg1629z00_4071 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_4070), BgL_arg1629z00_4071); } 
return BgL_new1091z00_4070;} } 

}



/* &lambda1626 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t BgL_envz00_3677, obj_t BgL_e1089z00_3678, obj_t BgL_v1090z00_3679)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1214z00_4074;
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1213z00_4075;
BgL_new1213z00_4075 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1627z00_4076;
BgL_arg1627z00_4076 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_4075), BgL_arg1627z00_4076); } 
BgL_new1214z00_4074 = BgL_new1213z00_4075; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1214z00_4074)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1089z00_3678)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1214z00_4074))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1090z00_3679)),BUNSPEC); 
return BgL_new1214z00_4074;} } 

}



/* &lambda1635 */
obj_t BGl_z62lambda1635z62zz__evaluate_typesz00(obj_t BgL_envz00_3680, obj_t BgL_oz00_3681, obj_t BgL_vz00_3682)
{
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3681)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3682)),BUNSPEC);} 

}



/* &lambda1634 */
BgL_ev_varz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3683, obj_t BgL_oz00_3684)
{
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3684)))->BgL_vz00);} 

}



/* &<@anonymous:1620> */
obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3685, obj_t BgL_new1087z00_3686)
{
{ /* Eval/evaluate_types.scm 75 */
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_5214;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5215;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_classz00_4081;
BgL_classz00_4081 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL__ortest_1283z00_4082;
BgL__ortest_1283z00_4082 = 
BGL_CLASS_NIL(BgL_classz00_4081); 
if(
CBOOL(BgL__ortest_1283z00_4082))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5215 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4082)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5215 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4081))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1087z00_3686))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5215),BUNSPEC); } 
BgL_auxz00_5214 = 
((BgL_ev_trapz00_bglt)BgL_new1087z00_3686); 
return 
((obj_t)BgL_auxz00_5214);} } 

}



/* &lambda1618 */
BgL_ev_trapz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t BgL_envz00_3687)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1086z00_4083;
BgL_new1086z00_4083 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1619z00_4084;
BgL_arg1619z00_4084 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_4083), BgL_arg1619z00_4084); } 
return BgL_new1086z00_4083;} } 

}



/* &lambda1616 */
BgL_ev_trapz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t BgL_envz00_3688, obj_t BgL_e1085z00_3689)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1212z00_4086;
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1211z00_4087;
BgL_new1211z00_4087 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1617z00_4088;
BgL_arg1617z00_4088 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_4087), BgL_arg1617z00_4088); } 
BgL_new1212z00_4086 = BgL_new1211z00_4087; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1212z00_4086)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1085z00_3689)),BUNSPEC); 
return BgL_new1212z00_4086;} } 

}



/* &<@anonymous:1604> */
obj_t BGl_z62zc3z04anonymousza31604ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3690, obj_t BgL_new1083z00_3691)
{
{ /* Eval/evaluate_types.scm 73 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5238;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5239;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_classz00_4090;
BgL_classz00_4090 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL__ortest_1283z00_4091;
BgL__ortest_1283z00_4091 = 
BGL_CLASS_NIL(BgL_classz00_4090); 
if(
CBOOL(BgL__ortest_1283z00_4091))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5239 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4091)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5239 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4090))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1083z00_3691)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5239),BUNSPEC); } 
BgL_auxz00_5238 = 
((BgL_ev_hookz00_bglt)BgL_new1083z00_3691); 
return 
((obj_t)BgL_auxz00_5238);} } 

}



/* &lambda1601 */
BgL_ev_hookz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t BgL_envz00_3692)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1082z00_4092;
BgL_new1082z00_4092 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1603z00_4093;
BgL_arg1603z00_4093 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4092), BgL_arg1603z00_4093); } 
return BgL_new1082z00_4092;} } 

}



/* &lambda1599 */
BgL_ev_hookz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t BgL_envz00_3693, obj_t BgL_e1081z00_3694)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1210z00_4095;
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1209z00_4096;
BgL_new1209z00_4096 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1600z00_4097;
BgL_arg1600z00_4097 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_4096), BgL_arg1600z00_4097); } 
BgL_new1210z00_4095 = BgL_new1209z00_4096; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1210z00_4095))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1081z00_3694)),BUNSPEC); 
return BgL_new1210z00_4095;} } 

}



/* &lambda1610 */
obj_t BGl_z62lambda1610z62zz__evaluate_typesz00(obj_t BgL_envz00_3695, obj_t BgL_oz00_3696, obj_t BgL_vz00_3697)
{
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3696)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3697)),BUNSPEC);} 

}



/* &lambda1609 */
BgL_ev_exprz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t BgL_envz00_3698, obj_t BgL_oz00_3699)
{
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3699)))->BgL_ez00);} 

}



/* &<@anonymous:1580> */
obj_t BGl_z62zc3z04anonymousza31580ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3700, obj_t BgL_new1079z00_3701)
{
{ /* Eval/evaluate_types.scm 70 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5265;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5266;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4102;
BgL_classz00_4102 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1283z00_4103;
BgL__ortest_1283z00_4103 = 
BGL_CLASS_NIL(BgL_classz00_4102); 
if(
CBOOL(BgL__ortest_1283z00_4103))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5266 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4103)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5266 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4102))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3701)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5266),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5275;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4104;
BgL_classz00_4104 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1283z00_4105;
BgL__ortest_1283z00_4105 = 
BGL_CLASS_NIL(BgL_classz00_4104); 
if(
CBOOL(BgL__ortest_1283z00_4105))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5275 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4105)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5275 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4104))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3701)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5275),BUNSPEC); } 
BgL_auxz00_5265 = 
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3701); 
return 
((obj_t)BgL_auxz00_5265);} } 

}



/* &lambda1578 */
BgL_ev_prog2z00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t BgL_envz00_3702)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1078z00_4106;
BgL_new1078z00_4106 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1579z00_4107;
BgL_arg1579z00_4107 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4106), BgL_arg1579z00_4107); } 
return BgL_new1078z00_4106;} } 

}



/* &lambda1576 */
BgL_ev_prog2z00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t BgL_envz00_3703, obj_t BgL_e11076z00_3704, obj_t BgL_e21077z00_3705)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1208z00_4110;
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1207z00_4111;
BgL_new1207z00_4111 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1577z00_4112;
BgL_arg1577z00_4112 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_4111), BgL_arg1577z00_4112); } 
BgL_new1208z00_4110 = BgL_new1207z00_4111; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4110))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11076z00_3704)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4110))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21077z00_3705)),BUNSPEC); 
return BgL_new1208z00_4110;} } 

}



/* &lambda1591 */
obj_t BGl_z62lambda1591z62zz__evaluate_typesz00(obj_t BgL_envz00_3706, obj_t BgL_oz00_3707, obj_t BgL_vz00_3708)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3707)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3708)),BUNSPEC);} 

}



/* &lambda1590 */
BgL_ev_exprz00_bglt BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t BgL_envz00_3709, obj_t BgL_oz00_3710)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3710)))->BgL_e2z00);} 

}



/* &lambda1586 */
obj_t BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t BgL_envz00_3711, obj_t BgL_oz00_3712, obj_t BgL_vz00_3713)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3712)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3713)),BUNSPEC);} 

}



/* &lambda1585 */
BgL_ev_exprz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t BgL_envz00_3714, obj_t BgL_oz00_3715)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3715)))->BgL_e1z00);} 

}



/* &<@anonymous:1570> */
obj_t BGl_z62zc3z04anonymousza31570ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3716, obj_t BgL_new1074z00_3717)
{
{ /* Eval/evaluate_types.scm 69 */
{ 
 BgL_ev_andz00_bglt BgL_auxz00_5308;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1074z00_3717))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5308 = 
((BgL_ev_andz00_bglt)BgL_new1074z00_3717); 
return 
((obj_t)BgL_auxz00_5308);} } 

}



/* &lambda1568 */
BgL_ev_andz00_bglt BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t BgL_envz00_3718)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1073z00_4120;
BgL_new1073z00_4120 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1569z00_4121;
BgL_arg1569z00_4121 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_4120), BgL_arg1569z00_4121); } 
return BgL_new1073z00_4120;} } 

}



/* &lambda1566 */
BgL_ev_andz00_bglt BGl_z62lambda1566z62zz__evaluate_typesz00(obj_t BgL_envz00_3719, obj_t BgL_args1072z00_3720)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1206z00_4122;
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1205z00_4123;
BgL_new1205z00_4123 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1567z00_4124;
BgL_arg1567z00_4124 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_4123), BgL_arg1567z00_4124); } 
BgL_new1206z00_4122 = BgL_new1205z00_4123; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1206z00_4122)))->BgL_argsz00)=((obj_t)BgL_args1072z00_3720),BUNSPEC); 
return BgL_new1206z00_4122;} } 

}



/* &<@anonymous:1557> */
obj_t BGl_z62zc3z04anonymousza31557ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3721, obj_t BgL_new1070z00_3722)
{
{ /* Eval/evaluate_types.scm 68 */
{ 
 BgL_ev_orz00_bglt BgL_auxz00_5324;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1070z00_3722))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5324 = 
((BgL_ev_orz00_bglt)BgL_new1070z00_3722); 
return 
((obj_t)BgL_auxz00_5324);} } 

}



/* &lambda1555 */
BgL_ev_orz00_bglt BGl_z62lambda1555z62zz__evaluate_typesz00(obj_t BgL_envz00_3723)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1069z00_4126;
BgL_new1069z00_4126 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1556z00_4127;
BgL_arg1556z00_4127 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4126), BgL_arg1556z00_4127); } 
return BgL_new1069z00_4126;} } 

}



/* &lambda1552 */
BgL_ev_orz00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t BgL_envz00_3724, obj_t BgL_args1068z00_3725)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1204z00_4128;
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1203z00_4129;
BgL_new1203z00_4129 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1554z00_4130;
BgL_arg1554z00_4130 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_4129), BgL_arg1554z00_4130); } 
BgL_new1204z00_4128 = BgL_new1203z00_4129; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1204z00_4128)))->BgL_argsz00)=((obj_t)BgL_args1068z00_3725),BUNSPEC); 
return BgL_new1204z00_4128;} } 

}



/* &<@anonymous:1539> */
obj_t BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3726, obj_t BgL_new1066z00_3727)
{
{ /* Eval/evaluate_types.scm 66 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5340;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1066z00_3727)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5340 = 
((BgL_ev_listz00_bglt)BgL_new1066z00_3727); 
return 
((obj_t)BgL_auxz00_5340);} } 

}



/* &lambda1537 */
BgL_ev_listz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t BgL_envz00_3728)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1065z00_4132;
BgL_new1065z00_4132 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1538z00_4133;
BgL_arg1538z00_4133 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_4132), BgL_arg1538z00_4133); } 
return BgL_new1065z00_4132;} } 

}



/* &lambda1535 */
BgL_ev_listz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t BgL_envz00_3729, obj_t BgL_args1064z00_3730)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1202z00_4134;
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1201z00_4135;
BgL_new1201z00_4135 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1536z00_4136;
BgL_arg1536z00_4136 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_4135), BgL_arg1536z00_4136); } 
BgL_new1202z00_4134 = BgL_new1201z00_4135; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1202z00_4134))->BgL_argsz00)=((obj_t)BgL_args1064z00_3730),BUNSPEC); 
return BgL_new1202z00_4134;} } 

}



/* &lambda1546 */
obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t BgL_envz00_3731, obj_t BgL_oz00_3732, obj_t BgL_vz00_3733)
{
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3732)))->BgL_argsz00)=((obj_t)BgL_vz00_3733),BUNSPEC);} 

}



/* &lambda1545 */
obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t BgL_envz00_3734, obj_t BgL_oz00_3735)
{
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3735)))->BgL_argsz00);} 

}



/* &<@anonymous:1510> */
obj_t BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3736, obj_t BgL_new1062z00_3737)
{
{ /* Eval/evaluate_types.scm 62 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5358;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5359;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4140;
BgL_classz00_4140 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1283z00_4141;
BgL__ortest_1283z00_4141 = 
BGL_CLASS_NIL(BgL_classz00_4140); 
if(
CBOOL(BgL__ortest_1283z00_4141))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5359 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4141)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5359 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4140))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3737)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5359),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5368;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4142;
BgL_classz00_4142 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1283z00_4143;
BgL__ortest_1283z00_4143 = 
BGL_CLASS_NIL(BgL_classz00_4142); 
if(
CBOOL(BgL__ortest_1283z00_4143))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5368 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4143)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5368 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4142))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3737)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5368),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5377;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4144;
BgL_classz00_4144 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1283z00_4145;
BgL__ortest_1283z00_4145 = 
BGL_CLASS_NIL(BgL_classz00_4144); 
if(
CBOOL(BgL__ortest_1283z00_4145))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5377 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4145)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5377 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4144))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3737)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5377),BUNSPEC); } 
BgL_auxz00_5358 = 
((BgL_ev_ifz00_bglt)BgL_new1062z00_3737); 
return 
((obj_t)BgL_auxz00_5358);} } 

}



/* &lambda1508 */
BgL_ev_ifz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t BgL_envz00_3738)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1060z00_4146;
BgL_new1060z00_4146 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1509z00_4147;
BgL_arg1509z00_4147 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1060z00_4146), BgL_arg1509z00_4147); } 
return BgL_new1060z00_4146;} } 

}



/* &lambda1506 */
BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3739, obj_t BgL_p1057z00_3740, obj_t BgL_t1058z00_3741, obj_t BgL_e1059z00_3742)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1200z00_4151;
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1199z00_4152;
BgL_new1199z00_4152 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1507z00_4153;
BgL_arg1507z00_4153 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_4152), BgL_arg1507z00_4153); } 
BgL_new1200z00_4151 = BgL_new1199z00_4152; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4151))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1057z00_3740)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4151))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1058z00_3741)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4151))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1059z00_3742)),BUNSPEC); 
return BgL_new1200z00_4151;} } 

}



/* &lambda1525 */
obj_t BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t BgL_envz00_3743, obj_t BgL_oz00_3744, obj_t BgL_vz00_3745)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3744)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3745)),BUNSPEC);} 

}



/* &lambda1524 */
BgL_ev_exprz00_bglt BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t BgL_envz00_3746, obj_t BgL_oz00_3747)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3747)))->BgL_ez00);} 

}



/* &lambda1520 */
obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t BgL_envz00_3748, obj_t BgL_oz00_3749, obj_t BgL_vz00_3750)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3749)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3750)),BUNSPEC);} 

}



/* &lambda1519 */
BgL_ev_exprz00_bglt BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t BgL_envz00_3751, obj_t BgL_oz00_3752)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3752)))->BgL_tz00);} 

}



/* &lambda1515 */
obj_t BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t BgL_envz00_3753, obj_t BgL_oz00_3754, obj_t BgL_vz00_3755)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3754)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3755)),BUNSPEC);} 

}



/* &lambda1514 */
BgL_ev_exprz00_bglt BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t BgL_envz00_3756, obj_t BgL_oz00_3757)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3757)))->BgL_pz00);} 

}



/* &<@anonymous:1495> */
obj_t BGl_z62zc3z04anonymousza31495ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3758, obj_t BgL_new1055z00_3759)
{
{ /* Eval/evaluate_types.scm 60 */
{ 
 BgL_ev_littz00_bglt BgL_auxz00_5417;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1055z00_3759)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5417 = 
((BgL_ev_littz00_bglt)BgL_new1055z00_3759); 
return 
((obj_t)BgL_auxz00_5417);} } 

}



/* &lambda1493 */
BgL_ev_littz00_bglt BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3760)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1054z00_4164;
BgL_new1054z00_4164 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1494z00_4165;
BgL_arg1494z00_4165 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_4164), BgL_arg1494z00_4165); } 
return BgL_new1054z00_4164;} } 

}



/* &lambda1491 */
BgL_ev_littz00_bglt BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t BgL_envz00_3761, obj_t BgL_value1053z00_3762)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1198z00_4166;
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1197z00_4167;
BgL_new1197z00_4167 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1492z00_4168;
BgL_arg1492z00_4168 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_4167), BgL_arg1492z00_4168); } 
BgL_new1198z00_4166 = BgL_new1197z00_4167; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1198z00_4166))->BgL_valuez00)=((obj_t)BgL_value1053z00_3762),BUNSPEC); 
return BgL_new1198z00_4166;} } 

}



/* &lambda1500 */
obj_t BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t BgL_envz00_3763, obj_t BgL_oz00_3764, obj_t BgL_vz00_3765)
{
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3764)))->BgL_valuez00)=((obj_t)BgL_vz00_3765),BUNSPEC);} 

}



/* &lambda1499 */
obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3766, obj_t BgL_oz00_3767)
{
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3767)))->BgL_valuez00);} 

}



/* &<@anonymous:1465> */
obj_t BGl_z62zc3z04anonymousza31465ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3768, obj_t BgL_new1051z00_3769)
{
{ /* Eval/evaluate_types.scm 55 */
{ 
 BgL_ev_globalz00_bglt BgL_auxz00_5435;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3769)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3769)))->BgL_namez00)=((obj_t)BGl_symbol2650z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3769)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5435 = 
((BgL_ev_globalz00_bglt)BgL_new1051z00_3769); 
return 
((obj_t)BgL_auxz00_5435);} } 

}



/* &lambda1463 */
BgL_ev_globalz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t BgL_envz00_3770)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1050z00_4172;
BgL_new1050z00_4172 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1464z00_4173;
BgL_arg1464z00_4173 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_4172), BgL_arg1464z00_4173); } 
return BgL_new1050z00_4172;} } 

}



/* &lambda1461 */
BgL_ev_globalz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t BgL_envz00_3771, obj_t BgL_loc1047z00_3772, obj_t BgL_name1048z00_3773, obj_t BgL_mod1049z00_3774)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1196z00_4175;
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1195z00_4176;
BgL_new1195z00_4176 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1462z00_4177;
BgL_arg1462z00_4177 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_4176), BgL_arg1462z00_4177); } 
BgL_new1196z00_4175 = BgL_new1195z00_4176; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4175))->BgL_locz00)=((obj_t)BgL_loc1047z00_3772),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4175))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1048z00_3773)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4175))->BgL_modz00)=((obj_t)BgL_mod1049z00_3774),BUNSPEC); 
return BgL_new1196z00_4175;} } 

}



/* &lambda1483 */
obj_t BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t BgL_envz00_3775, obj_t BgL_oz00_3776, obj_t BgL_vz00_3777)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3776)))->BgL_modz00)=((obj_t)BgL_vz00_3777),BUNSPEC);} 

}



/* &lambda1482 */
obj_t BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t BgL_envz00_3778, obj_t BgL_oz00_3779)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3779)))->BgL_modz00);} 

}



/* &lambda1478 */
obj_t BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t BgL_envz00_3780, obj_t BgL_oz00_3781, obj_t BgL_vz00_3782)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3781)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3782)),BUNSPEC);} 

}



/* &lambda1477 */
obj_t BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t BgL_envz00_3783, obj_t BgL_oz00_3784)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3784)))->BgL_namez00);} 

}



/* &lambda1470 */
obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3785, obj_t BgL_oz00_3786, obj_t BgL_vz00_3787)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3786)))->BgL_locz00)=((obj_t)BgL_vz00_3787),BUNSPEC);} 

}



/* &lambda1469 */
obj_t BGl_z62lambda1469z62zz__evaluate_typesz00(obj_t BgL_envz00_3788, obj_t BgL_oz00_3789)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3789)))->BgL_locz00);} 

}



/* &<@anonymous:1438> */
obj_t BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3790, obj_t BgL_new1045z00_3791)
{
{ /* Eval/evaluate_types.scm 51 */
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5469;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3791)))->BgL_namez00)=((obj_t)BGl_symbol2650z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3791)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3791)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5469 = 
((BgL_ev_varz00_bglt)BgL_new1045z00_3791); 
return 
((obj_t)BgL_auxz00_5469);} } 

}



/* &lambda1434 */
BgL_ev_varz00_bglt BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t BgL_envz00_3792)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1044z00_4186;
BgL_new1044z00_4186 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1437z00_4187;
BgL_arg1437z00_4187 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1044z00_4186), BgL_arg1437z00_4187); } 
return BgL_new1044z00_4186;} } 

}



/* &lambda1432 */
BgL_ev_varz00_bglt BGl_z62lambda1432z62zz__evaluate_typesz00(obj_t BgL_envz00_3793, obj_t BgL_name1041z00_3794, obj_t BgL_eff1042z00_3795, obj_t BgL_type1043z00_3796)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1194z00_4189;
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1193z00_4190;
BgL_new1193z00_4190 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1433z00_4191;
BgL_arg1433z00_4191 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_4190), BgL_arg1433z00_4191); } 
BgL_new1194z00_4189 = BgL_new1193z00_4190; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4189))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1041z00_3794)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4189))->BgL_effz00)=((obj_t)BgL_eff1042z00_3795),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4189))->BgL_typez00)=((obj_t)BgL_type1043z00_3796),BUNSPEC); 
return BgL_new1194z00_4189;} } 

}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3797, obj_t BgL_oz00_3798, obj_t BgL_vz00_3799)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3798)))->BgL_typez00)=((obj_t)BgL_vz00_3799),BUNSPEC);} 

}



/* &lambda1454 */
obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3800, obj_t BgL_oz00_3801)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3801)))->BgL_typez00);} 

}



/* &<@anonymous:1450> */
obj_t BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3802)
{
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1449 */
obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3803, obj_t BgL_oz00_3804, obj_t BgL_vz00_3805)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3804)))->BgL_effz00)=((obj_t)BgL_vz00_3805),BUNSPEC);} 

}



/* &lambda1448 */
obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t BgL_envz00_3806, obj_t BgL_oz00_3807)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3807)))->BgL_effz00);} 

}



/* &lambda1443 */
obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t BgL_envz00_3808, obj_t BgL_oz00_3809, obj_t BgL_vz00_3810)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3809)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3810)),BUNSPEC);} 

}



/* &lambda1442 */
obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t BgL_envz00_3811, obj_t BgL_oz00_3812)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3812)))->BgL_namez00);} 

}



/* &<@anonymous:1426> */
obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3813, obj_t BgL_new1039z00_3814)
{
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1039z00_3814));} 

}



/* &lambda1424 */
BgL_ev_exprz00_bglt BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t BgL_envz00_3815)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1038z00_4200;
BgL_new1038z00_4200 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1425z00_4201;
BgL_arg1425z00_4201 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1038z00_4200), BgL_arg1425z00_4201); } 
return BgL_new1038z00_4200;} } 

}



/* &lambda1422 */
BgL_ev_exprz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t BgL_envz00_3816)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1192z00_4202;
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1191z00_4203;
BgL_new1191z00_4203 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1423z00_4204;
BgL_arg1423z00_4204 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_4203), BgL_arg1423z00_4204); } 
BgL_new1192z00_4202 = BgL_new1191z00_4203; } 
return BgL_new1192z00_4202;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)481261960), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)242777169), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)43892022), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)207454816), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2327z00zz__evaluate_typesz00));} 

}

#ifdef __cplusplus
}
#endif
