/*===========================================================================*/
/*   (Unsafe/sha2.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/sha2.scm -o objs/obj_p/Unsafe/sha2.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
static obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
static uint32_t BGl_rotr32z00zz__sha2z00(uint32_t, int);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t);
static obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sha2z00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumz00zz__sha2z00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t);
extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
static uint64_t BGl_rotr64z00zz__sha2z00(uint64_t, int);
static obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
static long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
static uint64_t BGl_compressze70ze7zz__sha2z00(uint64_t, uint64_t, uint64_t, uint64_t, uint64_t, long);
static uint32_t BGl_compressze71ze7zz__sha2z00(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t, long);
static long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static uint32_t BGl_addu32z00zz__sha2z00(uint32_t, uint32_t);
static obj_t BGl_toplevelzd2initzd2zz__sha2z00(void);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t, obj_t, obj_t);
static long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t, obj_t);
static long BGl_u32mmapzd2refze70z35zz__sha2z00(obj_t, obj_t, long);
static long BGl_u32mmapzd2refze71z35zz__sha2z00(obj_t, long);
static obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t, obj_t, obj_t);
static long BGl_u32stringzd2refze70z35zz__sha2z00(obj_t, long);
static long BGl_u32stringzd2refze71z35zz__sha2z00(obj_t, long);
static uint64_t BGl_xfzd2refze70z35zz__sha2z00(obj_t, long);
static uint32_t BGl_xfzd2refze71z35zz__sha2z00(obj_t, long);
static obj_t BGl_genericzd2initzd2zz__sha2z00(void);
static obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00(void);
static obj_t BGl_gczd2rootszd2initz00zz__sha2z00(void);
static obj_t BGl_objectzd2initzd2zz__sha2z00(void);
static uint64_t BGl_get64zd2azd2zz__sha2z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2bzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2czd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2dzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2ezd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2fzd2zz__sha2z00(obj_t);
extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
static uint64_t BGl_get64zd2gzd2zz__sha2z00(obj_t);
static uint64_t BGl_get64zd2hzd2zz__sha2z00(obj_t);
static obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31635ze3ze5zz__sha2z00(obj_t);
extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__sha2z00(obj_t);
static uint64_t BGl_Majze70ze7zz__sha2z00(uint64_t, uint64_t, uint64_t);
static uint32_t BGl_Majze71ze7zz__sha2z00(uint32_t, uint32_t, uint32_t);
static uint32_t BGl_Sigma0zd2256zd2zz__sha2z00(uint32_t);
static obj_t BGl_z62zc3z04anonymousza31636ze3ze5zz__sha2z00(obj_t);
extern obj_t BGl_makezd2u64vectorzd2zz__srfi4z00(long, uint64_t);
static uint32_t BGl_sigma0zd2256zd2zz__sha2z00(uint32_t);
static uint64_t BGl_Sigma0zd2512zd2zz__sha2z00(uint64_t);
static obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(void);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t);
static obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__sha2z00(void);
static uint64_t BGl_sigma0zd2512zd2zz__sha2z00(uint64_t);
extern obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__sha2z00(void);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t);
static obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t);
static obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t, obj_t);
static uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t);
static long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t, long, uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t);
static obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(void);
extern obj_t make_string(long, unsigned char);
static obj_t BGl_K256z00zz__sha2z00 = BUNSPEC;
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
static obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
static uint32_t BGl_sigma1zd2256zd2zz__sha2z00(uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t);
static long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t, long, uint64_t);
extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
static uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t);
static obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t, obj_t);
static obj_t BGl_K512z00zz__sha2z00 = BUNSPEC;
static obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
static long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t, obj_t, long, obj_t, long);
static uint64_t BGl_sigma1zd2512zd2zz__sha2z00(uint64_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static uint32_t BGl_getzd2azd2zz__sha2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha256sumz00zz__sha2z00(obj_t);
static uint32_t BGl_getzd2bzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2czd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2dzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2ezd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2fzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2gzd2zz__sha2z00(obj_t);
static uint32_t BGl_getzd2hzd2zz__sha2z00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2stringzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2s2330z00, BGl_z62sha512sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2portzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2p2331z00, BGl_z62sha256sumzd2portzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2filezd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2f2332z00, BGl_z62sha512sumzd2filezb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2310z00zz__sha2z00, BgL_bgl_string2310za700za7za7_2333za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Unsafe/sha2.scm", 59 );
DEFINE_STRING( BGl_string2311z00zz__sha2z00, BgL_bgl_string2311za700za7za7_2334za7, "&sha256sum-mmap", 15 );
DEFINE_STRING( BGl_string2312z00zz__sha2z00, BgL_bgl_string2312za700za7za7_2335za7, "mmap", 4 );
DEFINE_STRING( BGl_string2314z00zz__sha2z00, BgL_bgl_string2314za700za7za7_2336za7, "&sha256sum-string", 17 );
DEFINE_STRING( BGl_string2315z00zz__sha2z00, BgL_bgl_string2315za700za7za7_2337za7, "bstring", 7 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2309z00zz__sha2z00, BgL_bgl_za762fillza7d2word322338z00, BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00 );
DEFINE_STRING( BGl_string2316z00zz__sha2z00, BgL_bgl_string2316za700za7za7_2339za7, "&sha256sum-port", 15 );
DEFINE_STRING( BGl_string2317z00zz__sha2z00, BgL_bgl_string2317za700za7za7_2340za7, "input-port", 10 );
DEFINE_STRING( BGl_string2318z00zz__sha2z00, BgL_bgl_string2318za700za7za7_2341za7, "&sha256sum-file", 15 );
DEFINE_STRING( BGl_string2319z00zz__sha2z00, BgL_bgl_string2319za700za7za7_2342za7, "sha256sum", 9 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2313z00zz__sha2z00, BgL_bgl_za762fillza7d2word322343z00, BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00 );
DEFINE_STRING( BGl_string2320z00zz__sha2z00, BgL_bgl_string2320za700za7za7_2344za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2321z00zz__sha2z00, BgL_bgl_string2321za700za7za7_2345za7, "&sha512sum-mmap", 15 );
DEFINE_STRING( BGl_string2323z00zz__sha2z00, BgL_bgl_string2323za700za7za7_2346za7, "&sha512sum-string", 17 );
DEFINE_STRING( BGl_string2324z00zz__sha2z00, BgL_bgl_string2324za700za7za7_2347za7, "&sha512sum-port", 15 );
DEFINE_STRING( BGl_string2325z00zz__sha2z00, BgL_bgl_string2325za700za7za7_2348za7, "&sha512sum-file", 15 );
DEFINE_STRING( BGl_string2326z00zz__sha2z00, BgL_bgl_string2326za700za7za7_2349za7, "sha512sum", 9 );
DEFINE_STRING( BGl_string2327z00zz__sha2z00, BgL_bgl_string2327za700za7za7_2350za7, "&hmac-sha256sum-string", 22 );
DEFINE_STRING( BGl_string2328z00zz__sha2z00, BgL_bgl_string2328za700za7za7_2351za7, "&hmac-sha512sum-string", 22 );
DEFINE_STRING( BGl_string2329z00zz__sha2z00, BgL_bgl_string2329za700za7za7_2352za7, "__sha2", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2stringzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2s2353z00, BGl_z62sha256sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2322z00zz__sha2z00, BgL_bgl_za762fillza7d2word642354z00, BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2envzd2zz__sha2z00, BgL_bgl_za762sha512sumza762za72355za7, BGl_z62sha512sumz62zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2envzd2zz__sha2z00, BgL_bgl_za762sha256sumza762za72356za7, BGl_z62sha256sumz62zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2portzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2p2357z00, BGl_z62sha512sumzd2portzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2mmapzd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2m2358z00, BGl_z62sha256sumzd2mmapzb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha512sumzd2stringzd2envzd2zz__sha2z00, BgL_bgl_za762hmacza7d2sha5122359z00, BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha256sumzd2filezd2envz00zz__sha2z00, BgL_bgl_za762sha256sumza7d2f2360z00, BGl_z62sha256sumzd2filezb0zz__sha2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha256sumzd2stringzd2envzd2zz__sha2z00, BgL_bgl_za762hmacza7d2sha2562361z00, BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha512sumzd2mmapzd2envz00zz__sha2z00, BgL_bgl_za762sha512sumza7d2m2362z00, BGl_z62sha512sumzd2mmapzb0zz__sha2z00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sha2z00) );
ADD_ROOT( (void *)(&BGl_K256z00zz__sha2z00) );
ADD_ROOT( (void *)(&BGl_K512z00zz__sha2z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/sha2.scm\" 2790) \"BGl_toplevelzd2initzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"addu32\" \"Unsafe/sha2.scm\" 7572) \"BGl_addu32z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotr32\" \"Unsafe/sha2.scm\" 8933) \"BGl_rotr32z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotr64\" \"Unsafe/sha2.scm\" 9258) \"BGl_rotr64z00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32-fill!\" \"Unsafe/sha2.scm\" 9583) \"BGl_u32zd2fillz12zc0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u64-fill!\" \"Unsafe/sha2.scm\" 10134) \"BGl_u64zd2fillz12zc0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"state->string\" \"Unsafe/sha2.scm\" 10978) \"BGl_statezd2ze3stringz31zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"state64->string\" \"Unsafe/sha2.scm\" 11661) \"BGl_state64zd2ze3stringz31zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-initial-hash-value\" \"Unsafe/sha2.scm\" 17253) \"BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-initial-hash-value\" \"Unsafe/sha2.scm\" 17931) \"BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma0-256\" \"Unsafe/sha2.scm\" 23952) \"BGl_Sigma0zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma0-256\" \"Unsafe/sha2.scm\" 24270) \"BGl_sigma0zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma1-256\" \"Unsafe/sha2.scm\" 24592) \"BGl_Sigma1zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma1-256\" \"Unsafe/sha2.scm\" 24910) \"BGl_sigma1zd2256zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma0-512\" \"Unsafe/sha2.scm\" 25234) \"BGl_Sigma0zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Sigma1-512\" \"Unsafe/sha2.scm\" 25555) \"BGl_Sigma1zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma0-512\" \"Unsafe/sha2.scm\" 25876) \"BGl_sigma0zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sigma1-512\" \"Unsafe/sha2.scm\" 26199) \"BGl_sigma1zd2512zd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-a\" \"Unsafe/sha2.scm\" 26524) \"BGl_getzd2azd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-b\" \"Unsafe/sha2.scm\" 26573) \"BGl_getzd2bzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-c\" \"Unsafe/sha2.scm\" 26622) \"BGl_getzd2czd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-d\" \"Unsafe/sha2.scm\" 26671) \"BGl_getzd2dzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-e\" \"Unsafe/sha2.scm\" 26720) \"BGl_getzd2ezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-f\" \"Unsafe/sha2.scm\" 26769) \"BGl_getzd2fzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-g\" \"Unsafe/sha2.scm\" 26818) \"BGl_getzd2gzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-h\" \"Unsafe/sha2.scm\" 26867) \"BGl_getzd2hzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-internal-transform\" \"Unsafe/sha2.scm\" 27139) \"BGl_sha256zd2internalzd2transformz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"xf-ref~1\" \"Unsafe/sha2.scm\" 27661) \"BGl_xfzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"compress~1\" \"Unsafe/sha2.scm\" 27567) \"BGl_compressze71ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Maj~1\" \"Unsafe/sha2.scm\" 27335) \"BGl_Majze71ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256-update\" \"Unsafe/sha2.scm\" 29588) \"BGl_sha256zd2updatezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-mmap\" \"Unsafe/sha2.scm\" 31097) \"BGl_sha256sumzd2mmapzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-mmap\" \"Unsafe/sha2.scm\" 31097) \"BGl_z62sha256sumzd2mmapzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-mmap!\" \"Unsafe/sha2.scm\" 32215) \"BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref~1\" \"Unsafe/sha2.scm\" 31216) \"BGl_u32mmapzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-string\" \"Unsafe/sha2.scm\" 32608) \"BGl_sha256sumzd2stringzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-string\" \"Unsafe/sha2.scm\" 32608) \"BGl_z62sha256sumzd2stringzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-string!\" \"Unsafe/sha2.scm\" 33743) \"BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref~1\" \"Unsafe/sha2.scm\" 32723) \"BGl_u32stringzd2refze71z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-port\" \"Unsafe/sha2.scm\" 34139) \"BGl_sha256sumzd2portzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-port\" \"Unsafe/sha2.scm\" 34139) \"BGl_z62sha256sumzd2portzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word32-port!\" \"Unsafe/sha2.scm\" 35599) \"BGl_z62fillzd2word32zd2portz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum-file\" \"Unsafe/sha2.scm\" 35991) \"BGl_sha256sumzd2filezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum-file\" \"Unsafe/sha2.scm\" 35991) \"BGl_z62sha256sumzd2filezb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1635>\" \"Unsafe/sha2.scm\" 36089) \"BGl_z62zc3z04anonymousza31635ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1636>\" \"Unsafe/sha2.scm\" 36198) \"BGl_z62zc3z04anonymousza31636ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha256sum\" \"Unsafe/sha2.scm\" 36486) \"BGl_sha256sumz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha256sum\" \"Unsafe/sha2.scm\" 36486) \"BGl_z62sha256sumz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-a\" \"Unsafe/sha2.scm\" 36961) \"BGl_get64zd2azd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-b\" \"Unsafe/sha2.scm\" 37012) \"BGl_get64zd2bzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-c\" \"Unsafe/sha2.scm\" 37063) \"BGl_get64zd2czd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-d\" \"Unsafe/sha2.scm\" 37114) \"BGl_get64zd2dzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-e\" \"Unsafe/sha2.scm\" 37165) \"BGl_get64zd2ezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-f\" \"Unsafe/sha2.scm\" 37216) \"BGl_get64zd2fzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-g\" \"Unsafe/sha2.scm\" 37267) \"BGl_get64zd2gzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"get64-h\" \"Unsafe/sha2.scm\" 37318) \"BGl_get64zd2hzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-internal-transform\" \"Unsafe/sha2.scm\" 37592) \"BGl_sha512zd2internalzd2transformz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"xf-ref~0\" \"Unsafe/sha2.scm\" 38116) \"BGl_xfzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"compress~0\" \"Unsafe/sha2.scm\" 38022) \"BGl_compressze70ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"Maj~0\" \"Unsafe/sha2.scm\" 37790) \"BGl_Majze70ze7zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512-update\" \"Unsafe/sha2.scm\" 40075) \"BGl_sha512zd2updatezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-mmap\" \"Unsafe/sha2.scm\" 41588) \"BGl_sha512sumzd2mmapzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-mmap\" \"Unsafe/sha2.scm\" 41588) \"BGl_z62sha512sumzd2mmapzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-mmap!\" \"Unsafe/sha2.scm\" 43103) \"BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref~0\" \"Unsafe/sha2.scm\" 41700) \"BGl_u32mmapzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-string\" \"Unsafe/sha2.scm\" 43498) \"BGl_sha512sumzd2stringzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-string\" \"Unsafe/sha2.scm\" 43498) \"BGl_z62sha512sumzd2stringzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-string!\" \"Unsafe/sha2.scm\" 45047) \"BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref~0\" \"Unsafe/sha2.scm\" 43613) \"BGl_u32stringzd2refze70z35zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-port\" \"Unsafe/sha2.scm\" 45445) \"BGl_sha512sumzd2portzd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-port\" \"Unsafe/sha2.scm\" 45445) \"BGl_z62sha512sumzd2portzb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&fill-word64-port!\" \"Unsafe/sha2.scm\" 47281) \"BGl_z62fillzd2word64zd2portz12z70zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum-file\" \"Unsafe/sha2.scm\" 47675) \"BGl_sha512sumzd2filezd2zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum-file\" \"Unsafe/sha2.scm\" 47675) \"BGl_z62sha512sumzd2filezb0zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1957>\" \"Unsafe/sha2.scm\" 47773) \"BGl_z62zc3z04anonymousza31957ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1958>\" \"Unsafe/sha2.scm\" 47882) \"BGl_z62zc3z04anonymousza31958ze3ze5zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha512sum\" \"Unsafe/sha2.scm\" 48170) \"BGl_sha512sumz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha512sum\" \"Unsafe/sha2.scm\" 48170) \"BGl_z62sha512sumz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha256sum-string\" \"Unsafe/sha2.scm\" 48645) \"BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha256sum-string\" \"Unsafe/sha2.scm\" 48645) \"BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha512sum-string\" \"Unsafe/sha2.scm\" 48951) \"BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha512sum-string\" \"Unsafe/sha2.scm\" 48951) \"BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long BgL_checksumz00_4360, char * BgL_fromz00_4361)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sha2z00))
{ 
BGl_requirezd2initializa7ationz75zz__sha2z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__sha2z00(); 
BGl_importedzd2moduleszd2initz00zz__sha2z00(); 
BGl_toplevelzd2initzd2zz__sha2z00(); 
return 
BGl_profzd2initzd2zz__sha2z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
{ /* Unsafe/sha2.scm 339 */
 obj_t BgL_vz00_1358;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1358 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)64), (uint32_t)(0)); } 
BGL_U32VSET(BgL_vz00_1358, ((long)0), (uint32_t)(1116352408)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)1), (uint32_t)(1899447441)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)2), (uint32_t)(3049323471)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)3), (uint32_t)(3921009573)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)4), (uint32_t)(961987163)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)5), (uint32_t)(1508970993)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)6), (uint32_t)(2453635748)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)7), (uint32_t)(2870763221)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)8), (uint32_t)(3624381080)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)9), (uint32_t)(310598401)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)10), (uint32_t)(607225278)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)11), (uint32_t)(1426881987)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)12), (uint32_t)(1925078388)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)13), (uint32_t)(2162078206)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)14), (uint32_t)(2614888103)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)15), (uint32_t)(3248222580)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)16), (uint32_t)(3835390401)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)17), (uint32_t)(4022224774)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)18), (uint32_t)(264347078)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)19), (uint32_t)(604807628)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)20), (uint32_t)(770255983)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)21), (uint32_t)(1249150122)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)22), (uint32_t)(1555081692)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)23), (uint32_t)(1996064986)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)24), (uint32_t)(2554220882)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)25), (uint32_t)(2821834349)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)26), (uint32_t)(2952996808)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)27), (uint32_t)(3210313671)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)28), (uint32_t)(3336571891)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)29), (uint32_t)(3584528711)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)30), (uint32_t)(113926993)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)31), (uint32_t)(338241895)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)32), (uint32_t)(666307205)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)33), (uint32_t)(773529912)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)34), (uint32_t)(1294757372)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)35), (uint32_t)(1396182291)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)36), (uint32_t)(1695183700)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)37), (uint32_t)(1986661051)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)38), (uint32_t)(2177026350)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)39), (uint32_t)(2456956037)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)40), (uint32_t)(2730485921)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)41), (uint32_t)(2820302411)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)42), (uint32_t)(3259730800)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)43), (uint32_t)(3345764771)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)44), (uint32_t)(3516065817)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)45), (uint32_t)(3600352804)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)46), (uint32_t)(4094571909)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)47), (uint32_t)(275423344)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)48), (uint32_t)(430227734)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)49), (uint32_t)(506948616)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)50), (uint32_t)(659060556)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)51), (uint32_t)(883997877)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)52), (uint32_t)(958139571)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)53), (uint32_t)(1322822218)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)54), (uint32_t)(1537002063)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)55), (uint32_t)(1747873779)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)56), (uint32_t)(1955562222)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)57), (uint32_t)(2024104815)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)58), (uint32_t)(2227730452)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)59), (uint32_t)(2361852424)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)60), (uint32_t)(2428436474)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)61), (uint32_t)(2756734187)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)62), (uint32_t)(3204031479)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1358, ((long)63), (uint32_t)(3329325298)); BUNSPEC; 
BGl_K256z00zz__sha2z00 = BgL_vz00_1358; } 
{ /* Unsafe/sha2.scm 440 */
 obj_t BgL_vz00_1361;
{ /* Llib/srfi4.scm 453 */

BgL_vz00_1361 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)80), (uint64_t)(0)); } 
BGL_U64VSET(BgL_vz00_1361, ((long)0), (uint64_t)(4794697086780616226)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)1), (uint64_t)(8158064640168781261)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)2), (uint64_t)(-5349999486874862801)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)3), (uint64_t)(-1606136188198331460)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)4), (uint64_t)(4131703408338449720)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)5), (uint64_t)(6480981068601479193)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)6), (uint64_t)(-7908458776815382629)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)7), (uint64_t)(-6116909921290321640)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)8), (uint64_t)(-2880145864133508542)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)9), (uint64_t)(1334009975649890238)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)10), (uint64_t)(2608012711638119052)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)11), (uint64_t)(6128411473006802146)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)12), (uint64_t)(8268148722764581231)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)13), (uint64_t)(-9160688886553864527)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)14), (uint64_t)(-7215885187991268811)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)15), (uint64_t)(-4495734319001033068)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)16), (uint64_t)(-1973867731355612462)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)17), (uint64_t)(-1171420211273849373)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)18), (uint64_t)(1135362057144423861)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)19), (uint64_t)(2597628984639134821)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)20), (uint64_t)(3308224258029322869)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)21), (uint64_t)(5365058923640841347)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)22), (uint64_t)(6679025012923562964)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)23), (uint64_t)(8573033837759648693)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)24), (uint64_t)(-7476448914759557205)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)25), (uint64_t)(-6327057829258317296)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)26), (uint64_t)(-5763719355590565569)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)27), (uint64_t)(-4658551843659510044)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)28), (uint64_t)(-4116276920077217854)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)29), (uint64_t)(-3051310485924567259)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)30), (uint64_t)(489312712824947311)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)31), (uint64_t)(1452737877330783856)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)32), (uint64_t)(2861767655752347644)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)33), (uint64_t)(3322285676063803686)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)34), (uint64_t)(5560940570517711597)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)35), (uint64_t)(5996557281743188959)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)36), (uint64_t)(7280758554555802590)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)37), (uint64_t)(8532644243296465576)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)38), (uint64_t)(-9096487096722542874)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)39), (uint64_t)(-7894198246740708037)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)40), (uint64_t)(-6719396339535248540)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)41), (uint64_t)(-6333637450476146687)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)42), (uint64_t)(-4446306890439682159)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)43), (uint64_t)(-4076793802049405392)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)44), (uint64_t)(-3345356375505022440)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)45), (uint64_t)(-2983346525034927856)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)46), (uint64_t)(-860691631967231958)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)47), (uint64_t)(1182934255886127544)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)48), (uint64_t)(1847814050463011016)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)49), (uint64_t)(2177327727835720531)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)50), (uint64_t)(2830643537854262169)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)51), (uint64_t)(3796741975233480872)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)52), (uint64_t)(4115178125766777443)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)53), (uint64_t)(5681478168544905931)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)54), (uint64_t)(6601373596472566643)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)55), (uint64_t)(7507060721942968483)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)56), (uint64_t)(8399075790359081724)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)57), (uint64_t)(8693463985226723168)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)58), (uint64_t)(-8878714635349349518)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)59), (uint64_t)(-8302665154208450068)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)60), (uint64_t)(-8016688836872298968)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)61), (uint64_t)(-6606660893046293015)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)62), (uint64_t)(-4685533653050689259)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)63), (uint64_t)(-4147400797238176981)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)64), (uint64_t)(-3880063495543823972)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)65), (uint64_t)(-3348786107499101689)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)66), (uint64_t)(-1523767162380948706)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)67), (uint64_t)(-757361751448694408)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)68), (uint64_t)(500013540394364858)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)69), (uint64_t)(748580250866718886)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)70), (uint64_t)(1242879168328830382)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)71), (uint64_t)(1977374033974150939)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)72), (uint64_t)(2944078676154940804)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)73), (uint64_t)(3659926193048069267)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)74), (uint64_t)(4368137639120453308)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)75), (uint64_t)(4836135668995329356)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)76), (uint64_t)(5532061633213252278)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)77), (uint64_t)(6448918945643986474)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)78), (uint64_t)(6902733635092675308)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1361, ((long)79), (uint64_t)(7801388544844847127)); BUNSPEC; 
return ( 
BGl_K512z00zz__sha2z00 = BgL_vz00_1361, BUNSPEC) ;} } 

}



/* addu32 */
uint32_t BGl_addu32z00zz__sha2z00(uint32_t BgL_n1z00_3, uint32_t BgL_n2z00_4)
{
{ /* Unsafe/sha2.scm 185 */
{ /* Unsafe/sha2.scm 186 */
 uint32_t BgL_h1z00_1372;
BgL_h1z00_1372 = 
(BgL_n1z00_3 >> 
(int)(((long)16))); 
{ /* Unsafe/sha2.scm 186 */
 uint32_t BgL_h2z00_1373;
BgL_h2z00_1373 = 
(BgL_n2z00_4 >> 
(int)(((long)16))); 
{ /* Unsafe/sha2.scm 187 */
 uint32_t BgL_hz00_1374;
{ /* Unsafe/sha2.scm 188 */
 uint32_t BgL_arg1253z00_1381; uint32_t BgL_arg1254z00_1382;
BgL_arg1253z00_1381 = 
(uint32_t)(((long)65535)); 
BgL_arg1254z00_1382 = 
(BgL_h1z00_1372+BgL_h2z00_1373); 
BgL_hz00_1374 = 
(BgL_arg1253z00_1381 & BgL_arg1254z00_1382); } 
{ /* Unsafe/sha2.scm 188 */
 uint32_t BgL_l1z00_1375;
{ /* Unsafe/sha2.scm 189 */
 uint32_t BgL_arg1252z00_1380;
BgL_arg1252z00_1380 = 
(uint32_t)(((long)65535)); 
BgL_l1z00_1375 = 
(BgL_n1z00_3 & BgL_arg1252z00_1380); } 
{ /* Unsafe/sha2.scm 189 */
 uint32_t BgL_l2z00_1376;
{ /* Unsafe/sha2.scm 190 */
 uint32_t BgL_arg1251z00_1379;
BgL_arg1251z00_1379 = 
(uint32_t)(((long)65535)); 
BgL_l2z00_1376 = 
(BgL_n2z00_4 & BgL_arg1251z00_1379); } 
{ /* Unsafe/sha2.scm 192 */

return 
(
(BgL_hz00_1374 << 
(int)(((long)16)))+
(BgL_l1z00_1375+BgL_l2z00_1376));} } } } } } } 

}



/* rotr32 */
uint32_t BGl_rotr32z00zz__sha2z00(uint32_t BgL_xz00_5, int BgL_nz00_6)
{
{ /* Unsafe/sha2.scm 224 */
return 
(
(BgL_xz00_5 >> 
(int)(
(long)(BgL_nz00_6))) | 
(BgL_xz00_5 << 
(int)(
(((long)32)-
(long)(BgL_nz00_6)))));} 

}



/* rotr64 */
uint64_t BGl_rotr64z00zz__sha2z00(uint64_t BgL_xz00_7, int BgL_nz00_8)
{
{ /* Unsafe/sha2.scm 230 */
return 
(
(BgL_xz00_7 >> 
(int)(
(long)(BgL_nz00_8))) | 
(BgL_xz00_7 << 
(int)(
(((long)64)-
(long)(BgL_nz00_8)))));} 

}



/* u32-fill! */
obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_9, long BgL_offsetz00_10, uint32_t BgL_wz00_11)
{
{ /* Unsafe/sha2.scm 236 */
{ /* Unsafe/sha2.scm 237 */
 obj_t BgL_s1z00_1389;
{ /* Unsafe/sha2.scm 237 */
 long BgL_arg1288z00_1401;
{ /* Unsafe/sha2.scm 237 */
 uint32_t BgL_tmpz00_4548;
BgL_tmpz00_4548 = 
(BgL_wz00_11 >> 
(int)(((long)16))); 
BgL_arg1288z00_1401 = 
(long)(BgL_tmpz00_4548); } 
BgL_s1z00_1389 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1288z00_1401, ((long)16)); } 
{ /* Unsafe/sha2.scm 237 */
 long BgL_l1z00_1390;
BgL_l1z00_1390 = 
STRING_LENGTH(BgL_s1z00_1389); 
{ /* Unsafe/sha2.scm 238 */
 obj_t BgL_s2z00_1391;
{ /* Unsafe/sha2.scm 239 */
 long BgL_arg1280z00_1398;
{ /* Unsafe/sha2.scm 239 */
 uint32_t BgL_arg1284z00_1399;
BgL_arg1284z00_1399 = 
(BgL_wz00_11 & 
((uint32_t)(65536)-
(uint32_t)(((long)1)))); 
BgL_arg1280z00_1398 = 
(long)(BgL_arg1284z00_1399); } 
BgL_s2z00_1391 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1280z00_1398, ((long)16)); } 
{ /* Unsafe/sha2.scm 239 */
 long BgL_l2z00_1392;
BgL_l2z00_1392 = 
STRING_LENGTH(BgL_s2z00_1391); 
{ /* Unsafe/sha2.scm 240 */

blit_string(BgL_s1z00_1389, ((long)0), BgL_strz00_9, 
(BgL_offsetz00_10+
(((long)4)-BgL_l1z00_1390)), BgL_l1z00_1390); 
return 
blit_string(BgL_s2z00_1391, ((long)0), BgL_strz00_9, 
(BgL_offsetz00_10+
(((long)4)+
(((long)4)-BgL_l2z00_1392))), BgL_l2z00_1392);} } } } } } 

}



/* u64-fill! */
obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_12, long BgL_offsetz00_13, uint64_t BgL_wz00_14)
{
{ /* Unsafe/sha2.scm 247 */
{ /* Unsafe/sha2.scm 248 */
 obj_t BgL_s1z00_1403;
{ /* Unsafe/sha2.scm 248 */
 long BgL_arg1350z00_1443;
{ /* Unsafe/sha2.scm 248 */
 long BgL_arg1351z00_1444;
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_arg1352z00_1445;
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_arg1353z00_1446;
{ /* Unsafe/sha2.scm 248 */
 uint64_t BgL_tmpz00_4567;
BgL_tmpz00_4567 = 
(BgL_wz00_14 >> 
(int)(((long)32))); 
BgL_arg1353z00_1446 = 
(uint32_t)(BgL_tmpz00_4567); } 
BgL_arg1352z00_1445 = 
(BgL_arg1353z00_1446 >> 
(int)(((long)16))); } 
BgL_arg1351z00_1444 = 
(long)(BgL_arg1352z00_1445); } 
{ /* Unsafe/sha2.scm 248 */
 uint32_t BgL_xz00_2976;
BgL_xz00_2976 = 
(uint32_t)(BgL_arg1351z00_1444); 
BgL_arg1350z00_1443 = 
(long)(BgL_xz00_2976); } } 
BgL_s1z00_1403 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1350z00_1443, ((long)16)); } 
{ /* Unsafe/sha2.scm 248 */
 long BgL_l1z00_1404;
BgL_l1z00_1404 = 
STRING_LENGTH(BgL_s1z00_1403); 
{ /* Unsafe/sha2.scm 249 */
 obj_t BgL_s2z00_1405;
{ /* Unsafe/sha2.scm 250 */
 long BgL_arg1343z00_1437;
{ /* Unsafe/sha2.scm 250 */
 long BgL_arg1344z00_1438;
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_arg1345z00_1439;
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_arg1346z00_1440; uint32_t BgL_arg1347z00_1441;
{ /* Unsafe/sha2.scm 250 */
 uint64_t BgL_tmpz00_4578;
BgL_tmpz00_4578 = 
(BgL_wz00_14 >> 
(int)(((long)32))); 
BgL_arg1346z00_1440 = 
(uint32_t)(BgL_tmpz00_4578); } 
BgL_arg1347z00_1441 = 
((uint32_t)(65536)-
(uint32_t)(((long)1))); 
BgL_arg1345z00_1439 = 
(BgL_arg1346z00_1440 & BgL_arg1347z00_1441); } 
BgL_arg1344z00_1438 = 
(long)(BgL_arg1345z00_1439); } 
{ /* Unsafe/sha2.scm 250 */
 uint32_t BgL_xz00_2985;
BgL_xz00_2985 = 
(uint32_t)(BgL_arg1344z00_1438); 
BgL_arg1343z00_1437 = 
(long)(BgL_xz00_2985); } } 
BgL_s2z00_1405 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1343z00_1437, ((long)16)); } 
{ /* Unsafe/sha2.scm 250 */
 long BgL_l2z00_1406;
BgL_l2z00_1406 = 
STRING_LENGTH(BgL_s2z00_1405); 
{ /* Unsafe/sha2.scm 251 */
 obj_t BgL_s3z00_1407;
{ /* Unsafe/sha2.scm 252 */
 long BgL_arg1336z00_1430;
{ /* Unsafe/sha2.scm 252 */
 long BgL_arg1337z00_1431;
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_arg1338z00_1432;
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_arg1339z00_1433;
{ /* Unsafe/sha2.scm 252 */
 uint64_t BgL_arg1340z00_1434;
BgL_arg1340z00_1434 = 
(BgL_wz00_14 & 
(
((uint64_t)(1) << 
(int)(((long)32)))-
(uint64_t)(((long)1)))); 
BgL_arg1339z00_1433 = 
(uint32_t)(BgL_arg1340z00_1434); } 
BgL_arg1338z00_1432 = 
(BgL_arg1339z00_1433 >> 
(int)(((long)16))); } 
BgL_arg1337z00_1431 = 
(long)(BgL_arg1338z00_1432); } 
{ /* Unsafe/sha2.scm 252 */
 uint32_t BgL_xz00_2995;
BgL_xz00_2995 = 
(uint32_t)(BgL_arg1337z00_1431); 
BgL_arg1336z00_1430 = 
(long)(BgL_xz00_2995); } } 
BgL_s3z00_1407 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1336z00_1430, ((long)16)); } 
{ /* Unsafe/sha2.scm 252 */
 long BgL_l3z00_1408;
BgL_l3z00_1408 = 
STRING_LENGTH(BgL_s3z00_1407); 
{ /* Unsafe/sha2.scm 253 */
 obj_t BgL_s4z00_1409;
{ /* Unsafe/sha2.scm 254 */
 long BgL_arg1328z00_1422;
{ /* Unsafe/sha2.scm 254 */
 long BgL_arg1329z00_1423;
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_arg1330z00_1424;
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_arg1331z00_1425; uint32_t BgL_arg1332z00_1426;
{ /* Unsafe/sha2.scm 254 */
 uint64_t BgL_arg1333z00_1427;
BgL_arg1333z00_1427 = 
(BgL_wz00_14 & 
(
((uint64_t)(1) << 
(int)(((long)32)))-
(uint64_t)(((long)1)))); 
BgL_arg1331z00_1425 = 
(uint32_t)(BgL_arg1333z00_1427); } 
BgL_arg1332z00_1426 = 
((uint32_t)(65536)-
(uint32_t)(((long)1))); 
BgL_arg1330z00_1424 = 
(BgL_arg1331z00_1425 & BgL_arg1332z00_1426); } 
BgL_arg1329z00_1423 = 
(long)(BgL_arg1330z00_1424); } 
{ /* Unsafe/sha2.scm 254 */
 uint32_t BgL_xz00_3008;
BgL_xz00_3008 = 
(uint32_t)(BgL_arg1329z00_1423); 
BgL_arg1328z00_1422 = 
(long)(BgL_xz00_3008); } } 
BgL_s4z00_1409 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1328z00_1422, ((long)16)); } 
{ /* Unsafe/sha2.scm 254 */
 long BgL_l4z00_1410;
BgL_l4z00_1410 = 
STRING_LENGTH(BgL_s4z00_1409); 
{ /* Unsafe/sha2.scm 255 */

blit_string(BgL_s1z00_1403, ((long)0), BgL_strz00_12, 
(BgL_offsetz00_13+
(((long)4)-BgL_l1z00_1404)), BgL_l1z00_1404); 
blit_string(BgL_s2z00_1405, ((long)0), BgL_strz00_12, 
(BgL_offsetz00_13+
(((long)4)+
(((long)4)-BgL_l2z00_1406))), BgL_l2z00_1406); 
blit_string(BgL_s3z00_1407, ((long)0), BgL_strz00_12, 
(BgL_offsetz00_13+
(((long)8)+
(((long)4)-BgL_l3z00_1408))), BgL_l3z00_1408); 
return 
blit_string(BgL_s4z00_1409, ((long)0), BgL_strz00_12, 
(BgL_offsetz00_13+
(((long)12)+
(((long)4)-BgL_l4z00_1410))), BgL_l4z00_1410);} } } } } } } } } } 

}



/* state->string */
obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_15)
{
{ /* Unsafe/sha2.scm 264 */
{ /* Unsafe/sha2.scm 265 */
 obj_t BgL_rz00_1448;
BgL_rz00_1448 = 
make_string(((long)64), ((unsigned char)'0')); 
{ /* Unsafe/sha2.scm 266 */
 uint32_t BgL_arg1355z00_1449;
BgL_arg1355z00_1449 = 
BGL_U32VREF(BgL_statez00_15, ((long)0)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1448, ((long)0), BgL_arg1355z00_1449); } 
{ /* Unsafe/sha2.scm 267 */
 uint32_t BgL_arg1356z00_1450;
BgL_arg1356z00_1450 = 
BGL_U32VREF(BgL_statez00_15, ((long)1)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1448, ((long)8), BgL_arg1356z00_1450); } 
{ /* Unsafe/sha2.scm 268 */
 uint32_t BgL_arg1357z00_1451;
BgL_arg1357z00_1451 = 
BGL_U32VREF(BgL_statez00_15, ((long)2)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1448, ((long)16), BgL_arg1357z00_1451); } 
{ /* Unsafe/sha2.scm 269 */
 uint32_t BgL_arg1358z00_1452;
BgL_arg1358z00_1452 = 
BGL_U32VREF(BgL_statez00_15, ((long)3)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1448, ((long)24), BgL_arg1358z00_1452); } 
{ /* Unsafe/sha2.scm 270 */
 uint32_t BgL_arg1359z00_1453;
BgL_arg1359z00_1453 = 
BGL_U32VREF(BgL_statez00_15, ((long)4)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1448, ((long)32), BgL_arg1359z00_1453); } 
{ /* Unsafe/sha2.scm 271 */
 uint32_t BgL_arg1360z00_1454;
BgL_arg1360z00_1454 = 
BGL_U32VREF(BgL_statez00_15, ((long)5)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1448, ((long)40), BgL_arg1360z00_1454); } 
{ /* Unsafe/sha2.scm 272 */
 uint32_t BgL_arg1361z00_1455;
BgL_arg1361z00_1455 = 
BGL_U32VREF(BgL_statez00_15, ((long)6)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1448, ((long)48), BgL_arg1361z00_1455); } 
{ /* Unsafe/sha2.scm 273 */
 uint32_t BgL_arg1362z00_1456;
BgL_arg1362z00_1456 = 
BGL_U32VREF(BgL_statez00_15, ((long)7)); 
BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1448, ((long)56), BgL_arg1362z00_1456); } 
return BgL_rz00_1448;} } 

}



/* state64->string */
obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_16)
{
{ /* Unsafe/sha2.scm 279 */
{ /* Unsafe/sha2.scm 280 */
 obj_t BgL_rz00_1457;
BgL_rz00_1457 = 
make_string(((long)128), ((unsigned char)'0')); 
{ /* Unsafe/sha2.scm 281 */
 uint64_t BgL_arg1363z00_1458;
BgL_arg1363z00_1458 = 
BGL_U64VREF(BgL_statez00_16, ((long)0)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1457, ((long)0), BgL_arg1363z00_1458); } 
{ /* Unsafe/sha2.scm 282 */
 uint64_t BgL_arg1364z00_1459;
BgL_arg1364z00_1459 = 
BGL_U64VREF(BgL_statez00_16, ((long)1)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1457, ((long)16), BgL_arg1364z00_1459); } 
{ /* Unsafe/sha2.scm 283 */
 uint64_t BgL_arg1365z00_1460;
BgL_arg1365z00_1460 = 
BGL_U64VREF(BgL_statez00_16, ((long)2)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1457, ((long)32), BgL_arg1365z00_1460); } 
{ /* Unsafe/sha2.scm 284 */
 uint64_t BgL_arg1366z00_1461;
BgL_arg1366z00_1461 = 
BGL_U64VREF(BgL_statez00_16, ((long)3)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1457, ((long)48), BgL_arg1366z00_1461); } 
{ /* Unsafe/sha2.scm 285 */
 uint64_t BgL_arg1367z00_1462;
BgL_arg1367z00_1462 = 
BGL_U64VREF(BgL_statez00_16, ((long)4)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1457, ((long)64), BgL_arg1367z00_1462); } 
{ /* Unsafe/sha2.scm 286 */
 uint64_t BgL_arg1368z00_1463;
BgL_arg1368z00_1463 = 
BGL_U64VREF(BgL_statez00_16, ((long)5)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1457, ((long)80), BgL_arg1368z00_1463); } 
{ /* Unsafe/sha2.scm 287 */
 uint64_t BgL_arg1369z00_1464;
BgL_arg1369z00_1464 = 
BGL_U64VREF(BgL_statez00_16, ((long)6)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1457, ((long)96), BgL_arg1369z00_1464); } 
{ /* Unsafe/sha2.scm 288 */
 uint64_t BgL_arg1370z00_1465;
BgL_arg1370z00_1465 = 
BGL_U64VREF(BgL_statez00_16, ((long)7)); 
BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1457, ((long)112), BgL_arg1370z00_1465); } 
return BgL_rz00_1457;} } 

}



/* sha256-initial-hash-value */
obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 409 */
{ /* Unsafe/sha2.scm 410 */
 obj_t BgL_vz00_1466;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1466 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), (uint32_t)(0)); } 
BGL_U32VSET(BgL_vz00_1466, ((long)0), (uint32_t)(1779033703)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1466, ((long)1), (uint32_t)(3144134277)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1466, ((long)2), (uint32_t)(1013904242)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1466, ((long)3), (uint32_t)(2773480762)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1466, ((long)4), (uint32_t)(1359893119)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1466, ((long)5), (uint32_t)(2600822924)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1466, ((long)6), (uint32_t)(528734635)); BUNSPEC; 
BGL_U32VSET(BgL_vz00_1466, ((long)7), (uint32_t)(1541459225)); BUNSPEC; 
return BgL_vz00_1466;} } 

}



/* sha512-initial-hash-value */
obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 424 */
{ /* Unsafe/sha2.scm 425 */
 obj_t BgL_vz00_1469;
{ /* Llib/srfi4.scm 453 */

BgL_vz00_1469 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)8), (uint64_t)(0)); } 
BGL_U64VSET(BgL_vz00_1469, ((long)0), (uint64_t)(7640891576956012808)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1469, ((long)1), (uint64_t)(-4942790177534073029)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1469, ((long)2), (uint64_t)(4354685564936845355)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1469, ((long)3), (uint64_t)(-6534734903238641935)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1469, ((long)4), (uint64_t)(5840696475078001361)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1469, ((long)5), (uint64_t)(-7276294671716946913)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1469, ((long)6), (uint64_t)(2270897969802886507)); BUNSPEC; 
BGL_U64VSET(BgL_vz00_1469, ((long)7), (uint64_t)(6620516959819538809)); BUNSPEC; 
return BgL_vz00_1469;} } 

}



/* Sigma0-256 */
uint32_t BGl_Sigma0zd2256zd2zz__sha2z00(uint32_t BgL_xz00_17)
{
{ /* Unsafe/sha2.scm 527 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(((long)2))) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(((long)13))) ^ 
BGl_rotr32z00zz__sha2z00(BgL_xz00_17, 
(int)(((long)22)))));} 

}



/* sigma0-256 */
uint32_t BGl_sigma0zd2256zd2zz__sha2z00(uint32_t BgL_xz00_18)
{
{ /* Unsafe/sha2.scm 533 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_18, 
(int)(((long)7))) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_18, 
(int)(((long)18))) ^ 
(BgL_xz00_18 >> 
(int)(((long)3)))));} 

}



/* Sigma1-256 */
uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_19)
{
{ /* Unsafe/sha2.scm 539 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(((long)6))) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(((long)11))) ^ 
BGl_rotr32z00zz__sha2z00(BgL_xz00_19, 
(int)(((long)25)))));} 

}



/* sigma1-256 */
uint32_t BGl_sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_20)
{
{ /* Unsafe/sha2.scm 545 */
return 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_20, 
(int)(((long)17))) ^ 
(
BGl_rotr32z00zz__sha2z00(BgL_xz00_20, 
(int)(((long)19))) ^ 
(BgL_xz00_20 >> 
(int)(((long)10)))));} 

}



/* Sigma0-512 */
uint64_t BGl_Sigma0zd2512zd2zz__sha2z00(uint64_t BgL_xz00_21)
{
{ /* Unsafe/sha2.scm 551 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(((long)28))) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(((long)34))) ^ 
BGl_rotr64z00zz__sha2z00(BgL_xz00_21, 
(int)(((long)39)))));} 

}



/* Sigma1-512 */
uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_22)
{
{ /* Unsafe/sha2.scm 557 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(((long)14))) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(((long)18))) ^ 
BGl_rotr64z00zz__sha2z00(BgL_xz00_22, 
(int)(((long)41)))));} 

}



/* sigma0-512 */
uint64_t BGl_sigma0zd2512zd2zz__sha2z00(uint64_t BgL_xz00_23)
{
{ /* Unsafe/sha2.scm 563 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_23, 
(int)(((long)1))) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_23, 
(int)(((long)8))) ^ 
(BgL_xz00_23 >> 
(int)(((long)7)))));} 

}



/* sigma1-512 */
uint64_t BGl_sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_24)
{
{ /* Unsafe/sha2.scm 569 */
return 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_24, 
(int)(((long)19))) ^ 
(
BGl_rotr64z00zz__sha2z00(BgL_xz00_24, 
(int)(((long)61))) ^ 
(BgL_xz00_24 >> 
(int)(((long)6)))));} 

}



/* get-a */
uint32_t BGl_getzd2azd2zz__sha2z00(obj_t BgL_stz00_25)
{
{ /* Unsafe/sha2.scm 575 */
return 
BGL_U32VREF(BgL_stz00_25, ((long)0));} 

}



/* get-b */
uint32_t BGl_getzd2bzd2zz__sha2z00(obj_t BgL_stz00_26)
{
{ /* Unsafe/sha2.scm 576 */
return 
BGL_U32VREF(BgL_stz00_26, ((long)1));} 

}



/* get-c */
uint32_t BGl_getzd2czd2zz__sha2z00(obj_t BgL_stz00_27)
{
{ /* Unsafe/sha2.scm 577 */
return 
BGL_U32VREF(BgL_stz00_27, ((long)2));} 

}



/* get-d */
uint32_t BGl_getzd2dzd2zz__sha2z00(obj_t BgL_stz00_28)
{
{ /* Unsafe/sha2.scm 578 */
return 
BGL_U32VREF(BgL_stz00_28, ((long)3));} 

}



/* get-e */
uint32_t BGl_getzd2ezd2zz__sha2z00(obj_t BgL_stz00_29)
{
{ /* Unsafe/sha2.scm 579 */
return 
BGL_U32VREF(BgL_stz00_29, ((long)4));} 

}



/* get-f */
uint32_t BGl_getzd2fzd2zz__sha2z00(obj_t BgL_stz00_30)
{
{ /* Unsafe/sha2.scm 580 */
return 
BGL_U32VREF(BgL_stz00_30, ((long)5));} 

}



/* get-g */
uint32_t BGl_getzd2gzd2zz__sha2z00(obj_t BgL_stz00_31)
{
{ /* Unsafe/sha2.scm 581 */
return 
BGL_U32VREF(BgL_stz00_31, ((long)6));} 

}



/* get-h */
uint32_t BGl_getzd2hzd2zz__sha2z00(obj_t BgL_stz00_32)
{
{ /* Unsafe/sha2.scm 582 */
return 
BGL_U32VREF(BgL_stz00_32, ((long)7));} 

}



/* sha256-internal-transform */
obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_33, obj_t BgL_bufferz00_34)
{
{ /* Unsafe/sha2.scm 587 */
{ 
 obj_t BgL_statez00_1591; uint32_t BgL_az00_1592; uint32_t BgL_bz00_1593; uint32_t BgL_cz00_1594; uint32_t BgL_dz00_1595; uint32_t BgL_ez00_1596; uint32_t BgL_fz00_1597; uint32_t BgL_gz00_1598; uint32_t BgL_hz00_1599;
{ /* Unsafe/sha2.scm 622 */
 uint32_t BgL_g1064z00_1509; uint32_t BgL_g1065z00_1510; uint32_t BgL_g1066z00_1511; uint32_t BgL_g1067z00_1512; uint32_t BgL_g1068z00_1513; uint32_t BgL_g1069z00_1514; uint32_t BgL_g1070z00_1515; uint32_t BgL_g1071z00_1516;
BgL_g1064z00_1509 = 
BGl_getzd2azd2zz__sha2z00(BgL_statez00_33); 
BgL_g1065z00_1510 = 
BGl_getzd2bzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1066z00_1511 = 
BGl_getzd2czd2zz__sha2z00(BgL_statez00_33); 
BgL_g1067z00_1512 = 
BGl_getzd2dzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1068z00_1513 = 
BGl_getzd2ezd2zz__sha2z00(BgL_statez00_33); 
BgL_g1069z00_1514 = 
BGl_getzd2fzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1070z00_1515 = 
BGl_getzd2gzd2zz__sha2z00(BgL_statez00_33); 
BgL_g1071z00_1516 = 
BGl_getzd2hzd2zz__sha2z00(BgL_statez00_33); 
{ 
 uint32_t BgL_az00_1518; uint32_t BgL_bz00_1519; uint32_t BgL_cz00_1520; uint32_t BgL_dz00_1521; uint32_t BgL_ez00_1522; uint32_t BgL_fz00_1523; uint32_t BgL_gz00_1524; uint32_t BgL_hz00_1525; long BgL_jz00_1526;
BgL_az00_1518 = BgL_g1064z00_1509; 
BgL_bz00_1519 = BgL_g1065z00_1510; 
BgL_cz00_1520 = BgL_g1066z00_1511; 
BgL_dz00_1521 = BgL_g1067z00_1512; 
BgL_ez00_1522 = BgL_g1068z00_1513; 
BgL_fz00_1523 = BgL_g1069z00_1514; 
BgL_gz00_1524 = BgL_g1070z00_1515; 
BgL_hz00_1525 = BgL_g1071z00_1516; 
BgL_jz00_1526 = ((long)0); 
BgL_zc3z04anonymousza31407ze3z87_1527:
if(
(BgL_jz00_1526<((long)16)))
{ /* Unsafe/sha2.scm 633 */
 uint32_t BgL_wz00_1529;
BgL_wz00_1529 = 
BGL_U32VREF(BgL_bufferz00_34, BgL_jz00_1526); 
{ /* Unsafe/sha2.scm 633 */
 uint32_t BgL_t1z00_1530;
BgL_t1z00_1530 = 
BGl_compressze71ze7zz__sha2z00(BgL_ez00_1522, BgL_fz00_1523, BgL_gz00_1524, BgL_hz00_1525, BgL_wz00_1529, BgL_jz00_1526); 
{ /* Unsafe/sha2.scm 634 */
 uint32_t BgL_t2z00_1531;
BgL_t2z00_1531 = 
BGl_addu32z00zz__sha2z00(
BGl_Sigma0zd2256zd2zz__sha2z00(BgL_az00_1518), 
BGl_Majze71ze7zz__sha2z00(BgL_az00_1518, BgL_bz00_1519, BgL_cz00_1520)); 
{ /* Unsafe/sha2.scm 635 */

{ 
 long BgL_jz00_4781; uint32_t BgL_hz00_4780; uint32_t BgL_gz00_4779; uint32_t BgL_fz00_4778; uint32_t BgL_ez00_4776; uint32_t BgL_dz00_4775; uint32_t BgL_cz00_4774; uint32_t BgL_bz00_4773; uint32_t BgL_az00_4771;
BgL_az00_4771 = 
BGl_addu32z00zz__sha2z00(BgL_t1z00_1530, BgL_t2z00_1531); 
BgL_bz00_4773 = BgL_az00_1518; 
BgL_cz00_4774 = BgL_bz00_1519; 
BgL_dz00_4775 = BgL_cz00_1520; 
BgL_ez00_4776 = 
BGl_addu32z00zz__sha2z00(BgL_dz00_1521, BgL_t1z00_1530); 
BgL_fz00_4778 = BgL_ez00_1522; 
BgL_gz00_4779 = BgL_fz00_1523; 
BgL_hz00_4780 = BgL_gz00_1524; 
BgL_jz00_4781 = 
(BgL_jz00_1526+((long)1)); 
BgL_jz00_1526 = BgL_jz00_4781; 
BgL_hz00_1525 = BgL_hz00_4780; 
BgL_gz00_1524 = BgL_gz00_4779; 
BgL_fz00_1523 = BgL_fz00_4778; 
BgL_ez00_1522 = BgL_ez00_4776; 
BgL_dz00_1521 = BgL_dz00_4775; 
BgL_cz00_1520 = BgL_cz00_4774; 
BgL_bz00_1519 = BgL_bz00_4773; 
BgL_az00_1518 = BgL_az00_4771; 
goto BgL_zc3z04anonymousza31407ze3z87_1527;} } } } }  else 
{ /* Unsafe/sha2.scm 632 */
if(
(BgL_jz00_1526<((long)64)))
{ /* Unsafe/sha2.scm 638 */
 uint32_t BgL_s0z00_1538;
BgL_s0z00_1538 = 
BGl_sigma0zd2256zd2zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1526+((long)1)))); 
{ /* Unsafe/sha2.scm 638 */
 uint32_t BgL_s1z00_1539;
BgL_s1z00_1539 = 
BGl_sigma1zd2256zd2zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1526+((long)14)))); 
{ /* Unsafe/sha2.scm 639 */
 long BgL_ndxz00_1540;
BgL_ndxz00_1540 = 
(BgL_jz00_1526 & 
LLONG_TO_LONG(((BGL_LONGLONG_T)15))); 
{ /* Unsafe/sha2.scm 640 */
 uint32_t BgL_wz00_1541;
BgL_wz00_1541 = 
BGl_addu32z00zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, BgL_jz00_1526), 
BGl_addu32z00zz__sha2z00(BgL_s1z00_1539, 
BGl_addu32z00zz__sha2z00(
BGl_xfzd2refze71z35zz__sha2z00(BgL_bufferz00_34, 
(BgL_jz00_1526+((long)9))), BgL_s0z00_1538))); 
{ /* Unsafe/sha2.scm 641 */
 uint32_t BgL_t1z00_1542;
BgL_t1z00_1542 = 
BGl_compressze71ze7zz__sha2z00(BgL_ez00_1522, BgL_fz00_1523, BgL_gz00_1524, BgL_hz00_1525, BgL_wz00_1541, BgL_jz00_1526); 
{ /* Unsafe/sha2.scm 642 */
 uint32_t BgL_t2z00_1543;
BgL_t2z00_1543 = 
BGl_addu32z00zz__sha2z00(
BGl_Sigma0zd2256zd2zz__sha2z00(BgL_az00_1518), 
BGl_Majze71ze7zz__sha2z00(BgL_az00_1518, BgL_bz00_1519, BgL_cz00_1520)); 
{ /* Unsafe/sha2.scm 643 */

BGL_U32VSET(BgL_bufferz00_34, BgL_ndxz00_1540, BgL_wz00_1541); BUNSPEC; 
{ 
 long BgL_jz00_4814; uint32_t BgL_hz00_4813; uint32_t BgL_gz00_4812; uint32_t BgL_fz00_4811; uint32_t BgL_ez00_4809; uint32_t BgL_dz00_4808; uint32_t BgL_cz00_4807; uint32_t BgL_bz00_4806; uint32_t BgL_az00_4804;
BgL_az00_4804 = 
BGl_addu32z00zz__sha2z00(BgL_t1z00_1542, BgL_t2z00_1543); 
BgL_bz00_4806 = BgL_az00_1518; 
BgL_cz00_4807 = BgL_bz00_1519; 
BgL_dz00_4808 = BgL_cz00_1520; 
BgL_ez00_4809 = 
BGl_addu32z00zz__sha2z00(BgL_dz00_1521, BgL_t1z00_1542); 
BgL_fz00_4811 = BgL_ez00_1522; 
BgL_gz00_4812 = BgL_fz00_1523; 
BgL_hz00_4813 = BgL_gz00_1524; 
BgL_jz00_4814 = 
(BgL_jz00_1526+((long)1)); 
BgL_jz00_1526 = BgL_jz00_4814; 
BgL_hz00_1525 = BgL_hz00_4813; 
BgL_gz00_1524 = BgL_gz00_4812; 
BgL_fz00_1523 = BgL_fz00_4811; 
BgL_ez00_1522 = BgL_ez00_4809; 
BgL_dz00_1521 = BgL_dz00_4808; 
BgL_cz00_1520 = BgL_cz00_4807; 
BgL_bz00_1519 = BgL_bz00_4806; 
BgL_az00_1518 = BgL_az00_4804; 
goto BgL_zc3z04anonymousza31407ze3z87_1527;} } } } } } } }  else 
{ /* Unsafe/sha2.scm 637 */
BgL_statez00_1591 = BgL_statez00_33; 
BgL_az00_1592 = BgL_az00_1518; 
BgL_bz00_1593 = BgL_bz00_1519; 
BgL_cz00_1594 = BgL_cz00_1520; 
BgL_dz00_1595 = BgL_dz00_1521; 
BgL_ez00_1596 = BgL_ez00_1522; 
BgL_fz00_1597 = BgL_fz00_1523; 
BgL_gz00_1598 = BgL_gz00_1524; 
BgL_hz00_1599 = BgL_hz00_1525; 
{ /* Unsafe/sha2.scm 604 */
 uint32_t BgL_oaz00_1601; uint32_t BgL_obz00_1602; uint32_t BgL_ocz00_1603; uint32_t BgL_odz00_1604; uint32_t BgL_oez00_1605; uint32_t BgL_ofz00_1606; uint32_t BgL_ogz00_1607; uint32_t BgL_ohz00_1608;
BgL_oaz00_1601 = 
BGl_getzd2azd2zz__sha2z00(BgL_statez00_1591); 
BgL_obz00_1602 = 
BGl_getzd2bzd2zz__sha2z00(BgL_statez00_1591); 
BgL_ocz00_1603 = 
BGl_getzd2czd2zz__sha2z00(BgL_statez00_1591); 
BgL_odz00_1604 = 
BGl_getzd2dzd2zz__sha2z00(BgL_statez00_1591); 
BgL_oez00_1605 = 
BGl_getzd2ezd2zz__sha2z00(BgL_statez00_1591); 
BgL_ofz00_1606 = 
BGl_getzd2fzd2zz__sha2z00(BgL_statez00_1591); 
BgL_ogz00_1607 = 
BGl_getzd2gzd2zz__sha2z00(BgL_statez00_1591); 
BgL_ohz00_1608 = 
BGl_getzd2hzd2zz__sha2z00(BgL_statez00_1591); 
{ /* Unsafe/sha2.scm 613 */
 uint32_t BgL_arg1450z00_1610;
BgL_arg1450z00_1610 = 
BGl_addu32z00zz__sha2z00(BgL_oaz00_1601, BgL_az00_1592); 
BGL_U32VSET(BgL_statez00_1591, ((long)0), BgL_arg1450z00_1610); BUNSPEC; } 
{ /* Unsafe/sha2.scm 614 */
 uint32_t BgL_arg1451z00_1611;
BgL_arg1451z00_1611 = 
BGl_addu32z00zz__sha2z00(BgL_obz00_1602, BgL_bz00_1593); 
BGL_U32VSET(BgL_statez00_1591, ((long)1), BgL_arg1451z00_1611); BUNSPEC; } 
{ /* Unsafe/sha2.scm 615 */
 uint32_t BgL_arg1452z00_1612;
BgL_arg1452z00_1612 = 
BGl_addu32z00zz__sha2z00(BgL_ocz00_1603, BgL_cz00_1594); 
BGL_U32VSET(BgL_statez00_1591, ((long)2), BgL_arg1452z00_1612); BUNSPEC; } 
{ /* Unsafe/sha2.scm 616 */
 uint32_t BgL_arg1453z00_1613;
BgL_arg1453z00_1613 = 
BGl_addu32z00zz__sha2z00(BgL_odz00_1604, BgL_dz00_1595); 
BGL_U32VSET(BgL_statez00_1591, ((long)3), BgL_arg1453z00_1613); BUNSPEC; } 
{ /* Unsafe/sha2.scm 617 */
 uint32_t BgL_arg1454z00_1614;
BgL_arg1454z00_1614 = 
BGl_addu32z00zz__sha2z00(BgL_oez00_1605, BgL_ez00_1596); 
BGL_U32VSET(BgL_statez00_1591, ((long)4), BgL_arg1454z00_1614); BUNSPEC; } 
{ /* Unsafe/sha2.scm 618 */
 uint32_t BgL_arg1455z00_1615;
BgL_arg1455z00_1615 = 
BGl_addu32z00zz__sha2z00(BgL_ofz00_1606, BgL_fz00_1597); 
BGL_U32VSET(BgL_statez00_1591, ((long)5), BgL_arg1455z00_1615); BUNSPEC; } 
{ /* Unsafe/sha2.scm 619 */
 uint32_t BgL_arg1456z00_1616;
BgL_arg1456z00_1616 = 
BGl_addu32z00zz__sha2z00(BgL_ogz00_1607, BgL_gz00_1598); 
BGL_U32VSET(BgL_statez00_1591, ((long)6), BgL_arg1456z00_1616); BUNSPEC; } 
{ /* Unsafe/sha2.scm 620 */
 uint32_t BgL_arg1457z00_1617;
BgL_arg1457z00_1617 = 
BGl_addu32z00zz__sha2z00(BgL_ohz00_1608, BgL_hz00_1599); 
BGL_U32VSET(BgL_statez00_1591, ((long)7), BgL_arg1457z00_1617); BUNSPEC; } } 
return BgL_statez00_33;} } } } } } 

}



/* xf-ref~1 */
uint32_t BGl_xfzd2refze71z35zz__sha2z00(obj_t BgL_vz00_1587, long BgL_nz00_1588)
{
{ /* Unsafe/sha2.scm 599 */
{ /* Unsafe/sha2.scm 599 */
 long BgL_tmpz00_4840;
BgL_tmpz00_4840 = 
(BgL_nz00_1588 & ((long)15)); 
return 
BGL_U32VREF(BgL_vz00_1587, BgL_tmpz00_4840);} } 

}



/* compress~1 */
uint32_t BGl_compressze71ze7zz__sha2z00(uint32_t BgL_ez00_1574, uint32_t BgL_fz00_1575, uint32_t BgL_gz00_1576, uint32_t BgL_hz00_1577, uint32_t BgL_wz00_1578, long BgL_jz00_1579)
{
{ /* Unsafe/sha2.scm 596 */
{ 
 uint32_t BgL_xz00_1567; uint32_t BgL_yz00_1568; uint32_t BgL_za7za7_1569;
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1441z00_1581;
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1442z00_1582; uint32_t BgL_arg1443z00_1583;
BgL_arg1442z00_1582 = 
BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1574); 
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1444z00_1584; uint32_t BgL_arg1445z00_1585;
BgL_xz00_1567 = BgL_ez00_1574; 
BgL_yz00_1568 = BgL_fz00_1575; 
BgL_za7za7_1569 = BgL_gz00_1576; 
BgL_arg1444z00_1584 = 
(
(BgL_xz00_1567 & BgL_yz00_1568) ^ 
(
~(BgL_xz00_1567) & BgL_za7za7_1569)); 
{ /* Unsafe/sha2.scm 596 */
 uint32_t BgL_arg1446z00_1586;
BgL_arg1446z00_1586 = 
BGL_U32VREF(BGl_K256z00zz__sha2z00, BgL_jz00_1579); 
BgL_arg1445z00_1585 = 
BGl_addu32z00zz__sha2z00(BgL_arg1446z00_1586, BgL_wz00_1578); } 
BgL_arg1443z00_1583 = 
BGl_addu32z00zz__sha2z00(BgL_arg1444z00_1584, BgL_arg1445z00_1585); } 
BgL_arg1441z00_1581 = 
BGl_addu32z00zz__sha2z00(BgL_arg1442z00_1582, BgL_arg1443z00_1583); } 
return 
BGl_addu32z00zz__sha2z00(BgL_hz00_1577, BgL_arg1441z00_1581);} } } 

}



/* Maj~1 */
uint32_t BGl_Majze71ze7zz__sha2z00(uint32_t BgL_xz00_1559, uint32_t BgL_yz00_1560, uint32_t BgL_za7za7_1561)
{
{ /* Unsafe/sha2.scm 590 */
return 
(
(BgL_xz00_1559 & BgL_yz00_1560) ^ 
(
(BgL_xz00_1559 & BgL_za7za7_1561) ^ 
(BgL_yz00_1560 & BgL_za7za7_1561)));} 

}



/* sha256-update */
obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t BgL_statez00_35, obj_t BgL_bufferz00_36, obj_t BgL_oz00_37, obj_t BgL_fillzd2wordz12zc0_38)
{
{ /* Unsafe/sha2.scm 653 */
{ 
 obj_t BgL_vz00_1658; long BgL_lenz00_1659; uint32_t BgL_valz00_1660; obj_t BgL_bufferz00_1643; long BgL_iz00_1644;
{ 
 long BgL_iz00_1626; long BgL_lz00_1627;
BgL_iz00_1626 = ((long)0); 
BgL_lz00_1627 = ((long)0); 
BgL_zc3z04anonymousza31458ze3z87_1628:
{ /* Unsafe/sha2.scm 673 */
 long BgL_bytesz00_1629;
BgL_bufferz00_1643 = BgL_bufferz00_36; 
BgL_iz00_1644 = BgL_iz00_1626; 
{ 
 long BgL_jz00_1647; long BgL_iz00_1648; long BgL_nz00_1649;
BgL_jz00_1647 = ((long)0); 
BgL_iz00_1648 = BgL_iz00_1644; 
BgL_nz00_1649 = ((long)0); 
BgL_zc3z04anonymousza31470ze3z87_1650:
if(
(BgL_jz00_1647<((long)16)))
{ /* Unsafe/sha2.scm 662 */
 long BgL_arg1474z00_1652; long BgL_arg1475z00_1653; long BgL_arg1476z00_1654;
BgL_arg1474z00_1652 = 
(BgL_jz00_1647+((long)1)); 
BgL_arg1475z00_1653 = 
(BgL_iz00_1648+((long)4)); 
{ /* Unsafe/sha2.scm 662 */
 long BgL_b1143z00_1655;
BgL_b1143z00_1655 = 
((long(*)())PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_38))(BgL_fillzd2wordz12zc0_38, BgL_bufferz00_1643, BgL_jz00_1647, BgL_oz00_37, BgL_iz00_1648); 
BgL_arg1476z00_1654 = 
(BgL_nz00_1649+BgL_b1143z00_1655); } 
{ 
 long BgL_nz00_4872; long BgL_iz00_4871; long BgL_jz00_4870;
BgL_jz00_4870 = BgL_arg1474z00_1652; 
BgL_iz00_4871 = BgL_arg1475z00_1653; 
BgL_nz00_4872 = BgL_arg1476z00_1654; 
BgL_nz00_1649 = BgL_nz00_4872; 
BgL_iz00_1648 = BgL_iz00_4871; 
BgL_jz00_1647 = BgL_jz00_4870; 
goto BgL_zc3z04anonymousza31470ze3z87_1650;} }  else 
{ /* Unsafe/sha2.scm 661 */
BgL_bytesz00_1629 = BgL_nz00_1649; } } 
if(
(BgL_bytesz00_1629==((long)64)))
{ /* Unsafe/sha2.scm 675 */
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36); 
{ 
 long BgL_lz00_4878; long BgL_iz00_4876;
BgL_iz00_4876 = 
(BgL_iz00_1626+((long)64)); 
BgL_lz00_4878 = 
(BgL_lz00_1627+((long)64)); 
BgL_lz00_1627 = BgL_lz00_4878; 
BgL_iz00_1626 = BgL_iz00_4876; 
goto BgL_zc3z04anonymousza31458ze3z87_1628;} }  else 
{ /* Unsafe/sha2.scm 675 */
if(
(
(((long)64)-BgL_bytesz00_1629)>=((long)8)))
{ /* Unsafe/sha2.scm 679 */
{ /* Unsafe/sha2.scm 682 */
 uint32_t BgL_ulenz00_1635;
{ /* Unsafe/sha2.scm 682 */
 long BgL_tmpz00_4883;
BgL_tmpz00_4883 = 
(((long)8)*
(
(BgL_lz00_1627-((long)1))+BgL_bytesz00_1629)); 
BgL_ulenz00_1635 = 
(uint32_t)(BgL_tmpz00_4883); } 
BGL_U32VSET(BgL_bufferz00_36, ((long)15), BgL_ulenz00_1635); BUNSPEC; } 
return 
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36);}  else 
{ /* Unsafe/sha2.scm 679 */
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36); 
BgL_vz00_1658 = BgL_bufferz00_36; 
BgL_lenz00_1659 = ((long)15); 
BgL_valz00_1660 = (uint32_t)(0); 
{ 
 long BgL_iz00_1663;
BgL_iz00_1663 = ((long)0); 
BgL_zc3z04anonymousza31479ze3z87_1664:
if(
(BgL_iz00_1663<BgL_lenz00_1659))
{ /* Unsafe/sha2.scm 667 */
BGL_U32VSET(BgL_vz00_1658, BgL_iz00_1663, BgL_valz00_1660); BUNSPEC; 
{ 
 long BgL_iz00_4894;
BgL_iz00_4894 = 
(BgL_iz00_1663+((long)1)); 
BgL_iz00_1663 = BgL_iz00_4894; 
goto BgL_zc3z04anonymousza31479ze3z87_1664;} }  else 
{ /* Unsafe/sha2.scm 667 */((bool_t)0); } } 
{ /* Unsafe/sha2.scm 689 */
 uint32_t BgL_ulenz00_1638;
{ /* Unsafe/sha2.scm 689 */
 long BgL_tmpz00_4896;
BgL_tmpz00_4896 = 
(((long)8)*
(
(BgL_lz00_1627-((long)1))+BgL_bytesz00_1629)); 
BgL_ulenz00_1638 = 
(uint32_t)(BgL_tmpz00_4896); } 
BGL_U32VSET(BgL_bufferz00_36, ((long)15), BgL_ulenz00_1638); BUNSPEC; } 
return 
BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35, BgL_bufferz00_36);} } } } } } 

}



/* sha256sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_39)
{
{ /* Unsafe/sha2.scm 696 */
{ /* Unsafe/sha2.scm 733 */
 obj_t BgL_statez00_1672; obj_t BgL_bufferz00_1673;
BgL_statez00_1672 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1673 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1672, BgL_bufferz00_1673, BgL_mmz00_39, BGl_proc2309z00zz__sha2z00); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1672);} } 

}



/* &sha256sum-mmap */
obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_3893, obj_t BgL_mmz00_3894)
{
{ /* Unsafe/sha2.scm 696 */
{ /* Unsafe/sha2.scm 699 */
 obj_t BgL_auxz00_4907;
if(
BGL_MMAPP(BgL_mmz00_3894))
{ /* Unsafe/sha2.scm 699 */
BgL_auxz00_4907 = BgL_mmz00_3894
; }  else 
{ 
 obj_t BgL_auxz00_4910;
BgL_auxz00_4910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)31200)), BGl_string2311z00zz__sha2z00, BGl_string2312z00zz__sha2z00, BgL_mmz00_3894); 
FAILURE(BgL_auxz00_4910,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_auxz00_4907);} } 

}



/* &fill-word32-mmap! */
long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_3895, obj_t BgL_v32z00_3896, long BgL_iz00_3897, obj_t BgL_mmz00_3898, long BgL_nz00_3899)
{
{ /* Unsafe/sha2.scm 731 */
{ /* Unsafe/sha2.scm 702 */
 long BgL_lz00_4006;
{ /* Unsafe/sha2.scm 702 */
 obj_t BgL_tmpz00_4915;
BgL_tmpz00_4915 = 
((obj_t)BgL_mmz00_3898); 
BgL_lz00_4006 = 
BGL_MMAP_LENGTH(BgL_tmpz00_4915); } 
{ /* Unsafe/sha2.scm 704 */
 bool_t BgL_test2371z00_4918;
{ /* Unsafe/sha2.scm 704 */
 long BgL_n2z00_4007;
BgL_n2z00_4007 = 
(long)(BgL_lz00_4006); 
BgL_test2371z00_4918 = 
(
(BgL_nz00_3899+((long)4))<=BgL_n2z00_4007); } 
if(BgL_test2371z00_4918)
{ /* Unsafe/sha2.scm 705 */
 uint32_t BgL_v0z00_4008;
{ /* Unsafe/sha2.scm 705 */
 long BgL_tmpz00_4922;
BgL_tmpz00_4922 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3898), BgL_nz00_3899); 
BgL_v0z00_4008 = 
(uint32_t)(BgL_tmpz00_4922); } 
{ /* Unsafe/sha2.scm 705 */
 uint32_t BgL_v1z00_4009;
{ /* Unsafe/sha2.scm 706 */
 long BgL_arg1503z00_4010;
BgL_arg1503z00_4010 = 
(BgL_nz00_3899+((long)1)); 
{ /* Unsafe/sha2.scm 706 */
 long BgL_tmpz00_4927;
BgL_tmpz00_4927 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3898), BgL_arg1503z00_4010); 
BgL_v1z00_4009 = 
(uint32_t)(BgL_tmpz00_4927); } } 
{ /* Unsafe/sha2.scm 706 */
 uint32_t BgL_v2z00_4011;
{ /* Unsafe/sha2.scm 707 */
 long BgL_arg1502z00_4012;
BgL_arg1502z00_4012 = 
(BgL_nz00_3899+((long)2)); 
{ /* Unsafe/sha2.scm 707 */
 long BgL_tmpz00_4932;
BgL_tmpz00_4932 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3898), BgL_arg1502z00_4012); 
BgL_v2z00_4011 = 
(uint32_t)(BgL_tmpz00_4932); } } 
{ /* Unsafe/sha2.scm 707 */
 uint32_t BgL_v3z00_4013;
{ /* Unsafe/sha2.scm 708 */
 long BgL_arg1501z00_4014;
BgL_arg1501z00_4014 = 
(BgL_nz00_3899+((long)3)); 
{ /* Unsafe/sha2.scm 708 */
 long BgL_tmpz00_4937;
BgL_tmpz00_4937 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3898), BgL_arg1501z00_4014); 
BgL_v3z00_4013 = 
(uint32_t)(BgL_tmpz00_4937); } } 
{ /* Unsafe/sha2.scm 708 */
 uint32_t BgL_vz00_4015;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_arg1488z00_4016; uint32_t BgL_arg1490z00_4017;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_arg1491z00_4018;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1492z00_4019;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1493z00_4020; long BgL_arg1494z00_4021;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_tmpz00_4941;
BgL_tmpz00_4941 = 
(BgL_v0z00_4008 << 
(int)(((long)8))); 
BgL_arg1493z00_4020 = 
(long)(BgL_tmpz00_4941); } 
BgL_arg1494z00_4021 = 
(long)(BgL_v1z00_4009); 
BgL_arg1492z00_4019 = 
(BgL_arg1493z00_4020 | BgL_arg1494z00_4021); } 
BgL_arg1491z00_4018 = 
(uint32_t)(BgL_arg1492z00_4019); } 
BgL_arg1488z00_4016 = 
(BgL_arg1491z00_4018 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1496z00_4022;
{ /* Unsafe/sha2.scm 709 */
 long BgL_arg1497z00_4023; long BgL_arg1498z00_4024;
{ /* Unsafe/sha2.scm 709 */
 uint32_t BgL_tmpz00_4950;
BgL_tmpz00_4950 = 
(BgL_v2z00_4011 << 
(int)(((long)8))); 
BgL_arg1497z00_4023 = 
(long)(BgL_tmpz00_4950); } 
BgL_arg1498z00_4024 = 
(long)(BgL_v3z00_4013); 
BgL_arg1496z00_4022 = 
(BgL_arg1497z00_4023 | BgL_arg1498z00_4024); } 
BgL_arg1490z00_4017 = 
(uint32_t)(BgL_arg1496z00_4022); } 
BgL_vz00_4015 = 
(BgL_arg1488z00_4016 | BgL_arg1490z00_4017); } 
{ /* Unsafe/sha2.scm 709 */

BGL_U32VSET(BgL_v32z00_3896, BgL_iz00_3897, BgL_vz00_4015); BUNSPEC; 
return ((long)4);} } } } } }  else 
{ /* Unsafe/sha2.scm 712 */
 bool_t BgL_test2372z00_4959;
{ /* Unsafe/sha2.scm 712 */
 long BgL_tmpz00_4960;
{ /* Unsafe/sha2.scm 712 */
 long BgL_za72za7_4025;
BgL_za72za7_4025 = 
(long)(BgL_lz00_4006); 
BgL_tmpz00_4960 = 
(((long)1)+BgL_za72za7_4025); } 
BgL_test2372z00_4959 = 
(BgL_nz00_3899>=BgL_tmpz00_4960); } 
if(BgL_test2372z00_4959)
{ /* Unsafe/sha2.scm 712 */
{ /* Unsafe/sha2.scm 713 */
 uint32_t BgL_tmpz00_4964;
BgL_tmpz00_4964 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_v32z00_3896, BgL_iz00_3897, BgL_tmpz00_4964); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 716 */
 obj_t BgL_vz00_4026; long BgL_kz00_4027;
BgL_vz00_4026 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), 
(uint32_t)(((long)0))); 
{ /* Unsafe/sha2.scm 717 */
 long BgL_tmpz00_4969;
{ /* Unsafe/sha2.scm 717 */
 long BgL_za72za7_4028;
BgL_za72za7_4028 = 
(long)(BgL_lz00_4006); 
BgL_tmpz00_4969 = 
(
(BgL_nz00_3899+((long)4))-BgL_za72za7_4028); } 
BgL_kz00_4027 = 
(((long)4)-BgL_tmpz00_4969); } 
{ 
 long BgL_jz00_4030;
BgL_jz00_4030 = ((long)0); 
BgL_loopz00_4029:
if(
(BgL_jz00_4030==BgL_kz00_4027))
{ /* Unsafe/sha2.scm 719 */
{ /* Unsafe/sha2.scm 721 */
 uint32_t BgL_tmpz00_4976;
BgL_tmpz00_4976 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4026, BgL_jz00_4030, BgL_tmpz00_4976); } BUNSPEC; 
{ /* Unsafe/sha2.scm 722 */
 uint32_t BgL_v0z00_4031;
BgL_v0z00_4031 = 
BGL_U32VREF(BgL_vz00_4026, ((long)0)); 
{ /* Unsafe/sha2.scm 722 */
 uint32_t BgL_v1z00_4032;
BgL_v1z00_4032 = 
BGL_U32VREF(BgL_vz00_4026, ((long)1)); 
{ /* Unsafe/sha2.scm 723 */
 uint32_t BgL_v2z00_4033;
BgL_v2z00_4033 = 
BGL_U32VREF(BgL_vz00_4026, ((long)2)); 
{ /* Unsafe/sha2.scm 724 */
 uint32_t BgL_v3z00_4034;
BgL_v3z00_4034 = 
BGL_U32VREF(BgL_vz00_4026, ((long)3)); 
{ /* Unsafe/sha2.scm 725 */
 uint32_t BgL_vz00_4035;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_arg1508z00_4036; uint32_t BgL_arg1509z00_4037;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_arg1511z00_4038;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1512z00_4039;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1513z00_4040; long BgL_arg1516z00_4041;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_tmpz00_4983;
BgL_tmpz00_4983 = 
(BgL_v0z00_4031 << 
(int)(((long)8))); 
BgL_arg1513z00_4040 = 
(long)(BgL_tmpz00_4983); } 
BgL_arg1516z00_4041 = 
(long)(BgL_v1z00_4032); 
BgL_arg1512z00_4039 = 
(BgL_arg1513z00_4040 | BgL_arg1516z00_4041); } 
BgL_arg1511z00_4038 = 
(uint32_t)(BgL_arg1512z00_4039); } 
BgL_arg1508z00_4036 = 
(BgL_arg1511z00_4038 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1518z00_4042;
{ /* Unsafe/sha2.scm 726 */
 long BgL_arg1519z00_4043; long BgL_arg1520z00_4044;
{ /* Unsafe/sha2.scm 726 */
 uint32_t BgL_tmpz00_4992;
BgL_tmpz00_4992 = 
(BgL_v2z00_4033 << 
(int)(((long)8))); 
BgL_arg1519z00_4043 = 
(long)(BgL_tmpz00_4992); } 
BgL_arg1520z00_4044 = 
(long)(BgL_v3z00_4034); 
BgL_arg1518z00_4042 = 
(BgL_arg1519z00_4043 | BgL_arg1520z00_4044); } 
BgL_arg1509z00_4037 = 
(uint32_t)(BgL_arg1518z00_4042); } 
BgL_vz00_4035 = 
(BgL_arg1508z00_4036 | BgL_arg1509z00_4037); } 
{ /* Unsafe/sha2.scm 726 */

BGL_U32VSET(BgL_v32z00_3896, BgL_iz00_3897, BgL_vz00_4035); BUNSPEC; 
return 
(BgL_jz00_4030+((long)1));} } } } } } }  else 
{ /* Unsafe/sha2.scm 719 */
{ /* Unsafe/sha2.scm 730 */
 long BgL_arg1522z00_4045;
BgL_arg1522z00_4045 = 
BGl_u32mmapzd2refze71z35zz__sha2z00(
((obj_t)BgL_mmz00_3898), 
(BgL_nz00_3899+BgL_jz00_4030)); 
{ /* Unsafe/sha2.scm 730 */
 uint32_t BgL_tmpz00_5005;
BgL_tmpz00_5005 = 
(uint32_t)(BgL_arg1522z00_4045); 
BGL_U32VSET(BgL_vz00_4026, BgL_jz00_4030, BgL_tmpz00_5005); } BUNSPEC; } 
{ 
 long BgL_jz00_5008;
BgL_jz00_5008 = 
(BgL_jz00_4030+((long)1)); 
BgL_jz00_4030 = BgL_jz00_5008; 
goto BgL_loopz00_4029;} } } } } } } } 

}



/* u32mmap-ref~1 */
long BGl_u32mmapzd2refze71z35zz__sha2z00(obj_t BgL_mmz00_1676, long BgL_iz00_1677)
{
{ /* Unsafe/sha2.scm 699 */
{ /* Unsafe/sha2.scm 699 */
 unsigned char BgL_arg1483z00_1679;
{ /* Unsafe/sha2.scm 699 */
 long BgL_tmpz00_5010;
BgL_tmpz00_5010 = 
(long)(BgL_iz00_1677); 
BgL_arg1483z00_1679 = 
BGL_MMAP_REF(BgL_mmz00_1676, BgL_tmpz00_5010); } 
return 
(BgL_arg1483z00_1679);} } 

}



/* sha256sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t BgL_strz00_40)
{
{ /* Unsafe/sha2.scm 741 */
{ /* Unsafe/sha2.scm 778 */
 obj_t BgL_statez00_1744; obj_t BgL_bufferz00_1745;
BgL_statez00_1744 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1745 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1744, BgL_bufferz00_1745, BgL_strz00_40, BGl_proc2313z00zz__sha2z00); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1744);} } 

}



/* &sha256sum-string */
obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_3901, obj_t BgL_strz00_3902)
{
{ /* Unsafe/sha2.scm 741 */
{ /* Unsafe/sha2.scm 744 */
 obj_t BgL_auxz00_5018;
if(
STRINGP(BgL_strz00_3902))
{ /* Unsafe/sha2.scm 744 */
BgL_auxz00_5018 = BgL_strz00_3902
; }  else 
{ 
 obj_t BgL_auxz00_5021;
BgL_auxz00_5021 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)32705)), BGl_string2314z00zz__sha2z00, BGl_string2315z00zz__sha2z00, BgL_strz00_3902); 
FAILURE(BgL_auxz00_5021,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_auxz00_5018);} } 

}



/* &fill-word32-string! */
long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_3903, obj_t BgL_v32z00_3904, long BgL_iz00_3905, obj_t BgL_strz00_3906, long BgL_nz00_3907)
{
{ /* Unsafe/sha2.scm 776 */
{ /* Unsafe/sha2.scm 747 */
 long BgL_lz00_4050;
BgL_lz00_4050 = 
STRING_LENGTH(
((obj_t)BgL_strz00_3906)); 
if(
(
(BgL_nz00_3907+((long)4))<=BgL_lz00_4050))
{ /* Unsafe/sha2.scm 750 */
 uint32_t BgL_v0z00_4051;
{ /* Unsafe/sha2.scm 750 */
 long BgL_tmpz00_5031;
BgL_tmpz00_5031 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3906), BgL_nz00_3907); 
BgL_v0z00_4051 = 
(uint32_t)(BgL_tmpz00_5031); } 
{ /* Unsafe/sha2.scm 750 */
 uint32_t BgL_v1z00_4052;
{ /* Unsafe/sha2.scm 751 */
 long BgL_tmpz00_5035;
BgL_tmpz00_5035 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3906), 
(BgL_nz00_3907+((long)1))); 
BgL_v1z00_4052 = 
(uint32_t)(BgL_tmpz00_5035); } 
{ /* Unsafe/sha2.scm 751 */
 uint32_t BgL_v2z00_4053;
{ /* Unsafe/sha2.scm 752 */
 long BgL_tmpz00_5040;
BgL_tmpz00_5040 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3906), 
(BgL_nz00_3907+((long)2))); 
BgL_v2z00_4053 = 
(uint32_t)(BgL_tmpz00_5040); } 
{ /* Unsafe/sha2.scm 752 */
 uint32_t BgL_v3z00_4054;
{ /* Unsafe/sha2.scm 753 */
 long BgL_tmpz00_5045;
BgL_tmpz00_5045 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3906), 
(BgL_nz00_3907+((long)3))); 
BgL_v3z00_4054 = 
(uint32_t)(BgL_tmpz00_5045); } 
{ /* Unsafe/sha2.scm 753 */
 uint32_t BgL_vz00_4055;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_arg1540z00_4056; uint32_t BgL_arg1541z00_4057;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_arg1544z00_4058;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1545z00_4059;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1546z00_4060; long BgL_arg1547z00_4061;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_tmpz00_5050;
BgL_tmpz00_5050 = 
(BgL_v0z00_4051 << 
(int)(((long)8))); 
BgL_arg1546z00_4060 = 
(long)(BgL_tmpz00_5050); } 
BgL_arg1547z00_4061 = 
(long)(BgL_v1z00_4052); 
BgL_arg1545z00_4059 = 
(BgL_arg1546z00_4060 | BgL_arg1547z00_4061); } 
BgL_arg1544z00_4058 = 
(uint32_t)(BgL_arg1545z00_4059); } 
BgL_arg1540z00_4056 = 
(BgL_arg1544z00_4058 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1549z00_4062;
{ /* Unsafe/sha2.scm 754 */
 long BgL_arg1550z00_4063; long BgL_arg1551z00_4064;
{ /* Unsafe/sha2.scm 754 */
 uint32_t BgL_tmpz00_5059;
BgL_tmpz00_5059 = 
(BgL_v2z00_4053 << 
(int)(((long)8))); 
BgL_arg1550z00_4063 = 
(long)(BgL_tmpz00_5059); } 
BgL_arg1551z00_4064 = 
(long)(BgL_v3z00_4054); 
BgL_arg1549z00_4062 = 
(BgL_arg1550z00_4063 | BgL_arg1551z00_4064); } 
BgL_arg1541z00_4057 = 
(uint32_t)(BgL_arg1549z00_4062); } 
BgL_vz00_4055 = 
(BgL_arg1540z00_4056 | BgL_arg1541z00_4057); } 
{ /* Unsafe/sha2.scm 754 */

BGL_U32VSET(BgL_v32z00_3904, BgL_iz00_3905, BgL_vz00_4055); BUNSPEC; 
return ((long)4);} } } } } }  else 
{ /* Unsafe/sha2.scm 749 */
if(
(BgL_nz00_3907>=
(((long)1)+BgL_lz00_4050)))
{ /* Unsafe/sha2.scm 757 */
{ /* Unsafe/sha2.scm 758 */
 uint32_t BgL_tmpz00_5071;
BgL_tmpz00_5071 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_v32z00_3904, BgL_iz00_3905, BgL_tmpz00_5071); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 761 */
 obj_t BgL_vz00_4065; long BgL_kz00_4066;
BgL_vz00_4065 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), 
(uint32_t)(((long)0))); 
BgL_kz00_4066 = 
(((long)4)-
(
(BgL_nz00_3907+((long)4))-BgL_lz00_4050)); 
{ 
 long BgL_jz00_4068;
BgL_jz00_4068 = ((long)0); 
BgL_loopz00_4067:
if(
(BgL_jz00_4068==BgL_kz00_4066))
{ /* Unsafe/sha2.scm 764 */
{ /* Unsafe/sha2.scm 766 */
 uint32_t BgL_tmpz00_5081;
BgL_tmpz00_5081 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4065, BgL_jz00_4068, BgL_tmpz00_5081); } BUNSPEC; 
{ /* Unsafe/sha2.scm 767 */
 uint32_t BgL_v0z00_4069;
BgL_v0z00_4069 = 
BGL_U32VREF(BgL_vz00_4065, ((long)0)); 
{ /* Unsafe/sha2.scm 767 */
 uint32_t BgL_v1z00_4070;
BgL_v1z00_4070 = 
BGL_U32VREF(BgL_vz00_4065, ((long)1)); 
{ /* Unsafe/sha2.scm 768 */
 uint32_t BgL_v2z00_4071;
BgL_v2z00_4071 = 
BGL_U32VREF(BgL_vz00_4065, ((long)2)); 
{ /* Unsafe/sha2.scm 769 */
 uint32_t BgL_v3z00_4072;
BgL_v3z00_4072 = 
BGL_U32VREF(BgL_vz00_4065, ((long)3)); 
{ /* Unsafe/sha2.scm 770 */
 uint32_t BgL_vz00_4073;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_arg1565z00_4074; uint32_t BgL_arg1566z00_4075;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_arg1567z00_4076;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1568z00_4077;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1569z00_4078; long BgL_arg1570z00_4079;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_tmpz00_5088;
BgL_tmpz00_5088 = 
(BgL_v0z00_4069 << 
(int)(((long)8))); 
BgL_arg1569z00_4078 = 
(long)(BgL_tmpz00_5088); } 
BgL_arg1570z00_4079 = 
(long)(BgL_v1z00_4070); 
BgL_arg1568z00_4077 = 
(BgL_arg1569z00_4078 | BgL_arg1570z00_4079); } 
BgL_arg1567z00_4076 = 
(uint32_t)(BgL_arg1568z00_4077); } 
BgL_arg1565z00_4074 = 
(BgL_arg1567z00_4076 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1572z00_4080;
{ /* Unsafe/sha2.scm 771 */
 long BgL_arg1573z00_4081; long BgL_arg1574z00_4082;
{ /* Unsafe/sha2.scm 771 */
 uint32_t BgL_tmpz00_5097;
BgL_tmpz00_5097 = 
(BgL_v2z00_4071 << 
(int)(((long)8))); 
BgL_arg1573z00_4081 = 
(long)(BgL_tmpz00_5097); } 
BgL_arg1574z00_4082 = 
(long)(BgL_v3z00_4072); 
BgL_arg1572z00_4080 = 
(BgL_arg1573z00_4081 | BgL_arg1574z00_4082); } 
BgL_arg1566z00_4075 = 
(uint32_t)(BgL_arg1572z00_4080); } 
BgL_vz00_4073 = 
(BgL_arg1565z00_4074 | BgL_arg1566z00_4075); } 
{ /* Unsafe/sha2.scm 771 */

BGL_U32VSET(BgL_v32z00_3904, BgL_iz00_3905, BgL_vz00_4073); BUNSPEC; 
return 
(BgL_jz00_4068+((long)1));} } } } } } }  else 
{ /* Unsafe/sha2.scm 764 */
{ /* Unsafe/sha2.scm 775 */
 long BgL_arg1577z00_4083;
BgL_arg1577z00_4083 = 
BGl_u32stringzd2refze71z35zz__sha2z00(
((obj_t)BgL_strz00_3906), 
(BgL_nz00_3907+BgL_jz00_4068)); 
{ /* Unsafe/sha2.scm 775 */
 uint32_t BgL_tmpz00_5110;
BgL_tmpz00_5110 = 
(uint32_t)(BgL_arg1577z00_4083); 
BGL_U32VSET(BgL_vz00_4065, BgL_jz00_4068, BgL_tmpz00_5110); } BUNSPEC; } 
{ 
 long BgL_jz00_5113;
BgL_jz00_5113 = 
(BgL_jz00_4068+((long)1)); 
BgL_jz00_4068 = BgL_jz00_5113; 
goto BgL_loopz00_4067;} } } } } } } 

}



/* u32string-ref~1 */
long BGl_u32stringzd2refze71z35zz__sha2z00(obj_t BgL_strz00_1748, long BgL_iz00_1749)
{
{ /* Unsafe/sha2.scm 744 */
return 
(
STRING_REF(BgL_strz00_1748, BgL_iz00_1749));} 

}



/* sha256sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_41)
{
{ /* Unsafe/sha2.scm 786 */
{ /* Unsafe/sha2.scm 786 */
 obj_t BgL_lenz00_3919;
BgL_lenz00_3919 = 
MAKE_CELL(
BINT(((long)0))); 
{ /* Unsafe/sha2.scm 788 */
 obj_t BgL_bufz00_1815;
{ /* Llib/srfi4.scm 451 */

BgL_bufz00_1815 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), (uint32_t)(0)); } 
{ /* Unsafe/sha2.scm 809 */
 obj_t BgL_fillzd2word32zd2portz12z12_3908;
{ 
 int BgL_tmpz00_5119;
BgL_tmpz00_5119 = 
(int)(((long)2)); 
BgL_fillzd2word32zd2portz12z12_3908 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word32zd2portz12z70zz__sha2z00, BgL_tmpz00_5119); } 
PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_3908, 
(int)(((long)0)), BgL_bufz00_1815); 
PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_3908, 
(int)(((long)1)), 
((obj_t)BgL_lenz00_3919)); 
{ /* Unsafe/sha2.scm 841 */
 obj_t BgL_statez00_1818; obj_t BgL_bufferz00_1819;
BgL_statez00_1818 = 
BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 451 */

BgL_bufferz00_1819 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1818, BgL_bufferz00_1819, BgL_pz00_41, BgL_fillzd2word32zd2portz12z12_3908); 
return 
BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1818);} } } } } 

}



/* &sha256sum-port */
obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_3909, obj_t BgL_pz00_3910)
{
{ /* Unsafe/sha2.scm 786 */
{ /* Unsafe/sha2.scm 786 */
 obj_t BgL_auxz00_5131;
if(
INPUT_PORTP(BgL_pz00_3910))
{ /* Unsafe/sha2.scm 786 */
BgL_auxz00_5131 = BgL_pz00_3910
; }  else 
{ 
 obj_t BgL_auxz00_5134;
BgL_auxz00_5134 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)34139)), BGl_string2316z00zz__sha2z00, BGl_string2317z00zz__sha2z00, BgL_pz00_3910); 
FAILURE(BgL_auxz00_5134,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_auxz00_5131);} } 

}



/* &fill-word32-port! */
long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t BgL_envz00_3911, obj_t BgL_v32z00_3914, long BgL_iz00_3915, obj_t BgL_pz00_3916, long BgL_nz00_3917)
{
{ /* Unsafe/sha2.scm 839 */
{ /* Unsafe/sha2.scm 809 */
 obj_t BgL_bufz00_3912; obj_t BgL_lenz00_3913;
BgL_bufz00_3912 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3911, 
(int)(((long)0)))); 
BgL_lenz00_3913 = 
PROCEDURE_L_REF(BgL_envz00_3911, 
(int)(((long)1))); 
{ 
 obj_t BgL_pz00_4089;
{ /* Unsafe/sha2.scm 809 */
 long BgL_lz00_4096;
BgL_pz00_4089 = 
((obj_t)BgL_pz00_3916); 
{ 
 long BgL_iz00_4091;
BgL_iz00_4091 = ((long)0); 
BgL_loopz00_4090:
if(
(BgL_iz00_4091==((long)4)))
{ /* Unsafe/sha2.scm 794 */
BgL_lz00_4096 = BgL_iz00_4091; }  else 
{ /* Unsafe/sha2.scm 796 */
 obj_t BgL_cz00_4092;
BgL_cz00_4092 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_4089); 
if(
EOF_OBJECTP(BgL_cz00_4092))
{ 
 long BgL_jz00_4094;
BgL_jz00_4094 = BgL_iz00_4091; 
BgL_liipz00_4093:
if(
(BgL_jz00_4094==((long)4)))
{ /* Unsafe/sha2.scm 799 */
BgL_lz00_4096 = BgL_iz00_4091; }  else 
{ /* Unsafe/sha2.scm 799 */
{ /* Unsafe/sha2.scm 802 */
 uint32_t BgL_tmpz00_5151;
BgL_tmpz00_5151 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_bufz00_3912, BgL_jz00_4094, BgL_tmpz00_5151); } BUNSPEC; 
{ 
 long BgL_jz00_5154;
BgL_jz00_5154 = 
(BgL_jz00_4094+((long)1)); 
BgL_jz00_4094 = BgL_jz00_5154; 
goto BgL_liipz00_4093;} } }  else 
{ /* Unsafe/sha2.scm 797 */
{ /* Unsafe/sha2.scm 805 */
 uint32_t BgL_arg1632z00_4095;
{ /* Unsafe/sha2.scm 805 */
 char BgL_tmpz00_5156;
BgL_tmpz00_5156 = 
(signed char)CINT(BgL_cz00_4092); 
BgL_arg1632z00_4095 = 
(uint32_t)(BgL_tmpz00_5156); } 
BGL_U32VSET(BgL_bufz00_3912, BgL_iz00_4091, BgL_arg1632z00_4095); BUNSPEC; } 
{ 
 long BgL_iz00_5160;
BgL_iz00_5160 = 
(BgL_iz00_4091+((long)1)); 
BgL_iz00_4091 = BgL_iz00_5160; 
goto BgL_loopz00_4090;} } } } 
{ /* Unsafe/sha2.scm 810 */
 obj_t BgL_auxz00_4097;
BgL_auxz00_4097 = 
ADDFX(
CELL_REF(BgL_lenz00_3913), 
BINT(BgL_lz00_4096)); 
CELL_SET(BgL_lenz00_3913, BgL_auxz00_4097); } 
if(
(
(BgL_nz00_3917+((long)4))<=
(long)CINT(
CELL_REF(BgL_lenz00_3913))))
{ /* Unsafe/sha2.scm 813 */
 uint32_t BgL_v0z00_4098;
BgL_v0z00_4098 = 
BGL_U32VREF(BgL_bufz00_3912, ((long)0)); 
{ /* Unsafe/sha2.scm 813 */
 uint32_t BgL_v1z00_4099;
BgL_v1z00_4099 = 
BGL_U32VREF(BgL_bufz00_3912, ((long)1)); 
{ /* Unsafe/sha2.scm 814 */
 uint32_t BgL_v2z00_4100;
BgL_v2z00_4100 = 
BGL_U32VREF(BgL_bufz00_3912, ((long)2)); 
{ /* Unsafe/sha2.scm 815 */
 uint32_t BgL_v3z00_4101;
BgL_v3z00_4101 = 
BGL_U32VREF(BgL_bufz00_3912, ((long)3)); 
{ /* Unsafe/sha2.scm 816 */
 uint32_t BgL_vz00_4102;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_arg1590z00_4103; uint32_t BgL_arg1591z00_4104;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_arg1594z00_4105;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1595z00_4106;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1596z00_4107; long BgL_arg1597z00_4108;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_tmpz00_5173;
BgL_tmpz00_5173 = 
(BgL_v0z00_4098 << 
(int)(((long)8))); 
BgL_arg1596z00_4107 = 
(long)(BgL_tmpz00_5173); } 
BgL_arg1597z00_4108 = 
(long)(BgL_v1z00_4099); 
BgL_arg1595z00_4106 = 
(BgL_arg1596z00_4107 | BgL_arg1597z00_4108); } 
BgL_arg1594z00_4105 = 
(uint32_t)(BgL_arg1595z00_4106); } 
BgL_arg1590z00_4103 = 
(BgL_arg1594z00_4105 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1599z00_4109;
{ /* Unsafe/sha2.scm 817 */
 long BgL_arg1600z00_4110; long BgL_arg1601z00_4111;
{ /* Unsafe/sha2.scm 817 */
 uint32_t BgL_tmpz00_5182;
BgL_tmpz00_5182 = 
(BgL_v2z00_4100 << 
(int)(((long)8))); 
BgL_arg1600z00_4110 = 
(long)(BgL_tmpz00_5182); } 
BgL_arg1601z00_4111 = 
(long)(BgL_v3z00_4101); 
BgL_arg1599z00_4109 = 
(BgL_arg1600z00_4110 | BgL_arg1601z00_4111); } 
BgL_arg1591z00_4104 = 
(uint32_t)(BgL_arg1599z00_4109); } 
BgL_vz00_4102 = 
(BgL_arg1590z00_4103 | BgL_arg1591z00_4104); } 
{ /* Unsafe/sha2.scm 817 */

BGL_U32VSET(BgL_v32z00_3914, BgL_iz00_3915, BgL_vz00_4102); BUNSPEC; 
return ((long)4);} } } } } }  else 
{ /* Unsafe/sha2.scm 812 */
if(
(BgL_nz00_3917>=
(((long)1)+
(long)CINT(
CELL_REF(BgL_lenz00_3913)))))
{ /* Unsafe/sha2.scm 820 */
{ /* Unsafe/sha2.scm 821 */
 uint32_t BgL_tmpz00_5195;
BgL_tmpz00_5195 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_v32z00_3914, BgL_iz00_3915, BgL_tmpz00_5195); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 824 */
 obj_t BgL_vz00_4112; long BgL_kz00_4113;
BgL_vz00_4112 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), 
(uint32_t)(((long)0))); 
BgL_kz00_4113 = 
(((long)4)-
(
(BgL_nz00_3917+((long)4))-
(long)CINT(
CELL_REF(BgL_lenz00_3913)))); 
{ 
 long BgL_jz00_4115;
BgL_jz00_4115 = ((long)0); 
BgL_loopz00_4114:
if(
(BgL_jz00_4115==BgL_kz00_4113))
{ /* Unsafe/sha2.scm 827 */
{ /* Unsafe/sha2.scm 829 */
 uint32_t BgL_tmpz00_5206;
BgL_tmpz00_5206 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4112, BgL_jz00_4115, BgL_tmpz00_5206); } BUNSPEC; 
{ /* Unsafe/sha2.scm 830 */
 uint32_t BgL_v0z00_4116;
BgL_v0z00_4116 = 
BGL_U32VREF(BgL_vz00_4112, ((long)0)); 
{ /* Unsafe/sha2.scm 830 */
 uint32_t BgL_v1z00_4117;
BgL_v1z00_4117 = 
BGL_U32VREF(BgL_vz00_4112, ((long)1)); 
{ /* Unsafe/sha2.scm 831 */
 uint32_t BgL_v2z00_4118;
BgL_v2z00_4118 = 
BGL_U32VREF(BgL_vz00_4112, ((long)2)); 
{ /* Unsafe/sha2.scm 832 */
 uint32_t BgL_v3z00_4119;
BgL_v3z00_4119 = 
BGL_U32VREF(BgL_vz00_4112, ((long)3)); 
{ /* Unsafe/sha2.scm 833 */
 uint32_t BgL_vz00_4120;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_arg1608z00_4121; uint32_t BgL_arg1609z00_4122;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_arg1610z00_4123;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1611z00_4124;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1612z00_4125; long BgL_arg1613z00_4126;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_tmpz00_5213;
BgL_tmpz00_5213 = 
(BgL_v0z00_4116 << 
(int)(((long)8))); 
BgL_arg1612z00_4125 = 
(long)(BgL_tmpz00_5213); } 
BgL_arg1613z00_4126 = 
(long)(BgL_v1z00_4117); 
BgL_arg1611z00_4124 = 
(BgL_arg1612z00_4125 | BgL_arg1613z00_4126); } 
BgL_arg1610z00_4123 = 
(uint32_t)(BgL_arg1611z00_4124); } 
BgL_arg1608z00_4121 = 
(BgL_arg1610z00_4123 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1615z00_4127;
{ /* Unsafe/sha2.scm 834 */
 long BgL_arg1616z00_4128; long BgL_arg1617z00_4129;
{ /* Unsafe/sha2.scm 834 */
 uint32_t BgL_tmpz00_5222;
BgL_tmpz00_5222 = 
(BgL_v2z00_4118 << 
(int)(((long)8))); 
BgL_arg1616z00_4128 = 
(long)(BgL_tmpz00_5222); } 
BgL_arg1617z00_4129 = 
(long)(BgL_v3z00_4119); 
BgL_arg1615z00_4127 = 
(BgL_arg1616z00_4128 | BgL_arg1617z00_4129); } 
BgL_arg1609z00_4122 = 
(uint32_t)(BgL_arg1615z00_4127); } 
BgL_vz00_4120 = 
(BgL_arg1608z00_4121 | BgL_arg1609z00_4122); } 
{ /* Unsafe/sha2.scm 834 */

BGL_U32VSET(BgL_v32z00_3914, BgL_iz00_3915, BgL_vz00_4120); BUNSPEC; 
return 
(BgL_jz00_4115+((long)1));} } } } } } }  else 
{ /* Unsafe/sha2.scm 827 */
{ /* Unsafe/sha2.scm 838 */
 uint32_t BgL_arg1619z00_4130;
BgL_arg1619z00_4130 = 
BGL_U32VREF(BgL_bufz00_3912, BgL_jz00_4115); 
BGL_U32VSET(BgL_vz00_4112, BgL_jz00_4115, BgL_arg1619z00_4130); BUNSPEC; } 
{ 
 long BgL_jz00_5234;
BgL_jz00_5234 = 
(BgL_jz00_4115+((long)1)); 
BgL_jz00_4115 = BgL_jz00_5234; 
goto BgL_loopz00_4114;} } } } } } } } } 

}



/* sha256sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t BgL_fnamez00_42)
{
{ /* Unsafe/sha2.scm 849 */
{ /* Unsafe/sha2.scm 850 */
 obj_t BgL_mmz00_1898;
BgL_mmz00_1898 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_42, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_1898))
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_exitd1072z00_1900;
BgL_exitd1072z00_1900 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 854 */
 obj_t BgL_zc3z04anonymousza31635ze3z87_3921;
BgL_zc3z04anonymousza31635ze3z87_3921 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31635ze3ze5zz__sha2z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31635ze3z87_3921, 
(int)(((long)0)), BgL_mmz00_1898); 
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2283z00_3280;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2284z00_3281;
BgL_arg2284z00_3281 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1900); 
BgL_arg2283z00_3280 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31635ze3z87_3921, BgL_arg2284z00_3281); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1072z00_1900, BgL_arg2283z00_3280); BUNSPEC; } 
{ /* Unsafe/sha2.scm 853 */
 obj_t BgL_tmp1074z00_1902;
BgL_tmp1074z00_1902 = 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_mmz00_1898); 
{ /* Unsafe/sha2.scm 852 */
 bool_t BgL_test2386z00_5249;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2282z00_3283;
BgL_arg2282z00_3283 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1900); 
BgL_test2386z00_5249 = 
PAIRP(BgL_arg2282z00_3283); } 
if(BgL_test2386z00_5249)
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2280z00_3284;
{ /* Unsafe/sha2.scm 852 */
 obj_t BgL_arg2281z00_3285;
BgL_arg2281z00_3285 = 
BGL_EXITD_PROTECT(BgL_exitd1072z00_1900); 
BgL_arg2280z00_3284 = 
CDR(
((obj_t)BgL_arg2281z00_3285)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1072z00_1900, BgL_arg2280z00_3284); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 852 */BFALSE; } } 
BGl_z62zc3z04anonymousza31635ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31635ze3z87_3921); 
return BgL_tmp1074z00_1902;} } }  else 
{ /* Unsafe/sha2.scm 855 */
 obj_t BgL_pz00_1905;
{ /* Ieee/port.scm 443 */

BgL_pz00_1905 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_42, BTRUE, 
BINT(((long)5000000))); } 
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_exitd1076z00_1906;
BgL_exitd1076z00_1906 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 858 */
 obj_t BgL_zc3z04anonymousza31636ze3z87_3922;
BgL_zc3z04anonymousza31636ze3z87_3922 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31636ze3ze5zz__sha2z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31636ze3z87_3922, 
(int)(((long)0)), BgL_pz00_1905); 
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2283z00_3288;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2284z00_3289;
BgL_arg2284z00_3289 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1906); 
BgL_arg2283z00_3288 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31636ze3z87_3922, BgL_arg2284z00_3289); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1076z00_1906, BgL_arg2283z00_3288); BUNSPEC; } 
{ /* Unsafe/sha2.scm 857 */
 obj_t BgL_tmp1078z00_1908;
BgL_tmp1078z00_1908 = 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_pz00_1905); 
{ /* Unsafe/sha2.scm 856 */
 bool_t BgL_test2387z00_5269;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2282z00_3291;
BgL_arg2282z00_3291 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1906); 
BgL_test2387z00_5269 = 
PAIRP(BgL_arg2282z00_3291); } 
if(BgL_test2387z00_5269)
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2280z00_3292;
{ /* Unsafe/sha2.scm 856 */
 obj_t BgL_arg2281z00_3293;
BgL_arg2281z00_3293 = 
BGL_EXITD_PROTECT(BgL_exitd1076z00_1906); 
BgL_arg2280z00_3292 = 
CDR(
((obj_t)BgL_arg2281z00_3293)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1076z00_1906, BgL_arg2280z00_3292); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 856 */BFALSE; } } 
BGl_z62zc3z04anonymousza31636ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31636ze3z87_3922); 
return BgL_tmp1078z00_1908;} } } } } } 

}



/* &sha256sum-file */
obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_3923, obj_t BgL_fnamez00_3924)
{
{ /* Unsafe/sha2.scm 849 */
{ /* Unsafe/sha2.scm 850 */
 obj_t BgL_auxz00_5277;
if(
STRINGP(BgL_fnamez00_3924))
{ /* Unsafe/sha2.scm 850 */
BgL_auxz00_5277 = BgL_fnamez00_3924
; }  else 
{ 
 obj_t BgL_auxz00_5280;
BgL_auxz00_5280 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)36025)), BGl_string2318z00zz__sha2z00, BGl_string2315z00zz__sha2z00, BgL_fnamez00_3924); 
FAILURE(BgL_auxz00_5280,BFALSE,BFALSE);} 
return 
BGl_sha256sumzd2filezd2zz__sha2z00(BgL_auxz00_5277);} } 

}



/* &<@anonymous:1635> */
obj_t BGl_z62zc3z04anonymousza31635ze3ze5zz__sha2z00(obj_t BgL_envz00_3925)
{
{ /* Unsafe/sha2.scm 852 */
{ /* Unsafe/sha2.scm 854 */
 obj_t BgL_mmz00_3926;
BgL_mmz00_3926 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3925, 
(int)(((long)0)))); 
return 
bgl_close_mmap(BgL_mmz00_3926);} } 

}



/* &<@anonymous:1636> */
obj_t BGl_z62zc3z04anonymousza31636ze3ze5zz__sha2z00(obj_t BgL_envz00_3927)
{
{ /* Unsafe/sha2.scm 856 */
{ /* Unsafe/sha2.scm 858 */
 obj_t BgL_pz00_3928;
BgL_pz00_3928 = 
PROCEDURE_REF(BgL_envz00_3927, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_3928));} } 

}



/* sha256sum */
BGL_EXPORTED_DEF obj_t BGl_sha256sumz00zz__sha2z00(obj_t BgL_objz00_43)
{
{ /* Unsafe/sha2.scm 863 */
if(
BGL_MMAPP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 865 */
return 
BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 865 */
if(
STRINGP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 867 */
return 
BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 867 */
if(
INPUT_PORTP(BgL_objz00_43))
{ /* Unsafe/sha2.scm 869 */
return 
BGl_sha256sumzd2portzd2zz__sha2z00(BgL_objz00_43);}  else 
{ /* Unsafe/sha2.scm 869 */
return 
BGl_errorz00zz__errorz00(BGl_string2319z00zz__sha2z00, BGl_string2320z00zz__sha2z00, BgL_objz00_43);} } } } 

}



/* &sha256sum */
obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t BgL_envz00_3929, obj_t BgL_objz00_3930)
{
{ /* Unsafe/sha2.scm 863 */
return 
BGl_sha256sumz00zz__sha2z00(BgL_objz00_3930);} 

}



/* get64-a */
uint64_t BGl_get64zd2azd2zz__sha2z00(obj_t BgL_stz00_44)
{
{ /* Unsafe/sha2.scm 877 */
return 
BGL_U64VREF(BgL_stz00_44, ((long)0));} 

}



/* get64-b */
uint64_t BGl_get64zd2bzd2zz__sha2z00(obj_t BgL_stz00_45)
{
{ /* Unsafe/sha2.scm 878 */
return 
BGL_U64VREF(BgL_stz00_45, ((long)1));} 

}



/* get64-c */
uint64_t BGl_get64zd2czd2zz__sha2z00(obj_t BgL_stz00_46)
{
{ /* Unsafe/sha2.scm 879 */
return 
BGL_U64VREF(BgL_stz00_46, ((long)2));} 

}



/* get64-d */
uint64_t BGl_get64zd2dzd2zz__sha2z00(obj_t BgL_stz00_47)
{
{ /* Unsafe/sha2.scm 880 */
return 
BGL_U64VREF(BgL_stz00_47, ((long)3));} 

}



/* get64-e */
uint64_t BGl_get64zd2ezd2zz__sha2z00(obj_t BgL_stz00_48)
{
{ /* Unsafe/sha2.scm 881 */
return 
BGL_U64VREF(BgL_stz00_48, ((long)4));} 

}



/* get64-f */
uint64_t BGl_get64zd2fzd2zz__sha2z00(obj_t BgL_stz00_49)
{
{ /* Unsafe/sha2.scm 882 */
return 
BGL_U64VREF(BgL_stz00_49, ((long)5));} 

}



/* get64-g */
uint64_t BGl_get64zd2gzd2zz__sha2z00(obj_t BgL_stz00_50)
{
{ /* Unsafe/sha2.scm 883 */
return 
BGL_U64VREF(BgL_stz00_50, ((long)6));} 

}



/* get64-h */
uint64_t BGl_get64zd2hzd2zz__sha2z00(obj_t BgL_stz00_51)
{
{ /* Unsafe/sha2.scm 884 */
return 
BGL_U64VREF(BgL_stz00_51, ((long)7));} 

}



/* sha512-internal-transform */
obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_52, obj_t BgL_bufferz00_53)
{
{ /* Unsafe/sha2.scm 889 */
{ 
 obj_t BgL_statez00_2006; uint64_t BgL_az00_2007; uint64_t BgL_bz00_2008; uint64_t BgL_cz00_2009; uint64_t BgL_dz00_2010; uint64_t BgL_ez00_2011; uint64_t BgL_fz00_2012; uint64_t BgL_gz00_2013; uint64_t BgL_hz00_2014;
{ /* Unsafe/sha2.scm 924 */
 uint64_t BgL_g1080z00_1924; uint64_t BgL_g1081z00_1925; uint64_t BgL_g1082z00_1926; uint64_t BgL_g1083z00_1927; uint64_t BgL_g1084z00_1928; uint64_t BgL_g1085z00_1929; uint64_t BgL_g1086z00_1930; uint64_t BgL_g1087z00_1931;
BgL_g1080z00_1924 = 
BGl_get64zd2azd2zz__sha2z00(BgL_statez00_52); 
BgL_g1081z00_1925 = 
BGl_get64zd2bzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1082z00_1926 = 
BGl_get64zd2czd2zz__sha2z00(BgL_statez00_52); 
BgL_g1083z00_1927 = 
BGl_get64zd2dzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1084z00_1928 = 
BGl_get64zd2ezd2zz__sha2z00(BgL_statez00_52); 
BgL_g1085z00_1929 = 
BGl_get64zd2fzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1086z00_1930 = 
BGl_get64zd2gzd2zz__sha2z00(BgL_statez00_52); 
BgL_g1087z00_1931 = 
BGl_get64zd2hzd2zz__sha2z00(BgL_statez00_52); 
{ 
 uint64_t BgL_az00_1933; uint64_t BgL_bz00_1934; uint64_t BgL_cz00_1935; uint64_t BgL_dz00_1936; uint64_t BgL_ez00_1937; uint64_t BgL_fz00_1938; uint64_t BgL_gz00_1939; uint64_t BgL_hz00_1940; long BgL_jz00_1941;
BgL_az00_1933 = BgL_g1080z00_1924; 
BgL_bz00_1934 = BgL_g1081z00_1925; 
BgL_cz00_1935 = BgL_g1082z00_1926; 
BgL_dz00_1936 = BgL_g1083z00_1927; 
BgL_ez00_1937 = BgL_g1084z00_1928; 
BgL_fz00_1938 = BgL_g1085z00_1929; 
BgL_gz00_1939 = BgL_g1086z00_1930; 
BgL_hz00_1940 = BgL_g1087z00_1931; 
BgL_jz00_1941 = ((long)0); 
BgL_zc3z04anonymousza31641ze3z87_1942:
if(
(BgL_jz00_1941<((long)16)))
{ /* Unsafe/sha2.scm 935 */
 uint64_t BgL_wz00_1944;
BgL_wz00_1944 = 
BGL_U64VREF(BgL_bufferz00_53, BgL_jz00_1941); 
{ /* Unsafe/sha2.scm 935 */
 uint64_t BgL_t1z00_1945;
BgL_t1z00_1945 = 
BGl_compressze70ze7zz__sha2z00(BgL_ez00_1937, BgL_fz00_1938, BgL_gz00_1939, BgL_hz00_1940, BgL_wz00_1944, BgL_jz00_1941); 
{ /* Unsafe/sha2.scm 936 */
 uint64_t BgL_t2z00_1946;
BgL_t2z00_1946 = 
(
BGl_Sigma0zd2512zd2zz__sha2z00(BgL_az00_1933)+
BGl_Majze70ze7zz__sha2z00(BgL_az00_1933, BgL_bz00_1934, BgL_cz00_1935)); 
{ /* Unsafe/sha2.scm 937 */

{ 
 long BgL_jz00_5337; uint64_t BgL_hz00_5336; uint64_t BgL_gz00_5335; uint64_t BgL_fz00_5334; uint64_t BgL_ez00_5332; uint64_t BgL_dz00_5331; uint64_t BgL_cz00_5330; uint64_t BgL_bz00_5329; uint64_t BgL_az00_5327;
BgL_az00_5327 = 
(BgL_t1z00_1945+BgL_t2z00_1946); 
BgL_bz00_5329 = BgL_az00_1933; 
BgL_cz00_5330 = BgL_bz00_1934; 
BgL_dz00_5331 = BgL_cz00_1935; 
BgL_ez00_5332 = 
(BgL_dz00_1936+BgL_t1z00_1945); 
BgL_fz00_5334 = BgL_ez00_1937; 
BgL_gz00_5335 = BgL_fz00_1938; 
BgL_hz00_5336 = BgL_gz00_1939; 
BgL_jz00_5337 = 
(BgL_jz00_1941+((long)1)); 
BgL_jz00_1941 = BgL_jz00_5337; 
BgL_hz00_1940 = BgL_hz00_5336; 
BgL_gz00_1939 = BgL_gz00_5335; 
BgL_fz00_1938 = BgL_fz00_5334; 
BgL_ez00_1937 = BgL_ez00_5332; 
BgL_dz00_1936 = BgL_dz00_5331; 
BgL_cz00_1935 = BgL_cz00_5330; 
BgL_bz00_1934 = BgL_bz00_5329; 
BgL_az00_1933 = BgL_az00_5327; 
goto BgL_zc3z04anonymousza31641ze3z87_1942;} } } } }  else 
{ /* Unsafe/sha2.scm 934 */
if(
(BgL_jz00_1941<((long)80)))
{ /* Unsafe/sha2.scm 940 */
 uint64_t BgL_s0z00_1953;
BgL_s0z00_1953 = 
BGl_sigma0zd2512zd2zz__sha2z00(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1941+((long)1)))); 
{ /* Unsafe/sha2.scm 940 */
 uint64_t BgL_s1z00_1954;
BgL_s1z00_1954 = 
BGl_sigma1zd2512zd2zz__sha2z00(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1941+((long)14)))); 
{ /* Unsafe/sha2.scm 941 */
 long BgL_ndxz00_1955;
BgL_ndxz00_1955 = 
(BgL_jz00_1941 & 
LLONG_TO_LONG(((BGL_LONGLONG_T)15))); 
{ /* Unsafe/sha2.scm 942 */
 uint64_t BgL_wz00_1956;
BgL_wz00_1956 = 
(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, BgL_jz00_1941)+
(BgL_s1z00_1954+
(
BGl_xfzd2refze70z35zz__sha2z00(BgL_bufferz00_53, 
(BgL_jz00_1941+((long)9)))+BgL_s0z00_1953))); 
{ /* Unsafe/sha2.scm 943 */
 uint64_t BgL_t1z00_1957;
BgL_t1z00_1957 = 
BGl_compressze70ze7zz__sha2z00(BgL_ez00_1937, BgL_fz00_1938, BgL_gz00_1939, BgL_hz00_1940, BgL_wz00_1956, BgL_jz00_1941); 
{ /* Unsafe/sha2.scm 944 */
 uint64_t BgL_t2z00_1958;
BgL_t2z00_1958 = 
(
BGl_Sigma0zd2512zd2zz__sha2z00(BgL_az00_1933)+
BGl_Majze70ze7zz__sha2z00(BgL_az00_1933, BgL_bz00_1934, BgL_cz00_1935)); 
{ /* Unsafe/sha2.scm 945 */

BGL_U64VSET(BgL_bufferz00_53, BgL_ndxz00_1955, BgL_wz00_1956); BUNSPEC; 
{ 
 long BgL_jz00_5370; uint64_t BgL_hz00_5369; uint64_t BgL_gz00_5368; uint64_t BgL_fz00_5367; uint64_t BgL_ez00_5365; uint64_t BgL_dz00_5364; uint64_t BgL_cz00_5363; uint64_t BgL_bz00_5362; uint64_t BgL_az00_5360;
BgL_az00_5360 = 
(BgL_t1z00_1957+BgL_t2z00_1958); 
BgL_bz00_5362 = BgL_az00_1933; 
BgL_cz00_5363 = BgL_bz00_1934; 
BgL_dz00_5364 = BgL_cz00_1935; 
BgL_ez00_5365 = 
(BgL_dz00_1936+BgL_t1z00_1957); 
BgL_fz00_5367 = BgL_ez00_1937; 
BgL_gz00_5368 = BgL_fz00_1938; 
BgL_hz00_5369 = BgL_gz00_1939; 
BgL_jz00_5370 = 
(BgL_jz00_1941+((long)1)); 
BgL_jz00_1941 = BgL_jz00_5370; 
BgL_hz00_1940 = BgL_hz00_5369; 
BgL_gz00_1939 = BgL_gz00_5368; 
BgL_fz00_1938 = BgL_fz00_5367; 
BgL_ez00_1937 = BgL_ez00_5365; 
BgL_dz00_1936 = BgL_dz00_5364; 
BgL_cz00_1935 = BgL_cz00_5363; 
BgL_bz00_1934 = BgL_bz00_5362; 
BgL_az00_1933 = BgL_az00_5360; 
goto BgL_zc3z04anonymousza31641ze3z87_1942;} } } } } } } }  else 
{ /* Unsafe/sha2.scm 939 */
BgL_statez00_2006 = BgL_statez00_52; 
BgL_az00_2007 = BgL_az00_1933; 
BgL_bz00_2008 = BgL_bz00_1934; 
BgL_cz00_2009 = BgL_cz00_1935; 
BgL_dz00_2010 = BgL_dz00_1936; 
BgL_ez00_2011 = BgL_ez00_1937; 
BgL_fz00_2012 = BgL_fz00_1938; 
BgL_gz00_2013 = BgL_gz00_1939; 
BgL_hz00_2014 = BgL_hz00_1940; 
{ /* Unsafe/sha2.scm 906 */
 uint64_t BgL_oaz00_2016; uint64_t BgL_obz00_2017; uint64_t BgL_ocz00_2018; uint64_t BgL_odz00_2019; uint64_t BgL_oez00_2020; uint64_t BgL_ofz00_2021; uint64_t BgL_ogz00_2022; uint64_t BgL_ohz00_2023;
BgL_oaz00_2016 = 
BGl_get64zd2azd2zz__sha2z00(BgL_statez00_2006); 
BgL_obz00_2017 = 
BGl_get64zd2bzd2zz__sha2z00(BgL_statez00_2006); 
BgL_ocz00_2018 = 
BGl_get64zd2czd2zz__sha2z00(BgL_statez00_2006); 
BgL_odz00_2019 = 
BGl_get64zd2dzd2zz__sha2z00(BgL_statez00_2006); 
BgL_oez00_2020 = 
BGl_get64zd2ezd2zz__sha2z00(BgL_statez00_2006); 
BgL_ofz00_2021 = 
BGl_get64zd2fzd2zz__sha2z00(BgL_statez00_2006); 
BgL_ogz00_2022 = 
BGl_get64zd2gzd2zz__sha2z00(BgL_statez00_2006); 
BgL_ohz00_2023 = 
BGl_get64zd2hzd2zz__sha2z00(BgL_statez00_2006); 
{ /* Unsafe/sha2.scm 915 */
 uint64_t BgL_arg1697z00_2025;
BgL_arg1697z00_2025 = 
(BgL_oaz00_2016+BgL_az00_2007); 
BGL_U64VSET(BgL_statez00_2006, ((long)0), BgL_arg1697z00_2025); BUNSPEC; } 
{ /* Unsafe/sha2.scm 916 */
 uint64_t BgL_arg1698z00_2026;
BgL_arg1698z00_2026 = 
(BgL_obz00_2017+BgL_bz00_2008); 
BGL_U64VSET(BgL_statez00_2006, ((long)1), BgL_arg1698z00_2026); BUNSPEC; } 
{ /* Unsafe/sha2.scm 917 */
 uint64_t BgL_arg1699z00_2027;
BgL_arg1699z00_2027 = 
(BgL_ocz00_2018+BgL_cz00_2009); 
BGL_U64VSET(BgL_statez00_2006, ((long)2), BgL_arg1699z00_2027); BUNSPEC; } 
{ /* Unsafe/sha2.scm 918 */
 uint64_t BgL_arg1700z00_2028;
BgL_arg1700z00_2028 = 
(BgL_odz00_2019+BgL_dz00_2010); 
BGL_U64VSET(BgL_statez00_2006, ((long)3), BgL_arg1700z00_2028); BUNSPEC; } 
{ /* Unsafe/sha2.scm 919 */
 uint64_t BgL_arg1701z00_2029;
BgL_arg1701z00_2029 = 
(BgL_oez00_2020+BgL_ez00_2011); 
BGL_U64VSET(BgL_statez00_2006, ((long)4), BgL_arg1701z00_2029); BUNSPEC; } 
{ /* Unsafe/sha2.scm 920 */
 uint64_t BgL_arg1702z00_2030;
BgL_arg1702z00_2030 = 
(BgL_ofz00_2021+BgL_fz00_2012); 
BGL_U64VSET(BgL_statez00_2006, ((long)5), BgL_arg1702z00_2030); BUNSPEC; } 
{ /* Unsafe/sha2.scm 921 */
 uint64_t BgL_arg1703z00_2031;
BgL_arg1703z00_2031 = 
(BgL_ogz00_2022+BgL_gz00_2013); 
BGL_U64VSET(BgL_statez00_2006, ((long)6), BgL_arg1703z00_2031); BUNSPEC; } 
{ /* Unsafe/sha2.scm 922 */
 uint64_t BgL_arg1704z00_2032;
BgL_arg1704z00_2032 = 
(BgL_ohz00_2023+BgL_hz00_2014); 
BGL_U64VSET(BgL_statez00_2006, ((long)7), BgL_arg1704z00_2032); BUNSPEC; } } 
return BgL_statez00_52;} } } } } } 

}



/* xf-ref~0 */
uint64_t BGl_xfzd2refze70z35zz__sha2z00(obj_t BgL_vz00_2002, long BgL_nz00_2003)
{
{ /* Unsafe/sha2.scm 901 */
{ /* Unsafe/sha2.scm 901 */
 long BgL_tmpz00_5396;
BgL_tmpz00_5396 = 
(BgL_nz00_2003 & ((long)15)); 
return 
BGL_U64VREF(BgL_vz00_2002, BgL_tmpz00_5396);} } 

}



/* compress~0 */
uint64_t BGl_compressze70ze7zz__sha2z00(uint64_t BgL_ez00_1989, uint64_t BgL_fz00_1990, uint64_t BgL_gz00_1991, uint64_t BgL_hz00_1992, uint64_t BgL_wz00_1993, long BgL_jz00_1994)
{
{ /* Unsafe/sha2.scm 898 */
{ 
 uint64_t BgL_xz00_1982; uint64_t BgL_yz00_1983; uint64_t BgL_za7za7_1984;
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1686z00_1996;
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1688z00_1997; uint64_t BgL_arg1689z00_1998;
BgL_arg1688z00_1997 = 
BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1989); 
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1690z00_1999; uint64_t BgL_arg1691z00_2000;
BgL_xz00_1982 = BgL_ez00_1989; 
BgL_yz00_1983 = BgL_fz00_1990; 
BgL_za7za7_1984 = BgL_gz00_1991; 
BgL_arg1690z00_1999 = 
(
(BgL_xz00_1982 & BgL_yz00_1983) ^ 
(
~(BgL_xz00_1982) & BgL_za7za7_1984)); 
{ /* Unsafe/sha2.scm 898 */
 uint64_t BgL_arg1693z00_2001;
BgL_arg1693z00_2001 = 
BGL_U64VREF(BGl_K512z00zz__sha2z00, BgL_jz00_1994); 
BgL_arg1691z00_2000 = 
(BgL_arg1693z00_2001+BgL_wz00_1993); } 
BgL_arg1689z00_1998 = 
(BgL_arg1690z00_1999+BgL_arg1691z00_2000); } 
BgL_arg1686z00_1996 = 
(BgL_arg1688z00_1997+BgL_arg1689z00_1998); } 
return 
(BgL_hz00_1992+BgL_arg1686z00_1996);} } } 

}



/* Maj~0 */
uint64_t BGl_Majze70ze7zz__sha2z00(uint64_t BgL_xz00_1974, uint64_t BgL_yz00_1975, uint64_t BgL_za7za7_1976)
{
{ /* Unsafe/sha2.scm 892 */
return 
(
(BgL_xz00_1974 & BgL_yz00_1975) ^ 
(
(BgL_xz00_1974 & BgL_za7za7_1976) ^ 
(BgL_yz00_1975 & BgL_za7za7_1976)));} 

}



/* sha512-update */
obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t BgL_statez00_54, obj_t BgL_bufferz00_55, obj_t BgL_oz00_56, obj_t BgL_fillzd2wordz12zc0_57)
{
{ /* Unsafe/sha2.scm 955 */
{ 
 obj_t BgL_vz00_2073; long BgL_lenz00_2074; uint64_t BgL_valz00_2075; obj_t BgL_bufferz00_2058; long BgL_iz00_2059;
{ 
 long BgL_iz00_2041; long BgL_lz00_2042;
BgL_iz00_2041 = ((long)0); 
BgL_lz00_2042 = ((long)0); 
BgL_zc3z04anonymousza31705ze3z87_2043:
{ /* Unsafe/sha2.scm 975 */
 long BgL_bytesz00_2044;
BgL_bufferz00_2058 = BgL_bufferz00_55; 
BgL_iz00_2059 = BgL_iz00_2041; 
{ 
 long BgL_jz00_2062; long BgL_iz00_2063; long BgL_nz00_2064;
BgL_jz00_2062 = ((long)0); 
BgL_iz00_2063 = BgL_iz00_2059; 
BgL_nz00_2064 = ((long)0); 
BgL_zc3z04anonymousza31718ze3z87_2065:
if(
(BgL_jz00_2062<((long)16)))
{ /* Unsafe/sha2.scm 964 */
 long BgL_arg1720z00_2067; long BgL_arg1721z00_2068; long BgL_arg1722z00_2069;
BgL_arg1720z00_2067 = 
(BgL_jz00_2062+((long)1)); 
BgL_arg1721z00_2068 = 
(BgL_iz00_2063+((long)8)); 
{ /* Unsafe/sha2.scm 964 */
 long BgL_b1144z00_2070;
BgL_b1144z00_2070 = 
((long(*)())PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_57))(BgL_fillzd2wordz12zc0_57, BgL_bufferz00_2058, BgL_jz00_2062, BgL_oz00_56, BgL_iz00_2063); 
BgL_arg1722z00_2069 = 
(BgL_nz00_2064+BgL_b1144z00_2070); } 
{ 
 long BgL_nz00_5428; long BgL_iz00_5427; long BgL_jz00_5426;
BgL_jz00_5426 = BgL_arg1720z00_2067; 
BgL_iz00_5427 = BgL_arg1721z00_2068; 
BgL_nz00_5428 = BgL_arg1722z00_2069; 
BgL_nz00_2064 = BgL_nz00_5428; 
BgL_iz00_2063 = BgL_iz00_5427; 
BgL_jz00_2062 = BgL_jz00_5426; 
goto BgL_zc3z04anonymousza31718ze3z87_2065;} }  else 
{ /* Unsafe/sha2.scm 963 */
BgL_bytesz00_2044 = BgL_nz00_2064; } } 
if(
(BgL_bytesz00_2044==((long)128)))
{ /* Unsafe/sha2.scm 977 */
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55); 
{ 
 long BgL_lz00_5434; long BgL_iz00_5432;
BgL_iz00_5432 = 
(BgL_iz00_2041+((long)128)); 
BgL_lz00_5434 = 
(BgL_lz00_2042+((long)128)); 
BgL_lz00_2042 = BgL_lz00_5434; 
BgL_iz00_2041 = BgL_iz00_5432; 
goto BgL_zc3z04anonymousza31705ze3z87_2043;} }  else 
{ /* Unsafe/sha2.scm 977 */
if(
(
(((long)128)-BgL_bytesz00_2044)>=((long)8)))
{ /* Unsafe/sha2.scm 981 */
{ /* Unsafe/sha2.scm 984 */
 uint64_t BgL_ulenz00_2050;
{ /* Unsafe/sha2.scm 984 */
 long BgL_tmpz00_5439;
BgL_tmpz00_5439 = 
(((long)8)*
(
(BgL_lz00_2042-((long)1))+BgL_bytesz00_2044)); 
BgL_ulenz00_2050 = 
(uint64_t)(BgL_tmpz00_5439); } 
BGL_U64VSET(BgL_bufferz00_55, ((long)15), BgL_ulenz00_2050); BUNSPEC; } 
return 
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55);}  else 
{ /* Unsafe/sha2.scm 981 */
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55); 
BgL_vz00_2073 = BgL_bufferz00_55; 
BgL_lenz00_2074 = ((long)15); 
BgL_valz00_2075 = (uint64_t)(0); 
{ 
 long BgL_iz00_2078;
BgL_iz00_2078 = ((long)0); 
BgL_zc3z04anonymousza31725ze3z87_2079:
if(
(BgL_iz00_2078<BgL_lenz00_2074))
{ /* Unsafe/sha2.scm 969 */
BGL_U64VSET(BgL_vz00_2073, BgL_iz00_2078, BgL_valz00_2075); BUNSPEC; 
{ 
 long BgL_iz00_5450;
BgL_iz00_5450 = 
(BgL_iz00_2078+((long)1)); 
BgL_iz00_2078 = BgL_iz00_5450; 
goto BgL_zc3z04anonymousza31725ze3z87_2079;} }  else 
{ /* Unsafe/sha2.scm 969 */((bool_t)0); } } 
{ /* Unsafe/sha2.scm 991 */
 uint64_t BgL_ulenz00_2053;
{ /* Unsafe/sha2.scm 991 */
 long BgL_tmpz00_5452;
BgL_tmpz00_5452 = 
(((long)8)*
(
(BgL_lz00_2042-((long)1))+BgL_bytesz00_2044)); 
BgL_ulenz00_2053 = 
(uint64_t)(BgL_tmpz00_5452); } 
BGL_U64VSET(BgL_bufferz00_55, ((long)15), BgL_ulenz00_2053); BUNSPEC; } 
return 
BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54, BgL_bufferz00_55);} } } } } } 

}



/* sha512sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_58)
{
{ /* Unsafe/sha2.scm 998 */
{ /* Unsafe/sha2.scm 1001 */
 obj_t BgL_fillzd2word64zd2mmapz12z12_3931;
{ 
 int BgL_tmpz00_5459;
BgL_tmpz00_5459 = 
(int)(((long)1)); 
BgL_fillzd2word64zd2mmapz12z12_3931 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00, BgL_tmpz00_5459); } 
PROCEDURE_L_SET(BgL_fillzd2word64zd2mmapz12z12_3931, 
(int)(((long)0)), BgL_mmz00_58); 
{ /* Unsafe/sha2.scm 1045 */
 obj_t BgL_statez00_2087; obj_t BgL_bufferz00_2088;
BgL_statez00_2087 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2088 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)16), (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2087, BgL_bufferz00_2088, BgL_mmz00_58, BgL_fillzd2word64zd2mmapz12z12_3931); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2087);} } } 

}



/* &sha512sum-mmap */
obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_3932, obj_t BgL_mmz00_3933)
{
{ /* Unsafe/sha2.scm 998 */
{ /* Unsafe/sha2.scm 1001 */
 obj_t BgL_auxz00_5468;
if(
BGL_MMAPP(BgL_mmz00_3933))
{ /* Unsafe/sha2.scm 1001 */
BgL_auxz00_5468 = BgL_mmz00_3933
; }  else 
{ 
 obj_t BgL_auxz00_5471;
BgL_auxz00_5471 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)41684)), BGl_string2321z00zz__sha2z00, BGl_string2312z00zz__sha2z00, BgL_mmz00_3933); 
FAILURE(BgL_auxz00_5471,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_auxz00_5468);} } 

}



/* &fill-word64-mmap! */
long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_3934, obj_t BgL_v64z00_3936, long BgL_iz00_3937, obj_t BgL_mmz00_3938, long BgL_nz00_3939)
{
{ /* Unsafe/sha2.scm 1043 */
{ /* Unsafe/sha2.scm 1004 */
 obj_t BgL_mmz00_3935;
BgL_mmz00_3935 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3934, 
(int)(((long)0)))); 
{ /* Unsafe/sha2.scm 1004 */
 long BgL_lz00_4135;
{ /* Unsafe/sha2.scm 1004 */
 obj_t BgL_tmpz00_5479;
BgL_tmpz00_5479 = 
((obj_t)BgL_mmz00_3938); 
BgL_lz00_4135 = 
BGL_MMAP_LENGTH(BgL_tmpz00_5479); } 
{ /* Unsafe/sha2.scm 1006 */
 bool_t BgL_test2399z00_5482;
{ /* Unsafe/sha2.scm 1006 */
 long BgL_n2z00_4136;
BgL_n2z00_4136 = 
(long)(BgL_lz00_4135); 
BgL_test2399z00_5482 = 
(
(BgL_nz00_3939+((long)8))<=BgL_n2z00_4136); } 
if(BgL_test2399z00_5482)
{ /* Unsafe/sha2.scm 1007 */
 uint32_t BgL_v0z00_4137;
{ /* Unsafe/sha2.scm 1007 */
 long BgL_tmpz00_5486;
BgL_tmpz00_5486 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), BgL_nz00_3939); 
BgL_v0z00_4137 = 
(uint32_t)(BgL_tmpz00_5486); } 
{ /* Unsafe/sha2.scm 1007 */
 uint32_t BgL_v1z00_4138;
{ /* Unsafe/sha2.scm 1008 */
 long BgL_arg1766z00_4139;
BgL_arg1766z00_4139 = 
(BgL_nz00_3939+((long)1)); 
{ /* Unsafe/sha2.scm 1008 */
 long BgL_tmpz00_5491;
BgL_tmpz00_5491 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), BgL_arg1766z00_4139); 
BgL_v1z00_4138 = 
(uint32_t)(BgL_tmpz00_5491); } } 
{ /* Unsafe/sha2.scm 1008 */
 uint32_t BgL_v2z00_4140;
{ /* Unsafe/sha2.scm 1009 */
 long BgL_arg1765z00_4141;
BgL_arg1765z00_4141 = 
(BgL_nz00_3939+((long)2)); 
{ /* Unsafe/sha2.scm 1009 */
 long BgL_tmpz00_5496;
BgL_tmpz00_5496 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), BgL_arg1765z00_4141); 
BgL_v2z00_4140 = 
(uint32_t)(BgL_tmpz00_5496); } } 
{ /* Unsafe/sha2.scm 1009 */
 uint32_t BgL_v3z00_4142;
{ /* Unsafe/sha2.scm 1010 */
 long BgL_arg1764z00_4143;
BgL_arg1764z00_4143 = 
(BgL_nz00_3939+((long)3)); 
{ /* Unsafe/sha2.scm 1010 */
 long BgL_tmpz00_5501;
BgL_tmpz00_5501 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), BgL_arg1764z00_4143); 
BgL_v3z00_4142 = 
(uint32_t)(BgL_tmpz00_5501); } } 
{ /* Unsafe/sha2.scm 1010 */
 uint32_t BgL_v4z00_4144;
{ /* Unsafe/sha2.scm 1011 */
 long BgL_arg1763z00_4145;
BgL_arg1763z00_4145 = 
(BgL_nz00_3939+((long)4)); 
{ /* Unsafe/sha2.scm 1011 */
 long BgL_tmpz00_5506;
BgL_tmpz00_5506 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), BgL_arg1763z00_4145); 
BgL_v4z00_4144 = 
(uint32_t)(BgL_tmpz00_5506); } } 
{ /* Unsafe/sha2.scm 1011 */
 uint32_t BgL_v5z00_4146;
{ /* Unsafe/sha2.scm 1012 */
 long BgL_arg1762z00_4147;
BgL_arg1762z00_4147 = 
(BgL_nz00_3939+((long)5)); 
{ /* Unsafe/sha2.scm 1012 */
 long BgL_tmpz00_5511;
BgL_tmpz00_5511 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), BgL_arg1762z00_4147); 
BgL_v5z00_4146 = 
(uint32_t)(BgL_tmpz00_5511); } } 
{ /* Unsafe/sha2.scm 1012 */
 uint32_t BgL_v6z00_4148;
{ /* Unsafe/sha2.scm 1013 */
 long BgL_arg1761z00_4149;
BgL_arg1761z00_4149 = 
(BgL_nz00_3939+((long)6)); 
{ /* Unsafe/sha2.scm 1013 */
 long BgL_tmpz00_5516;
BgL_tmpz00_5516 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), BgL_arg1761z00_4149); 
BgL_v6z00_4148 = 
(uint32_t)(BgL_tmpz00_5516); } } 
{ /* Unsafe/sha2.scm 1013 */
 uint32_t BgL_v7z00_4150;
{ /* Unsafe/sha2.scm 1014 */
 long BgL_arg1760z00_4151;
BgL_arg1760z00_4151 = 
(BgL_nz00_3939+((long)7)); 
{ /* Unsafe/sha2.scm 1014 */
 long BgL_tmpz00_5521;
BgL_tmpz00_5521 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), BgL_arg1760z00_4151); 
BgL_v7z00_4150 = 
(uint32_t)(BgL_tmpz00_5521); } } 
{ /* Unsafe/sha2.scm 1014 */
 uint64_t BgL_vz00_4152;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1733z00_4153; uint64_t BgL_arg1734z00_4154;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1735z00_4155;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1736z00_4156;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1737z00_4157; long BgL_arg1738z00_4158;
{ /* Unsafe/sha2.scm 1015 */
 uint32_t BgL_tmpz00_5525;
BgL_tmpz00_5525 = 
(BgL_v0z00_4137 << 
(int)(((long)8))); 
BgL_arg1737z00_4157 = 
(long)(BgL_tmpz00_5525); } 
BgL_arg1738z00_4158 = 
(long)(BgL_v1z00_4138); 
BgL_arg1736z00_4156 = 
(BgL_arg1737z00_4157 | BgL_arg1738z00_4158); } 
BgL_arg1735z00_4155 = 
(uint64_t)(BgL_arg1736z00_4156); } 
BgL_arg1733z00_4153 = 
(BgL_arg1735z00_4155 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1741z00_4159; uint64_t BgL_arg1742z00_4160;
{ /* Unsafe/sha2.scm 1015 */
 uint64_t BgL_arg1743z00_4161;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1744z00_4162;
{ /* Unsafe/sha2.scm 1015 */
 long BgL_arg1745z00_4163; long BgL_arg1746z00_4164;
{ /* Unsafe/sha2.scm 1015 */
 uint32_t BgL_tmpz00_5534;
BgL_tmpz00_5534 = 
(BgL_v2z00_4140 << 
(int)(((long)8))); 
BgL_arg1745z00_4163 = 
(long)(BgL_tmpz00_5534); } 
BgL_arg1746z00_4164 = 
(long)(BgL_v3z00_4142); 
BgL_arg1744z00_4162 = 
(BgL_arg1745z00_4163 | BgL_arg1746z00_4164); } 
BgL_arg1743z00_4161 = 
(uint64_t)(BgL_arg1744z00_4162); } 
BgL_arg1741z00_4159 = 
(BgL_arg1743z00_4161 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1016 */
 uint64_t BgL_arg1748z00_4165; uint64_t BgL_arg1749z00_4166;
{ /* Unsafe/sha2.scm 1016 */
 uint64_t BgL_arg1750z00_4167;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1752z00_4168;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1753z00_4169; long BgL_arg1754z00_4170;
{ /* Unsafe/sha2.scm 1016 */
 uint32_t BgL_tmpz00_5543;
BgL_tmpz00_5543 = 
(BgL_v4z00_4144 << 
(int)(((long)8))); 
BgL_arg1753z00_4169 = 
(long)(BgL_tmpz00_5543); } 
BgL_arg1754z00_4170 = 
(long)(BgL_v5z00_4146); 
BgL_arg1752z00_4168 = 
(BgL_arg1753z00_4169 | BgL_arg1754z00_4170); } 
BgL_arg1750z00_4167 = 
(uint64_t)(BgL_arg1752z00_4168); } 
BgL_arg1748z00_4165 = 
(BgL_arg1750z00_4167 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1756z00_4171;
{ /* Unsafe/sha2.scm 1016 */
 long BgL_arg1757z00_4172; long BgL_arg1758z00_4173;
{ /* Unsafe/sha2.scm 1016 */
 uint32_t BgL_tmpz00_5552;
BgL_tmpz00_5552 = 
(BgL_v6z00_4148 << 
(int)(((long)8))); 
BgL_arg1757z00_4172 = 
(long)(BgL_tmpz00_5552); } 
BgL_arg1758z00_4173 = 
(long)(BgL_v7z00_4150); 
BgL_arg1756z00_4171 = 
(BgL_arg1757z00_4172 | BgL_arg1758z00_4173); } 
BgL_arg1749z00_4166 = 
(uint64_t)(BgL_arg1756z00_4171); } 
BgL_arg1742z00_4160 = 
(BgL_arg1748z00_4165 | BgL_arg1749z00_4166); } 
BgL_arg1734z00_4154 = 
(BgL_arg1741z00_4159 | BgL_arg1742z00_4160); } 
BgL_vz00_4152 = 
(BgL_arg1733z00_4153 | BgL_arg1734z00_4154); } 
{ /* Unsafe/sha2.scm 1015 */

BGL_U64VSET(BgL_v64z00_3936, BgL_iz00_3937, BgL_vz00_4152); BUNSPEC; 
return ((long)8);} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1019 */
 bool_t BgL_test2400z00_5563;
{ /* Unsafe/sha2.scm 1019 */
 long BgL_tmpz00_5564;
{ /* Unsafe/sha2.scm 1019 */
 long BgL_za72za7_4174;
BgL_za72za7_4174 = 
(long)(BgL_lz00_4135); 
BgL_tmpz00_5564 = 
(((long)1)+BgL_za72za7_4174); } 
BgL_test2400z00_5563 = 
(BgL_nz00_3939>=BgL_tmpz00_5564); } 
if(BgL_test2400z00_5563)
{ /* Unsafe/sha2.scm 1019 */
BGL_U64VSET(BgL_v64z00_3936, BgL_iz00_3937, (uint64_t)(0)); BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 1023 */
 obj_t BgL_vz00_4175; long BgL_kz00_4176;
BgL_vz00_4175 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), 
(uint32_t)(((long)0))); 
{ /* Unsafe/sha2.scm 1024 */
 long BgL_tmpz00_5571;
{ /* Unsafe/sha2.scm 1024 */
 long BgL_za72za7_4177;
BgL_za72za7_4177 = 
(long)(BgL_lz00_4135); 
BgL_tmpz00_5571 = 
(
(BgL_nz00_3939+((long)8))-BgL_za72za7_4177); } 
BgL_kz00_4176 = 
(((long)8)-BgL_tmpz00_5571); } 
{ 
 long BgL_jz00_4179;
BgL_jz00_4179 = ((long)0); 
BgL_loopz00_4178:
if(
(BgL_jz00_4179==BgL_kz00_4176))
{ /* Unsafe/sha2.scm 1026 */
{ /* Unsafe/sha2.scm 1028 */
 uint32_t BgL_tmpz00_5578;
BgL_tmpz00_5578 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4175, BgL_jz00_4179, BgL_tmpz00_5578); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1029 */
 uint32_t BgL_v0z00_4180;
BgL_v0z00_4180 = 
BGL_U32VREF(BgL_vz00_4175, ((long)0)); 
{ /* Unsafe/sha2.scm 1029 */
 uint32_t BgL_v1z00_4181;
BgL_v1z00_4181 = 
BGL_U32VREF(BgL_vz00_4175, ((long)1)); 
{ /* Unsafe/sha2.scm 1030 */
 uint32_t BgL_v2z00_4182;
BgL_v2z00_4182 = 
BGL_U32VREF(BgL_vz00_4175, ((long)2)); 
{ /* Unsafe/sha2.scm 1031 */
 uint32_t BgL_v3z00_4183;
BgL_v3z00_4183 = 
BGL_U32VREF(BgL_vz00_4175, ((long)3)); 
{ /* Unsafe/sha2.scm 1032 */
 uint32_t BgL_v4z00_4184;
BgL_v4z00_4184 = 
BGL_U32VREF(BgL_vz00_4175, ((long)4)); 
{ /* Unsafe/sha2.scm 1033 */
 uint32_t BgL_v5z00_4185;
BgL_v5z00_4185 = 
BGL_U32VREF(BgL_vz00_4175, ((long)5)); 
{ /* Unsafe/sha2.scm 1034 */
 uint32_t BgL_v6z00_4186;
BgL_v6z00_4186 = 
BGL_U32VREF(BgL_vz00_4175, ((long)6)); 
{ /* Unsafe/sha2.scm 1035 */
 uint32_t BgL_v7z00_4187;
BgL_v7z00_4187 = 
BGL_U32VREF(BgL_vz00_4175, ((long)7)); 
{ /* Unsafe/sha2.scm 1036 */
 uint64_t BgL_vz00_4188;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1771z00_4189; uint64_t BgL_arg1772z00_4190;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1773z00_4191;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1774z00_4192;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1775z00_4193; long BgL_arg1776z00_4194;
{ /* Unsafe/sha2.scm 1037 */
 uint32_t BgL_tmpz00_5589;
BgL_tmpz00_5589 = 
(BgL_v0z00_4180 << 
(int)(((long)8))); 
BgL_arg1775z00_4193 = 
(long)(BgL_tmpz00_5589); } 
BgL_arg1776z00_4194 = 
(long)(BgL_v1z00_4181); 
BgL_arg1774z00_4192 = 
(BgL_arg1775z00_4193 | BgL_arg1776z00_4194); } 
BgL_arg1773z00_4191 = 
(uint64_t)(BgL_arg1774z00_4192); } 
BgL_arg1771z00_4189 = 
(BgL_arg1773z00_4191 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1778z00_4195; uint64_t BgL_arg1779z00_4196;
{ /* Unsafe/sha2.scm 1037 */
 uint64_t BgL_arg1780z00_4197;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1781z00_4198;
{ /* Unsafe/sha2.scm 1037 */
 long BgL_arg1782z00_4199; long BgL_arg1783z00_4200;
{ /* Unsafe/sha2.scm 1037 */
 uint32_t BgL_tmpz00_5598;
BgL_tmpz00_5598 = 
(BgL_v2z00_4182 << 
(int)(((long)8))); 
BgL_arg1782z00_4199 = 
(long)(BgL_tmpz00_5598); } 
BgL_arg1783z00_4200 = 
(long)(BgL_v3z00_4183); 
BgL_arg1781z00_4198 = 
(BgL_arg1782z00_4199 | BgL_arg1783z00_4200); } 
BgL_arg1780z00_4197 = 
(uint64_t)(BgL_arg1781z00_4198); } 
BgL_arg1778z00_4195 = 
(BgL_arg1780z00_4197 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1038 */
 uint64_t BgL_arg1785z00_4201; uint64_t BgL_arg1786z00_4202;
{ /* Unsafe/sha2.scm 1038 */
 uint64_t BgL_arg1787z00_4203;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1788z00_4204;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1789z00_4205; long BgL_arg1790z00_4206;
{ /* Unsafe/sha2.scm 1038 */
 uint32_t BgL_tmpz00_5607;
BgL_tmpz00_5607 = 
(BgL_v4z00_4184 << 
(int)(((long)8))); 
BgL_arg1789z00_4205 = 
(long)(BgL_tmpz00_5607); } 
BgL_arg1790z00_4206 = 
(long)(BgL_v5z00_4185); 
BgL_arg1788z00_4204 = 
(BgL_arg1789z00_4205 | BgL_arg1790z00_4206); } 
BgL_arg1787z00_4203 = 
(uint64_t)(BgL_arg1788z00_4204); } 
BgL_arg1785z00_4201 = 
(BgL_arg1787z00_4203 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1793z00_4207;
{ /* Unsafe/sha2.scm 1038 */
 long BgL_arg1794z00_4208; long BgL_arg1796z00_4209;
{ /* Unsafe/sha2.scm 1038 */
 uint32_t BgL_tmpz00_5616;
BgL_tmpz00_5616 = 
(BgL_v6z00_4186 << 
(int)(((long)8))); 
BgL_arg1794z00_4208 = 
(long)(BgL_tmpz00_5616); } 
BgL_arg1796z00_4209 = 
(long)(BgL_v7z00_4187); 
BgL_arg1793z00_4207 = 
(BgL_arg1794z00_4208 | BgL_arg1796z00_4209); } 
BgL_arg1786z00_4202 = 
(uint64_t)(BgL_arg1793z00_4207); } 
BgL_arg1779z00_4196 = 
(BgL_arg1785z00_4201 | BgL_arg1786z00_4202); } 
BgL_arg1772z00_4190 = 
(BgL_arg1778z00_4195 | BgL_arg1779z00_4196); } 
BgL_vz00_4188 = 
(BgL_arg1771z00_4189 | BgL_arg1772z00_4190); } 
{ /* Unsafe/sha2.scm 1037 */

BGL_U64VSET(BgL_v64z00_3936, BgL_iz00_3937, BgL_vz00_4188); BUNSPEC; 
return 
(BgL_jz00_4179+((long)1));} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1026 */
{ /* Unsafe/sha2.scm 1042 */
 long BgL_arg1798z00_4210;
BgL_arg1798z00_4210 = 
BGl_u32mmapzd2refze70z35zz__sha2z00(BgL_mmz00_3935, 
((obj_t)BgL_mmz00_3938), 
(BgL_nz00_3939+BgL_jz00_4179)); 
{ /* Unsafe/sha2.scm 1042 */
 uint32_t BgL_tmpz00_5631;
BgL_tmpz00_5631 = 
(uint32_t)(BgL_arg1798z00_4210); 
BGL_U32VSET(BgL_vz00_4175, BgL_jz00_4179, BgL_tmpz00_5631); } BUNSPEC; } 
{ 
 long BgL_jz00_5634;
BgL_jz00_5634 = 
(BgL_jz00_4179+((long)1)); 
BgL_jz00_4179 = BgL_jz00_5634; 
goto BgL_loopz00_4178;} } } } } } } } } 

}



/* u32mmap-ref~0 */
long BGl_u32mmapzd2refze70z35zz__sha2z00(obj_t BgL_mmz00_3977, obj_t BgL_mmza3mmapza3_2091, long BgL_iz00_2092)
{
{ /* Unsafe/sha2.scm 1001 */
{ /* Unsafe/sha2.scm 1001 */
 unsigned char BgL_arg1729z00_2094;
{ /* Unsafe/sha2.scm 1001 */
 long BgL_tmpz00_5636;
BgL_tmpz00_5636 = 
(long)(BgL_iz00_2092); 
BgL_arg1729z00_2094 = 
BGL_MMAP_REF(BgL_mmz00_3977, BgL_tmpz00_5636); } 
return 
(BgL_arg1729z00_2094);} } 

}



/* sha512sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t BgL_strz00_59)
{
{ /* Unsafe/sha2.scm 1053 */
{ /* Unsafe/sha2.scm 1100 */
 obj_t BgL_statez00_2199; obj_t BgL_bufferz00_2200;
BgL_statez00_2199 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2200 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)16), (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2199, BgL_bufferz00_2200, BgL_strz00_59, BGl_proc2322z00zz__sha2z00); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2199);} } 

}



/* &sha512sum-string */
obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_3941, obj_t BgL_strz00_3942)
{
{ /* Unsafe/sha2.scm 1053 */
{ /* Unsafe/sha2.scm 1056 */
 obj_t BgL_auxz00_5644;
if(
STRINGP(BgL_strz00_3942))
{ /* Unsafe/sha2.scm 1056 */
BgL_auxz00_5644 = BgL_strz00_3942
; }  else 
{ 
 obj_t BgL_auxz00_5647;
BgL_auxz00_5647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)43595)), BGl_string2323z00zz__sha2z00, BGl_string2315z00zz__sha2z00, BgL_strz00_3942); 
FAILURE(BgL_auxz00_5647,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_auxz00_5644);} } 

}



/* &fill-word64-string! */
long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_3943, obj_t BgL_v64z00_3944, long BgL_iz00_3945, obj_t BgL_strz00_3946, long BgL_nz00_3947)
{
{ /* Unsafe/sha2.scm 1098 */
{ /* Unsafe/sha2.scm 1059 */
 long BgL_lz00_4215;
BgL_lz00_4215 = 
STRING_LENGTH(
((obj_t)BgL_strz00_3946)); 
if(
(
(BgL_nz00_3947+((long)8))<=BgL_lz00_4215))
{ /* Unsafe/sha2.scm 1062 */
 uint32_t BgL_v0z00_4216;
{ /* Unsafe/sha2.scm 1062 */
 long BgL_tmpz00_5657;
BgL_tmpz00_5657 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), BgL_nz00_3947); 
BgL_v0z00_4216 = 
(uint32_t)(BgL_tmpz00_5657); } 
{ /* Unsafe/sha2.scm 1062 */
 uint32_t BgL_v1z00_4217;
{ /* Unsafe/sha2.scm 1063 */
 long BgL_tmpz00_5661;
BgL_tmpz00_5661 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), 
(BgL_nz00_3947+((long)1))); 
BgL_v1z00_4217 = 
(uint32_t)(BgL_tmpz00_5661); } 
{ /* Unsafe/sha2.scm 1063 */
 uint32_t BgL_v2z00_4218;
{ /* Unsafe/sha2.scm 1064 */
 long BgL_tmpz00_5666;
BgL_tmpz00_5666 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), 
(BgL_nz00_3947+((long)2))); 
BgL_v2z00_4218 = 
(uint32_t)(BgL_tmpz00_5666); } 
{ /* Unsafe/sha2.scm 1064 */
 uint32_t BgL_v3z00_4219;
{ /* Unsafe/sha2.scm 1065 */
 long BgL_tmpz00_5671;
BgL_tmpz00_5671 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), 
(BgL_nz00_3947+((long)3))); 
BgL_v3z00_4219 = 
(uint32_t)(BgL_tmpz00_5671); } 
{ /* Unsafe/sha2.scm 1065 */
 uint32_t BgL_v4z00_4220;
{ /* Unsafe/sha2.scm 1066 */
 long BgL_tmpz00_5676;
BgL_tmpz00_5676 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), 
(BgL_nz00_3947+((long)4))); 
BgL_v4z00_4220 = 
(uint32_t)(BgL_tmpz00_5676); } 
{ /* Unsafe/sha2.scm 1066 */
 uint32_t BgL_v5z00_4221;
{ /* Unsafe/sha2.scm 1067 */
 long BgL_tmpz00_5681;
BgL_tmpz00_5681 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), 
(BgL_nz00_3947+((long)5))); 
BgL_v5z00_4221 = 
(uint32_t)(BgL_tmpz00_5681); } 
{ /* Unsafe/sha2.scm 1067 */
 uint32_t BgL_v6z00_4222;
{ /* Unsafe/sha2.scm 1068 */
 long BgL_tmpz00_5686;
BgL_tmpz00_5686 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), 
(BgL_nz00_3947+((long)6))); 
BgL_v6z00_4222 = 
(uint32_t)(BgL_tmpz00_5686); } 
{ /* Unsafe/sha2.scm 1068 */
 uint32_t BgL_v7z00_4223;
{ /* Unsafe/sha2.scm 1069 */
 long BgL_tmpz00_5691;
BgL_tmpz00_5691 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), 
(BgL_nz00_3947+((long)7))); 
BgL_v7z00_4223 = 
(uint32_t)(BgL_tmpz00_5691); } 
{ /* Unsafe/sha2.scm 1069 */
 uint64_t BgL_vz00_4224;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1811z00_4225; uint64_t BgL_arg1812z00_4226;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1813z00_4227;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1814z00_4228;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1815z00_4229; long BgL_arg1816z00_4230;
{ /* Unsafe/sha2.scm 1070 */
 uint32_t BgL_tmpz00_5696;
BgL_tmpz00_5696 = 
(BgL_v0z00_4216 << 
(int)(((long)8))); 
BgL_arg1815z00_4229 = 
(long)(BgL_tmpz00_5696); } 
BgL_arg1816z00_4230 = 
(long)(BgL_v1z00_4217); 
BgL_arg1814z00_4228 = 
(BgL_arg1815z00_4229 | BgL_arg1816z00_4230); } 
BgL_arg1813z00_4227 = 
(uint64_t)(BgL_arg1814z00_4228); } 
BgL_arg1811z00_4225 = 
(BgL_arg1813z00_4227 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1818z00_4231; uint64_t BgL_arg1819z00_4232;
{ /* Unsafe/sha2.scm 1070 */
 uint64_t BgL_arg1820z00_4233;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1821z00_4234;
{ /* Unsafe/sha2.scm 1070 */
 long BgL_arg1822z00_4235; long BgL_arg1823z00_4236;
{ /* Unsafe/sha2.scm 1070 */
 uint32_t BgL_tmpz00_5705;
BgL_tmpz00_5705 = 
(BgL_v2z00_4218 << 
(int)(((long)8))); 
BgL_arg1822z00_4235 = 
(long)(BgL_tmpz00_5705); } 
BgL_arg1823z00_4236 = 
(long)(BgL_v3z00_4219); 
BgL_arg1821z00_4234 = 
(BgL_arg1822z00_4235 | BgL_arg1823z00_4236); } 
BgL_arg1820z00_4233 = 
(uint64_t)(BgL_arg1821z00_4234); } 
BgL_arg1818z00_4231 = 
(BgL_arg1820z00_4233 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1071 */
 uint64_t BgL_arg1825z00_4237; uint64_t BgL_arg1826z00_4238;
{ /* Unsafe/sha2.scm 1071 */
 uint64_t BgL_arg1827z00_4239;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1828z00_4240;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1829z00_4241; long BgL_arg1830z00_4242;
{ /* Unsafe/sha2.scm 1071 */
 uint32_t BgL_tmpz00_5714;
BgL_tmpz00_5714 = 
(BgL_v4z00_4220 << 
(int)(((long)8))); 
BgL_arg1829z00_4241 = 
(long)(BgL_tmpz00_5714); } 
BgL_arg1830z00_4242 = 
(long)(BgL_v5z00_4221); 
BgL_arg1828z00_4240 = 
(BgL_arg1829z00_4241 | BgL_arg1830z00_4242); } 
BgL_arg1827z00_4239 = 
(uint64_t)(BgL_arg1828z00_4240); } 
BgL_arg1825z00_4237 = 
(BgL_arg1827z00_4239 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1832z00_4243;
{ /* Unsafe/sha2.scm 1071 */
 long BgL_arg1833z00_4244; long BgL_arg1834z00_4245;
{ /* Unsafe/sha2.scm 1071 */
 uint32_t BgL_tmpz00_5723;
BgL_tmpz00_5723 = 
(BgL_v6z00_4222 << 
(int)(((long)8))); 
BgL_arg1833z00_4244 = 
(long)(BgL_tmpz00_5723); } 
BgL_arg1834z00_4245 = 
(long)(BgL_v7z00_4223); 
BgL_arg1832z00_4243 = 
(BgL_arg1833z00_4244 | BgL_arg1834z00_4245); } 
BgL_arg1826z00_4238 = 
(uint64_t)(BgL_arg1832z00_4243); } 
BgL_arg1819z00_4232 = 
(BgL_arg1825z00_4237 | BgL_arg1826z00_4238); } 
BgL_arg1812z00_4226 = 
(BgL_arg1818z00_4231 | BgL_arg1819z00_4232); } 
BgL_vz00_4224 = 
(BgL_arg1811z00_4225 | BgL_arg1812z00_4226); } 
{ /* Unsafe/sha2.scm 1070 */

BGL_U64VSET(BgL_v64z00_3944, BgL_iz00_3945, BgL_vz00_4224); BUNSPEC; 
return ((long)8);} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1061 */
if(
(BgL_nz00_3947>=
(((long)1)+BgL_lz00_4215)))
{ /* Unsafe/sha2.scm 1074 */
{ /* Unsafe/sha2.scm 1075 */
 uint64_t BgL_tmpz00_5737;
BgL_tmpz00_5737 = 
(uint64_t)(((long)0)); 
BGL_U64VSET(BgL_v64z00_3944, BgL_iz00_3945, BgL_tmpz00_5737); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 1078 */
 obj_t BgL_vz00_4246; long BgL_kz00_4247;
BgL_vz00_4246 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), 
(uint32_t)(((long)0))); 
BgL_kz00_4247 = 
(((long)8)-
(
(BgL_nz00_3947+((long)8))-BgL_lz00_4215)); 
{ 
 long BgL_jz00_4249;
BgL_jz00_4249 = ((long)0); 
BgL_loopz00_4248:
if(
(BgL_jz00_4249==BgL_kz00_4247))
{ /* Unsafe/sha2.scm 1081 */
{ /* Unsafe/sha2.scm 1083 */
 uint32_t BgL_tmpz00_5747;
BgL_tmpz00_5747 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4246, BgL_jz00_4249, BgL_tmpz00_5747); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1084 */
 uint32_t BgL_v0z00_4250;
BgL_v0z00_4250 = 
BGL_U32VREF(BgL_vz00_4246, ((long)0)); 
{ /* Unsafe/sha2.scm 1084 */
 uint32_t BgL_v1z00_4251;
BgL_v1z00_4251 = 
BGL_U32VREF(BgL_vz00_4246, ((long)1)); 
{ /* Unsafe/sha2.scm 1085 */
 uint32_t BgL_v2z00_4252;
BgL_v2z00_4252 = 
BGL_U32VREF(BgL_vz00_4246, ((long)2)); 
{ /* Unsafe/sha2.scm 1086 */
 uint32_t BgL_v3z00_4253;
BgL_v3z00_4253 = 
BGL_U32VREF(BgL_vz00_4246, ((long)3)); 
{ /* Unsafe/sha2.scm 1087 */
 uint32_t BgL_v4z00_4254;
BgL_v4z00_4254 = 
BGL_U32VREF(BgL_vz00_4246, ((long)4)); 
{ /* Unsafe/sha2.scm 1088 */
 uint32_t BgL_v5z00_4255;
BgL_v5z00_4255 = 
BGL_U32VREF(BgL_vz00_4246, ((long)5)); 
{ /* Unsafe/sha2.scm 1089 */
 uint32_t BgL_v6z00_4256;
BgL_v6z00_4256 = 
BGL_U32VREF(BgL_vz00_4246, ((long)6)); 
{ /* Unsafe/sha2.scm 1090 */
 uint32_t BgL_v7z00_4257;
BgL_v7z00_4257 = 
BGL_U32VREF(BgL_vz00_4246, ((long)7)); 
{ /* Unsafe/sha2.scm 1091 */
 uint64_t BgL_vz00_4258;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1849z00_4259; uint64_t BgL_arg1850z00_4260;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1851z00_4261;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1852z00_4262;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1853z00_4263; long BgL_arg1854z00_4264;
{ /* Unsafe/sha2.scm 1092 */
 uint32_t BgL_tmpz00_5758;
BgL_tmpz00_5758 = 
(BgL_v0z00_4250 << 
(int)(((long)8))); 
BgL_arg1853z00_4263 = 
(long)(BgL_tmpz00_5758); } 
BgL_arg1854z00_4264 = 
(long)(BgL_v1z00_4251); 
BgL_arg1852z00_4262 = 
(BgL_arg1853z00_4263 | BgL_arg1854z00_4264); } 
BgL_arg1851z00_4261 = 
(uint64_t)(BgL_arg1852z00_4262); } 
BgL_arg1849z00_4259 = 
(BgL_arg1851z00_4261 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1856z00_4265; uint64_t BgL_arg1857z00_4266;
{ /* Unsafe/sha2.scm 1092 */
 uint64_t BgL_arg1858z00_4267;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1859z00_4268;
{ /* Unsafe/sha2.scm 1092 */
 long BgL_arg1860z00_4269; long BgL_arg1861z00_4270;
{ /* Unsafe/sha2.scm 1092 */
 uint32_t BgL_tmpz00_5767;
BgL_tmpz00_5767 = 
(BgL_v2z00_4252 << 
(int)(((long)8))); 
BgL_arg1860z00_4269 = 
(long)(BgL_tmpz00_5767); } 
BgL_arg1861z00_4270 = 
(long)(BgL_v3z00_4253); 
BgL_arg1859z00_4268 = 
(BgL_arg1860z00_4269 | BgL_arg1861z00_4270); } 
BgL_arg1858z00_4267 = 
(uint64_t)(BgL_arg1859z00_4268); } 
BgL_arg1856z00_4265 = 
(BgL_arg1858z00_4267 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1093 */
 uint64_t BgL_arg1863z00_4271; uint64_t BgL_arg1864z00_4272;
{ /* Unsafe/sha2.scm 1093 */
 uint64_t BgL_arg1865z00_4273;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1866z00_4274;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1867z00_4275; long BgL_arg1868z00_4276;
{ /* Unsafe/sha2.scm 1093 */
 uint32_t BgL_tmpz00_5776;
BgL_tmpz00_5776 = 
(BgL_v4z00_4254 << 
(int)(((long)8))); 
BgL_arg1867z00_4275 = 
(long)(BgL_tmpz00_5776); } 
BgL_arg1868z00_4276 = 
(long)(BgL_v5z00_4255); 
BgL_arg1866z00_4274 = 
(BgL_arg1867z00_4275 | BgL_arg1868z00_4276); } 
BgL_arg1865z00_4273 = 
(uint64_t)(BgL_arg1866z00_4274); } 
BgL_arg1863z00_4271 = 
(BgL_arg1865z00_4273 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1870z00_4277;
{ /* Unsafe/sha2.scm 1093 */
 long BgL_arg1871z00_4278; long BgL_arg1872z00_4279;
{ /* Unsafe/sha2.scm 1093 */
 uint32_t BgL_tmpz00_5785;
BgL_tmpz00_5785 = 
(BgL_v6z00_4256 << 
(int)(((long)8))); 
BgL_arg1871z00_4278 = 
(long)(BgL_tmpz00_5785); } 
BgL_arg1872z00_4279 = 
(long)(BgL_v7z00_4257); 
BgL_arg1870z00_4277 = 
(BgL_arg1871z00_4278 | BgL_arg1872z00_4279); } 
BgL_arg1864z00_4272 = 
(uint64_t)(BgL_arg1870z00_4277); } 
BgL_arg1857z00_4266 = 
(BgL_arg1863z00_4271 | BgL_arg1864z00_4272); } 
BgL_arg1850z00_4260 = 
(BgL_arg1856z00_4265 | BgL_arg1857z00_4266); } 
BgL_vz00_4258 = 
(BgL_arg1849z00_4259 | BgL_arg1850z00_4260); } 
{ /* Unsafe/sha2.scm 1092 */

BGL_U64VSET(BgL_v64z00_3944, BgL_iz00_3945, BgL_vz00_4258); BUNSPEC; 
return 
(BgL_jz00_4249+((long)1));} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1081 */
{ /* Unsafe/sha2.scm 1097 */
 long BgL_arg1874z00_4280;
BgL_arg1874z00_4280 = 
BGl_u32stringzd2refze70z35zz__sha2z00(
((obj_t)BgL_strz00_3946), 
(BgL_nz00_3947+BgL_jz00_4249)); 
{ /* Unsafe/sha2.scm 1097 */
 uint32_t BgL_tmpz00_5800;
BgL_tmpz00_5800 = 
(uint32_t)(BgL_arg1874z00_4280); 
BGL_U32VSET(BgL_vz00_4246, BgL_jz00_4249, BgL_tmpz00_5800); } BUNSPEC; } 
{ 
 long BgL_jz00_5803;
BgL_jz00_5803 = 
(BgL_jz00_4249+((long)1)); 
BgL_jz00_4249 = BgL_jz00_5803; 
goto BgL_loopz00_4248;} } } } } } } 

}



/* u32string-ref~0 */
long BGl_u32stringzd2refze70z35zz__sha2z00(obj_t BgL_strz00_2203, long BgL_iz00_2204)
{
{ /* Unsafe/sha2.scm 1056 */
return 
(
STRING_REF(BgL_strz00_2203, BgL_iz00_2204));} 

}



/* sha512sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_60)
{
{ /* Unsafe/sha2.scm 1108 */
{ /* Unsafe/sha2.scm 1108 */
 obj_t BgL_lenz00_3959;
BgL_lenz00_3959 = 
MAKE_CELL(
BINT(((long)0))); 
{ /* Unsafe/sha2.scm 1110 */
 obj_t BgL_bufz00_2310;
{ /* Llib/srfi4.scm 451 */

BgL_bufz00_2310 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), (uint32_t)(0)); } 
{ /* Unsafe/sha2.scm 1131 */
 obj_t BgL_fillzd2word64zd2portz12z12_3948;
{ 
 int BgL_tmpz00_5809;
BgL_tmpz00_5809 = 
(int)(((long)2)); 
BgL_fillzd2word64zd2portz12z12_3948 = 
MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2portz12z70zz__sha2z00, BgL_tmpz00_5809); } 
PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_3948, 
(int)(((long)0)), BgL_bufz00_2310); 
PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_3948, 
(int)(((long)1)), 
((obj_t)BgL_lenz00_3959)); 
{ /* Unsafe/sha2.scm 1173 */
 obj_t BgL_statez00_2313; obj_t BgL_bufferz00_2314;
BgL_statez00_2313 = 
BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(); 
{ /* Llib/srfi4.scm 453 */

BgL_bufferz00_2314 = 
BGl_makezd2u64vectorzd2zz__srfi4z00(((long)16), (uint64_t)(0)); } 
BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2313, BgL_bufferz00_2314, BgL_pz00_60, BgL_fillzd2word64zd2portz12z12_3948); 
return 
BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2313);} } } } } 

}



/* &sha512sum-port */
obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_3949, obj_t BgL_pz00_3950)
{
{ /* Unsafe/sha2.scm 1108 */
{ /* Unsafe/sha2.scm 1108 */
 obj_t BgL_auxz00_5821;
if(
INPUT_PORTP(BgL_pz00_3950))
{ /* Unsafe/sha2.scm 1108 */
BgL_auxz00_5821 = BgL_pz00_3950
; }  else 
{ 
 obj_t BgL_auxz00_5824;
BgL_auxz00_5824 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)45445)), BGl_string2324z00zz__sha2z00, BGl_string2317z00zz__sha2z00, BgL_pz00_3950); 
FAILURE(BgL_auxz00_5824,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_auxz00_5821);} } 

}



/* &fill-word64-port! */
long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t BgL_envz00_3951, obj_t BgL_v64z00_3954, long BgL_iz00_3955, obj_t BgL_pz00_3956, long BgL_nz00_3957)
{
{ /* Unsafe/sha2.scm 1171 */
{ /* Unsafe/sha2.scm 1131 */
 obj_t BgL_bufz00_3952; obj_t BgL_lenz00_3953;
BgL_bufz00_3952 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_3951, 
(int)(((long)0)))); 
BgL_lenz00_3953 = 
PROCEDURE_L_REF(BgL_envz00_3951, 
(int)(((long)1))); 
{ 
 obj_t BgL_pz00_4286;
{ /* Unsafe/sha2.scm 1131 */
 long BgL_lz00_4293;
BgL_pz00_4286 = 
((obj_t)BgL_pz00_3956); 
{ 
 long BgL_iz00_4288;
BgL_iz00_4288 = ((long)0); 
BgL_loopz00_4287:
if(
(BgL_iz00_4288==((long)4)))
{ /* Unsafe/sha2.scm 1116 */
BgL_lz00_4293 = BgL_iz00_4288; }  else 
{ /* Unsafe/sha2.scm 1118 */
 obj_t BgL_cz00_4289;
BgL_cz00_4289 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_4286); 
if(
EOF_OBJECTP(BgL_cz00_4289))
{ 
 long BgL_jz00_4291;
BgL_jz00_4291 = BgL_iz00_4288; 
BgL_liipz00_4290:
if(
(BgL_jz00_4291==((long)4)))
{ /* Unsafe/sha2.scm 1121 */
BgL_lz00_4293 = BgL_iz00_4288; }  else 
{ /* Unsafe/sha2.scm 1121 */
{ /* Unsafe/sha2.scm 1124 */
 uint32_t BgL_tmpz00_5841;
BgL_tmpz00_5841 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_bufz00_3952, BgL_jz00_4291, BgL_tmpz00_5841); } BUNSPEC; 
{ 
 long BgL_jz00_5844;
BgL_jz00_5844 = 
(BgL_jz00_4291+((long)1)); 
BgL_jz00_4291 = BgL_jz00_5844; 
goto BgL_liipz00_4290;} } }  else 
{ /* Unsafe/sha2.scm 1119 */
{ /* Unsafe/sha2.scm 1127 */
 uint32_t BgL_arg1954z00_4292;
{ /* Unsafe/sha2.scm 1127 */
 char BgL_tmpz00_5846;
BgL_tmpz00_5846 = 
(signed char)CINT(BgL_cz00_4289); 
BgL_arg1954z00_4292 = 
(uint32_t)(BgL_tmpz00_5846); } 
BGL_U32VSET(BgL_bufz00_3952, BgL_iz00_4288, BgL_arg1954z00_4292); BUNSPEC; } 
{ 
 long BgL_iz00_5850;
BgL_iz00_5850 = 
(BgL_iz00_4288+((long)1)); 
BgL_iz00_4288 = BgL_iz00_5850; 
goto BgL_loopz00_4287;} } } } 
{ /* Unsafe/sha2.scm 1132 */
 obj_t BgL_auxz00_4294;
BgL_auxz00_4294 = 
ADDFX(
CELL_REF(BgL_lenz00_3953), 
BINT(BgL_lz00_4293)); 
CELL_SET(BgL_lenz00_3953, BgL_auxz00_4294); } 
if(
(
(BgL_nz00_3957+((long)8))<=BgL_lz00_4293))
{ /* Unsafe/sha2.scm 1135 */
 uint32_t BgL_v0z00_4295;
BgL_v0z00_4295 = 
BGL_U32VREF(BgL_bufz00_3952, ((long)0)); 
{ /* Unsafe/sha2.scm 1135 */
 uint32_t BgL_v1z00_4296;
BgL_v1z00_4296 = 
BGL_U32VREF(BgL_bufz00_3952, ((long)1)); 
{ /* Unsafe/sha2.scm 1136 */
 uint32_t BgL_v2z00_4297;
BgL_v2z00_4297 = 
BGL_U32VREF(BgL_bufz00_3952, ((long)2)); 
{ /* Unsafe/sha2.scm 1137 */
 uint32_t BgL_v3z00_4298;
BgL_v3z00_4298 = 
BGL_U32VREF(BgL_bufz00_3952, ((long)3)); 
{ /* Unsafe/sha2.scm 1138 */
 uint32_t BgL_v4z00_4299;
BgL_v4z00_4299 = 
BGL_U32VREF(BgL_bufz00_3952, ((long)4)); 
{ /* Unsafe/sha2.scm 1139 */
 uint32_t BgL_v5z00_4300;
BgL_v5z00_4300 = 
BGL_U32VREF(BgL_bufz00_3952, ((long)5)); 
{ /* Unsafe/sha2.scm 1140 */
 uint32_t BgL_v6z00_4301;
BgL_v6z00_4301 = 
BGL_U32VREF(BgL_bufz00_3952, ((long)6)); 
{ /* Unsafe/sha2.scm 1141 */
 uint32_t BgL_v7z00_4302;
BgL_v7z00_4302 = 
BGL_U32VREF(BgL_bufz00_3952, ((long)7)); 
{ /* Unsafe/sha2.scm 1142 */
 uint64_t BgL_vz00_4303;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1887z00_4304; uint64_t BgL_arg1888z00_4305;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1889z00_4306;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1890z00_4307;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1891z00_4308; long BgL_arg1892z00_4309;
{ /* Unsafe/sha2.scm 1143 */
 uint32_t BgL_tmpz00_5866;
BgL_tmpz00_5866 = 
(BgL_v0z00_4295 << 
(int)(((long)8))); 
BgL_arg1891z00_4308 = 
(long)(BgL_tmpz00_5866); } 
BgL_arg1892z00_4309 = 
(long)(BgL_v1z00_4296); 
BgL_arg1890z00_4307 = 
(BgL_arg1891z00_4308 | BgL_arg1892z00_4309); } 
BgL_arg1889z00_4306 = 
(uint64_t)(BgL_arg1890z00_4307); } 
BgL_arg1887z00_4304 = 
(BgL_arg1889z00_4306 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1894z00_4310; uint64_t BgL_arg1895z00_4311;
{ /* Unsafe/sha2.scm 1143 */
 uint64_t BgL_arg1896z00_4312;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1897z00_4313;
{ /* Unsafe/sha2.scm 1143 */
 long BgL_arg1898z00_4314; long BgL_arg1899z00_4315;
{ /* Unsafe/sha2.scm 1143 */
 uint32_t BgL_tmpz00_5875;
BgL_tmpz00_5875 = 
(BgL_v2z00_4297 << 
(int)(((long)8))); 
BgL_arg1898z00_4314 = 
(long)(BgL_tmpz00_5875); } 
BgL_arg1899z00_4315 = 
(long)(BgL_v3z00_4298); 
BgL_arg1897z00_4313 = 
(BgL_arg1898z00_4314 | BgL_arg1899z00_4315); } 
BgL_arg1896z00_4312 = 
(uint64_t)(BgL_arg1897z00_4313); } 
BgL_arg1894z00_4310 = 
(BgL_arg1896z00_4312 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1144 */
 uint64_t BgL_arg1901z00_4316; uint64_t BgL_arg1902z00_4317;
{ /* Unsafe/sha2.scm 1144 */
 uint64_t BgL_arg1903z00_4318;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1904z00_4319;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1905z00_4320; long BgL_arg1906z00_4321;
{ /* Unsafe/sha2.scm 1144 */
 uint32_t BgL_tmpz00_5884;
BgL_tmpz00_5884 = 
(BgL_v4z00_4299 << 
(int)(((long)8))); 
BgL_arg1905z00_4320 = 
(long)(BgL_tmpz00_5884); } 
BgL_arg1906z00_4321 = 
(long)(BgL_v5z00_4300); 
BgL_arg1904z00_4319 = 
(BgL_arg1905z00_4320 | BgL_arg1906z00_4321); } 
BgL_arg1903z00_4318 = 
(uint64_t)(BgL_arg1904z00_4319); } 
BgL_arg1901z00_4316 = 
(BgL_arg1903z00_4318 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1908z00_4322;
{ /* Unsafe/sha2.scm 1144 */
 long BgL_arg1909z00_4323; long BgL_arg1910z00_4324;
{ /* Unsafe/sha2.scm 1144 */
 uint32_t BgL_tmpz00_5893;
BgL_tmpz00_5893 = 
(BgL_v6z00_4301 << 
(int)(((long)8))); 
BgL_arg1909z00_4323 = 
(long)(BgL_tmpz00_5893); } 
BgL_arg1910z00_4324 = 
(long)(BgL_v7z00_4302); 
BgL_arg1908z00_4322 = 
(BgL_arg1909z00_4323 | BgL_arg1910z00_4324); } 
BgL_arg1902z00_4317 = 
(uint64_t)(BgL_arg1908z00_4322); } 
BgL_arg1895z00_4311 = 
(BgL_arg1901z00_4316 | BgL_arg1902z00_4317); } 
BgL_arg1888z00_4305 = 
(BgL_arg1894z00_4310 | BgL_arg1895z00_4311); } 
BgL_vz00_4303 = 
(BgL_arg1887z00_4304 | BgL_arg1888z00_4305); } 
{ /* Unsafe/sha2.scm 1143 */

BGL_U64VSET(BgL_v64z00_3954, BgL_iz00_3955, BgL_vz00_4303); BUNSPEC; 
return ((long)8);} } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1134 */
if(
(BgL_nz00_3957>=
(((long)1)+BgL_lz00_4293)))
{ /* Unsafe/sha2.scm 1147 */
{ /* Unsafe/sha2.scm 1148 */
 uint64_t BgL_tmpz00_5907;
BgL_tmpz00_5907 = 
(uint64_t)(((long)0)); 
BGL_U64VSET(BgL_v64z00_3954, BgL_iz00_3955, BgL_tmpz00_5907); } BUNSPEC; 
return ((long)0);}  else 
{ /* Unsafe/sha2.scm 1151 */
 obj_t BgL_vz00_4325; long BgL_kz00_4326;
BgL_vz00_4325 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)8), 
(uint32_t)(((long)0))); 
BgL_kz00_4326 = 
(((long)8)-
(
(BgL_nz00_3957+((long)8))-BgL_lz00_4293)); 
{ 
 long BgL_jz00_4328;
BgL_jz00_4328 = ((long)0); 
BgL_loopz00_4327:
if(
(BgL_jz00_4328==BgL_kz00_4326))
{ /* Unsafe/sha2.scm 1154 */
{ /* Unsafe/sha2.scm 1156 */
 uint32_t BgL_tmpz00_5917;
BgL_tmpz00_5917 = 
(uint32_t)(((long)128)); 
BGL_U32VSET(BgL_vz00_4325, BgL_jz00_4328, BgL_tmpz00_5917); } BUNSPEC; 
{ /* Unsafe/sha2.scm 1157 */
 uint32_t BgL_v0z00_4329;
BgL_v0z00_4329 = 
BGL_U32VREF(BgL_vz00_4325, ((long)0)); 
{ /* Unsafe/sha2.scm 1157 */
 uint32_t BgL_v1z00_4330;
BgL_v1z00_4330 = 
BGL_U32VREF(BgL_vz00_4325, ((long)1)); 
{ /* Unsafe/sha2.scm 1158 */
 uint32_t BgL_v2z00_4331;
BgL_v2z00_4331 = 
BGL_U32VREF(BgL_vz00_4325, ((long)2)); 
{ /* Unsafe/sha2.scm 1159 */
 uint32_t BgL_v3z00_4332;
BgL_v3z00_4332 = 
BGL_U32VREF(BgL_vz00_4325, ((long)3)); 
{ /* Unsafe/sha2.scm 1160 */
 uint32_t BgL_v4z00_4333;
BgL_v4z00_4333 = 
BGL_U32VREF(BgL_vz00_4325, ((long)4)); 
{ /* Unsafe/sha2.scm 1161 */
 uint32_t BgL_v5z00_4334;
BgL_v5z00_4334 = 
BGL_U32VREF(BgL_vz00_4325, ((long)5)); 
{ /* Unsafe/sha2.scm 1162 */
 uint32_t BgL_v6z00_4335;
BgL_v6z00_4335 = 
BGL_U32VREF(BgL_vz00_4325, ((long)6)); 
{ /* Unsafe/sha2.scm 1163 */
 uint32_t BgL_v7z00_4336;
BgL_v7z00_4336 = 
BGL_U32VREF(BgL_vz00_4325, ((long)7)); 
{ /* Unsafe/sha2.scm 1164 */
 uint64_t BgL_vz00_4337;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1916z00_4338; uint64_t BgL_arg1917z00_4339;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1918z00_4340;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1919z00_4341;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1920z00_4342; long BgL_arg1921z00_4343;
{ /* Unsafe/sha2.scm 1165 */
 uint32_t BgL_tmpz00_5928;
BgL_tmpz00_5928 = 
(BgL_v0z00_4329 << 
(int)(((long)8))); 
BgL_arg1920z00_4342 = 
(long)(BgL_tmpz00_5928); } 
BgL_arg1921z00_4343 = 
(long)(BgL_v1z00_4330); 
BgL_arg1919z00_4341 = 
(BgL_arg1920z00_4342 | BgL_arg1921z00_4343); } 
BgL_arg1918z00_4340 = 
(uint64_t)(BgL_arg1919z00_4341); } 
BgL_arg1916z00_4338 = 
(BgL_arg1918z00_4340 << 
(int)(((long)48))); } 
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1923z00_4344; uint64_t BgL_arg1924z00_4345;
{ /* Unsafe/sha2.scm 1165 */
 uint64_t BgL_arg1925z00_4346;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1926z00_4347;
{ /* Unsafe/sha2.scm 1165 */
 long BgL_arg1927z00_4348; long BgL_arg1928z00_4349;
{ /* Unsafe/sha2.scm 1165 */
 uint32_t BgL_tmpz00_5937;
BgL_tmpz00_5937 = 
(BgL_v2z00_4331 << 
(int)(((long)8))); 
BgL_arg1927z00_4348 = 
(long)(BgL_tmpz00_5937); } 
BgL_arg1928z00_4349 = 
(long)(BgL_v3z00_4332); 
BgL_arg1926z00_4347 = 
(BgL_arg1927z00_4348 | BgL_arg1928z00_4349); } 
BgL_arg1925z00_4346 = 
(uint64_t)(BgL_arg1926z00_4347); } 
BgL_arg1923z00_4344 = 
(BgL_arg1925z00_4346 << 
(int)(((long)32))); } 
{ /* Unsafe/sha2.scm 1166 */
 uint64_t BgL_arg1930z00_4350; uint64_t BgL_arg1931z00_4351;
{ /* Unsafe/sha2.scm 1166 */
 uint64_t BgL_arg1932z00_4352;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1933z00_4353;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1934z00_4354; long BgL_arg1935z00_4355;
{ /* Unsafe/sha2.scm 1166 */
 uint32_t BgL_tmpz00_5946;
BgL_tmpz00_5946 = 
(BgL_v4z00_4333 << 
(int)(((long)8))); 
BgL_arg1934z00_4354 = 
(long)(BgL_tmpz00_5946); } 
BgL_arg1935z00_4355 = 
(long)(BgL_v5z00_4334); 
BgL_arg1933z00_4353 = 
(BgL_arg1934z00_4354 | BgL_arg1935z00_4355); } 
BgL_arg1932z00_4352 = 
(uint64_t)(BgL_arg1933z00_4353); } 
BgL_arg1930z00_4350 = 
(BgL_arg1932z00_4352 << 
(int)(((long)16))); } 
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1937z00_4356;
{ /* Unsafe/sha2.scm 1166 */
 long BgL_arg1938z00_4357; long BgL_arg1939z00_4358;
{ /* Unsafe/sha2.scm 1166 */
 uint32_t BgL_tmpz00_5955;
BgL_tmpz00_5955 = 
(BgL_v6z00_4335 << 
(int)(((long)8))); 
BgL_arg1938z00_4357 = 
(long)(BgL_tmpz00_5955); } 
BgL_arg1939z00_4358 = 
(long)(BgL_v7z00_4336); 
BgL_arg1937z00_4356 = 
(BgL_arg1938z00_4357 | BgL_arg1939z00_4358); } 
BgL_arg1931z00_4351 = 
(uint64_t)(BgL_arg1937z00_4356); } 
BgL_arg1924z00_4345 = 
(BgL_arg1930z00_4350 | BgL_arg1931z00_4351); } 
BgL_arg1917z00_4339 = 
(BgL_arg1923z00_4344 | BgL_arg1924z00_4345); } 
BgL_vz00_4337 = 
(BgL_arg1916z00_4338 | BgL_arg1917z00_4339); } 
{ /* Unsafe/sha2.scm 1165 */

BGL_U64VSET(BgL_v64z00_3954, BgL_iz00_3955, BgL_vz00_4337); BUNSPEC; 
return 
(BgL_jz00_4328+((long)1));} } } } } } } } } } }  else 
{ /* Unsafe/sha2.scm 1154 */
{ /* Unsafe/sha2.scm 1170 */
 uint32_t BgL_arg1941z00_4359;
BgL_arg1941z00_4359 = 
BGL_U32VREF(BgL_bufz00_3952, BgL_jz00_4328); 
BGL_U32VSET(BgL_vz00_4325, BgL_jz00_4328, BgL_arg1941z00_4359); BUNSPEC; } 
{ 
 long BgL_jz00_5969;
BgL_jz00_5969 = 
(BgL_jz00_4328+((long)1)); 
BgL_jz00_4328 = BgL_jz00_5969; 
goto BgL_loopz00_4327;} } } } } } } } } 

}



/* sha512sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t BgL_fnamez00_61)
{
{ /* Unsafe/sha2.scm 1181 */
{ /* Unsafe/sha2.scm 1182 */
 obj_t BgL_mmz00_2429;
BgL_mmz00_2429 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_61, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_2429))
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_exitd1088z00_2431;
BgL_exitd1088z00_2431 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 1186 */
 obj_t BgL_zc3z04anonymousza31957ze3z87_3961;
BgL_zc3z04anonymousza31957ze3z87_3961 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31957ze3ze5zz__sha2z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31957ze3z87_3961, 
(int)(((long)0)), BgL_mmz00_2429); 
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2283z00_3656;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2284z00_3657;
BgL_arg2284z00_3657 = 
BGL_EXITD_PROTECT(BgL_exitd1088z00_2431); 
BgL_arg2283z00_3656 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31957ze3z87_3961, BgL_arg2284z00_3657); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1088z00_2431, BgL_arg2283z00_3656); BUNSPEC; } 
{ /* Unsafe/sha2.scm 1185 */
 obj_t BgL_tmp1090z00_2433;
BgL_tmp1090z00_2433 = 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_mmz00_2429); 
{ /* Unsafe/sha2.scm 1184 */
 bool_t BgL_test2414z00_5984;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2282z00_3659;
BgL_arg2282z00_3659 = 
BGL_EXITD_PROTECT(BgL_exitd1088z00_2431); 
BgL_test2414z00_5984 = 
PAIRP(BgL_arg2282z00_3659); } 
if(BgL_test2414z00_5984)
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2280z00_3660;
{ /* Unsafe/sha2.scm 1184 */
 obj_t BgL_arg2281z00_3661;
BgL_arg2281z00_3661 = 
BGL_EXITD_PROTECT(BgL_exitd1088z00_2431); 
BgL_arg2280z00_3660 = 
CDR(
((obj_t)BgL_arg2281z00_3661)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1088z00_2431, BgL_arg2280z00_3660); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 1184 */BFALSE; } } 
BGl_z62zc3z04anonymousza31957ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31957ze3z87_3961); 
return BgL_tmp1090z00_2433;} } }  else 
{ /* Unsafe/sha2.scm 1187 */
 obj_t BgL_pz00_2436;
{ /* Ieee/port.scm 443 */

BgL_pz00_2436 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_61, BTRUE, 
BINT(((long)5000000))); } 
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_exitd1092z00_2437;
BgL_exitd1092z00_2437 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha2.scm 1190 */
 obj_t BgL_zc3z04anonymousza31958ze3z87_3962;
BgL_zc3z04anonymousza31958ze3z87_3962 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31958ze3ze5zz__sha2z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31958ze3z87_3962, 
(int)(((long)0)), BgL_pz00_2436); 
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2283z00_3664;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2284z00_3665;
BgL_arg2284z00_3665 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_2437); 
BgL_arg2283z00_3664 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31958ze3z87_3962, BgL_arg2284z00_3665); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1092z00_2437, BgL_arg2283z00_3664); BUNSPEC; } 
{ /* Unsafe/sha2.scm 1189 */
 obj_t BgL_tmp1094z00_2439;
BgL_tmp1094z00_2439 = 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_pz00_2436); 
{ /* Unsafe/sha2.scm 1188 */
 bool_t BgL_test2415z00_6004;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2282z00_3667;
BgL_arg2282z00_3667 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_2437); 
BgL_test2415z00_6004 = 
PAIRP(BgL_arg2282z00_3667); } 
if(BgL_test2415z00_6004)
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2280z00_3668;
{ /* Unsafe/sha2.scm 1188 */
 obj_t BgL_arg2281z00_3669;
BgL_arg2281z00_3669 = 
BGL_EXITD_PROTECT(BgL_exitd1092z00_2437); 
BgL_arg2280z00_3668 = 
CDR(
((obj_t)BgL_arg2281z00_3669)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1092z00_2437, BgL_arg2280z00_3668); BUNSPEC; }  else 
{ /* Unsafe/sha2.scm 1188 */BFALSE; } } 
BGl_z62zc3z04anonymousza31958ze3ze5zz__sha2z00(BgL_zc3z04anonymousza31958ze3z87_3962); 
return BgL_tmp1094z00_2439;} } } } } } 

}



/* &sha512sum-file */
obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_3963, obj_t BgL_fnamez00_3964)
{
{ /* Unsafe/sha2.scm 1181 */
{ /* Unsafe/sha2.scm 1182 */
 obj_t BgL_auxz00_6012;
if(
STRINGP(BgL_fnamez00_3964))
{ /* Unsafe/sha2.scm 1182 */
BgL_auxz00_6012 = BgL_fnamez00_3964
; }  else 
{ 
 obj_t BgL_auxz00_6015;
BgL_auxz00_6015 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)47709)), BGl_string2325z00zz__sha2z00, BGl_string2315z00zz__sha2z00, BgL_fnamez00_3964); 
FAILURE(BgL_auxz00_6015,BFALSE,BFALSE);} 
return 
BGl_sha512sumzd2filezd2zz__sha2z00(BgL_auxz00_6012);} } 

}



/* &<@anonymous:1957> */
obj_t BGl_z62zc3z04anonymousza31957ze3ze5zz__sha2z00(obj_t BgL_envz00_3965)
{
{ /* Unsafe/sha2.scm 1184 */
{ /* Unsafe/sha2.scm 1186 */
 obj_t BgL_mmz00_3966;
BgL_mmz00_3966 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_3965, 
(int)(((long)0)))); 
return 
bgl_close_mmap(BgL_mmz00_3966);} } 

}



/* &<@anonymous:1958> */
obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__sha2z00(obj_t BgL_envz00_3967)
{
{ /* Unsafe/sha2.scm 1188 */
{ /* Unsafe/sha2.scm 1190 */
 obj_t BgL_pz00_3968;
BgL_pz00_3968 = 
PROCEDURE_REF(BgL_envz00_3967, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_3968));} } 

}



/* sha512sum */
BGL_EXPORTED_DEF obj_t BGl_sha512sumz00zz__sha2z00(obj_t BgL_objz00_62)
{
{ /* Unsafe/sha2.scm 1195 */
if(
BGL_MMAPP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1197 */
return 
BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1197 */
if(
STRINGP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1199 */
return 
BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1199 */
if(
INPUT_PORTP(BgL_objz00_62))
{ /* Unsafe/sha2.scm 1201 */
return 
BGl_sha512sumzd2portzd2zz__sha2z00(BgL_objz00_62);}  else 
{ /* Unsafe/sha2.scm 1201 */
return 
BGl_errorz00zz__errorz00(BGl_string2326z00zz__sha2z00, BGl_string2320z00zz__sha2z00, BgL_objz00_62);} } } } 

}



/* &sha512sum */
obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t BgL_envz00_3969, obj_t BgL_objz00_3970)
{
{ /* Unsafe/sha2.scm 1195 */
return 
BGl_sha512sumz00zz__sha2z00(BgL_objz00_3970);} 

}



/* hmac-sha256sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t BgL_keyz00_63, obj_t BgL_msgz00_64)
{
{ /* Unsafe/sha2.scm 1209 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_63, BgL_msgz00_64, BGl_sha256sumzd2stringzd2envz00zz__sha2z00);} 

}



/* &hmac-sha256sum-string */
obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_3971, obj_t BgL_keyz00_3972, obj_t BgL_msgz00_3973)
{
{ /* Unsafe/sha2.scm 1209 */
{ /* Unsafe/sha2.scm 1210 */
 obj_t BgL_auxz00_6047; obj_t BgL_auxz00_6040;
if(
STRINGP(BgL_msgz00_3973))
{ /* Unsafe/sha2.scm 1210 */
BgL_auxz00_6047 = BgL_msgz00_3973
; }  else 
{ 
 obj_t BgL_auxz00_6050;
BgL_auxz00_6050 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)48688)), BGl_string2327z00zz__sha2z00, BGl_string2315z00zz__sha2z00, BgL_msgz00_3973); 
FAILURE(BgL_auxz00_6050,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_3972))
{ /* Unsafe/sha2.scm 1210 */
BgL_auxz00_6040 = BgL_keyz00_3972
; }  else 
{ 
 obj_t BgL_auxz00_6043;
BgL_auxz00_6043 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)48688)), BGl_string2327z00zz__sha2z00, BGl_string2315z00zz__sha2z00, BgL_keyz00_3972); 
FAILURE(BgL_auxz00_6043,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(BgL_auxz00_6040, BgL_auxz00_6047);} } 

}



/* hmac-sha512sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t BgL_keyz00_65, obj_t BgL_msgz00_66)
{
{ /* Unsafe/sha2.scm 1215 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_65, BgL_msgz00_66, BGl_sha512sumzd2stringzd2envz00zz__sha2z00);} 

}



/* &hmac-sha512sum-string */
obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_3974, obj_t BgL_keyz00_3975, obj_t BgL_msgz00_3976)
{
{ /* Unsafe/sha2.scm 1215 */
{ /* Unsafe/sha2.scm 1216 */
 obj_t BgL_auxz00_6063; obj_t BgL_auxz00_6056;
if(
STRINGP(BgL_msgz00_3976))
{ /* Unsafe/sha2.scm 1216 */
BgL_auxz00_6063 = BgL_msgz00_3976
; }  else 
{ 
 obj_t BgL_auxz00_6066;
BgL_auxz00_6066 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)48994)), BGl_string2328z00zz__sha2z00, BGl_string2315z00zz__sha2z00, BgL_msgz00_3976); 
FAILURE(BgL_auxz00_6066,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_3975))
{ /* Unsafe/sha2.scm 1216 */
BgL_auxz00_6056 = BgL_keyz00_3975
; }  else 
{ 
 obj_t BgL_auxz00_6059;
BgL_auxz00_6059 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2310z00zz__sha2z00, 
BINT(((long)48994)), BGl_string2328z00zz__sha2z00, BGl_string2315z00zz__sha2z00, BgL_keyz00_3975); 
FAILURE(BgL_auxz00_6059,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(BgL_auxz00_6056, BgL_auxz00_6063);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00(void)
{
{ /* Unsafe/sha2.scm 50 */
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2329z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__hmacz00(((long)285132844), 
BSTRING_TO_STRING(BGl_string2329z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2329z00zz__sha2z00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2329z00zz__sha2z00)); 
return 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924964), 
BSTRING_TO_STRING(BGl_string2329z00zz__sha2z00));} 

}

#ifdef __cplusplus
}
#endif
