/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	static obj_t BGl_symbol2900z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2902z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2904z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static obj_t BGl_symbol2906z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2908z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__evaluatez00(obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_symbol2910z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_symbol2912z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_symbol2914z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2916z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2918z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2920z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2922z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2924z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2926z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
	static obj_t BGl_symbol2928z00zz__evaluatez00 = BUNSPEC;
	extern int bgl_debug(void);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_keyword2977z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2930z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2932z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2934z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_symbol2936z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2938z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00(void);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00(void);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol2940z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2944z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2946z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void);
	static obj_t BGl_symbol2866z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2949z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void);
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00(void);
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol2951z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2953z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2955z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2874z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2957z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2876z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2959z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2878z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2879z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol2961z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2881z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2963z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2883z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2965z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2885z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2967z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2887z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2969z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2889z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	static obj_t BGl_symbol2971z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2891z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol2973z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2892z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2975z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2894z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2896z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2979z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2898z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t make_vector(long, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_symbol2981z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00(void);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void);
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2921z00zz__evaluatez00,
		BgL_bgl_string2921za700za7za7_2986za7, "quote", 5);
	      DEFINE_STRING(BGl_string2923z00zz__evaluatez00,
		BgL_bgl_string2923za700za7za7_2987za7, "class-exists", 12);
	      DEFINE_STRING(BGl_string2925z00zz__evaluatez00,
		BgL_bgl_string2925za700za7za7_2988za7, "c", 1);
	      DEFINE_STRING(BGl_string2927z00zz__evaluatez00,
		BgL_bgl_string2927za700za7za7_2989za7, "isa?", 4);
	      DEFINE_STRING(BGl_string2929z00zz__evaluatez00,
		BgL_bgl_string2929za700za7za7_2990za7, "if", 2);
	      DEFINE_STRING(BGl_string2931z00zz__evaluatez00,
		BgL_bgl_string2931za700za7za7_2991za7, "let", 3);
	      DEFINE_STRING(BGl_string2933z00zz__evaluatez00,
		BgL_bgl_string2933za700za7za7_2992za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2935z00zz__evaluatez00,
		BgL_bgl_string2935za700za7za7_2993za7, "bigloo-type-error/location", 26);
	      DEFINE_STRING(BGl_string2937z00zz__evaluatez00,
		BgL_bgl_string2937za700za7za7_2994za7, "bigloo-type-error", 17);
	      DEFINE_STRING(BGl_string2939z00zz__evaluatez00,
		BgL_bgl_string2939za700za7za7_2995za7, "at", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r2996z00,
		BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat2997z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2941z00zz__evaluatez00,
		BgL_bgl_string2941za700za7za7_2998za7, "tmp", 3);
	      DEFINE_STRING(BGl_string2860z00zz__evaluatez00,
		BgL_bgl_string2860za700za7za7_2999za7, "", 0);
	      DEFINE_STRING(BGl_string2942z00zz__evaluatez00,
		BgL_bgl_string2942za700za7za7_3000za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string2861z00zz__evaluatez00,
		BgL_bgl_string2861za700za7za7_3001za7,
		"/tmp/bigloo/runtime/Eval/evaluate.scm", 37);
	      DEFINE_STRING(BGl_string2943z00zz__evaluatez00,
		BgL_bgl_string2943za700za7za7_3002za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2862z00zz__evaluatez00,
		BgL_bgl_string2862za700za7za7_3003za7, "&evaluate2-restore-bp!", 22);
	      DEFINE_STRING(BGl_string2863z00zz__evaluatez00,
		BgL_bgl_string2863za700za7za7_3004za7, "bint", 4);
	      DEFINE_STRING(BGl_string2945z00zz__evaluatez00,
		BgL_bgl_string2945za700za7za7_3005za7, "begin", 5);
	      DEFINE_STRING(BGl_string2864z00zz__evaluatez00,
		BgL_bgl_string2864za700za7za7_3006za7, "&evaluate2-restore-state!", 25);
	      DEFINE_STRING(BGl_string2865z00zz__evaluatez00,
		BgL_bgl_string2865za700za7za7_3007za7, "vector", 6);
	      DEFINE_STRING(BGl_string2947z00zz__evaluatez00,
		BgL_bgl_string2947za700za7za7_3008za7, " ", 1);
	      DEFINE_STRING(BGl_string2948z00zz__evaluatez00,
		BgL_bgl_string2948za700za7za7_3009za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2867z00zz__evaluatez00,
		BgL_bgl_string2867za700za7za7_3010za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2868z00zz__evaluatez00,
		BgL_bgl_string2868za700za7za7_3011za7, "eval", 4);
	      DEFINE_STRING(BGl_string2869z00zz__evaluatez00,
		BgL_bgl_string2869za700za7za7_3012za7, "Bad syntax", 10);
	      DEFINE_STRING(BGl_string2950z00zz__evaluatez00,
		BgL_bgl_string2950za700za7za7_3013za7, "module", 6);
	      DEFINE_STRING(BGl_string2870z00zz__evaluatez00,
		BgL_bgl_string2870za700za7za7_3014za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2952z00zz__evaluatez00,
		BgL_bgl_string2952za700za7za7_3015za7, "@", 1);
	      DEFINE_STRING(BGl_string2871z00zz__evaluatez00,
		BgL_bgl_string2871za700za7za7_3016za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2872z00zz__evaluatez00,
		BgL_bgl_string2872za700za7za7_3017za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2954z00zz__evaluatez00,
		BgL_bgl_string2954za700za7za7_3018za7, "->", 2);
	      DEFINE_STRING(BGl_string2873z00zz__evaluatez00,
		BgL_bgl_string2873za700za7za7_3019za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2956z00zz__evaluatez00,
		BgL_bgl_string2956za700za7za7_3020za7, "trap", 4);
	      DEFINE_STRING(BGl_string2875z00zz__evaluatez00,
		BgL_bgl_string2875za700za7za7_3021za7, "pair", 4);
	      DEFINE_STRING(BGl_string2958z00zz__evaluatez00,
		BgL_bgl_string2958za700za7za7_3022za7, "or", 2);
	      DEFINE_STRING(BGl_string2877z00zz__evaluatez00,
		BgL_bgl_string2877za700za7za7_3023za7, "pair?", 5);
	      DEFINE_STRING(BGl_string2960z00zz__evaluatez00,
		BgL_bgl_string2960za700za7za7_3024za7, "and", 3);
	      DEFINE_STRING(BGl_string2880z00zz__evaluatez00,
		BgL_bgl_string2880za700za7za7_3025za7, "vector?", 7);
	      DEFINE_STRING(BGl_string2962z00zz__evaluatez00,
		BgL_bgl_string2962za700za7za7_3026za7, "let*", 4);
	      DEFINE_STRING(BGl_string2882z00zz__evaluatez00,
		BgL_bgl_string2882za700za7za7_3027za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2964z00zz__evaluatez00,
		BgL_bgl_string2964za700za7za7_3028za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2884z00zz__evaluatez00,
		BgL_bgl_string2884za700za7za7_3029za7, "symbol?", 7);
	      DEFINE_STRING(BGl_string2966z00zz__evaluatez00,
		BgL_bgl_string2966za700za7za7_3030za7, "set!", 4);
	      DEFINE_STRING(BGl_string2886z00zz__evaluatez00,
		BgL_bgl_string2886za700za7za7_3031za7, "char", 4);
	      DEFINE_STRING(BGl_string2968z00zz__evaluatez00,
		BgL_bgl_string2968za700za7za7_3032za7, "define", 6);
	      DEFINE_STRING(BGl_string2888z00zz__evaluatez00,
		BgL_bgl_string2888za700za7za7_3033za7, "char?", 5);
	      DEFINE_STRING(BGl_string2970z00zz__evaluatez00,
		BgL_bgl_string2970za700za7za7_3034za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2890z00zz__evaluatez00,
		BgL_bgl_string2890za700za7za7_3035za7, "int", 3);
	      DEFINE_STRING(BGl_string2972z00zz__evaluatez00,
		BgL_bgl_string2972za700za7za7_3036za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2974z00zz__evaluatez00,
		BgL_bgl_string2974za700za7za7_3037za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2893z00zz__evaluatez00,
		BgL_bgl_string2893za700za7za7_3038za7, "integer?", 8);
	      DEFINE_STRING(BGl_string2976z00zz__evaluatez00,
		BgL_bgl_string2976za700za7za7_3039za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string2895z00zz__evaluatez00,
		BgL_bgl_string2895za700za7za7_3040za7, "real", 4);
	      DEFINE_STRING(BGl_string2978z00zz__evaluatez00,
		BgL_bgl_string2978za700za7za7_3041za7, "prelock", 7);
	      DEFINE_STRING(BGl_string2897z00zz__evaluatez00,
		BgL_bgl_string2897za700za7za7_3042za7, "breal", 5);
	      DEFINE_STRING(BGl_string2899z00zz__evaluatez00,
		BgL_bgl_string2899za700za7za7_3043za7, "real?", 5);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_STRING(BGl_string2980z00zz__evaluatez00,
		BgL_bgl_string2980za700za7za7_3044za7, "\\@", 2);
	      DEFINE_STRING(BGl_string2982z00zz__evaluatez00,
		BgL_bgl_string2982za700za7za7_3045za7, "free-pragma::obj", 16);
	      DEFINE_STRING(BGl_string2983z00zz__evaluatez00,
		BgL_bgl_string2983za700za7za7_3046za7, "free-pragma", 11);
	      DEFINE_STRING(BGl_string2984z00zz__evaluatez00,
		BgL_bgl_string2984za700za7za7_3047za7, "not supported in eval", 21);
	      DEFINE_STRING(BGl_string2985z00zz__evaluatez00,
		BgL_bgl_string2985za700za7za7_3048za7, "__evaluate", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3049z00,
		BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat3050z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za73051za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2901z00zz__evaluatez00,
		BgL_bgl_string2901za700za7za7_3052za7, "bool", 4);
	      DEFINE_STRING(BGl_string2903z00zz__evaluatez00,
		BgL_bgl_string2903za700za7za7_3053za7, "boolean?", 8);
	      DEFINE_STRING(BGl_string2905z00zz__evaluatez00,
		BgL_bgl_string2905za700za7za7_3054za7, "struct", 6);
	      DEFINE_STRING(BGl_string2907z00zz__evaluatez00,
		BgL_bgl_string2907za700za7za7_3055za7, "struct?", 7);
	      DEFINE_STRING(BGl_string2909z00zz__evaluatez00,
		BgL_bgl_string2909za700za7za7_3056za7, "class", 5);
	      DEFINE_STRING(BGl_string2911z00zz__evaluatez00,
		BgL_bgl_string2911za700za7za7_3057za7, "class?", 6);
	      DEFINE_STRING(BGl_string2913z00zz__evaluatez00,
		BgL_bgl_string2913za700za7za7_3058za7, "string", 6);
	      DEFINE_STRING(BGl_string2915z00zz__evaluatez00,
		BgL_bgl_string2915za700za7za7_3059za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2917z00zz__evaluatez00,
		BgL_bgl_string2917za700za7za7_3060za7, "string?", 7);
	      DEFINE_STRING(BGl_string2919z00zz__evaluatez00,
		BgL_bgl_string2919za700za7za7_3061za7, "o", 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2900z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2902z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2904z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2906z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2908z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2910z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2912z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2914z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2916z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2918z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2920z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2922z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2924z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2926z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2928z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_keyword2977z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2930z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2932z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2934z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2936z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2938z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2940z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2944z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2946z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2866z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2949z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2951z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2953z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2955z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2874z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2957z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2876z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2959z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2878z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2879z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2961z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2881z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2963z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2883z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2965z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2885z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2967z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2887z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2969z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2889z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2971z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2891z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2973z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2892z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2975z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2894z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2896z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2979z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2898z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2981z00zz__evaluatez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4831, char *BgL_fromz00_4832)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluatez00();
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BGl_methodzd2initzd2zz__evaluatez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2866z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2867z00zz__evaluatez00);
			BGl_symbol2874z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2875z00zz__evaluatez00);
			BGl_symbol2876z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2877z00zz__evaluatez00);
			BGl_symbol2878z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2865z00zz__evaluatez00);
			BGl_symbol2879z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2880z00zz__evaluatez00);
			BGl_symbol2881z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2882z00zz__evaluatez00);
			BGl_symbol2883z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2884z00zz__evaluatez00);
			BGl_symbol2885z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2886z00zz__evaluatez00);
			BGl_symbol2887z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2888z00zz__evaluatez00);
			BGl_symbol2889z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2890z00zz__evaluatez00);
			BGl_symbol2891z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2863z00zz__evaluatez00);
			BGl_symbol2892z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2893z00zz__evaluatez00);
			BGl_symbol2894z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2895z00zz__evaluatez00);
			BGl_symbol2896z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2897z00zz__evaluatez00);
			BGl_symbol2898z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2899z00zz__evaluatez00);
			BGl_symbol2900z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2901z00zz__evaluatez00);
			BGl_symbol2902z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2903z00zz__evaluatez00);
			BGl_symbol2904z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2905z00zz__evaluatez00);
			BGl_symbol2906z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2907z00zz__evaluatez00);
			BGl_symbol2908z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2909z00zz__evaluatez00);
			BGl_symbol2910z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2911z00zz__evaluatez00);
			BGl_symbol2912z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2913z00zz__evaluatez00);
			BGl_symbol2914z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2915z00zz__evaluatez00);
			BGl_symbol2916z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2917z00zz__evaluatez00);
			BGl_symbol2918z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2919z00zz__evaluatez00);
			BGl_symbol2920z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2921z00zz__evaluatez00);
			BGl_symbol2922z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2923z00zz__evaluatez00);
			BGl_symbol2924z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2925z00zz__evaluatez00);
			BGl_symbol2926z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2927z00zz__evaluatez00);
			BGl_symbol2928z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2929z00zz__evaluatez00);
			BGl_symbol2930z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2931z00zz__evaluatez00);
			BGl_symbol2932z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2933z00zz__evaluatez00);
			BGl_symbol2934z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2935z00zz__evaluatez00);
			BGl_symbol2936z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2937z00zz__evaluatez00);
			BGl_symbol2938z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2939z00zz__evaluatez00);
			BGl_symbol2940z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2941z00zz__evaluatez00);
			BGl_symbol2944z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2945z00zz__evaluatez00);
			BGl_symbol2946z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2947z00zz__evaluatez00);
			BGl_symbol2949z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2950z00zz__evaluatez00);
			BGl_symbol2951z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2952z00zz__evaluatez00);
			BGl_symbol2953z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2954z00zz__evaluatez00);
			BGl_symbol2955z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2956z00zz__evaluatez00);
			BGl_symbol2957z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2958z00zz__evaluatez00);
			BGl_symbol2959z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2960z00zz__evaluatez00);
			BGl_symbol2961z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2962z00zz__evaluatez00);
			BGl_symbol2963z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2964z00zz__evaluatez00);
			BGl_symbol2965z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2966z00zz__evaluatez00);
			BGl_symbol2967z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2968z00zz__evaluatez00);
			BGl_symbol2969z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2970z00zz__evaluatez00);
			BGl_symbol2971z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2972z00zz__evaluatez00);
			BGl_symbol2973z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2974z00zz__evaluatez00);
			BGl_symbol2975z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2976z00zz__evaluatez00);
			BGl_keyword2977z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string2978z00zz__evaluatez00);
			BGl_symbol2979z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2980z00zz__evaluatez00);
			return (BGl_symbol2981z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2982z00zz__evaluatez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1189;

				BgL_headz00_1189 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_3207;
					obj_t BgL_tailz00_3208;

					BgL_prevz00_3207 = BgL_headz00_1189;
					BgL_tailz00_3208 = BgL_l1z00_1;
				BgL_loopz00_3206:
					if (PAIRP(BgL_tailz00_3208))
						{
							obj_t BgL_newzd2prevzd2_3214;

							BgL_newzd2prevzd2_3214 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_3208), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_3207, BgL_newzd2prevzd2_3214);
							{
								obj_t BgL_tailz00_4903;
								obj_t BgL_prevz00_4902;

								BgL_prevz00_4902 = BgL_newzd2prevzd2_3214;
								BgL_tailz00_4903 = CDR(BgL_tailz00_3208);
								BgL_tailz00_3208 = BgL_tailz00_4903;
								BgL_prevz00_3207 = BgL_prevz00_4902;
								goto BgL_loopz00_3206;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1189);
			}
		}

	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 74 */
				obj_t BgL_stringz00_1197;

				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_arg2612z00_3222;

					BgL_arg2612z00_3222 = SYMBOL_TO_STRING(BgL_idz00_3);
					BgL_stringz00_1197 =
						BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2612z00_3222);
				}
				{	/* Eval/evaluate.scm 74 */
					long BgL_lenz00_1198;

					BgL_lenz00_1198 = STRING_LENGTH(BgL_stringz00_1197);
					{	/* Eval/evaluate.scm 75 */

						{
							long BgL_walkerz00_1200;

							BgL_walkerz00_1200 = ((long) 0);
						BgL_zc3z04anonymousza31339ze3z87_1201:
							if ((BgL_walkerz00_1200 == BgL_lenz00_1198))
								{	/* Eval/evaluate.scm 78 */
									return MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 80 */
									bool_t BgL_test3065z00_4912;

									if (
										(STRING_REF(BgL_stringz00_1197,
												BgL_walkerz00_1200) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 80 */
											if ((BgL_walkerz00_1200 < (BgL_lenz00_1198 - ((long) 1))))
												{	/* Eval/evaluate.scm 81 */
													BgL_test3065z00_4912 =
														(STRING_REF(BgL_stringz00_1197,
															(BgL_walkerz00_1200 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 81 */
													BgL_test3065z00_4912 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 80 */
											BgL_test3065z00_4912 = ((bool_t) 0);
										}
									if (BgL_test3065z00_4912)
										{	/* Eval/evaluate.scm 83 */
											obj_t BgL_arg1350z00_1212;
											obj_t BgL_arg1351z00_1213;

											BgL_arg1350z00_1212 =
												bstring_to_symbol(c_substring(BgL_stringz00_1197,
													((long) 0), BgL_walkerz00_1200));
											{	/* Eval/evaluate.scm 84 */
												obj_t BgL_arg1353z00_1215;

												{	/* Eval/evaluate.scm 84 */
													long BgL_arg1354z00_1216;

													BgL_arg1354z00_1216 =
														(BgL_walkerz00_1200 + ((long) 2));
													{	/* Ieee/string.scm 190 */
														long BgL_endz00_1219;

														BgL_endz00_1219 = STRING_LENGTH(BgL_stringz00_1197);
														{	/* Ieee/string.scm 190 */

															BgL_arg1353z00_1215 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_1197, BgL_arg1354z00_1216,
																BgL_endz00_1219);
												}}}
												BgL_arg1351z00_1213 =
													bstring_to_symbol(BgL_arg1353z00_1215);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1350z00_1212,
												BgL_arg1351z00_1213);
										}
									else
										{
											long BgL_walkerz00_4929;

											BgL_walkerz00_4929 = (BgL_walkerz00_1200 + ((long) 1));
											BgL_walkerz00_1200 = BgL_walkerz00_4929;
											goto BgL_zc3z04anonymousza31339ze3z87_1201;
										}
								}
						}
					}
				}
			}
		}

	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 91 */
			{	/* Eval/evaluate.scm 92 */
				obj_t BgL_sz00_1228;

				BgL_sz00_1228 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 93 */
					obj_t BgL_bpz00_1229;

					BgL_bpz00_1229 = VECTOR_REF(((obj_t) BgL_sz00_1228), ((long) 0));
					{	/* Eval/evaluate.scm 94 */
						obj_t BgL_rz00_1230;

						BgL_rz00_1230 =
							make_vector(
							(long) CINT(BgL_bpz00_1229), BGl_string2860z00zz__evaluatez00);
						{
							long BgL_iz00_3254;

							BgL_iz00_3254 = ((long) 0);
						BgL_recz00_3253:
							if ((BgL_iz00_3254 < (long) CINT(BgL_bpz00_1229)))
								{	/* Eval/evaluate.scm 96 */
									{	/* Eval/evaluate.scm 97 */
										obj_t BgL_arg1364z00_3258;

										BgL_arg1364z00_3258 =
											VECTOR_REF(((obj_t) BgL_sz00_1228), BgL_iz00_3254);
										VECTOR_SET(BgL_rz00_1230, BgL_iz00_3254,
											BgL_arg1364z00_3258);
									}
									{
										long BgL_iz00_4942;

										BgL_iz00_4942 = (BgL_iz00_3254 + ((long) 1));
										BgL_iz00_3254 = BgL_iz00_4942;
										goto BgL_recz00_3253;
									}
								}
							else
								{	/* Eval/evaluate.scm 96 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_1230;
					}
				}
			}
		}

	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4789)
	{
		{	/* Eval/evaluate.scm 91 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}

	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		{	/* Eval/evaluate.scm 104 */
			{	/* Eval/evaluate.scm 105 */
				obj_t BgL_sz00_1238;

				BgL_sz00_1238 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 106 */
					obj_t BgL_bpz00_1239;

					BgL_bpz00_1239 = VECTOR_REF(((obj_t) BgL_vz00_4), ((long) 0));
					{
						long BgL_iz00_3274;

						{	/* Eval/evaluate.scm 107 */
							bool_t BgL_tmpz00_4948;

							BgL_iz00_3274 = ((long) 0);
						BgL_recz00_3273:
							if ((BgL_iz00_3274 < (long) CINT(BgL_bpz00_1239)))
								{	/* Eval/evaluate.scm 108 */
									{	/* Eval/evaluate.scm 109 */
										obj_t BgL_arg1368z00_3278;

										BgL_arg1368z00_3278 =
											VECTOR_REF(((obj_t) BgL_vz00_4), BgL_iz00_3274);
										VECTOR_SET(
											((obj_t) BgL_sz00_1238), BgL_iz00_3274,
											BgL_arg1368z00_3278);
									}
									{
										long BgL_iz00_4956;

										BgL_iz00_4956 = (BgL_iz00_3274 + ((long) 1));
										BgL_iz00_3274 = BgL_iz00_4956;
										goto BgL_recz00_3273;
									}
								}
							else
								{	/* Eval/evaluate.scm 108 */
									BgL_tmpz00_4948 = ((bool_t) 0);
								}
							return BBOOL(BgL_tmpz00_4948);
						}
					}
				}
			}
		}

	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4790, obj_t BgL_vz00_4791)
	{
		{	/* Eval/evaluate.scm 104 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4791);
		}

	}



/* evaluate2-restore-bp! */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int
		BgL_bpz00_5)
	{
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				obj_t BgL_sz00_3285;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_4960;

					BgL_tmpz00_4960 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_3285 = BGL_ENV_EVSTATE(BgL_tmpz00_4960);
				}
				return
					VECTOR_SET(((obj_t) BgL_sz00_3285), ((long) 0), BINT(BgL_bpz00_5));
		}}

	}



/* &evaluate2-restore-bp! */
	obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t
		BgL_envz00_4792, obj_t BgL_bpz00_4793)
	{
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				int BgL_auxz00_4966;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_4967;

					if (INTEGERP(BgL_bpz00_4793))
						{	/* Eval/evaluate.scm 116 */
							BgL_tmpz00_4967 = BgL_bpz00_4793;
						}
					else
						{
							obj_t BgL_auxz00_4970;

							BgL_auxz00_4970 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2861z00zz__evaluatez00, BINT(((long) 3890)),
								BGl_string2862z00zz__evaluatez00,
								BGl_string2863z00zz__evaluatez00, BgL_bpz00_4793);
							FAILURE(BgL_auxz00_4970, BFALSE, BFALSE);
						}
					BgL_auxz00_4966 = CINT(BgL_tmpz00_4967);
				}
				return
					BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4966);
			}
		}

	}



/* evaluate2-restore-state! */
	BGL_EXPORTED_DEF obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
	{
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 124 */
				obj_t BgL_tmpz00_4976;

				BgL_tmpz00_4976 = BGL_CURRENT_DYNAMIC_ENV();
				return BGL_ENV_EVSTATE_SET(BgL_tmpz00_4976, BgL_statez00_6);
			}
		}

	}



/* &evaluate2-restore-state! */
	obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t
		BgL_envz00_4794, obj_t BgL_statez00_4795)
	{
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_auxz00_4979;

				if (VECTORP(BgL_statez00_4795))
					{	/* Eval/evaluate.scm 123 */
						BgL_auxz00_4979 = BgL_statez00_4795;
					}
				else
					{
						obj_t BgL_auxz00_4982;

						BgL_auxz00_4982 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2861z00zz__evaluatez00,
							BINT(((long) 4240)), BGl_string2864z00zz__evaluatez00,
							BGl_string2865z00zz__evaluatez00, BgL_statez00_4795);
						FAILURE(BgL_auxz00_4982, BFALSE, BFALSE);
					}
				return
					BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4979);
			}
		}

	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7,
		obj_t BgL_envz00_8, obj_t BgL_locz00_9)
	{
		{	/* Eval/evaluate.scm 129 */
			{	/* Eval/evaluate.scm 130 */
				BgL_ev_exprz00_bglt BgL_astz00_1250;

				{	/* Eval/evaluate.scm 130 */
					obj_t BgL_arg1372z00_1260;

					BgL_arg1372z00_1260 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_7, BNIL, BgL_envz00_8,
						BFALSE, BGl_symbol2866z00zz__evaluatez00, BgL_locz00_9,
						((bool_t) 1));
					BgL_astz00_1250 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1372z00_1260));
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1250);
				{	/* Eval/evaluate.scm 132 */
					int BgL_nz00_1251;

					BgL_nz00_1251 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1250);
					{	/* Eval/evaluate.scm 133 */
						obj_t BgL_fz00_1252;

						BgL_fz00_1252 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_1250);
						{	/* Eval/evaluate.scm 134 */
							obj_t BgL_sz00_1253;

							BgL_sz00_1253 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 135 */
								obj_t BgL_bpz00_1254;

								BgL_bpz00_1254 =
									VECTOR_REF(((obj_t) BgL_sz00_1253), ((long) 0));
								{	/* Eval/evaluate.scm 136 */
									obj_t BgL_exitd1065z00_1255;

									BgL_exitd1065z00_1255 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 138 */
										obj_t BgL_zc3z04anonymousza31371ze3z87_4796;

										BgL_zc3z04anonymousza31371ze3z87_4796 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31371ze3ze5zz__evaluatez00,
											(int) (((long) 0)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31371ze3z87_4796,
											(int) (((long) 0)), BgL_sz00_1253);
										PROCEDURE_SET(BgL_zc3z04anonymousza31371ze3z87_4796,
											(int) (((long) 1)), BgL_bpz00_1254);
										{	/* Eval/evaluate.scm 136 */
											obj_t BgL_arg2838z00_3291;

											{	/* Eval/evaluate.scm 136 */
												obj_t BgL_arg2839z00_3292;

												BgL_arg2839z00_3292 =
													BGL_EXITD_PROTECT(BgL_exitd1065z00_1255);
												BgL_arg2838z00_3291 =
													MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31371ze3z87_4796,
													BgL_arg2839z00_3292);
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_1255,
												BgL_arg2838z00_3291);
											BUNSPEC;
										}
										{	/* Eval/evaluate.scm 137 */
											obj_t BgL_tmp1067z00_1257;

											BgL_tmp1067z00_1257 =
												((obj_t(*)(obj_t, obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fz00_1252)) (BgL_fz00_1252,
												BgL_sz00_1253, BEOA);
											{	/* Eval/evaluate.scm 136 */
												bool_t BgL_test3072z00_5011;

												{	/* Eval/evaluate.scm 136 */
													obj_t BgL_arg2827z00_3294;

													BgL_arg2827z00_3294 =
														BGL_EXITD_PROTECT(BgL_exitd1065z00_1255);
													BgL_test3072z00_5011 = PAIRP(BgL_arg2827z00_3294);
												}
												if (BgL_test3072z00_5011)
													{	/* Eval/evaluate.scm 136 */
														obj_t BgL_arg2825z00_3295;

														{	/* Eval/evaluate.scm 136 */
															obj_t BgL_arg2826z00_3296;

															BgL_arg2826z00_3296 =
																BGL_EXITD_PROTECT(BgL_exitd1065z00_1255);
															BgL_arg2825z00_3295 =
																CDR(((obj_t) BgL_arg2826z00_3296));
														}
														BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_1255,
															BgL_arg2825z00_3295);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate.scm 136 */
														BFALSE;
													}
											}
											VECTOR_SET(
												((obj_t) BgL_sz00_1253), ((long) 0), BgL_bpz00_1254);
											return BgL_tmp1067z00_1257;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4797,
		obj_t BgL_sexpz00_4798, obj_t BgL_envz00_4799, obj_t BgL_locz00_4800)
	{
		{	/* Eval/evaluate.scm 129 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4798, BgL_envz00_4799,
				BgL_locz00_4800);
		}

	}



/* &<@anonymous:1371> */
	obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__evaluatez00(obj_t
		BgL_envz00_4801)
	{
		{	/* Eval/evaluate.scm 136 */
			{	/* Eval/evaluate.scm 138 */
				obj_t BgL_sz00_4802;
				obj_t BgL_bpz00_4803;

				BgL_sz00_4802 = PROCEDURE_REF(BgL_envz00_4801, (int) (((long) 0)));
				BgL_bpz00_4803 = PROCEDURE_REF(BgL_envz00_4801, (int) (((long) 1)));
				return VECTOR_SET(((obj_t) BgL_sz00_4802), ((long) 0), BgL_bpz00_4803);
		}}

	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10,
		obj_t BgL_locz00_11)
	{
		{	/* Eval/evaluate.scm 143 */
			{	/* Eval/evaluate.scm 144 */
				obj_t BgL__ortest_1069z00_3299;

				BgL__ortest_1069z00_3299 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10);
				if (CBOOL(BgL__ortest_1069z00_3299))
					{	/* Eval/evaluate.scm 144 */
						return BgL__ortest_1069z00_3299;
					}
				else
					{	/* Eval/evaluate.scm 144 */
						return BgL_locz00_11;
					}
			}
		}

	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18,
		obj_t BgL_localsz00_19)
	{
		{	/* Eval/evaluate.scm 163 */
			{
				obj_t BgL_lz00_1265;

				BgL_lz00_1265 = BgL_localsz00_19;
			BgL_zc3z04anonymousza31373ze3z87_1266:
				if (NULLP(BgL_lz00_1265))
					{	/* Eval/evaluate.scm 165 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 167 */
						obj_t BgL_rvz00_1268;

						BgL_rvz00_1268 = CAR(((obj_t) BgL_lz00_1265));
						if (
							(BgL_vz00_18 ==
								(((BgL_ev_varz00_bglt) COBJECT(
											((BgL_ev_varz00_bglt) BgL_rvz00_1268)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 169 */
								return BgL_rvz00_1268;
							}
						else
							{
								obj_t BgL_lz00_5038;

								BgL_lz00_5038 = CDR(((obj_t) BgL_lz00_1265));
								BgL_lz00_1265 = BgL_lz00_5038;
								goto BgL_zc3z04anonymousza31373ze3z87_1266;
							}
					}
			}
		}

	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20,
		obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23,
		obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
	{
		{	/* Eval/evaluate.scm 176 */
			{	/* Eval/evaluate.scm 177 */
				obj_t BgL_locz00_1275;

				{	/* Eval/evaluate.scm 144 */
					obj_t BgL__ortest_1069z00_3304;

					BgL__ortest_1069z00_3304 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_20);
					if (CBOOL(BgL__ortest_1069z00_3304))
						{	/* Eval/evaluate.scm 144 */
							BgL_locz00_1275 = BgL__ortest_1069z00_3304;
						}
					else
						{	/* Eval/evaluate.scm 144 */
							BgL_locz00_1275 = BgL_locz00_25;
						}
				}
				{
					obj_t BgL_e1z00_1279;
					obj_t BgL_rz00_1280;

					if (NULLP(BgL_lz00_20))
						{
							BgL_ev_littz00_bglt BgL_auxz00_5046;

							{	/* Eval/evaluate.scm 180 */
								BgL_ev_littz00_bglt BgL_new1074z00_1292;

								{	/* Eval/evaluate.scm 181 */
									BgL_ev_littz00_bglt BgL_new1073z00_1293;

									BgL_new1073z00_1293 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 181 */
										long BgL_arg1387z00_1294;

										BgL_arg1387z00_1294 =
											BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1073z00_1293),
											BgL_arg1387z00_1294);
									}
									BgL_new1074z00_1292 = BgL_new1073z00_1293;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1074z00_1292))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_5046 = BgL_new1074z00_1292;
							}
							return ((obj_t) BgL_auxz00_5046);
						}
					else
						{	/* Eval/evaluate.scm 178 */
							if (PAIRP(BgL_lz00_20))
								{	/* Eval/evaluate.scm 178 */
									if (NULLP(CDR(((obj_t) BgL_lz00_20))))
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg1383z00_1288;

											BgL_arg1383z00_1288 = CAR(((obj_t) BgL_lz00_20));
											{	/* Eval/evaluate.scm 183 */
												obj_t BgL_arg1388z00_3316;

												{	/* Eval/evaluate.scm 144 */
													obj_t BgL__ortest_1069z00_3317;

													BgL__ortest_1069z00_3317 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1383z00_1288);
													if (CBOOL(BgL__ortest_1069z00_3317))
														{	/* Eval/evaluate.scm 144 */
															BgL_arg1388z00_3316 = BgL__ortest_1069z00_3317;
														}
													else
														{	/* Eval/evaluate.scm 144 */
															BgL_arg1388z00_3316 = BgL_locz00_1275;
														}
												}
												BGL_TAIL return
													BGl_convz00zz__evaluatez00(BgL_arg1383z00_1288,
													BgL_localsz00_21, BgL_globalsz00_22,
													BgL_tailzf3zf3_23, BgL_wherez00_24,
													BgL_arg1388z00_3316, BgL_topzf3zf3_26);
											}
										}
									else
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg1384z00_1289;
											obj_t BgL_arg1385z00_1290;

											BgL_arg1384z00_1289 = CAR(((obj_t) BgL_lz00_20));
											BgL_arg1385z00_1290 = CDR(((obj_t) BgL_lz00_20));
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_5069;

												BgL_e1z00_1279 = BgL_arg1384z00_1289;
												BgL_rz00_1280 = BgL_arg1385z00_1290;
												{	/* Eval/evaluate.scm 185 */
													BgL_ev_prog2z00_bglt BgL_new1076z00_1296;

													{	/* Eval/evaluate.scm 186 */
														BgL_ev_prog2z00_bglt BgL_new1075z00_1298;

														BgL_new1075z00_1298 =
															((BgL_ev_prog2z00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 186 */
															long BgL_arg1390z00_1299;

															BgL_arg1390z00_1299 =
																BGL_CLASS_NUM
																(BGl_ev_prog2z00zz__evaluate_typesz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1075z00_1298), BgL_arg1390z00_1299);
														}
														BgL_new1076z00_1296 = BgL_new1075z00_1298;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_5074;

														{	/* Eval/evaluate.scm 186 */
															obj_t BgL_arg1389z00_1297;

															{	/* Eval/evaluate.scm 144 */
																obj_t BgL__ortest_1069z00_3313;

																BgL__ortest_1069z00_3313 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_1279);
																if (CBOOL(BgL__ortest_1069z00_3313))
																	{	/* Eval/evaluate.scm 144 */
																		BgL_arg1389z00_1297 =
																			BgL__ortest_1069z00_3313;
																	}
																else
																	{	/* Eval/evaluate.scm 144 */
																		BgL_arg1389z00_1297 = BgL_locz00_1275;
																	}
															}
															BgL_auxz00_5074 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_1279,
																	BgL_localsz00_21, BgL_globalsz00_22, BFALSE,
																	BgL_wherez00_24, BgL_arg1389z00_1297,
																	BgL_topzf3zf3_26));
														}
														((((BgL_ev_prog2z00_bglt)
																	COBJECT(BgL_new1076z00_1296))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_5074), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt)
																COBJECT(BgL_new1076z00_1296))->BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00
																(BgL_rz00_1280, BgL_localsz00_21,
																	BgL_globalsz00_22, BgL_tailzf3zf3_23,
																	BgL_wherez00_24, BgL_locz00_1275,
																	BgL_topzf3zf3_26))), BUNSPEC);
													BgL_auxz00_5069 = BgL_new1076z00_1296;
												}
												return ((obj_t) BgL_auxz00_5069);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 178 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1275,
										BGl_string2868z00zz__evaluatez00,
										BGl_string2869z00zz__evaluatez00, BgL_lz00_20);
								}
						}
				}
			}
		}

	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30,
		obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33,
		obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
	{
		{	/* Eval/evaluate.scm 203 */
			{	/* Eval/evaluate.scm 204 */
				obj_t BgL_lz00_1304;

				BgL_lz00_1304 = CDR(((obj_t) BgL_ez00_30));
				{	/* Eval/evaluate.scm 204 */
					obj_t BgL_vz00_1305;

					BgL_vz00_1305 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(
							((obj_t) BgL_lz00_1304)), BgL_localsz00_31);
					{	/* Eval/evaluate.scm 205 */

						{	/* Eval/evaluate.scm 206 */
							bool_t BgL_test3082z00_5091;

							{	/* Eval/evaluate.scm 206 */
								obj_t BgL_classz00_3329;

								BgL_classz00_3329 = BGl_ev_varz00zz__evaluate_typesz00;
								if (BGL_OBJECTP(BgL_vz00_1305))
									{	/* Eval/evaluate.scm 206 */
										BgL_objectz00_bglt BgL_arg2802z00_3331;

										BgL_arg2802z00_3331 = (BgL_objectz00_bglt) (BgL_vz00_1305);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Eval/evaluate.scm 206 */
												long BgL_idxz00_3337;

												BgL_idxz00_3337 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg2802z00_3331);
												BgL_test3082z00_5091 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3337 + ((long) 2))) ==
													BgL_classz00_3329);
											}
										else
											{	/* Eval/evaluate.scm 206 */
												bool_t BgL_res2840z00_3359;

												{	/* Eval/evaluate.scm 206 */
													obj_t BgL_oclassz00_3345;

													{	/* Eval/evaluate.scm 206 */
														long BgL_arg2814z00_3351;

														{	/* Eval/evaluate.scm 206 */
															long BgL_arg2815z00_3352;

															BgL_arg2815z00_3352 =
																BGL_OBJECT_CLASS_NUM(BgL_arg2802z00_3331);
															BgL_arg2814z00_3351 =
																(BgL_arg2815z00_3352 - OBJECT_TYPE);
														}
														BgL_oclassz00_3345 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg2814z00_3351);
													}
													{	/* Eval/evaluate.scm 206 */
														bool_t BgL__ortest_1203z00_3346;

														BgL__ortest_1203z00_3346 =
															(BgL_classz00_3329 == BgL_oclassz00_3345);
														if (BgL__ortest_1203z00_3346)
															{	/* Eval/evaluate.scm 206 */
																BgL_res2840z00_3359 = BgL__ortest_1203z00_3346;
															}
														else
															{	/* Eval/evaluate.scm 206 */
																long BgL_odepthz00_3347;

																BgL_odepthz00_3347 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3345);
																if ((((long) 2) < BgL_odepthz00_3347))
																	{	/* Eval/evaluate.scm 206 */
																		obj_t BgL_arg2798z00_3349;

																		BgL_arg2798z00_3349 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3345, ((long) 2));
																		BgL_res2840z00_3359 =
																			(BgL_arg2798z00_3349 ==
																			BgL_classz00_3329);
																	}
																else
																	{	/* Eval/evaluate.scm 206 */
																		BgL_res2840z00_3359 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3082z00_5091 = BgL_res2840z00_3359;
											}
									}
								else
									{	/* Eval/evaluate.scm 206 */
										BgL_test3082z00_5091 = ((bool_t) 0);
									}
							}
							if (BgL_test3082z00_5091)
								{	/* Eval/evaluate.scm 208 */
									obj_t BgL_g1080z00_1308;
									obj_t BgL_g1081z00_1309;

									{	/* Eval/evaluate.scm 209 */
										obj_t BgL_arg1410z00_1332;

										BgL_arg1410z00_1332 =
											(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_vz00_1305)))->BgL_typez00);
										BgL_g1080z00_1308 =
											BGl_classzd2existszd2zz__objectz00(BgL_arg1410z00_1332);
									}
									BgL_g1081z00_1309 = CDR(((obj_t) BgL_lz00_1304));
									{
										obj_t BgL_nodez00_1311;
										obj_t BgL_klassz00_1312;
										obj_t BgL_fieldsz00_1313;

										BgL_nodez00_1311 = BgL_vz00_1305;
										BgL_klassz00_1312 = BgL_g1080z00_1308;
										BgL_fieldsz00_1313 = BgL_g1081z00_1309;
									BgL_zc3z04anonymousza31394ze3z87_1314:
										if (NULLP(BgL_fieldsz00_1313))
											{	/* Eval/evaluate.scm 212 */
												return BgL_nodez00_1311;
											}
										else
											{	/* Eval/evaluate.scm 212 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1312))
													{	/* Eval/evaluate.scm 215 */
														obj_t BgL_fieldz00_1317;

														{	/* Eval/evaluate.scm 215 */
															obj_t BgL_arg1408z00_1328;

															BgL_arg1408z00_1328 =
																CAR(((obj_t) BgL_fieldsz00_1313));
															BgL_fieldz00_1317 =
																BGl_findzd2classzd2fieldz00zz__objectz00
																(BgL_klassz00_1312, BgL_arg1408z00_1328);
														}
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_1317))
															{	/* Eval/evaluate.scm 217 */
																BgL_ev_appz00_bglt BgL_nodez00_1319;

																{	/* Eval/evaluate.scm 271 */
																	obj_t BgL_getz00_3362;

																	BgL_getz00_3362 =
																		BGl_classzd2fieldzd2accessorz00zz__objectz00
																		(BgL_fieldz00_1317);
																	{	/* Eval/evaluate.scm 272 */
																		BgL_ev_appz00_bglt BgL_new1088z00_3363;

																		{	/* Eval/evaluate.scm 273 */
																			BgL_ev_appz00_bglt BgL_new1087z00_3364;

																			BgL_new1087z00_3364 =
																				((BgL_ev_appz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_ev_appz00_bgl))));
																			{	/* Eval/evaluate.scm 273 */
																				long BgL_arg1442z00_3365;

																				BgL_arg1442z00_3365 =
																					BGL_CLASS_NUM
																					(BGl_ev_appz00zz__evaluate_typesz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1087z00_3364),
																					BgL_arg1442z00_3365);
																			}
																			BgL_new1088z00_3363 = BgL_new1087z00_3364;
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1088z00_3363))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_35), BUNSPEC);
																		{
																			BgL_ev_exprz00_bglt BgL_auxz00_5131;

																			{	/* Eval/evaluate.scm 274 */
																				BgL_ev_littz00_bglt BgL_new1090z00_3366;

																				{	/* Eval/evaluate.scm 274 */
																					BgL_ev_littz00_bglt
																						BgL_new1089z00_3367;
																					BgL_new1089z00_3367 =
																						((BgL_ev_littz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_littz00_bgl))));
																					{	/* Eval/evaluate.scm 274 */
																						long BgL_arg1440z00_3368;

																						{	/* Eval/evaluate.scm 274 */
																							obj_t BgL_classz00_3373;

																							BgL_classz00_3373 =
																								BGl_ev_littz00zz__evaluate_typesz00;
																							BgL_arg1440z00_3368 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3373);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1089z00_3367),
																							BgL_arg1440z00_3368);
																					}
																					BgL_new1090z00_3366 =
																						BgL_new1089z00_3367;
																				}
																				((((BgL_ev_littz00_bglt)
																							COBJECT(BgL_new1090z00_3366))->
																						BgL_valuez00) =
																					((obj_t) BgL_getz00_3362), BUNSPEC);
																				BgL_auxz00_5131 =
																					((BgL_ev_exprz00_bglt)
																					BgL_new1090z00_3366);
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1088z00_3363))->
																					BgL_funz00) =
																				((BgL_ev_exprz00_bglt) BgL_auxz00_5131),
																				BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_5139;

																			{	/* Eval/evaluate.scm 275 */
																				obj_t BgL_list1441z00_3369;

																				BgL_list1441z00_3369 =
																					MAKE_YOUNG_PAIR(BgL_nodez00_1311,
																					BNIL);
																				BgL_auxz00_5139 = BgL_list1441z00_3369;
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1088z00_3363))->
																					BgL_argsz00) =
																				((obj_t) BgL_auxz00_5139), BUNSPEC);
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1088z00_3363))->
																				BgL_tailzf3zf3) =
																			((obj_t) BgL_tailzf3zf3_33), BUNSPEC);
																		BgL_nodez00_1319 = BgL_new1088z00_3363;
																}}
																{	/* Eval/evaluate.scm 220 */
																	obj_t BgL_arg1398z00_1320;
																	obj_t BgL_arg1399z00_1321;

																	BgL_arg1398z00_1320 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_1317);
																	BgL_arg1399z00_1321 =
																		CDR(((obj_t) BgL_fieldsz00_1313));
																	{
																		obj_t BgL_fieldsz00_5149;
																		obj_t BgL_klassz00_5148;
																		obj_t BgL_nodez00_5146;

																		BgL_nodez00_5146 =
																			((obj_t) BgL_nodez00_1319);
																		BgL_klassz00_5148 = BgL_arg1398z00_1320;
																		BgL_fieldsz00_5149 = BgL_arg1399z00_1321;
																		BgL_fieldsz00_1313 = BgL_fieldsz00_5149;
																		BgL_klassz00_1312 = BgL_klassz00_5148;
																		BgL_nodez00_1311 = BgL_nodez00_5146;
																		goto BgL_zc3z04anonymousza31394ze3z87_1314;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 222 */
																obj_t BgL_arg1400z00_1322;
																obj_t BgL_arg1403z00_1323;

																BgL_arg1400z00_1322 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1305)))->
																	BgL_typez00);
																{	/* Eval/evaluate.scm 223 */
																	obj_t BgL_arg1404z00_1324;
																	obj_t BgL_arg1405z00_1325;

																	BgL_arg1404z00_1324 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1305)))->
																		BgL_typez00);
																	BgL_arg1405z00_1325 =
																		CAR(((obj_t) BgL_fieldsz00_1313));
																	{	/* Eval/evaluate.scm 223 */
																		obj_t BgL_list1406z00_1326;

																		{	/* Eval/evaluate.scm 223 */
																			obj_t BgL_arg1407z00_1327;

																			BgL_arg1407z00_1327 =
																				MAKE_YOUNG_PAIR(BgL_arg1405z00_1325,
																				BNIL);
																			BgL_list1406z00_1326 =
																				MAKE_YOUNG_PAIR(BgL_arg1404z00_1324,
																				BgL_arg1407z00_1327);
																		}
																		BgL_arg1403z00_1323 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2870z00zz__evaluatez00,
																			BgL_list1406z00_1326);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_35, BgL_arg1400z00_1322,
																	BgL_arg1403z00_1323, BgL_ez00_30);
															}
													}
												else
													{	/* Eval/evaluate.scm 226 */
														obj_t BgL_arg1409z00_1329;

														{	/* Eval/evaluate.scm 226 */
															obj_t BgL__ortest_1082z00_1330;

															BgL__ortest_1082z00_1330 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1305)))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1082z00_1330))
																{	/* Eval/evaluate.scm 226 */
																	BgL_arg1409z00_1329 =
																		BgL__ortest_1082z00_1330;
																}
															else
																{	/* Eval/evaluate.scm 226 */
																	BgL_arg1409z00_1329 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1305)))->
																		BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_35, BgL_arg1409z00_1329,
															BGl_string2871z00zz__evaluatez00, BgL_ez00_30);
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 228 */
									obj_t BgL_arg1411z00_1333;

									{	/* Eval/evaluate.scm 228 */
										obj_t BgL_pairz00_3382;

										BgL_pairz00_3382 = CDR(((obj_t) BgL_ez00_30));
										BgL_arg1411z00_1333 = CAR(BgL_pairz00_3382);
									}
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35,
										BgL_arg1411z00_1333, BGl_string2872z00zz__evaluatez00,
										BgL_ez00_30);
								}
						}
					}
				}
			}
		}

	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37,
		obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40,
		obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43,
		obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
	{
		{	/* Eval/evaluate.scm 233 */
			{	/* Eval/evaluate.scm 234 */
				obj_t BgL_vz00_1335;

				BgL_vz00_1335 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_37), BgL_localsz00_40);
				{	/* Eval/evaluate.scm 234 */
					obj_t BgL_e2z00_1336;

					BgL_e2z00_1336 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40,
						BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 235 */

						{	/* Eval/evaluate.scm 236 */
							bool_t BgL_test3091z00_5174;

							{	/* Eval/evaluate.scm 236 */
								obj_t BgL_classz00_3384;

								BgL_classz00_3384 = BGl_ev_varz00zz__evaluate_typesz00;
								if (BGL_OBJECTP(BgL_vz00_1335))
									{	/* Eval/evaluate.scm 236 */
										BgL_objectz00_bglt BgL_arg2802z00_3386;

										BgL_arg2802z00_3386 = (BgL_objectz00_bglt) (BgL_vz00_1335);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Eval/evaluate.scm 236 */
												long BgL_idxz00_3392;

												BgL_idxz00_3392 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg2802z00_3386);
												BgL_test3091z00_5174 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3392 + ((long) 2))) ==
													BgL_classz00_3384);
											}
										else
											{	/* Eval/evaluate.scm 236 */
												bool_t BgL_res2842z00_3414;

												{	/* Eval/evaluate.scm 236 */
													obj_t BgL_oclassz00_3400;

													{	/* Eval/evaluate.scm 236 */
														long BgL_arg2814z00_3406;

														{	/* Eval/evaluate.scm 236 */
															long BgL_arg2815z00_3407;

															BgL_arg2815z00_3407 =
																BGL_OBJECT_CLASS_NUM(BgL_arg2802z00_3386);
															BgL_arg2814z00_3406 =
																(BgL_arg2815z00_3407 - OBJECT_TYPE);
														}
														BgL_oclassz00_3400 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg2814z00_3406);
													}
													{	/* Eval/evaluate.scm 236 */
														bool_t BgL__ortest_1203z00_3401;

														BgL__ortest_1203z00_3401 =
															(BgL_classz00_3384 == BgL_oclassz00_3400);
														if (BgL__ortest_1203z00_3401)
															{	/* Eval/evaluate.scm 236 */
																BgL_res2842z00_3414 = BgL__ortest_1203z00_3401;
															}
														else
															{	/* Eval/evaluate.scm 236 */
																long BgL_odepthz00_3402;

																BgL_odepthz00_3402 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3400);
																if ((((long) 2) < BgL_odepthz00_3402))
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_arg2798z00_3404;

																		BgL_arg2798z00_3404 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3400, ((long) 2));
																		BgL_res2842z00_3414 =
																			(BgL_arg2798z00_3404 ==
																			BgL_classz00_3384);
																	}
																else
																	{	/* Eval/evaluate.scm 236 */
																		BgL_res2842z00_3414 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3091z00_5174 = BgL_res2842z00_3414;
											}
									}
								else
									{	/* Eval/evaluate.scm 236 */
										BgL_test3091z00_5174 = ((bool_t) 0);
									}
							}
							if (BgL_test3091z00_5174)
								{	/* Eval/evaluate.scm 238 */
									obj_t BgL_g1084z00_1339;
									obj_t BgL_g1085z00_1340;

									{	/* Eval/evaluate.scm 239 */
										obj_t BgL_arg1437z00_1371;

										BgL_arg1437z00_1371 =
											(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_vz00_1335)))->BgL_typez00);
										BgL_g1084z00_1339 =
											BGl_classzd2existszd2zz__objectz00(BgL_arg1437z00_1371);
									}
									BgL_g1085z00_1340 = CDR(BgL_lz00_37);
									{
										obj_t BgL_nodez00_1342;
										obj_t BgL_klassz00_1343;
										obj_t BgL_fieldsz00_1344;

										BgL_nodez00_1342 = BgL_vz00_1335;
										BgL_klassz00_1343 = BgL_g1084z00_1339;
										BgL_fieldsz00_1344 = BgL_g1085z00_1340;
									BgL_zc3z04anonymousza31414ze3z87_1345:
										if (NULLP(BgL_fieldsz00_1344))
											{	/* Eval/evaluate.scm 242 */
												return BgL_nodez00_1342;
											}
										else
											{	/* Eval/evaluate.scm 242 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1343))
													{	/* Eval/evaluate.scm 245 */
														obj_t BgL_fieldz00_1348;

														{	/* Eval/evaluate.scm 245 */
															obj_t BgL_arg1435z00_1367;

															BgL_arg1435z00_1367 =
																CAR(((obj_t) BgL_fieldsz00_1344));
															BgL_fieldz00_1348 =
																BGl_findzd2classzd2fieldz00zz__objectz00
																(BgL_klassz00_1343, BgL_arg1435z00_1367);
														}
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_1348))
															{	/* Eval/evaluate.scm 246 */
																if (NULLP(CDR(((obj_t) BgL_fieldsz00_1344))))
																	{	/* Eval/evaluate.scm 247 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1348))
																			{	/* Eval/evaluate.scm 250 */
																				obj_t BgL_arg1421z00_1353;

																				{	/* Eval/evaluate.scm 250 */
																					obj_t BgL_list1422z00_1354;

																					{	/* Eval/evaluate.scm 250 */
																						obj_t BgL_arg1423z00_1355;

																						BgL_arg1423z00_1355 =
																							MAKE_YOUNG_PAIR(BgL_e2z00_1336,
																							BNIL);
																						BgL_list1422z00_1354 =
																							MAKE_YOUNG_PAIR(BgL_nodez00_1342,
																							BgL_arg1423z00_1355);
																					}
																					BgL_arg1421z00_1353 =
																						BgL_list1422z00_1354;
																				}
																				{	/* Eval/evaluate.scm 282 */
																					obj_t BgL_setz00_3419;

																					BgL_setz00_3419 =
																						BGl_classzd2fieldzd2mutatorz00zz__objectz00
																						(BgL_fieldz00_1348);
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_appz00_bglt
																							BgL_new1092z00_3420;
																						{	/* Eval/evaluate.scm 284 */
																							BgL_ev_appz00_bglt
																								BgL_new1091z00_3421;
																							BgL_new1091z00_3421 =
																								((BgL_ev_appz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_ev_appz00_bgl))));
																							{	/* Eval/evaluate.scm 284 */
																								long BgL_arg1444z00_3422;

																								BgL_arg1444z00_3422 =
																									BGL_CLASS_NUM
																									(BGl_ev_appz00zz__evaluate_typesz00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new1091z00_3421),
																									BgL_arg1444z00_3422);
																							}
																							BgL_new1092z00_3420 =
																								BgL_new1091z00_3421;
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3420))->
																								BgL_locz00) =
																							((obj_t) BgL_locz00_44), BUNSPEC);
																						{
																							BgL_ev_exprz00_bglt
																								BgL_auxz00_5221;
																							{	/* Eval/evaluate.scm 285 */
																								BgL_ev_littz00_bglt
																									BgL_new1094z00_3423;
																								{	/* Eval/evaluate.scm 285 */
																									BgL_ev_littz00_bglt
																										BgL_new1093z00_3424;
																									BgL_new1093z00_3424 =
																										((BgL_ev_littz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_ev_littz00_bgl))));
																									{	/* Eval/evaluate.scm 285 */
																										long BgL_arg1443z00_3425;

																										{	/* Eval/evaluate.scm 285 */
																											obj_t BgL_classz00_3429;

																											BgL_classz00_3429 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											BgL_arg1443z00_3425 =
																												BGL_CLASS_NUM
																												(BgL_classz00_3429);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1093z00_3424),
																											BgL_arg1443z00_3425);
																									}
																									BgL_new1094z00_3423 =
																										BgL_new1093z00_3424;
																								}
																								((((BgL_ev_littz00_bglt)
																											COBJECT
																											(BgL_new1094z00_3423))->
																										BgL_valuez00) =
																									((obj_t) BgL_setz00_3419),
																									BUNSPEC);
																								BgL_auxz00_5221 =
																									((BgL_ev_exprz00_bglt)
																									BgL_new1094z00_3423);
																							}
																							((((BgL_ev_appz00_bglt)
																										COBJECT
																										(BgL_new1092z00_3420))->
																									BgL_funz00) =
																								((BgL_ev_exprz00_bglt)
																									BgL_auxz00_5221), BUNSPEC);
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3420))->
																								BgL_argsz00) =
																							((obj_t) BgL_arg1421z00_1353),
																							BUNSPEC);
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3420))->
																								BgL_tailzf3zf3) =
																							((obj_t) BgL_tailzf3zf3_42),
																							BUNSPEC);
																						return ((obj_t)
																							BgL_new1092z00_3420);
																					}
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 251 */
																				obj_t BgL_arg1424z00_1356;

																				BgL_arg1424z00_1356 =
																					CAR(((obj_t) BgL_fieldsz00_1344));
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_44, BgL_arg1424z00_1356,
																					BGl_string2873z00zz__evaluatez00,
																					BgL_ez00_39);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 254 */
																		BgL_ev_appz00_bglt BgL_nodez00_1357;

																		{	/* Eval/evaluate.scm 271 */
																			obj_t BgL_getz00_3433;

																			BgL_getz00_3433 =
																				BGl_classzd2fieldzd2accessorz00zz__objectz00
																				(BgL_fieldz00_1348);
																			{	/* Eval/evaluate.scm 272 */
																				BgL_ev_appz00_bglt BgL_new1088z00_3434;

																				{	/* Eval/evaluate.scm 273 */
																					BgL_ev_appz00_bglt
																						BgL_new1087z00_3435;
																					BgL_new1087z00_3435 =
																						((BgL_ev_appz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_appz00_bgl))));
																					{	/* Eval/evaluate.scm 273 */
																						long BgL_arg1442z00_3436;

																						BgL_arg1442z00_3436 =
																							BGL_CLASS_NUM
																							(BGl_ev_appz00zz__evaluate_typesz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1087z00_3435),
																							BgL_arg1442z00_3436);
																					}
																					BgL_new1088z00_3434 =
																						BgL_new1087z00_3435;
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1088z00_3434))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_44), BUNSPEC);
																				{
																					BgL_ev_exprz00_bglt BgL_auxz00_5241;

																					{	/* Eval/evaluate.scm 274 */
																						BgL_ev_littz00_bglt
																							BgL_new1090z00_3437;
																						{	/* Eval/evaluate.scm 274 */
																							BgL_ev_littz00_bglt
																								BgL_new1089z00_3438;
																							BgL_new1089z00_3438 =
																								((BgL_ev_littz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_ev_littz00_bgl))));
																							{	/* Eval/evaluate.scm 274 */
																								long BgL_arg1440z00_3439;

																								{	/* Eval/evaluate.scm 274 */
																									obj_t BgL_classz00_3444;

																									BgL_classz00_3444 =
																										BGl_ev_littz00zz__evaluate_typesz00;
																									BgL_arg1440z00_3439 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3444);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1089z00_3438),
																									BgL_arg1440z00_3439);
																							}
																							BgL_new1090z00_3437 =
																								BgL_new1089z00_3438;
																						}
																						((((BgL_ev_littz00_bglt)
																									COBJECT
																									(BgL_new1090z00_3437))->
																								BgL_valuez00) =
																							((obj_t) BgL_getz00_3433),
																							BUNSPEC);
																						BgL_auxz00_5241 =
																							((BgL_ev_exprz00_bglt)
																							BgL_new1090z00_3437);
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1088z00_3434))->
																							BgL_funz00) =
																						((BgL_ev_exprz00_bglt)
																							BgL_auxz00_5241), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_5249;

																					{	/* Eval/evaluate.scm 275 */
																						obj_t BgL_list1441z00_3440;

																						BgL_list1441z00_3440 =
																							MAKE_YOUNG_PAIR(BgL_nodez00_1342,
																							BNIL);
																						BgL_auxz00_5249 =
																							BgL_list1441z00_3440;
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1088z00_3434))->
																							BgL_argsz00) =
																						((obj_t) BgL_auxz00_5249), BUNSPEC);
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1088z00_3434))->
																						BgL_tailzf3zf3) =
																					((obj_t) BgL_tailzf3zf3_42), BUNSPEC);
																				BgL_nodez00_1357 = BgL_new1088z00_3434;
																		}}
																		{	/* Eval/evaluate.scm 257 */
																			obj_t BgL_arg1426z00_1358;
																			obj_t BgL_arg1427z00_1359;

																			BgL_arg1426z00_1358 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_1348);
																			BgL_arg1427z00_1359 =
																				CDR(((obj_t) BgL_fieldsz00_1344));
																			{
																				obj_t BgL_fieldsz00_5259;
																				obj_t BgL_klassz00_5258;
																				obj_t BgL_nodez00_5256;

																				BgL_nodez00_5256 =
																					((obj_t) BgL_nodez00_1357);
																				BgL_klassz00_5258 = BgL_arg1426z00_1358;
																				BgL_fieldsz00_5259 =
																					BgL_arg1427z00_1359;
																				BgL_fieldsz00_1344 = BgL_fieldsz00_5259;
																				BgL_klassz00_1343 = BgL_klassz00_5258;
																				BgL_nodez00_1342 = BgL_nodez00_5256;
																				goto
																					BgL_zc3z04anonymousza31414ze3z87_1345;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 259 */
																obj_t BgL_arg1429z00_1361;
																obj_t BgL_arg1430z00_1362;

																BgL_arg1429z00_1361 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1335)))->
																	BgL_typez00);
																{	/* Eval/evaluate.scm 260 */
																	obj_t BgL_arg1431z00_1363;
																	obj_t BgL_arg1432z00_1364;

																	BgL_arg1431z00_1363 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1335)))->
																		BgL_typez00);
																	BgL_arg1432z00_1364 =
																		CAR(((obj_t) BgL_fieldsz00_1344));
																	{	/* Eval/evaluate.scm 260 */
																		obj_t BgL_list1433z00_1365;

																		{	/* Eval/evaluate.scm 260 */
																			obj_t BgL_arg1434z00_1366;

																			BgL_arg1434z00_1366 =
																				MAKE_YOUNG_PAIR(BgL_arg1432z00_1364,
																				BNIL);
																			BgL_list1433z00_1365 =
																				MAKE_YOUNG_PAIR(BgL_arg1431z00_1363,
																				BgL_arg1434z00_1366);
																		}
																		BgL_arg1430z00_1362 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2870z00zz__evaluatez00,
																			BgL_list1433z00_1365);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_44, BgL_arg1429z00_1361,
																	BgL_arg1430z00_1362, BgL_ez00_39);
															}
													}
												else
													{	/* Eval/evaluate.scm 264 */
														obj_t BgL_arg1436z00_1368;

														{	/* Eval/evaluate.scm 264 */
															obj_t BgL__ortest_1086z00_1369;

															BgL__ortest_1086z00_1369 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1335)))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1086z00_1369))
																{	/* Eval/evaluate.scm 264 */
																	BgL_arg1436z00_1368 =
																		BgL__ortest_1086z00_1369;
																}
															else
																{	/* Eval/evaluate.scm 264 */
																	BgL_arg1436z00_1368 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1335)))->
																		BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_44, BgL_arg1436z00_1368,
															BGl_string2871z00zz__evaluatez00, BgL_ez00_39);
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 236 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44,
										CAR(BgL_lz00_37), BGl_string2872z00zz__evaluatez00,
										BgL_ez00_39);
								}
						}
					}
				}
			}
		}

	}



/* type-check */
	obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56,
		obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59,
		obj_t BgL_bodyz00_60)
	{
		{	/* Eval/evaluate.scm 298 */
			if (SYMBOLP(BgL_tnamez00_57))
				{	/* Eval/evaluate.scm 301 */
					obj_t BgL_predz00_1392;

					if ((BgL_tnamez00_57 == BGl_symbol2874z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 301 */
							BgL_predz00_1392 = BGl_symbol2876z00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 301 */
							if ((BgL_tnamez00_57 == BGl_symbol2878z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 301 */
									BgL_predz00_1392 = BGl_symbol2879z00zz__evaluatez00;
								}
							else
								{	/* Eval/evaluate.scm 301 */
									if ((BgL_tnamez00_57 == BGl_symbol2881z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 301 */
											BgL_predz00_1392 = BGl_symbol2883z00zz__evaluatez00;
										}
									else
										{	/* Eval/evaluate.scm 301 */
											if ((BgL_tnamez00_57 == BGl_symbol2885z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 301 */
													BgL_predz00_1392 = BGl_symbol2887z00zz__evaluatez00;
												}
											else
												{	/* Eval/evaluate.scm 301 */
													bool_t BgL_test3107z00_5289;

													{	/* Eval/evaluate.scm 301 */
														bool_t BgL__ortest_1095z00_1468;

														BgL__ortest_1095z00_1468 =
															(BgL_tnamez00_57 ==
															BGl_symbol2889z00zz__evaluatez00);
														if (BgL__ortest_1095z00_1468)
															{	/* Eval/evaluate.scm 301 */
																BgL_test3107z00_5289 = BgL__ortest_1095z00_1468;
															}
														else
															{	/* Eval/evaluate.scm 301 */
																BgL_test3107z00_5289 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol2891z00zz__evaluatez00);
															}
													}
													if (BgL_test3107z00_5289)
														{	/* Eval/evaluate.scm 301 */
															BgL_predz00_1392 =
																BGl_symbol2892z00zz__evaluatez00;
														}
													else
														{	/* Eval/evaluate.scm 301 */
															bool_t BgL_test3109z00_5293;

															{	/* Eval/evaluate.scm 301 */
																bool_t BgL__ortest_1096z00_1467;

																BgL__ortest_1096z00_1467 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol2894z00zz__evaluatez00);
																if (BgL__ortest_1096z00_1467)
																	{	/* Eval/evaluate.scm 301 */
																		BgL_test3109z00_5293 =
																			BgL__ortest_1096z00_1467;
																	}
																else
																	{	/* Eval/evaluate.scm 301 */
																		BgL_test3109z00_5293 =
																			(BgL_tnamez00_57 ==
																			BGl_symbol2896z00zz__evaluatez00);
																	}
															}
															if (BgL_test3109z00_5293)
																{	/* Eval/evaluate.scm 301 */
																	BgL_predz00_1392 =
																		BGl_symbol2898z00zz__evaluatez00;
																}
															else
																{	/* Eval/evaluate.scm 301 */
																	if (
																		(BgL_tnamez00_57 ==
																			BGl_symbol2900z00zz__evaluatez00))
																		{	/* Eval/evaluate.scm 301 */
																			BgL_predz00_1392 =
																				BGl_symbol2902z00zz__evaluatez00;
																		}
																	else
																		{	/* Eval/evaluate.scm 301 */
																			if (
																				(BgL_tnamez00_57 ==
																					BGl_symbol2904z00zz__evaluatez00))
																				{	/* Eval/evaluate.scm 301 */
																					BgL_predz00_1392 =
																						BGl_symbol2906z00zz__evaluatez00;
																				}
																			else
																				{	/* Eval/evaluate.scm 301 */
																					if (
																						(BgL_tnamez00_57 ==
																							BGl_symbol2908z00zz__evaluatez00))
																						{	/* Eval/evaluate.scm 301 */
																							BgL_predz00_1392 =
																								BGl_symbol2910z00zz__evaluatez00;
																						}
																					else
																						{	/* Eval/evaluate.scm 301 */
																							bool_t BgL_test3114z00_5303;

																							{	/* Eval/evaluate.scm 301 */
																								bool_t BgL__ortest_1097z00_1466;

																								BgL__ortest_1097z00_1466 =
																									(BgL_tnamez00_57 ==
																									BGl_symbol2912z00zz__evaluatez00);
																								if (BgL__ortest_1097z00_1466)
																									{	/* Eval/evaluate.scm 301 */
																										BgL_test3114z00_5303 =
																											BgL__ortest_1097z00_1466;
																									}
																								else
																									{	/* Eval/evaluate.scm 301 */
																										BgL_test3114z00_5303 =
																											(BgL_tnamez00_57 ==
																											BGl_symbol2914z00zz__evaluatez00);
																									}
																							}
																							if (BgL_test3114z00_5303)
																								{	/* Eval/evaluate.scm 301 */
																									BgL_predz00_1392 =
																										BGl_symbol2916z00zz__evaluatez00;
																								}
																							else
																								{	/* Eval/evaluate.scm 312 */
																									obj_t BgL_arg1492z00_1446;

																									{	/* Eval/evaluate.scm 312 */
																										obj_t BgL_arg1494z00_1447;
																										obj_t BgL_arg1496z00_1448;

																										BgL_arg1494z00_1447 =
																											MAKE_YOUNG_PAIR
																											(BGl_symbol2918z00zz__evaluatez00,
																											BNIL);
																										{	/* Eval/evaluate.scm 313 */
																											obj_t BgL_arg1497z00_1449;

																											{	/* Eval/evaluate.scm 313 */
																												obj_t
																													BgL_arg1498z00_1450;
																												{	/* Eval/evaluate.scm 313 */
																													obj_t
																														BgL_arg1500z00_1451;
																													obj_t
																														BgL_arg1501z00_1452;
																													{	/* Eval/evaluate.scm 313 */
																														obj_t
																															BgL_arg1502z00_1453;
																														{	/* Eval/evaluate.scm 313 */
																															obj_t
																																BgL_arg1503z00_1454;
																															{	/* Eval/evaluate.scm 313 */
																																obj_t
																																	BgL_arg1504z00_1455;
																																{	/* Eval/evaluate.scm 313 */
																																	obj_t
																																		BgL_arg1505z00_1456;
																																	{	/* Eval/evaluate.scm 313 */
																																		obj_t
																																			BgL_arg1506z00_1457;
																																		{	/* Eval/evaluate.scm 313 */
																																			obj_t
																																				BgL_arg1507z00_1458;
																																			BgL_arg1507z00_1458
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tnamez00_57,
																																				BNIL);
																																			BgL_arg1506z00_1457
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol2920z00zz__evaluatez00,
																																				BgL_arg1507z00_1458);
																																		}
																																		BgL_arg1505z00_1456
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1506z00_1457,
																																			BNIL);
																																	}
																																	BgL_arg1504z00_1455
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_symbol2922z00zz__evaluatez00,
																																		BgL_arg1505z00_1456);
																																}
																																BgL_arg1503z00_1454
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1504z00_1455,
																																	BNIL);
																															}
																															BgL_arg1502z00_1453
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol2924z00zz__evaluatez00,
																																BgL_arg1503z00_1454);
																														}
																														BgL_arg1500z00_1451
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1502z00_1453,
																															BNIL);
																													}
																													{	/* Eval/evaluate.scm 314 */
																														obj_t
																															BgL_arg1509z00_1459;
																														{	/* Eval/evaluate.scm 314 */
																															obj_t
																																BgL_arg1510z00_1460;
																															{	/* Eval/evaluate.scm 314 */
																																obj_t
																																	BgL_arg1511z00_1461;
																																{	/* Eval/evaluate.scm 314 */
																																	obj_t
																																		BgL_arg1512z00_1462;
																																	obj_t
																																		BgL_arg1513z00_1463;
																																	{	/* Eval/evaluate.scm 314 */
																																		obj_t
																																			BgL_arg1514z00_1464;
																																		{	/* Eval/evaluate.scm 314 */
																																			obj_t
																																				BgL_arg1515z00_1465;
																																			BgL_arg1515z00_1465
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol2924z00zz__evaluatez00,
																																				BNIL);
																																			BgL_arg1514z00_1464
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol2918z00zz__evaluatez00,
																																				BgL_arg1515z00_1465);
																																		}
																																		BgL_arg1512z00_1462
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_symbol2926z00zz__evaluatez00,
																																			BgL_arg1514z00_1464);
																																	}
																																	BgL_arg1513z00_1463
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BTRUE,
																																		BNIL);
																																	BgL_arg1511z00_1461
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1512z00_1462,
																																		BgL_arg1513z00_1463);
																																}
																																BgL_arg1510z00_1460
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_symbol2924z00zz__evaluatez00,
																																	BgL_arg1511z00_1461);
																															}
																															BgL_arg1509z00_1459
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol2928z00zz__evaluatez00,
																																BgL_arg1510z00_1460);
																														}
																														BgL_arg1501z00_1452
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1509z00_1459,
																															BNIL);
																													}
																													BgL_arg1498z00_1450 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1500z00_1451,
																														BgL_arg1501z00_1452);
																												}
																												BgL_arg1497z00_1449 =
																													MAKE_YOUNG_PAIR
																													(BGl_symbol2930z00zz__evaluatez00,
																													BgL_arg1498z00_1450);
																											}
																											BgL_arg1496z00_1448 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1497z00_1449,
																												BNIL);
																										}
																										BgL_arg1492z00_1446 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1494z00_1447,
																											BgL_arg1496z00_1448);
																									}
																									BgL_predz00_1392 =
																										MAKE_YOUNG_PAIR
																										(BGl_symbol2932z00zz__evaluatez00,
																										BgL_arg1492z00_1446);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					{	/* Eval/evaluate.scm 316 */
						obj_t BgL_arg1450z00_1393;

						{	/* Eval/evaluate.scm 316 */
							obj_t BgL_arg1451z00_1394;

							{	/* Eval/evaluate.scm 316 */
								obj_t BgL_arg1452z00_1395;
								obj_t BgL_arg1453z00_1396;

								{	/* Eval/evaluate.scm 316 */
									obj_t BgL_arg1454z00_1397;

									BgL_arg1454z00_1397 = MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL);
									BgL_arg1452z00_1395 =
										MAKE_YOUNG_PAIR(BgL_predz00_1392, BgL_arg1454z00_1397);
								}
								{	/* Eval/evaluate.scm 316 */
									obj_t BgL_arg1455z00_1398;

									{	/* Eval/evaluate.scm 316 */
										obj_t BgL_arg1456z00_1399;

										{
											obj_t BgL_fnamez00_1400;
											obj_t BgL_posz00_1401;

											if (PAIRP(BgL_locz00_58))
												{	/* Eval/evaluate.scm 316 */
													obj_t BgL_cdrzd2138zd2_1406;

													BgL_cdrzd2138zd2_1406 = CDR(((obj_t) BgL_locz00_58));
													if (
														(CAR(
																((obj_t) BgL_locz00_58)) ==
															BGl_symbol2938z00zz__evaluatez00))
														{	/* Eval/evaluate.scm 316 */
															if (PAIRP(BgL_cdrzd2138zd2_1406))
																{	/* Eval/evaluate.scm 316 */
																	obj_t BgL_cdrzd2142zd2_1410;

																	BgL_cdrzd2142zd2_1410 =
																		CDR(BgL_cdrzd2138zd2_1406);
																	if (PAIRP(BgL_cdrzd2142zd2_1410))
																		{	/* Eval/evaluate.scm 316 */
																			if (NULLP(CDR(BgL_cdrzd2142zd2_1410)))
																				{	/* Eval/evaluate.scm 316 */
																					BgL_fnamez00_1400 =
																						CAR(BgL_cdrzd2138zd2_1406);
																					BgL_posz00_1401 =
																						CAR(BgL_cdrzd2142zd2_1410);
																					{	/* Eval/evaluate.scm 321 */
																						obj_t BgL_arg1468z00_1418;

																						{	/* Eval/evaluate.scm 321 */
																							obj_t BgL_arg1469z00_1419;
																							obj_t BgL_arg1470z00_1420;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 321 */
																									obj_t BgL_arg2612z00_3492;

																									BgL_arg2612z00_3492 =
																										SYMBOL_TO_STRING
																										(BgL_procnamez00_59);
																									BgL_arg1469z00_1419 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2612z00_3492);
																								}
																							else
																								{	/* Eval/evaluate.scm 321 */
																									BgL_arg1469z00_1419 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 322 */
																								obj_t BgL_arg1472z00_1422;
																								obj_t BgL_arg1473z00_1423;

																								{	/* Eval/evaluate.scm 322 */
																									obj_t BgL_arg2612z00_3494;

																									BgL_arg2612z00_3494 =
																										SYMBOL_TO_STRING(
																										((obj_t) BgL_tnamez00_57));
																									BgL_arg1472z00_1422 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2612z00_3494);
																								}
																								{	/* Eval/evaluate.scm 320 */
																									obj_t BgL_arg1474z00_1424;

																									{	/* Eval/evaluate.scm 320 */
																										obj_t BgL_arg1475z00_1425;

																										BgL_arg1475z00_1425 =
																											MAKE_YOUNG_PAIR
																											(BgL_posz00_1401, BNIL);
																										BgL_arg1474z00_1424 =
																											MAKE_YOUNG_PAIR
																											(BgL_fnamez00_1400,
																											BgL_arg1475z00_1425);
																									}
																									BgL_arg1473z00_1423 =
																										MAKE_YOUNG_PAIR
																										(BgL_varz00_56,
																										BgL_arg1474z00_1424);
																								}
																								BgL_arg1470z00_1420 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1472z00_1422,
																									BgL_arg1473z00_1423);
																							}
																							BgL_arg1468z00_1418 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1469z00_1419,
																								BgL_arg1470z00_1420);
																						}
																						BgL_arg1456z00_1399 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol2934z00zz__evaluatez00,
																							BgL_arg1468z00_1418);
																					}
																				}
																			else
																				{	/* Eval/evaluate.scm 316 */
																				BgL_tagzd2131zd2_1403:
																					{	/* Eval/evaluate.scm 326 */
																						obj_t BgL_arg1476z00_1426;

																						{	/* Eval/evaluate.scm 326 */
																							obj_t BgL_arg1477z00_1427;
																							obj_t BgL_arg1478z00_1428;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 326 */
																									obj_t BgL_arg2612z00_3496;

																									BgL_arg2612z00_3496 =
																										SYMBOL_TO_STRING
																										(BgL_procnamez00_59);
																									BgL_arg1477z00_1427 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2612z00_3496);
																								}
																							else
																								{	/* Eval/evaluate.scm 326 */
																									BgL_arg1477z00_1427 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 327 */
																								obj_t BgL_arg1480z00_1430;
																								obj_t BgL_arg1481z00_1431;

																								{	/* Eval/evaluate.scm 327 */
																									obj_t BgL_arg2612z00_3498;

																									BgL_arg2612z00_3498 =
																										SYMBOL_TO_STRING(
																										((obj_t) BgL_tnamez00_57));
																									BgL_arg1480z00_1430 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2612z00_3498);
																								}
																								BgL_arg1481z00_1431 =
																									MAKE_YOUNG_PAIR(BgL_varz00_56,
																									BNIL);
																								BgL_arg1478z00_1428 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1480z00_1430,
																									BgL_arg1481z00_1431);
																							}
																							BgL_arg1476z00_1426 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1477z00_1427,
																								BgL_arg1478z00_1428);
																						}
																						BgL_arg1456z00_1399 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol2936z00zz__evaluatez00,
																							BgL_arg1476z00_1426);
																					}
																				}
																		}
																	else
																		{	/* Eval/evaluate.scm 316 */
																			goto BgL_tagzd2131zd2_1403;
																		}
																}
															else
																{	/* Eval/evaluate.scm 316 */
																	goto BgL_tagzd2131zd2_1403;
																}
														}
													else
														{	/* Eval/evaluate.scm 316 */
															goto BgL_tagzd2131zd2_1403;
														}
												}
											else
												{	/* Eval/evaluate.scm 316 */
													goto BgL_tagzd2131zd2_1403;
												}
										}
										BgL_arg1455z00_1398 =
											MAKE_YOUNG_PAIR(BgL_arg1456z00_1399, BNIL);
									}
									BgL_arg1453z00_1396 =
										MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1455z00_1398);
								}
								BgL_arg1451z00_1394 =
									MAKE_YOUNG_PAIR(BgL_arg1452z00_1395, BgL_arg1453z00_1396);
							}
							BgL_arg1450z00_1393 =
								MAKE_YOUNG_PAIR(BGl_symbol2928z00zz__evaluatez00,
								BgL_arg1451z00_1394);
						}
						{	/* Eval/evaluate.scm 293 */
							obj_t BgL_arg1445z00_3505;
							obj_t BgL_arg1448z00_3506;

							BgL_arg1445z00_3505 = CAR(BgL_arg1450z00_1393);
							BgL_arg1448z00_3506 = CDR(BgL_arg1450z00_1393);
							{	/* Eval/evaluate.scm 293 */
								obj_t BgL_res2847z00_3509;

								BgL_res2847z00_3509 =
									MAKE_YOUNG_EPAIR(BgL_arg1445z00_3505, BgL_arg1448z00_3506,
									BgL_locz00_58);
								return BgL_res2847z00_3509;
							}
						}
					}
				}
			else
				{	/* Eval/evaluate.scm 300 */
					return BgL_bodyz00_60;
				}
		}

	}



/* type-checks */
	obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61,
		obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64,
		obj_t BgL_procnamez00_65)
	{
		{	/* Eval/evaluate.scm 334 */
			{	/* Eval/evaluate.scm 335 */
				bool_t BgL_test3123z00_5379;

				{	/* Eval/evaluate.scm 335 */
					int BgL_arg1527z00_1487;

					BgL_arg1527z00_1487 = bgl_debug();
					BgL_test3123z00_5379 = ((long) (BgL_arg1527z00_1487) <= ((long) 0));
				}
				if (BgL_test3123z00_5379)
					{	/* Eval/evaluate.scm 335 */
						return BgL_bodyz00_63;
					}
				else
					{	/* Eval/evaluate.scm 335 */
						BGL_TAIL return
							BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65,
							BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);
					}
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4827,
		obj_t BgL_procnamez00_4826, obj_t BgL_locz00_4825, obj_t BgL_varsz00_1472,
		obj_t BgL_srcsz00_1473)
	{
		{	/* Eval/evaluate.scm 337 */
		BGl_loopze71ze7zz__evaluatez00:
			if (NULLP(BgL_varsz00_1472))
				{	/* Eval/evaluate.scm 339 */
					return BgL_bodyz00_4827;
				}
			else
				{	/* Eval/evaluate.scm 341 */
					obj_t BgL_vz00_1476;

					BgL_vz00_1476 = CAR(((obj_t) BgL_varsz00_1472));
					{	/* Eval/evaluate.scm 341 */
						obj_t BgL_idz00_1477;

						BgL_idz00_1477 = CAR(((obj_t) BgL_vz00_1476));
						{	/* Eval/evaluate.scm 342 */
							obj_t BgL_tnamez00_1478;

							BgL_tnamez00_1478 = CDR(((obj_t) BgL_vz00_1476));
							{	/* Eval/evaluate.scm 343 */

								if (CBOOL(BgL_tnamez00_1478))
									{	/* Eval/evaluate.scm 345 */
										obj_t BgL_locz00_1479;

										{	/* Eval/evaluate.scm 345 */
											obj_t BgL_arg1523z00_1483;

											BgL_arg1523z00_1483 = CAR(((obj_t) BgL_srcsz00_1473));
											{	/* Eval/evaluate.scm 150 */
												obj_t BgL__ortest_1070z00_3515;

												BgL__ortest_1070z00_3515 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg1523z00_1483);
												if (CBOOL(BgL__ortest_1070z00_3515))
													{	/* Eval/evaluate.scm 150 */
														BgL_locz00_1479 = BgL__ortest_1070z00_3515;
													}
												else
													{	/* Eval/evaluate.scm 151 */
														obj_t BgL__ortest_1071z00_3516;

														BgL__ortest_1071z00_3516 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_srcsz00_1473);
														if (CBOOL(BgL__ortest_1071z00_3516))
															{	/* Eval/evaluate.scm 151 */
																BgL_locz00_1479 = BgL__ortest_1071z00_3516;
															}
														else
															{	/* Eval/evaluate.scm 151 */
																BgL_locz00_1479 = BgL_locz00_4825;
															}
													}
											}
										}
										{	/* Eval/evaluate.scm 347 */
											obj_t BgL_arg1520z00_1480;

											{	/* Eval/evaluate.scm 347 */
												obj_t BgL_arg1521z00_1481;
												obj_t BgL_arg1522z00_1482;

												BgL_arg1521z00_1481 = CDR(((obj_t) BgL_varsz00_1472));
												BgL_arg1522z00_1482 = CDR(((obj_t) BgL_srcsz00_1473));
												BgL_arg1520z00_1480 =
													BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4827,
													BgL_procnamez00_4826, BgL_locz00_4825,
													BgL_arg1521z00_1481, BgL_arg1522z00_1482);
											}
											BGL_TAIL return
												BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1477,
												BgL_tnamez00_1478, BgL_locz00_1479,
												BgL_procnamez00_4826, BgL_arg1520z00_1480);
										}
									}
								else
									{	/* Eval/evaluate.scm 348 */
										obj_t BgL_arg1524z00_1484;
										obj_t BgL_arg1526z00_1485;

										BgL_arg1524z00_1484 = CDR(((obj_t) BgL_varsz00_1472));
										BgL_arg1526z00_1485 = CDR(((obj_t) BgL_srcsz00_1473));
										{
											obj_t BgL_srcsz00_5413;
											obj_t BgL_varsz00_5412;

											BgL_varsz00_5412 = BgL_arg1524z00_1484;
											BgL_srcsz00_5413 = BgL_arg1526z00_1485;
											BgL_srcsz00_1473 = BgL_srcsz00_5413;
											BgL_varsz00_1472 = BgL_varsz00_5412;
											goto BGl_loopze71ze7zz__evaluatez00;
										}
									}
							}
						}
					}
				}
		}

	}



/* type-result */
	obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66,
		obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
	{
		{	/* Eval/evaluate.scm 353 */
			{	/* Eval/evaluate.scm 354 */
				bool_t BgL_test3128z00_5414;

				if (CBOOL(BgL_typez00_66))
					{	/* Eval/evaluate.scm 354 */
						int BgL_arg1548z00_1502;

						BgL_arg1548z00_1502 = bgl_debug();
						BgL_test3128z00_5414 = ((long) (BgL_arg1548z00_1502) >= ((long) 1));
					}
				else
					{	/* Eval/evaluate.scm 354 */
						BgL_test3128z00_5414 = ((bool_t) 0);
					}
				if (BgL_test3128z00_5414)
					{	/* Eval/evaluate.scm 355 */
						obj_t BgL_tmpz00_1490;

						BgL_tmpz00_1490 =
							BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol2940z00zz__evaluatez00);
						{	/* Eval/evaluate.scm 357 */
							obj_t BgL_arg1530z00_1491;
							obj_t BgL_arg1531z00_1492;

							{	/* Eval/evaluate.scm 357 */
								obj_t BgL_arg1532z00_1493;

								{	/* Eval/evaluate.scm 357 */
									obj_t BgL_arg1533z00_1494;
									obj_t BgL_arg1535z00_1495;

									{	/* Eval/evaluate.scm 357 */
										obj_t BgL_arg1538z00_1496;

										{	/* Eval/evaluate.scm 357 */
											obj_t BgL_arg1539z00_1497;
											obj_t BgL_arg1542z00_1498;

											{	/* Eval/evaluate.scm 357 */
												obj_t BgL_arg1543z00_1499;

												{	/* Eval/evaluate.scm 357 */
													obj_t BgL_list1544z00_1500;

													{	/* Eval/evaluate.scm 357 */
														obj_t BgL_arg1545z00_1501;

														BgL_arg1545z00_1501 =
															MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL);
														BgL_list1544z00_1500 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_1490,
															BgL_arg1545z00_1501);
													}
													BgL_arg1543z00_1499 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string2942z00zz__evaluatez00,
														BgL_list1544z00_1500);
												}
												BgL_arg1539z00_1497 =
													bstring_to_symbol(BgL_arg1543z00_1499);
											}
											BgL_arg1542z00_1498 =
												MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL);
											BgL_arg1538z00_1496 =
												MAKE_YOUNG_PAIR(BgL_arg1539z00_1497,
												BgL_arg1542z00_1498);
										}
										BgL_arg1533z00_1494 =
											MAKE_YOUNG_PAIR(BgL_arg1538z00_1496, BNIL);
									}
									BgL_arg1535z00_1495 = MAKE_YOUNG_PAIR(BgL_tmpz00_1490, BNIL);
									BgL_arg1532z00_1493 =
										MAKE_YOUNG_PAIR(BgL_arg1533z00_1494, BgL_arg1535z00_1495);
								}
								BgL_arg1530z00_1491 =
									MAKE_YOUNG_PAIR(BGl_symbol2930z00zz__evaluatez00,
									BgL_arg1532z00_1493);
							}
							{	/* Eval/evaluate.scm 144 */
								obj_t BgL__ortest_1069z00_3523;

								BgL__ortest_1069z00_3523 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_67);
								if (CBOOL(BgL__ortest_1069z00_3523))
									{	/* Eval/evaluate.scm 144 */
										BgL_arg1531z00_1492 = BgL__ortest_1069z00_3523;
									}
								else
									{	/* Eval/evaluate.scm 144 */
										BgL_arg1531z00_1492 = BgL_locz00_68;
									}
							}
							{	/* Eval/evaluate.scm 293 */
								obj_t BgL_arg1445z00_3524;
								obj_t BgL_arg1448z00_3525;

								BgL_arg1445z00_3524 = CAR(BgL_arg1530z00_1491);
								BgL_arg1448z00_3525 = CDR(BgL_arg1530z00_1491);
								{	/* Eval/evaluate.scm 293 */
									obj_t BgL_res2848z00_3528;

									BgL_res2848z00_3528 =
										MAKE_YOUNG_EPAIR(BgL_arg1445z00_3524, BgL_arg1448z00_3525,
										BgL_arg1531z00_1492);
									return BgL_res2848z00_3528;
								}
							}
						}
					}
				else
					{	/* Eval/evaluate.scm 354 */
						return BgL_bodyz00_67;
					}
			}
		}

	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70,
		obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73,
		obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
	{
		{	/* Eval/evaluate.scm 365 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_1511;
				obj_t BgL_bahz00_1513;
				obj_t BgL_lz00_1518;
				obj_t BgL_funz00_1520;
				obj_t BgL_argsz00_1521;
				obj_t BgL_pz00_1527;
				obj_t BgL_tz00_1528;
				obj_t BgL_oz00_1529;
				obj_t BgL_pz00_1531;
				obj_t BgL_tz00_1532;
				obj_t BgL_bindsz00_1540;
				obj_t BgL_bodyz00_1541;
				obj_t BgL_bindsz00_1543;
				obj_t BgL_bodyz00_1544;
				obj_t BgL_bindsz00_1546;
				obj_t BgL_bodyz00_1547;
				obj_t BgL_lz00_1553;
				obj_t BgL_e2z00_1554;
				obj_t BgL_vz00_1556;
				obj_t BgL_ez00_1557;
				obj_t BgL_gvz00_1560;
				obj_t BgL_formalsz00_1561;
				obj_t BgL_bodyz00_1562;
				obj_t BgL_gvz00_1564;
				obj_t BgL_gez00_1565;
				obj_t BgL_vz00_1567;
				obj_t BgL_bodyz00_1568;
				obj_t BgL_mz00_1580;
				obj_t BgL_bodyz00_1581;
				obj_t BgL_fz00_1587;
				obj_t BgL_argsz00_1588;

				if (PAIRP(BgL_ez00_69))
					{	/* Eval/evaluate.scm 424 */
						if (
							(CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2949z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 424 */
								obj_t BgL_arg1553z00_1595;

								BgL_arg1553z00_1595 = CDR(((obj_t) BgL_ez00_69));
								BgL_bahz00_1513 = BgL_arg1553z00_1595;
								if (BgL_topzf3zf3_75)
									{	/* Eval/evaluate.scm 432 */
										obj_t BgL_formsz00_2378;

										{	/* Eval/evaluate.scm 432 */
											obj_t BgL_arg2251z00_2381;

											{	/* Eval/evaluate.scm 144 */
												obj_t BgL__ortest_1069z00_3565;

												BgL__ortest_1069z00_3565 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_69);
												if (CBOOL(BgL__ortest_1069z00_3565))
													{	/* Eval/evaluate.scm 144 */
														BgL_arg2251z00_2381 = BgL__ortest_1069z00_3565;
													}
												else
													{	/* Eval/evaluate.scm 144 */
														BgL_arg2251z00_2381 = BgL_locz00_74;
													}
											}
											BgL_formsz00_2378 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_69,
												BgL_arg2251z00_2381);
										}
										{	/* Eval/evaluate.scm 433 */
											obj_t BgL_arg2249z00_2379;
											obj_t BgL_arg2250z00_2380;

											BgL_arg2249z00_2379 =
												BGl_expandz00zz__expandz00(BgL_formsz00_2378);
											BgL_arg2250z00_2380 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_5456;
												obj_t BgL_wherez00_5455;
												obj_t BgL_tailzf3zf3_5454;
												obj_t BgL_globalsz00_5453;
												obj_t BgL_ez00_5452;

												BgL_ez00_5452 = BgL_arg2249z00_2379;
												BgL_globalsz00_5453 = BgL_arg2250z00_2380;
												BgL_tailzf3zf3_5454 = BgL_wherez00_73;
												BgL_wherez00_5455 = BFALSE;
												BgL_topzf3zf3_5456 = ((bool_t) 1);
												BgL_topzf3zf3_75 = BgL_topzf3zf3_5456;
												BgL_wherez00_73 = BgL_wherez00_5455;
												BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5454;
												BgL_globalsz00_71 = BgL_globalsz00_5453;
												BgL_ez00_69 = BgL_ez00_5452;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 431 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74,
											BGl_string2868z00zz__evaluatez00,
											BGl_string2948z00zz__evaluatez00, BgL_ez00_69);
									}
							}
						else
							{	/* Eval/evaluate.scm 424 */
								obj_t BgL_cdrzd2250zd2_1596;

								BgL_cdrzd2250zd2_1596 = CDR(((obj_t) BgL_ez00_69));
								if (
									(CAR(
											((obj_t) BgL_ez00_69)) ==
										BGl_symbol2951z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 424 */
										if (PAIRP(BgL_cdrzd2250zd2_1596))
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd2253zd2_1600;
												obj_t BgL_cdrzd2254zd2_1601;

												BgL_carzd2253zd2_1600 = CAR(BgL_cdrzd2250zd2_1596);
												BgL_cdrzd2254zd2_1601 = CDR(BgL_cdrzd2250zd2_1596);
												if (SYMBOLP(BgL_carzd2253zd2_1600))
													{	/* Eval/evaluate.scm 424 */
														if (PAIRP(BgL_cdrzd2254zd2_1601))
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_carzd2258zd2_1604;

																BgL_carzd2258zd2_1604 =
																	CAR(BgL_cdrzd2254zd2_1601);
																if (SYMBOLP(BgL_carzd2258zd2_1604))
																	{	/* Eval/evaluate.scm 424 */
																		if (NULLP(CDR(BgL_cdrzd2254zd2_1601)))
																			{	/* Eval/evaluate.scm 437 */
																				BgL_ev_globalz00_bglt
																					BgL_new1107z00_3882;
																				{	/* Eval/evaluate.scm 438 */
																					BgL_ev_globalz00_bglt
																						BgL_new1106z00_3883;
																					BgL_new1106z00_3883 =
																						((BgL_ev_globalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_globalz00_bgl))));
																					{	/* Eval/evaluate.scm 438 */
																						long BgL_arg2252z00_3884;

																						BgL_arg2252z00_3884 =
																							BGL_CLASS_NUM
																							(BGl_ev_globalz00zz__evaluate_typesz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1106z00_3883),
																							BgL_arg2252z00_3884);
																					}
																					BgL_new1107z00_3882 =
																						BgL_new1106z00_3883;
																				}
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3882))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_74), BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3882))->
																						BgL_namez00) =
																					((obj_t) BgL_carzd2253zd2_1600),
																					BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3882))->
																						BgL_modz00) =
																					((obj_t)
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_carzd2258zd2_1604)), BUNSPEC);
																				return ((obj_t) BgL_new1107z00_3882);
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_carzd2303zd2_1608;

																				BgL_carzd2303zd2_1608 =
																					CAR(((obj_t) BgL_ez00_69));
																				if (SYMBOLP(BgL_carzd2303zd2_1608))
																					{	/* Eval/evaluate.scm 424 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2303zd2_1608,
																									BgL_localsz00_70)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5494;
																								BgL_funz00_1520 =
																									BgL_carzd2303zd2_1608;
																								BgL_argsz00_1521 =
																									BgL_cdrzd2250zd2_1596;
																							BgL_tagzd2152zd2_1522:
																								{	/* Eval/evaluate.scm 449 */
																									obj_t BgL_funz00_2411;
																									obj_t BgL_argsz00_2412;

																									{	/* Eval/evaluate.scm 380 */
																										obj_t BgL_arg2404z00_3575;

																										{	/* Eval/evaluate.scm 144 */
																											obj_t
																												BgL__ortest_1069z00_3576;
																											BgL__ortest_1069z00_3576 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_1520);
																											if (CBOOL
																												(BgL__ortest_1069z00_3576))
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2404z00_3575 =
																														BgL__ortest_1069z00_3576;
																												}
																											else
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2404z00_3575 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2411 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_1520,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2404z00_3575,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2412 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1521);
																									{	/* Eval/evaluate.scm 450 */
																										BgL_ev_appz00_bglt
																											BgL_new1109z00_2413;
																										{	/* Eval/evaluate.scm 451 */
																											BgL_ev_appz00_bglt
																												BgL_new1108z00_2414;
																											BgL_new1108z00_2414 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 451 */
																												long
																													BgL_arg2266z00_2415;
																												BgL_arg2266z00_2415 =
																													BGL_CLASS_NUM
																													(BGl_ev_appz00zz__evaluate_typesz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1108z00_2414),
																													BgL_arg2266z00_2415);
																											}
																											BgL_new1109z00_2413 =
																												BgL_new1108z00_2414;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2413))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2413))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2411)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2413))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2412),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2413))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5494 =
																											BgL_new1109z00_2413;
																								}}
																								return
																									((obj_t) BgL_auxz00_5494);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5510;
																								BgL_fz00_1587 =
																									BgL_carzd2303zd2_1608;
																								BgL_argsz00_1588 =
																									BgL_cdrzd2250zd2_1596;
																							BgL_tagzd2176zd2_1589:
																								{	/* Eval/evaluate.scm 599 */
																									obj_t BgL_funz00_2677;
																									obj_t BgL_argsz00_2678;

																									{	/* Eval/evaluate.scm 380 */
																										obj_t BgL_arg2404z00_3869;

																										{	/* Eval/evaluate.scm 144 */
																											obj_t
																												BgL__ortest_1069z00_3870;
																											BgL__ortest_1069z00_3870 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_1587);
																											if (CBOOL
																												(BgL__ortest_1069z00_3870))
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2404z00_3869 =
																														BgL__ortest_1069z00_3870;
																												}
																											else
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2404z00_3869 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2677 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_1587,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2404z00_3869,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2678 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1588);
																									{	/* Eval/evaluate.scm 600 */
																										BgL_ev_appz00_bglt
																											BgL_new1164z00_2679;
																										{	/* Eval/evaluate.scm 601 */
																											BgL_ev_appz00_bglt
																												BgL_new1163z00_2680;
																											BgL_new1163z00_2680 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 601 */
																												long
																													BgL_arg2397z00_2681;
																												BgL_arg2397z00_2681 =
																													BGL_CLASS_NUM
																													(BGl_ev_appz00zz__evaluate_typesz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1163z00_2680),
																													BgL_arg2397z00_2681);
																											}
																											BgL_new1164z00_2679 =
																												BgL_new1163z00_2680;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2679))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2679))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2677)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2679))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2678),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2679))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5510 =
																											BgL_new1164z00_2679;
																								}}
																								return
																									((obj_t) BgL_auxz00_5510);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5526;

																						{
																							obj_t BgL_argsz00_5528;
																							obj_t BgL_fz00_5527;

																							BgL_fz00_5527 =
																								BgL_carzd2303zd2_1608;
																							BgL_argsz00_5528 =
																								BgL_cdrzd2250zd2_1596;
																							BgL_argsz00_1588 =
																								BgL_argsz00_5528;
																							BgL_fz00_1587 = BgL_fz00_5527;
																							goto BgL_tagzd2176zd2_1589;
																						}
																						return ((obj_t) BgL_auxz00_5526);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_carzd21010zd2_1619;

																		BgL_carzd21010zd2_1619 =
																			CAR(((obj_t) BgL_ez00_69));
																		if (SYMBOLP(BgL_carzd21010zd2_1619))
																			{	/* Eval/evaluate.scm 424 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd21010zd2_1619,
																							BgL_localsz00_70)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5537;

																						{
																							obj_t BgL_argsz00_5539;
																							obj_t BgL_funz00_5538;

																							BgL_funz00_5538 =
																								BgL_carzd21010zd2_1619;
																							BgL_argsz00_5539 =
																								BgL_cdrzd2250zd2_1596;
																							BgL_argsz00_1521 =
																								BgL_argsz00_5539;
																							BgL_funz00_1520 = BgL_funz00_5538;
																							goto BgL_tagzd2152zd2_1522;
																						}
																						return ((obj_t) BgL_auxz00_5537);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5541;

																						{
																							obj_t BgL_argsz00_5543;
																							obj_t BgL_fz00_5542;

																							BgL_fz00_5542 =
																								BgL_carzd21010zd2_1619;
																							BgL_argsz00_5543 =
																								BgL_cdrzd2250zd2_1596;
																							BgL_argsz00_1588 =
																								BgL_argsz00_5543;
																							BgL_fz00_1587 = BgL_fz00_5542;
																							goto BgL_tagzd2176zd2_1589;
																						}
																						return ((obj_t) BgL_auxz00_5541);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5545;

																				{
																					obj_t BgL_argsz00_5547;
																					obj_t BgL_fz00_5546;

																					BgL_fz00_5546 =
																						BgL_carzd21010zd2_1619;
																					BgL_argsz00_5547 =
																						BgL_cdrzd2250zd2_1596;
																					BgL_argsz00_1588 = BgL_argsz00_5547;
																					BgL_fz00_1587 = BgL_fz00_5546;
																					goto BgL_tagzd2176zd2_1589;
																				}
																				return ((obj_t) BgL_auxz00_5545);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_carzd21717zd2_1629;

																BgL_carzd21717zd2_1629 =
																	CAR(((obj_t) BgL_ez00_69));
																if (SYMBOLP(BgL_carzd21717zd2_1629))
																	{	/* Eval/evaluate.scm 424 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21717zd2_1629,
																					BgL_localsz00_70)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5556;

																				{
																					obj_t BgL_argsz00_5558;
																					obj_t BgL_funz00_5557;

																					BgL_funz00_5557 =
																						BgL_carzd21717zd2_1629;
																					BgL_argsz00_5558 =
																						BgL_cdrzd2250zd2_1596;
																					BgL_argsz00_1521 = BgL_argsz00_5558;
																					BgL_funz00_1520 = BgL_funz00_5557;
																					goto BgL_tagzd2152zd2_1522;
																				}
																				return ((obj_t) BgL_auxz00_5556);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5560;

																				{
																					obj_t BgL_argsz00_5562;
																					obj_t BgL_fz00_5561;

																					BgL_fz00_5561 =
																						BgL_carzd21717zd2_1629;
																					BgL_argsz00_5562 =
																						BgL_cdrzd2250zd2_1596;
																					BgL_argsz00_1588 = BgL_argsz00_5562;
																					BgL_fz00_1587 = BgL_fz00_5561;
																					goto BgL_tagzd2176zd2_1589;
																				}
																				return ((obj_t) BgL_auxz00_5560);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5564;

																		{
																			obj_t BgL_argsz00_5566;
																			obj_t BgL_fz00_5565;

																			BgL_fz00_5565 = BgL_carzd21717zd2_1629;
																			BgL_argsz00_5566 = BgL_cdrzd2250zd2_1596;
																			BgL_argsz00_1588 = BgL_argsz00_5566;
																			BgL_fz00_1587 = BgL_fz00_5565;
																			goto BgL_tagzd2176zd2_1589;
																		}
																		return ((obj_t) BgL_auxz00_5564);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 424 */
														obj_t BgL_carzd22424zd2_1639;

														BgL_carzd22424zd2_1639 = CAR(((obj_t) BgL_ez00_69));
														if (SYMBOLP(BgL_carzd22424zd2_1639))
															{	/* Eval/evaluate.scm 424 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22424zd2_1639, BgL_localsz00_70)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5575;

																		{
																			obj_t BgL_argsz00_5577;
																			obj_t BgL_funz00_5576;

																			BgL_funz00_5576 = BgL_carzd22424zd2_1639;
																			BgL_argsz00_5577 = BgL_cdrzd2250zd2_1596;
																			BgL_argsz00_1521 = BgL_argsz00_5577;
																			BgL_funz00_1520 = BgL_funz00_5576;
																			goto BgL_tagzd2152zd2_1522;
																		}
																		return ((obj_t) BgL_auxz00_5575);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5579;

																		{
																			obj_t BgL_argsz00_5581;
																			obj_t BgL_fz00_5580;

																			BgL_fz00_5580 = BgL_carzd22424zd2_1639;
																			BgL_argsz00_5581 = BgL_cdrzd2250zd2_1596;
																			BgL_argsz00_1588 = BgL_argsz00_5581;
																			BgL_fz00_1587 = BgL_fz00_5580;
																			goto BgL_tagzd2176zd2_1589;
																		}
																		return ((obj_t) BgL_auxz00_5579);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5583;

																{
																	obj_t BgL_argsz00_5585;
																	obj_t BgL_fz00_5584;

																	BgL_fz00_5584 = BgL_carzd22424zd2_1639;
																	BgL_argsz00_5585 = BgL_cdrzd2250zd2_1596;
																	BgL_argsz00_1588 = BgL_argsz00_5585;
																	BgL_fz00_1587 = BgL_fz00_5584;
																	goto BgL_tagzd2176zd2_1589;
																}
																return ((obj_t) BgL_auxz00_5583);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd23131zd2_1649;

												BgL_carzd23131zd2_1649 = CAR(((obj_t) BgL_ez00_69));
												if (SYMBOLP(BgL_carzd23131zd2_1649))
													{	/* Eval/evaluate.scm 424 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23131zd2_1649, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5594;

																{
																	obj_t BgL_argsz00_5596;
																	obj_t BgL_funz00_5595;

																	BgL_funz00_5595 = BgL_carzd23131zd2_1649;
																	BgL_argsz00_5596 = BgL_cdrzd2250zd2_1596;
																	BgL_argsz00_1521 = BgL_argsz00_5596;
																	BgL_funz00_1520 = BgL_funz00_5595;
																	goto BgL_tagzd2152zd2_1522;
																}
																return ((obj_t) BgL_auxz00_5594);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5598;

																{
																	obj_t BgL_argsz00_5600;
																	obj_t BgL_fz00_5599;

																	BgL_fz00_5599 = BgL_carzd23131zd2_1649;
																	BgL_argsz00_5600 = BgL_cdrzd2250zd2_1596;
																	BgL_argsz00_1588 = BgL_argsz00_5600;
																	BgL_fz00_1587 = BgL_fz00_5599;
																	goto BgL_tagzd2176zd2_1589;
																}
																return ((obj_t) BgL_auxz00_5598);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_5602;

														{
															obj_t BgL_argsz00_5604;
															obj_t BgL_fz00_5603;

															BgL_fz00_5603 = BgL_carzd23131zd2_1649;
															BgL_argsz00_5604 = BgL_cdrzd2250zd2_1596;
															BgL_argsz00_1588 = BgL_argsz00_5604;
															BgL_fz00_1587 = BgL_fz00_5603;
															goto BgL_tagzd2176zd2_1589;
														}
														return ((obj_t) BgL_auxz00_5602);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 424 */
										if (
											(CAR(
													((obj_t) BgL_ez00_69)) ==
												BGl_symbol2953z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 424 */
												BgL_lz00_1518 = BgL_cdrzd2250zd2_1596;
												{	/* Eval/evaluate.scm 442 */
													bool_t BgL_test3154z00_5610;

													if (PAIRP(BgL_lz00_1518))
														{	/* Eval/evaluate.scm 442 */
															bool_t BgL_test3156z00_5613;

															{	/* Eval/evaluate.scm 442 */
																obj_t BgL_tmpz00_5614;

																BgL_tmpz00_5614 = CDR(BgL_lz00_1518);
																BgL_test3156z00_5613 = PAIRP(BgL_tmpz00_5614);
															}
															if (BgL_test3156z00_5613)
																{
																	obj_t BgL_l1215z00_2402;

																	BgL_l1215z00_2402 = BgL_lz00_1518;
																BgL_zc3z04anonymousza32262ze3z87_2403:
																	if (NULLP(BgL_l1215z00_2402))
																		{	/* Eval/evaluate.scm 442 */
																			BgL_test3154z00_5610 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 442 */
																			bool_t BgL_test3158z00_5619;

																			{	/* Eval/evaluate.scm 442 */
																				obj_t BgL_tmpz00_5620;

																				BgL_tmpz00_5620 =
																					CAR(((obj_t) BgL_l1215z00_2402));
																				BgL_test3158z00_5619 =
																					SYMBOLP(BgL_tmpz00_5620);
																			}
																			if (BgL_test3158z00_5619)
																				{
																					obj_t BgL_l1215z00_5624;

																					BgL_l1215z00_5624 =
																						CDR(((obj_t) BgL_l1215z00_2402));
																					BgL_l1215z00_2402 = BgL_l1215z00_5624;
																					goto
																						BgL_zc3z04anonymousza32262ze3z87_2403;
																				}
																			else
																				{	/* Eval/evaluate.scm 442 */
																					BgL_test3154z00_5610 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 442 */
																	BgL_test3154z00_5610 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 442 */
															BgL_test3154z00_5610 = ((bool_t) 0);
														}
													if (BgL_test3154z00_5610)
														{	/* Eval/evaluate.scm 442 */
															BGL_TAIL return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_69, BgL_localsz00_70,
																BgL_globalsz00_71, BgL_tailzf3zf3_72,
																BgL_wherez00_73, BgL_locz00_74,
																BgL_topzf3zf3_75);
														}
													else
														{	/* Eval/evaluate.scm 442 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_74,
																BGl_string2868z00zz__evaluatez00,
																BGl_string2943z00zz__evaluatez00, BgL_ez00_69);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd23841zd2_1662;

												BgL_carzd23841zd2_1662 = CAR(((obj_t) BgL_ez00_69));
												if (SYMBOLP(BgL_carzd23841zd2_1662))
													{	/* Eval/evaluate.scm 424 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23841zd2_1662, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5636;

																{
																	obj_t BgL_argsz00_5638;
																	obj_t BgL_funz00_5637;

																	BgL_funz00_5637 = BgL_carzd23841zd2_1662;
																	BgL_argsz00_5638 = BgL_cdrzd2250zd2_1596;
																	BgL_argsz00_1521 = BgL_argsz00_5638;
																	BgL_funz00_1520 = BgL_funz00_5637;
																	goto BgL_tagzd2152zd2_1522;
																}
																return ((obj_t) BgL_auxz00_5636);
															}
														else
															{	/* Eval/evaluate.scm 424 */
																if (
																	(BgL_carzd23841zd2_1662 ==
																		BGl_symbol2955z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 424 */
																		if (PAIRP(BgL_cdrzd2250zd2_1596))
																			{	/* Eval/evaluate.scm 424 */
																				if (NULLP(CDR(BgL_cdrzd2250zd2_1596)))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1620z00_1673;

																						BgL_arg1620z00_1673 =
																							CAR(BgL_cdrzd2250zd2_1596);
																						{	/* Eval/evaluate.scm 456 */
																							BgL_ev_trapz00_bglt
																								BgL_new1112z00_3926;
																							{	/* Eval/evaluate.scm 457 */
																								BgL_ev_trapz00_bglt
																									BgL_new1110z00_3927;
																								BgL_new1110z00_3927 =
																									((BgL_ev_trapz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_trapz00_bgl))));
																								{	/* Eval/evaluate.scm 457 */
																									long BgL_arg2267z00_3928;

																									BgL_arg2267z00_3928 =
																										BGL_CLASS_NUM
																										(BGl_ev_trapz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1110z00_3927),
																										BgL_arg2267z00_3928);
																								}
																								BgL_new1112z00_3926 =
																									BgL_new1110z00_3927;
																							}
																							{
																								BgL_ev_exprz00_bglt
																									BgL_auxz00_5652;
																								{	/* Eval/evaluate.scm 380 */
																									obj_t BgL_arg2404z00_3932;

																									BgL_arg2404z00_3932 =
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg1620z00_1673,
																										BgL_locz00_74);
																									BgL_auxz00_5652 =
																										((BgL_ev_exprz00_bglt)
																										BGl_uconvzf2locze70z15zz__evaluatez00
																										(BgL_wherez00_73,
																											BgL_globalsz00_71,
																											BgL_localsz00_70,
																											BgL_arg1620z00_1673,
																											BgL_arg2404z00_3932));
																								}
																								((((BgL_ev_hookz00_bglt)
																											COBJECT((
																													(BgL_ev_hookz00_bglt)
																													BgL_new1112z00_3926)))->
																										BgL_ez00) =
																									((BgL_ev_exprz00_bglt)
																										BgL_auxz00_5652), BUNSPEC);
																							}
																							return
																								((obj_t) BgL_new1112z00_3926);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1621z00_1674;
																						obj_t BgL_arg1622z00_1675;

																						BgL_arg1621z00_1674 =
																							CAR(((obj_t) BgL_ez00_69));
																						BgL_arg1622z00_1675 =
																							CDR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5663;
																							{
																								obj_t BgL_argsz00_5665;
																								obj_t BgL_fz00_5664;

																								BgL_fz00_5664 =
																									BgL_arg1621z00_1674;
																								BgL_argsz00_5665 =
																									BgL_arg1622z00_1675;
																								BgL_argsz00_1588 =
																									BgL_argsz00_5665;
																								BgL_fz00_1587 = BgL_fz00_5664;
																								goto BgL_tagzd2176zd2_1589;
																							}
																							return ((obj_t) BgL_auxz00_5663);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1624z00_1677;
																				obj_t BgL_arg1625z00_1678;

																				BgL_arg1624z00_1677 =
																					CAR(((obj_t) BgL_ez00_69));
																				BgL_arg1625z00_1678 =
																					CDR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5671;

																					{
																						obj_t BgL_argsz00_5673;
																						obj_t BgL_fz00_5672;

																						BgL_fz00_5672 = BgL_arg1624z00_1677;
																						BgL_argsz00_5673 =
																							BgL_arg1625z00_1678;
																						BgL_argsz00_1588 = BgL_argsz00_5673;
																						BgL_fz00_1587 = BgL_fz00_5672;
																						goto BgL_tagzd2176zd2_1589;
																					}
																					return ((obj_t) BgL_auxz00_5671);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_cdrzd24514zd2_1679;

																		BgL_cdrzd24514zd2_1679 =
																			CDR(((obj_t) BgL_ez00_69));
																		if (
																			(CAR(
																					((obj_t) BgL_ez00_69)) ==
																				BGl_symbol2920z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 424 */
																				if (PAIRP(BgL_cdrzd24514zd2_1679))
																					{	/* Eval/evaluate.scm 424 */
																						if (NULLP(CDR
																								(BgL_cdrzd24514zd2_1679)))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1632z00_1685;

																								BgL_arg1632z00_1685 =
																									CAR(BgL_cdrzd24514zd2_1679);
																								{	/* Eval/evaluate.scm 459 */
																									BgL_ev_littz00_bglt
																										BgL_new1114z00_3941;
																									{	/* Eval/evaluate.scm 460 */
																										BgL_ev_littz00_bglt
																											BgL_new1113z00_3942;
																										BgL_new1113z00_3942 =
																											((BgL_ev_littz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 460 */
																											long BgL_arg2268z00_3943;

																											BgL_arg2268z00_3943 =
																												BGL_CLASS_NUM
																												(BGl_ev_littz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1113z00_3942),
																												BgL_arg2268z00_3943);
																										}
																										BgL_new1114z00_3941 =
																											BgL_new1113z00_3942;
																									}
																									((((BgL_ev_littz00_bglt)
																												COBJECT
																												(BgL_new1114z00_3941))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1632z00_1685),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1114z00_3941);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1633z00_1686;

																								BgL_arg1633z00_1686 =
																									CAR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5695;
																									{
																										obj_t BgL_argsz00_5697;
																										obj_t BgL_fz00_5696;

																										BgL_fz00_5696 =
																											BgL_arg1633z00_1686;
																										BgL_argsz00_5697 =
																											BgL_cdrzd24514zd2_1679;
																										BgL_argsz00_1588 =
																											BgL_argsz00_5697;
																										BgL_fz00_1587 =
																											BgL_fz00_5696;
																										goto BgL_tagzd2176zd2_1589;
																									}
																									return
																										((obj_t) BgL_auxz00_5695);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1636z00_1689;

																						BgL_arg1636z00_1689 =
																							CAR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5701;
																							{
																								obj_t BgL_argsz00_5703;
																								obj_t BgL_fz00_5702;

																								BgL_fz00_5702 =
																									BgL_arg1636z00_1689;
																								BgL_argsz00_5703 =
																									BgL_cdrzd24514zd2_1679;
																								BgL_argsz00_1588 =
																									BgL_argsz00_5703;
																								BgL_fz00_1587 = BgL_fz00_5702;
																								goto BgL_tagzd2176zd2_1589;
																							}
																							return ((obj_t) BgL_auxz00_5701);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				if (
																					(CAR(
																							((obj_t) BgL_ez00_69)) ==
																						BGl_symbol2928z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 424 */
																						if (PAIRP(BgL_cdrzd24514zd2_1679))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_cdrzd25128zd2_1695;

																								BgL_cdrzd25128zd2_1695 =
																									CDR(BgL_cdrzd24514zd2_1679);
																								if (PAIRP
																									(BgL_cdrzd25128zd2_1695))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd25133zd2_1697;
																										BgL_cdrzd25133zd2_1697 =
																											CDR
																											(BgL_cdrzd25128zd2_1695);
																										if (PAIRP
																											(BgL_cdrzd25133zd2_1697))
																											{	/* Eval/evaluate.scm 424 */
																												if (NULLP(CDR
																														(BgL_cdrzd25133zd2_1697)))
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg1646z00_1701;
																														obj_t
																															BgL_arg1648z00_1702;
																														obj_t
																															BgL_arg1650z00_1703;
																														BgL_arg1646z00_1701
																															=
																															CAR
																															(BgL_cdrzd24514zd2_1679);
																														BgL_arg1648z00_1702
																															=
																															CAR
																															(BgL_cdrzd25128zd2_1695);
																														BgL_arg1650z00_1703
																															=
																															CAR
																															(BgL_cdrzd25133zd2_1697);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_5723;
																															BgL_pz00_1527 =
																																BgL_arg1646z00_1701;
																															BgL_tz00_1528 =
																																BgL_arg1648z00_1702;
																															BgL_oz00_1529 =
																																BgL_arg1650z00_1703;
																														BgL_tagzd2155zd2_1530:
																															{	/* Eval/evaluate.scm 462 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1117z00_2422;
																																{	/* Eval/evaluate.scm 463 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1116z00_2426;
																																	BgL_new1116z00_2426
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 463 */
																																		long
																																			BgL_arg2272z00_2427;
																																		BgL_arg2272z00_2427
																																			=
																																			BGL_CLASS_NUM
																																			(BGl_ev_ifz00zz__evaluate_typesz00);
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1116z00_2426), BgL_arg2272z00_2427);
																																	}
																																	BgL_new1117z00_2422
																																		=
																																		BgL_new1116z00_2426;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5728;
																																	{	/* Eval/evaluate.scm 463 */
																																		obj_t
																																			BgL_arg2269z00_2423;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3597;
																																			BgL__ortest_1069z00_3597
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_1527);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3597))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2269z00_2423
																																						=
																																						BgL__ortest_1069z00_3597;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2269z00_2423
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5728
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_1527,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BFALSE,
																																				BgL_wherez00_73,
																																				BgL_arg2269z00_2423,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2422))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5728), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5735;
																																	{	/* Eval/evaluate.scm 464 */
																																		obj_t
																																			BgL_arg2270z00_2424;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3598;
																																			BgL__ortest_1069z00_3598
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_1528);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3598))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2270z00_2424
																																						=
																																						BgL__ortest_1069z00_3598;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2270z00_2424
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5735
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_1528,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2270z00_2424,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2422))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5735), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5742;
																																	{	/* Eval/evaluate.scm 465 */
																																		obj_t
																																			BgL_arg2271z00_2425;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3599;
																																			BgL__ortest_1069z00_3599
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_1529);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3599))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2271z00_2425
																																						=
																																						BgL__ortest_1069z00_3599;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2271z00_2425
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5742
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_1529,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2271z00_2425,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2422))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5742), BUNSPEC);
																																}
																																BgL_auxz00_5723
																																	=
																																	BgL_new1117z00_2422;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5723);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg1651z00_1704;
																														obj_t
																															BgL_arg1652z00_1705;
																														BgL_arg1651z00_1704
																															=
																															CAR(((obj_t)
																																BgL_ez00_69));
																														BgL_arg1652z00_1705
																															=
																															CDR(((obj_t)
																																BgL_ez00_69));
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5754;
																															{
																																obj_t
																																	BgL_argsz00_5756;
																																obj_t
																																	BgL_fz00_5755;
																																BgL_fz00_5755 =
																																	BgL_arg1651z00_1704;
																																BgL_argsz00_5756
																																	=
																																	BgL_arg1652z00_1705;
																																BgL_argsz00_1588
																																	=
																																	BgL_argsz00_5756;
																																BgL_fz00_1587 =
																																	BgL_fz00_5755;
																																goto
																																	BgL_tagzd2176zd2_1589;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5754);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_cdrzd25433zd2_1707;
																												BgL_cdrzd25433zd2_1707 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_cdrzd25439zd2_1708;
																													BgL_cdrzd25439zd2_1708
																														=
																														CDR(((obj_t)
																															BgL_cdrzd25433zd2_1707));
																													if (NULLP(CDR(((obj_t)
																																	BgL_cdrzd25439zd2_1708))))
																														{	/* Eval/evaluate.scm 424 */
																															obj_t
																																BgL_arg1656z00_1711;
																															obj_t
																																BgL_arg1657z00_1712;
																															BgL_arg1656z00_1711
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25433zd2_1707));
																															BgL_arg1657z00_1712
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25439zd2_1708));
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_5770;
																																BgL_pz00_1531 =
																																	BgL_arg1656z00_1711;
																																BgL_tz00_1532 =
																																	BgL_arg1657z00_1712;
																															BgL_tagzd2156zd2_1533:
																																{	/* Eval/evaluate.scm 467 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1119z00_2428;
																																	{	/* Eval/evaluate.scm 468 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1118z00_2432;
																																		BgL_new1118z00_2432
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 468 */
																																			long
																																				BgL_arg2276z00_2433;
																																			BgL_arg2276z00_2433
																																				=
																																				BGL_CLASS_NUM
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) BgL_new1118z00_2432), BgL_arg2276z00_2433);
																																		}
																																		BgL_new1119z00_2428
																																			=
																																			BgL_new1118z00_2432;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5775;
																																		{	/* Eval/evaluate.scm 468 */
																																			obj_t
																																				BgL_arg2273z00_2429;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3603;
																																				BgL__ortest_1069z00_3603
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_1531);
																																				if (CBOOL(BgL__ortest_1069z00_3603))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2273z00_2429
																																							=
																																							BgL__ortest_1069z00_3603;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2273z00_2429
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5775
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_1531,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BFALSE,
																																					BgL_wherez00_73,
																																					BgL_arg2273z00_2429,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2428))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5775), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5782;
																																		{	/* Eval/evaluate.scm 469 */
																																			obj_t
																																				BgL_arg2274z00_2430;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3604;
																																				BgL__ortest_1069z00_3604
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_1532);
																																				if (CBOOL(BgL__ortest_1069z00_3604))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2274z00_2430
																																							=
																																							BgL__ortest_1069z00_3604;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2274z00_2430
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5782
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_1532,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2274z00_2430,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2428))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5782), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5789;
																																		{	/* Eval/evaluate.scm 470 */
																																			obj_t
																																				BgL_arg2275z00_2431;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3605;
																																				BgL__ortest_1069z00_3605
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1069z00_3605))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2275z00_2431
																																							=
																																							BgL__ortest_1069z00_3605;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2275z00_2431
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5789
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_69,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2275z00_2431,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2428))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5789), BUNSPEC);
																																	}
																																	BgL_auxz00_5770
																																		=
																																		BgL_new1119z00_2428;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5770);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 424 */
																															obj_t
																																BgL_arg1658z00_1713;
																															BgL_arg1658z00_1713
																																=
																																CAR(((obj_t)
																																	BgL_ez00_69));
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_5799;
																																{
																																	obj_t
																																		BgL_argsz00_5801;
																																	obj_t
																																		BgL_fz00_5800;
																																	BgL_fz00_5800
																																		=
																																		BgL_arg1658z00_1713;
																																	BgL_argsz00_5801
																																		=
																																		BgL_cdrzd25433zd2_1707;
																																	BgL_argsz00_1588
																																		=
																																		BgL_argsz00_5801;
																																	BgL_fz00_1587
																																		=
																																		BgL_fz00_5800;
																																	goto
																																		BgL_tagzd2176zd2_1589;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5799);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg1661z00_1716;
																										obj_t BgL_arg1662z00_1717;

																										BgL_arg1661z00_1716 =
																											CAR(
																											((obj_t) BgL_ez00_69));
																										BgL_arg1662z00_1717 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5807;
																											{
																												obj_t BgL_argsz00_5809;
																												obj_t BgL_fz00_5808;

																												BgL_fz00_5808 =
																													BgL_arg1661z00_1716;
																												BgL_argsz00_5809 =
																													BgL_arg1662z00_1717;
																												BgL_argsz00_1588 =
																													BgL_argsz00_5809;
																												BgL_fz00_1587 =
																													BgL_fz00_5808;
																												goto
																													BgL_tagzd2176zd2_1589;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5807);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1663z00_1718;
																								obj_t BgL_arg1664z00_1719;

																								BgL_arg1663z00_1718 =
																									CAR(((obj_t) BgL_ez00_69));
																								BgL_arg1664z00_1719 =
																									CDR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5815;
																									{
																										obj_t BgL_argsz00_5817;
																										obj_t BgL_fz00_5816;

																										BgL_fz00_5816 =
																											BgL_arg1663z00_1718;
																										BgL_argsz00_5817 =
																											BgL_arg1664z00_1719;
																										BgL_argsz00_1588 =
																											BgL_argsz00_5817;
																										BgL_fz00_1587 =
																											BgL_fz00_5816;
																										goto BgL_tagzd2176zd2_1589;
																									}
																									return
																										((obj_t) BgL_auxz00_5815);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						if (
																							(CAR(
																									((obj_t) BgL_ez00_69)) ==
																								BGl_symbol2957z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1668z00_1722;

																								BgL_arg1668z00_1722 =
																									CDR(((obj_t) BgL_ez00_69));
																								{	/* Eval/evaluate.scm 472 */
																									BgL_ev_orz00_bglt
																										BgL_new1122z00_3974;
																									{	/* Eval/evaluate.scm 473 */
																										BgL_ev_orz00_bglt
																											BgL_new1120z00_3975;
																										BgL_new1120z00_3975 =
																											((BgL_ev_orz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_orz00_bgl))));
																										{	/* Eval/evaluate.scm 473 */
																											long BgL_arg2277z00_3976;

																											BgL_arg2277z00_3976 =
																												BGL_CLASS_NUM
																												(BGl_ev_orz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1120z00_3975),
																												BgL_arg2277z00_3976);
																										}
																										BgL_new1122z00_3974 =
																											BgL_new1120z00_3975;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1122z00_3974)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1668z00_1722)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1122z00_3974);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								if (
																									(CAR(
																											((obj_t) BgL_ez00_69)) ==
																										BGl_symbol2959z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg1672z00_1725;

																										BgL_arg1672z00_1725 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										{	/* Eval/evaluate.scm 475 */
																											BgL_ev_andz00_bglt
																												BgL_new1124z00_3982;
																											{	/* Eval/evaluate.scm 476 */
																												BgL_ev_andz00_bglt
																													BgL_new1123z00_3983;
																												BgL_new1123z00_3983 =
																													((BgL_ev_andz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_ev_andz00_bgl))));
																												{	/* Eval/evaluate.scm 476 */
																													long
																														BgL_arg2279z00_3984;
																													BgL_arg2279z00_3984 =
																														BGL_CLASS_NUM
																														(BGl_ev_andz00zz__evaluate_typesz00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1123z00_3983), BgL_arg2279z00_3984);
																												}
																												BgL_new1124z00_3982 =
																													BgL_new1123z00_3983;
																											}
																											((((BgL_ev_listz00_bglt)
																														COBJECT((
																																(BgL_ev_listz00_bglt)
																																BgL_new1124z00_3982)))->
																													BgL_argsz00) =
																												((obj_t)
																													BGl_loopze70ze7zz__evaluatez00
																													(BgL_wherez00_73,
																														BgL_globalsz00_71,
																														BgL_localsz00_70,
																														BgL_locz00_74,
																														BgL_arg1672z00_1725)),
																												BUNSPEC);
																											return ((obj_t)
																												BgL_new1124z00_3982);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										if (
																											(CAR(
																													((obj_t) BgL_ez00_69))
																												==
																												BGl_symbol2944z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg1677z00_1728;
																												BgL_arg1677z00_1728 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												BGL_TAIL return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(BgL_arg1677z00_1728,
																													BgL_localsz00_70,
																													BgL_globalsz00_71,
																													BgL_tailzf3zf3_72,
																													BgL_wherez00_73,
																													BgL_locz00_74,
																													BgL_topzf3zf3_75);
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_cdrzd26338zd2_1729;
																												BgL_cdrzd26338zd2_1729 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												if ((CAR(((obj_t)
																																BgL_ez00_69)) ==
																														BGl_symbol2930z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 424 */
																														if (PAIRP
																															(BgL_cdrzd26338zd2_1729))
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg1683z00_1733;
																																obj_t
																																	BgL_arg1684z00_1734;
																																BgL_arg1683z00_1733
																																	=
																																	CAR
																																	(BgL_cdrzd26338zd2_1729);
																																BgL_arg1684z00_1734
																																	=
																																	CDR
																																	(BgL_cdrzd26338zd2_1729);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_5864;
																																	BgL_bindsz00_1540
																																		=
																																		BgL_arg1683z00_1733;
																																	BgL_bodyz00_1541
																																		=
																																		BgL_arg1684z00_1734;
																																BgL_tagzd2160zd2_1542:
																																	{	/* Eval/evaluate.scm 480 */
																																		obj_t
																																			BgL_ubindsz00_2440;
																																		if (NULLP
																																			(BgL_bindsz00_1540))
																																			{	/* Eval/evaluate.scm 480 */
																																				BgL_ubindsz00_2440
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 480 */
																																				obj_t
																																					BgL_head1220z00_2485;
																																				BgL_head1220z00_2485
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BNIL,
																																					BNIL);
																																				{
																																					obj_t
																																						BgL_l1218z00_3641;
																																					obj_t
																																						BgL_tail1221z00_3642;
																																					BgL_l1218z00_3641
																																						=
																																						BgL_bindsz00_1540;
																																					BgL_tail1221z00_3642
																																						=
																																						BgL_head1220z00_2485;
																																				BgL_zc3z04anonymousza32300ze3z87_3640:
																																					if (NULLP(BgL_l1218z00_3641))
																																						{	/* Eval/evaluate.scm 480 */
																																							BgL_ubindsz00_2440
																																								=
																																								CDR
																																								(BgL_head1220z00_2485);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 480 */
																																							obj_t
																																								BgL_newtail1222z00_3650;
																																							{	/* Eval/evaluate.scm 480 */
																																								obj_t
																																									BgL_arg2303z00_3651;
																																								{	/* Eval/evaluate.scm 480 */
																																									obj_t
																																										BgL_bz00_3652;
																																									BgL_bz00_3652
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1218z00_3641));
																																									{	/* Eval/evaluate.scm 480 */
																																										obj_t
																																											BgL_arg2304z00_3653;
																																										BgL_arg2304z00_3653
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_bz00_3652));
																																										BgL_arg2303z00_3651
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(BgL_arg2304z00_3653);
																																									}
																																								}
																																								BgL_newtail1222z00_3650
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2303z00_3651,
																																									BNIL);
																																							}
																																							SET_CDR
																																								(BgL_tail1221z00_3642,
																																								BgL_newtail1222z00_3650);
																																							{	/* Eval/evaluate.scm 480 */
																																								obj_t
																																									BgL_arg2302z00_3654;
																																								BgL_arg2302z00_3654
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1218z00_3641));
																																								{
																																									obj_t
																																										BgL_tail1221z00_5881;
																																									obj_t
																																										BgL_l1218z00_5880;
																																									BgL_l1218z00_5880
																																										=
																																										BgL_arg2302z00_3654;
																																									BgL_tail1221z00_5881
																																										=
																																										BgL_newtail1222z00_3650;
																																									BgL_tail1221z00_3642
																																										=
																																										BgL_tail1221z00_5881;
																																									BgL_l1218z00_3641
																																										=
																																										BgL_l1218z00_5880;
																																									goto
																																										BgL_zc3z04anonymousza32300ze3z87_3640;
																																								}
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 480 */
																																			obj_t
																																				BgL_varsz00_2441;
																																			if (NULLP
																																				(BgL_ubindsz00_2440))
																																				{	/* Eval/evaluate.scm 481 */
																																					BgL_varsz00_2441
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 481 */
																																					obj_t
																																						BgL_head1225z00_2469;
																																					BgL_head1225z00_2469
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					{
																																						obj_t
																																							BgL_l1223z00_2471;
																																						obj_t
																																							BgL_tail1226z00_2472;
																																						BgL_l1223z00_2471
																																							=
																																							BgL_ubindsz00_2440;
																																						BgL_tail1226z00_2472
																																							=
																																							BgL_head1225z00_2469;
																																					BgL_zc3z04anonymousza32293ze3z87_2473:
																																						if (NULLP(BgL_l1223z00_2471))
																																							{	/* Eval/evaluate.scm 481 */
																																								BgL_varsz00_2441
																																									=
																																									CDR
																																									(BgL_head1225z00_2469);
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_newtail1227z00_2475;
																																								{	/* Eval/evaluate.scm 481 */
																																									BgL_ev_varz00_bglt
																																										BgL_arg2297z00_2477;
																																									{	/* Eval/evaluate.scm 481 */
																																										obj_t
																																											BgL_iz00_2478;
																																										BgL_iz00_2478
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1223z00_2471));
																																										{	/* Eval/evaluate.scm 482 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1127z00_2479;
																																											{	/* Eval/evaluate.scm 484 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1125z00_2480;
																																												BgL_new1125z00_2480
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 484 */
																																													long
																																														BgL_arg2298z00_2481;
																																													BgL_arg2298z00_2481
																																														=
																																														BGL_CLASS_NUM
																																														(BGl_ev_varz00zz__evaluate_typesz00);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1125z00_2480), BgL_arg2298z00_2481);
																																												}
																																												BgL_new1127z00_2479
																																													=
																																													BgL_new1125z00_2480;
																																											}
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1127z00_2479))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2478))), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1127z00_2479))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1127z00_2479))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2478))), BUNSPEC);
																																											BgL_arg2297z00_2477
																																												=
																																												BgL_new1127z00_2479;
																																									}}
																																									BgL_newtail1227z00_2475
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) BgL_arg2297z00_2477), BNIL);
																																								}
																																								SET_CDR
																																									(BgL_tail1226z00_2472,
																																									BgL_newtail1227z00_2475);
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_arg2295z00_2476;
																																									BgL_arg2295z00_2476
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1223z00_2471));
																																									{
																																										obj_t
																																											BgL_tail1226z00_5907;
																																										obj_t
																																											BgL_l1223z00_5906;
																																										BgL_l1223z00_5906
																																											=
																																											BgL_arg2295z00_2476;
																																										BgL_tail1226z00_5907
																																											=
																																											BgL_newtail1227z00_2475;
																																										BgL_tail1226z00_2472
																																											=
																																											BgL_tail1226z00_5907;
																																										BgL_l1223z00_2471
																																											=
																																											BgL_l1223z00_5906;
																																										goto
																																											BgL_zc3z04anonymousza32293ze3z87_2473;
																																									}
																																								}
																																							}
																																					}
																																				}
																																			{	/* Eval/evaluate.scm 481 */
																																				obj_t
																																					BgL_bodyz00_2442;
																																				{	/* Eval/evaluate.scm 486 */
																																					bool_t
																																						BgL_test3188z00_5908;
																																					{	/* Eval/evaluate.scm 486 */
																																						obj_t
																																							BgL_tmpz00_5909;
																																						BgL_tmpz00_5909
																																							=
																																							CDR
																																							(((obj_t) BgL_bodyz00_1541));
																																						BgL_test3188z00_5908
																																							=
																																							PAIRP
																																							(BgL_tmpz00_5909);
																																					}
																																					if (BgL_test3188z00_5908)
																																						{	/* Eval/evaluate.scm 486 */
																																							obj_t
																																								BgL_res2849z00_3671;
																																							BgL_res2849z00_3671
																																								=
																																								MAKE_YOUNG_EPAIR
																																								(BGl_symbol2944z00zz__evaluatez00,
																																								BgL_bodyz00_1541,
																																								BgL_locz00_74);
																																							BgL_bodyz00_2442
																																								=
																																								BgL_res2849z00_3671;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 486 */
																																							BgL_bodyz00_2442
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_bodyz00_1541));
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 486 */
																																					obj_t
																																						BgL_tbodyz00_2443;
																																					BgL_tbodyz00_2443
																																						=
																																						BGl_typezd2checkszd2zz__evaluatez00
																																						(BgL_ubindsz00_2440,
																																						BgL_bindsz00_1540,
																																						BgL_bodyz00_2442,
																																						BgL_locz00_74,
																																						BgL_wherez00_73);
																																					{	/* Eval/evaluate.scm 487 */

																																						{	/* Eval/evaluate.scm 488 */
																																							obj_t
																																								BgL_blocz00_2444;
																																							{	/* Eval/evaluate.scm 144 */
																																								obj_t
																																									BgL__ortest_1069z00_3673;
																																								BgL__ortest_1069z00_3673
																																									=
																																									BGl_getzd2sourcezd2locationz00zz__readerz00
																																									(BgL_bindsz00_1540);
																																								if (CBOOL(BgL__ortest_1069z00_3673))
																																									{	/* Eval/evaluate.scm 144 */
																																										BgL_blocz00_2444
																																											=
																																											BgL__ortest_1069z00_3673;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 144 */
																																										BgL_blocz00_2444
																																											=
																																											BgL_locz00_74;
																																									}
																																							}
																																							{	/* Eval/evaluate.scm 489 */
																																								BgL_ev_letz00_bglt
																																									BgL_new1130z00_2445;
																																								{	/* Eval/evaluate.scm 490 */
																																									BgL_ev_letz00_bglt
																																										BgL_new1128z00_2462;
																																									BgL_new1128z00_2462
																																										=
																																										(
																																										(BgL_ev_letz00_bglt)
																																										BOBJECT
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letz00_bgl))));
																																									{	/* Eval/evaluate.scm 490 */
																																										long
																																											BgL_arg2288z00_2463;
																																										BgL_arg2288z00_2463
																																											=
																																											BGL_CLASS_NUM
																																											(BGl_ev_letz00zz__evaluate_typesz00);
																																										BGL_OBJECT_CLASS_NUM_SET
																																											(
																																											((BgL_objectz00_bglt) BgL_new1128z00_2462), BgL_arg2288z00_2463);
																																									}
																																									BgL_new1130z00_2445
																																										=
																																										BgL_new1128z00_2462;
																																								}
																																								((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2445)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2441), BUNSPEC);
																																								{
																																									obj_t
																																										BgL_auxz00_5926;
																																									if (NULLP(BgL_bindsz00_1540))
																																										{	/* Eval/evaluate.scm 491 */
																																											BgL_auxz00_5926
																																												=
																																												BNIL;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 491 */
																																											obj_t
																																												BgL_head1230z00_2448;
																																											BgL_head1230z00_2448
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BNIL,
																																												BNIL);
																																											{
																																												obj_t
																																													BgL_l1228z00_2450;
																																												obj_t
																																													BgL_tail1231z00_2451;
																																												BgL_l1228z00_2450
																																													=
																																													BgL_bindsz00_1540;
																																												BgL_tail1231z00_2451
																																													=
																																													BgL_head1230z00_2448;
																																											BgL_zc3z04anonymousza32281ze3z87_2452:
																																												if (NULLP(BgL_l1228z00_2450))
																																													{	/* Eval/evaluate.scm 491 */
																																														BgL_auxz00_5926
																																															=
																																															CDR
																																															(BgL_head1230z00_2448);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 491 */
																																														obj_t
																																															BgL_newtail1232z00_2454;
																																														{	/* Eval/evaluate.scm 491 */
																																															obj_t
																																																BgL_arg2285z00_2456;
																																															{	/* Eval/evaluate.scm 491 */
																																																obj_t
																																																	BgL_bz00_2457;
																																																BgL_bz00_2457
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_l1228z00_2450));
																																																{	/* Eval/evaluate.scm 492 */
																																																	obj_t
																																																		BgL_locz00_2458;
																																																	{	/* Eval/evaluate.scm 144 */
																																																		obj_t
																																																			BgL__ortest_1069z00_3679;
																																																		BgL__ortest_1069z00_3679
																																																			=
																																																			BGl_getzd2sourcezd2locationz00zz__readerz00
																																																			(BgL_bz00_2457);
																																																		if (CBOOL(BgL__ortest_1069z00_3679))
																																																			{	/* Eval/evaluate.scm 144 */
																																																				BgL_locz00_2458
																																																					=
																																																					BgL__ortest_1069z00_3679;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 144 */
																																																				BgL_locz00_2458
																																																					=
																																																					BgL_blocz00_2444;
																																																			}
																																																	}
																																																	{	/* Eval/evaluate.scm 493 */
																																																		obj_t
																																																			BgL_arg2286z00_2459;
																																																		{	/* Eval/evaluate.scm 493 */
																																																			obj_t
																																																				BgL_pairz00_3683;
																																																			BgL_pairz00_3683
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_bz00_2457));
																																																			BgL_arg2286z00_2459
																																																				=
																																																				CAR
																																																				(BgL_pairz00_3683);
																																																		}
																																																		BgL_arg2285z00_2456
																																																			=
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_arg2286z00_2459,
																																																			BgL_localsz00_70,
																																																			BgL_globalsz00_71,
																																																			BFALSE,
																																																			BgL_wherez00_73,
																																																			BgL_locz00_2458,
																																																			((bool_t) 0));
																																																	}
																																																}
																																															}
																																															BgL_newtail1232z00_2454
																																																=
																																																MAKE_YOUNG_PAIR
																																																(BgL_arg2285z00_2456,
																																																BNIL);
																																														}
																																														SET_CDR
																																															(BgL_tail1231z00_2451,
																																															BgL_newtail1232z00_2454);
																																														{	/* Eval/evaluate.scm 491 */
																																															obj_t
																																																BgL_arg2283z00_2455;
																																															BgL_arg2283z00_2455
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_l1228z00_2450));
																																															{
																																																obj_t
																																																	BgL_tail1231z00_5948;
																																																obj_t
																																																	BgL_l1228z00_5947;
																																																BgL_l1228z00_5947
																																																	=
																																																	BgL_arg2283z00_2455;
																																																BgL_tail1231z00_5948
																																																	=
																																																	BgL_newtail1232z00_2454;
																																																BgL_tail1231z00_2451
																																																	=
																																																	BgL_tail1231z00_5948;
																																																BgL_l1228z00_2450
																																																	=
																																																	BgL_l1228z00_5947;
																																																goto
																																																	BgL_zc3z04anonymousza32281ze3z87_2452;
																																															}
																																														}
																																													}
																																											}
																																										}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2445)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5926), BUNSPEC);
																																								}
																																								{
																																									BgL_ev_exprz00_bglt
																																										BgL_auxz00_5950;
																																									{	/* Eval/evaluate.scm 495 */
																																										obj_t
																																											BgL_arg2287z00_2461;
																																										BgL_arg2287z00_2461
																																											=
																																											BGl_appendzd221011zd2zz__evaluatez00
																																											(BgL_varsz00_2441,
																																											BgL_localsz00_70);
																																										BgL_auxz00_5950
																																											=
																																											(
																																											(BgL_ev_exprz00_bglt)
																																											BGl_convz00zz__evaluatez00
																																											(BgL_tbodyz00_2443,
																																												BgL_arg2287z00_2461,
																																												BgL_globalsz00_71,
																																												BgL_tailzf3zf3_72,
																																												BgL_wherez00_73,
																																												BgL_locz00_74,
																																												((bool_t) 0)));
																																									}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2445)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5950), BUNSPEC);
																																								}
																																								((((BgL_ev_letz00_bglt) COBJECT(BgL_new1130z00_2445))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																								BgL_auxz00_5864
																																									=
																																									BgL_new1130z00_2445;
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5864);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg1685z00_1735;
																																BgL_arg1685z00_1735
																																	=
																																	CAR(((obj_t)
																																		BgL_ez00_69));
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5960;
																																	{
																																		obj_t
																																			BgL_argsz00_5962;
																																		obj_t
																																			BgL_fz00_5961;
																																		BgL_fz00_5961
																																			=
																																			BgL_arg1685z00_1735;
																																		BgL_argsz00_5962
																																			=
																																			BgL_cdrzd26338zd2_1729;
																																		BgL_argsz00_1588
																																			=
																																			BgL_argsz00_5962;
																																		BgL_fz00_1587
																																			=
																																			BgL_fz00_5961;
																																		goto
																																			BgL_tagzd2176zd2_1589;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5960);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														if (
																															(CAR(
																																	((obj_t)
																																		BgL_ez00_69))
																																==
																																BGl_symbol2961z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 424 */
																																if (PAIRP
																																	(BgL_cdrzd26338zd2_1729))
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg1696z00_1741;
																																		obj_t
																																			BgL_arg1697z00_1742;
																																		BgL_arg1696z00_1741
																																			=
																																			CAR
																																			(BgL_cdrzd26338zd2_1729);
																																		BgL_arg1697z00_1742
																																			=
																																			CDR
																																			(BgL_cdrzd26338zd2_1729);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_5972;
																																			BgL_bindsz00_1543
																																				=
																																				BgL_arg1696z00_1741;
																																			BgL_bodyz00_1544
																																				=
																																				BgL_arg1697z00_1742;
																																		BgL_tagzd2161zd2_1545:
																																			{	/* Eval/evaluate.scm 503 */
																																				obj_t
																																					BgL_varsz00_2498;
																																				obj_t
																																					BgL_blocz00_2499;
																																				if (NULLP(BgL_bindsz00_1543))
																																					{	/* Eval/evaluate.scm 503 */
																																						BgL_varsz00_2498
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 503 */
																																						obj_t
																																							BgL_head1235z00_2507;
																																						BgL_head1235z00_2507
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BNIL,
																																							BNIL);
																																						{
																																							obj_t
																																								BgL_l1233z00_2509;
																																							obj_t
																																								BgL_tail1236z00_2510;
																																							BgL_l1233z00_2509
																																								=
																																								BgL_bindsz00_1543;
																																							BgL_tail1236z00_2510
																																								=
																																								BgL_head1235z00_2507;
																																						BgL_zc3z04anonymousza32309ze3z87_2511:
																																							if (NULLP(BgL_l1233z00_2509))
																																								{	/* Eval/evaluate.scm 503 */
																																									BgL_varsz00_2498
																																										=
																																										CDR
																																										(BgL_head1235z00_2507);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 503 */
																																									obj_t
																																										BgL_newtail1237z00_2513;
																																									{	/* Eval/evaluate.scm 503 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2312z00_2515;
																																										{	/* Eval/evaluate.scm 503 */
																																											obj_t
																																												BgL_bz00_2516;
																																											BgL_bz00_2516
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_l1233z00_2509));
																																											{	/* Eval/evaluate.scm 504 */
																																												obj_t
																																													BgL_iz00_2517;
																																												{	/* Eval/evaluate.scm 504 */
																																													obj_t
																																														BgL_arg2314z00_2521;
																																													BgL_arg2314z00_2521
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_bz00_2516));
																																													BgL_iz00_2517
																																														=
																																														BGl_untypezd2identzd2zz__evaluatez00
																																														(BgL_arg2314z00_2521);
																																												}
																																												{	/* Eval/evaluate.scm 505 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1132z00_2518;
																																													{	/* Eval/evaluate.scm 507 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1131z00_2519;
																																														BgL_new1131z00_2519
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 507 */
																																															long
																																																BgL_arg2313z00_2520;
																																															BgL_arg2313z00_2520
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_varz00zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1131z00_2519), BgL_arg2313z00_2520);
																																														}
																																														BgL_new1132z00_2518
																																															=
																																															BgL_new1131z00_2519;
																																													}
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2518))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2517)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2518))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2518))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2517)), BUNSPEC);
																																													BgL_arg2312z00_2515
																																														=
																																														BgL_new1132z00_2518;
																																										}}}
																																										BgL_newtail1237z00_2513
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) BgL_arg2312z00_2515), BNIL);
																																									}
																																									SET_CDR
																																										(BgL_tail1236z00_2510,
																																										BgL_newtail1237z00_2513);
																																									{	/* Eval/evaluate.scm 503 */
																																										obj_t
																																											BgL_arg2311z00_2514;
																																										BgL_arg2311z00_2514
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1233z00_2509));
																																										{
																																											obj_t
																																												BgL_tail1236z00_5999;
																																											obj_t
																																												BgL_l1233z00_5998;
																																											BgL_l1233z00_5998
																																												=
																																												BgL_arg2311z00_2514;
																																											BgL_tail1236z00_5999
																																												=
																																												BgL_newtail1237z00_2513;
																																											BgL_tail1236z00_2510
																																												=
																																												BgL_tail1236z00_5999;
																																											BgL_l1233z00_2509
																																												=
																																												BgL_l1233z00_5998;
																																											goto
																																												BgL_zc3z04anonymousza32309ze3z87_2511;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 144 */
																																					obj_t
																																						BgL__ortest_1069z00_3717;
																																					BgL__ortest_1069z00_3717
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_1543);
																																					if (CBOOL(BgL__ortest_1069z00_3717))
																																						{	/* Eval/evaluate.scm 144 */
																																							BgL_blocz00_2499
																																								=
																																								BgL__ortest_1069z00_3717;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 144 */
																																							BgL_blocz00_2499
																																								=
																																								BgL_locz00_74;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 510 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1135z00_2500;
																																					{	/* Eval/evaluate.scm 511 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1133z00_2503;
																																						BgL_new1133z00_2503
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 511 */
																																							long
																																								BgL_arg2307z00_2504;
																																							BgL_arg2307z00_2504
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_ev_letza2za2zz__evaluate_typesz00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1133z00_2503), BgL_arg2307z00_2504);
																																						}
																																						BgL_new1135z00_2500
																																							=
																																							BgL_new1133z00_2503;
																																					}
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2500)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2498), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2500)))->BgL_valsz00) = ((obj_t) BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1543, BgL_varsz00_2498, BgL_localsz00_70, BgL_blocz00_2499)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_6012;
																																						{	/* Eval/evaluate.scm 513 */
																																							obj_t
																																								BgL_arg2305z00_2501;
																																							{	/* Eval/evaluate.scm 513 */
																																								obj_t
																																									BgL_arg2306z00_2502;
																																								BgL_arg2306z00_2502
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_2498);
																																								BgL_arg2305z00_2501
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2306z00_2502,
																																									BgL_localsz00_70);
																																							}
																																							BgL_auxz00_6012
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_1544,
																																									BgL_arg2305z00_2501,
																																									BgL_globalsz00_71,
																																									BgL_tailzf3zf3_72,
																																									BgL_wherez00_73,
																																									BgL_locz00_74,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2500)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6012), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1135z00_2500))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_5972
																																						=
																																						BgL_new1135z00_2500;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5972);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg1698z00_1743;
																																		obj_t
																																			BgL_arg1704z00_1744;
																																		BgL_arg1698z00_1743
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		BgL_arg1704z00_1744
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_6025;
																																			{
																																				obj_t
																																					BgL_argsz00_6027;
																																				obj_t
																																					BgL_fz00_6026;
																																				BgL_fz00_6026
																																					=
																																					BgL_arg1698z00_1743;
																																				BgL_argsz00_6027
																																					=
																																					BgL_arg1704z00_1744;
																																				BgL_argsz00_1588
																																					=
																																					BgL_argsz00_6027;
																																				BgL_fz00_1587
																																					=
																																					BgL_fz00_6026;
																																				goto
																																					BgL_tagzd2176zd2_1589;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6025);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_cdrzd26736zd2_1745;
																																BgL_cdrzd26736zd2_1745
																																	=
																																	CDR(((obj_t)
																																		BgL_ez00_69));
																																if ((CAR((
																																				(obj_t)
																																				BgL_ez00_69))
																																		==
																																		BGl_symbol2963z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 424 */
																																		if (PAIRP
																																			(BgL_cdrzd26736zd2_1745))
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_arg1708z00_1749;
																																				obj_t
																																					BgL_arg1709z00_1750;
																																				BgL_arg1708z00_1749
																																					=
																																					CAR
																																					(BgL_cdrzd26736zd2_1745);
																																				BgL_arg1709z00_1750
																																					=
																																					CDR
																																					(BgL_cdrzd26736zd2_1745);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_6039;
																																					BgL_bindsz00_1546
																																						=
																																						BgL_arg1708z00_1749;
																																					BgL_bodyz00_1547
																																						=
																																						BgL_arg1709z00_1750;
																																				BgL_tagzd2162zd2_1548:
																																					{	/* Eval/evaluate.scm 515 */
																																						obj_t
																																							BgL_ubindsz00_2539;
																																						if (NULLP(BgL_bindsz00_1546))
																																							{	/* Eval/evaluate.scm 515 */
																																								BgL_ubindsz00_2539
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 515 */
																																								obj_t
																																									BgL_head1240z00_2589;
																																								BgL_head1240z00_2589
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BNIL,
																																									BNIL);
																																								{
																																									obj_t
																																										BgL_l1238z00_3744;
																																									obj_t
																																										BgL_tail1241z00_3745;
																																									BgL_l1238z00_3744
																																										=
																																										BgL_bindsz00_1546;
																																									BgL_tail1241z00_3745
																																										=
																																										BgL_head1240z00_2589;
																																								BgL_zc3z04anonymousza32350ze3z87_3743:
																																									if (NULLP(BgL_l1238z00_3744))
																																										{	/* Eval/evaluate.scm 515 */
																																											BgL_ubindsz00_2539
																																												=
																																												CDR
																																												(BgL_head1240z00_2589);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 515 */
																																											obj_t
																																												BgL_newtail1242z00_3753;
																																											{	/* Eval/evaluate.scm 515 */
																																												obj_t
																																													BgL_arg2355z00_3754;
																																												{	/* Eval/evaluate.scm 515 */
																																													obj_t
																																														BgL_bz00_3755;
																																													BgL_bz00_3755
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1238z00_3744));
																																													{	/* Eval/evaluate.scm 515 */
																																														obj_t
																																															BgL_arg2356z00_3756;
																																														BgL_arg2356z00_3756
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_bz00_3755));
																																														BgL_arg2355z00_3754
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(BgL_arg2356z00_3756);
																																													}
																																												}
																																												BgL_newtail1242z00_3753
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg2355z00_3754,
																																													BNIL);
																																											}
																																											SET_CDR
																																												(BgL_tail1241z00_3745,
																																												BgL_newtail1242z00_3753);
																																											{	/* Eval/evaluate.scm 515 */
																																												obj_t
																																													BgL_arg2352z00_3757;
																																												BgL_arg2352z00_3757
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1238z00_3744));
																																												{
																																													obj_t
																																														BgL_tail1241z00_6056;
																																													obj_t
																																														BgL_l1238z00_6055;
																																													BgL_l1238z00_6055
																																														=
																																														BgL_arg2352z00_3757;
																																													BgL_tail1241z00_6056
																																														=
																																														BgL_newtail1242z00_3753;
																																													BgL_tail1241z00_3745
																																														=
																																														BgL_tail1241z00_6056;
																																													BgL_l1238z00_3744
																																														=
																																														BgL_l1238z00_6055;
																																													goto
																																														BgL_zc3z04anonymousza32350ze3z87_3743;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 515 */
																																							obj_t
																																								BgL_varsz00_2540;
																																							if (NULLP(BgL_ubindsz00_2539))
																																								{	/* Eval/evaluate.scm 516 */
																																									BgL_varsz00_2540
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 516 */
																																									obj_t
																																										BgL_head1245z00_2573;
																																									BgL_head1245z00_2573
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BNIL,
																																										BNIL);
																																									{
																																										obj_t
																																											BgL_l1243z00_2575;
																																										obj_t
																																											BgL_tail1246z00_2576;
																																										BgL_l1243z00_2575
																																											=
																																											BgL_ubindsz00_2539;
																																										BgL_tail1246z00_2576
																																											=
																																											BgL_head1245z00_2573;
																																									BgL_zc3z04anonymousza32344ze3z87_2577:
																																										if (NULLP(BgL_l1243z00_2575))
																																											{	/* Eval/evaluate.scm 516 */
																																												BgL_varsz00_2540
																																													=
																																													CDR
																																													(BgL_head1245z00_2573);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_newtail1247z00_2579;
																																												{	/* Eval/evaluate.scm 516 */
																																													BgL_ev_varz00_bglt
																																														BgL_arg2347z00_2581;
																																													{	/* Eval/evaluate.scm 516 */
																																														obj_t
																																															BgL_iz00_2582;
																																														BgL_iz00_2582
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1243z00_2575));
																																														{	/* Eval/evaluate.scm 517 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1137z00_2583;
																																															{	/* Eval/evaluate.scm 519 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1136z00_2584;
																																																BgL_new1136z00_2584
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 519 */
																																																	long
																																																		BgL_arg2348z00_2585;
																																																	BgL_arg2348z00_2585
																																																		=
																																																		BGL_CLASS_NUM
																																																		(BGl_ev_varz00zz__evaluate_typesz00);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1136z00_2584), BgL_arg2348z00_2585);
																																																}
																																																BgL_new1137z00_2583
																																																	=
																																																	BgL_new1136z00_2584;
																																															}
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2583))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2582))), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2583))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2583))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2582))), BUNSPEC);
																																															BgL_arg2347z00_2581
																																																=
																																																BgL_new1137z00_2583;
																																													}}
																																													BgL_newtail1247z00_2579
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) BgL_arg2347z00_2581), BNIL);
																																												}
																																												SET_CDR
																																													(BgL_tail1246z00_2576,
																																													BgL_newtail1247z00_2579);
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_arg2346z00_2580;
																																													BgL_arg2346z00_2580
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1243z00_2575));
																																													{
																																														obj_t
																																															BgL_tail1246z00_6082;
																																														obj_t
																																															BgL_l1243z00_6081;
																																														BgL_l1243z00_6081
																																															=
																																															BgL_arg2346z00_2580;
																																														BgL_tail1246z00_6082
																																															=
																																															BgL_newtail1247z00_2579;
																																														BgL_tail1246z00_2576
																																															=
																																															BgL_tail1246z00_6082;
																																														BgL_l1243z00_2575
																																															=
																																															BgL_l1243z00_6081;
																																														goto
																																															BgL_zc3z04anonymousza32344ze3z87_2577;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							{	/* Eval/evaluate.scm 516 */
																																								obj_t
																																									BgL_localsz00_2541;
																																								BgL_localsz00_2541
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_varsz00_2540,
																																									BgL_localsz00_70);
																																								{	/* Eval/evaluate.scm 521 */
																																									obj_t
																																										BgL_bodyz00_2542;
																																									{	/* Eval/evaluate.scm 522 */
																																										bool_t
																																											BgL_test3204z00_6084;
																																										{	/* Eval/evaluate.scm 522 */
																																											obj_t
																																												BgL_tmpz00_6085;
																																											BgL_tmpz00_6085
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_bodyz00_1547));
																																											BgL_test3204z00_6084
																																												=
																																												PAIRP
																																												(BgL_tmpz00_6085);
																																										}
																																										if (BgL_test3204z00_6084)
																																											{	/* Eval/evaluate.scm 522 */
																																												obj_t
																																													BgL_res2850z00_3774;
																																												BgL_res2850z00_3774
																																													=
																																													MAKE_YOUNG_EPAIR
																																													(BGl_symbol2944z00zz__evaluatez00,
																																													BgL_bodyz00_1547,
																																													BgL_locz00_74);
																																												BgL_bodyz00_2542
																																													=
																																													BgL_res2850z00_3774;
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 522 */
																																												BgL_bodyz00_2542
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_bodyz00_1547));
																																											}
																																									}
																																									{	/* Eval/evaluate.scm 522 */
																																										obj_t
																																											BgL_tbodyz00_2543;
																																										BgL_tbodyz00_2543
																																											=
																																											BGl_typezd2checkszd2zz__evaluatez00
																																											(BgL_ubindsz00_2539,
																																											BgL_bindsz00_1546,
																																											BgL_bodyz00_2542,
																																											BgL_locz00_74,
																																											BgL_wherez00_73);
																																										{	/* Eval/evaluate.scm 523 */
																																											obj_t
																																												BgL_blocz00_2544;
																																											{	/* Eval/evaluate.scm 144 */
																																												obj_t
																																													BgL__ortest_1069z00_3776;
																																												BgL__ortest_1069z00_3776
																																													=
																																													BGl_getzd2sourcezd2locationz00zz__readerz00
																																													(BgL_bindsz00_1546);
																																												if (CBOOL(BgL__ortest_1069z00_3776))
																																													{	/* Eval/evaluate.scm 144 */
																																														BgL_blocz00_2544
																																															=
																																															BgL__ortest_1069z00_3776;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 144 */
																																														BgL_blocz00_2544
																																															=
																																															BgL_locz00_74;
																																													}
																																											}
																																											{	/* Eval/evaluate.scm 524 */

																																												{	/* Eval/evaluate.scm 525 */
																																													BgL_ev_letrecz00_bglt
																																														BgL_new1139z00_2545;
																																													{	/* Eval/evaluate.scm 526 */
																																														BgL_ev_letrecz00_bglt
																																															BgL_new1138z00_2566;
																																														BgL_new1138z00_2566
																																															=
																																															(
																																															(BgL_ev_letrecz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_letrecz00_bgl))));
																																														{	/* Eval/evaluate.scm 526 */
																																															long
																																																BgL_arg2339z00_2567;
																																															BgL_arg2339z00_2567
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_letrecz00zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1138z00_2566), BgL_arg2339z00_2567);
																																														}
																																														BgL_new1139z00_2545
																																															=
																																															BgL_new1138z00_2566;
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2545)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2540), BUNSPEC);
																																													{
																																														obj_t
																																															BgL_auxz00_6102;
																																														if (NULLP(BgL_bindsz00_1546))
																																															{	/* Eval/evaluate.scm 527 */
																																																BgL_auxz00_6102
																																																	=
																																																	BNIL;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 527 */
																																																obj_t
																																																	BgL_head1250z00_2548;
																																																BgL_head1250z00_2548
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BNIL,
																																																	BNIL);
																																																{
																																																	obj_t
																																																		BgL_l1248z00_2550;
																																																	obj_t
																																																		BgL_tail1251z00_2551;
																																																	BgL_l1248z00_2550
																																																		=
																																																		BgL_bindsz00_1546;
																																																	BgL_tail1251z00_2551
																																																		=
																																																		BgL_head1250z00_2548;
																																																BgL_zc3z04anonymousza32328ze3z87_2552:
																																																	if (NULLP(BgL_l1248z00_2550))
																																																		{	/* Eval/evaluate.scm 527 */
																																																			BgL_auxz00_6102
																																																				=
																																																				CDR
																																																				(BgL_head1250z00_2548);
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 527 */
																																																			obj_t
																																																				BgL_newtail1252z00_2554;
																																																			{	/* Eval/evaluate.scm 527 */
																																																				obj_t
																																																					BgL_arg2331z00_2556;
																																																				{	/* Eval/evaluate.scm 527 */
																																																					obj_t
																																																						BgL_bz00_2557;
																																																					BgL_bz00_2557
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_l1248z00_2550));
																																																					{	/* Eval/evaluate.scm 528 */
																																																						obj_t
																																																							BgL_arg2332z00_2558;
																																																						obj_t
																																																							BgL_arg2333z00_2559;
																																																						obj_t
																																																							BgL_arg2334z00_2560;
																																																						{	/* Eval/evaluate.scm 528 */
																																																							obj_t
																																																								BgL_pairz00_3785;
																																																							BgL_pairz00_3785
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_bz00_2557));
																																																							BgL_arg2332z00_2558
																																																								=
																																																								CAR
																																																								(BgL_pairz00_3785);
																																																						}
																																																						{	/* Eval/evaluate.scm 528 */
																																																							obj_t
																																																								BgL_arg2335z00_2561;
																																																							BgL_arg2335z00_2561
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_bz00_2557));
																																																							{	/* Eval/evaluate.scm 528 */
																																																								obj_t
																																																									BgL_list2336z00_2562;
																																																								{	/* Eval/evaluate.scm 528 */
																																																									obj_t
																																																										BgL_arg2337z00_2563;
																																																									{	/* Eval/evaluate.scm 528 */
																																																										obj_t
																																																											BgL_arg2338z00_2564;
																																																										BgL_arg2338z00_2564
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BgL_wherez00_73,
																																																											BNIL);
																																																										BgL_arg2337z00_2563
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BGl_symbol2946z00zz__evaluatez00,
																																																											BgL_arg2338z00_2564);
																																																									}
																																																									BgL_list2336z00_2562
																																																										=
																																																										MAKE_YOUNG_PAIR
																																																										(BgL_arg2335z00_2561,
																																																										BgL_arg2337z00_2563);
																																																								}
																																																								BgL_arg2333z00_2559
																																																									=
																																																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																									(BgL_list2336z00_2562);
																																																							}
																																																						}
																																																						{	/* Eval/evaluate.scm 144 */
																																																							obj_t
																																																								BgL__ortest_1069z00_3787;
																																																							BgL__ortest_1069z00_3787
																																																								=
																																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																																								(BgL_bz00_2557);
																																																							if (CBOOL(BgL__ortest_1069z00_3787))
																																																								{	/* Eval/evaluate.scm 144 */
																																																									BgL_arg2334z00_2560
																																																										=
																																																										BgL__ortest_1069z00_3787;
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 144 */
																																																									BgL_arg2334z00_2560
																																																										=
																																																										BgL_blocz00_2544;
																																																								}
																																																						}
																																																						BgL_arg2331z00_2556
																																																							=
																																																							BGl_convz00zz__evaluatez00
																																																							(BgL_arg2332z00_2558,
																																																							BgL_localsz00_2541,
																																																							BgL_globalsz00_71,
																																																							BFALSE,
																																																							BgL_arg2333z00_2559,
																																																							BgL_arg2334z00_2560,
																																																							((bool_t) 0));
																																																					}
																																																				}
																																																				BgL_newtail1252z00_2554
																																																					=
																																																					MAKE_YOUNG_PAIR
																																																					(BgL_arg2331z00_2556,
																																																					BNIL);
																																																			}
																																																			SET_CDR
																																																				(BgL_tail1251z00_2551,
																																																				BgL_newtail1252z00_2554);
																																																			{	/* Eval/evaluate.scm 527 */
																																																				obj_t
																																																					BgL_arg2330z00_2555;
																																																				BgL_arg2330z00_2555
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_l1248z00_2550));
																																																				{
																																																					obj_t
																																																						BgL_tail1251z00_6130;
																																																					obj_t
																																																						BgL_l1248z00_6129;
																																																					BgL_l1248z00_6129
																																																						=
																																																						BgL_arg2330z00_2555;
																																																					BgL_tail1251z00_6130
																																																						=
																																																						BgL_newtail1252z00_2554;
																																																					BgL_tail1251z00_2551
																																																						=
																																																						BgL_tail1251z00_6130;
																																																					BgL_l1248z00_2550
																																																						=
																																																						BgL_l1248z00_6129;
																																																					goto
																																																						BgL_zc3z04anonymousza32328ze3z87_2552;
																																																				}
																																																			}
																																																		}
																																																}
																																															}
																																														((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2545)))->BgL_valsz00) = ((obj_t) BgL_auxz00_6102), BUNSPEC);
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2545)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convz00zz__evaluatez00(BgL_tbodyz00_2543, BgL_localsz00_2541, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													BgL_auxz00_6039
																																														=
																																														BgL_new1139z00_2545;
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6039);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_arg1710z00_1751;
																																				BgL_arg1710z00_1751
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_ez00_69));
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_6139;
																																					{
																																						obj_t
																																							BgL_argsz00_6141;
																																						obj_t
																																							BgL_fz00_6140;
																																						BgL_fz00_6140
																																							=
																																							BgL_arg1710z00_1751;
																																						BgL_argsz00_6141
																																							=
																																							BgL_cdrzd26736zd2_1745;
																																						BgL_argsz00_1588
																																							=
																																							BgL_argsz00_6141;
																																						BgL_fz00_1587
																																							=
																																							BgL_fz00_6140;
																																						goto
																																							BgL_tagzd2176zd2_1589;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6139);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		if (
																																			(CAR(
																																					((obj_t) BgL_ez00_69)) == BGl_symbol2965z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 424 */
																																				if (PAIRP(BgL_cdrzd26736zd2_1745))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_carzd26912zd2_1757;
																																						obj_t
																																							BgL_cdrzd26913zd2_1758;
																																						BgL_carzd26912zd2_1757
																																							=
																																							CAR
																																							(BgL_cdrzd26736zd2_1745);
																																						BgL_cdrzd26913zd2_1758
																																							=
																																							CDR
																																							(BgL_cdrzd26736zd2_1745);
																																						if (PAIRP(BgL_carzd26912zd2_1757))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd26917zd2_1760;
																																								BgL_cdrzd26917zd2_1760
																																									=
																																									CDR
																																									(BgL_carzd26912zd2_1757);
																																								if ((CAR(BgL_carzd26912zd2_1757) == BGl_symbol2951z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd26917zd2_1760))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_carzd26920zd2_1764;
																																												obj_t
																																													BgL_cdrzd26921zd2_1765;
																																												BgL_carzd26920zd2_1764
																																													=
																																													CAR
																																													(BgL_cdrzd26917zd2_1760);
																																												BgL_cdrzd26921zd2_1765
																																													=
																																													CDR
																																													(BgL_cdrzd26917zd2_1760);
																																												if (SYMBOLP(BgL_carzd26920zd2_1764))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd26921zd2_1765))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_carzd26925zd2_1768;
																																																BgL_carzd26925zd2_1768
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26921zd2_1765);
																																																if (SYMBOLP(BgL_carzd26925zd2_1768))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd26921zd2_1765)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (PAIRP(BgL_cdrzd26913zd2_1758))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						if (NULLP(CDR(BgL_cdrzd26913zd2_1758)))
																																																							{	/* Eval/evaluate.scm 424 */
																																																								obj_t
																																																									BgL_arg1728z00_1775;
																																																								BgL_arg1728z00_1775
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26913zd2_1758);
																																																								{	/* Eval/evaluate.scm 531 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1141z00_4020;
																																																									{	/* Eval/evaluate.scm 535 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1140z00_4021;
																																																										BgL_new1140z00_4021
																																																											=
																																																											(
																																																											(BgL_ev_setglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_setglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 535 */
																																																											long
																																																												BgL_arg2357z00_4022;
																																																											BgL_arg2357z00_4022
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1140z00_4021), BgL_arg2357z00_4022);
																																																										}
																																																										BgL_new1141z00_4020
																																																											=
																																																											BgL_new1140z00_4021;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6181;
																																																										{	/* Eval/evaluate.scm 380 */
																																																											obj_t
																																																												BgL_arg2404z00_4026;
																																																											BgL_arg2404z00_4026
																																																												=
																																																												BGl_getzd2locationzd2zz__evaluatez00
																																																												(BgL_arg1728z00_1775,
																																																												BgL_locz00_74);
																																																											BgL_auxz00_6181
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_uconvzf2locze70z15zz__evaluatez00
																																																												(BgL_wherez00_73,
																																																													BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_arg1728z00_1775,
																																																													BgL_arg2404z00_4026));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1141z00_4020)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6181), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4020))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4020))->BgL_namez00) = ((obj_t) BgL_carzd26920zd2_1764), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4020))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd26925zd2_1768)), BUNSPEC);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_new1141z00_4020);
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 424 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_74,
																																																									BGl_string2868z00zz__evaluatez00,
																																																									BGl_string2943z00zz__evaluatez00,
																																																									BgL_ez00_69);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string2868z00zz__evaluatez00,
																																																							BGl_string2943z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_cdrzd27041zd2_1777;
																																																				BgL_cdrzd27041zd2_1777
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_cdrzd27045zd2_1778;
																																																					BgL_cdrzd27045zd2_1778
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd27041zd2_1777));
																																																					if (PAIRP(BgL_cdrzd27045zd2_1778))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							if (NULLP(CDR(BgL_cdrzd27045zd2_1778)))
																																																								{	/* Eval/evaluate.scm 424 */
																																																									obj_t
																																																										BgL_arg1734z00_1782;
																																																									obj_t
																																																										BgL_arg1735z00_1783;
																																																									BgL_arg1734z00_1782
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd27041zd2_1777));
																																																									BgL_arg1735z00_1783
																																																										=
																																																										CAR
																																																										(BgL_cdrzd27045zd2_1778);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_6206;
																																																										BgL_vz00_1556
																																																											=
																																																											BgL_arg1734z00_1782;
																																																										BgL_ez00_1557
																																																											=
																																																											BgL_arg1735z00_1783;
																																																									BgL_tagzd2165zd2_1558:
																																																										{	/* Eval/evaluate.scm 541 */
																																																											obj_t
																																																												BgL_cvz00_2630;
																																																											obj_t
																																																												BgL_ez00_2631;
																																																											BgL_cvz00_2630
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_1556,
																																																												BgL_localsz00_70);
																																																											{	/* Eval/evaluate.scm 380 */
																																																												obj_t
																																																													BgL_arg2404z00_3801;
																																																												{	/* Eval/evaluate.scm 144 */
																																																													obj_t
																																																														BgL__ortest_1069z00_3802;
																																																													BgL__ortest_1069z00_3802
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_1557);
																																																													if (CBOOL(BgL__ortest_1069z00_3802))
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2404z00_3801
																																																																=
																																																																BgL__ortest_1069z00_3802;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2404z00_3801
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												BgL_ez00_2631
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_1557,
																																																													BgL_localsz00_70,
																																																													BgL_globalsz00_71,
																																																													BFALSE,
																																																													BgL_wherez00_73,
																																																													BgL_arg2404z00_3801,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_2630))
																																																												{	/* Eval/evaluate.scm 543 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1143z00_2632;
																																																													{	/* Eval/evaluate.scm 545 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1142z00_2633;
																																																														BgL_new1142z00_2633
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 545 */
																																																															long
																																																																BgL_arg2371z00_2634;
																																																															BgL_arg2371z00_2634
																																																																=
																																																																BGL_CLASS_NUM
																																																																(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1142z00_2633), BgL_arg2371z00_2634);
																																																														}
																																																														BgL_new1143z00_2632
																																																															=
																																																															BgL_new1142z00_2633;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1143z00_2632)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2631)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1143z00_2632))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_2630)), BUNSPEC);
																																																													BgL_auxz00_6206
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1143z00_2632);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 546 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1145z00_2635;
																																																													{	/* Eval/evaluate.scm 550 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1144z00_2637;
																																																														BgL_new1144z00_2637
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 550 */
																																																															long
																																																																BgL_arg2373z00_2638;
																																																															BgL_arg2373z00_2638
																																																																=
																																																																BGL_CLASS_NUM
																																																																(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1144z00_2637), BgL_arg2373z00_2638);
																																																														}
																																																														BgL_new1145z00_2635
																																																															=
																																																															BgL_new1144z00_2637;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1145z00_2635)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2631)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2635))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2635))->BgL_namez00) = ((obj_t) BgL_vz00_1556), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6233;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																															{	/* Eval/evaluate.scm 549 */
																																																																BgL_auxz00_6233
																																																																	=
																																																																	BgL_globalsz00_71;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 549 */
																																																																BgL_auxz00_6233
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2635))->BgL_modz00) = ((obj_t) BgL_auxz00_6233), BUNSPEC);
																																																													}
																																																													BgL_auxz00_6206
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1145z00_2635);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6206);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 424 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_74,
																																																										BGl_string2868z00zz__evaluatez00,
																																																										BGl_string2943z00zz__evaluatez00,
																																																										BgL_ez00_69);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2868z00zz__evaluatez00,
																																																								BGl_string2943z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd27102zd2_1786;
																																																		BgL_cdrzd27102zd2_1786
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_cdrzd27106zd2_1787;
																																																			BgL_cdrzd27106zd2_1787
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27102zd2_1786));
																																																			if (PAIRP(BgL_cdrzd27106zd2_1787))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					if (NULLP(CDR(BgL_cdrzd27106zd2_1787)))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							obj_t
																																																								BgL_arg1741z00_1791;
																																																							obj_t
																																																								BgL_arg1742z00_1792;
																																																							BgL_arg1741z00_1791
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd27102zd2_1786));
																																																							BgL_arg1742z00_1792
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27106zd2_1787);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6254;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6256;
																																																									obj_t
																																																										BgL_vz00_6255;
																																																									BgL_vz00_6255
																																																										=
																																																										BgL_arg1741z00_1791;
																																																									BgL_ez00_6256
																																																										=
																																																										BgL_arg1742z00_1792;
																																																									BgL_ez00_1557
																																																										=
																																																										BgL_ez00_6256;
																																																									BgL_vz00_1556
																																																										=
																																																										BgL_vz00_6255;
																																																									goto
																																																										BgL_tagzd2165zd2_1558;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6254);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2868z00zz__evaluatez00,
																																																								BGl_string2943z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2868z00zz__evaluatez00,
																																																						BGl_string2943z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27163zd2_1794;
																																																BgL_cdrzd27163zd2_1794
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_cdrzd27167zd2_1795;
																																																	BgL_cdrzd27167zd2_1795
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27163zd2_1794));
																																																	if (PAIRP(BgL_cdrzd27167zd2_1795))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			if (NULLP(CDR(BgL_cdrzd27167zd2_1795)))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_arg1747z00_1799;
																																																					obj_t
																																																						BgL_arg1748z00_1800;
																																																					BgL_arg1747z00_1799
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27163zd2_1794));
																																																					BgL_arg1748z00_1800
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27167zd2_1795);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6272;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6274;
																																																							obj_t
																																																								BgL_vz00_6273;
																																																							BgL_vz00_6273
																																																								=
																																																								BgL_arg1747z00_1799;
																																																							BgL_ez00_6274
																																																								=
																																																								BgL_arg1748z00_1800;
																																																							BgL_ez00_1557
																																																								=
																																																								BgL_ez00_6274;
																																																							BgL_vz00_1556
																																																								=
																																																								BgL_vz00_6273;
																																																							goto
																																																								BgL_tagzd2165zd2_1558;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6272);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2868z00zz__evaluatez00,
																																																						BGl_string2943z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2868z00zz__evaluatez00,
																																																				BGl_string2943z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd27224zd2_1802;
																																														BgL_cdrzd27224zd2_1802
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_cdrzd27228zd2_1803;
																																															BgL_cdrzd27228zd2_1803
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd27224zd2_1802));
																																															if (PAIRP(BgL_cdrzd27228zd2_1803))
																																																{	/* Eval/evaluate.scm 424 */
																																																	if (NULLP(CDR(BgL_cdrzd27228zd2_1803)))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_arg1753z00_1807;
																																																			obj_t
																																																				BgL_arg1754z00_1808;
																																																			BgL_arg1753z00_1807
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27224zd2_1802));
																																																			BgL_arg1754z00_1808
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27228zd2_1803);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6290;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6292;
																																																					obj_t
																																																						BgL_vz00_6291;
																																																					BgL_vz00_6291
																																																						=
																																																						BgL_arg1753z00_1807;
																																																					BgL_ez00_6292
																																																						=
																																																						BgL_arg1754z00_1808;
																																																					BgL_ez00_1557
																																																						=
																																																						BgL_ez00_6292;
																																																					BgL_vz00_1556
																																																						=
																																																						BgL_vz00_6291;
																																																					goto
																																																						BgL_tagzd2165zd2_1558;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6290);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2868z00zz__evaluatez00,
																																																				BGl_string2943z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2868z00zz__evaluatez00,
																																																		BGl_string2943z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd27285zd2_1810;
																																												BgL_cdrzd27285zd2_1810
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd27289zd2_1811;
																																													BgL_cdrzd27289zd2_1811
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27285zd2_1810));
																																													if (PAIRP(BgL_cdrzd27289zd2_1811))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27289zd2_1811)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1759z00_1815;
																																																	obj_t
																																																		BgL_arg1760z00_1816;
																																																	BgL_arg1759z00_1815
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27285zd2_1810));
																																																	BgL_arg1760z00_1816
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27289zd2_1811);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6308;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6310;
																																																			obj_t
																																																				BgL_vz00_6309;
																																																			BgL_vz00_6309
																																																				=
																																																				BgL_arg1759z00_1815;
																																																			BgL_ez00_6310
																																																				=
																																																				BgL_arg1760z00_1816;
																																																			BgL_ez00_1557
																																																				=
																																																				BgL_ez00_6310;
																																																			BgL_vz00_1556
																																																				=
																																																				BgL_vz00_6309;
																																																			goto
																																																				BgL_tagzd2165zd2_1558;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6308);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2868z00zz__evaluatez00,
																																																		BGl_string2943z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2868z00zz__evaluatez00,
																																																BGl_string2943z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd27333zd2_1818;
																																										BgL_cdrzd27333zd2_1818
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_carzd27336zd2_1819;
																																											obj_t
																																												BgL_cdrzd27337zd2_1820;
																																											BgL_carzd27336zd2_1819
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd27333zd2_1818));
																																											BgL_cdrzd27337zd2_1820
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd27333zd2_1818));
																																											if ((CAR(((obj_t) BgL_carzd27336zd2_1819)) == BGl_symbol2953z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (PAIRP(BgL_cdrzd27337zd2_1820))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27337zd2_1820)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1769z00_1826;
																																																	obj_t
																																																		BgL_arg1770z00_1827;
																																																	BgL_arg1769z00_1826
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd27336zd2_1819));
																																																	BgL_arg1770z00_1827
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27337zd2_1820);
																																																	BgL_lz00_1553
																																																		=
																																																		BgL_arg1769z00_1826;
																																																	BgL_e2z00_1554
																																																		=
																																																		BgL_arg1770z00_1827;
																																																BgL_tagzd2164zd2_1555:
																																																	{	/* Eval/evaluate.scm 537 */
																																																		bool_t
																																																			BgL_test3236z00_6332;
																																																		if (PAIRP(BgL_lz00_1553))
																																																			{	/* Eval/evaluate.scm 537 */
																																																				bool_t
																																																					BgL_test3238z00_6335;
																																																				{	/* Eval/evaluate.scm 537 */
																																																					obj_t
																																																						BgL_tmpz00_6336;
																																																					BgL_tmpz00_6336
																																																						=
																																																						CDR
																																																						(BgL_lz00_1553);
																																																					BgL_test3238z00_6335
																																																						=
																																																						PAIRP
																																																						(BgL_tmpz00_6336);
																																																				}
																																																				if (BgL_test3238z00_6335)
																																																					{
																																																						obj_t
																																																							BgL_l1253z00_2621;
																																																						BgL_l1253z00_2621
																																																							=
																																																							BgL_lz00_1553;
																																																					BgL_zc3z04anonymousza32367ze3z87_2622:
																																																						if (NULLP(BgL_l1253z00_2621))
																																																							{	/* Eval/evaluate.scm 537 */
																																																								BgL_test3236z00_6332
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 537 */
																																																								bool_t
																																																									BgL_test3240z00_6341;
																																																								{	/* Eval/evaluate.scm 537 */
																																																									obj_t
																																																										BgL_tmpz00_6342;
																																																									BgL_tmpz00_6342
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_l1253z00_2621));
																																																									BgL_test3240z00_6341
																																																										=
																																																										SYMBOLP
																																																										(BgL_tmpz00_6342);
																																																								}
																																																								if (BgL_test3240z00_6341)
																																																									{
																																																										obj_t
																																																											BgL_l1253z00_6346;
																																																										BgL_l1253z00_6346
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_l1253z00_2621));
																																																										BgL_l1253z00_2621
																																																											=
																																																											BgL_l1253z00_6346;
																																																										goto
																																																											BgL_zc3z04anonymousza32367ze3z87_2622;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 537 */
																																																										BgL_test3236z00_6332
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 537 */
																																																						BgL_test3236z00_6332
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 537 */
																																																				BgL_test3236z00_6332
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_test3236z00_6332)
																																																			{	/* Eval/evaluate.scm 537 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_1553,
																																																					BgL_e2z00_1554,
																																																					BgL_ez00_69,
																																																					BgL_localsz00_70,
																																																					BgL_globalsz00_71,
																																																					BgL_tailzf3zf3_72,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					BgL_topzf3zf3_75);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 537 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string2868z00zz__evaluatez00,
																																																					BGl_string2943z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2868z00zz__evaluatez00,
																																																		BGl_string2943z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2868z00zz__evaluatez00,
																																																BGl_string2943z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd27413zd2_1830;
																																													BgL_cdrzd27413zd2_1830
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27333zd2_1818));
																																													if (PAIRP(BgL_cdrzd27413zd2_1830))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27413zd2_1830)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1775z00_1834;
																																																	obj_t
																																																		BgL_arg1776z00_1835;
																																																	BgL_arg1775z00_1834
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27333zd2_1818));
																																																	BgL_arg1776z00_1835
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27413zd2_1830);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6363;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6365;
																																																			obj_t
																																																				BgL_vz00_6364;
																																																			BgL_vz00_6364
																																																				=
																																																				BgL_arg1775z00_1834;
																																																			BgL_ez00_6365
																																																				=
																																																				BgL_arg1776z00_1835;
																																																			BgL_ez00_1557
																																																				=
																																																				BgL_ez00_6365;
																																																			BgL_vz00_1556
																																																				=
																																																				BgL_vz00_6364;
																																																			goto
																																																				BgL_tagzd2165zd2_1558;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6363);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2868z00zz__evaluatez00,
																																																		BGl_string2943z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2868z00zz__evaluatez00,
																																																BGl_string2943z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd27470zd2_1839;
																																								BgL_cdrzd27470zd2_1839
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{	/* Eval/evaluate.scm 424 */
																																									obj_t
																																										BgL_cdrzd27474zd2_1840;
																																									BgL_cdrzd27474zd2_1840
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd27470zd2_1839));
																																									if (PAIRP(BgL_cdrzd27474zd2_1840))
																																										{	/* Eval/evaluate.scm 424 */
																																											if (NULLP(CDR(BgL_cdrzd27474zd2_1840)))
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_arg1783z00_1844;
																																													obj_t
																																														BgL_arg1784z00_1845;
																																													BgL_arg1783z00_1844
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd27470zd2_1839));
																																													BgL_arg1784z00_1845
																																														=
																																														CAR
																																														(BgL_cdrzd27474zd2_1840);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_6381;
																																														{
																																															obj_t
																																																BgL_ez00_6383;
																																															obj_t
																																																BgL_vz00_6382;
																																															BgL_vz00_6382
																																																=
																																																BgL_arg1783z00_1844;
																																															BgL_ez00_6383
																																																=
																																																BgL_arg1784z00_1845;
																																															BgL_ez00_1557
																																																=
																																																BgL_ez00_6383;
																																															BgL_vz00_1556
																																																=
																																																BgL_vz00_6382;
																																															goto
																																																BgL_tagzd2165zd2_1558;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_6381);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2868z00zz__evaluatez00,
																																														BGl_string2943z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string2868z00zz__evaluatez00,
																																												BGl_string2943z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_74,
																																							BGl_string2868z00zz__evaluatez00,
																																							BGl_string2943z00zz__evaluatez00,
																																							BgL_ez00_69);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_cdrzd27595zd2_1847;
																																				BgL_cdrzd27595zd2_1847
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_ez00_69));
																																				if ((CAR
																																						(((obj_t) BgL_ez00_69)) == BGl_symbol2967z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 424 */
																																						if (PAIRP(BgL_cdrzd27595zd2_1847))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd27600zd2_1851;
																																								BgL_cdrzd27600zd2_1851
																																									=
																																									CDR
																																									(BgL_cdrzd27595zd2_1847);
																																								if (PAIRP(BgL_cdrzd27600zd2_1851))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd27604zd2_1853;
																																										BgL_carzd27604zd2_1853
																																											=
																																											CAR
																																											(BgL_cdrzd27600zd2_1851);
																																										if (PAIRP(BgL_carzd27604zd2_1853))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd27609zd2_1855;
																																												BgL_cdrzd27609zd2_1855
																																													=
																																													CDR
																																													(BgL_carzd27604zd2_1853);
																																												if ((CAR(BgL_carzd27604zd2_1853) == BGl_symbol2932z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd27609zd2_1855))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27613zd2_1859;
																																																BgL_cdrzd27613zd2_1859
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27609zd2_1855);
																																																if (PAIRP(BgL_cdrzd27613zd2_1859))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd27613zd2_1859)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd27600zd2_1851)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1799z00_1865;
																																																						obj_t
																																																							BgL_arg1800z00_1866;
																																																						obj_t
																																																							BgL_arg1801z00_1867;
																																																						BgL_arg1799z00_1865
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27595zd2_1847);
																																																						BgL_arg1800z00_1866
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27609zd2_1855);
																																																						BgL_arg1801z00_1867
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27613zd2_1859);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6420;
																																																							BgL_gvz00_1560
																																																								=
																																																								BgL_arg1799z00_1865;
																																																							BgL_formalsz00_1561
																																																								=
																																																								BgL_arg1800z00_1866;
																																																							BgL_bodyz00_1562
																																																								=
																																																								BgL_arg1801z00_1867;
																																																						BgL_tagzd2167zd2_1563:
																																																							{	/* Eval/evaluate.scm 554 */
																																																								obj_t
																																																									BgL_tidz00_2639;
																																																								BgL_tidz00_2639
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1560);
																																																								{	/* Eval/evaluate.scm 555 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1147z00_2640;
																																																									{	/* Eval/evaluate.scm 559 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1146z00_2643;
																																																										BgL_new1146z00_2643
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 559 */
																																																											long
																																																												BgL_arg2376z00_2644;
																																																											BgL_arg2376z00_2644
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1146z00_2643), BgL_arg2376z00_2644);
																																																										}
																																																										BgL_new1147z00_2640
																																																											=
																																																											BgL_new1146z00_2643;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6426;
																																																										{	/* Eval/evaluate.scm 559 */
																																																											obj_t
																																																												BgL_arg2374z00_2641;
																																																											BgL_arg2374z00_2641
																																																												=
																																																												CDR
																																																												(BgL_tidz00_2639);
																																																											BgL_auxz00_6426
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_convzd2lambdaze70z35zz__evaluatez00
																																																												(BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_ez00_69,
																																																													BgL_locz00_74,
																																																													BgL_formalsz00_1561,
																																																													BgL_bodyz00_1562,
																																																													BgL_gvz00_1560,
																																																													BgL_arg2374z00_2641));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1147z00_2640)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6426), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2640)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2640)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2639)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6437;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 558 */
																																																												BgL_auxz00_6437
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 558 */
																																																												BgL_auxz00_6437
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2640)))->BgL_modz00) = ((obj_t) BgL_auxz00_6437), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6420
																																																										=
																																																										BgL_new1147z00_2640;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6420);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1802z00_1868;
																																																						BgL_arg1802z00_1868
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6446;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6448;
																																																								obj_t
																																																									BgL_fz00_6447;
																																																								BgL_fz00_6447
																																																									=
																																																									BgL_arg1802z00_1868;
																																																								BgL_argsz00_6448
																																																									=
																																																									BgL_cdrzd27595zd2_1847;
																																																								BgL_argsz00_1588
																																																									=
																																																									BgL_argsz00_6448;
																																																								BgL_fz00_1587
																																																									=
																																																									BgL_fz00_6447;
																																																								goto
																																																									BgL_tagzd2176zd2_1589;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6446);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_cdrzd27715zd2_1872;
																																																				BgL_cdrzd27715zd2_1872
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd27595zd2_1847));
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd27715zd2_1872))))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1809z00_1875;
																																																						obj_t
																																																							BgL_arg1810z00_1876;
																																																						BgL_arg1809z00_1875
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27595zd2_1847));
																																																						BgL_arg1810z00_1876
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27715zd2_1872));
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6460;
																																																							BgL_gvz00_1564
																																																								=
																																																								BgL_arg1809z00_1875;
																																																							BgL_gez00_1565
																																																								=
																																																								BgL_arg1810z00_1876;
																																																						BgL_tagzd2168zd2_1566:
																																																							{	/* Eval/evaluate.scm 561 */
																																																								obj_t
																																																									BgL_tidz00_2645;
																																																								BgL_tidz00_2645
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1564);
																																																								{	/* Eval/evaluate.scm 562 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1149z00_2646;
																																																									{	/* Eval/evaluate.scm 566 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1148z00_2651;
																																																										BgL_new1148z00_2651
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 566 */
																																																											long
																																																												BgL_arg2382z00_2652;
																																																											BgL_arg2382z00_2652
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1148z00_2651), BgL_arg2382z00_2652);
																																																										}
																																																										BgL_new1149z00_2646
																																																											=
																																																											BgL_new1148z00_2651;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6466;
																																																										{	/* Eval/evaluate.scm 567 */
																																																											obj_t
																																																												BgL_arg2378z00_2647;
																																																											{	/* Eval/evaluate.scm 567 */
																																																												obj_t
																																																													BgL_arg2380z00_2649;
																																																												BgL_arg2380z00_2649
																																																													=
																																																													CDR
																																																													(BgL_tidz00_2645);
																																																												BgL_arg2378z00_2647
																																																													=
																																																													BGl_typezd2resultzd2zz__evaluatez00
																																																													(BgL_arg2380z00_2649,
																																																													BgL_gez00_1565,
																																																													BgL_locz00_74);
																																																											}
																																																											{	/* Eval/evaluate.scm 383 */
																																																												obj_t
																																																													BgL_arg2407z00_3818;
																																																												{	/* Eval/evaluate.scm 144 */
																																																													obj_t
																																																														BgL__ortest_1069z00_3819;
																																																													BgL__ortest_1069z00_3819
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_arg2378z00_2647);
																																																													if (CBOOL(BgL__ortest_1069z00_3819))
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2407z00_3818
																																																																=
																																																																BgL__ortest_1069z00_3819;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2407z00_3818
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												{
																																																													obj_t
																																																														BgL_auxz00_6473;
																																																													{	/* Eval/evaluate.scm 374 */
																																																														obj_t
																																																															BgL_auxz00_6474;
																																																														if (BgL_topzf3zf3_75)
																																																															{	/* Eval/evaluate.scm 568 */
																																																																BgL_auxz00_6474
																																																																	=
																																																																	BgL_gvz00_1564;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 568 */
																																																																BgL_auxz00_6474
																																																																	=
																																																																	BgL_wherez00_73;
																																																															}
																																																														BgL_auxz00_6473
																																																															=
																																																															BGl_convz00zz__evaluatez00
																																																															(BgL_arg2378z00_2647,
																																																															BgL_localsz00_70,
																																																															BgL_globalsz00_71,
																																																															BFALSE,
																																																															BgL_auxz00_6474,
																																																															BgL_arg2407z00_3818,
																																																															((bool_t) 0));
																																																													}
																																																													BgL_auxz00_6466
																																																														=
																																																														(
																																																														(BgL_ev_exprz00_bglt)
																																																														BgL_auxz00_6473);
																																																												}
																																																											}
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1149z00_2646)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6466), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2646)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2646)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2645)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6484;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 565 */
																																																												BgL_auxz00_6484
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 565 */
																																																												BgL_auxz00_6484
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2646)))->BgL_modz00) = ((obj_t) BgL_auxz00_6484), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6460
																																																										=
																																																										BgL_new1149z00_2646;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6460);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1811z00_1877;
																																																						obj_t
																																																							BgL_arg1812z00_1878;
																																																						BgL_arg1811z00_1877
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						BgL_arg1812z00_1878
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6495;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6497;
																																																								obj_t
																																																									BgL_fz00_6496;
																																																								BgL_fz00_6496
																																																									=
																																																									BgL_arg1811z00_1877;
																																																								BgL_argsz00_6497
																																																									=
																																																									BgL_arg1812z00_1878;
																																																								BgL_argsz00_1588
																																																									=
																																																									BgL_argsz00_6497;
																																																								BgL_fz00_1587
																																																									=
																																																									BgL_fz00_6496;
																																																								goto
																																																									BgL_tagzd2176zd2_1589;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6495);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd27804zd2_1882;
																																																		BgL_cdrzd27804zd2_1882
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd27595zd2_1847));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd27804zd2_1882))))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1817z00_1885;
																																																				obj_t
																																																					BgL_arg1819z00_1886;
																																																				BgL_arg1817z00_1885
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27595zd2_1847));
																																																				BgL_arg1819z00_1886
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27804zd2_1882));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6509;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6511;
																																																						obj_t
																																																							BgL_gvz00_6510;
																																																						BgL_gvz00_6510
																																																							=
																																																							BgL_arg1817z00_1885;
																																																						BgL_gez00_6511
																																																							=
																																																							BgL_arg1819z00_1886;
																																																						BgL_gez00_1565
																																																							=
																																																							BgL_gez00_6511;
																																																						BgL_gvz00_1564
																																																							=
																																																							BgL_gvz00_6510;
																																																						goto
																																																							BgL_tagzd2168zd2_1566;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6509);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1820z00_1887;
																																																				obj_t
																																																					BgL_arg1821z00_1888;
																																																				BgL_arg1820z00_1887
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg1821z00_1888
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6517;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6519;
																																																						obj_t
																																																							BgL_fz00_6518;
																																																						BgL_fz00_6518
																																																							=
																																																							BgL_arg1820z00_1887;
																																																						BgL_argsz00_6519
																																																							=
																																																							BgL_arg1821z00_1888;
																																																						BgL_argsz00_1588
																																																							=
																																																							BgL_argsz00_6519;
																																																						BgL_fz00_1587
																																																							=
																																																							BgL_fz00_6518;
																																																						goto
																																																							BgL_tagzd2176zd2_1589;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6517);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27893zd2_1891;
																																																BgL_cdrzd27893zd2_1891
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd27595zd2_1847));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd27893zd2_1891))))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1825z00_1894;
																																																		obj_t
																																																			BgL_arg1826z00_1895;
																																																		BgL_arg1825z00_1894
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27595zd2_1847));
																																																		BgL_arg1826z00_1895
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27893zd2_1891));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6531;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6533;
																																																				obj_t
																																																					BgL_gvz00_6532;
																																																				BgL_gvz00_6532
																																																					=
																																																					BgL_arg1825z00_1894;
																																																				BgL_gez00_6533
																																																					=
																																																					BgL_arg1826z00_1895;
																																																				BgL_gez00_1565
																																																					=
																																																					BgL_gez00_6533;
																																																				BgL_gvz00_1564
																																																					=
																																																					BgL_gvz00_6532;
																																																				goto
																																																					BgL_tagzd2168zd2_1566;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6531);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1827z00_1896;
																																																		obj_t
																																																			BgL_arg1828z00_1897;
																																																		BgL_arg1827z00_1896
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1828z00_1897
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6539;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6541;
																																																				obj_t
																																																					BgL_fz00_6540;
																																																				BgL_fz00_6540
																																																					=
																																																					BgL_arg1827z00_1896;
																																																				BgL_argsz00_6541
																																																					=
																																																					BgL_arg1828z00_1897;
																																																				BgL_argsz00_1588
																																																					=
																																																					BgL_argsz00_6541;
																																																				BgL_fz00_1587
																																																					=
																																																					BgL_fz00_6540;
																																																				goto
																																																					BgL_tagzd2176zd2_1589;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6539);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd27982zd2_1900;
																																														BgL_cdrzd27982zd2_1900
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd27595zd2_1847));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd27982zd2_1900))))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1832z00_1903;
																																																obj_t
																																																	BgL_arg1833z00_1904;
																																																BgL_arg1832z00_1903
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27595zd2_1847));
																																																BgL_arg1833z00_1904
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27982zd2_1900));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6553;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6555;
																																																		obj_t
																																																			BgL_gvz00_6554;
																																																		BgL_gvz00_6554
																																																			=
																																																			BgL_arg1832z00_1903;
																																																		BgL_gez00_6555
																																																			=
																																																			BgL_arg1833z00_1904;
																																																		BgL_gez00_1565
																																																			=
																																																			BgL_gez00_6555;
																																																		BgL_gvz00_1564
																																																			=
																																																			BgL_gvz00_6554;
																																																		goto
																																																			BgL_tagzd2168zd2_1566;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6553);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1834z00_1905;
																																																obj_t
																																																	BgL_arg1835z00_1906;
																																																BgL_arg1834z00_1905
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg1835z00_1906
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6561;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6563;
																																																		obj_t
																																																			BgL_fz00_6562;
																																																		BgL_fz00_6562
																																																			=
																																																			BgL_arg1834z00_1905;
																																																		BgL_argsz00_6563
																																																			=
																																																			BgL_arg1835z00_1906;
																																																		BgL_argsz00_1588
																																																			=
																																																			BgL_argsz00_6563;
																																																		BgL_fz00_1587
																																																			=
																																																			BgL_fz00_6562;
																																																		goto
																																																			BgL_tagzd2176zd2_1589;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6561);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd28071zd2_1910;
																																												BgL_cdrzd28071zd2_1910
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd27595zd2_1847));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd28071zd2_1910))))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1840z00_1913;
																																														obj_t
																																															BgL_arg1841z00_1914;
																																														BgL_arg1840z00_1913
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd27595zd2_1847));
																																														BgL_arg1841z00_1914
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd28071zd2_1910));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6575;
																																															{
																																																obj_t
																																																	BgL_gez00_6577;
																																																obj_t
																																																	BgL_gvz00_6576;
																																																BgL_gvz00_6576
																																																	=
																																																	BgL_arg1840z00_1913;
																																																BgL_gez00_6577
																																																	=
																																																	BgL_arg1841z00_1914;
																																																BgL_gez00_1565
																																																	=
																																																	BgL_gez00_6577;
																																																BgL_gvz00_1564
																																																	=
																																																	BgL_gvz00_6576;
																																																goto
																																																	BgL_tagzd2168zd2_1566;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6575);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1842z00_1915;
																																														obj_t
																																															BgL_arg1843z00_1916;
																																														BgL_arg1842z00_1915
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1843z00_1916
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6583;
																																															{
																																																obj_t
																																																	BgL_argsz00_6585;
																																																obj_t
																																																	BgL_fz00_6584;
																																																BgL_fz00_6584
																																																	=
																																																	BgL_arg1842z00_1915;
																																																BgL_argsz00_6585
																																																	=
																																																	BgL_arg1843z00_1916;
																																																BgL_argsz00_1588
																																																	=
																																																	BgL_argsz00_6585;
																																																BgL_fz00_1587
																																																	=
																																																	BgL_fz00_6584;
																																																goto
																																																	BgL_tagzd2176zd2_1589;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6583);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg1845z00_1918;
																																										BgL_arg1845z00_1918
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6589;
																																											{
																																												obj_t
																																													BgL_argsz00_6591;
																																												obj_t
																																													BgL_fz00_6590;
																																												BgL_fz00_6590
																																													=
																																													BgL_arg1845z00_1918;
																																												BgL_argsz00_6591
																																													=
																																													BgL_cdrzd27595zd2_1847;
																																												BgL_argsz00_1588
																																													=
																																													BgL_argsz00_6591;
																																												BgL_fz00_1587
																																													=
																																													BgL_fz00_6590;
																																												goto
																																													BgL_tagzd2176zd2_1589;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6589);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg1847z00_1920;
																																								BgL_arg1847z00_1920
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6595;
																																									{
																																										obj_t
																																											BgL_argsz00_6597;
																																										obj_t
																																											BgL_fz00_6596;
																																										BgL_fz00_6596
																																											=
																																											BgL_arg1847z00_1920;
																																										BgL_argsz00_6597
																																											=
																																											BgL_cdrzd27595zd2_1847;
																																										BgL_argsz00_1588
																																											=
																																											BgL_argsz00_6597;
																																										BgL_fz00_1587
																																											=
																																											BgL_fz00_6596;
																																										goto
																																											BgL_tagzd2176zd2_1589;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6595);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						if (
																																							(CAR
																																								(((obj_t) BgL_ez00_69)) == BGl_symbol2969z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd27595zd2_1847))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd28319zd2_1926;
																																										BgL_carzd28319zd2_1926
																																											=
																																											CAR
																																											(BgL_cdrzd27595zd2_1847);
																																										if (PAIRP(BgL_carzd28319zd2_1926))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (NULLP(CDR(BgL_carzd28319zd2_1926)))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1856z00_1930;
																																														obj_t
																																															BgL_arg1857z00_1931;
																																														BgL_arg1856z00_1930
																																															=
																																															CAR
																																															(BgL_carzd28319zd2_1926);
																																														BgL_arg1857z00_1931
																																															=
																																															CDR
																																															(BgL_cdrzd27595zd2_1847);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_6613;
																																															BgL_vz00_1567
																																																=
																																																BgL_arg1856z00_1930;
																																															BgL_bodyz00_1568
																																																=
																																																BgL_arg1857z00_1931;
																																														BgL_tagzd2169zd2_1569:
																																															{	/* Eval/evaluate.scm 570 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_2653;
																																																{	/* Eval/evaluate.scm 570 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1151z00_2658;
																																																	{	/* Eval/evaluate.scm 570 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1150z00_2659;
																																																		BgL_new1150z00_2659
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 570 */
																																																			long
																																																				BgL_arg2385z00_2660;
																																																			BgL_arg2385z00_2660
																																																				=
																																																				BGL_CLASS_NUM
																																																				(BGl_ev_varz00zz__evaluate_typesz00);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1150z00_2659), BgL_arg2385z00_2660);
																																																		}
																																																		BgL_new1151z00_2658
																																																			=
																																																			BgL_new1150z00_2659;
																																																	}
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2658))->BgL_namez00) = ((obj_t) BgL_vz00_1567), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2658))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2658))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_2653
																																																		=
																																																		BgL_new1151z00_2658;
																																																}
																																																{	/* Eval/evaluate.scm 571 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1153z00_2654;
																																																	{	/* Eval/evaluate.scm 572 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1152z00_2656;
																																																		BgL_new1152z00_2656
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 572 */
																																																			long
																																																				BgL_arg2384z00_2657;
																																																			BgL_arg2384z00_2657
																																																				=
																																																				BGL_CLASS_NUM
																																																				(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1152z00_2656), BgL_arg2384z00_2657);
																																																		}
																																																		BgL_new1153z00_2654
																																																			=
																																																			BgL_new1152z00_2656;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1153z00_2654))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_2653), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_6626;
																																																		{	/* Eval/evaluate.scm 573 */
																																																			obj_t
																																																				BgL_arg2383z00_2655;
																																																			BgL_arg2383z00_2655
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_2653), BgL_localsz00_70);
																																																			BgL_auxz00_6626
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_1568,
																																																					BgL_arg2383z00_2655,
																																																					BgL_globalsz00_71,
																																																					BFALSE,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1153z00_2654))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6626), BUNSPEC);
																																																	}
																																																	BgL_auxz00_6613
																																																		=
																																																		BgL_new1153z00_2654;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6613);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1859z00_1932;
																																														obj_t
																																															BgL_arg1860z00_1933;
																																														BgL_arg1859z00_1932
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1860z00_1933
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6637;
																																															{
																																																obj_t
																																																	BgL_argsz00_6639;
																																																obj_t
																																																	BgL_fz00_6638;
																																																BgL_fz00_6638
																																																	=
																																																	BgL_arg1859z00_1932;
																																																BgL_argsz00_6639
																																																	=
																																																	BgL_arg1860z00_1933;
																																																BgL_argsz00_1588
																																																	=
																																																	BgL_argsz00_6639;
																																																BgL_fz00_1587
																																																	=
																																																	BgL_fz00_6638;
																																																goto
																																																	BgL_tagzd2176zd2_1589;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6637);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1862z00_1935;
																																												obj_t
																																													BgL_arg1864z00_1936;
																																												BgL_arg1862z00_1935
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg1864z00_1936
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6645;
																																													{
																																														obj_t
																																															BgL_argsz00_6647;
																																														obj_t
																																															BgL_fz00_6646;
																																														BgL_fz00_6646
																																															=
																																															BgL_arg1862z00_1935;
																																														BgL_argsz00_6647
																																															=
																																															BgL_arg1864z00_1936;
																																														BgL_argsz00_1588
																																															=
																																															BgL_argsz00_6647;
																																														BgL_fz00_1587
																																															=
																																															BgL_fz00_6646;
																																														goto
																																															BgL_tagzd2176zd2_1589;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6645);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg1865z00_1937;
																																										obj_t
																																											BgL_arg1866z00_1938;
																																										BgL_arg1865z00_1937
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										BgL_arg1866z00_1938
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6653;
																																											{
																																												obj_t
																																													BgL_argsz00_6655;
																																												obj_t
																																													BgL_fz00_6654;
																																												BgL_fz00_6654
																																													=
																																													BgL_arg1865z00_1937;
																																												BgL_argsz00_6655
																																													=
																																													BgL_arg1866z00_1938;
																																												BgL_argsz00_1588
																																													=
																																													BgL_argsz00_6655;
																																												BgL_fz00_1587
																																													=
																																													BgL_fz00_6654;
																																												goto
																																													BgL_tagzd2176zd2_1589;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6653);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd28490zd2_1939;
																																								BgL_cdrzd28490zd2_1939
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2971z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd28490zd2_1939))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1870z00_1943;
																																												obj_t
																																													BgL_arg1871z00_1944;
																																												BgL_arg1870z00_1943
																																													=
																																													CAR
																																													(BgL_cdrzd28490zd2_1939);
																																												BgL_arg1871z00_1944
																																													=
																																													CDR
																																													(BgL_cdrzd28490zd2_1939);
																																												{	/* Eval/evaluate.scm 575 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_new1155z00_4138;
																																													{	/* Eval/evaluate.scm 576 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1154z00_4139;
																																														BgL_new1154z00_4139
																																															=
																																															(
																																															(BgL_ev_unwindzd2protectzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_unwindzd2protectzd2_bgl))));
																																														{	/* Eval/evaluate.scm 576 */
																																															long
																																																BgL_arg2387z00_4140;
																																															BgL_arg2387z00_4140
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1154z00_4139), BgL_arg2387z00_4140);
																																														}
																																														BgL_new1155z00_4138
																																															=
																																															BgL_new1154z00_4139;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_6671;
																																														{	/* Eval/evaluate.scm 380 */
																																															obj_t
																																																BgL_arg2404z00_4144;
																																															BgL_arg2404z00_4144
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg1870z00_1943,
																																																BgL_locz00_74);
																																															BgL_auxz00_6671
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg1870z00_1943,
																																																	BgL_arg2404z00_4144));
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4138))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6671), BUNSPEC);
																																													}
																																													((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4138))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1871z00_1944, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1155z00_4138);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1873z00_1945;
																																												BgL_arg1873z00_1945
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6682;
																																													{
																																														obj_t
																																															BgL_argsz00_6684;
																																														obj_t
																																															BgL_fz00_6683;
																																														BgL_fz00_6683
																																															=
																																															BgL_arg1873z00_1945;
																																														BgL_argsz00_6684
																																															=
																																															BgL_cdrzd28490zd2_1939;
																																														BgL_argsz00_1588
																																															=
																																															BgL_argsz00_6684;
																																														BgL_fz00_1587
																																															=
																																															BgL_fz00_6683;
																																														goto
																																															BgL_tagzd2176zd2_1589;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6682);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2973z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd28490zd2_1939))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1879z00_1951;
																																														obj_t
																																															BgL_arg1880z00_1952;
																																														BgL_arg1879z00_1951
																																															=
																																															CAR
																																															(BgL_cdrzd28490zd2_1939);
																																														BgL_arg1880z00_1952
																																															=
																																															CDR
																																															(BgL_cdrzd28490zd2_1939);
																																														{	/* Eval/evaluate.scm 579 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_new1158z00_4151;
																																															{	/* Eval/evaluate.scm 580 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1156z00_4152;
																																																BgL_new1156z00_4152
																																																	=
																																																	(
																																																	(BgL_ev_withzd2handlerzd2_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_withzd2handlerzd2_bgl))));
																																																{	/* Eval/evaluate.scm 580 */
																																																	long
																																																		BgL_arg2388z00_4153;
																																																	BgL_arg2388z00_4153
																																																		=
																																																		BGL_CLASS_NUM
																																																		(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1156z00_4152), BgL_arg2388z00_4153);
																																																}
																																																BgL_new1158z00_4151
																																																	=
																																																	BgL_new1156z00_4152;
																																															}
																																															{
																																																BgL_ev_exprz00_bglt
																																																	BgL_auxz00_6698;
																																																{	/* Eval/evaluate.scm 380 */
																																																	obj_t
																																																		BgL_arg2404z00_4157;
																																																	BgL_arg2404z00_4157
																																																		=
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg1879z00_1951,
																																																		BgL_locz00_74);
																																																	BgL_auxz00_6698
																																																		=
																																																		(
																																																		(BgL_ev_exprz00_bglt)
																																																		BGl_uconvzf2locze70z15zz__evaluatez00
																																																		(BgL_wherez00_73,
																																																			BgL_globalsz00_71,
																																																			BgL_localsz00_70,
																																																			BgL_arg1879z00_1951,
																																																			BgL_arg2404z00_4157));
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4151))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6698), BUNSPEC);
																																															}
																																															((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4151))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1880z00_1952, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																															return
																																																(
																																																(obj_t)
																																																BgL_new1158z00_4151);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1882z00_1953;
																																														obj_t
																																															BgL_arg1883z00_1954;
																																														BgL_arg1882z00_1953
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1883z00_1954
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6711;
																																															{
																																																obj_t
																																																	BgL_argsz00_6713;
																																																obj_t
																																																	BgL_fz00_6712;
																																																BgL_fz00_6712
																																																	=
																																																	BgL_arg1882z00_1953;
																																																BgL_argsz00_6713
																																																	=
																																																	BgL_arg1883z00_1954;
																																																BgL_argsz00_1588
																																																	=
																																																	BgL_argsz00_6713;
																																																BgL_fz00_1587
																																																	=
																																																	BgL_fz00_6712;
																																																goto
																																																	BgL_tagzd2176zd2_1589;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6711);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd28597zd2_1955;
																																												BgL_cdrzd28597zd2_1955
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2975z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd28597zd2_1955))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd28602zd2_1959;
																																																BgL_cdrzd28602zd2_1959
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28597zd2_1955);
																																																if (PAIRP(BgL_cdrzd28602zd2_1959))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd28607zd2_1961;
																																																		BgL_cdrzd28607zd2_1961
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28602zd2_1959);
																																																		if ((CAR(BgL_cdrzd28602zd2_1959) == BGl_keyword2977z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (PAIRP(BgL_cdrzd28607zd2_1961))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1891z00_1965;
																																																						obj_t
																																																							BgL_arg1892z00_1966;
																																																						obj_t
																																																							BgL_arg1894z00_1967;
																																																						BgL_arg1891z00_1965
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28597zd2_1955);
																																																						BgL_arg1892z00_1966
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28607zd2_1961);
																																																						BgL_arg1894z00_1967
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28607zd2_1961);
																																																						{	/* Eval/evaluate.scm 583 */
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_new1160z00_4168;
																																																							{	/* Eval/evaluate.scm 584 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1159z00_4169;
																																																								BgL_new1159z00_4169
																																																									=
																																																									(
																																																									(BgL_ev_synchroniza7eza7_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_synchroniza7eza7_bgl))));
																																																								{	/* Eval/evaluate.scm 584 */
																																																									long
																																																										BgL_arg2389z00_4170;
																																																									BgL_arg2389z00_4170
																																																										=
																																																										BGL_CLASS_NUM
																																																										(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1159z00_4169), BgL_arg2389z00_4170);
																																																								}
																																																								BgL_new1160z00_4168
																																																									=
																																																									BgL_new1159z00_4169;
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4168))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6740;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2404z00_4174;
																																																									BgL_arg2404z00_4174
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1891z00_1965,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6740
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1891z00_1965,
																																																											BgL_arg2404z00_4174));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4168))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6740), BUNSPEC);
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6745;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2404z00_4175;
																																																									BgL_arg2404z00_4175
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1892z00_1966,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6745
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1892z00_1966,
																																																											BgL_arg2404z00_4175));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4168))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6745), BUNSPEC);
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4168))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1894z00_1967, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1160z00_4168);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1898z00_1969;
																																																						obj_t
																																																							BgL_arg1899z00_1970;
																																																						BgL_arg1898z00_1969
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd28597zd2_1955));
																																																						BgL_arg1899z00_1970
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd28597zd2_1955));
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6758;
																																																							BgL_mz00_1580
																																																								=
																																																								BgL_arg1898z00_1969;
																																																							BgL_bodyz00_1581
																																																								=
																																																								BgL_arg1899z00_1970;
																																																						BgL_tagzd2173zd2_1582:
																																																							{	/* Eval/evaluate.scm 589 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1162z00_2670;
																																																								{	/* Eval/evaluate.scm 590 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1161z00_2671;
																																																									BgL_new1161z00_2671
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BOBJECT
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 590 */
																																																										long
																																																											BgL_arg2390z00_2672;
																																																										BgL_arg2390z00_2672
																																																											=
																																																											BGL_CLASS_NUM
																																																											(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1161z00_2671), BgL_arg2390z00_2672);
																																																									}
																																																									BgL_new1162z00_2670
																																																										=
																																																										BgL_new1161z00_2671;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2670))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6764;
																																																									{	/* Eval/evaluate.scm 380 */
																																																										obj_t
																																																											BgL_arg2404z00_3856;
																																																										{	/* Eval/evaluate.scm 144 */
																																																											obj_t
																																																												BgL__ortest_1069z00_3857;
																																																											BgL__ortest_1069z00_3857
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1580);
																																																											if (CBOOL(BgL__ortest_1069z00_3857))
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2404z00_3856
																																																														=
																																																														BgL__ortest_1069z00_3857;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2404z00_3856
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6764
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1580,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2404z00_3856,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2670))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6764), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6771;
																																																									{	/* Eval/evaluate.scm 380 */
																																																										obj_t
																																																											BgL_arg2404z00_3858;
																																																										{	/* Eval/evaluate.scm 144 */
																																																											obj_t
																																																												BgL__ortest_1069z00_3859;
																																																											BgL__ortest_1069z00_3859
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1069z00_3859))
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2404z00_3858
																																																														=
																																																														BgL__ortest_1069z00_3859;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2404z00_3858
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6771
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2404z00_3858,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2670))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6771), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2670))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1581, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6758
																																																									=
																																																									BgL_new1162z00_2670;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6758);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1900z00_1972;
																																																				obj_t
																																																					BgL_arg1901z00_1973;
																																																				BgL_arg1900z00_1972
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd28597zd2_1955));
																																																				BgL_arg1901z00_1973
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd28597zd2_1955));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6786;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6788;
																																																						obj_t
																																																							BgL_mz00_6787;
																																																						BgL_mz00_6787
																																																							=
																																																							BgL_arg1900z00_1972;
																																																						BgL_bodyz00_6788
																																																							=
																																																							BgL_arg1901z00_1973;
																																																						BgL_bodyz00_1581
																																																							=
																																																							BgL_bodyz00_6788;
																																																						BgL_mz00_1580
																																																							=
																																																							BgL_mz00_6787;
																																																						goto
																																																							BgL_tagzd2173zd2_1582;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6786);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1903z00_1976;
																																																		obj_t
																																																			BgL_arg1904z00_1977;
																																																		BgL_arg1903z00_1976
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd28597zd2_1955));
																																																		BgL_arg1904z00_1977
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd28597zd2_1955));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6794;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6796;
																																																				obj_t
																																																					BgL_mz00_6795;
																																																				BgL_mz00_6795
																																																					=
																																																					BgL_arg1903z00_1976;
																																																				BgL_bodyz00_6796
																																																					=
																																																					BgL_arg1904z00_1977;
																																																				BgL_bodyz00_1581
																																																					=
																																																					BgL_bodyz00_6796;
																																																				BgL_mz00_1580
																																																					=
																																																					BgL_mz00_6795;
																																																				goto
																																																					BgL_tagzd2173zd2_1582;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6794);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1906z00_1978;
																																																BgL_arg1906z00_1978
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6800;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6802;
																																																		obj_t
																																																			BgL_fz00_6801;
																																																		BgL_fz00_6801
																																																			=
																																																			BgL_arg1906z00_1978;
																																																		BgL_argsz00_6802
																																																			=
																																																			BgL_cdrzd28597zd2_1955;
																																																		BgL_argsz00_1588
																																																			=
																																																			BgL_argsz00_6802;
																																																		BgL_fz00_1587
																																																			=
																																																			BgL_fz00_6801;
																																																		goto
																																																			BgL_tagzd2176zd2_1589;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6800);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2932z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (PAIRP(BgL_cdrzd28597zd2_1955))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd28709zd2_1984;
																																																		BgL_cdrzd28709zd2_1984
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28597zd2_1955);
																																																		if (PAIRP(BgL_cdrzd28709zd2_1984))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd28709zd2_1984)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1914z00_1988;
																																																						obj_t
																																																							BgL_arg1915z00_1989;
																																																						BgL_arg1914z00_1988
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28597zd2_1955);
																																																						BgL_arg1915z00_1989
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28709zd2_1984);
																																																						{	/* Eval/evaluate.scm 595 */
																																																							obj_t
																																																								BgL_arg2391z00_4193;
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_arg2393z00_4194;
																																																								{	/* Eval/evaluate.scm 595 */
																																																									obj_t
																																																										BgL_arg2394z00_4195;
																																																									obj_t
																																																										BgL_arg2396z00_4196;
																																																									{	/* Eval/evaluate.scm 595 */
																																																										obj_t
																																																											BgL_symbolz00_4197;
																																																										BgL_symbolz00_4197
																																																											=
																																																											BGl_symbol2979z00zz__evaluatez00;
																																																										{	/* Eval/evaluate.scm 595 */
																																																											obj_t
																																																												BgL_arg2612z00_4198;
																																																											BgL_arg2612z00_4198
																																																												=
																																																												SYMBOL_TO_STRING
																																																												(BgL_symbolz00_4197);
																																																											BgL_arg2394z00_4195
																																																												=
																																																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																												(BgL_arg2612z00_4198);
																																																										}
																																																									}
																																																									{	/* Eval/evaluate.scm 595 */
																																																										obj_t
																																																											BgL_arg2612z00_4200;
																																																										BgL_arg2612z00_4200
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(
																																																											((obj_t) BgL_wherez00_73));
																																																										BgL_arg2396z00_4196
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2612z00_4200);
																																																									}
																																																									BgL_arg2393z00_4194
																																																										=
																																																										string_append
																																																										(BgL_arg2394z00_4195,
																																																										BgL_arg2396z00_4196);
																																																								}
																																																								BgL_arg2391z00_4193
																																																									=
																																																									bstring_to_symbol
																																																									(BgL_arg2393z00_4194);
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdaze70z35zz__evaluatez00
																																																								(BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_ez00_69,
																																																									BgL_locz00_74,
																																																									BgL_arg1914z00_1988,
																																																									BgL_arg1915z00_1989,
																																																									BgL_arg2391z00_4193,
																																																									BFALSE));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1916z00_1990;
																																																						obj_t
																																																							BgL_arg1917z00_1991;
																																																						BgL_arg1916z00_1990
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						BgL_arg1917z00_1991
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6831;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6833;
																																																								obj_t
																																																									BgL_fz00_6832;
																																																								BgL_fz00_6832
																																																									=
																																																									BgL_arg1916z00_1990;
																																																								BgL_argsz00_6833
																																																									=
																																																									BgL_arg1917z00_1991;
																																																								BgL_argsz00_1588
																																																									=
																																																									BgL_argsz00_6833;
																																																								BgL_fz00_1587
																																																									=
																																																									BgL_fz00_6832;
																																																								goto
																																																									BgL_tagzd2176zd2_1589;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6831);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1919z00_1993;
																																																				obj_t
																																																					BgL_arg1920z00_1994;
																																																				BgL_arg1919z00_1993
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg1920z00_1994
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6839;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6841;
																																																						obj_t
																																																							BgL_fz00_6840;
																																																						BgL_fz00_6840
																																																							=
																																																							BgL_arg1919z00_1993;
																																																						BgL_argsz00_6841
																																																							=
																																																							BgL_arg1920z00_1994;
																																																						BgL_argsz00_1588
																																																							=
																																																							BgL_argsz00_6841;
																																																						BgL_fz00_1587
																																																							=
																																																							BgL_fz00_6840;
																																																						goto
																																																							BgL_tagzd2176zd2_1589;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6839);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1921z00_1995;
																																																		obj_t
																																																			BgL_arg1922z00_1996;
																																																		BgL_arg1921z00_1995
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1922z00_1996
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6847;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6849;
																																																				obj_t
																																																					BgL_fz00_6848;
																																																				BgL_fz00_6848
																																																					=
																																																					BgL_arg1921z00_1995;
																																																				BgL_argsz00_6849
																																																					=
																																																					BgL_arg1922z00_1996;
																																																				BgL_argsz00_1588
																																																					=
																																																					BgL_argsz00_6849;
																																																				BgL_fz00_1587
																																																					=
																																																					BgL_fz00_6848;
																																																				goto
																																																					BgL_tagzd2176zd2_1589;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6847);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2981z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		return
																																																			BGl_errorz00zz__errorz00
																																																			(BGl_string2983z00zz__evaluatez00,
																																																			BGl_string2984z00zz__evaluatez00,
																																																			BgL_ez00_69);
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1926z00_1999;
																																																		obj_t
																																																			BgL_arg1927z00_2000;
																																																		BgL_arg1926z00_1999
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1927z00_2000
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6860;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6862;
																																																				obj_t
																																																					BgL_fz00_6861;
																																																				BgL_fz00_6861
																																																					=
																																																					BgL_arg1926z00_1999;
																																																				BgL_argsz00_6862
																																																					=
																																																					BgL_arg1927z00_2000;
																																																				BgL_argsz00_1588
																																																					=
																																																					BgL_argsz00_6862;
																																																				BgL_fz00_1587
																																																					=
																																																					BgL_fz00_6861;
																																																				goto
																																																					BgL_tagzd2176zd2_1589;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6860);
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 424 */
														if (
															(BgL_carzd23841zd2_1662 ==
																BGl_symbol2955z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 424 */
																if (PAIRP(BgL_cdrzd2250zd2_1596))
																	{	/* Eval/evaluate.scm 424 */
																		if (NULLP(CDR(BgL_cdrzd2250zd2_1596)))
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1951z00_2025;

																				BgL_arg1951z00_2025 =
																					CAR(BgL_cdrzd2250zd2_1596);
																				{	/* Eval/evaluate.scm 456 */
																					BgL_ev_trapz00_bglt
																						BgL_new1112z00_4215;
																					{	/* Eval/evaluate.scm 457 */
																						BgL_ev_trapz00_bglt
																							BgL_new1110z00_4216;
																						BgL_new1110z00_4216 =
																							((BgL_ev_trapz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_trapz00_bgl))));
																						{	/* Eval/evaluate.scm 457 */
																							long BgL_arg2267z00_4217;

																							BgL_arg2267z00_4217 =
																								BGL_CLASS_NUM
																								(BGl_ev_trapz00zz__evaluate_typesz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1110z00_4216),
																								BgL_arg2267z00_4217);
																						}
																						BgL_new1112z00_4215 =
																							BgL_new1110z00_4216;
																					}
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_6876;

																						{	/* Eval/evaluate.scm 380 */
																							obj_t BgL_arg2404z00_4221;

																							BgL_arg2404z00_4221 =
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg1951z00_2025,
																								BgL_locz00_74);
																							BgL_auxz00_6876 =
																								((BgL_ev_exprz00_bglt)
																								BGl_uconvzf2locze70z15zz__evaluatez00
																								(BgL_wherez00_73,
																									BgL_globalsz00_71,
																									BgL_localsz00_70,
																									BgL_arg1951z00_2025,
																									BgL_arg2404z00_4221));
																						}
																						((((BgL_ev_hookz00_bglt) COBJECT(
																										((BgL_ev_hookz00_bglt)
																											BgL_new1112z00_4215)))->
																								BgL_ez00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_6876), BUNSPEC);
																					}
																					return ((obj_t) BgL_new1112z00_4215);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1952z00_2026;
																				obj_t BgL_arg1953z00_2027;

																				BgL_arg1952z00_2026 =
																					CAR(((obj_t) BgL_ez00_69));
																				BgL_arg1953z00_2027 =
																					CDR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6887;

																					{
																						obj_t BgL_argsz00_6889;
																						obj_t BgL_fz00_6888;

																						BgL_fz00_6888 = BgL_arg1952z00_2026;
																						BgL_argsz00_6889 =
																							BgL_arg1953z00_2027;
																						BgL_argsz00_1588 = BgL_argsz00_6889;
																						BgL_fz00_1587 = BgL_fz00_6888;
																						goto BgL_tagzd2176zd2_1589;
																					}
																					return ((obj_t) BgL_auxz00_6887);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_arg1955z00_2029;
																		obj_t BgL_arg1956z00_2030;

																		BgL_arg1955z00_2029 =
																			CAR(((obj_t) BgL_ez00_69));
																		BgL_arg1956z00_2030 =
																			CDR(((obj_t) BgL_ez00_69));
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_6895;

																			{
																				obj_t BgL_argsz00_6897;
																				obj_t BgL_fz00_6896;

																				BgL_fz00_6896 = BgL_arg1955z00_2029;
																				BgL_argsz00_6897 = BgL_arg1956z00_2030;
																				BgL_argsz00_1588 = BgL_argsz00_6897;
																				BgL_fz00_1587 = BgL_fz00_6896;
																				goto BgL_tagzd2176zd2_1589;
																			}
																			return ((obj_t) BgL_auxz00_6895);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_cdrzd29422zd2_2031;

																BgL_cdrzd29422zd2_2031 =
																	CDR(((obj_t) BgL_ez00_69));
																if (
																	(CAR(
																			((obj_t) BgL_ez00_69)) ==
																		BGl_symbol2920z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 424 */
																		if (PAIRP(BgL_cdrzd29422zd2_2031))
																			{	/* Eval/evaluate.scm 424 */
																				if (NULLP(CDR(BgL_cdrzd29422zd2_2031)))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1962z00_2037;

																						BgL_arg1962z00_2037 =
																							CAR(BgL_cdrzd29422zd2_2031);
																						{	/* Eval/evaluate.scm 459 */
																							BgL_ev_littz00_bglt
																								BgL_new1114z00_4230;
																							{	/* Eval/evaluate.scm 460 */
																								BgL_ev_littz00_bglt
																									BgL_new1113z00_4231;
																								BgL_new1113z00_4231 =
																									((BgL_ev_littz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 460 */
																									long BgL_arg2268z00_4232;

																									BgL_arg2268z00_4232 =
																										BGL_CLASS_NUM
																										(BGl_ev_littz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1113z00_4231),
																										BgL_arg2268z00_4232);
																								}
																								BgL_new1114z00_4230 =
																									BgL_new1113z00_4231;
																							}
																							((((BgL_ev_littz00_bglt)
																										COBJECT
																										(BgL_new1114z00_4230))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1962z00_2037),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1114z00_4230);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1963z00_2038;

																						BgL_arg1963z00_2038 =
																							CAR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6919;
																							{
																								obj_t BgL_argsz00_6921;
																								obj_t BgL_fz00_6920;

																								BgL_fz00_6920 =
																									BgL_arg1963z00_2038;
																								BgL_argsz00_6921 =
																									BgL_cdrzd29422zd2_2031;
																								BgL_argsz00_1588 =
																									BgL_argsz00_6921;
																								BgL_fz00_1587 = BgL_fz00_6920;
																								goto BgL_tagzd2176zd2_1589;
																							}
																							return ((obj_t) BgL_auxz00_6919);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1966z00_2041;

																				BgL_arg1966z00_2041 =
																					CAR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6925;

																					{
																						obj_t BgL_argsz00_6927;
																						obj_t BgL_fz00_6926;

																						BgL_fz00_6926 = BgL_arg1966z00_2041;
																						BgL_argsz00_6927 =
																							BgL_cdrzd29422zd2_2031;
																						BgL_argsz00_1588 = BgL_argsz00_6927;
																						BgL_fz00_1587 = BgL_fz00_6926;
																						goto BgL_tagzd2176zd2_1589;
																					}
																					return ((obj_t) BgL_auxz00_6925);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		if (
																			(CAR(
																					((obj_t) BgL_ez00_69)) ==
																				BGl_symbol2928z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 424 */
																				if (PAIRP(BgL_cdrzd29422zd2_2031))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_cdrzd210036zd2_2047;

																						BgL_cdrzd210036zd2_2047 =
																							CDR(BgL_cdrzd29422zd2_2031);
																						if (PAIRP(BgL_cdrzd210036zd2_2047))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_cdrzd210041zd2_2049;

																								BgL_cdrzd210041zd2_2049 =
																									CDR(BgL_cdrzd210036zd2_2047);
																								if (PAIRP
																									(BgL_cdrzd210041zd2_2049))
																									{	/* Eval/evaluate.scm 424 */
																										if (NULLP(CDR
																												(BgL_cdrzd210041zd2_2049)))
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg1975z00_2053;
																												obj_t
																													BgL_arg1976z00_2054;
																												obj_t
																													BgL_arg1977z00_2055;
																												BgL_arg1975z00_2053 =
																													CAR
																													(BgL_cdrzd29422zd2_2031);
																												BgL_arg1976z00_2054 =
																													CAR
																													(BgL_cdrzd210036zd2_2047);
																												BgL_arg1977z00_2055 =
																													CAR
																													(BgL_cdrzd210041zd2_2049);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_6947;
																													{
																														obj_t BgL_oz00_6950;
																														obj_t BgL_tz00_6949;
																														obj_t BgL_pz00_6948;

																														BgL_pz00_6948 =
																															BgL_arg1975z00_2053;
																														BgL_tz00_6949 =
																															BgL_arg1976z00_2054;
																														BgL_oz00_6950 =
																															BgL_arg1977z00_2055;
																														BgL_oz00_1529 =
																															BgL_oz00_6950;
																														BgL_tz00_1528 =
																															BgL_tz00_6949;
																														BgL_pz00_1527 =
																															BgL_pz00_6948;
																														goto
																															BgL_tagzd2155zd2_1530;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6947);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg1978z00_2056;
																												obj_t
																													BgL_arg1979z00_2057;
																												BgL_arg1978z00_2056 =
																													CAR(((obj_t)
																														BgL_ez00_69));
																												BgL_arg1979z00_2057 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_6956;
																													{
																														obj_t
																															BgL_argsz00_6958;
																														obj_t BgL_fz00_6957;

																														BgL_fz00_6957 =
																															BgL_arg1978z00_2056;
																														BgL_argsz00_6958 =
																															BgL_arg1979z00_2057;
																														BgL_argsz00_1588 =
																															BgL_argsz00_6958;
																														BgL_fz00_1587 =
																															BgL_fz00_6957;
																														goto
																															BgL_tagzd2176zd2_1589;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6956);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd210341zd2_2059;
																										BgL_cdrzd210341zd2_2059 =
																											CDR(((obj_t)
																												BgL_ez00_69));
																										{	/* Eval/evaluate.scm 424 */
																											obj_t
																												BgL_cdrzd210347zd2_2060;
																											BgL_cdrzd210347zd2_2060 =
																												CDR(((obj_t)
																													BgL_cdrzd210341zd2_2059));
																											if (NULLP(CDR(((obj_t)
																															BgL_cdrzd210347zd2_2060))))
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_arg1983z00_2063;
																													obj_t
																														BgL_arg1984z00_2064;
																													BgL_arg1983z00_2063 =
																														CAR(((obj_t)
																															BgL_cdrzd210341zd2_2059));
																													BgL_arg1984z00_2064 =
																														CAR(((obj_t)
																															BgL_cdrzd210347zd2_2060));
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_6972;
																														{
																															obj_t
																																BgL_tz00_6974;
																															obj_t
																																BgL_pz00_6973;
																															BgL_pz00_6973 =
																																BgL_arg1983z00_2063;
																															BgL_tz00_6974 =
																																BgL_arg1984z00_2064;
																															BgL_tz00_1532 =
																																BgL_tz00_6974;
																															BgL_pz00_1531 =
																																BgL_pz00_6973;
																															goto
																																BgL_tagzd2156zd2_1533;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6972);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_arg1985z00_2065;
																													BgL_arg1985z00_2065 =
																														CAR(((obj_t)
																															BgL_ez00_69));
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_6978;
																														{
																															obj_t
																																BgL_argsz00_6980;
																															obj_t
																																BgL_fz00_6979;
																															BgL_fz00_6979 =
																																BgL_arg1985z00_2065;
																															BgL_argsz00_6980 =
																																BgL_cdrzd210341zd2_2059;
																															BgL_argsz00_1588 =
																																BgL_argsz00_6980;
																															BgL_fz00_1587 =
																																BgL_fz00_6979;
																															goto
																																BgL_tagzd2176zd2_1589;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6978);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1988z00_2068;
																								obj_t BgL_arg1989z00_2069;

																								BgL_arg1988z00_2068 =
																									CAR(((obj_t) BgL_ez00_69));
																								BgL_arg1989z00_2069 =
																									CDR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_6986;
																									{
																										obj_t BgL_argsz00_6988;
																										obj_t BgL_fz00_6987;

																										BgL_fz00_6987 =
																											BgL_arg1988z00_2068;
																										BgL_argsz00_6988 =
																											BgL_arg1989z00_2069;
																										BgL_argsz00_1588 =
																											BgL_argsz00_6988;
																										BgL_fz00_1587 =
																											BgL_fz00_6987;
																										goto BgL_tagzd2176zd2_1589;
																									}
																									return
																										((obj_t) BgL_auxz00_6986);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1990z00_2070;
																						obj_t BgL_arg1991z00_2071;

																						BgL_arg1990z00_2070 =
																							CAR(((obj_t) BgL_ez00_69));
																						BgL_arg1991z00_2071 =
																							CDR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6994;
																							{
																								obj_t BgL_argsz00_6996;
																								obj_t BgL_fz00_6995;

																								BgL_fz00_6995 =
																									BgL_arg1990z00_2070;
																								BgL_argsz00_6996 =
																									BgL_arg1991z00_2071;
																								BgL_argsz00_1588 =
																									BgL_argsz00_6996;
																								BgL_fz00_1587 = BgL_fz00_6995;
																								goto BgL_tagzd2176zd2_1589;
																							}
																							return ((obj_t) BgL_auxz00_6994);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				if (
																					(CAR(
																							((obj_t) BgL_ez00_69)) ==
																						BGl_symbol2957z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1994z00_2074;

																						BgL_arg1994z00_2074 =
																							CDR(((obj_t) BgL_ez00_69));
																						{	/* Eval/evaluate.scm 472 */
																							BgL_ev_orz00_bglt
																								BgL_new1122z00_4263;
																							{	/* Eval/evaluate.scm 473 */
																								BgL_ev_orz00_bglt
																									BgL_new1120z00_4264;
																								BgL_new1120z00_4264 =
																									((BgL_ev_orz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_orz00_bgl))));
																								{	/* Eval/evaluate.scm 473 */
																									long BgL_arg2277z00_4265;

																									BgL_arg2277z00_4265 =
																										BGL_CLASS_NUM
																										(BGl_ev_orz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1120z00_4264),
																										BgL_arg2277z00_4265);
																								}
																								BgL_new1122z00_4263 =
																									BgL_new1120z00_4264;
																							}
																							((((BgL_ev_listz00_bglt) COBJECT(
																											((BgL_ev_listz00_bglt)
																												BgL_new1122z00_4263)))->
																									BgL_argsz00) =
																								((obj_t)
																									BGl_loopze70ze7zz__evaluatez00
																									(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_arg1994z00_2074)),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1122z00_4263);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						if (
																							(CAR(
																									((obj_t) BgL_ez00_69)) ==
																								BGl_symbol2959z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1997z00_2077;

																								BgL_arg1997z00_2077 =
																									CDR(((obj_t) BgL_ez00_69));
																								{	/* Eval/evaluate.scm 475 */
																									BgL_ev_andz00_bglt
																										BgL_new1124z00_4271;
																									{	/* Eval/evaluate.scm 476 */
																										BgL_ev_andz00_bglt
																											BgL_new1123z00_4272;
																										BgL_new1123z00_4272 =
																											((BgL_ev_andz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_andz00_bgl))));
																										{	/* Eval/evaluate.scm 476 */
																											long BgL_arg2279z00_4273;

																											BgL_arg2279z00_4273 =
																												BGL_CLASS_NUM
																												(BGl_ev_andz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1123z00_4272),
																												BgL_arg2279z00_4273);
																										}
																										BgL_new1124z00_4271 =
																											BgL_new1123z00_4272;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1124z00_4271)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1997z00_2077)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1124z00_4271);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								if (
																									(CAR(
																											((obj_t) BgL_ez00_69)) ==
																										BGl_symbol2944z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg2000z00_2080;

																										BgL_arg2000z00_2080 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										BGL_TAIL return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(BgL_arg2000z00_2080,
																											BgL_localsz00_70,
																											BgL_globalsz00_71,
																											BgL_tailzf3zf3_72,
																											BgL_wherez00_73,
																											BgL_locz00_74,
																											BgL_topzf3zf3_75);
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd211246zd2_2081;
																										BgL_cdrzd211246zd2_2081 =
																											CDR(((obj_t)
																												BgL_ez00_69));
																										if ((CAR(((obj_t)
																														BgL_ez00_69)) ==
																												BGl_symbol2930z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 424 */
																												if (PAIRP
																													(BgL_cdrzd211246zd2_2081))
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg2004z00_2085;
																														obj_t
																															BgL_arg2005z00_2086;
																														BgL_arg2004z00_2085
																															=
																															CAR
																															(BgL_cdrzd211246zd2_2081);
																														BgL_arg2005z00_2086
																															=
																															CDR
																															(BgL_cdrzd211246zd2_2081);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_7043;
																															{
																																obj_t
																																	BgL_bodyz00_7045;
																																obj_t
																																	BgL_bindsz00_7044;
																																BgL_bindsz00_7044
																																	=
																																	BgL_arg2004z00_2085;
																																BgL_bodyz00_7045
																																	=
																																	BgL_arg2005z00_2086;
																																BgL_bodyz00_1541
																																	=
																																	BgL_bodyz00_7045;
																																BgL_bindsz00_1540
																																	=
																																	BgL_bindsz00_7044;
																																goto
																																	BgL_tagzd2160zd2_1542;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_7043);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg2006z00_2087;
																														BgL_arg2006z00_2087
																															=
																															CAR(((obj_t)
																																BgL_ez00_69));
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_7049;
																															{
																																obj_t
																																	BgL_argsz00_7051;
																																obj_t
																																	BgL_fz00_7050;
																																BgL_fz00_7050 =
																																	BgL_arg2006z00_2087;
																																BgL_argsz00_7051
																																	=
																																	BgL_cdrzd211246zd2_2081;
																																BgL_argsz00_1588
																																	=
																																	BgL_argsz00_7051;
																																BgL_fz00_1587 =
																																	BgL_fz00_7050;
																																goto
																																	BgL_tagzd2176zd2_1589;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_7049);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												if (
																													(CAR(
																															((obj_t)
																																BgL_ez00_69)) ==
																														BGl_symbol2961z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 424 */
																														if (PAIRP
																															(BgL_cdrzd211246zd2_2081))
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg2011z00_2093;
																																obj_t
																																	BgL_arg2012z00_2094;
																																BgL_arg2011z00_2093
																																	=
																																	CAR
																																	(BgL_cdrzd211246zd2_2081);
																																BgL_arg2012z00_2094
																																	=
																																	CDR
																																	(BgL_cdrzd211246zd2_2081);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_7061;
																																	{
																																		obj_t
																																			BgL_bodyz00_7063;
																																		obj_t
																																			BgL_bindsz00_7062;
																																		BgL_bindsz00_7062
																																			=
																																			BgL_arg2011z00_2093;
																																		BgL_bodyz00_7063
																																			=
																																			BgL_arg2012z00_2094;
																																		BgL_bodyz00_1544
																																			=
																																			BgL_bodyz00_7063;
																																		BgL_bindsz00_1543
																																			=
																																			BgL_bindsz00_7062;
																																		goto
																																			BgL_tagzd2161zd2_1545;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7061);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg2013z00_2095;
																																obj_t
																																	BgL_arg2014z00_2096;
																																BgL_arg2013z00_2095
																																	=
																																	CAR(((obj_t)
																																		BgL_ez00_69));
																																BgL_arg2014z00_2096
																																	=
																																	CDR(((obj_t)
																																		BgL_ez00_69));
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_7069;
																																	{
																																		obj_t
																																			BgL_argsz00_7071;
																																		obj_t
																																			BgL_fz00_7070;
																																		BgL_fz00_7070
																																			=
																																			BgL_arg2013z00_2095;
																																		BgL_argsz00_7071
																																			=
																																			BgL_arg2014z00_2096;
																																		BgL_argsz00_1588
																																			=
																																			BgL_argsz00_7071;
																																		BgL_fz00_1587
																																			=
																																			BgL_fz00_7070;
																																		goto
																																			BgL_tagzd2176zd2_1589;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7069);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_cdrzd211644zd2_2097;
																														BgL_cdrzd211644zd2_2097
																															=
																															CDR(((obj_t)
																																BgL_ez00_69));
																														if ((CAR(((obj_t)
																																		BgL_ez00_69))
																																==
																																BGl_symbol2963z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 424 */
																																if (PAIRP
																																	(BgL_cdrzd211644zd2_2097))
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg2018z00_2101;
																																		obj_t
																																			BgL_arg2019z00_2102;
																																		BgL_arg2018z00_2101
																																			=
																																			CAR
																																			(BgL_cdrzd211644zd2_2097);
																																		BgL_arg2019z00_2102
																																			=
																																			CDR
																																			(BgL_cdrzd211644zd2_2097);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_7083;
																																			{
																																				obj_t
																																					BgL_bodyz00_7085;
																																				obj_t
																																					BgL_bindsz00_7084;
																																				BgL_bindsz00_7084
																																					=
																																					BgL_arg2018z00_2101;
																																				BgL_bodyz00_7085
																																					=
																																					BgL_arg2019z00_2102;
																																				BgL_bodyz00_1547
																																					=
																																					BgL_bodyz00_7085;
																																				BgL_bindsz00_1546
																																					=
																																					BgL_bindsz00_7084;
																																				goto
																																					BgL_tagzd2162zd2_1548;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7083);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg2020z00_2103;
																																		BgL_arg2020z00_2103
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_7089;
																																			{
																																				obj_t
																																					BgL_argsz00_7091;
																																				obj_t
																																					BgL_fz00_7090;
																																				BgL_fz00_7090
																																					=
																																					BgL_arg2020z00_2103;
																																				BgL_argsz00_7091
																																					=
																																					BgL_cdrzd211644zd2_2097;
																																				BgL_argsz00_1588
																																					=
																																					BgL_argsz00_7091;
																																				BgL_fz00_1587
																																					=
																																					BgL_fz00_7090;
																																				goto
																																					BgL_tagzd2176zd2_1589;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7089);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																if (
																																	(CAR(
																																			((obj_t)
																																				BgL_ez00_69))
																																		==
																																		BGl_symbol2965z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 424 */
																																		if (PAIRP
																																			(BgL_cdrzd211644zd2_2097))
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_carzd211820zd2_2109;
																																				obj_t
																																					BgL_cdrzd211821zd2_2110;
																																				BgL_carzd211820zd2_2109
																																					=
																																					CAR
																																					(BgL_cdrzd211644zd2_2097);
																																				BgL_cdrzd211821zd2_2110
																																					=
																																					CDR
																																					(BgL_cdrzd211644zd2_2097);
																																				if (PAIRP(BgL_carzd211820zd2_2109))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd211825zd2_2112;
																																						BgL_cdrzd211825zd2_2112
																																							=
																																							CDR
																																							(BgL_carzd211820zd2_2109);
																																						if (
																																							(CAR
																																								(BgL_carzd211820zd2_2109)
																																								==
																																								BGl_symbol2951z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd211825zd2_2112))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd211828zd2_2116;
																																										obj_t
																																											BgL_cdrzd211829zd2_2117;
																																										BgL_carzd211828zd2_2116
																																											=
																																											CAR
																																											(BgL_cdrzd211825zd2_2112);
																																										BgL_cdrzd211829zd2_2117
																																											=
																																											CDR
																																											(BgL_cdrzd211825zd2_2112);
																																										if (SYMBOLP(BgL_carzd211828zd2_2116))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd211829zd2_2117))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_carzd211833zd2_2120;
																																														BgL_carzd211833zd2_2120
																																															=
																																															CAR
																																															(BgL_cdrzd211829zd2_2117);
																																														if (SYMBOLP(BgL_carzd211833zd2_2120))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (NULLP(CDR(BgL_cdrzd211829zd2_2117)))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (PAIRP(BgL_cdrzd211821zd2_2110))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd211821zd2_2110)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg2039z00_2127;
																																																						BgL_arg2039z00_2127
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211821zd2_2110);
																																																						{	/* Eval/evaluate.scm 531 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_new1141z00_4309;
																																																							{	/* Eval/evaluate.scm 535 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1140z00_4310;
																																																								BgL_new1140z00_4310
																																																									=
																																																									(
																																																									(BgL_ev_setglobalz00_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_setglobalz00_bgl))));
																																																								{	/* Eval/evaluate.scm 535 */
																																																									long
																																																										BgL_arg2357z00_4311;
																																																									BgL_arg2357z00_4311
																																																										=
																																																										BGL_CLASS_NUM
																																																										(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1140z00_4310), BgL_arg2357z00_4311);
																																																								}
																																																								BgL_new1141z00_4309
																																																									=
																																																									BgL_new1140z00_4310;
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_7131;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2404z00_4315;
																																																									BgL_arg2404z00_4315
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg2039z00_2127,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_7131
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg2039z00_2127,
																																																											BgL_arg2404z00_4315));
																																																								}
																																																								((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1141z00_4309)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7131), BUNSPEC);
																																																							}
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4309))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4309))->BgL_namez00) = ((obj_t) BgL_carzd211828zd2_2116), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4309))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd211833zd2_2120)), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1141z00_4309);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string2868z00zz__evaluatez00,
																																																							BGl_string2943z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string2868z00zz__evaluatez00,
																																																					BGl_string2943z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd211949zd2_2129;
																																																		BgL_cdrzd211949zd2_2129
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_cdrzd211953zd2_2130;
																																																			BgL_cdrzd211953zd2_2130
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd211949zd2_2129));
																																																			if (PAIRP(BgL_cdrzd211953zd2_2130))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					if (NULLP(CDR(BgL_cdrzd211953zd2_2130)))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							obj_t
																																																								BgL_arg2044z00_2134;
																																																							obj_t
																																																								BgL_arg2045z00_2135;
																																																							BgL_arg2044z00_2134
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd211949zd2_2129));
																																																							BgL_arg2045z00_2135
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211953zd2_2130);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_7156;
																																																								{
																																																									obj_t
																																																										BgL_ez00_7158;
																																																									obj_t
																																																										BgL_vz00_7157;
																																																									BgL_vz00_7157
																																																										=
																																																										BgL_arg2044z00_2134;
																																																									BgL_ez00_7158
																																																										=
																																																										BgL_arg2045z00_2135;
																																																									BgL_ez00_1557
																																																										=
																																																										BgL_ez00_7158;
																																																									BgL_vz00_1556
																																																										=
																																																										BgL_vz00_7157;
																																																									goto
																																																										BgL_tagzd2165zd2_1558;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7156);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2868z00zz__evaluatez00,
																																																								BGl_string2943z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2868z00zz__evaluatez00,
																																																						BGl_string2943z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd212010zd2_2138;
																																																BgL_cdrzd212010zd2_2138
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_cdrzd212014zd2_2139;
																																																	BgL_cdrzd212014zd2_2139
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd212010zd2_2138));
																																																	if (PAIRP(BgL_cdrzd212014zd2_2139))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			if (NULLP(CDR(BgL_cdrzd212014zd2_2139)))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_arg2052z00_2143;
																																																					obj_t
																																																						BgL_arg2053z00_2144;
																																																					BgL_arg2052z00_2143
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd212010zd2_2138));
																																																					BgL_arg2053z00_2144
																																																						=
																																																						CAR
																																																						(BgL_cdrzd212014zd2_2139);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_7174;
																																																						{
																																																							obj_t
																																																								BgL_ez00_7176;
																																																							obj_t
																																																								BgL_vz00_7175;
																																																							BgL_vz00_7175
																																																								=
																																																								BgL_arg2052z00_2143;
																																																							BgL_ez00_7176
																																																								=
																																																								BgL_arg2053z00_2144;
																																																							BgL_ez00_1557
																																																								=
																																																								BgL_ez00_7176;
																																																							BgL_vz00_1556
																																																								=
																																																								BgL_vz00_7175;
																																																							goto
																																																								BgL_tagzd2165zd2_1558;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_7174);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2868z00zz__evaluatez00,
																																																						BGl_string2943z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2868z00zz__evaluatez00,
																																																				BGl_string2943z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212071zd2_2146;
																																														BgL_cdrzd212071zd2_2146
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_cdrzd212075zd2_2147;
																																															BgL_cdrzd212075zd2_2147
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd212071zd2_2146));
																																															if (PAIRP(BgL_cdrzd212075zd2_2147))
																																																{	/* Eval/evaluate.scm 424 */
																																																	if (NULLP(CDR(BgL_cdrzd212075zd2_2147)))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_arg2059z00_2151;
																																																			obj_t
																																																				BgL_arg2060z00_2152;
																																																			BgL_arg2059z00_2151
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd212071zd2_2146));
																																																			BgL_arg2060z00_2152
																																																				=
																																																				CAR
																																																				(BgL_cdrzd212075zd2_2147);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_7192;
																																																				{
																																																					obj_t
																																																						BgL_ez00_7194;
																																																					obj_t
																																																						BgL_vz00_7193;
																																																					BgL_vz00_7193
																																																						=
																																																						BgL_arg2059z00_2151;
																																																					BgL_ez00_7194
																																																						=
																																																						BgL_arg2060z00_2152;
																																																					BgL_ez00_1557
																																																						=
																																																						BgL_ez00_7194;
																																																					BgL_vz00_1556
																																																						=
																																																						BgL_vz00_7193;
																																																					goto
																																																						BgL_tagzd2165zd2_1558;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_7192);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2868z00zz__evaluatez00,
																																																				BGl_string2943z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2868z00zz__evaluatez00,
																																																		BGl_string2943z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd212132zd2_2154;
																																												BgL_cdrzd212132zd2_2154
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd212136zd2_2155;
																																													BgL_cdrzd212136zd2_2155
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd212132zd2_2154));
																																													if (PAIRP(BgL_cdrzd212136zd2_2155))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd212136zd2_2155)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg2065z00_2159;
																																																	obj_t
																																																		BgL_arg2066z00_2160;
																																																	BgL_arg2065z00_2159
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd212132zd2_2154));
																																																	BgL_arg2066z00_2160
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212136zd2_2155);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_7210;
																																																		{
																																																			obj_t
																																																				BgL_ez00_7212;
																																																			obj_t
																																																				BgL_vz00_7211;
																																																			BgL_vz00_7211
																																																				=
																																																				BgL_arg2065z00_2159;
																																																			BgL_ez00_7212
																																																				=
																																																				BgL_arg2066z00_2160;
																																																			BgL_ez00_1557
																																																				=
																																																				BgL_ez00_7212;
																																																			BgL_vz00_1556
																																																				=
																																																				BgL_vz00_7211;
																																																			goto
																																																				BgL_tagzd2165zd2_1558;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_7210);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2868z00zz__evaluatez00,
																																																		BGl_string2943z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2868z00zz__evaluatez00,
																																																BGl_string2943z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212193zd2_2162;
																																										BgL_cdrzd212193zd2_2162
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_cdrzd212197zd2_2163;
																																											BgL_cdrzd212197zd2_2163
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212193zd2_2162));
																																											if (PAIRP(BgL_cdrzd212197zd2_2163))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212197zd2_2163)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2071z00_2167;
																																															obj_t
																																																BgL_arg2072z00_2168;
																																															BgL_arg2071z00_2167
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212193zd2_2162));
																																															BgL_arg2072z00_2168
																																																=
																																																CAR
																																																(BgL_cdrzd212197zd2_2163);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7228;
																																																{
																																																	obj_t
																																																		BgL_ez00_7230;
																																																	obj_t
																																																		BgL_vz00_7229;
																																																	BgL_vz00_7229
																																																		=
																																																		BgL_arg2071z00_2167;
																																																	BgL_ez00_7230
																																																		=
																																																		BgL_arg2072z00_2168;
																																																	BgL_ez00_1557
																																																		=
																																																		BgL_ez00_7230;
																																																	BgL_vz00_1556
																																																		=
																																																		BgL_vz00_7229;
																																																	goto
																																																		BgL_tagzd2165zd2_1558;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7228);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2868z00zz__evaluatez00,
																																																BGl_string2943z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2868z00zz__evaluatez00,
																																														BGl_string2943z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd212241zd2_2170;
																																								BgL_cdrzd212241zd2_2170
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{	/* Eval/evaluate.scm 424 */
																																									obj_t
																																										BgL_carzd212244zd2_2171;
																																									obj_t
																																										BgL_cdrzd212245zd2_2172;
																																									BgL_carzd212244zd2_2171
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd212241zd2_2170));
																																									BgL_cdrzd212245zd2_2172
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd212241zd2_2170));
																																									if ((CAR(((obj_t) BgL_carzd212244zd2_2171)) == BGl_symbol2953z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 424 */
																																											if (PAIRP(BgL_cdrzd212245zd2_2172))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212245zd2_2172)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2079z00_2178;
																																															obj_t
																																																BgL_arg2080z00_2179;
																																															BgL_arg2079z00_2178
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd212244zd2_2171));
																																															BgL_arg2080z00_2179
																																																=
																																																CAR
																																																(BgL_cdrzd212245zd2_2172);
																																															{
																																																obj_t
																																																	BgL_e2z00_7253;
																																																obj_t
																																																	BgL_lz00_7252;
																																																BgL_lz00_7252
																																																	=
																																																	BgL_arg2079z00_2178;
																																																BgL_e2z00_7253
																																																	=
																																																	BgL_arg2080z00_2179;
																																																BgL_e2z00_1554
																																																	=
																																																	BgL_e2z00_7253;
																																																BgL_lz00_1553
																																																	=
																																																	BgL_lz00_7252;
																																																goto
																																																	BgL_tagzd2164zd2_1555;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2868z00zz__evaluatez00,
																																																BGl_string2943z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2868z00zz__evaluatez00,
																																														BGl_string2943z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_cdrzd212321zd2_2182;
																																											BgL_cdrzd212321zd2_2182
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212241zd2_2170));
																																											if (PAIRP(BgL_cdrzd212321zd2_2182))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212321zd2_2182)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2085z00_2186;
																																															obj_t
																																																BgL_arg2086z00_2187;
																																															BgL_arg2085z00_2186
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212241zd2_2170));
																																															BgL_arg2086z00_2187
																																																=
																																																CAR
																																																(BgL_cdrzd212321zd2_2182);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7266;
																																																{
																																																	obj_t
																																																		BgL_ez00_7268;
																																																	obj_t
																																																		BgL_vz00_7267;
																																																	BgL_vz00_7267
																																																		=
																																																		BgL_arg2085z00_2186;
																																																	BgL_ez00_7268
																																																		=
																																																		BgL_arg2086z00_2187;
																																																	BgL_ez00_1557
																																																		=
																																																		BgL_ez00_7268;
																																																	BgL_vz00_1556
																																																		=
																																																		BgL_vz00_7267;
																																																	goto
																																																		BgL_tagzd2165zd2_1558;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7266);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2868z00zz__evaluatez00,
																																																BGl_string2943z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2868z00zz__evaluatez00,
																																														BGl_string2943z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd212378zd2_2191;
																																						BgL_cdrzd212378zd2_2191
																																							=
																																							CDR
																																							(((obj_t) BgL_ez00_69));
																																						{	/* Eval/evaluate.scm 424 */
																																							obj_t
																																								BgL_cdrzd212382zd2_2192;
																																							BgL_cdrzd212382zd2_2192
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd212378zd2_2191));
																																							if (PAIRP(BgL_cdrzd212382zd2_2192))
																																								{	/* Eval/evaluate.scm 424 */
																																									if (NULLP(CDR(BgL_cdrzd212382zd2_2192)))
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_arg2093z00_2196;
																																											obj_t
																																												BgL_arg2094z00_2197;
																																											BgL_arg2093z00_2196
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd212378zd2_2191));
																																											BgL_arg2094z00_2197
																																												=
																																												CAR
																																												(BgL_cdrzd212382zd2_2192);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_7284;
																																												{
																																													obj_t
																																														BgL_ez00_7286;
																																													obj_t
																																														BgL_vz00_7285;
																																													BgL_vz00_7285
																																														=
																																														BgL_arg2093z00_2196;
																																													BgL_ez00_7286
																																														=
																																														BgL_arg2094z00_2197;
																																													BgL_ez00_1557
																																														=
																																														BgL_ez00_7286;
																																													BgL_vz00_1556
																																														=
																																														BgL_vz00_7285;
																																													goto
																																														BgL_tagzd2165zd2_1558;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_7284);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string2868z00zz__evaluatez00,
																																												BGl_string2943z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 424 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_74,
																																										BGl_string2868z00zz__evaluatez00,
																																										BGl_string2943z00zz__evaluatez00,
																																										BgL_ez00_69);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_74,
																																					BGl_string2868z00zz__evaluatez00,
																																					BGl_string2943z00zz__evaluatez00,
																																					BgL_ez00_69);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_cdrzd212503zd2_2199;
																																		BgL_cdrzd212503zd2_2199
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		if ((CAR((
																																						(obj_t)
																																						BgL_ez00_69))
																																				==
																																				BGl_symbol2967z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 424 */
																																				if (PAIRP(BgL_cdrzd212503zd2_2199))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd212508zd2_2203;
																																						BgL_cdrzd212508zd2_2203
																																							=
																																							CDR
																																							(BgL_cdrzd212503zd2_2199);
																																						if (PAIRP(BgL_cdrzd212508zd2_2203))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_carzd212512zd2_2205;
																																								BgL_carzd212512zd2_2205
																																									=
																																									CAR
																																									(BgL_cdrzd212508zd2_2203);
																																								if (PAIRP(BgL_carzd212512zd2_2205))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212517zd2_2207;
																																										BgL_cdrzd212517zd2_2207
																																											=
																																											CDR
																																											(BgL_carzd212512zd2_2205);
																																										if ((CAR(BgL_carzd212512zd2_2205) == BGl_symbol2932z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd212517zd2_2207))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212521zd2_2211;
																																														BgL_cdrzd212521zd2_2211
																																															=
																																															CDR
																																															(BgL_cdrzd212517zd2_2207);
																																														if (PAIRP(BgL_cdrzd212521zd2_2211))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (NULLP(CDR(BgL_cdrzd212521zd2_2211)))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd212508zd2_2203)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2110z00_2217;
																																																				obj_t
																																																					BgL_arg2111z00_2218;
																																																				obj_t
																																																					BgL_arg2112z00_2219;
																																																				BgL_arg2110z00_2217
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212503zd2_2199);
																																																				BgL_arg2111z00_2218
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212517zd2_2207);
																																																				BgL_arg2112z00_2219
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212521zd2_2211);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7323;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7326;
																																																						obj_t
																																																							BgL_formalsz00_7325;
																																																						obj_t
																																																							BgL_gvz00_7324;
																																																						BgL_gvz00_7324
																																																							=
																																																							BgL_arg2110z00_2217;
																																																						BgL_formalsz00_7325
																																																							=
																																																							BgL_arg2111z00_2218;
																																																						BgL_bodyz00_7326
																																																							=
																																																							BgL_arg2112z00_2219;
																																																						BgL_bodyz00_1562
																																																							=
																																																							BgL_bodyz00_7326;
																																																						BgL_formalsz00_1561
																																																							=
																																																							BgL_formalsz00_7325;
																																																						BgL_gvz00_1560
																																																							=
																																																							BgL_gvz00_7324;
																																																						goto
																																																							BgL_tagzd2167zd2_1563;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7323);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2113z00_2220;
																																																				BgL_arg2113z00_2220
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7330;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7332;
																																																						obj_t
																																																							BgL_fz00_7331;
																																																						BgL_fz00_7331
																																																							=
																																																							BgL_arg2113z00_2220;
																																																						BgL_argsz00_7332
																																																							=
																																																							BgL_cdrzd212503zd2_2199;
																																																						BgL_argsz00_1588
																																																							=
																																																							BgL_argsz00_7332;
																																																						BgL_fz00_1587
																																																							=
																																																							BgL_fz00_7331;
																																																						goto
																																																							BgL_tagzd2176zd2_1589;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7330);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd212623zd2_2224;
																																																		BgL_cdrzd212623zd2_2224
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd212503zd2_2199));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd212623zd2_2224))))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2118z00_2227;
																																																				obj_t
																																																					BgL_arg2119z00_2228;
																																																				BgL_arg2118z00_2227
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212503zd2_2199));
																																																				BgL_arg2119z00_2228
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212623zd2_2224));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7344;
																																																					{
																																																						obj_t
																																																							BgL_gez00_7346;
																																																						obj_t
																																																							BgL_gvz00_7345;
																																																						BgL_gvz00_7345
																																																							=
																																																							BgL_arg2118z00_2227;
																																																						BgL_gez00_7346
																																																							=
																																																							BgL_arg2119z00_2228;
																																																						BgL_gez00_1565
																																																							=
																																																							BgL_gez00_7346;
																																																						BgL_gvz00_1564
																																																							=
																																																							BgL_gvz00_7345;
																																																						goto
																																																							BgL_tagzd2168zd2_1566;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7344);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2120z00_2229;
																																																				obj_t
																																																					BgL_arg2121z00_2230;
																																																				BgL_arg2120z00_2229
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg2121z00_2230
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7352;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7354;
																																																						obj_t
																																																							BgL_fz00_7353;
																																																						BgL_fz00_7353
																																																							=
																																																							BgL_arg2120z00_2229;
																																																						BgL_argsz00_7354
																																																							=
																																																							BgL_arg2121z00_2230;
																																																						BgL_argsz00_1588
																																																							=
																																																							BgL_argsz00_7354;
																																																						BgL_fz00_1587
																																																							=
																																																							BgL_fz00_7353;
																																																						goto
																																																							BgL_tagzd2176zd2_1589;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7352);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd212712zd2_2234;
																																																BgL_cdrzd212712zd2_2234
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd212503zd2_2199));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd212712zd2_2234))))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2126z00_2237;
																																																		obj_t
																																																			BgL_arg2127z00_2238;
																																																		BgL_arg2126z00_2237
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212503zd2_2199));
																																																		BgL_arg2127z00_2238
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212712zd2_2234));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_7366;
																																																			{
																																																				obj_t
																																																					BgL_gez00_7368;
																																																				obj_t
																																																					BgL_gvz00_7367;
																																																				BgL_gvz00_7367
																																																					=
																																																					BgL_arg2126z00_2237;
																																																				BgL_gez00_7368
																																																					=
																																																					BgL_arg2127z00_2238;
																																																				BgL_gez00_1565
																																																					=
																																																					BgL_gez00_7368;
																																																				BgL_gvz00_1564
																																																					=
																																																					BgL_gvz00_7367;
																																																				goto
																																																					BgL_tagzd2168zd2_1566;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7366);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2128z00_2239;
																																																		obj_t
																																																			BgL_arg2130z00_2240;
																																																		BgL_arg2128z00_2239
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg2130z00_2240
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7374;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7376;
																																																				obj_t
																																																					BgL_fz00_7375;
																																																				BgL_fz00_7375
																																																					=
																																																					BgL_arg2128z00_2239;
																																																				BgL_argsz00_7376
																																																					=
																																																					BgL_arg2130z00_2240;
																																																				BgL_argsz00_1588
																																																					=
																																																					BgL_argsz00_7376;
																																																				BgL_fz00_1587
																																																					=
																																																					BgL_fz00_7375;
																																																				goto
																																																					BgL_tagzd2176zd2_1589;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7374);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212801zd2_2243;
																																														BgL_cdrzd212801zd2_2243
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd212503zd2_2199));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd212801zd2_2243))))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2134z00_2246;
																																																obj_t
																																																	BgL_arg2135z00_2247;
																																																BgL_arg2134z00_2246
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212503zd2_2199));
																																																BgL_arg2135z00_2247
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212801zd2_2243));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_7388;
																																																	{
																																																		obj_t
																																																			BgL_gez00_7390;
																																																		obj_t
																																																			BgL_gvz00_7389;
																																																		BgL_gvz00_7389
																																																			=
																																																			BgL_arg2134z00_2246;
																																																		BgL_gez00_7390
																																																			=
																																																			BgL_arg2135z00_2247;
																																																		BgL_gez00_1565
																																																			=
																																																			BgL_gez00_7390;
																																																		BgL_gvz00_1564
																																																			=
																																																			BgL_gvz00_7389;
																																																		goto
																																																			BgL_tagzd2168zd2_1566;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7388);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2136z00_2248;
																																																obj_t
																																																	BgL_arg2137z00_2249;
																																																BgL_arg2136z00_2248
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2137z00_2249
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7396;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7398;
																																																		obj_t
																																																			BgL_fz00_7397;
																																																		BgL_fz00_7397
																																																			=
																																																			BgL_arg2136z00_2248;
																																																		BgL_argsz00_7398
																																																			=
																																																			BgL_arg2137z00_2249;
																																																		BgL_argsz00_1588
																																																			=
																																																			BgL_argsz00_7398;
																																																		BgL_fz00_1587
																																																			=
																																																			BgL_fz00_7397;
																																																		goto
																																																			BgL_tagzd2176zd2_1589;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7396);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd212890zd2_2252;
																																												BgL_cdrzd212890zd2_2252
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd212503zd2_2199));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd212890zd2_2252))))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2141z00_2255;
																																														obj_t
																																															BgL_arg2142z00_2256;
																																														BgL_arg2141z00_2255
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212503zd2_2199));
																																														BgL_arg2142z00_2256
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212890zd2_2252));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_7410;
																																															{
																																																obj_t
																																																	BgL_gez00_7412;
																																																obj_t
																																																	BgL_gvz00_7411;
																																																BgL_gvz00_7411
																																																	=
																																																	BgL_arg2141z00_2255;
																																																BgL_gez00_7412
																																																	=
																																																	BgL_arg2142z00_2256;
																																																BgL_gez00_1565
																																																	=
																																																	BgL_gez00_7412;
																																																BgL_gvz00_1564
																																																	=
																																																	BgL_gvz00_7411;
																																																goto
																																																	BgL_tagzd2168zd2_1566;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7410);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2143z00_2257;
																																														obj_t
																																															BgL_arg2144z00_2258;
																																														BgL_arg2143z00_2257
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg2144z00_2258
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7418;
																																															{
																																																obj_t
																																																	BgL_argsz00_7420;
																																																obj_t
																																																	BgL_fz00_7419;
																																																BgL_fz00_7419
																																																	=
																																																	BgL_arg2143z00_2257;
																																																BgL_argsz00_7420
																																																	=
																																																	BgL_arg2144z00_2258;
																																																BgL_argsz00_1588
																																																	=
																																																	BgL_argsz00_7420;
																																																BgL_fz00_1587
																																																	=
																																																	BgL_fz00_7419;
																																																goto
																																																	BgL_tagzd2176zd2_1589;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7418);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212979zd2_2262;
																																										BgL_cdrzd212979zd2_2262
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd212503zd2_2199));
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd212979zd2_2262))))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2149z00_2265;
																																												obj_t
																																													BgL_arg2150z00_2266;
																																												BgL_arg2149z00_2265
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212503zd2_2199));
																																												BgL_arg2150z00_2266
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212979zd2_2262));
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_7432;
																																													{
																																														obj_t
																																															BgL_gez00_7434;
																																														obj_t
																																															BgL_gvz00_7433;
																																														BgL_gvz00_7433
																																															=
																																															BgL_arg2149z00_2265;
																																														BgL_gez00_7434
																																															=
																																															BgL_arg2150z00_2266;
																																														BgL_gez00_1565
																																															=
																																															BgL_gez00_7434;
																																														BgL_gvz00_1564
																																															=
																																															BgL_gvz00_7433;
																																														goto
																																															BgL_tagzd2168zd2_1566;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7432);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2151z00_2267;
																																												obj_t
																																													BgL_arg2152z00_2268;
																																												BgL_arg2151z00_2267
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2152z00_2268
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7440;
																																													{
																																														obj_t
																																															BgL_argsz00_7442;
																																														obj_t
																																															BgL_fz00_7441;
																																														BgL_fz00_7441
																																															=
																																															BgL_arg2151z00_2267;
																																														BgL_argsz00_7442
																																															=
																																															BgL_arg2152z00_2268;
																																														BgL_argsz00_1588
																																															=
																																															BgL_argsz00_7442;
																																														BgL_fz00_1587
																																															=
																																															BgL_fz00_7441;
																																														goto
																																															BgL_tagzd2176zd2_1589;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7440);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg2155z00_2270;
																																								BgL_arg2155z00_2270
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7446;
																																									{
																																										obj_t
																																											BgL_argsz00_7448;
																																										obj_t
																																											BgL_fz00_7447;
																																										BgL_fz00_7447
																																											=
																																											BgL_arg2155z00_2270;
																																										BgL_argsz00_7448
																																											=
																																											BgL_cdrzd212503zd2_2199;
																																										BgL_argsz00_1588
																																											=
																																											BgL_argsz00_7448;
																																										BgL_fz00_1587
																																											=
																																											BgL_fz00_7447;
																																										goto
																																											BgL_tagzd2176zd2_1589;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7446);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_arg2157z00_2272;
																																						BgL_arg2157z00_2272
																																							=
																																							CAR
																																							(((obj_t) BgL_ez00_69));
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_7452;
																																							{
																																								obj_t
																																									BgL_argsz00_7454;
																																								obj_t
																																									BgL_fz00_7453;
																																								BgL_fz00_7453
																																									=
																																									BgL_arg2157z00_2272;
																																								BgL_argsz00_7454
																																									=
																																									BgL_cdrzd212503zd2_2199;
																																								BgL_argsz00_1588
																																									=
																																									BgL_argsz00_7454;
																																								BgL_fz00_1587
																																									=
																																									BgL_fz00_7453;
																																								goto
																																									BgL_tagzd2176zd2_1589;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_7452);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				if (
																																					(CAR(
																																							((obj_t) BgL_ez00_69)) == BGl_symbol2969z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 424 */
																																						if (PAIRP(BgL_cdrzd212503zd2_2199))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_carzd213227zd2_2278;
																																								BgL_carzd213227zd2_2278
																																									=
																																									CAR
																																									(BgL_cdrzd212503zd2_2199);
																																								if (PAIRP(BgL_carzd213227zd2_2278))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (NULLP(CDR(BgL_carzd213227zd2_2278)))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2165z00_2282;
																																												obj_t
																																													BgL_arg2166z00_2283;
																																												BgL_arg2165z00_2282
																																													=
																																													CAR
																																													(BgL_carzd213227zd2_2278);
																																												BgL_arg2166z00_2283
																																													=
																																													CDR
																																													(BgL_cdrzd212503zd2_2199);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_7470;
																																													{
																																														obj_t
																																															BgL_bodyz00_7472;
																																														obj_t
																																															BgL_vz00_7471;
																																														BgL_vz00_7471
																																															=
																																															BgL_arg2165z00_2282;
																																														BgL_bodyz00_7472
																																															=
																																															BgL_arg2166z00_2283;
																																														BgL_bodyz00_1568
																																															=
																																															BgL_bodyz00_7472;
																																														BgL_vz00_1567
																																															=
																																															BgL_vz00_7471;
																																														goto
																																															BgL_tagzd2169zd2_1569;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7470);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2167z00_2284;
																																												obj_t
																																													BgL_arg2168z00_2285;
																																												BgL_arg2167z00_2284
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2168z00_2285
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7478;
																																													{
																																														obj_t
																																															BgL_argsz00_7480;
																																														obj_t
																																															BgL_fz00_7479;
																																														BgL_fz00_7479
																																															=
																																															BgL_arg2167z00_2284;
																																														BgL_argsz00_7480
																																															=
																																															BgL_arg2168z00_2285;
																																														BgL_argsz00_1588
																																															=
																																															BgL_argsz00_7480;
																																														BgL_fz00_1587
																																															=
																																															BgL_fz00_7479;
																																														goto
																																															BgL_tagzd2176zd2_1589;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7478);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2170z00_2287;
																																										obj_t
																																											BgL_arg2171z00_2288;
																																										BgL_arg2170z00_2287
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										BgL_arg2171z00_2288
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7486;
																																											{
																																												obj_t
																																													BgL_argsz00_7488;
																																												obj_t
																																													BgL_fz00_7487;
																																												BgL_fz00_7487
																																													=
																																													BgL_arg2170z00_2287;
																																												BgL_argsz00_7488
																																													=
																																													BgL_arg2171z00_2288;
																																												BgL_argsz00_1588
																																													=
																																													BgL_argsz00_7488;
																																												BgL_fz00_1587
																																													=
																																													BgL_fz00_7487;
																																												goto
																																													BgL_tagzd2176zd2_1589;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7486);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg2172z00_2289;
																																								obj_t
																																									BgL_arg2173z00_2290;
																																								BgL_arg2172z00_2289
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								BgL_arg2173z00_2290
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7494;
																																									{
																																										obj_t
																																											BgL_argsz00_7496;
																																										obj_t
																																											BgL_fz00_7495;
																																										BgL_fz00_7495
																																											=
																																											BgL_arg2172z00_2289;
																																										BgL_argsz00_7496
																																											=
																																											BgL_arg2173z00_2290;
																																										BgL_argsz00_1588
																																											=
																																											BgL_argsz00_7496;
																																										BgL_fz00_1587
																																											=
																																											BgL_fz00_7495;
																																										goto
																																											BgL_tagzd2176zd2_1589;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7494);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd213398zd2_2291;
																																						BgL_cdrzd213398zd2_2291
																																							=
																																							CDR
																																							(((obj_t) BgL_ez00_69));
																																						if (
																																							(CAR
																																								(((obj_t) BgL_ez00_69)) == BGl_symbol2971z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd213398zd2_2291))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2177z00_2295;
																																										obj_t
																																											BgL_arg2178z00_2296;
																																										BgL_arg2177z00_2295
																																											=
																																											CAR
																																											(BgL_cdrzd213398zd2_2291);
																																										BgL_arg2178z00_2296
																																											=
																																											CDR
																																											(BgL_cdrzd213398zd2_2291);
																																										{	/* Eval/evaluate.scm 575 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_new1155z00_4427;
																																											{	/* Eval/evaluate.scm 576 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new1154z00_4428;
																																												BgL_new1154z00_4428
																																													=
																																													(
																																													(BgL_ev_unwindzd2protectzd2_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_unwindzd2protectzd2_bgl))));
																																												{	/* Eval/evaluate.scm 576 */
																																													long
																																														BgL_arg2387z00_4429;
																																													BgL_arg2387z00_4429
																																														=
																																														BGL_CLASS_NUM
																																														(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1154z00_4428), BgL_arg2387z00_4429);
																																												}
																																												BgL_new1155z00_4427
																																													=
																																													BgL_new1154z00_4428;
																																											}
																																											{
																																												BgL_ev_exprz00_bglt
																																													BgL_auxz00_7512;
																																												{	/* Eval/evaluate.scm 380 */
																																													obj_t
																																														BgL_arg2404z00_4433;
																																													BgL_arg2404z00_4433
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2177z00_2295,
																																														BgL_locz00_74);
																																													BgL_auxz00_7512
																																														=
																																														(
																																														(BgL_ev_exprz00_bglt)
																																														BGl_uconvzf2locze70z15zz__evaluatez00
																																														(BgL_wherez00_73,
																																															BgL_globalsz00_71,
																																															BgL_localsz00_70,
																																															BgL_arg2177z00_2295,
																																															BgL_arg2404z00_4433));
																																												}
																																												((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4427))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7512), BUNSPEC);
																																											}
																																											((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4427))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2178z00_2296, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																											return
																																												(
																																												(obj_t)
																																												BgL_new1155z00_4427);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2179z00_2297;
																																										BgL_arg2179z00_2297
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7523;
																																											{
																																												obj_t
																																													BgL_argsz00_7525;
																																												obj_t
																																													BgL_fz00_7524;
																																												BgL_fz00_7524
																																													=
																																													BgL_arg2179z00_2297;
																																												BgL_argsz00_7525
																																													=
																																													BgL_cdrzd213398zd2_2291;
																																												BgL_argsz00_1588
																																													=
																																													BgL_argsz00_7525;
																																												BgL_fz00_1587
																																													=
																																													BgL_fz00_7524;
																																												goto
																																													BgL_tagzd2176zd2_1589;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7523);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2973z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd213398zd2_2291))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2184z00_2303;
																																												obj_t
																																													BgL_arg2185z00_2304;
																																												BgL_arg2184z00_2303
																																													=
																																													CAR
																																													(BgL_cdrzd213398zd2_2291);
																																												BgL_arg2185z00_2304
																																													=
																																													CDR
																																													(BgL_cdrzd213398zd2_2291);
																																												{	/* Eval/evaluate.scm 579 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_new1158z00_4440;
																																													{	/* Eval/evaluate.scm 580 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new1156z00_4441;
																																														BgL_new1156z00_4441
																																															=
																																															(
																																															(BgL_ev_withzd2handlerzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_withzd2handlerzd2_bgl))));
																																														{	/* Eval/evaluate.scm 580 */
																																															long
																																																BgL_arg2388z00_4442;
																																															BgL_arg2388z00_4442
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1156z00_4441), BgL_arg2388z00_4442);
																																														}
																																														BgL_new1158z00_4440
																																															=
																																															BgL_new1156z00_4441;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_7539;
																																														{	/* Eval/evaluate.scm 380 */
																																															obj_t
																																																BgL_arg2404z00_4446;
																																															BgL_arg2404z00_4446
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2184z00_2303,
																																																BgL_locz00_74);
																																															BgL_auxz00_7539
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg2184z00_2303,
																																																	BgL_arg2404z00_4446));
																																														}
																																														((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4440))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7539), BUNSPEC);
																																													}
																																													((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4440))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2185z00_2304, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1158z00_4440);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2187z00_2305;
																																												obj_t
																																													BgL_arg2188z00_2306;
																																												BgL_arg2187z00_2305
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2188z00_2306
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7552;
																																													{
																																														obj_t
																																															BgL_argsz00_7554;
																																														obj_t
																																															BgL_fz00_7553;
																																														BgL_fz00_7553
																																															=
																																															BgL_arg2187z00_2305;
																																														BgL_argsz00_7554
																																															=
																																															BgL_arg2188z00_2306;
																																														BgL_argsz00_1588
																																															=
																																															BgL_argsz00_7554;
																																														BgL_fz00_1587
																																															=
																																															BgL_fz00_7553;
																																														goto
																																															BgL_tagzd2176zd2_1589;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7552);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd213505zd2_2307;
																																										BgL_cdrzd213505zd2_2307
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2975z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd213505zd2_2307))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd213510zd2_2311;
																																														BgL_cdrzd213510zd2_2311
																																															=
																																															CDR
																																															(BgL_cdrzd213505zd2_2307);
																																														if (PAIRP(BgL_cdrzd213510zd2_2311))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd213515zd2_2313;
																																																BgL_cdrzd213515zd2_2313
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213510zd2_2311);
																																																if ((CAR(BgL_cdrzd213510zd2_2311) == BGl_keyword2977z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (PAIRP(BgL_cdrzd213515zd2_2313))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2196z00_2317;
																																																				obj_t
																																																					BgL_arg2197z00_2318;
																																																				obj_t
																																																					BgL_arg2198z00_2319;
																																																				BgL_arg2196z00_2317
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213505zd2_2307);
																																																				BgL_arg2197z00_2318
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213515zd2_2313);
																																																				BgL_arg2198z00_2319
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213515zd2_2313);
																																																				{	/* Eval/evaluate.scm 583 */
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_new1160z00_4457;
																																																					{	/* Eval/evaluate.scm 584 */
																																																						BgL_ev_synchroniza7eza7_bglt
																																																							BgL_new1159z00_4458;
																																																						BgL_new1159z00_4458
																																																							=
																																																							(
																																																							(BgL_ev_synchroniza7eza7_bglt)
																																																							BOBJECT
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_synchroniza7eza7_bgl))));
																																																						{	/* Eval/evaluate.scm 584 */
																																																							long
																																																								BgL_arg2389z00_4459;
																																																							BgL_arg2389z00_4459
																																																								=
																																																								BGL_CLASS_NUM
																																																								(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																							BGL_OBJECT_CLASS_NUM_SET
																																																								(
																																																								((BgL_objectz00_bglt) BgL_new1159z00_4458), BgL_arg2389z00_4459);
																																																						}
																																																						BgL_new1160z00_4457
																																																							=
																																																							BgL_new1159z00_4458;
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4457))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7581;
																																																						{	/* Eval/evaluate.scm 380 */
																																																							obj_t
																																																								BgL_arg2404z00_4463;
																																																							BgL_arg2404z00_4463
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2196z00_2317,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7581
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2196z00_2317,
																																																									BgL_arg2404z00_4463));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4457))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7581), BUNSPEC);
																																																					}
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7586;
																																																						{	/* Eval/evaluate.scm 380 */
																																																							obj_t
																																																								BgL_arg2404z00_4464;
																																																							BgL_arg2404z00_4464
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2197z00_2318,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7586
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2197z00_2318,
																																																									BgL_arg2404z00_4464));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4457))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7586), BUNSPEC);
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4457))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2198z00_2319, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_new1160z00_4457);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2199z00_2321;
																																																				obj_t
																																																					BgL_arg2200z00_2322;
																																																				BgL_arg2199z00_2321
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd213505zd2_2307));
																																																				BgL_arg2200z00_2322
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd213505zd2_2307));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_7599;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7601;
																																																						obj_t
																																																							BgL_mz00_7600;
																																																						BgL_mz00_7600
																																																							=
																																																							BgL_arg2199z00_2321;
																																																						BgL_bodyz00_7601
																																																							=
																																																							BgL_arg2200z00_2322;
																																																						BgL_bodyz00_1581
																																																							=
																																																							BgL_bodyz00_7601;
																																																						BgL_mz00_1580
																																																							=
																																																							BgL_mz00_7600;
																																																						goto
																																																							BgL_tagzd2173zd2_1582;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7599);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2201z00_2324;
																																																		obj_t
																																																			BgL_arg2202z00_2325;
																																																		BgL_arg2201z00_2324
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd213505zd2_2307));
																																																		BgL_arg2202z00_2325
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd213505zd2_2307));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_7607;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_7609;
																																																				obj_t
																																																					BgL_mz00_7608;
																																																				BgL_mz00_7608
																																																					=
																																																					BgL_arg2201z00_2324;
																																																				BgL_bodyz00_7609
																																																					=
																																																					BgL_arg2202z00_2325;
																																																				BgL_bodyz00_1581
																																																					=
																																																					BgL_bodyz00_7609;
																																																				BgL_mz00_1580
																																																					=
																																																					BgL_mz00_7608;
																																																				goto
																																																					BgL_tagzd2173zd2_1582;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7607);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2204z00_2328;
																																																obj_t
																																																	BgL_arg2205z00_2329;
																																																BgL_arg2204z00_2328
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd213505zd2_2307));
																																																BgL_arg2205z00_2329
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd213505zd2_2307));
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_7615;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_7617;
																																																		obj_t
																																																			BgL_mz00_7616;
																																																		BgL_mz00_7616
																																																			=
																																																			BgL_arg2204z00_2328;
																																																		BgL_bodyz00_7617
																																																			=
																																																			BgL_arg2205z00_2329;
																																																		BgL_bodyz00_1581
																																																			=
																																																			BgL_bodyz00_7617;
																																																		BgL_mz00_1580
																																																			=
																																																			BgL_mz00_7616;
																																																		goto
																																																			BgL_tagzd2173zd2_1582;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7615);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2206z00_2330;
																																														BgL_arg2206z00_2330
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7621;
																																															{
																																																obj_t
																																																	BgL_argsz00_7623;
																																																obj_t
																																																	BgL_fz00_7622;
																																																BgL_fz00_7622
																																																	=
																																																	BgL_arg2206z00_2330;
																																																BgL_argsz00_7623
																																																	=
																																																	BgL_cdrzd213505zd2_2307;
																																																BgL_argsz00_1588
																																																	=
																																																	BgL_argsz00_7623;
																																																BgL_fz00_1587
																																																	=
																																																	BgL_fz00_7622;
																																																goto
																																																	BgL_tagzd2176zd2_1589;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7621);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2932z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd213505zd2_2307))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd213617zd2_2336;
																																																BgL_cdrzd213617zd2_2336
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213505zd2_2307);
																																																if (PAIRP(BgL_cdrzd213617zd2_2336))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd213617zd2_2336)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2214z00_2340;
																																																				obj_t
																																																					BgL_arg2215z00_2341;
																																																				BgL_arg2214z00_2340
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213505zd2_2307);
																																																				BgL_arg2215z00_2341
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213617zd2_2336);
																																																				{	/* Eval/evaluate.scm 595 */
																																																					obj_t
																																																						BgL_arg2391z00_4482;
																																																					{	/* Eval/evaluate.scm 595 */
																																																						obj_t
																																																							BgL_arg2393z00_4483;
																																																						{	/* Eval/evaluate.scm 595 */
																																																							obj_t
																																																								BgL_arg2394z00_4484;
																																																							obj_t
																																																								BgL_arg2396z00_4485;
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_symbolz00_4486;
																																																								BgL_symbolz00_4486
																																																									=
																																																									BGl_symbol2979z00zz__evaluatez00;
																																																								{	/* Eval/evaluate.scm 595 */
																																																									obj_t
																																																										BgL_arg2612z00_4487;
																																																									BgL_arg2612z00_4487
																																																										=
																																																										SYMBOL_TO_STRING
																																																										(BgL_symbolz00_4486);
																																																									BgL_arg2394z00_4484
																																																										=
																																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																										(BgL_arg2612z00_4487);
																																																								}
																																																							}
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_arg2612z00_4489;
																																																								BgL_arg2612z00_4489
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(
																																																									((obj_t) BgL_wherez00_73));
																																																								BgL_arg2396z00_4485
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2612z00_4489);
																																																							}
																																																							BgL_arg2393z00_4483
																																																								=
																																																								string_append
																																																								(BgL_arg2394z00_4484,
																																																								BgL_arg2396z00_4485);
																																																						}
																																																						BgL_arg2391z00_4482
																																																							=
																																																							bstring_to_symbol
																																																							(BgL_arg2393z00_4483);
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdaze70z35zz__evaluatez00
																																																						(BgL_globalsz00_71,
																																																							BgL_localsz00_70,
																																																							BgL_ez00_69,
																																																							BgL_locz00_74,
																																																							BgL_arg2214z00_2340,
																																																							BgL_arg2215z00_2341,
																																																							BgL_arg2391z00_4482,
																																																							BFALSE));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2216z00_2342;
																																																				obj_t
																																																					BgL_arg2217z00_2343;
																																																				BgL_arg2216z00_2342
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg2217z00_2343
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7652;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7654;
																																																						obj_t
																																																							BgL_fz00_7653;
																																																						BgL_fz00_7653
																																																							=
																																																							BgL_arg2216z00_2342;
																																																						BgL_argsz00_7654
																																																							=
																																																							BgL_arg2217z00_2343;
																																																						BgL_argsz00_1588
																																																							=
																																																							BgL_argsz00_7654;
																																																						BgL_fz00_1587
																																																							=
																																																							BgL_fz00_7653;
																																																						goto
																																																							BgL_tagzd2176zd2_1589;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7652);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2219z00_2345;
																																																		obj_t
																																																			BgL_arg2220z00_2346;
																																																		BgL_arg2219z00_2345
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg2220z00_2346
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7660;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7662;
																																																				obj_t
																																																					BgL_fz00_7661;
																																																				BgL_fz00_7661
																																																					=
																																																					BgL_arg2219z00_2345;
																																																				BgL_argsz00_7662
																																																					=
																																																					BgL_arg2220z00_2346;
																																																				BgL_argsz00_1588
																																																					=
																																																					BgL_argsz00_7662;
																																																				BgL_fz00_1587
																																																					=
																																																					BgL_fz00_7661;
																																																				goto
																																																					BgL_tagzd2176zd2_1589;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7660);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2221z00_2347;
																																																obj_t
																																																	BgL_arg2222z00_2348;
																																																BgL_arg2221z00_2347
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2222z00_2348
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7668;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7670;
																																																		obj_t
																																																			BgL_fz00_7669;
																																																		BgL_fz00_7669
																																																			=
																																																			BgL_arg2221z00_2347;
																																																		BgL_argsz00_7670
																																																			=
																																																			BgL_arg2222z00_2348;
																																																		BgL_argsz00_1588
																																																			=
																																																			BgL_argsz00_7670;
																																																		BgL_fz00_1587
																																																			=
																																																			BgL_fz00_7669;
																																																		goto
																																																			BgL_tagzd2176zd2_1589;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7668);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2981z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 424 */
																																																return
																																																	BGl_errorz00zz__errorz00
																																																	(BGl_string2983z00zz__evaluatez00,
																																																	BGl_string2984z00zz__evaluatez00,
																																																	BgL_ez00_69);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2225z00_2351;
																																																obj_t
																																																	BgL_arg2226z00_2352;
																																																BgL_arg2225z00_2351
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2226z00_2352
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7681;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7683;
																																																		obj_t
																																																			BgL_fz00_7682;
																																																		BgL_fz00_7682
																																																			=
																																																			BgL_arg2225z00_2351;
																																																		BgL_argsz00_7683
																																																			=
																																																			BgL_arg2226z00_2352;
																																																		BgL_argsz00_1588
																																																			=
																																																			BgL_argsz00_7683;
																																																		BgL_fz00_1587
																																																			=
																																																			BgL_fz00_7682;
																																																		goto
																																																			BgL_tagzd2176zd2_1589;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7681);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 424 */
						BgL_xz00_1511 = BgL_ez00_69;
						if (SYMBOLP(BgL_xz00_1511))
							{	/* Eval/evaluate.scm 427 */
								obj_t BgL__ortest_1103z00_2374;

								BgL__ortest_1103z00_2374 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1511,
									BgL_localsz00_70);
								if (CBOOL(BgL__ortest_1103z00_2374))
									{	/* Eval/evaluate.scm 427 */
										return BgL__ortest_1103z00_2374;
									}
								else
									{	/* Eval/evaluate.scm 195 */
										BgL_ev_globalz00_bglt BgL_new1078z00_3555;

										{	/* Eval/evaluate.scm 196 */
											BgL_ev_globalz00_bglt BgL_new1077z00_3556;

											BgL_new1077z00_3556 =
												((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 196 */
												long BgL_arg1392z00_3557;

												BgL_arg1392z00_3557 =
													BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1077z00_3556),
													BgL_arg1392z00_3557);
											}
											BgL_new1078z00_3555 = BgL_new1077z00_3556;
										}
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3555))->
												BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3555))->
												BgL_namez00) = ((obj_t) BgL_xz00_1511), BUNSPEC);
										{
											obj_t BgL_auxz00_7696;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
												{	/* Eval/evaluate.scm 198 */
													BgL_auxz00_7696 = BgL_globalsz00_71;
												}
											else
												{	/* Eval/evaluate.scm 198 */
													BgL_auxz00_7696 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3555))->
													BgL_modz00) = ((obj_t) BgL_auxz00_7696), BUNSPEC);
										}
										return ((obj_t) BgL_new1078z00_3555);
									}
							}
						else
							{	/* Eval/evaluate.scm 428 */
								BgL_ev_littz00_bglt BgL_new1105z00_2375;

								{	/* Eval/evaluate.scm 429 */
									BgL_ev_littz00_bglt BgL_new1104z00_2376;

									BgL_new1104z00_2376 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 429 */
										long BgL_arg2248z00_2377;

										BgL_arg2248z00_2377 =
											BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1104z00_2376),
											BgL_arg2248z00_2377);
									}
									BgL_new1105z00_2375 = BgL_new1104z00_2376;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1105z00_2375))->
										BgL_valuez00) = ((obj_t) BgL_xz00_1511), BUNSPEC);
								return ((obj_t) BgL_new1105z00_2375);
							}
					}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4811,
		obj_t BgL_globalsz00_4810, obj_t BgL_localsz00_4809, obj_t BgL_locz00_4808,
		obj_t BgL_esz00_2705)
	{
		{	/* Eval/evaluate.scm 386 */
			if (NULLP(BgL_esz00_2705))
				{	/* Eval/evaluate.scm 387 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 389 */
					obj_t BgL_ez00_2708;

					BgL_ez00_2708 = CAR(((obj_t) BgL_esz00_2705));
					{	/* Eval/evaluate.scm 390 */
						obj_t BgL_arg2411z00_2709;
						obj_t BgL_arg2412z00_2710;

						{	/* Eval/evaluate.scm 390 */
							obj_t BgL_arg2414z00_2711;

							{	/* Eval/evaluate.scm 150 */
								obj_t BgL__ortest_1070z00_3534;

								BgL__ortest_1070z00_3534 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2708);
								if (CBOOL(BgL__ortest_1070z00_3534))
									{	/* Eval/evaluate.scm 150 */
										BgL_arg2414z00_2711 = BgL__ortest_1070z00_3534;
									}
								else
									{	/* Eval/evaluate.scm 151 */
										obj_t BgL__ortest_1071z00_3535;

										BgL__ortest_1071z00_3535 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2705);
										if (CBOOL(BgL__ortest_1071z00_3535))
											{	/* Eval/evaluate.scm 151 */
												BgL_arg2414z00_2711 = BgL__ortest_1071z00_3535;
											}
										else
											{	/* Eval/evaluate.scm 151 */
												BgL_arg2414z00_2711 = BgL_locz00_4808;
											}
									}
							}
							BgL_arg2411z00_2709 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2708, BgL_localsz00_4809,
								BgL_globalsz00_4810, BFALSE, BgL_wherez00_4811,
								BgL_arg2414z00_2711, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 391 */
							obj_t BgL_arg2415z00_2712;

							BgL_arg2415z00_2712 = CDR(((obj_t) BgL_esz00_2705));
							BgL_arg2412z00_2710 =
								BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4811,
								BgL_globalsz00_4810, BgL_localsz00_4809, BgL_locz00_4808,
								BgL_arg2415z00_2712);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2411z00_2709, BgL_arg2412z00_2710);
					}
				}
		}

	}



/* conv-vals~0 */
	obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4813,
		obj_t BgL_globalsz00_4812, obj_t BgL_lz00_2523, obj_t BgL_varsz00_2524,
		obj_t BgL_localsz00_2525, obj_t BgL_locz00_2526)
	{
		{	/* Eval/evaluate.scm 502 */
			if (NULLP(BgL_lz00_2523))
				{	/* Eval/evaluate.scm 498 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 500 */
					obj_t BgL_locz00_3687;

					{	/* Eval/evaluate.scm 500 */
						obj_t BgL_arg2326z00_3688;

						BgL_arg2326z00_3688 = CAR(((obj_t) BgL_lz00_2523));
						{	/* Eval/evaluate.scm 144 */
							obj_t BgL__ortest_1069z00_3697;

							BgL__ortest_1069z00_3697 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2326z00_3688);
							if (CBOOL(BgL__ortest_1069z00_3697))
								{	/* Eval/evaluate.scm 144 */
									BgL_locz00_3687 = BgL__ortest_1069z00_3697;
								}
							else
								{	/* Eval/evaluate.scm 144 */
									BgL_locz00_3687 = BgL_locz00_2526;
								}
						}
					}
					{	/* Eval/evaluate.scm 501 */
						obj_t BgL_arg2317z00_3689;
						obj_t BgL_arg2318z00_3690;

						{	/* Eval/evaluate.scm 501 */
							obj_t BgL_arg2319z00_3691;

							{	/* Eval/evaluate.scm 501 */
								obj_t BgL_pairz00_3703;

								{	/* Eval/evaluate.scm 501 */
									obj_t BgL_pairz00_3702;

									BgL_pairz00_3702 = CAR(((obj_t) BgL_lz00_2523));
									BgL_pairz00_3703 = CDR(BgL_pairz00_3702);
								}
								BgL_arg2319z00_3691 = CAR(BgL_pairz00_3703);
							}
							BgL_arg2317z00_3689 =
								BGl_convz00zz__evaluatez00(BgL_arg2319z00_3691,
								BgL_localsz00_2525, BgL_globalsz00_4812, BFALSE,
								BgL_wherez00_4813, BgL_locz00_3687, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 502 */
							obj_t BgL_arg2320z00_3692;
							obj_t BgL_arg2321z00_3693;
							obj_t BgL_arg2323z00_3694;

							BgL_arg2320z00_3692 = CDR(((obj_t) BgL_lz00_2523));
							BgL_arg2321z00_3693 = CDR(((obj_t) BgL_varsz00_2524));
							{	/* Eval/evaluate.scm 502 */
								obj_t BgL_arg2324z00_3695;

								BgL_arg2324z00_3695 = CAR(((obj_t) BgL_varsz00_2524));
								BgL_arg2323z00_3694 =
									MAKE_YOUNG_PAIR(BgL_arg2324z00_3695, BgL_localsz00_2525);
							}
							BgL_arg2318z00_3690 =
								BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4813,
								BgL_globalsz00_4812, BgL_arg2320z00_3692, BgL_arg2321z00_3693,
								BgL_arg2323z00_3694, BgL_locz00_3687);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2317z00_3689, BgL_arg2318z00_3690);
					}
				}
		}

	}



/* conv-lambda~0 */
	BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t
		BgL_globalsz00_4817, obj_t BgL_localsz00_4816, obj_t BgL_ez00_4815,
		obj_t BgL_locz00_4814, obj_t BgL_formalsz00_2714, obj_t BgL_bodyz00_2715,
		obj_t BgL_wherez00_2716, obj_t BgL_typez00_2717)
	{
		{	/* Eval/evaluate.scm 404 */
			{
				obj_t BgL_lz00_2748;

				{	/* Eval/evaluate.scm 406 */
					obj_t BgL_argsz00_2720;

					BgL_lz00_2748 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_2714, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_2752;
						obj_t BgL_flatz00_2753;
						long BgL_arityz00_2754;

						BgL_rz00_2752 = BgL_lz00_2748;
						BgL_flatz00_2753 = BNIL;
						BgL_arityz00_2754 = ((long) 0);
					BgL_zc3z04anonymousza32434ze3z87_2755:
						if (NULLP(BgL_rz00_2752))
							{	/* Eval/evaluate.scm 399 */
								obj_t BgL_val0_1206z00_2757;

								BgL_val0_1206z00_2757 = bgl_reverse_bang(BgL_flatz00_2753);
								{	/* Eval/evaluate.scm 399 */
									int BgL_tmpz00_7747;

									BgL_tmpz00_7747 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7747);
								}
								{	/* Eval/evaluate.scm 399 */
									obj_t BgL_auxz00_7752;
									int BgL_tmpz00_7750;

									BgL_auxz00_7752 = BINT(BgL_arityz00_2754);
									BgL_tmpz00_7750 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7750, BgL_auxz00_7752);
								}
								BgL_argsz00_2720 = BgL_val0_1206z00_2757;
							}
						else
							{	/* Eval/evaluate.scm 398 */
								if (PAIRP(BgL_rz00_2752))
									{	/* Eval/evaluate.scm 403 */
										obj_t BgL_arg2437z00_2760;
										obj_t BgL_arg2438z00_2761;
										long BgL_arg2439z00_2762;

										BgL_arg2437z00_2760 = CDR(BgL_rz00_2752);
										BgL_arg2438z00_2761 =
											MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_2752)), BgL_flatz00_2753);
										BgL_arg2439z00_2762 = (BgL_arityz00_2754 + ((long) 1));
										{
											long BgL_arityz00_7764;
											obj_t BgL_flatz00_7763;
											obj_t BgL_rz00_7762;

											BgL_rz00_7762 = BgL_arg2437z00_2760;
											BgL_flatz00_7763 = BgL_arg2438z00_2761;
											BgL_arityz00_7764 = BgL_arg2439z00_2762;
											BgL_arityz00_2754 = BgL_arityz00_7764;
											BgL_flatz00_2753 = BgL_flatz00_7763;
											BgL_rz00_2752 = BgL_rz00_7762;
											goto BgL_zc3z04anonymousza32434ze3z87_2755;
										}
									}
								else
									{	/* Eval/evaluate.scm 401 */
										obj_t BgL_val0_1208z00_2765;
										long BgL_val1_1209z00_2766;

										{	/* Eval/evaluate.scm 401 */
											obj_t BgL_arg2443z00_2767;

											BgL_arg2443z00_2767 =
												MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_2752), BgL_flatz00_2753);
											BgL_val0_1208z00_2765 =
												bgl_reverse_bang(BgL_arg2443z00_2767);
										}
										BgL_val1_1209z00_2766 = (((long) -1) - BgL_arityz00_2754);
										{	/* Eval/evaluate.scm 401 */
											int BgL_tmpz00_7769;

											BgL_tmpz00_7769 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7769);
										}
										{	/* Eval/evaluate.scm 401 */
											obj_t BgL_auxz00_7774;
											int BgL_tmpz00_7772;

											BgL_auxz00_7774 = BINT(BgL_val1_1209z00_2766);
											BgL_tmpz00_7772 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_7772, BgL_auxz00_7774);
										}
										BgL_argsz00_2720 = BgL_val0_1208z00_2765;
					}}}
					{	/* Eval/evaluate.scm 407 */
						obj_t BgL_arityz00_2721;

						{	/* Eval/evaluate.scm 408 */
							obj_t BgL_tmpz00_3541;

							{	/* Eval/evaluate.scm 408 */
								int BgL_tmpz00_7778;

								BgL_tmpz00_7778 = (int) (((long) 1));
								BgL_tmpz00_3541 = BGL_MVALUES_VAL(BgL_tmpz00_7778);
							}
							{	/* Eval/evaluate.scm 408 */
								int BgL_tmpz00_7781;

								BgL_tmpz00_7781 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_7781, BUNSPEC);
							}
							BgL_arityz00_2721 = BgL_tmpz00_3541;
						}
						{	/* Eval/evaluate.scm 408 */
							obj_t BgL_varsz00_2722;
							obj_t BgL_bodyz00_2723;
							obj_t BgL_nlocz00_2724;

							if (NULLP(BgL_argsz00_2720))
								{	/* Eval/evaluate.scm 408 */
									BgL_varsz00_2722 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 408 */
									obj_t BgL_head1212z00_2731;

									BgL_head1212z00_2731 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1210z00_2733;
										obj_t BgL_tail1213z00_2734;

										BgL_l1210z00_2733 = BgL_argsz00_2720;
										BgL_tail1213z00_2734 = BgL_head1212z00_2731;
									BgL_zc3z04anonymousza32422ze3z87_2735:
										if (NULLP(BgL_l1210z00_2733))
											{	/* Eval/evaluate.scm 408 */
												BgL_varsz00_2722 = CDR(BgL_head1212z00_2731);
											}
										else
											{	/* Eval/evaluate.scm 408 */
												obj_t BgL_newtail1214z00_2737;

												{	/* Eval/evaluate.scm 408 */
													BgL_ev_varz00_bglt BgL_arg2426z00_2739;

													{	/* Eval/evaluate.scm 408 */
														obj_t BgL_vz00_2740;

														BgL_vz00_2740 = CAR(((obj_t) BgL_l1210z00_2733));
														{	/* Eval/evaluate.scm 409 */
															BgL_ev_varz00_bglt BgL_new1100z00_2741;

															{	/* Eval/evaluate.scm 411 */
																BgL_ev_varz00_bglt BgL_new1099z00_2742;

																BgL_new1099z00_2742 =
																	((BgL_ev_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 411 */
																	long BgL_arg2427z00_2743;

																	BgL_arg2427z00_2743 =
																		BGL_CLASS_NUM
																		(BGl_ev_varz00zz__evaluate_typesz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1099z00_2742),
																		BgL_arg2427z00_2743);
																}
																BgL_new1100z00_2741 = BgL_new1099z00_2742;
															}
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2741))->
																	BgL_namez00) =
																((obj_t) CAR(((obj_t) BgL_vz00_2740))),
																BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2741))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2741))->
																	BgL_typez00) =
																((obj_t) CDR(((obj_t) BgL_vz00_2740))),
																BUNSPEC);
															BgL_arg2426z00_2739 = BgL_new1100z00_2741;
													}}
													BgL_newtail1214z00_2737 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2426z00_2739), BNIL);
												}
												SET_CDR(BgL_tail1213z00_2734, BgL_newtail1214z00_2737);
												{	/* Eval/evaluate.scm 408 */
													obj_t BgL_arg2425z00_2738;

													BgL_arg2425z00_2738 =
														CDR(((obj_t) BgL_l1210z00_2733));
													{
														obj_t BgL_tail1213z00_7809;
														obj_t BgL_l1210z00_7808;

														BgL_l1210z00_7808 = BgL_arg2425z00_2738;
														BgL_tail1213z00_7809 = BgL_newtail1214z00_2737;
														BgL_tail1213z00_2734 = BgL_tail1213z00_7809;
														BgL_l1210z00_2733 = BgL_l1210z00_7808;
														goto BgL_zc3z04anonymousza32422ze3z87_2735;
													}
												}
											}
									}
								}
							BgL_bodyz00_2723 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4815, BgL_formalsz00_2714,
								BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2720,
									BgL_argsz00_2720,
									BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2717,
										BgL_bodyz00_2715, BgL_locz00_4814), BgL_locz00_4814,
									BgL_wherez00_2716), BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 144 */
								obj_t BgL__ortest_1069z00_3551;

								BgL__ortest_1069z00_3551 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2715);
								if (CBOOL(BgL__ortest_1069z00_3551))
									{	/* Eval/evaluate.scm 144 */
										BgL_nlocz00_2724 = BgL__ortest_1069z00_3551;
									}
								else
									{	/* Eval/evaluate.scm 144 */
										BgL_nlocz00_2724 = BgL_locz00_4814;
									}
							}
							{	/* Eval/evaluate.scm 417 */
								BgL_ev_absz00_bglt BgL_new1102z00_2725;

								{	/* Eval/evaluate.scm 418 */
									BgL_ev_absz00_bglt BgL_new1101z00_2727;

									BgL_new1101z00_2727 =
										((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 418 */
										long BgL_arg2420z00_2728;

										BgL_arg2420z00_2728 =
											BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1101z00_2727),
											BgL_arg2420z00_2728);
									}
									BgL_new1102z00_2725 = BgL_new1101z00_2727;
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_locz00) = ((obj_t) BgL_locz00_4814), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_2716), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_2721), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_2722), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_7824;

									{	/* Eval/evaluate.scm 422 */
										obj_t BgL_arg2418z00_2726;

										BgL_arg2418z00_2726 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_2722,
											BgL_localsz00_4816);
										BgL_auxz00_7824 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_2723,
												BgL_arg2418z00_2726, BgL_globalsz00_4817, BTRUE,
												BgL_wherez00_2716, BgL_nlocz00_2724, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_7824), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2725))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1102z00_2725;
							}
						}
					}
				}
			}
		}

	}



/* uconv/loc~0 */
	obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4824,
		obj_t BgL_globalsz00_4823, obj_t BgL_localsz00_4822, obj_t BgL_ez00_2692,
		obj_t BgL_locz00_2693)
	{
		{	/* Eval/evaluate.scm 377 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2692, BgL_localsz00_4822,
				BgL_globalsz00_4823, BFALSE, BgL_wherez00_4824, BgL_locz00_2693,
				((bool_t) 0));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 481261960),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					242777169), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 43892022),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 207454816),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 528345299),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 505897955),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string2985z00zz__evaluatez00));
		}

	}

#ifdef __cplusplus
}
#endif
