/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62compzd2ev_litt1453zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33903ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31951ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32834ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33742ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32843ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32819ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4605z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_defglobal1451zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setglobal1449zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33751ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33824ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32852ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1471z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33654ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32828ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33298ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_symbol4613z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_symbol4615z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4617z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04exitza33319ze3ze70z60zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33841ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32942ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32934ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33566ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32837ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33558ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_symbol4620z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4623z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4625z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4627z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4629z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00(void);
	extern obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32846ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol4631z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4633z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4635z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol4637z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4639z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33851ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32863ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32855ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32766ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00(void);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_symbol4720z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol4641z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4643z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4645z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33004ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4728z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4647z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4649z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32961ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32953ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33917ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33593ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33488ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_symbol4651z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4653z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33102ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4655z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4657z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4739z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4659z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33764ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32792ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32784ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32865ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33497ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32849ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_symbol4741z00zz__evaluate_compz00 = BUNSPEC;
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol4661z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4743z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4663z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4745z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4665z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4667z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4669z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_prog21461zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33684ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32947ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32858ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol4671z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza34011ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4673z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32132ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4675z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4595z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4677z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4597z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4679z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4599z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33790ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32964ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33774ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32859ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_symbol4681z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol4683z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4685z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_symbol4687z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32109ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4689z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33864ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33694ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33929ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00(void);
	static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33025ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32982ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32958ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32796ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32788ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33212ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_or1457zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32054ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33947ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1442zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00(void);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33875ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32976ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31996ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33311ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32234ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32307ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33892ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_goto1479zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4506z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run4508z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_let1463zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32073ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33990ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32986ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4510z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4512z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62run4514z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4516z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33240ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4518z62zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33967ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4520z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4522z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4524z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4526z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4528z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32342ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32237ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern bool_t bigloo_string_lt(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_global1447zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4530z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4532z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4534z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4536z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33323ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32270ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4538z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33145ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62run4540z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_synchroniza7e1475z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4542z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62run4544z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33510ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4546z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4548z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32182ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33146ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1477zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62run4550z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4552z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4554z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4556z62zz__evaluate_compz00(obj_t, obj_t);
	extern int bgl_debug(void);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33317ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4558z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33066ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4560z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_z62run4562z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33520ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4564z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4566z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_get_profilez00zz__evaluate_compz00(void);
	static obj_t BGl_z62zc3z04anonymousza33075ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4568z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00(void);
	static obj_t BGl_z62main4505z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4507z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	static obj_t BGl_z62main4509z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62compzd2ev_app1481zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4570z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(void);
	static obj_t BGl_z62run4572z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32800ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33351ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4574z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00(void);
	static obj_t BGl_z62run4576z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33157ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4578z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4511z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4513z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4515z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4517z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4519z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4580z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62run4582z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4584z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4586z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32437ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4588z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4521z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4523z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4525z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4527z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4529z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62comp1437z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62run4590z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32381ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33264ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4531z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4533z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4535z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4537z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1444zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4539z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_z62compzd2ev_and1459zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33710ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32560ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33605ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33184ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1469z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33168ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4541z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62main4543z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62main4545z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4547z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4549z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33800ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32804ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33363ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4551z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4553z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4555z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4557z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4559z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32384ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33089ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4561z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4563z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4565z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4567z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs1483zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4569z62zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62compzd2ev_letrec1467zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1473z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4571z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4573z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4575z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4577z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4579z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32831ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33633ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31932ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33463ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32491ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1455zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_trap1440zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4581z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4583z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4585z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4587z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4589z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32840ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33642ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04exitza33299ze3ze70z60zz__evaluate_compz00(obj_t, obj_t,
		obj_t, long, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33545ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33537ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32379ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21465z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33813ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t *__cnst;


	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za74749z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_4750z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza74751za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string4600z00zz__evaluate_compz00,
		BgL_bgl_string4600za700za7za7_4752za7, "bounce", 6);
	      DEFINE_STRING(BGl_string4601z00zz__evaluate_compz00,
		BgL_bgl_string4601za700za7za7_4753za7, "non non non", 11);
	      DEFINE_STRING(BGl_string4602z00zz__evaluate_compz00,
		BgL_bgl_string4602za700za7za7_4754za7, " in ", 4);
	      DEFINE_STRING(BGl_string4603z00zz__evaluate_compz00,
		BgL_bgl_string4603za700za7za7_4755za7, "eval", 4);
	      DEFINE_STRING(BGl_string4604z00zz__evaluate_compz00,
		BgL_bgl_string4604za700za7za7_4756za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string4606z00zz__evaluate_compz00,
		BgL_bgl_string4606za700za7za7_4757za7, "at", 2);
	      DEFINE_STRING(BGl_string4607z00zz__evaluate_compz00,
		BgL_bgl_string4607za700za7za7_4758za7, "", 0);
	      DEFINE_STRING(BGl_string4608z00zz__evaluate_compz00,
		BgL_bgl_string4608za700za7za7_4759za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string4609z00zz__evaluate_compz00,
		BgL_bgl_string4609za700za7za7_4760za7, "&compile", 8);
	      DEFINE_STRING(BGl_string4610z00zz__evaluate_compz00,
		BgL_bgl_string4610za700za7za7_4761za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string4611z00zz__evaluate_compz00,
		BgL_bgl_string4611za700za7za7_4762za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string4612z00zz__evaluate_compz00,
		BgL_bgl_string4612za700za7za7_4763za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string4614z00zz__evaluate_compz00,
		BgL_bgl_string4614za700za7za7_4764za7, "mcell", 5);
	      DEFINE_STRING(BGl_string4616z00zz__evaluate_compz00,
		BgL_bgl_string4616za700za7za7_4765za7, "internal", 8);
	      DEFINE_STRING(BGl_string4618z00zz__evaluate_compz00,
		BgL_bgl_string4618za700za7za7_4766za7, "impossible", 10);
	      DEFINE_STRING(BGl_string4619z00zz__evaluate_compz00,
		BgL_bgl_string4619za700za7za7_4767za7, "procedure", 9);
	      DEFINE_STRING(BGl_string4621z00zz__evaluate_compz00,
		BgL_bgl_string4621za700za7za7_4768za7, "user", 4);
	      DEFINE_STRING(BGl_string4622z00zz__evaluate_compz00,
		BgL_bgl_string4622za700za7za7_4769za7, "invalid byte code", 17);
	      DEFINE_STRING(BGl_string4624z00zz__evaluate_compz00,
		BgL_bgl_string4624za700za7za7_4770za7, "+", 1);
	      DEFINE_STRING(BGl_string4626z00zz__evaluate_compz00,
		BgL_bgl_string4626za700za7za7_4771za7, "number", 6);
	      DEFINE_STRING(BGl_string4628z00zz__evaluate_compz00,
		BgL_bgl_string4628za700za7za7_4772za7, "-", 1);
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4700z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set4773z00,
		BGl_z62compzd2ev_setglobal1449zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4701z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def4774z00,
		BGl_z62compzd2ev_defglobal1451zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4702z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit4775z00,
		BGl_z62compzd2ev_litt1453zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4703z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if14776z00,
		BGl_z62compzd2ev_if1455zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4704z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or14777z00,
		BGl_z62compzd2ev_or1457zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4705z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and4778z00,
		BGl_z62compzd2ev_and1459zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4630z00zz__evaluate_compz00,
		BgL_bgl_string4630za700za7za7_4779za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4706z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro4780z00,
		BGl_z62compzd2ev_prog21461zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4707z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4781z00,
		BGl_z62compzd2ev_let1463zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4632z00zz__evaluate_compz00,
		BgL_bgl_string4632za700za7za7_4782za7, "/", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4708z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4783z00,
		BGl_z62compzd2ev_letza21465z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4709z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4784z00,
		BGl_z62compzd2ev_letrec1467zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4634z00zz__evaluate_compz00,
		BgL_bgl_string4634za700za7za7_4785za7, "<", 1);
	      DEFINE_STRING(BGl_string4636z00zz__evaluate_compz00,
		BgL_bgl_string4636za700za7za7_4786za7, ">", 1);
	      DEFINE_STRING(BGl_string4718z00zz__evaluate_compz00,
		BgL_bgl_string4718za700za7za7_4787za7, "internal error", 14);
	      DEFINE_STRING(BGl_string4719z00zz__evaluate_compz00,
		BgL_bgl_string4719za700za7za7_4788za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string4638z00zz__evaluate_compz00,
		BgL_bgl_string4638za700za7za7_4789za7, "<=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4710z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin4790z00,
		BGl_z62compzd2ev_bindzd2exit1469z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4711z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw4791z00,
		BGl_z62compzd2ev_unwindzd2prote1471z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4712z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit4792z00,
		BGl_z62compzd2ev_withzd2handler1473z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4713z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn4793z00,
		BGl_z62compzd2ev_synchroniza7e1475z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4714z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab4794z00,
		BGl_z62compzd2ev_labels1477zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4721z00zz__evaluate_compz00,
		BgL_bgl_string4721za700za7za7_4795za7, "notyet", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4715z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got4796z00,
		BGl_z62compzd2ev_goto1479zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4640z00zz__evaluate_compz00,
		BgL_bgl_string4640za700za7za7_4797za7, ">=", 2);
	      DEFINE_STRING(BGl_string4722z00zz__evaluate_compz00,
		BgL_bgl_string4722za700za7za7_4798za7, "synchronize", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4716z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app4799z00,
		BGl_z62compzd2ev_app1481zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4723z00zz__evaluate_compz00,
		BgL_bgl_string4723za700za7za7_4800za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4717z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs4801z00,
		BGl_z62compzd2ev_abs1483zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4642z00zz__evaluate_compz00,
		BgL_bgl_string4642za700za7za7_4802za7, "=", 1);
	      DEFINE_STRING(BGl_string4724z00zz__evaluate_compz00,
		BgL_bgl_string4724za700za7za7_4803za7, "set!", 4);
	      DEFINE_STRING(BGl_string4725z00zz__evaluate_compz00,
		BgL_bgl_string4725za700za7za7_4804za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string4644z00zz__evaluate_compz00,
		BgL_bgl_string4644za700za7za7_4805za7, "+fx", 3);
	      DEFINE_STRING(BGl_string4726z00zz__evaluate_compz00,
		BgL_bgl_string4726za700za7za7_4806za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string4727z00zz__evaluate_compz00,
		BgL_bgl_string4727za700za7za7_4807za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string4646z00zz__evaluate_compz00,
		BgL_bgl_string4646za700za7za7_4808za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string4729z00zz__evaluate_compz00,
		BgL_bgl_string4729za700za7za7_4809za7, "@", 1);
	      DEFINE_STRING(BGl_string4648z00zz__evaluate_compz00,
		BgL_bgl_string4648za700za7za7_4810za7, "-fx", 3);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string4730z00zz__evaluate_compz00,
		BgL_bgl_string4730za700za7za7_4811za7, "Uninitialized variable", 22);
	      DEFINE_STRING(BGl_string4650z00zz__evaluate_compz00,
		BgL_bgl_string4650za700za7za7_4812za7, "*fx", 3);
	      DEFINE_STRING(BGl_string4652z00zz__evaluate_compz00,
		BgL_bgl_string4652za700za7za7_4813za7, "/fx", 3);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string4654z00zz__evaluate_compz00,
		BgL_bgl_string4654za700za7za7_4814za7, "<fx", 3);
	      DEFINE_STRING(BGl_string4656z00zz__evaluate_compz00,
		BgL_bgl_string4656za700za7za7_4815za7, ">fx", 3);
	      DEFINE_STRING(BGl_string4658z00zz__evaluate_compz00,
		BgL_bgl_string4658za700za7za7_4816za7, "<=fx", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4731z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4817za7,
		BGl_z62zc3z04anonymousza32942ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4732z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4818za7,
		BGl_z62zc3z04anonymousza32947ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4733z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4819za7,
		BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4740z00zz__evaluate_compz00,
		BgL_bgl_string4740za700za7za7_4820za7, "get_sp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4734z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4821za7,
		BGl_z62zc3z04anonymousza32953ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4735z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4822za7,
		BGl_z62zc3z04anonymousza32958ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4660z00zz__evaluate_compz00,
		BgL_bgl_string4660za700za7za7_4823za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string4742z00zz__evaluate_compz00,
		BgL_bgl_string4742za700za7za7_4824za7, "reset_profile", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4736z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4825za7,
		BGl_z62zc3z04anonymousza32961ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4737z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4826za7,
		BGl_z62zc3z04anonymousza32964ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4662z00zz__evaluate_compz00,
		BgL_bgl_string4662za700za7za7_4827za7, "=fx", 3);
	      DEFINE_STRING(BGl_string4744z00zz__evaluate_compz00,
		BgL_bgl_string4744za700za7za7_4828za7, "get_profile", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4738z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4829za7,
		BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4664z00zz__evaluate_compz00,
		BgL_bgl_string4664za700za7za7_4830za7, "+fl", 3);
	      DEFINE_STRING(BGl_string4746z00zz__evaluate_compz00,
		BgL_bgl_string4746za700za7za7_4831za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string4747z00zz__evaluate_compz00,
		BgL_bgl_string4747za700za7za7_4832za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string4666z00zz__evaluate_compz00,
		BgL_bgl_string4666za700za7za7_4833za7, "flonum", 6);
	      DEFINE_STRING(BGl_string4748z00zz__evaluate_compz00,
		BgL_bgl_string4748za700za7za7_4834za7, "__evaluate_comp", 15);
	      DEFINE_STRING(BGl_string4668z00zz__evaluate_compz00,
		BgL_bgl_string4668za700za7za7_4835za7, "-fl", 3);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string4670z00zz__evaluate_compz00,
		BgL_bgl_string4670za700za7za7_4836za7, "*fl", 3);
	      DEFINE_STRING(BGl_string4672z00zz__evaluate_compz00,
		BgL_bgl_string4672za700za7za7_4837za7, "/fl", 3);
	      DEFINE_STRING(BGl_string4674z00zz__evaluate_compz00,
		BgL_bgl_string4674za700za7za7_4838za7, "<fl", 3);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4676z00zz__evaluate_compz00,
		BgL_bgl_string4676za700za7za7_4839za7, ">fl", 3);
	      DEFINE_STRING(BGl_string4596z00zz__evaluate_compz00,
		BgL_bgl_string4596za700za7za7_4840za7, "all", 3);
	      DEFINE_STRING(BGl_string4678z00zz__evaluate_compz00,
		BgL_bgl_string4678za700za7za7_4841za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string4598z00zz__evaluate_compz00,
		BgL_bgl_string4598za700za7za7_4842za7, "label-tag", 9);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4680z00zz__evaluate_compz00,
		BgL_bgl_string4680za700za7za7_4843za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string4682z00zz__evaluate_compz00,
		BgL_bgl_string4682za700za7za7_4844za7, "=fl", 3);
	      DEFINE_STRING(BGl_string4684z00zz__evaluate_compz00,
		BgL_bgl_string4684za700za7za7_4845za7, "car", 3);
	      DEFINE_STRING(BGl_string4686z00zz__evaluate_compz00,
		BgL_bgl_string4686za700za7za7_4846za7, "pair", 4);
	      DEFINE_STRING(BGl_string4688z00zz__evaluate_compz00,
		BgL_bgl_string4688za700za7za7_4847za7, "cdr", 3);
	      DEFINE_STRING(BGl_string4690z00zz__evaluate_compz00,
		BgL_bgl_string4690za700za7za7_4848za7, "cadr", 4);
	      DEFINE_STRING(BGl_string4692z00zz__evaluate_compz00,
		BgL_bgl_string4692za700za7za7_4849za7, "comp1437", 8);
	      DEFINE_STRING(BGl_string4693z00zz__evaluate_compz00,
		BgL_bgl_string4693za700za7za7_4850za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string4694z00zz__evaluate_compz00,
		BgL_bgl_string4694za700za7za7_4851za7, "&comp", 5);
	      DEFINE_STRING(BGl_string4696z00zz__evaluate_compz00,
		BgL_bgl_string4696za700za7za7_4852za7, "comp", 4);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev4853z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4691z00zz__evaluate_compz00,
		BgL_bgl_za762comp1437za762za7za74854z00,
		BGl_z62comp1437z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4695z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra4855z00,
		BGl_z62compzd2ev_trap1440zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4697z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var4856z00,
		BGl_z62compzd2ev_var1442zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4698z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set4857z00,
		BGl_z62compzd2ev_setlocal1444zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4699z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo4858z00,
		BGl_z62compzd2ev_global1447zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4605z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4613z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4615z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4617z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4620z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4623z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4625z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4627z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4629z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4631z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4633z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4635z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4637z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4639z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4720z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4641z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4643z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4645z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4728z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4647z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4649z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4651z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4653z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4655z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4657z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4739z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4659z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4741z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4661z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4743z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4663z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4745z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4665z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4667z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4669z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4671z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4673z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4675z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4595z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4677z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4597z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4679z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4599z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4681z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4683z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4685z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4687z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4689z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void *) (&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_19017, char *BgL_fromz00_19018)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_compz00();
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					return BGl_toplevelzd2initzd2zz__evaluate_compz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol4595z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4596z00zz__evaluate_compz00);
			BGl_symbol4597z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4598z00zz__evaluate_compz00);
			BGl_symbol4599z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4600z00zz__evaluate_compz00);
			BGl_symbol4605z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4606z00zz__evaluate_compz00);
			BGl_symbol4613z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4614z00zz__evaluate_compz00);
			BGl_symbol4615z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4616z00zz__evaluate_compz00);
			BGl_symbol4617z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4618z00zz__evaluate_compz00);
			BGl_symbol4620z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4621z00zz__evaluate_compz00);
			BGl_symbol4623z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4624z00zz__evaluate_compz00);
			BGl_symbol4625z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4626z00zz__evaluate_compz00);
			BGl_symbol4627z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4628z00zz__evaluate_compz00);
			BGl_symbol4629z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4630z00zz__evaluate_compz00);
			BGl_symbol4631z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4632z00zz__evaluate_compz00);
			BGl_symbol4633z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4634z00zz__evaluate_compz00);
			BGl_symbol4635z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4636z00zz__evaluate_compz00);
			BGl_symbol4637z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4638z00zz__evaluate_compz00);
			BGl_symbol4639z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4640z00zz__evaluate_compz00);
			BGl_symbol4641z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4642z00zz__evaluate_compz00);
			BGl_symbol4643z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4644z00zz__evaluate_compz00);
			BGl_symbol4645z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4646z00zz__evaluate_compz00);
			BGl_symbol4647z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4648z00zz__evaluate_compz00);
			BGl_symbol4649z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4650z00zz__evaluate_compz00);
			BGl_symbol4651z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4652z00zz__evaluate_compz00);
			BGl_symbol4653z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4654z00zz__evaluate_compz00);
			BGl_symbol4655z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4656z00zz__evaluate_compz00);
			BGl_symbol4657z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4658z00zz__evaluate_compz00);
			BGl_symbol4659z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4660z00zz__evaluate_compz00);
			BGl_symbol4661z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4662z00zz__evaluate_compz00);
			BGl_symbol4663z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4664z00zz__evaluate_compz00);
			BGl_symbol4665z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4666z00zz__evaluate_compz00);
			BGl_symbol4667z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4668z00zz__evaluate_compz00);
			BGl_symbol4669z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4670z00zz__evaluate_compz00);
			BGl_symbol4671z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4672z00zz__evaluate_compz00);
			BGl_symbol4673z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4674z00zz__evaluate_compz00);
			BGl_symbol4675z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4676z00zz__evaluate_compz00);
			BGl_symbol4677z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4678z00zz__evaluate_compz00);
			BGl_symbol4679z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4680z00zz__evaluate_compz00);
			BGl_symbol4681z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4682z00zz__evaluate_compz00);
			BGl_symbol4683z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4684z00zz__evaluate_compz00);
			BGl_symbol4685z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4686z00zz__evaluate_compz00);
			BGl_symbol4687z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4688z00zz__evaluate_compz00);
			BGl_symbol4689z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4690z00zz__evaluate_compz00);
			BGl_symbol4720z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4721z00zz__evaluate_compz00);
			BGl_symbol4728z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4729z00zz__evaluate_compz00);
			BGl_symbol4739z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4740z00zz__evaluate_compz00);
			BGl_symbol4741z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4742z00zz__evaluate_compz00);
			BGl_symbol4743z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4744z00zz__evaluate_compz00);
			return (BGl_symbol4745z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4746z00zz__evaluate_compz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 114 */
				BGL_LONGLONG_T BgL_arg1550z00_1404;

				BgL_arg1550z00_1404 = LONG_TO_LLONG(((long) 0));
				{	/* Eval/evaluate_comp.scm 114 */
					obj_t BgL_list1551z00_1405;

					{	/* Eval/evaluate_comp.scm 114 */
						obj_t BgL_arg1553z00_1406;

						BgL_arg1553z00_1406 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1550z00_1404), BNIL);
						BgL_list1551z00_1405 =
							MAKE_YOUNG_PAIR(BGl_symbol4595z00zz__evaluate_compz00,
							BgL_arg1553z00_1406);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1551z00_1405;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long) 8192);
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol4597z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol4599z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1407;

				BgL_headz00_1407 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6509;
					obj_t BgL_tailz00_6510;

					BgL_prevz00_6509 = BgL_headz00_1407;
					BgL_tailz00_6510 = BgL_l1z00_1;
				BgL_loopz00_6508:
					if (PAIRP(BgL_tailz00_6510))
						{
							obj_t BgL_newzd2prevzd2_6516;

							BgL_newzd2prevzd2_6516 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_6510), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6509, BgL_newzd2prevzd2_6516);
							{
								obj_t BgL_tailz00_19092;
								obj_t BgL_prevz00_19091;

								BgL_prevz00_19091 = BgL_newzd2prevzd2_6516;
								BgL_tailz00_19092 = CDR(BgL_tailz00_6510);
								BgL_tailz00_6510 = BgL_tailz00_19092;
								BgL_prevz00_6509 = BgL_prevz00_19091;
								goto BgL_loopz00_6508;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1407);
			}
		}

	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 132 */
			{	/* Eval/evaluate_comp.scm 133 */
				BGL_LONGLONG_T BgL_arg1578z00_1437;

				BgL_arg1578z00_1437 = LONG_TO_LLONG(((long) 0));
				{	/* Eval/evaluate_comp.scm 133 */
					obj_t BgL_list1579z00_1438;

					{	/* Eval/evaluate_comp.scm 133 */
						obj_t BgL_arg1580z00_1439;

						BgL_arg1580z00_1439 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1578z00_1437), BNIL);
						BgL_list1579z00_1438 =
							MAKE_YOUNG_PAIR(BGl_symbol4595z00zz__evaluate_compz00,
							BgL_arg1580z00_1439);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1579z00_1438, BUNSPEC);
				}
			}
		}

	}



/* o->s~0 */
	obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1449)
	{
		{	/* Eval/evaluate_comp.scm 141 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1449))
				{	/* Ieee/fixnum.scm 991 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1449), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 138 */
					if (SYMBOLP(BgL_vz00_1449))
						{	/* Eval/evaluate_comp.scm 139 */
							obj_t BgL_arg4180z00_6525;

							BgL_arg4180z00_6525 = SYMBOL_TO_STRING(BgL_vz00_1449);
							return
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg4180z00_6525);
						}
					else
						{	/* Eval/evaluate_comp.scm 139 */
							if (STRINGP(BgL_vz00_1449))
								{	/* Eval/evaluate_comp.scm 140 */
									return BgL_vz00_1449;
								}
							else
								{	/* Eval/evaluate_comp.scm 140 */
									return BGl_string4601z00zz__evaluate_compz00;
								}
						}
				}
		}

	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_13598,
		obj_t BgL_t1z00_13599, obj_t BgL_t2z00_13600)
	{
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 138 */
				bool_t BgL_tmpz00_19109;

				{	/* Eval/evaluate_comp.scm 142 */
					obj_t BgL_v1z00_15578;
					obj_t BgL_v2z00_15579;

					BgL_v1z00_15578 = CAR(((obj_t) BgL_t1z00_13599));
					BgL_v2z00_15579 = CAR(((obj_t) BgL_t2z00_13600));
					{	/* Eval/evaluate_comp.scm 143 */
						bool_t BgL_test4864z00_19114;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_15578))
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_test4864z00_19114 =
									BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BgL_v2z00_15579);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_test4864z00_19114 = ((bool_t) 0);
							}
						if (BgL_test4864z00_19114)
							{	/* Eval/evaluate_comp.scm 144 */
								bool_t BgL_test4866z00_19118;

								if (INTEGERP(BgL_v1z00_15578))
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_test4866z00_19118 = INTEGERP(BgL_v2z00_15579);
									}
								else
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_test4866z00_19118 = ((bool_t) 0);
									}
								if (BgL_test4866z00_19118)
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_tmpz00_19109 =
											(
											(long) CINT(BgL_v1z00_15578) <
											(long) CINT(BgL_v2z00_15579));
									}
								else
									{	/* Eval/evaluate_comp.scm 144 */
										BgL_tmpz00_19109 =
											BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_15578,
											BgL_v2z00_15579);
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_19109 =
									bigloo_string_lt(BGl_ozd2ze3sze70zd6zz__evaluate_compz00
									(BgL_v1z00_15578),
									BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_15579));
							}
					}
				}
				return BBOOL(BgL_tmpz00_19109);
			}
		}

	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 147 */
			BGl_recze71ze7zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}

	}



/* rec~1 */
	bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1458)
	{
		{	/* Eval/evaluate_comp.scm 148 */
			{	/* Eval/evaluate_comp.scm 149 */
				obj_t BgL_arg1593z00_1460;
				obj_t BgL_arg1594z00_1461;

				BgL_arg1593z00_1460 = CDR(((obj_t) BgL_tz00_1458));
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_arg1598z00_1462;

					{	/* Eval/evaluate_comp.scm 149 */
						obj_t BgL_pairz00_6536;

						BgL_pairz00_6536 = CDR(((obj_t) BgL_tz00_1458));
						BgL_arg1598z00_1462 = CDR(BgL_pairz00_6536);
					}
					BgL_arg1594z00_1461 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1598z00_1462);
				}
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_tmpz00_19137;

					BgL_tmpz00_19137 = ((obj_t) BgL_arg1593z00_1460);
					SET_CDR(BgL_tmpz00_19137, BgL_arg1594z00_1461);
				}
			}
			{	/* Eval/evaluate_comp.scm 150 */
				obj_t BgL_g1303z00_1463;

				{	/* Eval/evaluate_comp.scm 150 */
					obj_t BgL_pairz00_6541;

					BgL_pairz00_6541 = CDR(((obj_t) BgL_tz00_1458));
					BgL_g1303z00_1463 = CDR(BgL_pairz00_6541);
				}
				{
					obj_t BgL_l1301z00_6553;

					BgL_l1301z00_6553 = BgL_g1303z00_1463;
				BgL_zc3z04anonymousza31599ze3z87_6552:
					if (PAIRP(BgL_l1301z00_6553))
						{	/* Eval/evaluate_comp.scm 150 */
							BGl_recze71ze7zz__evaluate_compz00(CAR(BgL_l1301z00_6553));
							{
								obj_t BgL_l1301z00_19147;

								BgL_l1301z00_19147 = CDR(BgL_l1301z00_6553);
								BgL_l1301z00_6553 = BgL_l1301z00_19147;
								goto BgL_zc3z04anonymousza31599ze3z87_6552;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 150 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		{	/* Eval/evaluate_comp.scm 156 */
			{
				obj_t BgL_lz00_6579;
				long BgL_nz00_6580;

				BgL_lz00_6579 = BgL_lz00_7;
				BgL_nz00_6580 = ((long) 0);
			BgL_walkz00_6578:
				if (NULLP(BgL_lz00_6579))
					{	/* Eval/evaluate_comp.scm 158 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 158 */
						if ((BgL_xz00_6 == CAR(((obj_t) BgL_lz00_6579))))
							{	/* Eval/evaluate_comp.scm 159 */
								return BINT(BgL_nz00_6580);
							}
						else
							{
								long BgL_nz00_19159;
								obj_t BgL_lz00_19156;

								BgL_lz00_19156 = CDR(((obj_t) BgL_lz00_6579));
								BgL_nz00_19159 = (BgL_nz00_6580 + ((long) 1));
								BgL_nz00_6580 = BgL_nz00_19159;
								BgL_lz00_6579 = BgL_lz00_19156;
								goto BgL_walkz00_6578;
							}
					}
			}
		}

	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		{	/* Eval/evaluate_comp.scm 163 */
			{	/* Eval/evaluate_comp.scm 164 */
				obj_t BgL__ortest_1079z00_1483;

				BgL__ortest_1079z00_1483 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1079z00_1483))
					{	/* Eval/evaluate_comp.scm 164 */
						return BgL__ortest_1079z00_1483;
					}
				else
					{	/* Eval/evaluate_comp.scm 164 */
						obj_t BgL_arg1611z00_1484;

						{	/* Eval/evaluate_comp.scm 164 */
							obj_t BgL_arg1614z00_1485;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 164 */
									BgL_arg1614z00_1485 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_head1306z00_1491;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1625z00_1503;

										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_arg1626z00_1504;

											BgL_arg1626z00_1504 = CAR(((obj_t) BgL_lz00_9));
											{	/* Eval/evaluate_comp.scm 189 */
												bool_t BgL_test4873z00_19168;

												{	/* Eval/evaluate_comp.scm 189 */
													obj_t BgL_classz00_6597;

													BgL_classz00_6597 =
														BGl_ev_varz00zz__evaluate_typesz00;
													if (BGL_OBJECTP(BgL_arg1626z00_1504))
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_objectz00_bglt BgL_arg4330z00_6599;

															BgL_arg4330z00_6599 =
																(BgL_objectz00_bglt) (BgL_arg1626z00_1504);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Eval/evaluate_comp.scm 189 */
																	long BgL_idxz00_6605;

																	BgL_idxz00_6605 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg4330z00_6599);
																	BgL_test4873z00_19168 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_6605 + ((long) 2))) ==
																		BgL_classz00_6597);
																}
															else
																{	/* Eval/evaluate_comp.scm 189 */
																	bool_t BgL_res4355z00_6627;

																	{	/* Eval/evaluate_comp.scm 189 */
																		obj_t BgL_oclassz00_6613;

																		{	/* Eval/evaluate_comp.scm 189 */
																			long BgL_arg4337z00_6619;

																			{	/* Eval/evaluate_comp.scm 189 */
																				long BgL_arg4338z00_6620;

																				BgL_arg4338z00_6620 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg4330z00_6599);
																				BgL_arg4337z00_6619 =
																					(BgL_arg4338z00_6620 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_6613 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg4337z00_6619);
																		}
																		{	/* Eval/evaluate_comp.scm 189 */
																			bool_t BgL__ortest_1296z00_6614;

																			BgL__ortest_1296z00_6614 =
																				(BgL_classz00_6597 ==
																				BgL_oclassz00_6613);
																			if (BgL__ortest_1296z00_6614)
																				{	/* Eval/evaluate_comp.scm 189 */
																					BgL_res4355z00_6627 =
																						BgL__ortest_1296z00_6614;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 189 */
																					long BgL_odepthz00_6615;

																					BgL_odepthz00_6615 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_6613);
																					if ((((long) 2) < BgL_odepthz00_6615))
																						{	/* Eval/evaluate_comp.scm 189 */
																							obj_t BgL_arg4327z00_6617;

																							BgL_arg4327z00_6617 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_6613,
																								((long) 2));
																							BgL_res4355z00_6627 =
																								(BgL_arg4327z00_6617 ==
																								BgL_classz00_6597);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 189 */
																							BgL_res4355z00_6627 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test4873z00_19168 = BgL_res4355z00_6627;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_test4873z00_19168 = ((bool_t) 0);
														}
												}
												if (BgL_test4873z00_19168)
													{	/* Eval/evaluate_comp.scm 189 */
														BgL_arg1625z00_1503 =
															(((BgL_ev_varz00_bglt) COBJECT(
																	((BgL_ev_varz00_bglt) BgL_arg1626z00_1504)))->
															BgL_namez00);
													}
												else
													{	/* Eval/evaluate_comp.scm 189 */
														BgL_arg1625z00_1503 = BgL_arg1626z00_1504;
													}
											}
										}
										BgL_head1306z00_1491 =
											MAKE_YOUNG_PAIR(BgL_arg1625z00_1503, BNIL);
									}
									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_g1309z00_1492;

										BgL_g1309z00_1492 = CDR(((obj_t) BgL_lz00_9));
										{
											obj_t BgL_l1304z00_6679;
											obj_t BgL_tail1307z00_6680;

											BgL_l1304z00_6679 = BgL_g1309z00_1492;
											BgL_tail1307z00_6680 = BgL_head1306z00_1491;
										BgL_zc3z04anonymousza31620ze3z87_6678:
											if (NULLP(BgL_l1304z00_6679))
												{	/* Eval/evaluate_comp.scm 164 */
													BgL_arg1614z00_1485 = BgL_head1306z00_1491;
												}
											else
												{	/* Eval/evaluate_comp.scm 164 */
													obj_t BgL_newtail1308z00_6687;

													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1623z00_6688;

														BgL_arg1623z00_6688 =
															BGl_lnamez00zz__evaluate_compz00(CAR(
																((obj_t) BgL_l1304z00_6679)));
														BgL_newtail1308z00_6687 =
															MAKE_YOUNG_PAIR(BgL_arg1623z00_6688, BNIL);
													}
													SET_CDR(BgL_tail1307z00_6680,
														BgL_newtail1308z00_6687);
													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1622z00_6690;

														BgL_arg1622z00_6690 =
															CDR(((obj_t) BgL_l1304z00_6679));
														{
															obj_t BgL_tail1307z00_19203;
															obj_t BgL_l1304z00_19202;

															BgL_l1304z00_19202 = BgL_arg1622z00_6690;
															BgL_tail1307z00_19203 = BgL_newtail1308z00_6687;
															BgL_tail1307z00_6680 = BgL_tail1307z00_19203;
															BgL_l1304z00_6679 = BgL_l1304z00_19202;
															goto BgL_zc3z04anonymousza31620ze3z87_6678;
														}
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 164 */
								obj_t BgL_list1615z00_1486;

								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_arg1616z00_1487;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1618z00_1488;

										BgL_arg1618z00_1488 =
											MAKE_YOUNG_PAIR(BgL_arg1614z00_1485, BNIL);
										BgL_arg1616z00_1487 =
											MAKE_YOUNG_PAIR(BGl_string4602z00zz__evaluate_compz00,
											BgL_arg1618z00_1488);
									}
									BgL_list1615z00_1486 =
										MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1616z00_1487);
								}
								BgL_arg1611z00_1484 = BgL_list1615z00_1486;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string4603z00zz__evaluate_compz00,
							BGl_string4604z00zz__evaluate_compz00, BgL_arg1611z00_1484);
					}
			}
		}

	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		{	/* Eval/evaluate_comp.scm 188 */
			{	/* Eval/evaluate_comp.scm 189 */
				bool_t BgL_test4879z00_19208;

				{	/* Eval/evaluate_comp.scm 189 */
					obj_t BgL_classz00_6697;

					BgL_classz00_6697 = BGl_ev_varz00zz__evaluate_typesz00;
					if (BGL_OBJECTP(BgL_vz00_16))
						{	/* Eval/evaluate_comp.scm 189 */
							BgL_objectz00_bglt BgL_arg4330z00_6699;

							BgL_arg4330z00_6699 = (BgL_objectz00_bglt) (BgL_vz00_16);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Eval/evaluate_comp.scm 189 */
									long BgL_idxz00_6705;

									BgL_idxz00_6705 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg4330z00_6699);
									BgL_test4879z00_19208 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6705 + ((long) 2))) == BgL_classz00_6697);
								}
							else
								{	/* Eval/evaluate_comp.scm 189 */
									bool_t BgL_res4358z00_6727;

									{	/* Eval/evaluate_comp.scm 189 */
										obj_t BgL_oclassz00_6713;

										{	/* Eval/evaluate_comp.scm 189 */
											long BgL_arg4337z00_6719;

											{	/* Eval/evaluate_comp.scm 189 */
												long BgL_arg4338z00_6720;

												BgL_arg4338z00_6720 =
													BGL_OBJECT_CLASS_NUM(BgL_arg4330z00_6699);
												BgL_arg4337z00_6719 =
													(BgL_arg4338z00_6720 - OBJECT_TYPE);
											}
											BgL_oclassz00_6713 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg4337z00_6719);
										}
										{	/* Eval/evaluate_comp.scm 189 */
											bool_t BgL__ortest_1296z00_6714;

											BgL__ortest_1296z00_6714 =
												(BgL_classz00_6697 == BgL_oclassz00_6713);
											if (BgL__ortest_1296z00_6714)
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_res4358z00_6727 = BgL__ortest_1296z00_6714;
												}
											else
												{	/* Eval/evaluate_comp.scm 189 */
													long BgL_odepthz00_6715;

													BgL_odepthz00_6715 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6713);
													if ((((long) 2) < BgL_odepthz00_6715))
														{	/* Eval/evaluate_comp.scm 189 */
															obj_t BgL_arg4327z00_6717;

															BgL_arg4327z00_6717 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6713,
																((long) 2));
															BgL_res4358z00_6727 =
																(BgL_arg4327z00_6717 == BgL_classz00_6697);
														}
													else
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_res4358z00_6727 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test4879z00_19208 = BgL_res4358z00_6727;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 189 */
							BgL_test4879z00_19208 = ((bool_t) 0);
						}
				}
				if (BgL_test4879z00_19208)
					{	/* Eval/evaluate_comp.scm 189 */
						return
							(((BgL_ev_varz00_bglt) COBJECT(
									((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
					}
				else
					{	/* Eval/evaluate_comp.scm 189 */
						return BgL_vz00_16;
					}
			}
		}

	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		{	/* Eval/evaluate_comp.scm 193 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 194 */
					obj_t BgL_cdrzd2194zd2_1530;

					BgL_cdrzd2194zd2_1530 = CDR(((obj_t) BgL_locz00_20));
					if (
						(CAR(
								((obj_t) BgL_locz00_20)) ==
							BGl_symbol4605z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 194 */
							if (PAIRP(BgL_cdrzd2194zd2_1530))
								{	/* Eval/evaluate_comp.scm 194 */
									obj_t BgL_cdrzd2198zd2_1534;

									BgL_cdrzd2198zd2_1534 = CDR(BgL_cdrzd2194zd2_1530);
									if (PAIRP(BgL_cdrzd2198zd2_1534))
										{	/* Eval/evaluate_comp.scm 194 */
											if (NULLP(CDR(BgL_cdrzd2198zd2_1534)))
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2194zd2_1530),
														CAR(BgL_cdrzd2198zd2_1534));
												}
											else
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 194 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 194 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 194 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 194 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}

	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 206 */
			{	/* Eval/evaluate_comp.scm 207 */
				obj_t BgL_stkz00_1552;

				BgL_stkz00_1552 =
					make_vector(((long) 8192), BGl_string4607z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1552, ((long) 0), BINT(((long) 2)));
				return BgL_stkz00_1552;
			}
		}

	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 211 */
			{	/* Eval/evaluate_comp.scm 212 */
				obj_t BgL_sz00_1553;

				{	/* Eval/evaluate_comp.scm 212 */
					obj_t BgL_tmpz00_19257;

					BgL_tmpz00_19257 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1553 = BGL_ENV_EVSTATE(BgL_tmpz00_19257);
				}
				if (VECTORP(BgL_sz00_1553))
					{	/* Eval/evaluate_comp.scm 213 */
						return BgL_sz00_1553;
					}
				else
					{	/* Eval/evaluate_comp.scm 214 */
						obj_t BgL_statez00_1555;

						BgL_statez00_1555 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 215 */
							obj_t BgL_tmpz00_19263;

							BgL_tmpz00_19263 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_tmpz00_19263, BgL_statez00_1555);
						}
						return BgL_statez00_1555;
					}
			}
		}

	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_13601)
	{
		{	/* Eval/evaluate_comp.scm 211 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}

	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		{	/* Eval/evaluate_comp.scm 273 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}

	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_13602,
		obj_t BgL_ez00_13603)
	{
		{	/* Eval/evaluate_comp.scm 273 */
			{	/* Eval/evaluate_comp.scm 274 */
				BgL_ev_exprz00_bglt BgL_auxz00_19268;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_13603,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 274 */
						BgL_auxz00_19268 = ((BgL_ev_exprz00_bglt) BgL_ez00_13603);
					}
				else
					{
						obj_t BgL_auxz00_19272;

						BgL_auxz00_19272 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4608z00zz__evaluate_compz00, BINT(((long) 7006)),
							BGl_string4609z00zz__evaluate_compz00,
							BGl_string4610z00zz__evaluate_compz00, BgL_ez00_13603);
						FAILURE(BgL_auxz00_19272, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_19268);
			}
		}

	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 333 */
				bool_t BgL_test4891z00_19277;

				{	/* Eval/evaluate_comp.scm 333 */
					obj_t BgL_classz00_6739;

					BgL_classz00_6739 = BGl_ev_globalz00zz__evaluate_typesz00;
					{	/* Eval/evaluate_comp.scm 333 */
						BgL_objectz00_bglt BgL_arg4330z00_6741;

						{	/* Eval/evaluate_comp.scm 333 */
							obj_t BgL_tmpz00_19278;

							BgL_tmpz00_19278 = ((obj_t) BgL_ez00_43);
							BgL_arg4330z00_6741 = (BgL_objectz00_bglt) (BgL_tmpz00_19278);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Eval/evaluate_comp.scm 333 */
								long BgL_idxz00_6747;

								BgL_idxz00_6747 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg4330z00_6741);
								BgL_test4891z00_19277 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6747 + ((long) 2))) == BgL_classz00_6739);
							}
						else
							{	/* Eval/evaluate_comp.scm 333 */
								bool_t BgL_res4359z00_6769;

								{	/* Eval/evaluate_comp.scm 333 */
									obj_t BgL_oclassz00_6755;

									{	/* Eval/evaluate_comp.scm 333 */
										long BgL_arg4337z00_6761;

										{	/* Eval/evaluate_comp.scm 333 */
											long BgL_arg4338z00_6762;

											BgL_arg4338z00_6762 =
												BGL_OBJECT_CLASS_NUM(BgL_arg4330z00_6741);
											BgL_arg4337z00_6761 = (BgL_arg4338z00_6762 - OBJECT_TYPE);
										}
										BgL_oclassz00_6755 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg4337z00_6761);
									}
									{	/* Eval/evaluate_comp.scm 333 */
										bool_t BgL__ortest_1296z00_6756;

										BgL__ortest_1296z00_6756 =
											(BgL_classz00_6739 == BgL_oclassz00_6755);
										if (BgL__ortest_1296z00_6756)
											{	/* Eval/evaluate_comp.scm 333 */
												BgL_res4359z00_6769 = BgL__ortest_1296z00_6756;
											}
										else
											{	/* Eval/evaluate_comp.scm 333 */
												long BgL_odepthz00_6757;

												BgL_odepthz00_6757 =
													BGL_CLASS_DEPTH(BgL_oclassz00_6755);
												if ((((long) 2) < BgL_odepthz00_6757))
													{	/* Eval/evaluate_comp.scm 333 */
														obj_t BgL_arg4327z00_6759;

														BgL_arg4327z00_6759 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6755,
															((long) 2));
														BgL_res4359z00_6769 =
															(BgL_arg4327z00_6759 == BgL_classz00_6739);
													}
												else
													{	/* Eval/evaluate_comp.scm 333 */
														BgL_res4359z00_6769 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test4891z00_19277 = BgL_res4359z00_6769;
							}
					}
				}
				if (BgL_test4891z00_19277)
					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_gz00_1611;

						{	/* Eval/evaluate_comp.scm 335 */
							obj_t BgL_arg1721z00_1612;
							obj_t BgL_arg1723z00_1613;

							BgL_arg1721z00_1612 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_modz00);
							BgL_arg1723z00_1613 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_namez00);
							BgL_gz00_1611 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg1721z00_1612, BgL_arg1723z00_1613);
						}
						if (CBOOL(BgL_gz00_1611))
							{	/* Eval/evaluate_comp.scm 336 */
								return VECTOR_REF(((obj_t) BgL_gz00_1611), ((long) 2));
							}
						else
							{	/* Eval/evaluate_comp.scm 336 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 333 */
						return BFALSE;
					}
			}
		}

	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		{	/* Eval/evaluate_comp.scm 623 */
			{
				obj_t BgL_lz00_1633;
				obj_t BgL_bsz00_1634;
				long BgL_spz00_1635;

				BgL_lz00_1633 = BgL_argsz00_83;
				BgL_bsz00_1634 = BgL_boxesz00_84;
				BgL_spz00_1635 = BgL_spz00_85;
			BgL_zc3z04anonymousza31737ze3z87_1636:
				if (NULLP(BgL_lz00_1633))
					{	/* Eval/evaluate_comp.scm 625 */
						if (NULLP(BgL_bsz00_1634))
							{	/* Eval/evaluate_comp.scm 626 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 629 */
								obj_t BgL_arg1741z00_1639;

								{	/* Eval/evaluate_comp.scm 629 */
									long BgL_arg1742z00_1640;
									long BgL_arg1743z00_1641;

									BgL_arg1742z00_1640 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1743z00_1641 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 628 */
										obj_t BgL_list1744z00_1642;

										{	/* Eval/evaluate_comp.scm 628 */
											obj_t BgL_arg1745z00_1643;

											BgL_arg1745z00_1643 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1743z00_1641), BNIL);
											BgL_list1744z00_1642 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1742z00_1640),
												BgL_arg1745z00_1643);
										}
										BgL_arg1741z00_1639 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4611z00zz__evaluate_compz00,
											BgL_list1744z00_1642);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4612z00zz__evaluate_compz00, BgL_arg1741z00_1639);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 625 */
						if (NULLP(BgL_bsz00_1634))
							{	/* Eval/evaluate_comp.scm 633 */
								obj_t BgL_arg1747z00_1645;

								{	/* Eval/evaluate_comp.scm 633 */
									long BgL_arg1748z00_1646;
									long BgL_arg1749z00_1647;

									BgL_arg1748z00_1646 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1749z00_1647 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 632 */
										obj_t BgL_list1750z00_1648;

										{	/* Eval/evaluate_comp.scm 632 */
											obj_t BgL_arg1751z00_1649;

											BgL_arg1751z00_1649 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1749z00_1647), BNIL);
											BgL_list1750z00_1648 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1748z00_1646),
												BgL_arg1751z00_1649);
										}
										BgL_arg1747z00_1645 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4611z00zz__evaluate_compz00,
											BgL_list1750z00_1648);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4612z00zz__evaluate_compz00, BgL_arg1747z00_1645);
							}
						else
							{	/* Eval/evaluate_comp.scm 630 */
								{	/* Eval/evaluate_comp.scm 636 */
									obj_t BgL_arg1752z00_1650;

									{	/* Eval/evaluate_comp.scm 636 */
										obj_t BgL_vz00_1651;

										{	/* Eval/evaluate_comp.scm 636 */
											obj_t BgL_fun1754z00_1653;

											BgL_fun1754z00_1653 = CAR(((obj_t) BgL_lz00_1633));
											BgL_vz00_1651 =
												((obj_t(*)(obj_t, obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun1754z00_1653))
												(BgL_fun1754z00_1653, BgL_sz00_82, BEOA);
										}
										if (CBOOL(CAR(((obj_t) BgL_bsz00_1634))))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_6790;

												BgL_newz00_6790 =
													create_struct(BGl_symbol4613z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_19340;

													BgL_tmpz00_19340 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_6790, BgL_tmpz00_19340,
														BgL_vz00_1651);
												}
												BgL_arg1752z00_1650 = BgL_newz00_6790;
											}
										else
											{	/* Eval/evaluate_comp.scm 637 */
												BgL_arg1752z00_1650 = BgL_vz00_1651;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_82), BgL_spz00_1635, BgL_arg1752z00_1650);
								}
								{	/* Eval/evaluate_comp.scm 640 */
									obj_t BgL_arg1755z00_1654;
									obj_t BgL_arg1756z00_1655;
									long BgL_arg1757z00_1656;

									BgL_arg1755z00_1654 = CDR(((obj_t) BgL_lz00_1633));
									BgL_arg1756z00_1655 = CDR(((obj_t) BgL_bsz00_1634));
									BgL_arg1757z00_1656 = (BgL_spz00_1635 + ((long) 1));
									{
										long BgL_spz00_19352;
										obj_t BgL_bsz00_19351;
										obj_t BgL_lz00_19350;

										BgL_lz00_19350 = BgL_arg1755z00_1654;
										BgL_bsz00_19351 = BgL_arg1756z00_1655;
										BgL_spz00_19352 = BgL_arg1757z00_1656;
										BgL_spz00_1635 = BgL_spz00_19352;
										BgL_bsz00_1634 = BgL_bsz00_19351;
										BgL_lz00_1633 = BgL_lz00_19350;
										goto BgL_zc3z04anonymousza31737ze3z87_1636;
									}
								}
							}
					}
			}
		}

	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		{	/* Eval/evaluate_comp.scm 645 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 646 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 646 */
					if ((CAR(((obj_t) BgL_l1z00_88)) == CAR(((obj_t) BgL_l2z00_89))))
						{	/* Eval/evaluate_comp.scm 649 */
							obj_t BgL_arg1762z00_1662;
							obj_t BgL_arg1763z00_1663;

							BgL_arg1762z00_1662 = CDR(((obj_t) BgL_l1z00_88));
							BgL_arg1763z00_1663 = CDR(((obj_t) BgL_l2z00_89));
							{
								obj_t BgL_l2z00_19366;
								obj_t BgL_l1z00_19365;

								BgL_l1z00_19365 = BgL_arg1762z00_1662;
								BgL_l2z00_19366 = BgL_arg1763z00_1663;
								BgL_l2z00_89 = BgL_l2z00_19366;
								BgL_l1z00_88 = BgL_l1z00_19365;
								goto BGl_subzd2stkzd2zz__evaluate_compz00;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 647 */
							return
								BGl_errorz00zz__errorz00(BGl_string4603z00zz__evaluate_compz00,
								BGl_symbol4615z00zz__evaluate_compz00,
								BGl_symbol4617z00zz__evaluate_compz00);
						}
				}
		}

	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		{	/* Eval/evaluate_comp.scm 669 */
			{	/* Eval/evaluate_comp.scm 670 */
				obj_t BgL_savedzd2bpzd2_1674;

				BgL_savedzd2bpzd2_1674 = VECTOR_REF(((obj_t) BgL_sz00_94), ((long) 0));
				VECTOR_SET(((obj_t) BgL_sz00_94), ((long) 0), BgL_bpz00_95);
				{
					obj_t BgL_fz00_1676;

					BgL_fz00_1676 = BgL_fz00_93;
				BgL_zc3z04anonymousza31775ze3z87_1677:
					{	/* Eval/evaluate_comp.scm 673 */
						obj_t BgL_rz00_1678;

						BgL_rz00_1678 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_fz00_1676)) (BgL_fz00_1676,
							BgL_sz00_94, BEOA);
						{	/* Eval/evaluate_comp.scm 674 */
							bool_t BgL_test4902z00_19376;

							if (PROCEDUREP(BgL_rz00_1678))
								{	/* Eval/evaluate_comp.scm 674 */
									obj_t BgL_arg1779z00_1683;

									BgL_arg1779z00_1683 = PROCEDURE_ATTR(BgL_rz00_1678);
									if (STRUCTP(BgL_arg1779z00_1683))
										{	/* Eval/evaluate_comp.scm 654 */
											BgL_test4902z00_19376 =
												(STRUCT_KEY(BgL_arg1779z00_1683) ==
												BGl_symbol4599z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 654 */
											BgL_test4902z00_19376 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 674 */
									BgL_test4902z00_19376 = ((bool_t) 0);
								}
							if (BgL_test4902z00_19376)
								{
									obj_t BgL_fz00_19384;

									BgL_fz00_19384 = BgL_rz00_1678;
									BgL_fz00_1676 = BgL_fz00_19384;
									goto BgL_zc3z04anonymousza31775ze3z87_1677;
								}
							else
								{	/* Eval/evaluate_comp.scm 674 */
									VECTOR_SET(
										((obj_t) BgL_sz00_94), ((long) 0), BgL_savedzd2bpzd2_1674);
									return BgL_rz00_1678;
								}
						}
					}
				}
			}
		}

	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		{	/* Eval/evaluate_comp.scm 688 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 690 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 692 */
					obj_t BgL_arg1797z00_1701;
					obj_t BgL_arg1798z00_1702;

					{	/* Eval/evaluate_comp.scm 692 */
						obj_t BgL_arg1799z00_1703;

						BgL_arg1799z00_1703 = CAR(((obj_t) BgL_eza2za2_117));
						BgL_arg1797z00_1701 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1799z00_1703), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 693 */
						obj_t BgL_arg1800z00_1704;
						obj_t BgL_arg1801z00_1705;

						BgL_arg1800z00_1704 = CDR(((obj_t) BgL_eza2za2_117));
						{	/* Eval/evaluate_comp.scm 693 */
							obj_t BgL_arg1802z00_1706;

							BgL_arg1802z00_1706 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1801z00_1705 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1802z00_1706);
						}
						BgL_arg1798z00_1702 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1800z00_1704,
							BgL_arg1801z00_1705);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1797z00_1701, BgL_arg1798z00_1702);
				}
		}

	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_15563,
		obj_t BgL_lz00_1708, long BgL_iz00_1709)
	{
		{	/* Eval/evaluate_comp.scm 696 */
			if (NULLP(BgL_lz00_1708))
				{	/* Eval/evaluate_comp.scm 697 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 697 */
					if ((BgL_iz00_1709 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 698 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1708,
								BgL_stkz00_15563);
						}
					else
						{	/* Eval/evaluate_comp.scm 699 */
							obj_t BgL_arg1806z00_1713;
							obj_t BgL_arg1807z00_1714;

							{	/* Eval/evaluate_comp.scm 699 */
								obj_t BgL_arg1809z00_1715;

								BgL_arg1809z00_1715 = CAR(((obj_t) BgL_lz00_1708));
								BgL_arg1806z00_1713 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1809z00_1715),
									BgL_stkz00_15563);
							}
							{	/* Eval/evaluate_comp.scm 700 */
								obj_t BgL_arg1810z00_1716;
								long BgL_arg1811z00_1717;

								BgL_arg1810z00_1716 = CDR(((obj_t) BgL_lz00_1708));
								BgL_arg1811z00_1717 = (BgL_iz00_1709 - ((long) 1));
								BgL_arg1807z00_1714 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15563,
									BgL_arg1810z00_1716, BgL_arg1811z00_1717);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1806z00_1713, BgL_arg1807z00_1714);
						}
				}
		}

	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		obj_t BgL_siza7eza7_126)
	{
		{	/* Eval/evaluate_comp.scm 702 */
			{	/* Eval/evaluate_comp.scm 704 */
				obj_t BgL_argsz00_1719;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 704 */
						BgL_argsz00_1719 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 704 */
						obj_t BgL_head1355z00_1724;

						BgL_head1355z00_1724 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1353z00_6863;
							obj_t BgL_tail1356z00_6864;

							BgL_l1353z00_6863 = BgL_argsz00_124;
							BgL_tail1356z00_6864 = BgL_head1355z00_1724;
						BgL_zc3z04anonymousza31814ze3z87_6862:
							if (NULLP(BgL_l1353z00_6863))
								{	/* Eval/evaluate_comp.scm 704 */
									BgL_argsz00_1719 = CDR(BgL_head1355z00_1724);
								}
							else
								{	/* Eval/evaluate_comp.scm 704 */
									obj_t BgL_newtail1357z00_6871;

									{	/* Eval/evaluate_comp.scm 704 */
										obj_t BgL_arg1817z00_6872;

										{	/* Eval/evaluate_comp.scm 704 */
											obj_t BgL_az00_6873;

											BgL_az00_6873 = CAR(((obj_t) BgL_l1353z00_6863));
											BgL_arg1817z00_6872 =
												((obj_t(*)(obj_t, obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_az00_6873)) (BgL_az00_6873,
												BgL_sz00_122, BEOA);
										}
										BgL_newtail1357z00_6871 =
											MAKE_YOUNG_PAIR(BgL_arg1817z00_6872, BNIL);
									}
									SET_CDR(BgL_tail1356z00_6864, BgL_newtail1357z00_6871);
									{	/* Eval/evaluate_comp.scm 704 */
										obj_t BgL_arg1816z00_6874;

										BgL_arg1816z00_6874 = CDR(((obj_t) BgL_l1353z00_6863));
										{
											obj_t BgL_tail1356z00_19430;
											obj_t BgL_l1353z00_19429;

											BgL_l1353z00_19429 = BgL_arg1816z00_6874;
											BgL_tail1356z00_19430 = BgL_newtail1357z00_6871;
											BgL_tail1356z00_6864 = BgL_tail1356z00_19430;
											BgL_l1353z00_6863 = BgL_l1353z00_19429;
											goto BgL_zc3z04anonymousza31814ze3z87_6862;
										}
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 705 */
					long BgL_arg1812z00_1720;

					BgL_arg1812z00_1720 =
						((long) CINT(BgL_bpz00_125) + (long) CINT(BgL_siza7eza7_126));
					VECTOR_SET(
						((obj_t) BgL_sz00_122), ((long) 0), BINT(BgL_arg1812z00_1720));
				}
				{	/* Eval/evaluate_comp.scm 706 */
					obj_t BgL_za2za2resza2za2z00_1721;

					BgL_za2za2resza2za2z00_1721 = apply(BgL_fz00_123, BgL_argsz00_1719);
					VECTOR_SET(((obj_t) BgL_sz00_122), ((long) 0), BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1721;
				}
			}
		}

	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		{	/* Eval/evaluate_comp.scm 715 */
			{	/* Eval/evaluate_comp.scm 716 */
				long BgL_g1157z00_1745;

				BgL_g1157z00_1745 = (((long) -1) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1747;
					obj_t BgL_spz00_1748;
					long BgL_nz00_1749;

					BgL_lz00_1747 = BgL_argsz00_132;
					BgL_spz00_1748 = BgL_spz00_133;
					BgL_nz00_1749 = BgL_g1157z00_1745;
				BgL_zc3z04anonymousza31824ze3z87_1750:
					if ((BgL_nz00_1749 == ((long) 0)))
						{
							obj_t BgL_lz00_6952;
							obj_t BgL_rz00_6953;

							BgL_lz00_6952 = BgL_lz00_1747;
							BgL_rz00_6953 = BNIL;
						BgL_rec2z00_6951:
							if (NULLP(BgL_lz00_6952))
								{	/* Eval/evaluate_comp.scm 720 */
									obj_t BgL_arg1828z00_6961;

									BgL_arg1828z00_6961 = bgl_reverse_bang(BgL_rz00_6953);
									{	/* Eval/evaluate_comp.scm 720 */
										long BgL_kz00_6967;

										BgL_kz00_6967 = (long) CINT(BgL_spz00_1748);
										return
											VECTOR_SET(
											((obj_t) BgL_sz00_131), BgL_kz00_6967,
											BgL_arg1828z00_6961);
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 721 */
									obj_t BgL_arg1829z00_6962;
									obj_t BgL_arg1830z00_6963;

									BgL_arg1829z00_6962 = CDR(((obj_t) BgL_lz00_6952));
									{	/* Eval/evaluate_comp.scm 721 */
										obj_t BgL_arg1831z00_6964;

										{	/* Eval/evaluate_comp.scm 721 */
											obj_t BgL_fun1832z00_6965;

											BgL_fun1832z00_6965 = CAR(((obj_t) BgL_lz00_6952));
											BgL_arg1831z00_6964 =
												((obj_t(*)(obj_t, obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun1832z00_6965))
												(BgL_fun1832z00_6965, BgL_sz00_131, BEOA);
										}
										BgL_arg1830z00_6963 =
											MAKE_YOUNG_PAIR(BgL_arg1831z00_6964, BgL_rz00_6953);
									}
									{
										obj_t BgL_rz00_19461;
										obj_t BgL_lz00_19460;

										BgL_lz00_19460 = BgL_arg1829z00_6962;
										BgL_rz00_19461 = BgL_arg1830z00_6963;
										BgL_rz00_6953 = BgL_rz00_19461;
										BgL_lz00_6952 = BgL_lz00_19460;
										goto BgL_rec2z00_6951;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 717 */
							{	/* Eval/evaluate_comp.scm 722 */
								obj_t BgL_arg1833z00_1764;

								{	/* Eval/evaluate_comp.scm 722 */
									obj_t BgL_fun1834z00_1765;

									BgL_fun1834z00_1765 = CAR(((obj_t) BgL_lz00_1747));
									BgL_arg1833z00_1764 =
										((obj_t(*)(obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun1834z00_1765)) (BgL_fun1834z00_1765,
										BgL_sz00_131, BEOA);
								}
								{	/* Eval/evaluate_comp.scm 722 */
									long BgL_kz00_6972;

									BgL_kz00_6972 = (long) CINT(BgL_spz00_1748);
									VECTOR_SET(
										((obj_t) BgL_sz00_131), BgL_kz00_6972, BgL_arg1833z00_1764);
							}}
							{	/* Eval/evaluate_comp.scm 723 */
								obj_t BgL_arg1835z00_1766;
								long BgL_arg1836z00_1767;
								long BgL_arg1837z00_1768;

								BgL_arg1835z00_1766 = CDR(((obj_t) BgL_lz00_1747));
								BgL_arg1836z00_1767 =
									((long) CINT(BgL_spz00_1748) + ((long) 1));
								BgL_arg1837z00_1768 = (BgL_nz00_1749 - ((long) 1));
								{
									long BgL_nz00_19479;
									obj_t BgL_spz00_19477;
									obj_t BgL_lz00_19476;

									BgL_lz00_19476 = BgL_arg1835z00_1766;
									BgL_spz00_19477 = BINT(BgL_arg1836z00_1767);
									BgL_nz00_19479 = BgL_arg1837z00_1768;
									BgL_nz00_1749 = BgL_nz00_19479;
									BgL_spz00_1748 = BgL_spz00_19477;
									BgL_lz00_1747 = BgL_lz00_19476;
									goto BgL_zc3z04anonymousza31824ze3z87_1750;
								}
							}
						}
				}
			}
		}

	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		{	/* Eval/evaluate_comp.scm 766 */
			{
				obj_t BgL_lz00_1771;
				obj_t BgL_stkz00_1772;

				BgL_lz00_1771 = BgL_argsz00_134;
				BgL_stkz00_1772 = BgL_stkz00_135;
			BgL_zc3z04anonymousza31838ze3z87_1773:
				{	/* Eval/evaluate_comp.scm 770 */
					bool_t BgL_test4912z00_19480;

					if (NULLP(BgL_lz00_1771))
						{	/* Eval/evaluate_comp.scm 770 */
							BgL_test4912z00_19480 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 770 */
							BgL_test4912z00_19480 = NULLP(BgL_stkz00_1772);
						}
					if (BgL_test4912z00_19480)
						{	/* Eval/evaluate_comp.scm 770 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 772 */
							bool_t BgL_test4914z00_19484;

							{	/* Eval/evaluate_comp.scm 772 */
								obj_t BgL_g1360z00_1790;

								BgL_g1360z00_1790 = CDR(((obj_t) BgL_lz00_1771));
								{
									obj_t BgL_l1358z00_1792;

									{	/* Eval/evaluate_comp.scm 772 */
										obj_t BgL_tmpz00_19487;

										BgL_l1358z00_1792 = BgL_g1360z00_1790;
									BgL_zc3z04anonymousza31849ze3z87_1793:
										if (NULLP(BgL_l1358z00_1792))
											{	/* Eval/evaluate_comp.scm 772 */
												BgL_tmpz00_19487 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 772 */
												obj_t BgL__ortest_1361z00_1795;

												{	/* Eval/evaluate_comp.scm 772 */
													obj_t BgL_ez00_1797;

													BgL_ez00_1797 = CAR(((obj_t) BgL_l1358z00_1792));
													{	/* Eval/evaluate_comp.scm 772 */
														obj_t BgL_arg1851z00_1798;
														obj_t BgL_arg1854z00_1799;

														BgL_arg1851z00_1798 =
															CAR(((obj_t) BgL_stkz00_1772));
														BgL_arg1854z00_1799 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1797), BNIL);
														BgL__ortest_1361z00_1795 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1851z00_1798, BgL_arg1854z00_1799);
													}
												}
												if (CBOOL(BgL__ortest_1361z00_1795))
													{	/* Eval/evaluate_comp.scm 772 */
														BgL_tmpz00_19487 = BgL__ortest_1361z00_1795;
													}
												else
													{	/* Eval/evaluate_comp.scm 772 */
														obj_t BgL_arg1850z00_1796;

														BgL_arg1850z00_1796 =
															CDR(((obj_t) BgL_l1358z00_1792));
														{
															obj_t BgL_l1358z00_19501;

															BgL_l1358z00_19501 = BgL_arg1850z00_1796;
															BgL_l1358z00_1792 = BgL_l1358z00_19501;
															goto BgL_zc3z04anonymousza31849ze3z87_1793;
														}
													}
											}
										BgL_test4914z00_19484 = CBOOL(BgL_tmpz00_19487);
									}
								}
							}
							if (BgL_test4914z00_19484)
								{	/* Eval/evaluate_comp.scm 772 */
									return ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_arg1847z00_1788;
									obj_t BgL_arg1848z00_1789;

									BgL_arg1847z00_1788 = CDR(((obj_t) BgL_lz00_1771));
									BgL_arg1848z00_1789 = CDR(((obj_t) BgL_stkz00_1772));
									{
										obj_t BgL_stkz00_19508;
										obj_t BgL_lz00_19507;

										BgL_lz00_19507 = BgL_arg1847z00_1788;
										BgL_stkz00_19508 = BgL_arg1848z00_1789;
										BgL_stkz00_1772 = BgL_stkz00_19508;
										BgL_lz00_1771 = BgL_lz00_19507;
										goto BgL_zc3z04anonymousza31838ze3z87_1773;
									}
								}
						}
				}
			}
		}

	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		{	/* Eval/evaluate_comp.scm 776 */
			{	/* Eval/evaluate_comp.scm 778 */
				long BgL_siza7eza7_1804;
				long BgL_nbargsz00_1805;
				obj_t BgL_fz00_1806;
				obj_t BgL_symbzd2funzd2_1807;

				BgL_siza7eza7_1804 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1805 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1806 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1807 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							COBJECT(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
							BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 780 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4919z00_19522;

								{	/* Eval/evaluate_comp.scm 787 */
									int BgL_a1364z00_1886;

									BgL_a1364z00_1886 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 787 */

										BgL_test4919z00_19522 =
											((long) (BgL_a1364z00_1886) > ((long) 0));
								}}
								if (BgL_test4919z00_19522)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_argsz00_1815;

										BgL_argsz00_1815 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_zc3z04anonymousza31860ze3z87_13604;

											BgL_zc3z04anonymousza31860ze3z87_13604 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31860ze3z87_13604,
												(int) (((long) 0)), BgL_fz00_1806);
											PROCEDURE_SET(BgL_zc3z04anonymousza31860ze3z87_13604,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31860ze3z87_13604,
												(int) (((long) 2)), BgL_symbzd2funzd2_1807);
											PROCEDURE_SET(BgL_zc3z04anonymousza31860ze3z87_13604,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1805));
											PROCEDURE_SET(BgL_zc3z04anonymousza31860ze3z87_13604,
												(int) (((long) 4)), BgL_argsz00_1815);
											PROCEDURE_SET(BgL_zc3z04anonymousza31860ze3z87_13604,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1804));
											return BgL_zc3z04anonymousza31860ze3z87_13604;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_argsz00_1852;

										BgL_argsz00_1852 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_zc3z04anonymousza31886ze3z87_13605;

											BgL_zc3z04anonymousza31886ze3z87_13605 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31886ze3z87_13605,
												(int) (((long) 0)), BgL_fz00_1806);
											PROCEDURE_SET(BgL_zc3z04anonymousza31886ze3z87_13605,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31886ze3z87_13605,
												(int) (((long) 2)), BgL_symbzd2funzd2_1807);
											PROCEDURE_SET(BgL_zc3z04anonymousza31886ze3z87_13605,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1805));
											PROCEDURE_SET(BgL_zc3z04anonymousza31886ze3z87_13605,
												(int) (((long) 4)), BgL_argsz00_1852);
											PROCEDURE_SET(BgL_zc3z04anonymousza31886ze3z87_13605,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1804));
											return BgL_zc3z04anonymousza31886ze3z87_13605;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test4920z00_19566;

								{	/* Eval/evaluate_comp.scm 795 */
									int BgL_a1366z00_1958;

									BgL_a1366z00_1958 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 795 */

										BgL_test4920z00_19566 =
											((long) (BgL_a1366z00_1958) > ((long) 0));
								}}
								if (BgL_test4920z00_19566)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_argsz00_1893;

										BgL_argsz00_1893 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1804);
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_zc3z04anonymousza31911ze3z87_13606;

											BgL_zc3z04anonymousza31911ze3z87_13606 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13606,
												(int) (((long) 0)), BgL_fz00_1806);
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13606,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13606,
												(int) (((long) 2)), BgL_symbzd2funzd2_1807);
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13606,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1805));
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13606,
												(int) (((long) 4)), BgL_argsz00_1893);
											return BgL_zc3z04anonymousza31911ze3z87_13606;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_argsz00_1927;

										BgL_argsz00_1927 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1804);
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_zc3z04anonymousza31932ze3z87_13607;

											BgL_zc3z04anonymousza31932ze3z87_13607 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31932ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_13607,
												(int) (((long) 0)), BgL_fz00_1806);
											PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_13607,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_13607,
												(int) (((long) 2)), BgL_symbzd2funzd2_1807);
											PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_13607,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1805));
											PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_13607,
												(int) (((long) 4)), BgL_argsz00_1927);
											return BgL_zc3z04anonymousza31932ze3z87_13607;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 781 */
						bool_t BgL_test4921z00_19604;

						{	/* Eval/evaluate_comp.scm 781 */
							int BgL_a1362z00_2031;

							BgL_a1362z00_2031 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 781 */

								BgL_test4921z00_19604 =
									((long) (BgL_a1362z00_2031) > ((long) 0));
						}}
						if (BgL_test4921z00_19604)
							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_argsz00_1966;

								BgL_argsz00_1966 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_zc3z04anonymousza31951ze3z87_13608;

									BgL_zc3z04anonymousza31951ze3z87_13608 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31951ze3ze5zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31951ze3z87_13608,
										(int) (((long) 0)), BgL_fz00_1806);
									PROCEDURE_SET(BgL_zc3z04anonymousza31951ze3z87_13608,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3z04anonymousza31951ze3z87_13608,
										(int) (((long) 2)), BgL_symbzd2funzd2_1807);
									PROCEDURE_SET(BgL_zc3z04anonymousza31951ze3z87_13608,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1805));
									PROCEDURE_SET(BgL_zc3z04anonymousza31951ze3z87_13608,
										(int) (((long) 4)), BgL_argsz00_1966);
									PROCEDURE_SET(BgL_zc3z04anonymousza31951ze3z87_13608,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1804));
									return BgL_zc3z04anonymousza31951ze3z87_13608;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_argsz00_2000;

								BgL_argsz00_2000 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_zc3z04anonymousza31970ze3z87_13609;

									BgL_zc3z04anonymousza31970ze3z87_13609 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31970ze3z87_13609,
										(int) (((long) 0)), BgL_fz00_1806);
									PROCEDURE_SET(BgL_zc3z04anonymousza31970ze3z87_13609,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3z04anonymousza31970ze3z87_13609,
										(int) (((long) 2)), BgL_symbzd2funzd2_1807);
									PROCEDURE_SET(BgL_zc3z04anonymousza31970ze3z87_13609,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1805));
									PROCEDURE_SET(BgL_zc3z04anonymousza31970ze3z87_13609,
										(int) (((long) 4)), BgL_argsz00_2000);
									PROCEDURE_SET(BgL_zc3z04anonymousza31970ze3z87_13609,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1804));
									return BgL_zc3z04anonymousza31970ze3z87_13609;
								}
							}
					}
			}
		}

	}



/* &<@anonymous:1860> */
	obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13610, obj_t BgL_sz00_13617)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_fz00_13611;
				BgL_ev_appz00_bglt BgL_i1165z00_13612;
				obj_t BgL_symbzd2funzd2_13613;
				long BgL_nbargsz00_13614;
				obj_t BgL_argsz00_13615;
				long BgL_siza7eza7_13616;

				BgL_fz00_13611 = PROCEDURE_REF(BgL_envz00_13610, (int) (((long) 0)));
				BgL_i1165z00_13612 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13610, (int) (((long) 1))));
				BgL_symbzd2funzd2_13613 =
					PROCEDURE_REF(BgL_envz00_13610, (int) (((long) 2)));
				BgL_nbargsz00_13614 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13610, (int) (((long) 3))));
				BgL_argsz00_13615 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13610, (int) (((long) 4))));
				BgL_siza7eza7_13616 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13610, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 787 */
					obj_t BgL_bpz00_15584;

					BgL_bpz00_15584 = VECTOR_REF(((obj_t) BgL_sz00_13617), ((long) 0));
					{	/* Eval/evaluate_comp.scm 787 */
						obj_t BgL_fz00_15585;

						BgL_fz00_15585 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_fz00_13611)) (BgL_fz00_13611,
							BgL_sz00_13617, BEOA);
						if (PROCEDUREP(BgL_fz00_15585))
							{	/* Eval/evaluate_comp.scm 787 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 787 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13612))->
										BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15585);
							}
						{	/* Eval/evaluate_comp.scm 787 */
							obj_t BgL_ufz00_15586;

							{	/* Eval/evaluate_comp.scm 787 */
								obj_t BgL_tmpz00_19674;

								BgL_tmpz00_19674 = ((obj_t) BgL_fz00_15585);
								BgL_ufz00_15586 = PROCEDURE_ATTR(BgL_tmpz00_19674);
							}
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4923z00_19677;

								if (STRUCTP(BgL_ufz00_15586))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4923z00_19677 =
											(STRUCT_KEY(BgL_ufz00_15586) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4923z00_19677 = ((bool_t) 0);
									}
								if (BgL_test4923z00_19677)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_arityz00_15587;
										obj_t BgL_runz00_15588;
										obj_t BgL_sfz00_15589;

										BgL_arityz00_15587 =
											STRUCT_REF(BgL_ufz00_15586, (int) (((long) 0)));
										BgL_runz00_15588 =
											STRUCT_REF(BgL_ufz00_15586, (int) (((long) 1)));
										BgL_sfz00_15589 =
											STRUCT_REF(BgL_ufz00_15586, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 787 */
											long BgL_spz00_15590;

											BgL_spz00_15590 =
												((long) CINT(BgL_bpz00_15584) + BgL_siza7eza7_13616);
											if (
												((long) CINT(BgL_arityz00_15587) ==
													BgL_nbargsz00_13614))
												{	/* Eval/evaluate_comp.scm 787 */
													{
														obj_t BgL_lz00_15592;
														long BgL_spz00_15593;

														BgL_lz00_15592 = BgL_argsz00_13615;
														BgL_spz00_15593 = BgL_spz00_15590;
													BgL_recz00_15591:
														if (NULLP(BgL_lz00_15592))
															{	/* Eval/evaluate_comp.scm 711 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1820z00_15594;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1821z00_15595;

																		BgL_fun1821z00_15595 =
																			CAR(((obj_t) BgL_lz00_15592));
																		BgL_arg1820z00_15594 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fun1821z00_15595))
																			(BgL_fun1821z00_15595, BgL_sz00_13617,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13617), BgL_spz00_15593,
																		BgL_arg1820z00_15594);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1822z00_15596;
																	long BgL_arg1823z00_15597;

																	BgL_arg1822z00_15596 =
																		CDR(((obj_t) BgL_lz00_15592));
																	BgL_arg1823z00_15597 =
																		(BgL_spz00_15593 + ((long) 1));
																	{
																		long BgL_spz00_19707;
																		obj_t BgL_lz00_19706;

																		BgL_lz00_19706 = BgL_arg1822z00_15596;
																		BgL_spz00_19707 = BgL_arg1823z00_15597;
																		BgL_spz00_15593 = BgL_spz00_19707;
																		BgL_lz00_15592 = BgL_lz00_19706;
																		goto BgL_recz00_15591;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 791 */
														long BgL_arg1865z00_15598;

														BgL_arg1865z00_15598 =
															(BgL_spz00_15590 + BgL_nbargsz00_13614);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13617, (long) CINT(BgL_bpz00_15584),
															BgL_sz00_13617, BINT(BgL_spz00_15590),
															BINT(BgL_arg1865z00_15598));
												}}
											else
												{	/* Eval/evaluate_comp.scm 787 */
													bool_t BgL_test4927z00_19713;

													if (((long) CINT(BgL_arityz00_15587) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4927z00_19713 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4927z00_19713 =
																(
																(long) CINT(BgL_arityz00_15587) <
																(((long) -1) - BgL_nbargsz00_13614));
														}
													if (BgL_test4927z00_19713)
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13612))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15586, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13614),
																CINT(BgL_arityz00_15587));
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15587, BgL_sz00_13617,
																BgL_argsz00_13615, BINT(BgL_spz00_15590));
															{	/* Eval/evaluate_comp.scm 793 */
																long BgL_arg1873z00_15599;

																BgL_arg1873z00_15599 =
																	(BgL_spz00_15590 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15587)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13617, (long) CINT(BgL_bpz00_15584),
																	BgL_sz00_13617, BINT(BgL_spz00_15590),
																	BINT(BgL_arg1873z00_15599));
												}}}
											{	/* Eval/evaluate_comp.scm 787 */
												obj_t BgL_z12denvz12_15600;

												BgL_z12denvz12_15600 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 787 */
													obj_t BgL_tmpz00_19736;

													BgL_tmpz00_19736 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13612))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15600,
														BgL_tmpz00_19736);
												}
												if (
													(((long) CINT(BgL_bpz00_15584) +
															(long) CINT(BgL_sfz00_15589)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13617))))
													{	/* Eval/evaluate_comp.scm 787 */
														return BgL_runz00_15588;
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														obj_t BgL_nsz00_15601;

														BgL_nsz00_15601 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 787 */
															long BgL_arg1879z00_15602;

															BgL_arg1879z00_15602 =
																(
																(long) CINT(BgL_bpz00_15584) +
																BgL_nbargsz00_13614);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15601, ((long) 2), BgL_sz00_13617,
																BgL_bpz00_15584, BINT(BgL_arg1879z00_15602));
														}
														VECTOR_SET(BgL_nsz00_15601, ((long) 1),
															BgL_sz00_13617);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15600,
															BgL_nsz00_15601);
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_ez00_15603;

															BgL_ez00_15603 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_arg4347z00_15604;

																{	/* Eval/evaluate_comp.scm 787 */
																	obj_t BgL_arg4348z00_15605;

																	BgL_arg4348z00_15605 =
																		BGL_EXITD_PROTECT(BgL_ez00_15603);
																	BgL_arg4347z00_15604 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13617,
																		BgL_arg4348z00_15605);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15603,
																	BgL_arg4347z00_15604);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_____rz00_15606;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15607;

																	BgL_savedzd2bpzd2_15607 =
																		VECTOR_REF(BgL_nsz00_15601, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15601, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15609;

																		BgL_fz00_15609 = BgL_runz00_15588;
																	BgL_recz00_15608:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15610;

																			BgL_rz00_15610 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15609))
																				(BgL_fz00_15609, BgL_nsz00_15601, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test4930z00_19764;

																				if (PROCEDUREP(BgL_rz00_15610))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_15611;

																						BgL_arg1779z00_15611 =
																							PROCEDURE_ATTR(BgL_rz00_15610);
																						if (STRUCTP(BgL_arg1779z00_15611))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4930z00_19764 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_15611) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4930z00_19764 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test4930z00_19764 =
																							((bool_t) 0);
																					}
																				if (BgL_test4930z00_19764)
																					{
																						obj_t BgL_fz00_19772;

																						BgL_fz00_19772 = BgL_rz00_15610;
																						BgL_fz00_15609 = BgL_fz00_19772;
																						goto BgL_recz00_15608;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15601,
																							((long) 0),
																							BgL_savedzd2bpzd2_15607);
																						BgL_____rz00_15606 = BgL_rz00_15610;
																}}}}}
																{	/* Eval/evaluate_comp.scm 787 */
																	bool_t BgL_test4933z00_19774;

																	{	/* Eval/evaluate_comp.scm 787 */
																		obj_t BgL_arg4346z00_15612;

																		BgL_arg4346z00_15612 =
																			BGL_EXITD_PROTECT(BgL_ez00_15603);
																		BgL_test4933z00_19774 =
																			PAIRP(BgL_arg4346z00_15612);
																	}
																	if (BgL_test4933z00_19774)
																		{	/* Eval/evaluate_comp.scm 787 */
																			obj_t BgL_arg4344z00_15613;

																			{	/* Eval/evaluate_comp.scm 787 */
																				obj_t BgL_arg4345z00_15614;

																				BgL_arg4345z00_15614 =
																					BGL_EXITD_PROTECT(BgL_ez00_15603);
																				BgL_arg4344z00_15613 =
																					CDR(((obj_t) BgL_arg4345z00_15614));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15603,
																				BgL_arg4344z00_15613);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 787 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15600,
																	BgL_sz00_13617);
																return BgL_____rz00_15606;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15585,
												(int) (BgL_nbargsz00_13614)))
											{	/* Eval/evaluate_comp.scm 787 */
												{	/* Eval/evaluate_comp.scm 787 */
													obj_t BgL_auxz00_19787;
													obj_t BgL_tmpz00_19785;

													BgL_auxz00_19787 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13612))->BgL_locz00);
													BgL_tmpz00_19785 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19785,
														BgL_auxz00_19787);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13617, BgL_fz00_15585, BgL_argsz00_13615,
													BgL_bpz00_15584, BINT(BgL_siza7eza7_13616));
											}
										else
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13612))->
														BgL_locz00), BgL_symbzd2funzd2_13613,
													(int) (BgL_nbargsz00_13614),
													PROCEDURE_ARITY(BgL_fz00_15585));
		}}}}}}}}

	}



/* &<@anonymous:1886> */
	obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13618, obj_t BgL_sz00_13625)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_fz00_13619;
				BgL_ev_appz00_bglt BgL_i1165z00_13620;
				obj_t BgL_symbzd2funzd2_13621;
				long BgL_nbargsz00_13622;
				obj_t BgL_argsz00_13623;
				long BgL_siza7eza7_13624;

				BgL_fz00_13619 = PROCEDURE_REF(BgL_envz00_13618, (int) (((long) 0)));
				BgL_i1165z00_13620 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13618, (int) (((long) 1))));
				BgL_symbzd2funzd2_13621 =
					PROCEDURE_REF(BgL_envz00_13618, (int) (((long) 2)));
				BgL_nbargsz00_13622 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13618, (int) (((long) 3))));
				BgL_argsz00_13623 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13618, (int) (((long) 4))));
				BgL_siza7eza7_13624 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13618, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 787 */
					obj_t BgL_bpz00_15615;

					BgL_bpz00_15615 = VECTOR_REF(((obj_t) BgL_sz00_13625), ((long) 0));
					{	/* Eval/evaluate_comp.scm 787 */
						obj_t BgL_fz00_15616;

						BgL_fz00_15616 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_fz00_13619)) (BgL_fz00_13619,
							BgL_sz00_13625, BEOA);
						if (PROCEDUREP(BgL_fz00_15616))
							{	/* Eval/evaluate_comp.scm 787 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 787 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13620))->
										BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15616);
							}
						{	/* Eval/evaluate_comp.scm 787 */
							obj_t BgL_ufz00_15617;

							{	/* Eval/evaluate_comp.scm 787 */
								obj_t BgL_tmpz00_19822;

								BgL_tmpz00_19822 = ((obj_t) BgL_fz00_15616);
								BgL_ufz00_15617 = PROCEDURE_ATTR(BgL_tmpz00_19822);
							}
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4936z00_19825;

								if (STRUCTP(BgL_ufz00_15617))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4936z00_19825 =
											(STRUCT_KEY(BgL_ufz00_15617) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4936z00_19825 = ((bool_t) 0);
									}
								if (BgL_test4936z00_19825)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_arityz00_15618;
										obj_t BgL_runz00_15619;
										obj_t BgL_sfz00_15620;

										BgL_arityz00_15618 =
											STRUCT_REF(BgL_ufz00_15617, (int) (((long) 0)));
										BgL_runz00_15619 =
											STRUCT_REF(BgL_ufz00_15617, (int) (((long) 1)));
										BgL_sfz00_15620 =
											STRUCT_REF(BgL_ufz00_15617, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 787 */
											long BgL_spz00_15621;

											BgL_spz00_15621 =
												((long) CINT(BgL_bpz00_15615) + BgL_siza7eza7_13624);
											if (
												((long) CINT(BgL_arityz00_15618) ==
													BgL_nbargsz00_13622))
												{	/* Eval/evaluate_comp.scm 787 */
													{
														obj_t BgL_lz00_15623;
														long BgL_spz00_15624;

														BgL_lz00_15623 = BgL_argsz00_13623;
														BgL_spz00_15624 = BgL_spz00_15621;
													BgL_recz00_15622:
														if (NULLP(BgL_lz00_15623))
															{	/* Eval/evaluate_comp.scm 711 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1820z00_15625;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1821z00_15626;

																		BgL_fun1821z00_15626 =
																			CAR(((obj_t) BgL_lz00_15623));
																		BgL_arg1820z00_15625 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fun1821z00_15626))
																			(BgL_fun1821z00_15626, BgL_sz00_13625,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13625), BgL_spz00_15624,
																		BgL_arg1820z00_15625);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1822z00_15627;
																	long BgL_arg1823z00_15628;

																	BgL_arg1822z00_15627 =
																		CDR(((obj_t) BgL_lz00_15623));
																	BgL_arg1823z00_15628 =
																		(BgL_spz00_15624 + ((long) 1));
																	{
																		long BgL_spz00_19855;
																		obj_t BgL_lz00_19854;

																		BgL_lz00_19854 = BgL_arg1822z00_15627;
																		BgL_spz00_19855 = BgL_arg1823z00_15628;
																		BgL_spz00_15624 = BgL_spz00_19855;
																		BgL_lz00_15623 = BgL_lz00_19854;
																		goto BgL_recz00_15622;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 791 */
														long BgL_arg1891z00_15629;

														BgL_arg1891z00_15629 =
															(BgL_spz00_15621 + BgL_nbargsz00_13622);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13625, (long) CINT(BgL_bpz00_15615),
															BgL_sz00_13625, BINT(BgL_spz00_15621),
															BINT(BgL_arg1891z00_15629));
												}}
											else
												{	/* Eval/evaluate_comp.scm 787 */
													bool_t BgL_test4940z00_19861;

													if (((long) CINT(BgL_arityz00_15618) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4940z00_19861 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4940z00_19861 =
																(
																(long) CINT(BgL_arityz00_15618) <
																(((long) -1) - BgL_nbargsz00_13622));
														}
													if (BgL_test4940z00_19861)
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13620))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15617, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13622),
																CINT(BgL_arityz00_15618));
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15618, BgL_sz00_13625,
																BgL_argsz00_13623, BINT(BgL_spz00_15621));
															{	/* Eval/evaluate_comp.scm 793 */
																long BgL_arg1900z00_15630;

																BgL_arg1900z00_15630 =
																	(BgL_spz00_15621 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15618)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13625, (long) CINT(BgL_bpz00_15615),
																	BgL_sz00_13625, BINT(BgL_spz00_15621),
																	BINT(BgL_arg1900z00_15630));
												}}}
											{	/* Eval/evaluate_comp.scm 787 */
												obj_t BgL_z12denvz12_15631;

												BgL_z12denvz12_15631 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_15615) +
															(long) CINT(BgL_sfz00_15620)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13625))))
													{	/* Eval/evaluate_comp.scm 787 */
														return BgL_runz00_15619;
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														obj_t BgL_nsz00_15632;

														BgL_nsz00_15632 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 787 */
															long BgL_arg1904z00_15633;

															BgL_arg1904z00_15633 =
																(
																(long) CINT(BgL_bpz00_15615) +
																BgL_nbargsz00_13622);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15632, ((long) 2), BgL_sz00_13625,
																BgL_bpz00_15615, BINT(BgL_arg1904z00_15633));
														}
														VECTOR_SET(BgL_nsz00_15632, ((long) 1),
															BgL_sz00_13625);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15631,
															BgL_nsz00_15632);
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_ez00_15634;

															BgL_ez00_15634 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_arg4347z00_15635;

																{	/* Eval/evaluate_comp.scm 787 */
																	obj_t BgL_arg4348z00_15636;

																	BgL_arg4348z00_15636 =
																		BGL_EXITD_PROTECT(BgL_ez00_15634);
																	BgL_arg4347z00_15635 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13625,
																		BgL_arg4348z00_15636);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15634,
																	BgL_arg4347z00_15635);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_____rz00_15637;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15638;

																	BgL_savedzd2bpzd2_15638 =
																		VECTOR_REF(BgL_nsz00_15632, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15632, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15640;

																		BgL_fz00_15640 = BgL_runz00_15619;
																	BgL_recz00_15639:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15641;

																			BgL_rz00_15641 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15640))
																				(BgL_fz00_15640, BgL_nsz00_15632, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test4943z00_19909;

																				if (PROCEDUREP(BgL_rz00_15641))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_15642;

																						BgL_arg1779z00_15642 =
																							PROCEDURE_ATTR(BgL_rz00_15641);
																						if (STRUCTP(BgL_arg1779z00_15642))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4943z00_19909 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_15642) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4943z00_19909 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test4943z00_19909 =
																							((bool_t) 0);
																					}
																				if (BgL_test4943z00_19909)
																					{
																						obj_t BgL_fz00_19917;

																						BgL_fz00_19917 = BgL_rz00_15641;
																						BgL_fz00_15640 = BgL_fz00_19917;
																						goto BgL_recz00_15639;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15632,
																							((long) 0),
																							BgL_savedzd2bpzd2_15638);
																						BgL_____rz00_15637 = BgL_rz00_15641;
																}}}}}
																{	/* Eval/evaluate_comp.scm 787 */
																	bool_t BgL_test4946z00_19919;

																	{	/* Eval/evaluate_comp.scm 787 */
																		obj_t BgL_arg4346z00_15643;

																		BgL_arg4346z00_15643 =
																			BGL_EXITD_PROTECT(BgL_ez00_15634);
																		BgL_test4946z00_19919 =
																			PAIRP(BgL_arg4346z00_15643);
																	}
																	if (BgL_test4946z00_19919)
																		{	/* Eval/evaluate_comp.scm 787 */
																			obj_t BgL_arg4344z00_15644;

																			{	/* Eval/evaluate_comp.scm 787 */
																				obj_t BgL_arg4345z00_15645;

																				BgL_arg4345z00_15645 =
																					BGL_EXITD_PROTECT(BgL_ez00_15634);
																				BgL_arg4344z00_15644 =
																					CDR(((obj_t) BgL_arg4345z00_15645));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15634,
																				BgL_arg4344z00_15644);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 787 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15631,
																	BgL_sz00_13625);
																return BgL_____rz00_15637;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15616,
												(int) (BgL_nbargsz00_13622)))
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13625, BgL_fz00_15616, BgL_argsz00_13623,
													BgL_bpz00_15615, BINT(BgL_siza7eza7_13624));
											}
										else
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13620))->
														BgL_locz00), BgL_symbzd2funzd2_13621,
													(int) (BgL_nbargsz00_13622),
													PROCEDURE_ARITY(BgL_fz00_15616));
		}}}}}}}}

	}



/* &<@anonymous:1911> */
	obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13626, obj_t BgL_sz00_13632)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_fz00_13627;
				BgL_ev_appz00_bglt BgL_i1165z00_13628;
				obj_t BgL_symbzd2funzd2_13629;
				long BgL_nbargsz00_13630;
				obj_t BgL_argsz00_13631;

				BgL_fz00_13627 = PROCEDURE_REF(BgL_envz00_13626, (int) (((long) 0)));
				BgL_i1165z00_13628 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13626, (int) (((long) 1))));
				BgL_symbzd2funzd2_13629 =
					PROCEDURE_REF(BgL_envz00_13626, (int) (((long) 2)));
				BgL_nbargsz00_13630 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13626, (int) (((long) 3))));
				BgL_argsz00_13631 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13626, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 795 */
					obj_t BgL_bpz00_15646;

					BgL_bpz00_15646 = VECTOR_REF(((obj_t) BgL_sz00_13632), ((long) 0));
					{	/* Eval/evaluate_comp.scm 795 */
						obj_t BgL_fz00_15647;

						BgL_fz00_15647 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_fz00_13627)) (BgL_fz00_13627,
							BgL_sz00_13632, BEOA);
						if (PROCEDUREP(BgL_fz00_15647))
							{	/* Eval/evaluate_comp.scm 795 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13628))->
										BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15647);
							}
						{	/* Eval/evaluate_comp.scm 795 */
							obj_t BgL_ufz00_15648;

							{	/* Eval/evaluate_comp.scm 795 */
								obj_t BgL_tmpz00_19959;

								BgL_tmpz00_19959 = ((obj_t) BgL_fz00_15647);
								BgL_ufz00_15648 = PROCEDURE_ATTR(BgL_tmpz00_19959);
							}
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test4949z00_19962;

								if (STRUCTP(BgL_ufz00_15648))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4949z00_19962 =
											(STRUCT_KEY(BgL_ufz00_15648) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4949z00_19962 = ((bool_t) 0);
									}
								if (BgL_test4949z00_19962)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_arityz00_15649;
										obj_t BgL_runz00_15650;
										obj_t BgL_sfz00_15651;

										BgL_arityz00_15649 =
											STRUCT_REF(BgL_ufz00_15648, (int) (((long) 0)));
										BgL_runz00_15650 =
											STRUCT_REF(BgL_ufz00_15648, (int) (((long) 1)));
										BgL_sfz00_15651 =
											STRUCT_REF(BgL_ufz00_15648, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15649) == BgL_nbargsz00_13630))
											{
												obj_t BgL_lz00_15653;
												obj_t BgL_spz00_15654;

												{	/* Eval/evaluate_comp.scm 710 */
													bool_t BgL_tmpz00_19976;

													BgL_lz00_15653 = BgL_argsz00_13631;
													BgL_spz00_15654 = BgL_bpz00_15646;
												BgL_recz00_15652:
													if (NULLP(BgL_lz00_15653))
														{	/* Eval/evaluate_comp.scm 711 */
															BgL_tmpz00_19976 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1820z00_15655;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1821z00_15656;

																	BgL_fun1821z00_15656 =
																		CAR(((obj_t) BgL_lz00_15653));
																	BgL_arg1820z00_15655 =
																		((obj_t(*)(obj_t, obj_t,
																				obj_t))
																		PROCEDURE_ENTRY(BgL_fun1821z00_15656))
																		(BgL_fun1821z00_15656, BgL_sz00_13632,
																		BEOA);
																}
																{	/* Eval/evaluate_comp.scm 712 */
																	long BgL_kz00_15657;

																	BgL_kz00_15657 = (long) CINT(BgL_spz00_15654);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13632), BgL_kz00_15657,
																		BgL_arg1820z00_15655);
															}}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1822z00_15658;
																long BgL_arg1823z00_15659;

																BgL_arg1822z00_15658 =
																	CDR(((obj_t) BgL_lz00_15653));
																BgL_arg1823z00_15659 =
																	((long) CINT(BgL_spz00_15654) + ((long) 1));
																{
																	obj_t BgL_spz00_19993;
																	obj_t BgL_lz00_19992;

																	BgL_lz00_19992 = BgL_arg1822z00_15658;
																	BgL_spz00_19993 = BINT(BgL_arg1823z00_15659);
																	BgL_spz00_15654 = BgL_spz00_19993;
																	BgL_lz00_15653 = BgL_lz00_19992;
																	goto BgL_recz00_15652;
																}
															}
														}
													BBOOL(BgL_tmpz00_19976);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												bool_t BgL_test4953z00_19996;

												if (((long) CINT(BgL_arityz00_15649) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test4953z00_19996 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test4953z00_19996 =
															(
															(long) CINT(BgL_arityz00_15649) <
															(((long) -1) - BgL_nbargsz00_13630));
													}
												if (BgL_test4953z00_19996)
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_13628))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15648, (int) (((long) 3))),
															(int) (BgL_nbargsz00_13630),
															CINT(BgL_arityz00_15649));
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15649, BgL_sz00_13632,
															BgL_argsz00_13631, BgL_bpz00_15646);
													}
											}
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_z12denvz12_15660;

											BgL_z12denvz12_15660 = BGL_CURRENT_DYNAMIC_ENV();
											{	/* Eval/evaluate_comp.scm 795 */
												obj_t BgL_tmpz00_20011;

												BgL_tmpz00_20011 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13628))->
													BgL_locz00);
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15660,
													BgL_tmpz00_20011);
											}
											if (
												(((long) CINT(BgL_bpz00_15646) +
														(long) CINT(BgL_sfz00_15651)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13632))))
												{	/* Eval/evaluate_comp.scm 795 */
													return BgL_runz00_15650;
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_nsz00_15661;

													BgL_nsz00_15661 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 795 */
														long BgL_arg1926z00_15662;

														BgL_arg1926z00_15662 =
															(
															(long) CINT(BgL_bpz00_15646) +
															BgL_nbargsz00_13630);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15661, ((long) 2), BgL_sz00_13632,
															BgL_bpz00_15646, BINT(BgL_arg1926z00_15662));
													}
													VECTOR_SET(BgL_nsz00_15661, ((long) 1),
														BgL_sz00_13632);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15660,
														BgL_nsz00_15661);
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_ez00_15663;

														BgL_ez00_15663 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_arg4347z00_15664;

															{	/* Eval/evaluate_comp.scm 795 */
																obj_t BgL_arg4348z00_15665;

																BgL_arg4348z00_15665 =
																	BGL_EXITD_PROTECT(BgL_ez00_15663);
																BgL_arg4347z00_15664 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13632,
																	BgL_arg4348z00_15665);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15663,
																BgL_arg4347z00_15664);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_____rz00_15666;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15667;

																BgL_savedzd2bpzd2_15667 =
																	VECTOR_REF(BgL_nsz00_15661, ((long) 0));
																VECTOR_SET(BgL_nsz00_15661, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15669;

																	BgL_fz00_15669 = BgL_runz00_15650;
																BgL_recz00_15668:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15670;

																		BgL_rz00_15670 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_15669))
																			(BgL_fz00_15669, BgL_nsz00_15661, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test4956z00_20039;

																			if (PROCEDUREP(BgL_rz00_15670))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_15671;

																					BgL_arg1779z00_15671 =
																						PROCEDURE_ATTR(BgL_rz00_15670);
																					if (STRUCTP(BgL_arg1779z00_15671))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4956z00_20039 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_15671) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4956z00_20039 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test4956z00_20039 = ((bool_t) 0);
																				}
																			if (BgL_test4956z00_20039)
																				{
																					obj_t BgL_fz00_20047;

																					BgL_fz00_20047 = BgL_rz00_15670;
																					BgL_fz00_15669 = BgL_fz00_20047;
																					goto BgL_recz00_15668;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15661,
																						((long) 0),
																						BgL_savedzd2bpzd2_15667);
																					BgL_____rz00_15666 = BgL_rz00_15670;
															}}}}}
															{	/* Eval/evaluate_comp.scm 795 */
																bool_t BgL_test4959z00_20049;

																{	/* Eval/evaluate_comp.scm 795 */
																	obj_t BgL_arg4346z00_15672;

																	BgL_arg4346z00_15672 =
																		BGL_EXITD_PROTECT(BgL_ez00_15663);
																	BgL_test4959z00_20049 =
																		PAIRP(BgL_arg4346z00_15672);
																}
																if (BgL_test4959z00_20049)
																	{	/* Eval/evaluate_comp.scm 795 */
																		obj_t BgL_arg4344z00_15673;

																		{	/* Eval/evaluate_comp.scm 795 */
																			obj_t BgL_arg4345z00_15674;

																			BgL_arg4345z00_15674 =
																				BGL_EXITD_PROTECT(BgL_ez00_15663);
																			BgL_arg4344z00_15673 =
																				CDR(((obj_t) BgL_arg4345z00_15674));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15663,
																			BgL_arg4344z00_15673);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 795 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15660,
																BgL_sz00_13632);
															return BgL_____rz00_15666;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15647,
												(int) (BgL_nbargsz00_13630)))
											{	/* Eval/evaluate_comp.scm 795 */
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_auxz00_20062;
													obj_t BgL_tmpz00_20060;

													BgL_auxz00_20062 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13628))->BgL_locz00);
													BgL_tmpz00_20060 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20060,
														BgL_auxz00_20062);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13632, BgL_fz00_15647, BgL_argsz00_13631,
													BgL_bpz00_15646, BINT(BgL_nbargsz00_13630));
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13628))->
														BgL_locz00), BgL_symbzd2funzd2_13629,
													(int) (BgL_nbargsz00_13630),
													PROCEDURE_ARITY(BgL_fz00_15647));
		}}}}}}}}

	}



/* &<@anonymous:1932> */
	obj_t BGl_z62zc3z04anonymousza31932ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13633, obj_t BgL_sz00_13639)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_fz00_13634;
				BgL_ev_appz00_bglt BgL_i1165z00_13635;
				obj_t BgL_symbzd2funzd2_13636;
				long BgL_nbargsz00_13637;
				obj_t BgL_argsz00_13638;

				BgL_fz00_13634 = PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 0)));
				BgL_i1165z00_13635 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 1))));
				BgL_symbzd2funzd2_13636 =
					PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 2)));
				BgL_nbargsz00_13637 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 3))));
				BgL_argsz00_13638 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13633, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 795 */
					obj_t BgL_bpz00_15675;

					BgL_bpz00_15675 = VECTOR_REF(((obj_t) BgL_sz00_13639), ((long) 0));
					{	/* Eval/evaluate_comp.scm 795 */
						obj_t BgL_fz00_15676;

						BgL_fz00_15676 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_fz00_13634)) (BgL_fz00_13634,
							BgL_sz00_13639, BEOA);
						if (PROCEDUREP(BgL_fz00_15676))
							{	/* Eval/evaluate_comp.scm 795 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13635))->
										BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15676);
							}
						{	/* Eval/evaluate_comp.scm 795 */
							obj_t BgL_ufz00_15677;

							{	/* Eval/evaluate_comp.scm 795 */
								obj_t BgL_tmpz00_20094;

								BgL_tmpz00_20094 = ((obj_t) BgL_fz00_15676);
								BgL_ufz00_15677 = PROCEDURE_ATTR(BgL_tmpz00_20094);
							}
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test4962z00_20097;

								if (STRUCTP(BgL_ufz00_15677))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4962z00_20097 =
											(STRUCT_KEY(BgL_ufz00_15677) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4962z00_20097 = ((bool_t) 0);
									}
								if (BgL_test4962z00_20097)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_arityz00_15678;
										obj_t BgL_runz00_15679;
										obj_t BgL_sfz00_15680;

										BgL_arityz00_15678 =
											STRUCT_REF(BgL_ufz00_15677, (int) (((long) 0)));
										BgL_runz00_15679 =
											STRUCT_REF(BgL_ufz00_15677, (int) (((long) 1)));
										BgL_sfz00_15680 =
											STRUCT_REF(BgL_ufz00_15677, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15678) == BgL_nbargsz00_13637))
											{
												obj_t BgL_lz00_15682;
												obj_t BgL_spz00_15683;

												{	/* Eval/evaluate_comp.scm 710 */
													bool_t BgL_tmpz00_20111;

													BgL_lz00_15682 = BgL_argsz00_13638;
													BgL_spz00_15683 = BgL_bpz00_15675;
												BgL_recz00_15681:
													if (NULLP(BgL_lz00_15682))
														{	/* Eval/evaluate_comp.scm 711 */
															BgL_tmpz00_20111 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1820z00_15684;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1821z00_15685;

																	BgL_fun1821z00_15685 =
																		CAR(((obj_t) BgL_lz00_15682));
																	BgL_arg1820z00_15684 =
																		((obj_t(*)(obj_t, obj_t,
																				obj_t))
																		PROCEDURE_ENTRY(BgL_fun1821z00_15685))
																		(BgL_fun1821z00_15685, BgL_sz00_13639,
																		BEOA);
																}
																{	/* Eval/evaluate_comp.scm 712 */
																	long BgL_kz00_15686;

																	BgL_kz00_15686 = (long) CINT(BgL_spz00_15683);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13639), BgL_kz00_15686,
																		BgL_arg1820z00_15684);
															}}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1822z00_15687;
																long BgL_arg1823z00_15688;

																BgL_arg1822z00_15687 =
																	CDR(((obj_t) BgL_lz00_15682));
																BgL_arg1823z00_15688 =
																	((long) CINT(BgL_spz00_15683) + ((long) 1));
																{
																	obj_t BgL_spz00_20128;
																	obj_t BgL_lz00_20127;

																	BgL_lz00_20127 = BgL_arg1822z00_15687;
																	BgL_spz00_20128 = BINT(BgL_arg1823z00_15688);
																	BgL_spz00_15683 = BgL_spz00_20128;
																	BgL_lz00_15682 = BgL_lz00_20127;
																	goto BgL_recz00_15681;
																}
															}
														}
													BBOOL(BgL_tmpz00_20111);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												bool_t BgL_test4966z00_20131;

												if (((long) CINT(BgL_arityz00_15678) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test4966z00_20131 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test4966z00_20131 =
															(
															(long) CINT(BgL_arityz00_15678) <
															(((long) -1) - BgL_nbargsz00_13637));
													}
												if (BgL_test4966z00_20131)
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_13635))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15677, (int) (((long) 3))),
															(int) (BgL_nbargsz00_13637),
															CINT(BgL_arityz00_15678));
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15678, BgL_sz00_13639,
															BgL_argsz00_13638, BgL_bpz00_15675);
													}
											}
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_z12denvz12_15689;

											BgL_z12denvz12_15689 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15675) +
														(long) CINT(BgL_sfz00_15680)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13639))))
												{	/* Eval/evaluate_comp.scm 795 */
													return BgL_runz00_15679;
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_nsz00_15690;

													BgL_nsz00_15690 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 795 */
														long BgL_arg1944z00_15691;

														BgL_arg1944z00_15691 =
															(
															(long) CINT(BgL_bpz00_15675) +
															BgL_nbargsz00_13637);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15690, ((long) 2), BgL_sz00_13639,
															BgL_bpz00_15675, BINT(BgL_arg1944z00_15691));
													}
													VECTOR_SET(BgL_nsz00_15690, ((long) 1),
														BgL_sz00_13639);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15689,
														BgL_nsz00_15690);
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_ez00_15692;

														BgL_ez00_15692 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_arg4347z00_15693;

															{	/* Eval/evaluate_comp.scm 795 */
																obj_t BgL_arg4348z00_15694;

																BgL_arg4348z00_15694 =
																	BGL_EXITD_PROTECT(BgL_ez00_15692);
																BgL_arg4347z00_15693 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13639,
																	BgL_arg4348z00_15694);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15692,
																BgL_arg4347z00_15693);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_____rz00_15695;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15696;

																BgL_savedzd2bpzd2_15696 =
																	VECTOR_REF(BgL_nsz00_15690, ((long) 0));
																VECTOR_SET(BgL_nsz00_15690, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15698;

																	BgL_fz00_15698 = BgL_runz00_15679;
																BgL_recz00_15697:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15699;

																		BgL_rz00_15699 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_15698))
																			(BgL_fz00_15698, BgL_nsz00_15690, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test4969z00_20171;

																			if (PROCEDUREP(BgL_rz00_15699))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_15700;

																					BgL_arg1779z00_15700 =
																						PROCEDURE_ATTR(BgL_rz00_15699);
																					if (STRUCTP(BgL_arg1779z00_15700))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4969z00_20171 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_15700) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test4969z00_20171 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test4969z00_20171 = ((bool_t) 0);
																				}
																			if (BgL_test4969z00_20171)
																				{
																					obj_t BgL_fz00_20179;

																					BgL_fz00_20179 = BgL_rz00_15699;
																					BgL_fz00_15698 = BgL_fz00_20179;
																					goto BgL_recz00_15697;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15690,
																						((long) 0),
																						BgL_savedzd2bpzd2_15696);
																					BgL_____rz00_15695 = BgL_rz00_15699;
															}}}}}
															{	/* Eval/evaluate_comp.scm 795 */
																bool_t BgL_test4972z00_20181;

																{	/* Eval/evaluate_comp.scm 795 */
																	obj_t BgL_arg4346z00_15701;

																	BgL_arg4346z00_15701 =
																		BGL_EXITD_PROTECT(BgL_ez00_15692);
																	BgL_test4972z00_20181 =
																		PAIRP(BgL_arg4346z00_15701);
																}
																if (BgL_test4972z00_20181)
																	{	/* Eval/evaluate_comp.scm 795 */
																		obj_t BgL_arg4344z00_15702;

																		{	/* Eval/evaluate_comp.scm 795 */
																			obj_t BgL_arg4345z00_15703;

																			BgL_arg4345z00_15703 =
																				BGL_EXITD_PROTECT(BgL_ez00_15692);
																			BgL_arg4344z00_15702 =
																				CDR(((obj_t) BgL_arg4345z00_15703));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15692,
																			BgL_arg4344z00_15702);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 795 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15689,
																BgL_sz00_13639);
															return BgL_____rz00_15695;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15676,
												(int) (BgL_nbargsz00_13637)))
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13639, BgL_fz00_15676, BgL_argsz00_13638,
													BgL_bpz00_15675, BINT(BgL_nbargsz00_13637));
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13635))->
														BgL_locz00), BgL_symbzd2funzd2_13636,
													(int) (BgL_nbargsz00_13637),
													PROCEDURE_ARITY(BgL_fz00_15676));
		}}}}}}}}

	}



/* &<@anonymous:1951> */
	obj_t BGl_z62zc3z04anonymousza31951ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13640, obj_t BgL_sz00_13647)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_fz00_13641;
				BgL_ev_appz00_bglt BgL_i1165z00_13642;
				obj_t BgL_symbzd2funzd2_13643;
				long BgL_nbargsz00_13644;
				obj_t BgL_argsz00_13645;
				long BgL_siza7eza7_13646;

				BgL_fz00_13641 = PROCEDURE_REF(BgL_envz00_13640, (int) (((long) 0)));
				BgL_i1165z00_13642 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13640, (int) (((long) 1))));
				BgL_symbzd2funzd2_13643 =
					PROCEDURE_REF(BgL_envz00_13640, (int) (((long) 2)));
				BgL_nbargsz00_13644 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13640, (int) (((long) 3))));
				BgL_argsz00_13645 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13640, (int) (((long) 4))));
				BgL_siza7eza7_13646 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13640, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 781 */
					obj_t BgL_bpz00_15704;

					BgL_bpz00_15704 = VECTOR_REF(((obj_t) BgL_sz00_13647), ((long) 0));
					{	/* Eval/evaluate_comp.scm 781 */
						obj_t BgL_fz00_15705;

						BgL_fz00_15705 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_fz00_13641)) (BgL_fz00_13641,
							BgL_sz00_13647, BEOA);
						if (PROCEDUREP(BgL_fz00_15705))
							{	/* Eval/evaluate_comp.scm 781 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13642))->
										BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15705);
							}
						{	/* Eval/evaluate_comp.scm 781 */
							obj_t BgL_ufz00_15706;

							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_tmpz00_20224;

								BgL_tmpz00_20224 = ((obj_t) BgL_fz00_15705);
								BgL_ufz00_15706 = PROCEDURE_ATTR(BgL_tmpz00_20224);
							}
							{	/* Eval/evaluate_comp.scm 781 */
								bool_t BgL_test4975z00_20227;

								if (STRUCTP(BgL_ufz00_15706))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4975z00_20227 =
											(STRUCT_KEY(BgL_ufz00_15706) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4975z00_20227 = ((bool_t) 0);
									}
								if (BgL_test4975z00_20227)
									{	/* Eval/evaluate_comp.scm 781 */
										obj_t BgL_arityz00_15707;
										obj_t BgL_runz00_15708;
										obj_t BgL_sfz00_15709;

										BgL_arityz00_15707 =
											STRUCT_REF(BgL_ufz00_15706, (int) (((long) 0)));
										BgL_runz00_15708 =
											STRUCT_REF(BgL_ufz00_15706, (int) (((long) 1)));
										BgL_sfz00_15709 =
											STRUCT_REF(BgL_ufz00_15706, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 781 */
											long BgL_spz00_15710;

											BgL_spz00_15710 =
												((long) CINT(BgL_bpz00_15704) + BgL_siza7eza7_13646);
											if (
												((long) CINT(BgL_arityz00_15707) ==
													BgL_nbargsz00_13644))
												{
													obj_t BgL_lz00_15712;
													long BgL_spz00_15713;

													{	/* Eval/evaluate_comp.scm 710 */
														bool_t BgL_tmpz00_20243;

														BgL_lz00_15712 = BgL_argsz00_13645;
														BgL_spz00_15713 = BgL_spz00_15710;
													BgL_recz00_15711:
														if (NULLP(BgL_lz00_15712))
															{	/* Eval/evaluate_comp.scm 711 */
																BgL_tmpz00_20243 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1820z00_15714;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1821z00_15715;

																		BgL_fun1821z00_15715 =
																			CAR(((obj_t) BgL_lz00_15712));
																		BgL_arg1820z00_15714 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fun1821z00_15715))
																			(BgL_fun1821z00_15715, BgL_sz00_13647,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13647), BgL_spz00_15713,
																		BgL_arg1820z00_15714);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1822z00_15716;
																	long BgL_arg1823z00_15717;

																	BgL_arg1822z00_15716 =
																		CDR(((obj_t) BgL_lz00_15712));
																	BgL_arg1823z00_15717 =
																		(BgL_spz00_15713 + ((long) 1));
																	{
																		long BgL_spz00_20258;
																		obj_t BgL_lz00_20257;

																		BgL_lz00_20257 = BgL_arg1822z00_15716;
																		BgL_spz00_20258 = BgL_arg1823z00_15717;
																		BgL_spz00_15713 = BgL_spz00_20258;
																		BgL_lz00_15712 = BgL_lz00_20257;
																		goto BgL_recz00_15711;
																	}
																}
															}
														BBOOL(BgL_tmpz00_20243);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 781 */
													bool_t BgL_test4979z00_20260;

													if (((long) CINT(BgL_arityz00_15707) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test4979z00_20260 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test4979z00_20260 =
																(
																(long) CINT(BgL_arityz00_15707) <
																(((long) -1) - BgL_nbargsz00_13644));
														}
													if (BgL_test4979z00_20260)
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13642))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15706, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13644),
																CINT(BgL_arityz00_15707));
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15707, BgL_sz00_13647,
																BgL_argsz00_13645, BINT(BgL_spz00_15710));
														}
												}
											{	/* Eval/evaluate_comp.scm 781 */
												obj_t BgL_z12denvz12_15718;

												BgL_z12denvz12_15718 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 781 */
													obj_t BgL_tmpz00_20276;

													BgL_tmpz00_20276 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13642))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15718,
														BgL_tmpz00_20276);
												}
												if (
													((BgL_spz00_15710 +
															(long) CINT(BgL_sfz00_15709)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13647))))
													{	/* Eval/evaluate_comp.scm 781 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15708, BgL_sz00_13647,
															BINT(BgL_spz00_15710));
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														obj_t BgL_nsz00_15719;

														BgL_nsz00_15719 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 781 */
															long BgL_arg1964z00_15720;

															BgL_arg1964z00_15720 =
																(BgL_spz00_15710 + BgL_nbargsz00_13644);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15719, ((long) 2), BgL_sz00_13647,
																BINT(BgL_spz00_15710),
																BINT(BgL_arg1964z00_15720));
														}
														VECTOR_SET(BgL_nsz00_15719, ((long) 1),
															BgL_sz00_13647);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15718,
															BgL_nsz00_15719);
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_ez00_15721;

															BgL_ez00_15721 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_arg4347z00_15722;

																{	/* Eval/evaluate_comp.scm 781 */
																	obj_t BgL_arg4348z00_15723;

																	BgL_arg4348z00_15723 =
																		BGL_EXITD_PROTECT(BgL_ez00_15721);
																	BgL_arg4347z00_15722 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13647,
																		BgL_arg4348z00_15723);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15721,
																	BgL_arg4347z00_15722);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_____rz00_15724;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15725;

																	BgL_savedzd2bpzd2_15725 =
																		VECTOR_REF(BgL_nsz00_15719, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15719, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15727;

																		BgL_fz00_15727 = BgL_runz00_15708;
																	BgL_recz00_15726:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15728;

																			BgL_rz00_15728 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15727))
																				(BgL_fz00_15727, BgL_nsz00_15719, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test4982z00_20305;

																				if (PROCEDUREP(BgL_rz00_15728))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_15729;

																						BgL_arg1779z00_15729 =
																							PROCEDURE_ATTR(BgL_rz00_15728);
																						if (STRUCTP(BgL_arg1779z00_15729))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4982z00_20305 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_15729) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4982z00_20305 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test4982z00_20305 =
																							((bool_t) 0);
																					}
																				if (BgL_test4982z00_20305)
																					{
																						obj_t BgL_fz00_20313;

																						BgL_fz00_20313 = BgL_rz00_15728;
																						BgL_fz00_15727 = BgL_fz00_20313;
																						goto BgL_recz00_15726;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15719,
																							((long) 0),
																							BgL_savedzd2bpzd2_15725);
																						BgL_____rz00_15724 = BgL_rz00_15728;
																}}}}}
																{	/* Eval/evaluate_comp.scm 781 */
																	bool_t BgL_test4985z00_20315;

																	{	/* Eval/evaluate_comp.scm 781 */
																		obj_t BgL_arg4346z00_15730;

																		BgL_arg4346z00_15730 =
																			BGL_EXITD_PROTECT(BgL_ez00_15721);
																		BgL_test4985z00_20315 =
																			PAIRP(BgL_arg4346z00_15730);
																	}
																	if (BgL_test4985z00_20315)
																		{	/* Eval/evaluate_comp.scm 781 */
																			obj_t BgL_arg4344z00_15731;

																			{	/* Eval/evaluate_comp.scm 781 */
																				obj_t BgL_arg4345z00_15732;

																				BgL_arg4345z00_15732 =
																					BGL_EXITD_PROTECT(BgL_ez00_15721);
																				BgL_arg4344z00_15731 =
																					CDR(((obj_t) BgL_arg4345z00_15732));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15721,
																				BgL_arg4344z00_15731);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 781 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15718,
																	BgL_sz00_13647);
																return BgL_____rz00_15724;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 781 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15705,
												(int) (BgL_nbargsz00_13644)))
											{	/* Eval/evaluate_comp.scm 781 */
												{	/* Eval/evaluate_comp.scm 781 */
													obj_t BgL_auxz00_20328;
													obj_t BgL_tmpz00_20326;

													BgL_auxz00_20328 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13642))->BgL_locz00);
													BgL_tmpz00_20326 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20326,
														BgL_auxz00_20328);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13647, BgL_fz00_15705, BgL_argsz00_13645,
													BgL_bpz00_15704, BINT(BgL_siza7eza7_13646));
											}
										else
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13642))->
														BgL_locz00), BgL_symbzd2funzd2_13643,
													(int) (BgL_nbargsz00_13644),
													PROCEDURE_ARITY(BgL_fz00_15705));
		}}}}}}}}

	}



/* &<@anonymous:1970> */
	obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13648, obj_t BgL_sz00_13655)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_fz00_13649;
				BgL_ev_appz00_bglt BgL_i1165z00_13650;
				obj_t BgL_symbzd2funzd2_13651;
				long BgL_nbargsz00_13652;
				obj_t BgL_argsz00_13653;
				long BgL_siza7eza7_13654;

				BgL_fz00_13649 = PROCEDURE_REF(BgL_envz00_13648, (int) (((long) 0)));
				BgL_i1165z00_13650 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13648, (int) (((long) 1))));
				BgL_symbzd2funzd2_13651 =
					PROCEDURE_REF(BgL_envz00_13648, (int) (((long) 2)));
				BgL_nbargsz00_13652 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13648, (int) (((long) 3))));
				BgL_argsz00_13653 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13648, (int) (((long) 4))));
				BgL_siza7eza7_13654 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13648, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 781 */
					obj_t BgL_bpz00_15733;

					BgL_bpz00_15733 = VECTOR_REF(((obj_t) BgL_sz00_13655), ((long) 0));
					{	/* Eval/evaluate_comp.scm 781 */
						obj_t BgL_fz00_15734;

						BgL_fz00_15734 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_fz00_13649)) (BgL_fz00_13649,
							BgL_sz00_13655, BEOA);
						if (PROCEDUREP(BgL_fz00_15734))
							{	/* Eval/evaluate_comp.scm 781 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13650))->
										BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15734);
							}
						{	/* Eval/evaluate_comp.scm 781 */
							obj_t BgL_ufz00_15735;

							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_tmpz00_20363;

								BgL_tmpz00_20363 = ((obj_t) BgL_fz00_15734);
								BgL_ufz00_15735 = PROCEDURE_ATTR(BgL_tmpz00_20363);
							}
							{	/* Eval/evaluate_comp.scm 781 */
								bool_t BgL_test4988z00_20366;

								if (STRUCTP(BgL_ufz00_15735))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4988z00_20366 =
											(STRUCT_KEY(BgL_ufz00_15735) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4988z00_20366 = ((bool_t) 0);
									}
								if (BgL_test4988z00_20366)
									{	/* Eval/evaluate_comp.scm 781 */
										obj_t BgL_arityz00_15736;
										obj_t BgL_runz00_15737;
										obj_t BgL_sfz00_15738;

										BgL_arityz00_15736 =
											STRUCT_REF(BgL_ufz00_15735, (int) (((long) 0)));
										BgL_runz00_15737 =
											STRUCT_REF(BgL_ufz00_15735, (int) (((long) 1)));
										BgL_sfz00_15738 =
											STRUCT_REF(BgL_ufz00_15735, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 781 */
											long BgL_spz00_15739;

											BgL_spz00_15739 =
												((long) CINT(BgL_bpz00_15733) + BgL_siza7eza7_13654);
											if (
												((long) CINT(BgL_arityz00_15736) ==
													BgL_nbargsz00_13652))
												{
													obj_t BgL_lz00_15741;
													long BgL_spz00_15742;

													{	/* Eval/evaluate_comp.scm 710 */
														bool_t BgL_tmpz00_20382;

														BgL_lz00_15741 = BgL_argsz00_13653;
														BgL_spz00_15742 = BgL_spz00_15739;
													BgL_recz00_15740:
														if (NULLP(BgL_lz00_15741))
															{	/* Eval/evaluate_comp.scm 711 */
																BgL_tmpz00_20382 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1820z00_15743;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1821z00_15744;

																		BgL_fun1821z00_15744 =
																			CAR(((obj_t) BgL_lz00_15741));
																		BgL_arg1820z00_15743 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fun1821z00_15744))
																			(BgL_fun1821z00_15744, BgL_sz00_13655,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13655), BgL_spz00_15742,
																		BgL_arg1820z00_15743);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1822z00_15745;
																	long BgL_arg1823z00_15746;

																	BgL_arg1822z00_15745 =
																		CDR(((obj_t) BgL_lz00_15741));
																	BgL_arg1823z00_15746 =
																		(BgL_spz00_15742 + ((long) 1));
																	{
																		long BgL_spz00_20397;
																		obj_t BgL_lz00_20396;

																		BgL_lz00_20396 = BgL_arg1822z00_15745;
																		BgL_spz00_20397 = BgL_arg1823z00_15746;
																		BgL_spz00_15742 = BgL_spz00_20397;
																		BgL_lz00_15741 = BgL_lz00_20396;
																		goto BgL_recz00_15740;
																	}
																}
															}
														BBOOL(BgL_tmpz00_20382);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 781 */
													bool_t BgL_test4992z00_20399;

													if (((long) CINT(BgL_arityz00_15736) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test4992z00_20399 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test4992z00_20399 =
																(
																(long) CINT(BgL_arityz00_15736) <
																(((long) -1) - BgL_nbargsz00_13652));
														}
													if (BgL_test4992z00_20399)
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13650))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15735, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13652),
																CINT(BgL_arityz00_15736));
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15736, BgL_sz00_13655,
																BgL_argsz00_13653, BINT(BgL_spz00_15739));
														}
												}
											{	/* Eval/evaluate_comp.scm 781 */
												obj_t BgL_z12denvz12_15747;

												BgL_z12denvz12_15747 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15739 +
															(long) CINT(BgL_sfz00_15738)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13655))))
													{	/* Eval/evaluate_comp.scm 781 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15737, BgL_sz00_13655,
															BINT(BgL_spz00_15739));
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														obj_t BgL_nsz00_15748;

														BgL_nsz00_15748 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 781 */
															long BgL_arg1982z00_15749;

															BgL_arg1982z00_15749 =
																(BgL_spz00_15739 + BgL_nbargsz00_13652);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15748, ((long) 2), BgL_sz00_13655,
																BINT(BgL_spz00_15739),
																BINT(BgL_arg1982z00_15749));
														}
														VECTOR_SET(BgL_nsz00_15748, ((long) 1),
															BgL_sz00_13655);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15747,
															BgL_nsz00_15748);
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_ez00_15750;

															BgL_ez00_15750 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_arg4347z00_15751;

																{	/* Eval/evaluate_comp.scm 781 */
																	obj_t BgL_arg4348z00_15752;

																	BgL_arg4348z00_15752 =
																		BGL_EXITD_PROTECT(BgL_ez00_15750);
																	BgL_arg4347z00_15751 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13655,
																		BgL_arg4348z00_15752);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15750,
																	BgL_arg4347z00_15751);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_____rz00_15753;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15754;

																	BgL_savedzd2bpzd2_15754 =
																		VECTOR_REF(BgL_nsz00_15748, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15748, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15756;

																		BgL_fz00_15756 = BgL_runz00_15737;
																	BgL_recz00_15755:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15757;

																			BgL_rz00_15757 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15756))
																				(BgL_fz00_15756, BgL_nsz00_15748, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test4995z00_20441;

																				if (PROCEDUREP(BgL_rz00_15757))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_15758;

																						BgL_arg1779z00_15758 =
																							PROCEDURE_ATTR(BgL_rz00_15757);
																						if (STRUCTP(BgL_arg1779z00_15758))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4995z00_20441 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_15758) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test4995z00_20441 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test4995z00_20441 =
																							((bool_t) 0);
																					}
																				if (BgL_test4995z00_20441)
																					{
																						obj_t BgL_fz00_20449;

																						BgL_fz00_20449 = BgL_rz00_15757;
																						BgL_fz00_15756 = BgL_fz00_20449;
																						goto BgL_recz00_15755;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15748,
																							((long) 0),
																							BgL_savedzd2bpzd2_15754);
																						BgL_____rz00_15753 = BgL_rz00_15757;
																}}}}}
																{	/* Eval/evaluate_comp.scm 781 */
																	bool_t BgL_test4998z00_20451;

																	{	/* Eval/evaluate_comp.scm 781 */
																		obj_t BgL_arg4346z00_15759;

																		BgL_arg4346z00_15759 =
																			BGL_EXITD_PROTECT(BgL_ez00_15750);
																		BgL_test4998z00_20451 =
																			PAIRP(BgL_arg4346z00_15759);
																	}
																	if (BgL_test4998z00_20451)
																		{	/* Eval/evaluate_comp.scm 781 */
																			obj_t BgL_arg4344z00_15760;

																			{	/* Eval/evaluate_comp.scm 781 */
																				obj_t BgL_arg4345z00_15761;

																				BgL_arg4345z00_15761 =
																					BGL_EXITD_PROTECT(BgL_ez00_15750);
																				BgL_arg4344z00_15760 =
																					CDR(((obj_t) BgL_arg4345z00_15761));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15750,
																				BgL_arg4344z00_15760);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 781 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15747,
																	BgL_sz00_13655);
																return BgL_____rz00_15753;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 781 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15734,
												(int) (BgL_nbargsz00_13652)))
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13655, BgL_fz00_15734, BgL_argsz00_13653,
													BgL_bpz00_15733, BINT(BgL_siza7eza7_13654));
											}
										else
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13650))->
														BgL_locz00), BgL_symbzd2funzd2_13651,
													(int) (BgL_nbargsz00_13652),
													PROCEDURE_ARITY(BgL_fz00_15734));
		}}}}}}}}

	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2037;

				BgL_cfunz00_2037 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139,
					((long) 0), BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_2037))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5001z00_20471;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1368z00_2053;

							BgL_a1368z00_2053 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5001z00_20471 =
									((long) (BgL_a1368z00_2053) > ((long) 0));
						}}
						if (BgL_test5001z00_20471)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza31991ze3z87_13656;

								BgL_zc3z04anonymousza31991ze3z87_13656 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31991ze3z87_13656,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3z04anonymousza31991ze3z87_13656,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3z04anonymousza31991ze3z87_13656,
									(int) (((long) 2)), BgL_cfunz00_2037);
								return BgL_zc3z04anonymousza31991ze3z87_13656;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza31993ze3z87_13657;

								BgL_zc3z04anonymousza31993ze3z87_13657 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31993ze3z87_13657,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3z04anonymousza31993ze3z87_13657,
									(int) (((long) 1)), BgL_cfunz00_2037);
								return BgL_zc3z04anonymousza31993ze3z87_13657;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5003z00_20495;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1370z00_2117;

									BgL_a1370z00_2117 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5003z00_20495 =
											((long) (BgL_a1370z00_2117) > ((long) 0));
								}}
								if (BgL_test5003z00_20495)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza31996ze3z87_13658;

										BgL_zc3z04anonymousza31996ze3z87_13658 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31996ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31996ze3z87_13658,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza31996ze3z87_13658,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza31996ze3z87_13658,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza31996ze3z87_13658,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza31996ze3z87_13658;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32008ze3z87_13659;

										BgL_zc3z04anonymousza32008ze3z87_13659 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32008ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32008ze3z87_13659,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32008ze3z87_13659,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32008ze3z87_13659,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32008ze3z87_13659,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32008ze3z87_13659;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5004z00_20523;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1372z00_2181;

									BgL_a1372z00_2181 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5004z00_20523 =
											((long) (BgL_a1372z00_2181) > ((long) 0));
								}}
								if (BgL_test5004z00_20523)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32021ze3z87_13660;

										BgL_zc3z04anonymousza32021ze3z87_13660 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32021ze3z87_13660,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32021ze3z87_13660,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32021ze3z87_13660,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32021ze3z87_13660,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32021ze3z87_13660;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32034ze3z87_13661;

										BgL_zc3z04anonymousza32034ze3z87_13661 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32034ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_13661,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_13661,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_13661,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_13661,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32034ze3z87_13661;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:1991> */
	obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13662, obj_t BgL_sz00_13666)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				long BgL_siza7eza7_13663;
				obj_t BgL_locz00_13664;
				obj_t BgL_cfunz00_13665;

				BgL_siza7eza7_13663 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13662, (int) (((long) 0))));
				BgL_locz00_13664 = PROCEDURE_REF(BgL_envz00_13662, (int) (((long) 1)));
				BgL_cfunz00_13665 = PROCEDURE_REF(BgL_envz00_13662, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15762;

					BgL_bpz00_15762 = VECTOR_REF(((obj_t) BgL_sz00_13666), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */

						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15763;

							BgL_nbpz00_15763 =
								((long) CINT(BgL_bpz00_15762) + BgL_siza7eza7_13663);
							VECTOR_SET(
								((obj_t) BgL_sz00_13666), ((long) 0), BINT(BgL_nbpz00_15763));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20565;

								BgL_tmpz00_20565 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20565, BgL_locz00_13664);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15764;

								BgL_rz00_15764 =
									((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13665)) (BgL_cfunz00_13665, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13666), ((long) 0),
									BgL_bpz00_15762);
								return BgL_rz00_15764;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1993> */
	obj_t BGl_z62zc3z04anonymousza31993ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13667, obj_t BgL_sz00_13670)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				long BgL_siza7eza7_13668;
				obj_t BgL_cfunz00_13669;

				BgL_siza7eza7_13668 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13667, (int) (((long) 0))));
				BgL_cfunz00_13669 = PROCEDURE_REF(BgL_envz00_13667, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15765;

					BgL_bpz00_15765 = VECTOR_REF(((obj_t) BgL_sz00_13670), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */

						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15766;

							BgL_nbpz00_15766 =
								((long) CINT(BgL_bpz00_15765) + BgL_siza7eza7_13668);
							VECTOR_SET(
								((obj_t) BgL_sz00_13670), ((long) 0), BINT(BgL_nbpz00_15766));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15767;

								BgL_rz00_15767 =
									((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13669)) (BgL_cfunz00_13669, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13670), ((long) 0),
									BgL_bpz00_15765);
								return BgL_rz00_15767;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1996> */
	obj_t BGl_z62zc3z04anonymousza31996ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13671, obj_t BgL_sz00_13676)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13672;
				obj_t BgL_locz00_13673;
				obj_t BgL_symbzd2funzd2_13674;
				long BgL_siza7eza7_13675;

				BgL_funz00_13672 = PROCEDURE_REF(BgL_envz00_13671, (int) (((long) 0)));
				BgL_locz00_13673 = PROCEDURE_REF(BgL_envz00_13671, (int) (((long) 1)));
				BgL_symbzd2funzd2_13674 =
					PROCEDURE_REF(BgL_envz00_13671, (int) (((long) 2)));
				BgL_siza7eza7_13675 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13671, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15768;

					BgL_bpz00_15768 = VECTOR_REF(((obj_t) BgL_sz00_13676), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15769;

						BgL_fz00_15769 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13672)) (BgL_funz00_13672,
							BgL_sz00_13676, BEOA);
						if (PROCEDUREP(BgL_fz00_15769))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13673,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15769);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15770;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20608;

								BgL_tmpz00_20608 = ((obj_t) BgL_fz00_15769);
								BgL_ufz00_15770 = PROCEDURE_ATTR(BgL_tmpz00_20608);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5006z00_20611;

								if (STRUCTP(BgL_ufz00_15770))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5006z00_20611 =
											(STRUCT_KEY(BgL_ufz00_15770) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5006z00_20611 = ((bool_t) 0);
									}
								if (BgL_test5006z00_20611)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15771;
										obj_t BgL_runz00_15772;
										obj_t BgL_sfz00_15773;

										BgL_arityz00_15771 =
											STRUCT_REF(BgL_ufz00_15770, (int) (((long) 0)));
										BgL_runz00_15772 =
											STRUCT_REF(BgL_ufz00_15770, (int) (((long) 1)));
										BgL_sfz00_15773 =
											STRUCT_REF(BgL_ufz00_15770, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15771) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 896 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15771))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15771))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2000z00_15774;
																	obj_t BgL_arg2001z00_15775;

																	BgL_arg2000z00_15774 =
																		((long) CINT(BgL_bpz00_15768) + ((long) 0));
																	BgL_arg2001z00_15775 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13676),
																		BgL_arg2000z00_15774, BgL_arg2001z00_15775);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13673, STRUCT_REF(BgL_ufz00_15770,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15771));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13673, STRUCT_REF(BgL_ufz00_15770,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15771));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15776;

											BgL_z12denvz12_15776 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15776,
												BgL_locz00_13673);
											if ((((long) CINT(BgL_bpz00_15768) +
														(long) CINT(BgL_sfz00_15773)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13676))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15772;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15777;

													BgL_nsz00_15777 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2005z00_15778;

														BgL_arg2005z00_15778 =
															((long) CINT(BgL_bpz00_15768) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15777, ((long) 2), BgL_sz00_13676,
															BgL_bpz00_15768, BINT(BgL_arg2005z00_15778));
													}
													VECTOR_SET(BgL_nsz00_15777, ((long) 1),
														BgL_sz00_13676);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15776,
														BgL_nsz00_15777);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15779;

														BgL_ez00_15779 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_15780;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_15781;

																BgL_arg4348z00_15781 =
																	BGL_EXITD_PROTECT(BgL_ez00_15779);
																BgL_arg4347z00_15780 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13676,
																	BgL_arg4348z00_15781);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15779,
																BgL_arg4347z00_15780);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15782;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15783;

																BgL_savedzd2bpzd2_15783 =
																	VECTOR_REF(BgL_nsz00_15777, ((long) 0));
																VECTOR_SET(BgL_nsz00_15777, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15785;

																	BgL_fz00_15785 = BgL_runz00_15772;
																BgL_recz00_15784:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15786;

																		BgL_rz00_15786 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_15785))
																			(BgL_fz00_15785, BgL_nsz00_15777, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5011z00_20670;

																			if (PROCEDUREP(BgL_rz00_15786))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_15787;

																					BgL_arg1779z00_15787 =
																						PROCEDURE_ATTR(BgL_rz00_15786);
																					if (STRUCTP(BgL_arg1779z00_15787))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5011z00_20670 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_15787) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5011z00_20670 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5011z00_20670 = ((bool_t) 0);
																				}
																			if (BgL_test5011z00_20670)
																				{
																					obj_t BgL_fz00_20678;

																					BgL_fz00_20678 = BgL_rz00_15786;
																					BgL_fz00_15785 = BgL_fz00_20678;
																					goto BgL_recz00_15784;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15777,
																						((long) 0),
																						BgL_savedzd2bpzd2_15783);
																					BgL_____rz00_15782 = BgL_rz00_15786;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5014z00_20680;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_15788;

																	BgL_arg4346z00_15788 =
																		BGL_EXITD_PROTECT(BgL_ez00_15779);
																	BgL_test5014z00_20680 =
																		PAIRP(BgL_arg4346z00_15788);
																}
																if (BgL_test5014z00_20680)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_15789;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_15790;

																			BgL_arg4345z00_15790 =
																				BGL_EXITD_PROTECT(BgL_ez00_15779);
																			BgL_arg4344z00_15789 =
																				CDR(((obj_t) BgL_arg4345z00_15790));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15779,
																			BgL_arg4344z00_15789);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15776,
																BgL_sz00_13676);
															return BgL_____rz00_15782;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15769,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15791;

												BgL_nbpz00_15791 =
													((long) CINT(BgL_bpz00_15768) + BgL_siza7eza7_13675);
												VECTOR_SET(
													((obj_t) BgL_sz00_13676), ((long) 0),
													BINT(BgL_nbpz00_15791));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_20696;

													BgL_tmpz00_20696 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20696,
														BgL_locz00_13673);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15792;

													BgL_rz00_15792 =
														((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_15769)) (BgL_fz00_15769,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13676), ((long) 0),
														BgL_bpz00_15768);
													return BgL_rz00_15792;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13673,
													BgL_symbzd2funzd2_13674, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15769));
		}}}}}}}}

	}



/* &<@anonymous:2008> */
	obj_t BGl_z62zc3z04anonymousza32008ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13677, obj_t BgL_sz00_13682)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13678;
				obj_t BgL_locz00_13679;
				obj_t BgL_symbzd2funzd2_13680;
				long BgL_siza7eza7_13681;

				BgL_funz00_13678 = PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 0)));
				BgL_locz00_13679 = PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 1)));
				BgL_symbzd2funzd2_13680 =
					PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 2)));
				BgL_siza7eza7_13681 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13677, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15793;

					BgL_bpz00_15793 = VECTOR_REF(((obj_t) BgL_sz00_13682), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15794;

						BgL_fz00_15794 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13678)) (BgL_funz00_13678,
							BgL_sz00_13682, BEOA);
						if (PROCEDUREP(BgL_fz00_15794))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13679,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15794);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15795;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20725;

								BgL_tmpz00_20725 = ((obj_t) BgL_fz00_15794);
								BgL_ufz00_15795 = PROCEDURE_ATTR(BgL_tmpz00_20725);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5017z00_20728;

								if (STRUCTP(BgL_ufz00_15795))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5017z00_20728 =
											(STRUCT_KEY(BgL_ufz00_15795) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5017z00_20728 = ((bool_t) 0);
									}
								if (BgL_test5017z00_20728)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15796;
										obj_t BgL_runz00_15797;
										obj_t BgL_sfz00_15798;

										BgL_arityz00_15796 =
											STRUCT_REF(BgL_ufz00_15795, (int) (((long) 0)));
										BgL_runz00_15797 =
											STRUCT_REF(BgL_ufz00_15795, (int) (((long) 1)));
										BgL_sfz00_15798 =
											STRUCT_REF(BgL_ufz00_15795, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15796) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 896 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15796))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15796))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2012z00_15799;
																	obj_t BgL_arg2013z00_15800;

																	BgL_arg2012z00_15799 =
																		((long) CINT(BgL_bpz00_15793) + ((long) 0));
																	BgL_arg2013z00_15800 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13682),
																		BgL_arg2012z00_15799, BgL_arg2013z00_15800);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13679, STRUCT_REF(BgL_ufz00_15795,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15796));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13679, STRUCT_REF(BgL_ufz00_15795,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15796));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15801;

											BgL_z12denvz12_15801 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15793) +
														(long) CINT(BgL_sfz00_15798)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13682))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15797;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15802;

													BgL_nsz00_15802 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2017z00_15803;

														BgL_arg2017z00_15803 =
															((long) CINT(BgL_bpz00_15793) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15802, ((long) 2), BgL_sz00_13682,
															BgL_bpz00_15793, BINT(BgL_arg2017z00_15803));
													}
													VECTOR_SET(BgL_nsz00_15802, ((long) 1),
														BgL_sz00_13682);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15801,
														BgL_nsz00_15802);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15804;

														BgL_ez00_15804 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_15805;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_15806;

																BgL_arg4348z00_15806 =
																	BGL_EXITD_PROTECT(BgL_ez00_15804);
																BgL_arg4347z00_15805 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13682,
																	BgL_arg4348z00_15806);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15804,
																BgL_arg4347z00_15805);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15807;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15808;

																BgL_savedzd2bpzd2_15808 =
																	VECTOR_REF(BgL_nsz00_15802, ((long) 0));
																VECTOR_SET(BgL_nsz00_15802, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15810;

																	BgL_fz00_15810 = BgL_runz00_15797;
																BgL_recz00_15809:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15811;

																		BgL_rz00_15811 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_15810))
																			(BgL_fz00_15810, BgL_nsz00_15802, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5022z00_20786;

																			if (PROCEDUREP(BgL_rz00_15811))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_15812;

																					BgL_arg1779z00_15812 =
																						PROCEDURE_ATTR(BgL_rz00_15811);
																					if (STRUCTP(BgL_arg1779z00_15812))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5022z00_20786 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_15812) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5022z00_20786 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5022z00_20786 = ((bool_t) 0);
																				}
																			if (BgL_test5022z00_20786)
																				{
																					obj_t BgL_fz00_20794;

																					BgL_fz00_20794 = BgL_rz00_15811;
																					BgL_fz00_15810 = BgL_fz00_20794;
																					goto BgL_recz00_15809;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15802,
																						((long) 0),
																						BgL_savedzd2bpzd2_15808);
																					BgL_____rz00_15807 = BgL_rz00_15811;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5025z00_20796;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_15813;

																	BgL_arg4346z00_15813 =
																		BGL_EXITD_PROTECT(BgL_ez00_15804);
																	BgL_test5025z00_20796 =
																		PAIRP(BgL_arg4346z00_15813);
																}
																if (BgL_test5025z00_20796)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_15814;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_15815;

																			BgL_arg4345z00_15815 =
																				BGL_EXITD_PROTECT(BgL_ez00_15804);
																			BgL_arg4344z00_15814 =
																				CDR(((obj_t) BgL_arg4345z00_15815));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15804,
																			BgL_arg4344z00_15814);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15801,
																BgL_sz00_13682);
															return BgL_____rz00_15807;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15794,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15816;

												BgL_nbpz00_15816 =
													((long) CINT(BgL_bpz00_15793) + BgL_siza7eza7_13681);
												VECTOR_SET(
													((obj_t) BgL_sz00_13682), ((long) 0),
													BINT(BgL_nbpz00_15816));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15817;

													BgL_rz00_15817 =
														((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_15794)) (BgL_fz00_15794,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13682), ((long) 0),
														BgL_bpz00_15793);
													return BgL_rz00_15817;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13679,
													BgL_symbzd2funzd2_13680, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15794));
		}}}}}}}}

	}



/* &<@anonymous:2021> */
	obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13683, obj_t BgL_sz00_13688)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13684;
				obj_t BgL_locz00_13685;
				obj_t BgL_symbzd2funzd2_13686;
				long BgL_siza7eza7_13687;

				BgL_funz00_13684 = PROCEDURE_REF(BgL_envz00_13683, (int) (((long) 0)));
				BgL_locz00_13685 = PROCEDURE_REF(BgL_envz00_13683, (int) (((long) 1)));
				BgL_symbzd2funzd2_13686 =
					PROCEDURE_REF(BgL_envz00_13683, (int) (((long) 2)));
				BgL_siza7eza7_13687 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13683, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15818;

					BgL_bpz00_15818 = VECTOR_REF(((obj_t) BgL_sz00_13688), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15819;

						BgL_fz00_15819 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13684)) (BgL_funz00_13684,
							BgL_sz00_13688, BEOA);
						if (PROCEDUREP(BgL_fz00_15819))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13685,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15819);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15820;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20838;

								BgL_tmpz00_20838 = ((obj_t) BgL_fz00_15819);
								BgL_ufz00_15820 = PROCEDURE_ATTR(BgL_tmpz00_20838);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5028z00_20841;

								if (STRUCTP(BgL_ufz00_15820))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5028z00_20841 =
											(STRUCT_KEY(BgL_ufz00_15820) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5028z00_20841 = ((bool_t) 0);
									}
								if (BgL_test5028z00_20841)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15821;
										obj_t BgL_runz00_15822;
										obj_t BgL_sfz00_15823;

										BgL_arityz00_15821 =
											STRUCT_REF(BgL_ufz00_15820, (int) (((long) 0)));
										BgL_runz00_15822 =
											STRUCT_REF(BgL_ufz00_15820, (int) (((long) 1)));
										BgL_sfz00_15823 =
											STRUCT_REF(BgL_ufz00_15820, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15824;

											BgL_spz00_15824 =
												((long) CINT(BgL_bpz00_15818) + BgL_siza7eza7_13687);
											if (((long) CINT(BgL_arityz00_15821) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 896 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15821))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15821))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2025z00_15825;
																		obj_t BgL_arg2026z00_15826;

																		BgL_arg2025z00_15825 =
																			(BgL_spz00_15824 + ((long) 0));
																		BgL_arg2026z00_15826 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13688),
																			BgL_arg2025z00_15825,
																			BgL_arg2026z00_15826);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13685,
																		STRUCT_REF(BgL_ufz00_15820,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15821));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13685, STRUCT_REF(BgL_ufz00_15820,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15821));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15827;

												BgL_z12denvz12_15827 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15827,
													BgL_locz00_13685);
												if (((BgL_spz00_15824 + (long) CINT(BgL_sfz00_15823)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13688))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15822, BgL_sz00_13688,
															BINT(BgL_spz00_15824));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15828;

														BgL_nsz00_15828 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2030z00_15829;

															BgL_arg2030z00_15829 =
																(BgL_spz00_15824 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15828, ((long) 2), BgL_sz00_13688,
																BINT(BgL_spz00_15824),
																BINT(BgL_arg2030z00_15829));
														}
														VECTOR_SET(BgL_nsz00_15828, ((long) 1),
															BgL_sz00_13688);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15827,
															BgL_nsz00_15828);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15830;

															BgL_ez00_15830 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_15831;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_15832;

																	BgL_arg4348z00_15832 =
																		BGL_EXITD_PROTECT(BgL_ez00_15830);
																	BgL_arg4347z00_15831 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13688,
																		BgL_arg4348z00_15832);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15830,
																	BgL_arg4347z00_15831);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15833;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15834;

																	BgL_savedzd2bpzd2_15834 =
																		VECTOR_REF(BgL_nsz00_15828, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15828, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15836;

																		BgL_fz00_15836 = BgL_runz00_15822;
																	BgL_recz00_15835:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15837;

																			BgL_rz00_15837 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15836))
																				(BgL_fz00_15836, BgL_nsz00_15828, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5033z00_20902;

																				if (PROCEDUREP(BgL_rz00_15837))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_15838;

																						BgL_arg1779z00_15838 =
																							PROCEDURE_ATTR(BgL_rz00_15837);
																						if (STRUCTP(BgL_arg1779z00_15838))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5033z00_20902 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_15838) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5033z00_20902 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5033z00_20902 =
																							((bool_t) 0);
																					}
																				if (BgL_test5033z00_20902)
																					{
																						obj_t BgL_fz00_20910;

																						BgL_fz00_20910 = BgL_rz00_15837;
																						BgL_fz00_15836 = BgL_fz00_20910;
																						goto BgL_recz00_15835;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15828,
																							((long) 0),
																							BgL_savedzd2bpzd2_15834);
																						BgL_____rz00_15833 = BgL_rz00_15837;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5036z00_20912;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_15839;

																		BgL_arg4346z00_15839 =
																			BGL_EXITD_PROTECT(BgL_ez00_15830);
																		BgL_test5036z00_20912 =
																			PAIRP(BgL_arg4346z00_15839);
																	}
																	if (BgL_test5036z00_20912)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_15840;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_15841;

																				BgL_arg4345z00_15841 =
																					BGL_EXITD_PROTECT(BgL_ez00_15830);
																				BgL_arg4344z00_15840 =
																					CDR(((obj_t) BgL_arg4345z00_15841));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15830,
																				BgL_arg4344z00_15840);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15827,
																	BgL_sz00_13688);
																return BgL_____rz00_15833;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15819,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15842;

												BgL_nbpz00_15842 =
													((long) CINT(BgL_bpz00_15818) + BgL_siza7eza7_13687);
												VECTOR_SET(
													((obj_t) BgL_sz00_13688), ((long) 0),
													BINT(BgL_nbpz00_15842));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_20928;

													BgL_tmpz00_20928 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20928,
														BgL_locz00_13685);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15843;

													BgL_rz00_15843 =
														((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_15819)) (BgL_fz00_15819,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13688), ((long) 0),
														BgL_bpz00_15818);
													return BgL_rz00_15843;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13685,
													BgL_symbzd2funzd2_13686, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15819));
		}}}}}}}}

	}



/* &<@anonymous:2034> */
	obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13689, obj_t BgL_sz00_13694)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13690;
				obj_t BgL_locz00_13691;
				obj_t BgL_symbzd2funzd2_13692;
				long BgL_siza7eza7_13693;

				BgL_funz00_13690 = PROCEDURE_REF(BgL_envz00_13689, (int) (((long) 0)));
				BgL_locz00_13691 = PROCEDURE_REF(BgL_envz00_13689, (int) (((long) 1)));
				BgL_symbzd2funzd2_13692 =
					PROCEDURE_REF(BgL_envz00_13689, (int) (((long) 2)));
				BgL_siza7eza7_13693 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13689, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15844;

					BgL_bpz00_15844 = VECTOR_REF(((obj_t) BgL_sz00_13694), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15845;

						BgL_fz00_15845 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13690)) (BgL_funz00_13690,
							BgL_sz00_13694, BEOA);
						if (PROCEDUREP(BgL_fz00_15845))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13691,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15845);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15846;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20957;

								BgL_tmpz00_20957 = ((obj_t) BgL_fz00_15845);
								BgL_ufz00_15846 = PROCEDURE_ATTR(BgL_tmpz00_20957);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5039z00_20960;

								if (STRUCTP(BgL_ufz00_15846))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5039z00_20960 =
											(STRUCT_KEY(BgL_ufz00_15846) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5039z00_20960 = ((bool_t) 0);
									}
								if (BgL_test5039z00_20960)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15847;
										obj_t BgL_runz00_15848;
										obj_t BgL_sfz00_15849;

										BgL_arityz00_15847 =
											STRUCT_REF(BgL_ufz00_15846, (int) (((long) 0)));
										BgL_runz00_15848 =
											STRUCT_REF(BgL_ufz00_15846, (int) (((long) 1)));
										BgL_sfz00_15849 =
											STRUCT_REF(BgL_ufz00_15846, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15850;

											BgL_spz00_15850 =
												((long) CINT(BgL_bpz00_15844) + BgL_siza7eza7_13693);
											if (((long) CINT(BgL_arityz00_15847) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 896 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15847))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15847))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2039z00_15851;
																		obj_t BgL_arg2040z00_15852;

																		BgL_arg2039z00_15851 =
																			(BgL_spz00_15850 + ((long) 0));
																		BgL_arg2040z00_15852 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13694),
																			BgL_arg2039z00_15851,
																			BgL_arg2040z00_15852);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13691,
																		STRUCT_REF(BgL_ufz00_15846,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15847));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13691, STRUCT_REF(BgL_ufz00_15846,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15847));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15853;

												BgL_z12denvz12_15853 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15850 +
															(long) CINT(BgL_sfz00_15849)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13694))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15848, BgL_sz00_13694,
															BINT(BgL_spz00_15850));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15854;

														BgL_nsz00_15854 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2044z00_15855;

															BgL_arg2044z00_15855 =
																(BgL_spz00_15850 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15854, ((long) 2), BgL_sz00_13694,
																BINT(BgL_spz00_15850),
																BINT(BgL_arg2044z00_15855));
														}
														VECTOR_SET(BgL_nsz00_15854, ((long) 1),
															BgL_sz00_13694);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15853,
															BgL_nsz00_15854);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15856;

															BgL_ez00_15856 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_15857;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_15858;

																	BgL_arg4348z00_15858 =
																		BGL_EXITD_PROTECT(BgL_ez00_15856);
																	BgL_arg4347z00_15857 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13694,
																		BgL_arg4348z00_15858);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15856,
																	BgL_arg4347z00_15857);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15859;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15860;

																	BgL_savedzd2bpzd2_15860 =
																		VECTOR_REF(BgL_nsz00_15854, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15854, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15862;

																		BgL_fz00_15862 = BgL_runz00_15848;
																	BgL_recz00_15861:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15863;

																			BgL_rz00_15863 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15862))
																				(BgL_fz00_15862, BgL_nsz00_15854, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5044z00_21020;

																				if (PROCEDUREP(BgL_rz00_15863))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_15864;

																						BgL_arg1779z00_15864 =
																							PROCEDURE_ATTR(BgL_rz00_15863);
																						if (STRUCTP(BgL_arg1779z00_15864))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5044z00_21020 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_15864) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5044z00_21020 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5044z00_21020 =
																							((bool_t) 0);
																					}
																				if (BgL_test5044z00_21020)
																					{
																						obj_t BgL_fz00_21028;

																						BgL_fz00_21028 = BgL_rz00_15863;
																						BgL_fz00_15862 = BgL_fz00_21028;
																						goto BgL_recz00_15861;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15854,
																							((long) 0),
																							BgL_savedzd2bpzd2_15860);
																						BgL_____rz00_15859 = BgL_rz00_15863;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5047z00_21030;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_15865;

																		BgL_arg4346z00_15865 =
																			BGL_EXITD_PROTECT(BgL_ez00_15856);
																		BgL_test5047z00_21030 =
																			PAIRP(BgL_arg4346z00_15865);
																	}
																	if (BgL_test5047z00_21030)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_15866;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_15867;

																				BgL_arg4345z00_15867 =
																					BGL_EXITD_PROTECT(BgL_ez00_15856);
																				BgL_arg4344z00_15866 =
																					CDR(((obj_t) BgL_arg4345z00_15867));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15856,
																				BgL_arg4344z00_15866);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15853,
																	BgL_sz00_13694);
																return BgL_____rz00_15859;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15845,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15868;

												BgL_nbpz00_15868 =
													((long) CINT(BgL_bpz00_15844) + BgL_siza7eza7_13693);
												VECTOR_SET(
													((obj_t) BgL_sz00_13694), ((long) 0),
													BINT(BgL_nbpz00_15868));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15869;

													BgL_rz00_15869 =
														((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_15845)) (BgL_fz00_15845,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13694), ((long) 0),
														BgL_bpz00_15844);
													return BgL_rz00_15869;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13691,
													BgL_symbzd2funzd2_13692, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15845));
		}}}}}}}}

	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2184;

				BgL_cfunz00_2184 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146,
					((long) 1), BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_2184))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5050z00_21057;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1374z00_2202;

							BgL_a1374z00_2202 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5050z00_21057 =
									((long) (BgL_a1374z00_2202) > ((long) 0));
						}}
						if (BgL_test5050z00_21057)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32048ze3z87_13695;

								BgL_zc3z04anonymousza32048ze3z87_13695 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32048ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32048ze3z87_13695,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3z04anonymousza32048ze3z87_13695,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3z04anonymousza32048ze3z87_13695,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3z04anonymousza32048ze3z87_13695,
									(int) (((long) 3)), BgL_cfunz00_2184);
								return BgL_zc3z04anonymousza32048ze3z87_13695;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32051ze3z87_13696;

								BgL_zc3z04anonymousza32051ze3z87_13696 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_13696,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_13696,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_13696,
									(int) (((long) 2)), BgL_cfunz00_2184);
								return BgL_zc3z04anonymousza32051ze3z87_13696;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5052z00_21085;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1376z00_2278;

									BgL_a1376z00_2278 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5052z00_21085 =
											((long) (BgL_a1376z00_2278) > ((long) 0));
								}}
								if (BgL_test5052z00_21085)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32054ze3z87_13697;

										BgL_zc3z04anonymousza32054ze3z87_13697 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32054ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13697,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13697,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13697,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13697,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13697,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32054ze3z87_13697;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32073ze3z87_13698;

										BgL_zc3z04anonymousza32073ze3z87_13698 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32073ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_13698,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_13698,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_13698,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_13698,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32073ze3z87_13698,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32073ze3z87_13698;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5053z00_21117;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1378z00_2354;

									BgL_a1378z00_2354 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5053z00_21117 =
											((long) (BgL_a1378z00_2354) > ((long) 0));
								}}
								if (BgL_test5053z00_21117)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32091ze3z87_13699;

										BgL_zc3z04anonymousza32091ze3z87_13699 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_13699,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_13699,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_13699,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_13699,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_13699,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32091ze3z87_13699;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32109ze3z87_13700;

										BgL_zc3z04anonymousza32109ze3z87_13700 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32109ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32109ze3z87_13700,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32109ze3z87_13700,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32109ze3z87_13700,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32109ze3z87_13700,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32109ze3z87_13700,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32109ze3z87_13700;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2048> */
	obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13701, obj_t BgL_sz00_13706)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13702;
				long BgL_siza7eza7_13703;
				obj_t BgL_locz00_13704;
				obj_t BgL_cfunz00_13705;

				BgL_a1z00_13702 = PROCEDURE_REF(BgL_envz00_13701, (int) (((long) 0)));
				BgL_siza7eza7_13703 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13701, (int) (((long) 1))));
				BgL_locz00_13704 = PROCEDURE_REF(BgL_envz00_13701, (int) (((long) 2)));
				BgL_cfunz00_13705 = PROCEDURE_REF(BgL_envz00_13701, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15870;

					BgL_bpz00_15870 = VECTOR_REF(((obj_t) BgL_sz00_13706), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15871;

						BgL_a1z00_15871 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13702)) (BgL_a1z00_13702,
							BgL_sz00_13706, BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15872;

							BgL_nbpz00_15872 =
								((long) CINT(BgL_bpz00_15870) + BgL_siza7eza7_13703);
							VECTOR_SET(
								((obj_t) BgL_sz00_13706), ((long) 0), BINT(BgL_nbpz00_15872));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21169;

								BgL_tmpz00_21169 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21169, BgL_locz00_13704);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15873;

								BgL_rz00_15873 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13705)) (BgL_cfunz00_13705,
									BgL_a1z00_15871, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13706), ((long) 0),
									BgL_bpz00_15870);
								return BgL_rz00_15873;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2051> */
	obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13707, obj_t BgL_sz00_13711)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13708;
				long BgL_siza7eza7_13709;
				obj_t BgL_cfunz00_13710;

				BgL_a1z00_13708 = PROCEDURE_REF(BgL_envz00_13707, (int) (((long) 0)));
				BgL_siza7eza7_13709 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13707, (int) (((long) 1))));
				BgL_cfunz00_13710 = PROCEDURE_REF(BgL_envz00_13707, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15874;

					BgL_bpz00_15874 = VECTOR_REF(((obj_t) BgL_sz00_13711), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15875;

						BgL_a1z00_15875 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13708)) (BgL_a1z00_13708,
							BgL_sz00_13711, BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15876;

							BgL_nbpz00_15876 =
								((long) CINT(BgL_bpz00_15874) + BgL_siza7eza7_13709);
							VECTOR_SET(
								((obj_t) BgL_sz00_13711), ((long) 0), BINT(BgL_nbpz00_15876));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15877;

								BgL_rz00_15877 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13710)) (BgL_cfunz00_13710,
									BgL_a1z00_15875, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13711), ((long) 0),
									BgL_bpz00_15874);
								return BgL_rz00_15877;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2054> */
	obj_t BGl_z62zc3z04anonymousza32054ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13712, obj_t BgL_sz00_13718)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13713;
				obj_t BgL_a1z00_13714;
				obj_t BgL_locz00_13715;
				obj_t BgL_symbzd2funzd2_13716;
				long BgL_siza7eza7_13717;

				BgL_funz00_13713 = PROCEDURE_REF(BgL_envz00_13712, (int) (((long) 0)));
				BgL_a1z00_13714 = PROCEDURE_REF(BgL_envz00_13712, (int) (((long) 1)));
				BgL_locz00_13715 = PROCEDURE_REF(BgL_envz00_13712, (int) (((long) 2)));
				BgL_symbzd2funzd2_13716 =
					PROCEDURE_REF(BgL_envz00_13712, (int) (((long) 3)));
				BgL_siza7eza7_13717 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13712, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15878;

					BgL_bpz00_15878 = VECTOR_REF(((obj_t) BgL_sz00_13718), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15879;
						obj_t BgL_a1z00_15880;

						BgL_fz00_15879 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13713)) (BgL_funz00_13713,
							BgL_sz00_13718, BEOA);
						BgL_a1z00_15880 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13714)) (BgL_a1z00_13714,
							BgL_sz00_13718, BEOA);
						if (PROCEDUREP(BgL_fz00_15879))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13715,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15879);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15881;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21226;

								BgL_tmpz00_21226 = ((obj_t) BgL_fz00_15879);
								BgL_ufz00_15881 = PROCEDURE_ATTR(BgL_tmpz00_21226);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5055z00_21229;

								if (STRUCTP(BgL_ufz00_15881))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5055z00_21229 =
											(STRUCT_KEY(BgL_ufz00_15881) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5055z00_21229 = ((bool_t) 0);
									}
								if (BgL_test5055z00_21229)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15882;
										obj_t BgL_runz00_15883;
										obj_t BgL_sfz00_15884;

										BgL_arityz00_15882 =
											STRUCT_REF(BgL_ufz00_15881, (int) (((long) 0)));
										BgL_runz00_15883 =
											STRUCT_REF(BgL_ufz00_15881, (int) (((long) 1)));
										BgL_sfz00_15884 =
											STRUCT_REF(BgL_ufz00_15881, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15882) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2058z00_15885;

												BgL_arg2058z00_15885 =
													((long) CINT(BgL_bpz00_15878) + ((long) 0));
												VECTOR_SET(
													((obj_t) BgL_sz00_13718), BgL_arg2058z00_15885,
													BgL_a1z00_15880);
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15882))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15882))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2059z00_15886;
																	obj_t BgL_arg2060z00_15887;

																	BgL_arg2059z00_15886 =
																		((long) CINT(BgL_bpz00_15878) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2061z00_15888;

																		BgL_list2061z00_15888 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15880, BNIL);
																		BgL_arg2060z00_15887 =
																			BgL_list2061z00_15888;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2059z00_15886, BgL_arg2060z00_15887);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2062z00_15889;

																	BgL_arg2062z00_15889 =
																		((long) CINT(BgL_bpz00_15878) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2062z00_15889, BgL_a1z00_15880);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2063z00_15890;
																	obj_t BgL_arg2065z00_15891;

																	BgL_arg2063z00_15890 =
																		((long) CINT(BgL_bpz00_15878) + ((long) 1));
																	BgL_arg2065z00_15891 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13718),
																		BgL_arg2063z00_15890, BgL_arg2065z00_15891);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13715, STRUCT_REF(BgL_ufz00_15881,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15882));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13715, STRUCT_REF(BgL_ufz00_15881,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15882));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15892;

											BgL_z12denvz12_15892 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15892,
												BgL_locz00_13715);
											if ((((long) CINT(BgL_bpz00_15878) +
														(long) CINT(BgL_sfz00_15884)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13718))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15883;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15893;

													BgL_nsz00_15893 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2069z00_15894;

														BgL_arg2069z00_15894 =
															((long) CINT(BgL_bpz00_15878) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15893, ((long) 2), BgL_sz00_13718,
															BgL_bpz00_15878, BINT(BgL_arg2069z00_15894));
													}
													VECTOR_SET(BgL_nsz00_15893, ((long) 1),
														BgL_sz00_13718);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15892,
														BgL_nsz00_15893);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15895;

														BgL_ez00_15895 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_15896;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_15897;

																BgL_arg4348z00_15897 =
																	BGL_EXITD_PROTECT(BgL_ez00_15895);
																BgL_arg4347z00_15896 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13718,
																	BgL_arg4348z00_15897);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15895,
																BgL_arg4347z00_15896);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15898;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15899;

																BgL_savedzd2bpzd2_15899 =
																	VECTOR_REF(BgL_nsz00_15893, ((long) 0));
																VECTOR_SET(BgL_nsz00_15893, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15901;

																	BgL_fz00_15901 = BgL_runz00_15883;
																BgL_recz00_15900:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15902;

																		BgL_rz00_15902 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_15901))
																			(BgL_fz00_15901, BgL_nsz00_15893, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5060z00_21301;

																			if (PROCEDUREP(BgL_rz00_15902))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_15903;

																					BgL_arg1779z00_15903 =
																						PROCEDURE_ATTR(BgL_rz00_15902);
																					if (STRUCTP(BgL_arg1779z00_15903))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5060z00_21301 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_15903) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5060z00_21301 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5060z00_21301 = ((bool_t) 0);
																				}
																			if (BgL_test5060z00_21301)
																				{
																					obj_t BgL_fz00_21309;

																					BgL_fz00_21309 = BgL_rz00_15902;
																					BgL_fz00_15901 = BgL_fz00_21309;
																					goto BgL_recz00_15900;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15893,
																						((long) 0),
																						BgL_savedzd2bpzd2_15899);
																					BgL_____rz00_15898 = BgL_rz00_15902;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5063z00_21311;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_15904;

																	BgL_arg4346z00_15904 =
																		BGL_EXITD_PROTECT(BgL_ez00_15895);
																	BgL_test5063z00_21311 =
																		PAIRP(BgL_arg4346z00_15904);
																}
																if (BgL_test5063z00_21311)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_15905;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_15906;

																			BgL_arg4345z00_15906 =
																				BGL_EXITD_PROTECT(BgL_ez00_15895);
																			BgL_arg4344z00_15905 =
																				CDR(((obj_t) BgL_arg4345z00_15906));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15895,
																			BgL_arg4344z00_15905);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15892,
																BgL_sz00_13718);
															return BgL_____rz00_15898;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15879,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15907;

												BgL_nbpz00_15907 =
													((long) CINT(BgL_bpz00_15878) + BgL_siza7eza7_13717);
												VECTOR_SET(
													((obj_t) BgL_sz00_13718), ((long) 0),
													BINT(BgL_nbpz00_15907));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_21327;

													BgL_tmpz00_21327 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21327,
														BgL_locz00_13715);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15908;

													BgL_rz00_15908 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_15879)) (BgL_fz00_15879,
														BgL_a1z00_15880, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13718), ((long) 0),
														BgL_bpz00_15878);
													return BgL_rz00_15908;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13715,
													BgL_symbzd2funzd2_13716, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15879));
		}}}}}}}}

	}



/* &<@anonymous:2073> */
	obj_t BGl_z62zc3z04anonymousza32073ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13719, obj_t BgL_sz00_13725)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13720;
				obj_t BgL_a1z00_13721;
				obj_t BgL_locz00_13722;
				obj_t BgL_symbzd2funzd2_13723;
				long BgL_siza7eza7_13724;

				BgL_funz00_13720 = PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 0)));
				BgL_a1z00_13721 = PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 1)));
				BgL_locz00_13722 = PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 2)));
				BgL_symbzd2funzd2_13723 =
					PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 3)));
				BgL_siza7eza7_13724 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13719, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15909;

					BgL_bpz00_15909 = VECTOR_REF(((obj_t) BgL_sz00_13725), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15910;
						obj_t BgL_a1z00_15911;

						BgL_fz00_15910 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13720)) (BgL_funz00_13720,
							BgL_sz00_13725, BEOA);
						BgL_a1z00_15911 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13721)) (BgL_a1z00_13721,
							BgL_sz00_13725, BEOA);
						if (PROCEDUREP(BgL_fz00_15910))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13722,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15910);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15912;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21363;

								BgL_tmpz00_21363 = ((obj_t) BgL_fz00_15910);
								BgL_ufz00_15912 = PROCEDURE_ATTR(BgL_tmpz00_21363);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5066z00_21366;

								if (STRUCTP(BgL_ufz00_15912))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5066z00_21366 =
											(STRUCT_KEY(BgL_ufz00_15912) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5066z00_21366 = ((bool_t) 0);
									}
								if (BgL_test5066z00_21366)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15913;
										obj_t BgL_runz00_15914;
										obj_t BgL_sfz00_15915;

										BgL_arityz00_15913 =
											STRUCT_REF(BgL_ufz00_15912, (int) (((long) 0)));
										BgL_runz00_15914 =
											STRUCT_REF(BgL_ufz00_15912, (int) (((long) 1)));
										BgL_sfz00_15915 =
											STRUCT_REF(BgL_ufz00_15912, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15913) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2077z00_15916;

												BgL_arg2077z00_15916 =
													((long) CINT(BgL_bpz00_15909) + ((long) 0));
												VECTOR_SET(
													((obj_t) BgL_sz00_13725), BgL_arg2077z00_15916,
													BgL_a1z00_15911);
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15913))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15913))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2078z00_15917;
																	obj_t BgL_arg2079z00_15918;

																	BgL_arg2078z00_15917 =
																		((long) CINT(BgL_bpz00_15909) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2080z00_15919;

																		BgL_list2080z00_15919 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15911, BNIL);
																		BgL_arg2079z00_15918 =
																			BgL_list2080z00_15919;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13725),
																		BgL_arg2078z00_15917, BgL_arg2079z00_15918);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2081z00_15920;

																	BgL_arg2081z00_15920 =
																		((long) CINT(BgL_bpz00_15909) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13725),
																		BgL_arg2081z00_15920, BgL_a1z00_15911);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2082z00_15921;
																	obj_t BgL_arg2083z00_15922;

																	BgL_arg2082z00_15921 =
																		((long) CINT(BgL_bpz00_15909) + ((long) 1));
																	BgL_arg2083z00_15922 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13725),
																		BgL_arg2082z00_15921, BgL_arg2083z00_15922);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13722, STRUCT_REF(BgL_ufz00_15912,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15913));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13722, STRUCT_REF(BgL_ufz00_15912,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15913));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15923;

											BgL_z12denvz12_15923 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15909) +
														(long) CINT(BgL_sfz00_15915)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13725))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15914;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15924;

													BgL_nsz00_15924 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2087z00_15925;

														BgL_arg2087z00_15925 =
															((long) CINT(BgL_bpz00_15909) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15924, ((long) 2), BgL_sz00_13725,
															BgL_bpz00_15909, BINT(BgL_arg2087z00_15925));
													}
													VECTOR_SET(BgL_nsz00_15924, ((long) 1),
														BgL_sz00_13725);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15923,
														BgL_nsz00_15924);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15926;

														BgL_ez00_15926 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_15927;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_15928;

																BgL_arg4348z00_15928 =
																	BGL_EXITD_PROTECT(BgL_ez00_15926);
																BgL_arg4347z00_15927 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13725,
																	BgL_arg4348z00_15928);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15926,
																BgL_arg4347z00_15927);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15929;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15930;

																BgL_savedzd2bpzd2_15930 =
																	VECTOR_REF(BgL_nsz00_15924, ((long) 0));
																VECTOR_SET(BgL_nsz00_15924, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15932;

																	BgL_fz00_15932 = BgL_runz00_15914;
																BgL_recz00_15931:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15933;

																		BgL_rz00_15933 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_15932))
																			(BgL_fz00_15932, BgL_nsz00_15924, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5071z00_21437;

																			if (PROCEDUREP(BgL_rz00_15933))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_15934;

																					BgL_arg1779z00_15934 =
																						PROCEDURE_ATTR(BgL_rz00_15933);
																					if (STRUCTP(BgL_arg1779z00_15934))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5071z00_21437 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_15934) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5071z00_21437 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5071z00_21437 = ((bool_t) 0);
																				}
																			if (BgL_test5071z00_21437)
																				{
																					obj_t BgL_fz00_21445;

																					BgL_fz00_21445 = BgL_rz00_15933;
																					BgL_fz00_15932 = BgL_fz00_21445;
																					goto BgL_recz00_15931;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15924,
																						((long) 0),
																						BgL_savedzd2bpzd2_15930);
																					BgL_____rz00_15929 = BgL_rz00_15933;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5074z00_21447;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_15935;

																	BgL_arg4346z00_15935 =
																		BGL_EXITD_PROTECT(BgL_ez00_15926);
																	BgL_test5074z00_21447 =
																		PAIRP(BgL_arg4346z00_15935);
																}
																if (BgL_test5074z00_21447)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_15936;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_15937;

																			BgL_arg4345z00_15937 =
																				BGL_EXITD_PROTECT(BgL_ez00_15926);
																			BgL_arg4344z00_15936 =
																				CDR(((obj_t) BgL_arg4345z00_15937));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15926,
																			BgL_arg4344z00_15936);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15923,
																BgL_sz00_13725);
															return BgL_____rz00_15929;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15910,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15938;

												BgL_nbpz00_15938 =
													((long) CINT(BgL_bpz00_15909) + BgL_siza7eza7_13724);
												VECTOR_SET(
													((obj_t) BgL_sz00_13725), ((long) 0),
													BINT(BgL_nbpz00_15938));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15939;

													BgL_rz00_15939 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_15910)) (BgL_fz00_15910,
														BgL_a1z00_15911, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13725), ((long) 0),
														BgL_bpz00_15909);
													return BgL_rz00_15939;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13722,
													BgL_symbzd2funzd2_13723, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15910));
		}}}}}}}}

	}



/* &<@anonymous:2091> */
	obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13726, obj_t BgL_sz00_13732)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13727;
				obj_t BgL_a1z00_13728;
				obj_t BgL_locz00_13729;
				obj_t BgL_symbzd2funzd2_13730;
				long BgL_siza7eza7_13731;

				BgL_funz00_13727 = PROCEDURE_REF(BgL_envz00_13726, (int) (((long) 0)));
				BgL_a1z00_13728 = PROCEDURE_REF(BgL_envz00_13726, (int) (((long) 1)));
				BgL_locz00_13729 = PROCEDURE_REF(BgL_envz00_13726, (int) (((long) 2)));
				BgL_symbzd2funzd2_13730 =
					PROCEDURE_REF(BgL_envz00_13726, (int) (((long) 3)));
				BgL_siza7eza7_13731 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13726, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15940;

					BgL_bpz00_15940 = VECTOR_REF(((obj_t) BgL_sz00_13732), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15941;
						obj_t BgL_a1z00_15942;

						BgL_fz00_15941 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13727)) (BgL_funz00_13727,
							BgL_sz00_13732, BEOA);
						BgL_a1z00_15942 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13728)) (BgL_a1z00_13728,
							BgL_sz00_13732, BEOA);
						if (PROCEDUREP(BgL_fz00_15941))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13729,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15941);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15943;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21496;

								BgL_tmpz00_21496 = ((obj_t) BgL_fz00_15941);
								BgL_ufz00_15943 = PROCEDURE_ATTR(BgL_tmpz00_21496);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5077z00_21499;

								if (STRUCTP(BgL_ufz00_15943))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5077z00_21499 =
											(STRUCT_KEY(BgL_ufz00_15943) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5077z00_21499 = ((bool_t) 0);
									}
								if (BgL_test5077z00_21499)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15944;
										obj_t BgL_runz00_15945;
										obj_t BgL_sfz00_15946;

										BgL_arityz00_15944 =
											STRUCT_REF(BgL_ufz00_15943, (int) (((long) 0)));
										BgL_runz00_15945 =
											STRUCT_REF(BgL_ufz00_15943, (int) (((long) 1)));
										BgL_sfz00_15946 =
											STRUCT_REF(BgL_ufz00_15943, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15947;

											BgL_spz00_15947 =
												((long) CINT(BgL_bpz00_15940) + BgL_siza7eza7_13731);
											if (((long) CINT(BgL_arityz00_15944) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2096z00_15948;

													BgL_arg2096z00_15948 = (BgL_spz00_15947 + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13732), BgL_arg2096z00_15948,
														BgL_a1z00_15942);
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15944))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15944))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2097z00_15949;
																		obj_t BgL_arg2098z00_15950;

																		BgL_arg2097z00_15949 =
																			(BgL_spz00_15947 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2099z00_15951;

																			BgL_list2099z00_15951 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15942, BNIL);
																			BgL_arg2098z00_15950 =
																				BgL_list2099z00_15951;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13732),
																			BgL_arg2097z00_15949,
																			BgL_arg2098z00_15950);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2100z00_15952;

																		BgL_arg2100z00_15952 =
																			(BgL_spz00_15947 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13732),
																			BgL_arg2100z00_15952, BgL_a1z00_15942);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2101z00_15953;
																		obj_t BgL_arg2102z00_15954;

																		BgL_arg2101z00_15953 =
																			(BgL_spz00_15947 + ((long) 1));
																		BgL_arg2102z00_15954 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13732),
																			BgL_arg2101z00_15953,
																			BgL_arg2102z00_15954);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13729,
																		STRUCT_REF(BgL_ufz00_15943,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15944));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13729, STRUCT_REF(BgL_ufz00_15943,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15944));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15955;

												BgL_z12denvz12_15955 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15955,
													BgL_locz00_13729);
												if (((BgL_spz00_15947 + (long) CINT(BgL_sfz00_15946)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13732))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15945, BgL_sz00_13732,
															BINT(BgL_spz00_15947));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15956;

														BgL_nsz00_15956 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2106z00_15957;

															BgL_arg2106z00_15957 =
																(BgL_spz00_15947 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15956, ((long) 2), BgL_sz00_13732,
																BINT(BgL_spz00_15947),
																BINT(BgL_arg2106z00_15957));
														}
														VECTOR_SET(BgL_nsz00_15956, ((long) 1),
															BgL_sz00_13732);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15955,
															BgL_nsz00_15956);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15958;

															BgL_ez00_15958 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_15959;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_15960;

																	BgL_arg4348z00_15960 =
																		BGL_EXITD_PROTECT(BgL_ez00_15958);
																	BgL_arg4347z00_15959 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13732,
																		BgL_arg4348z00_15960);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15958,
																	BgL_arg4347z00_15959);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15961;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15962;

																	BgL_savedzd2bpzd2_15962 =
																		VECTOR_REF(BgL_nsz00_15956, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15956, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15964;

																		BgL_fz00_15964 = BgL_runz00_15945;
																	BgL_recz00_15963:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15965;

																			BgL_rz00_15965 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15964))
																				(BgL_fz00_15964, BgL_nsz00_15956, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5082z00_21570;

																				if (PROCEDUREP(BgL_rz00_15965))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_15966;

																						BgL_arg1779z00_15966 =
																							PROCEDURE_ATTR(BgL_rz00_15965);
																						if (STRUCTP(BgL_arg1779z00_15966))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5082z00_21570 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_15966) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5082z00_21570 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5082z00_21570 =
																							((bool_t) 0);
																					}
																				if (BgL_test5082z00_21570)
																					{
																						obj_t BgL_fz00_21578;

																						BgL_fz00_21578 = BgL_rz00_15965;
																						BgL_fz00_15964 = BgL_fz00_21578;
																						goto BgL_recz00_15963;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15956,
																							((long) 0),
																							BgL_savedzd2bpzd2_15962);
																						BgL_____rz00_15961 = BgL_rz00_15965;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5085z00_21580;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_15967;

																		BgL_arg4346z00_15967 =
																			BGL_EXITD_PROTECT(BgL_ez00_15958);
																		BgL_test5085z00_21580 =
																			PAIRP(BgL_arg4346z00_15967);
																	}
																	if (BgL_test5085z00_21580)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_15968;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_15969;

																				BgL_arg4345z00_15969 =
																					BGL_EXITD_PROTECT(BgL_ez00_15958);
																				BgL_arg4344z00_15968 =
																					CDR(((obj_t) BgL_arg4345z00_15969));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15958,
																				BgL_arg4344z00_15968);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15955,
																	BgL_sz00_13732);
																return BgL_____rz00_15961;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15941,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15970;

												BgL_nbpz00_15970 =
													((long) CINT(BgL_bpz00_15940) + BgL_siza7eza7_13731);
												VECTOR_SET(
													((obj_t) BgL_sz00_13732), ((long) 0),
													BINT(BgL_nbpz00_15970));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_21596;

													BgL_tmpz00_21596 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21596,
														BgL_locz00_13729);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15971;

													BgL_rz00_15971 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_15941)) (BgL_fz00_15941,
														BgL_a1z00_15942, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13732), ((long) 0),
														BgL_bpz00_15940);
													return BgL_rz00_15971;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13729,
													BgL_symbzd2funzd2_13730, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15941));
		}}}}}}}}

	}



/* &<@anonymous:2109> */
	obj_t BGl_z62zc3z04anonymousza32109ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13733, obj_t BgL_sz00_13739)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13734;
				obj_t BgL_a1z00_13735;
				obj_t BgL_locz00_13736;
				obj_t BgL_symbzd2funzd2_13737;
				long BgL_siza7eza7_13738;

				BgL_funz00_13734 = PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 0)));
				BgL_a1z00_13735 = PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 1)));
				BgL_locz00_13736 = PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 2)));
				BgL_symbzd2funzd2_13737 =
					PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 3)));
				BgL_siza7eza7_13738 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13733, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15972;

					BgL_bpz00_15972 = VECTOR_REF(((obj_t) BgL_sz00_13739), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15973;
						obj_t BgL_a1z00_15974;

						BgL_fz00_15973 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13734)) (BgL_funz00_13734,
							BgL_sz00_13739, BEOA);
						BgL_a1z00_15974 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13735)) (BgL_a1z00_13735,
							BgL_sz00_13739, BEOA);
						if (PROCEDUREP(BgL_fz00_15973))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13736,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_15973);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15975;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21632;

								BgL_tmpz00_21632 = ((obj_t) BgL_fz00_15973);
								BgL_ufz00_15975 = PROCEDURE_ATTR(BgL_tmpz00_21632);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5088z00_21635;

								if (STRUCTP(BgL_ufz00_15975))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5088z00_21635 =
											(STRUCT_KEY(BgL_ufz00_15975) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5088z00_21635 = ((bool_t) 0);
									}
								if (BgL_test5088z00_21635)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15976;
										obj_t BgL_runz00_15977;
										obj_t BgL_sfz00_15978;

										BgL_arityz00_15976 =
											STRUCT_REF(BgL_ufz00_15975, (int) (((long) 0)));
										BgL_runz00_15977 =
											STRUCT_REF(BgL_ufz00_15975, (int) (((long) 1)));
										BgL_sfz00_15978 =
											STRUCT_REF(BgL_ufz00_15975, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15979;

											BgL_spz00_15979 =
												((long) CINT(BgL_bpz00_15972) + BgL_siza7eza7_13738);
											if (((long) CINT(BgL_arityz00_15976) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2113z00_15980;

													BgL_arg2113z00_15980 = (BgL_spz00_15979 + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13739), BgL_arg2113z00_15980,
														BgL_a1z00_15974);
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15976))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15976))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2114z00_15981;
																		obj_t BgL_arg2115z00_15982;

																		BgL_arg2114z00_15981 =
																			(BgL_spz00_15979 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2116z00_15983;

																			BgL_list2116z00_15983 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15974, BNIL);
																			BgL_arg2115z00_15982 =
																				BgL_list2116z00_15983;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13739),
																			BgL_arg2114z00_15981,
																			BgL_arg2115z00_15982);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2117z00_15984;

																		BgL_arg2117z00_15984 =
																			(BgL_spz00_15979 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13739),
																			BgL_arg2117z00_15984, BgL_a1z00_15974);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2118z00_15985;
																		obj_t BgL_arg2119z00_15986;

																		BgL_arg2118z00_15985 =
																			(BgL_spz00_15979 + ((long) 1));
																		BgL_arg2119z00_15986 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13739),
																			BgL_arg2118z00_15985,
																			BgL_arg2119z00_15986);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13736,
																		STRUCT_REF(BgL_ufz00_15975,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15976));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13736, STRUCT_REF(BgL_ufz00_15975,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15976));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15987;

												BgL_z12denvz12_15987 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15979 +
															(long) CINT(BgL_sfz00_15978)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13739))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15977, BgL_sz00_13739,
															BINT(BgL_spz00_15979));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15988;

														BgL_nsz00_15988 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2123z00_15989;

															BgL_arg2123z00_15989 =
																(BgL_spz00_15979 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15988, ((long) 2), BgL_sz00_13739,
																BINT(BgL_spz00_15979),
																BINT(BgL_arg2123z00_15989));
														}
														VECTOR_SET(BgL_nsz00_15988, ((long) 1),
															BgL_sz00_13739);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15987,
															BgL_nsz00_15988);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15990;

															BgL_ez00_15990 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_15991;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_15992;

																	BgL_arg4348z00_15992 =
																		BGL_EXITD_PROTECT(BgL_ez00_15990);
																	BgL_arg4347z00_15991 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13739,
																		BgL_arg4348z00_15992);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15990,
																	BgL_arg4347z00_15991);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15993;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15994;

																	BgL_savedzd2bpzd2_15994 =
																		VECTOR_REF(BgL_nsz00_15988, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15988, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15996;

																		BgL_fz00_15996 = BgL_runz00_15977;
																	BgL_recz00_15995:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15997;

																			BgL_rz00_15997 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_15996))
																				(BgL_fz00_15996, BgL_nsz00_15988, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5093z00_21705;

																				if (PROCEDUREP(BgL_rz00_15997))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_15998;

																						BgL_arg1779z00_15998 =
																							PROCEDURE_ATTR(BgL_rz00_15997);
																						if (STRUCTP(BgL_arg1779z00_15998))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5093z00_21705 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_15998) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5093z00_21705 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5093z00_21705 =
																							((bool_t) 0);
																					}
																				if (BgL_test5093z00_21705)
																					{
																						obj_t BgL_fz00_21713;

																						BgL_fz00_21713 = BgL_rz00_15997;
																						BgL_fz00_15996 = BgL_fz00_21713;
																						goto BgL_recz00_15995;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15988,
																							((long) 0),
																							BgL_savedzd2bpzd2_15994);
																						BgL_____rz00_15993 = BgL_rz00_15997;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5096z00_21715;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_15999;

																		BgL_arg4346z00_15999 =
																			BGL_EXITD_PROTECT(BgL_ez00_15990);
																		BgL_test5096z00_21715 =
																			PAIRP(BgL_arg4346z00_15999);
																	}
																	if (BgL_test5096z00_21715)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_16000;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_16001;

																				BgL_arg4345z00_16001 =
																					BGL_EXITD_PROTECT(BgL_ez00_15990);
																				BgL_arg4344z00_16000 =
																					CDR(((obj_t) BgL_arg4345z00_16001));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15990,
																				BgL_arg4344z00_16000);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15987,
																	BgL_sz00_13739);
																return BgL_____rz00_15993;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15973,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16002;

												BgL_nbpz00_16002 =
													((long) CINT(BgL_bpz00_15972) + BgL_siza7eza7_13738);
												VECTOR_SET(
													((obj_t) BgL_sz00_13739), ((long) 0),
													BINT(BgL_nbpz00_16002));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16003;

													BgL_rz00_16003 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_15973)) (BgL_fz00_15973,
														BgL_a1z00_15974, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13739), ((long) 0),
														BgL_bpz00_15972);
													return BgL_rz00_16003;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13736,
													BgL_symbzd2funzd2_13737, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15973));
		}}}}}}}}

	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2357;

				BgL_cfunz00_2357 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154,
					((long) 2), BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_2357))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5099z00_21743;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1380z00_2377;

							BgL_a1380z00_2377 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5099z00_21743 =
									((long) (BgL_a1380z00_2377) > ((long) 0));
						}}
						if (BgL_test5099z00_21743)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32127ze3z87_13740;

								BgL_zc3z04anonymousza32127ze3z87_13740 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32127ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32127ze3z87_13740,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3z04anonymousza32127ze3z87_13740,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3z04anonymousza32127ze3z87_13740,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3z04anonymousza32127ze3z87_13740,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3z04anonymousza32127ze3z87_13740,
									(int) (((long) 4)), BgL_cfunz00_2357);
								return BgL_zc3z04anonymousza32127ze3z87_13740;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32129ze3z87_13741;

								BgL_zc3z04anonymousza32129ze3z87_13741 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32129ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32129ze3z87_13741,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3z04anonymousza32129ze3z87_13741,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3z04anonymousza32129ze3z87_13741,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3z04anonymousza32129ze3z87_13741,
									(int) (((long) 3)), BgL_cfunz00_2357);
								return BgL_zc3z04anonymousza32129ze3z87_13741;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5101z00_21775;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1382z00_2469;

									BgL_a1382z00_2469 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5101z00_21775 =
											((long) (BgL_a1382z00_2469) > ((long) 0));
								}}
								if (BgL_test5101z00_21775)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32132ze3z87_13742;

										BgL_zc3z04anonymousza32132ze3z87_13742 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32132ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_13742,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_13742,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_13742,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_13742,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_13742,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32132ze3z87_13742,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32132ze3z87_13742;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32157ze3z87_13743;

										BgL_zc3z04anonymousza32157ze3z87_13743 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32157ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_13743,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_13743,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_13743,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_13743,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_13743,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32157ze3z87_13743,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32157ze3z87_13743;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5102z00_21811;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1384z00_2561;

									BgL_a1384z00_2561 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5102z00_21811 =
											((long) (BgL_a1384z00_2561) > ((long) 0));
								}}
								if (BgL_test5102z00_21811)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32182ze3z87_13744;

										BgL_zc3z04anonymousza32182ze3z87_13744 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32182ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32182ze3z87_13744,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32182ze3z87_13744,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32182ze3z87_13744,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32182ze3z87_13744,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32182ze3z87_13744,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32182ze3z87_13744,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32182ze3z87_13744;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32207ze3z87_13745;

										BgL_zc3z04anonymousza32207ze3z87_13745 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32207ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32207ze3z87_13745,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32207ze3z87_13745,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32207ze3z87_13745,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32207ze3z87_13745,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32207ze3z87_13745,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32207ze3z87_13745,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32207ze3z87_13745;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2127> */
	obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13746, obj_t BgL_sz00_13752)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13747;
				obj_t BgL_a2z00_13748;
				long BgL_siza7eza7_13749;
				obj_t BgL_locz00_13750;
				obj_t BgL_cfunz00_13751;

				BgL_a1z00_13747 = PROCEDURE_REF(BgL_envz00_13746, (int) (((long) 0)));
				BgL_a2z00_13748 = PROCEDURE_REF(BgL_envz00_13746, (int) (((long) 1)));
				BgL_siza7eza7_13749 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13746, (int) (((long) 2))));
				BgL_locz00_13750 = PROCEDURE_REF(BgL_envz00_13746, (int) (((long) 3)));
				BgL_cfunz00_13751 = PROCEDURE_REF(BgL_envz00_13746, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16004;

					BgL_bpz00_16004 = VECTOR_REF(((obj_t) BgL_sz00_13752), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16005;
						obj_t BgL_a2z00_16006;

						BgL_a1z00_16005 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13747)) (BgL_a1z00_13747,
							BgL_sz00_13752, BEOA);
						BgL_a2z00_16006 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13748)) (BgL_a2z00_13748,
							BgL_sz00_13752, BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16007;

							BgL_nbpz00_16007 =
								((long) CINT(BgL_bpz00_16004) + BgL_siza7eza7_13749);
							VECTOR_SET(
								((obj_t) BgL_sz00_13752), ((long) 0), BINT(BgL_nbpz00_16007));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21873;

								BgL_tmpz00_21873 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21873, BgL_locz00_13750);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16008;

								BgL_rz00_16008 =
									((obj_t(*)(obj_t, obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13751)) (BgL_cfunz00_13751,
									BgL_a1z00_16005, BgL_a2z00_16006, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13752), ((long) 0),
									BgL_bpz00_16004);
								return BgL_rz00_16008;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2129> */
	obj_t BGl_z62zc3z04anonymousza32129ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13753, obj_t BgL_sz00_13758)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13754;
				obj_t BgL_a2z00_13755;
				long BgL_siza7eza7_13756;
				obj_t BgL_cfunz00_13757;

				BgL_a1z00_13754 = PROCEDURE_REF(BgL_envz00_13753, (int) (((long) 0)));
				BgL_a2z00_13755 = PROCEDURE_REF(BgL_envz00_13753, (int) (((long) 1)));
				BgL_siza7eza7_13756 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13753, (int) (((long) 2))));
				BgL_cfunz00_13757 = PROCEDURE_REF(BgL_envz00_13753, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16009;

					BgL_bpz00_16009 = VECTOR_REF(((obj_t) BgL_sz00_13758), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16010;
						obj_t BgL_a2z00_16011;

						BgL_a1z00_16010 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13754)) (BgL_a1z00_13754,
							BgL_sz00_13758, BEOA);
						BgL_a2z00_16011 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13755)) (BgL_a2z00_13755,
							BgL_sz00_13758, BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16012;

							BgL_nbpz00_16012 =
								((long) CINT(BgL_bpz00_16009) + BgL_siza7eza7_13756);
							VECTOR_SET(
								((obj_t) BgL_sz00_13758), ((long) 0), BINT(BgL_nbpz00_16012));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16013;

								BgL_rz00_16013 =
									((obj_t(*)(obj_t, obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13757)) (BgL_cfunz00_13757,
									BgL_a1z00_16010, BgL_a2z00_16011, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13758), ((long) 0),
									BgL_bpz00_16009);
								return BgL_rz00_16013;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2132> */
	obj_t BGl_z62zc3z04anonymousza32132ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13759, obj_t BgL_sz00_13766)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13760;
				obj_t BgL_a1z00_13761;
				obj_t BgL_a2z00_13762;
				obj_t BgL_locz00_13763;
				obj_t BgL_symbzd2funzd2_13764;
				long BgL_siza7eza7_13765;

				BgL_funz00_13760 = PROCEDURE_REF(BgL_envz00_13759, (int) (((long) 0)));
				BgL_a1z00_13761 = PROCEDURE_REF(BgL_envz00_13759, (int) (((long) 1)));
				BgL_a2z00_13762 = PROCEDURE_REF(BgL_envz00_13759, (int) (((long) 2)));
				BgL_locz00_13763 = PROCEDURE_REF(BgL_envz00_13759, (int) (((long) 3)));
				BgL_symbzd2funzd2_13764 =
					PROCEDURE_REF(BgL_envz00_13759, (int) (((long) 4)));
				BgL_siza7eza7_13765 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13759, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16014;

					BgL_bpz00_16014 = VECTOR_REF(((obj_t) BgL_sz00_13766), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16015;
						obj_t BgL_a1z00_16016;
						obj_t BgL_a2z00_16017;

						BgL_fz00_16015 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13760)) (BgL_funz00_13760,
							BgL_sz00_13766, BEOA);
						BgL_a1z00_16016 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13761)) (BgL_a1z00_13761,
							BgL_sz00_13766, BEOA);
						BgL_a2z00_16017 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13762)) (BgL_a2z00_13762,
							BgL_sz00_13766, BEOA);
						if (PROCEDUREP(BgL_fz00_16015))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13763,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16015);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16018;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21944;

								BgL_tmpz00_21944 = ((obj_t) BgL_fz00_16015);
								BgL_ufz00_16018 = PROCEDURE_ATTR(BgL_tmpz00_21944);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5104z00_21947;

								if (STRUCTP(BgL_ufz00_16018))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5104z00_21947 =
											(STRUCT_KEY(BgL_ufz00_16018) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5104z00_21947 = ((bool_t) 0);
									}
								if (BgL_test5104z00_21947)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16019;
										obj_t BgL_runz00_16020;
										obj_t BgL_sfz00_16021;

										BgL_arityz00_16019 =
											STRUCT_REF(BgL_ufz00_16018, (int) (((long) 0)));
										BgL_runz00_16020 =
											STRUCT_REF(BgL_ufz00_16018, (int) (((long) 1)));
										BgL_sfz00_16021 =
											STRUCT_REF(BgL_ufz00_16018, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16019) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2136z00_16022;

													BgL_arg2136z00_16022 =
														((long) CINT(BgL_bpz00_16014) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13766), BgL_arg2136z00_16022,
														BgL_a1z00_16016);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2137z00_16023;

													BgL_arg2137z00_16023 =
														((long) CINT(BgL_bpz00_16014) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13766), BgL_arg2137z00_16023,
														BgL_a2z00_16017);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16019))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16019))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2138z00_16024;
																	obj_t BgL_arg2139z00_16025;

																	BgL_arg2138z00_16024 =
																		((long) CINT(BgL_bpz00_16014) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2140z00_16026;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2141z00_16027;

																			BgL_arg2141z00_16027 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16017, BNIL);
																			BgL_list2140z00_16026 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16016,
																				BgL_arg2141z00_16027);
																		}
																		BgL_arg2139z00_16025 =
																			BgL_list2140z00_16026;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13766),
																		BgL_arg2138z00_16024, BgL_arg2139z00_16025);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2142z00_16028;

																	BgL_arg2142z00_16028 =
																		((long) CINT(BgL_bpz00_16014) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13766),
																		BgL_arg2142z00_16028, BgL_a1z00_16016);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2143z00_16029;
																	obj_t BgL_arg2144z00_16030;

																	BgL_arg2143z00_16029 =
																		((long) CINT(BgL_bpz00_16014) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2145z00_16031;

																		BgL_list2145z00_16031 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_16017, BNIL);
																		BgL_arg2144z00_16030 =
																			BgL_list2145z00_16031;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13766),
																		BgL_arg2143z00_16029, BgL_arg2144z00_16030);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2146z00_16032;

																	BgL_arg2146z00_16032 =
																		((long) CINT(BgL_bpz00_16014) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13766),
																		BgL_arg2146z00_16032, BgL_a1z00_16016);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2147z00_16033;

																	BgL_arg2147z00_16033 =
																		((long) CINT(BgL_bpz00_16014) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13766),
																		BgL_arg2147z00_16033, BgL_a2z00_16017);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2148z00_16034;
																	obj_t BgL_arg2149z00_16035;

																	BgL_arg2148z00_16034 =
																		((long) CINT(BgL_bpz00_16014) + ((long) 2));
																	BgL_arg2149z00_16035 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13766),
																		BgL_arg2148z00_16034, BgL_arg2149z00_16035);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13763, STRUCT_REF(BgL_ufz00_16018,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_16019));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13763, STRUCT_REF(BgL_ufz00_16018,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_16019));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16036;

											BgL_z12denvz12_16036 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16036,
												BgL_locz00_13763);
											if ((((long) CINT(BgL_bpz00_16014) +
														(long) CINT(BgL_sfz00_16021)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13766))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16020;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16037;

													BgL_nsz00_16037 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2153z00_16038;

														BgL_arg2153z00_16038 =
															((long) CINT(BgL_bpz00_16014) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16037, ((long) 2), BgL_sz00_13766,
															BgL_bpz00_16014, BINT(BgL_arg2153z00_16038));
													}
													VECTOR_SET(BgL_nsz00_16037, ((long) 1),
														BgL_sz00_13766);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16036,
														BgL_nsz00_16037);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16039;

														BgL_ez00_16039 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_16040;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_16041;

																BgL_arg4348z00_16041 =
																	BGL_EXITD_PROTECT(BgL_ez00_16039);
																BgL_arg4347z00_16040 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13766,
																	BgL_arg4348z00_16041);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16039,
																BgL_arg4347z00_16040);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16042;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16043;

																BgL_savedzd2bpzd2_16043 =
																	VECTOR_REF(BgL_nsz00_16037, ((long) 0));
																VECTOR_SET(BgL_nsz00_16037, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16045;

																	BgL_fz00_16045 = BgL_runz00_16020;
																BgL_recz00_16044:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16046;

																		BgL_rz00_16046 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_16045))
																			(BgL_fz00_16045, BgL_nsz00_16037, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5109z00_22037;

																			if (PROCEDUREP(BgL_rz00_16046))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_16047;

																					BgL_arg1779z00_16047 =
																						PROCEDURE_ATTR(BgL_rz00_16046);
																					if (STRUCTP(BgL_arg1779z00_16047))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5109z00_22037 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_16047) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5109z00_22037 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5109z00_22037 = ((bool_t) 0);
																				}
																			if (BgL_test5109z00_22037)
																				{
																					obj_t BgL_fz00_22045;

																					BgL_fz00_22045 = BgL_rz00_16046;
																					BgL_fz00_16045 = BgL_fz00_22045;
																					goto BgL_recz00_16044;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16037,
																						((long) 0),
																						BgL_savedzd2bpzd2_16043);
																					BgL_____rz00_16042 = BgL_rz00_16046;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5112z00_22047;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_16048;

																	BgL_arg4346z00_16048 =
																		BGL_EXITD_PROTECT(BgL_ez00_16039);
																	BgL_test5112z00_22047 =
																		PAIRP(BgL_arg4346z00_16048);
																}
																if (BgL_test5112z00_22047)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_16049;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_16050;

																			BgL_arg4345z00_16050 =
																				BGL_EXITD_PROTECT(BgL_ez00_16039);
																			BgL_arg4344z00_16049 =
																				CDR(((obj_t) BgL_arg4345z00_16050));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16039,
																			BgL_arg4344z00_16049);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16036,
																BgL_sz00_13766);
															return BgL_____rz00_16042;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16015,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16051;

												BgL_nbpz00_16051 =
													((long) CINT(BgL_bpz00_16014) + BgL_siza7eza7_13765);
												VECTOR_SET(
													((obj_t) BgL_sz00_13766), ((long) 0),
													BINT(BgL_nbpz00_16051));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22063;

													BgL_tmpz00_22063 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22063,
														BgL_locz00_13763);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16052;

													BgL_rz00_16052 =
														((obj_t(*)(obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16015)) (BgL_fz00_16015,
														BgL_a1z00_16016, BgL_a2z00_16017, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13766), ((long) 0),
														BgL_bpz00_16014);
													return BgL_rz00_16052;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13763,
													BgL_symbzd2funzd2_13764, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_16015));
		}}}}}}}}

	}



/* &<@anonymous:2157> */
	obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13767, obj_t BgL_sz00_13774)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13768;
				obj_t BgL_a1z00_13769;
				obj_t BgL_a2z00_13770;
				obj_t BgL_locz00_13771;
				obj_t BgL_symbzd2funzd2_13772;
				long BgL_siza7eza7_13773;

				BgL_funz00_13768 = PROCEDURE_REF(BgL_envz00_13767, (int) (((long) 0)));
				BgL_a1z00_13769 = PROCEDURE_REF(BgL_envz00_13767, (int) (((long) 1)));
				BgL_a2z00_13770 = PROCEDURE_REF(BgL_envz00_13767, (int) (((long) 2)));
				BgL_locz00_13771 = PROCEDURE_REF(BgL_envz00_13767, (int) (((long) 3)));
				BgL_symbzd2funzd2_13772 =
					PROCEDURE_REF(BgL_envz00_13767, (int) (((long) 4)));
				BgL_siza7eza7_13773 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13767, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16053;

					BgL_bpz00_16053 = VECTOR_REF(((obj_t) BgL_sz00_13774), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16054;
						obj_t BgL_a1z00_16055;
						obj_t BgL_a2z00_16056;

						BgL_fz00_16054 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13768)) (BgL_funz00_13768,
							BgL_sz00_13774, BEOA);
						BgL_a1z00_16055 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13769)) (BgL_a1z00_13769,
							BgL_sz00_13774, BEOA);
						BgL_a2z00_16056 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13770)) (BgL_a2z00_13770,
							BgL_sz00_13774, BEOA);
						if (PROCEDUREP(BgL_fz00_16054))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13771,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16054);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16057;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22106;

								BgL_tmpz00_22106 = ((obj_t) BgL_fz00_16054);
								BgL_ufz00_16057 = PROCEDURE_ATTR(BgL_tmpz00_22106);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5115z00_22109;

								if (STRUCTP(BgL_ufz00_16057))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5115z00_22109 =
											(STRUCT_KEY(BgL_ufz00_16057) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5115z00_22109 = ((bool_t) 0);
									}
								if (BgL_test5115z00_22109)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16058;
										obj_t BgL_runz00_16059;
										obj_t BgL_sfz00_16060;

										BgL_arityz00_16058 =
											STRUCT_REF(BgL_ufz00_16057, (int) (((long) 0)));
										BgL_runz00_16059 =
											STRUCT_REF(BgL_ufz00_16057, (int) (((long) 1)));
										BgL_sfz00_16060 =
											STRUCT_REF(BgL_ufz00_16057, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16058) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2161z00_16061;

													BgL_arg2161z00_16061 =
														((long) CINT(BgL_bpz00_16053) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13774), BgL_arg2161z00_16061,
														BgL_a1z00_16055);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2162z00_16062;

													BgL_arg2162z00_16062 =
														((long) CINT(BgL_bpz00_16053) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13774), BgL_arg2162z00_16062,
														BgL_a2z00_16056);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16058))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16058))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2163z00_16063;
																	obj_t BgL_arg2164z00_16064;

																	BgL_arg2163z00_16063 =
																		((long) CINT(BgL_bpz00_16053) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2165z00_16065;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2166z00_16066;

																			BgL_arg2166z00_16066 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16056, BNIL);
																			BgL_list2165z00_16065 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16055,
																				BgL_arg2166z00_16066);
																		}
																		BgL_arg2164z00_16064 =
																			BgL_list2165z00_16065;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13774),
																		BgL_arg2163z00_16063, BgL_arg2164z00_16064);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2167z00_16067;

																	BgL_arg2167z00_16067 =
																		((long) CINT(BgL_bpz00_16053) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13774),
																		BgL_arg2167z00_16067, BgL_a1z00_16055);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2168z00_16068;
																	obj_t BgL_arg2169z00_16069;

																	BgL_arg2168z00_16068 =
																		((long) CINT(BgL_bpz00_16053) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2170z00_16070;

																		BgL_list2170z00_16070 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_16056, BNIL);
																		BgL_arg2169z00_16069 =
																			BgL_list2170z00_16070;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13774),
																		BgL_arg2168z00_16068, BgL_arg2169z00_16069);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2171z00_16071;

																	BgL_arg2171z00_16071 =
																		((long) CINT(BgL_bpz00_16053) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13774),
																		BgL_arg2171z00_16071, BgL_a1z00_16055);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2172z00_16072;

																	BgL_arg2172z00_16072 =
																		((long) CINT(BgL_bpz00_16053) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13774),
																		BgL_arg2172z00_16072, BgL_a2z00_16056);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2173z00_16073;
																	obj_t BgL_arg2174z00_16074;

																	BgL_arg2173z00_16073 =
																		((long) CINT(BgL_bpz00_16053) + ((long) 2));
																	BgL_arg2174z00_16074 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13774),
																		BgL_arg2173z00_16073, BgL_arg2174z00_16074);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13771, STRUCT_REF(BgL_ufz00_16057,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_16058));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13771, STRUCT_REF(BgL_ufz00_16057,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_16058));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16075;

											BgL_z12denvz12_16075 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16053) +
														(long) CINT(BgL_sfz00_16060)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13774))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16059;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16076;

													BgL_nsz00_16076 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2178z00_16077;

														BgL_arg2178z00_16077 =
															((long) CINT(BgL_bpz00_16053) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16076, ((long) 2), BgL_sz00_13774,
															BgL_bpz00_16053, BINT(BgL_arg2178z00_16077));
													}
													VECTOR_SET(BgL_nsz00_16076, ((long) 1),
														BgL_sz00_13774);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16075,
														BgL_nsz00_16076);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16078;

														BgL_ez00_16078 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_16079;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_16080;

																BgL_arg4348z00_16080 =
																	BGL_EXITD_PROTECT(BgL_ez00_16078);
																BgL_arg4347z00_16079 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13774,
																	BgL_arg4348z00_16080);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16078,
																BgL_arg4347z00_16079);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16081;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16082;

																BgL_savedzd2bpzd2_16082 =
																	VECTOR_REF(BgL_nsz00_16076, ((long) 0));
																VECTOR_SET(BgL_nsz00_16076, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16084;

																	BgL_fz00_16084 = BgL_runz00_16059;
																BgL_recz00_16083:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16085;

																		BgL_rz00_16085 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_16084))
																			(BgL_fz00_16084, BgL_nsz00_16076, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5120z00_22198;

																			if (PROCEDUREP(BgL_rz00_16085))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_16086;

																					BgL_arg1779z00_16086 =
																						PROCEDURE_ATTR(BgL_rz00_16085);
																					if (STRUCTP(BgL_arg1779z00_16086))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5120z00_22198 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_16086) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5120z00_22198 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5120z00_22198 = ((bool_t) 0);
																				}
																			if (BgL_test5120z00_22198)
																				{
																					obj_t BgL_fz00_22206;

																					BgL_fz00_22206 = BgL_rz00_16085;
																					BgL_fz00_16084 = BgL_fz00_22206;
																					goto BgL_recz00_16083;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16076,
																						((long) 0),
																						BgL_savedzd2bpzd2_16082);
																					BgL_____rz00_16081 = BgL_rz00_16085;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5123z00_22208;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_16087;

																	BgL_arg4346z00_16087 =
																		BGL_EXITD_PROTECT(BgL_ez00_16078);
																	BgL_test5123z00_22208 =
																		PAIRP(BgL_arg4346z00_16087);
																}
																if (BgL_test5123z00_22208)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_16088;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_16089;

																			BgL_arg4345z00_16089 =
																				BGL_EXITD_PROTECT(BgL_ez00_16078);
																			BgL_arg4344z00_16088 =
																				CDR(((obj_t) BgL_arg4345z00_16089));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16078,
																			BgL_arg4344z00_16088);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16075,
																BgL_sz00_13774);
															return BgL_____rz00_16081;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16054,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16090;

												BgL_nbpz00_16090 =
													((long) CINT(BgL_bpz00_16053) + BgL_siza7eza7_13773);
												VECTOR_SET(
													((obj_t) BgL_sz00_13774), ((long) 0),
													BINT(BgL_nbpz00_16090));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16091;

													BgL_rz00_16091 =
														((obj_t(*)(obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16054)) (BgL_fz00_16054,
														BgL_a1z00_16055, BgL_a2z00_16056, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13774), ((long) 0),
														BgL_bpz00_16053);
													return BgL_rz00_16091;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13771,
													BgL_symbzd2funzd2_13772, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_16054));
		}}}}}}}}

	}



/* &<@anonymous:2182> */
	obj_t BGl_z62zc3z04anonymousza32182ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13775, obj_t BgL_sz00_13782)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13776;
				obj_t BgL_a1z00_13777;
				obj_t BgL_a2z00_13778;
				obj_t BgL_locz00_13779;
				obj_t BgL_symbzd2funzd2_13780;
				long BgL_siza7eza7_13781;

				BgL_funz00_13776 = PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 0)));
				BgL_a1z00_13777 = PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 1)));
				BgL_a2z00_13778 = PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 2)));
				BgL_locz00_13779 = PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 3)));
				BgL_symbzd2funzd2_13780 =
					PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 4)));
				BgL_siza7eza7_13781 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13775, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16092;

					BgL_bpz00_16092 = VECTOR_REF(((obj_t) BgL_sz00_13782), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16093;
						obj_t BgL_a1z00_16094;
						obj_t BgL_a2z00_16095;

						BgL_fz00_16093 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13776)) (BgL_funz00_13776,
							BgL_sz00_13782, BEOA);
						BgL_a1z00_16094 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13777)) (BgL_a1z00_13777,
							BgL_sz00_13782, BEOA);
						BgL_a2z00_16095 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13778)) (BgL_a2z00_13778,
							BgL_sz00_13782, BEOA);
						if (PROCEDUREP(BgL_fz00_16093))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13779,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16093);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16096;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22264;

								BgL_tmpz00_22264 = ((obj_t) BgL_fz00_16093);
								BgL_ufz00_16096 = PROCEDURE_ATTR(BgL_tmpz00_22264);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5126z00_22267;

								if (STRUCTP(BgL_ufz00_16096))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5126z00_22267 =
											(STRUCT_KEY(BgL_ufz00_16096) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5126z00_22267 = ((bool_t) 0);
									}
								if (BgL_test5126z00_22267)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16097;
										obj_t BgL_runz00_16098;
										obj_t BgL_sfz00_16099;

										BgL_arityz00_16097 =
											STRUCT_REF(BgL_ufz00_16096, (int) (((long) 0)));
										BgL_runz00_16098 =
											STRUCT_REF(BgL_ufz00_16096, (int) (((long) 1)));
										BgL_sfz00_16099 =
											STRUCT_REF(BgL_ufz00_16096, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16100;

											BgL_spz00_16100 =
												((long) CINT(BgL_bpz00_16092) + BgL_siza7eza7_13781);
											if (((long) CINT(BgL_arityz00_16097) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2187z00_16101;

														BgL_arg2187z00_16101 =
															(BgL_spz00_16100 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13782), BgL_arg2187z00_16101,
															BgL_a1z00_16094);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2188z00_16102;

														BgL_arg2188z00_16102 =
															(BgL_spz00_16100 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13782), BgL_arg2188z00_16102,
															BgL_a2z00_16095);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16097))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16097))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2189z00_16103;
																		obj_t BgL_arg2190z00_16104;

																		BgL_arg2189z00_16103 =
																			(BgL_spz00_16100 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2191z00_16105;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2192z00_16106;

																				BgL_arg2192z00_16106 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16095,
																					BNIL);
																				BgL_list2191z00_16105 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16094,
																					BgL_arg2192z00_16106);
																			}
																			BgL_arg2190z00_16104 =
																				BgL_list2191z00_16105;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2189z00_16103,
																			BgL_arg2190z00_16104);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2193z00_16107;

																		BgL_arg2193z00_16107 =
																			(BgL_spz00_16100 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2193z00_16107, BgL_a1z00_16094);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2194z00_16108;
																		obj_t BgL_arg2195z00_16109;

																		BgL_arg2194z00_16108 =
																			(BgL_spz00_16100 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2196z00_16110;

																			BgL_list2196z00_16110 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16095, BNIL);
																			BgL_arg2195z00_16109 =
																				BgL_list2196z00_16110;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2194z00_16108,
																			BgL_arg2195z00_16109);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2197z00_16111;

																		BgL_arg2197z00_16111 =
																			(BgL_spz00_16100 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2197z00_16111, BgL_a1z00_16094);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2198z00_16112;

																		BgL_arg2198z00_16112 =
																			(BgL_spz00_16100 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2198z00_16112, BgL_a2z00_16095);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2199z00_16113;
																		obj_t BgL_arg2200z00_16114;

																		BgL_arg2199z00_16113 =
																			(BgL_spz00_16100 + ((long) 2));
																		BgL_arg2200z00_16114 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13782),
																			BgL_arg2199z00_16113,
																			BgL_arg2200z00_16114);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13779,
																		STRUCT_REF(BgL_ufz00_16096,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_16097));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13779, STRUCT_REF(BgL_ufz00_16096,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_16097));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16115;

												BgL_z12denvz12_16115 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16115,
													BgL_locz00_13779);
												if (((BgL_spz00_16100 + (long) CINT(BgL_sfz00_16099)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13782))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16098, BgL_sz00_13782,
															BINT(BgL_spz00_16100));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16116;

														BgL_nsz00_16116 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2204z00_16117;

															BgL_arg2204z00_16117 =
																(BgL_spz00_16100 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16116, ((long) 2), BgL_sz00_13782,
																BINT(BgL_spz00_16100),
																BINT(BgL_arg2204z00_16117));
														}
														VECTOR_SET(BgL_nsz00_16116, ((long) 1),
															BgL_sz00_13782);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16115,
															BgL_nsz00_16116);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16118;

															BgL_ez00_16118 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_16119;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_16120;

																	BgL_arg4348z00_16120 =
																		BGL_EXITD_PROTECT(BgL_ez00_16118);
																	BgL_arg4347z00_16119 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13782,
																		BgL_arg4348z00_16120);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16118,
																	BgL_arg4347z00_16119);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16121;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16122;

																	BgL_savedzd2bpzd2_16122 =
																		VECTOR_REF(BgL_nsz00_16116, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16116, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16124;

																		BgL_fz00_16124 = BgL_runz00_16098;
																	BgL_recz00_16123:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16125;

																			BgL_rz00_16125 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16124))
																				(BgL_fz00_16124, BgL_nsz00_16116, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5131z00_22352;

																				if (PROCEDUREP(BgL_rz00_16125))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_16126;

																						BgL_arg1779z00_16126 =
																							PROCEDURE_ATTR(BgL_rz00_16125);
																						if (STRUCTP(BgL_arg1779z00_16126))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5131z00_22352 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_16126) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5131z00_22352 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5131z00_22352 =
																							((bool_t) 0);
																					}
																				if (BgL_test5131z00_22352)
																					{
																						obj_t BgL_fz00_22360;

																						BgL_fz00_22360 = BgL_rz00_16125;
																						BgL_fz00_16124 = BgL_fz00_22360;
																						goto BgL_recz00_16123;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16116,
																							((long) 0),
																							BgL_savedzd2bpzd2_16122);
																						BgL_____rz00_16121 = BgL_rz00_16125;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5134z00_22362;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_16127;

																		BgL_arg4346z00_16127 =
																			BGL_EXITD_PROTECT(BgL_ez00_16118);
																		BgL_test5134z00_22362 =
																			PAIRP(BgL_arg4346z00_16127);
																	}
																	if (BgL_test5134z00_22362)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_16128;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_16129;

																				BgL_arg4345z00_16129 =
																					BGL_EXITD_PROTECT(BgL_ez00_16118);
																				BgL_arg4344z00_16128 =
																					CDR(((obj_t) BgL_arg4345z00_16129));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16118,
																				BgL_arg4344z00_16128);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16115,
																	BgL_sz00_13782);
																return BgL_____rz00_16121;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16093,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16130;

												BgL_nbpz00_16130 =
													((long) CINT(BgL_bpz00_16092) + BgL_siza7eza7_13781);
												VECTOR_SET(
													((obj_t) BgL_sz00_13782), ((long) 0),
													BINT(BgL_nbpz00_16130));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22378;

													BgL_tmpz00_22378 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22378,
														BgL_locz00_13779);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16131;

													BgL_rz00_16131 =
														((obj_t(*)(obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16093)) (BgL_fz00_16093,
														BgL_a1z00_16094, BgL_a2z00_16095, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13782), ((long) 0),
														BgL_bpz00_16092);
													return BgL_rz00_16131;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13779,
													BgL_symbzd2funzd2_13780, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_16093));
		}}}}}}}}

	}



/* &<@anonymous:2207> */
	obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13783, obj_t BgL_sz00_13790)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13784;
				obj_t BgL_a1z00_13785;
				obj_t BgL_a2z00_13786;
				obj_t BgL_locz00_13787;
				obj_t BgL_symbzd2funzd2_13788;
				long BgL_siza7eza7_13789;

				BgL_funz00_13784 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 0)));
				BgL_a1z00_13785 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 1)));
				BgL_a2z00_13786 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 2)));
				BgL_locz00_13787 = PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 3)));
				BgL_symbzd2funzd2_13788 =
					PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 4)));
				BgL_siza7eza7_13789 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13783, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16132;

					BgL_bpz00_16132 = VECTOR_REF(((obj_t) BgL_sz00_13790), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16133;
						obj_t BgL_a1z00_16134;
						obj_t BgL_a2z00_16135;

						BgL_fz00_16133 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13784)) (BgL_funz00_13784,
							BgL_sz00_13790, BEOA);
						BgL_a1z00_16134 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13785)) (BgL_a1z00_13785,
							BgL_sz00_13790, BEOA);
						BgL_a2z00_16135 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13786)) (BgL_a2z00_13786,
							BgL_sz00_13790, BEOA);
						if (PROCEDUREP(BgL_fz00_16133))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13787,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16133);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16136;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22421;

								BgL_tmpz00_22421 = ((obj_t) BgL_fz00_16133);
								BgL_ufz00_16136 = PROCEDURE_ATTR(BgL_tmpz00_22421);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5137z00_22424;

								if (STRUCTP(BgL_ufz00_16136))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5137z00_22424 =
											(STRUCT_KEY(BgL_ufz00_16136) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5137z00_22424 = ((bool_t) 0);
									}
								if (BgL_test5137z00_22424)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16137;
										obj_t BgL_runz00_16138;
										obj_t BgL_sfz00_16139;

										BgL_arityz00_16137 =
											STRUCT_REF(BgL_ufz00_16136, (int) (((long) 0)));
										BgL_runz00_16138 =
											STRUCT_REF(BgL_ufz00_16136, (int) (((long) 1)));
										BgL_sfz00_16139 =
											STRUCT_REF(BgL_ufz00_16136, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16140;

											BgL_spz00_16140 =
												((long) CINT(BgL_bpz00_16132) + BgL_siza7eza7_13789);
											if (((long) CINT(BgL_arityz00_16137) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2211z00_16141;

														BgL_arg2211z00_16141 =
															(BgL_spz00_16140 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13790), BgL_arg2211z00_16141,
															BgL_a1z00_16134);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2212z00_16142;

														BgL_arg2212z00_16142 =
															(BgL_spz00_16140 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13790), BgL_arg2212z00_16142,
															BgL_a2z00_16135);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16137))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16137))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2213z00_16143;
																		obj_t BgL_arg2214z00_16144;

																		BgL_arg2213z00_16143 =
																			(BgL_spz00_16140 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2215z00_16145;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2216z00_16146;

																				BgL_arg2216z00_16146 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16135,
																					BNIL);
																				BgL_list2215z00_16145 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16134,
																					BgL_arg2216z00_16146);
																			}
																			BgL_arg2214z00_16144 =
																				BgL_list2215z00_16145;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13790),
																			BgL_arg2213z00_16143,
																			BgL_arg2214z00_16144);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2217z00_16147;

																		BgL_arg2217z00_16147 =
																			(BgL_spz00_16140 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13790),
																			BgL_arg2217z00_16147, BgL_a1z00_16134);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2218z00_16148;
																		obj_t BgL_arg2219z00_16149;

																		BgL_arg2218z00_16148 =
																			(BgL_spz00_16140 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2220z00_16150;

																			BgL_list2220z00_16150 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16135, BNIL);
																			BgL_arg2219z00_16149 =
																				BgL_list2220z00_16150;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13790),
																			BgL_arg2218z00_16148,
																			BgL_arg2219z00_16149);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2221z00_16151;

																		BgL_arg2221z00_16151 =
																			(BgL_spz00_16140 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13790),
																			BgL_arg2221z00_16151, BgL_a1z00_16134);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2222z00_16152;

																		BgL_arg2222z00_16152 =
																			(BgL_spz00_16140 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13790),
																			BgL_arg2222z00_16152, BgL_a2z00_16135);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2223z00_16153;
																		obj_t BgL_arg2224z00_16154;

																		BgL_arg2223z00_16153 =
																			(BgL_spz00_16140 + ((long) 2));
																		BgL_arg2224z00_16154 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13790),
																			BgL_arg2223z00_16153,
																			BgL_arg2224z00_16154);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13787,
																		STRUCT_REF(BgL_ufz00_16136,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_16137));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13787, STRUCT_REF(BgL_ufz00_16136,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_16137));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16155;

												BgL_z12denvz12_16155 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16140 +
															(long) CINT(BgL_sfz00_16139)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13790))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16138, BgL_sz00_13790,
															BINT(BgL_spz00_16140));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16156;

														BgL_nsz00_16156 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2228z00_16157;

															BgL_arg2228z00_16157 =
																(BgL_spz00_16140 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16156, ((long) 2), BgL_sz00_13790,
																BINT(BgL_spz00_16140),
																BINT(BgL_arg2228z00_16157));
														}
														VECTOR_SET(BgL_nsz00_16156, ((long) 1),
															BgL_sz00_13790);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16155,
															BgL_nsz00_16156);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16158;

															BgL_ez00_16158 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_16159;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_16160;

																	BgL_arg4348z00_16160 =
																		BGL_EXITD_PROTECT(BgL_ez00_16158);
																	BgL_arg4347z00_16159 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13790,
																		BgL_arg4348z00_16160);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16158,
																	BgL_arg4347z00_16159);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16161;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16162;

																	BgL_savedzd2bpzd2_16162 =
																		VECTOR_REF(BgL_nsz00_16156, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16156, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16164;

																		BgL_fz00_16164 = BgL_runz00_16138;
																	BgL_recz00_16163:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16165;

																			BgL_rz00_16165 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16164))
																				(BgL_fz00_16164, BgL_nsz00_16156, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5142z00_22508;

																				if (PROCEDUREP(BgL_rz00_16165))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_16166;

																						BgL_arg1779z00_16166 =
																							PROCEDURE_ATTR(BgL_rz00_16165);
																						if (STRUCTP(BgL_arg1779z00_16166))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5142z00_22508 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_16166) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5142z00_22508 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5142z00_22508 =
																							((bool_t) 0);
																					}
																				if (BgL_test5142z00_22508)
																					{
																						obj_t BgL_fz00_22516;

																						BgL_fz00_22516 = BgL_rz00_16165;
																						BgL_fz00_16164 = BgL_fz00_22516;
																						goto BgL_recz00_16163;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16156,
																							((long) 0),
																							BgL_savedzd2bpzd2_16162);
																						BgL_____rz00_16161 = BgL_rz00_16165;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5145z00_22518;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_16167;

																		BgL_arg4346z00_16167 =
																			BGL_EXITD_PROTECT(BgL_ez00_16158);
																		BgL_test5145z00_22518 =
																			PAIRP(BgL_arg4346z00_16167);
																	}
																	if (BgL_test5145z00_22518)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_16168;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_16169;

																				BgL_arg4345z00_16169 =
																					BGL_EXITD_PROTECT(BgL_ez00_16158);
																				BgL_arg4344z00_16168 =
																					CDR(((obj_t) BgL_arg4345z00_16169));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16158,
																				BgL_arg4344z00_16168);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16155,
																	BgL_sz00_13790);
																return BgL_____rz00_16161;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16133,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16170;

												BgL_nbpz00_16170 =
													((long) CINT(BgL_bpz00_16132) + BgL_siza7eza7_13789);
												VECTOR_SET(
													((obj_t) BgL_sz00_13790), ((long) 0),
													BINT(BgL_nbpz00_16170));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16171;

													BgL_rz00_16171 =
														((obj_t(*)(obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16133)) (BgL_fz00_16133,
														BgL_a1z00_16134, BgL_a2z00_16135, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13790), ((long) 0),
														BgL_bpz00_16132);
													return BgL_rz00_16171;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13787,
													BgL_symbzd2funzd2_13788, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_16133));
		}}}}}}}}

	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2564;

				BgL_cfunz00_2564 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163,
					((long) 3), BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2564))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5148z00_22547;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1386z00_2586;

							BgL_a1386z00_2586 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5148z00_22547 =
									((long) (BgL_a1386z00_2586) > ((long) 0));
						}}
						if (BgL_test5148z00_22547)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32232ze3z87_13791;

								BgL_zc3z04anonymousza32232ze3z87_13791 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32232ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32232ze3z87_13791,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3z04anonymousza32232ze3z87_13791,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3z04anonymousza32232ze3z87_13791,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3z04anonymousza32232ze3z87_13791,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3z04anonymousza32232ze3z87_13791,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3z04anonymousza32232ze3z87_13791,
									(int) (((long) 5)), BgL_cfunz00_2564);
								return BgL_zc3z04anonymousza32232ze3z87_13791;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32234ze3z87_13792;

								BgL_zc3z04anonymousza32234ze3z87_13792 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32234ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32234ze3z87_13792,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3z04anonymousza32234ze3z87_13792,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3z04anonymousza32234ze3z87_13792,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3z04anonymousza32234ze3z87_13792,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3z04anonymousza32234ze3z87_13792,
									(int) (((long) 4)), BgL_cfunz00_2564);
								return BgL_zc3z04anonymousza32234ze3z87_13792;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5150z00_22583;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1388z00_2698;

									BgL_a1388z00_2698 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5150z00_22583 =
											((long) (BgL_a1388z00_2698) > ((long) 0));
								}}
								if (BgL_test5150z00_22583)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32237ze3z87_13793;

										BgL_zc3z04anonymousza32237ze3z87_13793 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32237ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32237ze3z87_13793,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32237ze3z87_13793,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32237ze3z87_13793,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32237ze3z87_13793,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32237ze3z87_13793,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32237ze3z87_13793,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32237ze3z87_13793,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32237ze3z87_13793;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32270ze3z87_13794;

										BgL_zc3z04anonymousza32270ze3z87_13794 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32270ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_13794,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_13794,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_13794,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_13794,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_13794,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_13794,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32270ze3z87_13794,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32270ze3z87_13794;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5151z00_22623;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1390z00_2810;

									BgL_a1390z00_2810 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5151z00_22623 =
											((long) (BgL_a1390z00_2810) > ((long) 0));
								}}
								if (BgL_test5151z00_22623)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32307ze3z87_13795;

										BgL_zc3z04anonymousza32307ze3z87_13795 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32307ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13795,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13795,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13795,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13795,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13795,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13795,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32307ze3z87_13795,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32307ze3z87_13795;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32342ze3z87_13796;

										BgL_zc3z04anonymousza32342ze3z87_13796 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32342ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_13796,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_13796,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_13796,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_13796,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_13796,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_13796,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32342ze3z87_13796,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32342ze3z87_13796;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2232> */
	obj_t BGl_z62zc3z04anonymousza32232ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13797, obj_t BgL_sz00_13804)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13798;
				obj_t BgL_a2z00_13799;
				obj_t BgL_a3z00_13800;
				long BgL_siza7eza7_13801;
				obj_t BgL_locz00_13802;
				obj_t BgL_cfunz00_13803;

				BgL_a1z00_13798 = PROCEDURE_REF(BgL_envz00_13797, (int) (((long) 0)));
				BgL_a2z00_13799 = PROCEDURE_REF(BgL_envz00_13797, (int) (((long) 1)));
				BgL_a3z00_13800 = PROCEDURE_REF(BgL_envz00_13797, (int) (((long) 2)));
				BgL_siza7eza7_13801 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13797, (int) (((long) 3))));
				BgL_locz00_13802 = PROCEDURE_REF(BgL_envz00_13797, (int) (((long) 4)));
				BgL_cfunz00_13803 = PROCEDURE_REF(BgL_envz00_13797, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16172;

					BgL_bpz00_16172 = VECTOR_REF(((obj_t) BgL_sz00_13804), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16173;
						obj_t BgL_a2z00_16174;
						obj_t BgL_a3z00_16175;

						BgL_a1z00_16173 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13798)) (BgL_a1z00_13798,
							BgL_sz00_13804, BEOA);
						BgL_a2z00_16174 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13799)) (BgL_a2z00_13799,
							BgL_sz00_13804, BEOA);
						BgL_a3z00_16175 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13800)) (BgL_a3z00_13800,
							BgL_sz00_13804, BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16176;

							BgL_nbpz00_16176 =
								((long) CINT(BgL_bpz00_16172) + BgL_siza7eza7_13801);
							VECTOR_SET(
								((obj_t) BgL_sz00_13804), ((long) 0), BINT(BgL_nbpz00_16176));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22695;

								BgL_tmpz00_22695 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22695, BgL_locz00_13802);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16177;

								BgL_rz00_16177 =
									((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13803)) (BgL_cfunz00_13803,
									BgL_a1z00_16173, BgL_a2z00_16174, BgL_a3z00_16175, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13804), ((long) 0),
									BgL_bpz00_16172);
								return BgL_rz00_16177;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2234> */
	obj_t BGl_z62zc3z04anonymousza32234ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13805, obj_t BgL_sz00_13811)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13806;
				obj_t BgL_a2z00_13807;
				obj_t BgL_a3z00_13808;
				long BgL_siza7eza7_13809;
				obj_t BgL_cfunz00_13810;

				BgL_a1z00_13806 = PROCEDURE_REF(BgL_envz00_13805, (int) (((long) 0)));
				BgL_a2z00_13807 = PROCEDURE_REF(BgL_envz00_13805, (int) (((long) 1)));
				BgL_a3z00_13808 = PROCEDURE_REF(BgL_envz00_13805, (int) (((long) 2)));
				BgL_siza7eza7_13809 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13805, (int) (((long) 3))));
				BgL_cfunz00_13810 = PROCEDURE_REF(BgL_envz00_13805, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16178;

					BgL_bpz00_16178 = VECTOR_REF(((obj_t) BgL_sz00_13811), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16179;
						obj_t BgL_a2z00_16180;
						obj_t BgL_a3z00_16181;

						BgL_a1z00_16179 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13806)) (BgL_a1z00_13806,
							BgL_sz00_13811, BEOA);
						BgL_a2z00_16180 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13807)) (BgL_a2z00_13807,
							BgL_sz00_13811, BEOA);
						BgL_a3z00_16181 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13808)) (BgL_a3z00_13808,
							BgL_sz00_13811, BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16182;

							BgL_nbpz00_16182 =
								((long) CINT(BgL_bpz00_16178) + BgL_siza7eza7_13809);
							VECTOR_SET(
								((obj_t) BgL_sz00_13811), ((long) 0), BINT(BgL_nbpz00_16182));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16183;

								BgL_rz00_16183 =
									((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13810)) (BgL_cfunz00_13810,
									BgL_a1z00_16179, BgL_a2z00_16180, BgL_a3z00_16181, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13811), ((long) 0),
									BgL_bpz00_16178);
								return BgL_rz00_16183;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2237> */
	obj_t BGl_z62zc3z04anonymousza32237ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13812, obj_t BgL_sz00_13820)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13813;
				obj_t BgL_a1z00_13814;
				obj_t BgL_a2z00_13815;
				obj_t BgL_a3z00_13816;
				obj_t BgL_locz00_13817;
				obj_t BgL_symbzd2funzd2_13818;
				long BgL_siza7eza7_13819;

				BgL_funz00_13813 = PROCEDURE_REF(BgL_envz00_13812, (int) (((long) 0)));
				BgL_a1z00_13814 = PROCEDURE_REF(BgL_envz00_13812, (int) (((long) 1)));
				BgL_a2z00_13815 = PROCEDURE_REF(BgL_envz00_13812, (int) (((long) 2)));
				BgL_a3z00_13816 = PROCEDURE_REF(BgL_envz00_13812, (int) (((long) 3)));
				BgL_locz00_13817 = PROCEDURE_REF(BgL_envz00_13812, (int) (((long) 4)));
				BgL_symbzd2funzd2_13818 =
					PROCEDURE_REF(BgL_envz00_13812, (int) (((long) 5)));
				BgL_siza7eza7_13819 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13812, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16184;

					BgL_bpz00_16184 = VECTOR_REF(((obj_t) BgL_sz00_13820), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16185;
						obj_t BgL_a1z00_16186;
						obj_t BgL_a2z00_16187;
						obj_t BgL_a3z00_16188;

						BgL_fz00_16185 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13813)) (BgL_funz00_13813,
							BgL_sz00_13820, BEOA);
						BgL_a1z00_16186 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13814)) (BgL_a1z00_13814,
							BgL_sz00_13820, BEOA);
						BgL_a2z00_16187 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13815)) (BgL_a2z00_13815,
							BgL_sz00_13820, BEOA);
						BgL_a3z00_16188 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13816)) (BgL_a3z00_13816,
							BgL_sz00_13820, BEOA);
						if (PROCEDUREP(BgL_fz00_16185))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13817,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16185);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16189;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22780;

								BgL_tmpz00_22780 = ((obj_t) BgL_fz00_16185);
								BgL_ufz00_16189 = PROCEDURE_ATTR(BgL_tmpz00_22780);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5153z00_22783;

								if (STRUCTP(BgL_ufz00_16189))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5153z00_22783 =
											(STRUCT_KEY(BgL_ufz00_16189) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5153z00_22783 = ((bool_t) 0);
									}
								if (BgL_test5153z00_22783)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16190;
										obj_t BgL_runz00_16191;
										obj_t BgL_sfz00_16192;

										BgL_arityz00_16190 =
											STRUCT_REF(BgL_ufz00_16189, (int) (((long) 0)));
										BgL_runz00_16191 =
											STRUCT_REF(BgL_ufz00_16189, (int) (((long) 1)));
										BgL_sfz00_16192 =
											STRUCT_REF(BgL_ufz00_16189, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16190) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2241z00_16193;

													BgL_arg2241z00_16193 =
														((long) CINT(BgL_bpz00_16184) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13820), BgL_arg2241z00_16193,
														BgL_a1z00_16186);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2242z00_16194;

													BgL_arg2242z00_16194 =
														((long) CINT(BgL_bpz00_16184) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13820), BgL_arg2242z00_16194,
														BgL_a2z00_16187);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2243z00_16195;

													BgL_arg2243z00_16195 =
														((long) CINT(BgL_bpz00_16184) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13820), BgL_arg2243z00_16195,
														BgL_a3z00_16188);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16190))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16190))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2244z00_16196;
																	obj_t BgL_arg2245z00_16197;

																	BgL_arg2244z00_16196 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2246z00_16198;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2247z00_16199;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2248z00_16200;

																				BgL_arg2248z00_16200 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16188,
																					BNIL);
																				BgL_arg2247z00_16199 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16187,
																					BgL_arg2248z00_16200);
																			}
																			BgL_list2246z00_16198 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16186,
																				BgL_arg2247z00_16199);
																		}
																		BgL_arg2245z00_16197 =
																			BgL_list2246z00_16198;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2244z00_16196, BgL_arg2245z00_16197);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2249z00_16201;

																	BgL_arg2249z00_16201 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2249z00_16201, BgL_a1z00_16186);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2250z00_16202;
																	obj_t BgL_arg2251z00_16203;

																	BgL_arg2250z00_16202 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2252z00_16204;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2253z00_16205;

																			BgL_arg2253z00_16205 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16188, BNIL);
																			BgL_list2252z00_16204 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16187,
																				BgL_arg2253z00_16205);
																		}
																		BgL_arg2251z00_16203 =
																			BgL_list2252z00_16204;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2250z00_16202, BgL_arg2251z00_16203);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2254z00_16206;

																	BgL_arg2254z00_16206 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2254z00_16206, BgL_a1z00_16186);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2255z00_16207;

																	BgL_arg2255z00_16207 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2255z00_16207, BgL_a2z00_16187);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2256z00_16208;
																	obj_t BgL_arg2257z00_16209;

																	BgL_arg2256z00_16208 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2258z00_16210;

																		BgL_list2258z00_16210 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16188, BNIL);
																		BgL_arg2257z00_16209 =
																			BgL_list2258z00_16210;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2256z00_16208, BgL_arg2257z00_16209);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2259z00_16211;

																	BgL_arg2259z00_16211 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2259z00_16211, BgL_a1z00_16186);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2260z00_16212;

																	BgL_arg2260z00_16212 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2260z00_16212, BgL_a2z00_16187);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2261z00_16213;

																	BgL_arg2261z00_16213 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2261z00_16213, BgL_a3z00_16188);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2262z00_16214;
																	obj_t BgL_arg2263z00_16215;

																	BgL_arg2262z00_16214 =
																		((long) CINT(BgL_bpz00_16184) + ((long) 3));
																	BgL_arg2263z00_16215 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13820),
																		BgL_arg2262z00_16214, BgL_arg2263z00_16215);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13817, STRUCT_REF(BgL_ufz00_16189,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_16190));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13817, STRUCT_REF(BgL_ufz00_16189,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_16190));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16216;

											BgL_z12denvz12_16216 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16216,
												BgL_locz00_13817);
											if ((((long) CINT(BgL_bpz00_16184) +
														(long) CINT(BgL_sfz00_16192)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13820))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16191;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16217;

													BgL_nsz00_16217 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2267z00_16218;

														BgL_arg2267z00_16218 =
															((long) CINT(BgL_bpz00_16184) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16217, ((long) 2), BgL_sz00_13820,
															BgL_bpz00_16184, BINT(BgL_arg2267z00_16218));
													}
													VECTOR_SET(BgL_nsz00_16217, ((long) 1),
														BgL_sz00_13820);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16216,
														BgL_nsz00_16217);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16219;

														BgL_ez00_16219 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_16220;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_16221;

																BgL_arg4348z00_16221 =
																	BGL_EXITD_PROTECT(BgL_ez00_16219);
																BgL_arg4347z00_16220 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13820,
																	BgL_arg4348z00_16221);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16219,
																BgL_arg4347z00_16220);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16222;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16223;

																BgL_savedzd2bpzd2_16223 =
																	VECTOR_REF(BgL_nsz00_16217, ((long) 0));
																VECTOR_SET(BgL_nsz00_16217, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16225;

																	BgL_fz00_16225 = BgL_runz00_16191;
																BgL_recz00_16224:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16226;

																		BgL_rz00_16226 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_16225))
																			(BgL_fz00_16225, BgL_nsz00_16217, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5158z00_22896;

																			if (PROCEDUREP(BgL_rz00_16226))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_16227;

																					BgL_arg1779z00_16227 =
																						PROCEDURE_ATTR(BgL_rz00_16226);
																					if (STRUCTP(BgL_arg1779z00_16227))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5158z00_22896 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_16227) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5158z00_22896 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5158z00_22896 = ((bool_t) 0);
																				}
																			if (BgL_test5158z00_22896)
																				{
																					obj_t BgL_fz00_22904;

																					BgL_fz00_22904 = BgL_rz00_16226;
																					BgL_fz00_16225 = BgL_fz00_22904;
																					goto BgL_recz00_16224;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16217,
																						((long) 0),
																						BgL_savedzd2bpzd2_16223);
																					BgL_____rz00_16222 = BgL_rz00_16226;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5161z00_22906;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_16228;

																	BgL_arg4346z00_16228 =
																		BGL_EXITD_PROTECT(BgL_ez00_16219);
																	BgL_test5161z00_22906 =
																		PAIRP(BgL_arg4346z00_16228);
																}
																if (BgL_test5161z00_22906)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_16229;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_16230;

																			BgL_arg4345z00_16230 =
																				BGL_EXITD_PROTECT(BgL_ez00_16219);
																			BgL_arg4344z00_16229 =
																				CDR(((obj_t) BgL_arg4345z00_16230));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16219,
																			BgL_arg4344z00_16229);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16216,
																BgL_sz00_13820);
															return BgL_____rz00_16222;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16185,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16231;

												BgL_nbpz00_16231 =
													((long) CINT(BgL_bpz00_16184) + BgL_siza7eza7_13819);
												VECTOR_SET(
													((obj_t) BgL_sz00_13820), ((long) 0),
													BINT(BgL_nbpz00_16231));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22922;

													BgL_tmpz00_22922 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22922,
														BgL_locz00_13817);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16232;

													BgL_rz00_16232 =
														((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16185)) (BgL_fz00_16185,
														BgL_a1z00_16186, BgL_a2z00_16187, BgL_a3z00_16188,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13820), ((long) 0),
														BgL_bpz00_16184);
													return BgL_rz00_16232;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13817,
													BgL_symbzd2funzd2_13818, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16185));
		}}}}}}}}

	}



/* &<@anonymous:2270> */
	obj_t BGl_z62zc3z04anonymousza32270ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13821, obj_t BgL_sz00_13829)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13822;
				obj_t BgL_a1z00_13823;
				obj_t BgL_a2z00_13824;
				obj_t BgL_a3z00_13825;
				obj_t BgL_locz00_13826;
				obj_t BgL_symbzd2funzd2_13827;
				long BgL_siza7eza7_13828;

				BgL_funz00_13822 = PROCEDURE_REF(BgL_envz00_13821, (int) (((long) 0)));
				BgL_a1z00_13823 = PROCEDURE_REF(BgL_envz00_13821, (int) (((long) 1)));
				BgL_a2z00_13824 = PROCEDURE_REF(BgL_envz00_13821, (int) (((long) 2)));
				BgL_a3z00_13825 = PROCEDURE_REF(BgL_envz00_13821, (int) (((long) 3)));
				BgL_locz00_13826 = PROCEDURE_REF(BgL_envz00_13821, (int) (((long) 4)));
				BgL_symbzd2funzd2_13827 =
					PROCEDURE_REF(BgL_envz00_13821, (int) (((long) 5)));
				BgL_siza7eza7_13828 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13821, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16233;

					BgL_bpz00_16233 = VECTOR_REF(((obj_t) BgL_sz00_13829), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16234;
						obj_t BgL_a1z00_16235;
						obj_t BgL_a2z00_16236;
						obj_t BgL_a3z00_16237;

						BgL_fz00_16234 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13822)) (BgL_funz00_13822,
							BgL_sz00_13829, BEOA);
						BgL_a1z00_16235 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13823)) (BgL_a1z00_13823,
							BgL_sz00_13829, BEOA);
						BgL_a2z00_16236 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13824)) (BgL_a2z00_13824,
							BgL_sz00_13829, BEOA);
						BgL_a3z00_16237 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13825)) (BgL_a3z00_13825,
							BgL_sz00_13829, BEOA);
						if (PROCEDUREP(BgL_fz00_16234))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13826,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16234);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16238;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22972;

								BgL_tmpz00_22972 = ((obj_t) BgL_fz00_16234);
								BgL_ufz00_16238 = PROCEDURE_ATTR(BgL_tmpz00_22972);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5164z00_22975;

								if (STRUCTP(BgL_ufz00_16238))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5164z00_22975 =
											(STRUCT_KEY(BgL_ufz00_16238) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5164z00_22975 = ((bool_t) 0);
									}
								if (BgL_test5164z00_22975)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16239;
										obj_t BgL_runz00_16240;
										obj_t BgL_sfz00_16241;

										BgL_arityz00_16239 =
											STRUCT_REF(BgL_ufz00_16238, (int) (((long) 0)));
										BgL_runz00_16240 =
											STRUCT_REF(BgL_ufz00_16238, (int) (((long) 1)));
										BgL_sfz00_16241 =
											STRUCT_REF(BgL_ufz00_16238, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16239) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2274z00_16242;

													BgL_arg2274z00_16242 =
														((long) CINT(BgL_bpz00_16233) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13829), BgL_arg2274z00_16242,
														BgL_a1z00_16235);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2275z00_16243;

													BgL_arg2275z00_16243 =
														((long) CINT(BgL_bpz00_16233) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13829), BgL_arg2275z00_16243,
														BgL_a2z00_16236);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2276z00_16244;

													BgL_arg2276z00_16244 =
														((long) CINT(BgL_bpz00_16233) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13829), BgL_arg2276z00_16244,
														BgL_a3z00_16237);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16239))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16239))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2277z00_16245;
																	obj_t BgL_arg2279z00_16246;

																	BgL_arg2277z00_16245 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2280z00_16247;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2281z00_16248;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2282z00_16249;

																				BgL_arg2282z00_16249 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16237,
																					BNIL);
																				BgL_arg2281z00_16248 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16236,
																					BgL_arg2282z00_16249);
																			}
																			BgL_list2280z00_16247 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16235,
																				BgL_arg2281z00_16248);
																		}
																		BgL_arg2279z00_16246 =
																			BgL_list2280z00_16247;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2277z00_16245, BgL_arg2279z00_16246);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2283z00_16250;

																	BgL_arg2283z00_16250 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2283z00_16250, BgL_a1z00_16235);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2285z00_16251;
																	obj_t BgL_arg2286z00_16252;

																	BgL_arg2285z00_16251 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2287z00_16253;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2288z00_16254;

																			BgL_arg2288z00_16254 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16237, BNIL);
																			BgL_list2287z00_16253 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16236,
																				BgL_arg2288z00_16254);
																		}
																		BgL_arg2286z00_16252 =
																			BgL_list2287z00_16253;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2285z00_16251, BgL_arg2286z00_16252);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2289z00_16255;

																	BgL_arg2289z00_16255 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2289z00_16255, BgL_a1z00_16235);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2290z00_16256;

																	BgL_arg2290z00_16256 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2290z00_16256, BgL_a2z00_16236);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2291z00_16257;
																	obj_t BgL_arg2292z00_16258;

																	BgL_arg2291z00_16257 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2293z00_16259;

																		BgL_list2293z00_16259 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16237, BNIL);
																		BgL_arg2292z00_16258 =
																			BgL_list2293z00_16259;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2291z00_16257, BgL_arg2292z00_16258);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2294z00_16260;

																	BgL_arg2294z00_16260 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2294z00_16260, BgL_a1z00_16235);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2295z00_16261;

																	BgL_arg2295z00_16261 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2295z00_16261, BgL_a2z00_16236);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2297z00_16262;

																	BgL_arg2297z00_16262 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2297z00_16262, BgL_a3z00_16237);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2298z00_16263;
																	obj_t BgL_arg2299z00_16264;

																	BgL_arg2298z00_16263 =
																		((long) CINT(BgL_bpz00_16233) + ((long) 3));
																	BgL_arg2299z00_16264 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13829),
																		BgL_arg2298z00_16263, BgL_arg2299z00_16264);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13826, STRUCT_REF(BgL_ufz00_16238,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_16239));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13826, STRUCT_REF(BgL_ufz00_16238,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_16239));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16265;

											BgL_z12denvz12_16265 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16233) +
														(long) CINT(BgL_sfz00_16241)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13829))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16240;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16266;

													BgL_nsz00_16266 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2303z00_16267;

														BgL_arg2303z00_16267 =
															((long) CINT(BgL_bpz00_16233) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16266, ((long) 2), BgL_sz00_13829,
															BgL_bpz00_16233, BINT(BgL_arg2303z00_16267));
													}
													VECTOR_SET(BgL_nsz00_16266, ((long) 1),
														BgL_sz00_13829);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16265,
														BgL_nsz00_16266);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16268;

														BgL_ez00_16268 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_16269;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_16270;

																BgL_arg4348z00_16270 =
																	BGL_EXITD_PROTECT(BgL_ez00_16268);
																BgL_arg4347z00_16269 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13829,
																	BgL_arg4348z00_16270);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16268,
																BgL_arg4347z00_16269);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16271;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16272;

																BgL_savedzd2bpzd2_16272 =
																	VECTOR_REF(BgL_nsz00_16266, ((long) 0));
																VECTOR_SET(BgL_nsz00_16266, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16274;

																	BgL_fz00_16274 = BgL_runz00_16240;
																BgL_recz00_16273:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16275;

																		BgL_rz00_16275 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_16274))
																			(BgL_fz00_16274, BgL_nsz00_16266, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5169z00_23087;

																			if (PROCEDUREP(BgL_rz00_16275))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_16276;

																					BgL_arg1779z00_16276 =
																						PROCEDURE_ATTR(BgL_rz00_16275);
																					if (STRUCTP(BgL_arg1779z00_16276))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5169z00_23087 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_16276) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5169z00_23087 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5169z00_23087 = ((bool_t) 0);
																				}
																			if (BgL_test5169z00_23087)
																				{
																					obj_t BgL_fz00_23095;

																					BgL_fz00_23095 = BgL_rz00_16275;
																					BgL_fz00_16274 = BgL_fz00_23095;
																					goto BgL_recz00_16273;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16266,
																						((long) 0),
																						BgL_savedzd2bpzd2_16272);
																					BgL_____rz00_16271 = BgL_rz00_16275;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5172z00_23097;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_16277;

																	BgL_arg4346z00_16277 =
																		BGL_EXITD_PROTECT(BgL_ez00_16268);
																	BgL_test5172z00_23097 =
																		PAIRP(BgL_arg4346z00_16277);
																}
																if (BgL_test5172z00_23097)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_16278;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_16279;

																			BgL_arg4345z00_16279 =
																				BGL_EXITD_PROTECT(BgL_ez00_16268);
																			BgL_arg4344z00_16278 =
																				CDR(((obj_t) BgL_arg4345z00_16279));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16268,
																			BgL_arg4344z00_16278);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16265,
																BgL_sz00_13829);
															return BgL_____rz00_16271;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16234,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16280;

												BgL_nbpz00_16280 =
													((long) CINT(BgL_bpz00_16233) + BgL_siza7eza7_13828);
												VECTOR_SET(
													((obj_t) BgL_sz00_13829), ((long) 0),
													BINT(BgL_nbpz00_16280));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16281;

													BgL_rz00_16281 =
														((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16234)) (BgL_fz00_16234,
														BgL_a1z00_16235, BgL_a2z00_16236, BgL_a3z00_16237,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13829), ((long) 0),
														BgL_bpz00_16233);
													return BgL_rz00_16281;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13826,
													BgL_symbzd2funzd2_13827, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16234));
		}}}}}}}}

	}



/* &<@anonymous:2307> */
	obj_t BGl_z62zc3z04anonymousza32307ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13830, obj_t BgL_sz00_13838)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13831;
				obj_t BgL_a1z00_13832;
				obj_t BgL_a2z00_13833;
				obj_t BgL_a3z00_13834;
				obj_t BgL_locz00_13835;
				obj_t BgL_symbzd2funzd2_13836;
				long BgL_siza7eza7_13837;

				BgL_funz00_13831 = PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 0)));
				BgL_a1z00_13832 = PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 1)));
				BgL_a2z00_13833 = PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 2)));
				BgL_a3z00_13834 = PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 3)));
				BgL_locz00_13835 = PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 4)));
				BgL_symbzd2funzd2_13836 =
					PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 5)));
				BgL_siza7eza7_13837 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13830, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16282;

					BgL_bpz00_16282 = VECTOR_REF(((obj_t) BgL_sz00_13838), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16283;
						obj_t BgL_a1z00_16284;
						obj_t BgL_a2z00_16285;
						obj_t BgL_a3z00_16286;

						BgL_fz00_16283 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13831)) (BgL_funz00_13831,
							BgL_sz00_13838, BEOA);
						BgL_a1z00_16284 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13832)) (BgL_a1z00_13832,
							BgL_sz00_13838, BEOA);
						BgL_a2z00_16285 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13833)) (BgL_a2z00_13833,
							BgL_sz00_13838, BEOA);
						BgL_a3z00_16286 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13834)) (BgL_a3z00_13834,
							BgL_sz00_13838, BEOA);
						if (PROCEDUREP(BgL_fz00_16283))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13835,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16283);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16287;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23160;

								BgL_tmpz00_23160 = ((obj_t) BgL_fz00_16283);
								BgL_ufz00_16287 = PROCEDURE_ATTR(BgL_tmpz00_23160);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5175z00_23163;

								if (STRUCTP(BgL_ufz00_16287))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5175z00_23163 =
											(STRUCT_KEY(BgL_ufz00_16287) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5175z00_23163 = ((bool_t) 0);
									}
								if (BgL_test5175z00_23163)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16288;
										obj_t BgL_runz00_16289;
										obj_t BgL_sfz00_16290;

										BgL_arityz00_16288 =
											STRUCT_REF(BgL_ufz00_16287, (int) (((long) 0)));
										BgL_runz00_16289 =
											STRUCT_REF(BgL_ufz00_16287, (int) (((long) 1)));
										BgL_sfz00_16290 =
											STRUCT_REF(BgL_ufz00_16287, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16291;

											BgL_spz00_16291 =
												((long) CINT(BgL_bpz00_16282) + BgL_siza7eza7_13837);
											if (((long) CINT(BgL_arityz00_16288) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2311z00_16292;

														BgL_arg2311z00_16292 =
															(BgL_spz00_16291 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13838), BgL_arg2311z00_16292,
															BgL_a1z00_16284);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2312z00_16293;

														BgL_arg2312z00_16293 =
															(BgL_spz00_16291 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13838), BgL_arg2312z00_16293,
															BgL_a2z00_16285);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2313z00_16294;

														BgL_arg2313z00_16294 =
															(BgL_spz00_16291 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13838), BgL_arg2313z00_16294,
															BgL_a3z00_16286);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16288))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16288))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2314z00_16295;
																		obj_t BgL_arg2315z00_16296;

																		BgL_arg2314z00_16295 =
																			(BgL_spz00_16291 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2316z00_16297;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2317z00_16298;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2318z00_16299;

																					BgL_arg2318z00_16299 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16286,
																						BNIL);
																					BgL_arg2317z00_16298 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16285,
																						BgL_arg2318z00_16299);
																				}
																				BgL_list2316z00_16297 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16284,
																					BgL_arg2317z00_16298);
																			}
																			BgL_arg2315z00_16296 =
																				BgL_list2316z00_16297;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2314z00_16295,
																			BgL_arg2315z00_16296);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2319z00_16300;

																		BgL_arg2319z00_16300 =
																			(BgL_spz00_16291 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2319z00_16300, BgL_a1z00_16284);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2320z00_16301;
																		obj_t BgL_arg2321z00_16302;

																		BgL_arg2320z00_16301 =
																			(BgL_spz00_16291 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2322z00_16303;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2323z00_16304;

																				BgL_arg2323z00_16304 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16286,
																					BNIL);
																				BgL_list2322z00_16303 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16285,
																					BgL_arg2323z00_16304);
																			}
																			BgL_arg2321z00_16302 =
																				BgL_list2322z00_16303;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2320z00_16301,
																			BgL_arg2321z00_16302);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2324z00_16305;

																		BgL_arg2324z00_16305 =
																			(BgL_spz00_16291 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2324z00_16305, BgL_a1z00_16284);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2326z00_16306;

																		BgL_arg2326z00_16306 =
																			(BgL_spz00_16291 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2326z00_16306, BgL_a2z00_16285);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2328z00_16307;
																		obj_t BgL_arg2329z00_16308;

																		BgL_arg2328z00_16307 =
																			(BgL_spz00_16291 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2330z00_16309;

																			BgL_list2330z00_16309 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16286, BNIL);
																			BgL_arg2329z00_16308 =
																				BgL_list2330z00_16309;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2328z00_16307,
																			BgL_arg2329z00_16308);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2331z00_16310;

																		BgL_arg2331z00_16310 =
																			(BgL_spz00_16291 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2331z00_16310, BgL_a1z00_16284);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2332z00_16311;

																		BgL_arg2332z00_16311 =
																			(BgL_spz00_16291 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2332z00_16311, BgL_a2z00_16285);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2333z00_16312;

																		BgL_arg2333z00_16312 =
																			(BgL_spz00_16291 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2333z00_16312, BgL_a3z00_16286);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2334z00_16313;
																		obj_t BgL_arg2335z00_16314;

																		BgL_arg2334z00_16313 =
																			(BgL_spz00_16291 + ((long) 3));
																		BgL_arg2335z00_16314 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13838),
																			BgL_arg2334z00_16313,
																			BgL_arg2335z00_16314);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13835,
																		STRUCT_REF(BgL_ufz00_16287,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_16288));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13835, STRUCT_REF(BgL_ufz00_16287,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_16288));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16315;

												BgL_z12denvz12_16315 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16315,
													BgL_locz00_13835);
												if (((BgL_spz00_16291 + (long) CINT(BgL_sfz00_16290)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13838))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16289, BgL_sz00_13838,
															BINT(BgL_spz00_16291));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16316;

														BgL_nsz00_16316 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2339z00_16317;

															BgL_arg2339z00_16317 =
																(BgL_spz00_16291 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16316, ((long) 2), BgL_sz00_13838,
																BINT(BgL_spz00_16291),
																BINT(BgL_arg2339z00_16317));
														}
														VECTOR_SET(BgL_nsz00_16316, ((long) 1),
															BgL_sz00_13838);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16315,
															BgL_nsz00_16316);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16318;

															BgL_ez00_16318 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_16319;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_16320;

																	BgL_arg4348z00_16320 =
																		BGL_EXITD_PROTECT(BgL_ez00_16318);
																	BgL_arg4347z00_16319 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13838,
																		BgL_arg4348z00_16320);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16318,
																	BgL_arg4347z00_16319);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16321;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16322;

																	BgL_savedzd2bpzd2_16322 =
																		VECTOR_REF(BgL_nsz00_16316, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16316, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16324;

																		BgL_fz00_16324 = BgL_runz00_16289;
																	BgL_recz00_16323:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16325;

																			BgL_rz00_16325 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16324))
																				(BgL_fz00_16324, BgL_nsz00_16316, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5180z00_23266;

																				if (PROCEDUREP(BgL_rz00_16325))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_16326;

																						BgL_arg1779z00_16326 =
																							PROCEDURE_ATTR(BgL_rz00_16325);
																						if (STRUCTP(BgL_arg1779z00_16326))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5180z00_23266 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_16326) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5180z00_23266 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5180z00_23266 =
																							((bool_t) 0);
																					}
																				if (BgL_test5180z00_23266)
																					{
																						obj_t BgL_fz00_23274;

																						BgL_fz00_23274 = BgL_rz00_16325;
																						BgL_fz00_16324 = BgL_fz00_23274;
																						goto BgL_recz00_16323;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16316,
																							((long) 0),
																							BgL_savedzd2bpzd2_16322);
																						BgL_____rz00_16321 = BgL_rz00_16325;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5183z00_23276;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_16327;

																		BgL_arg4346z00_16327 =
																			BGL_EXITD_PROTECT(BgL_ez00_16318);
																		BgL_test5183z00_23276 =
																			PAIRP(BgL_arg4346z00_16327);
																	}
																	if (BgL_test5183z00_23276)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_16328;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_16329;

																				BgL_arg4345z00_16329 =
																					BGL_EXITD_PROTECT(BgL_ez00_16318);
																				BgL_arg4344z00_16328 =
																					CDR(((obj_t) BgL_arg4345z00_16329));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16318,
																				BgL_arg4344z00_16328);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16315,
																	BgL_sz00_13838);
																return BgL_____rz00_16321;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16283,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16330;

												BgL_nbpz00_16330 =
													((long) CINT(BgL_bpz00_16282) + BgL_siza7eza7_13837);
												VECTOR_SET(
													((obj_t) BgL_sz00_13838), ((long) 0),
													BINT(BgL_nbpz00_16330));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_23292;

													BgL_tmpz00_23292 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23292,
														BgL_locz00_13835);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16331;

													BgL_rz00_16331 =
														((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16283)) (BgL_fz00_16283,
														BgL_a1z00_16284, BgL_a2z00_16285, BgL_a3z00_16286,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13838), ((long) 0),
														BgL_bpz00_16282);
													return BgL_rz00_16331;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13835,
													BgL_symbzd2funzd2_13836, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16283));
		}}}}}}}}

	}



/* &<@anonymous:2342> */
	obj_t BGl_z62zc3z04anonymousza32342ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13839, obj_t BgL_sz00_13847)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13840;
				obj_t BgL_a1z00_13841;
				obj_t BgL_a2z00_13842;
				obj_t BgL_a3z00_13843;
				obj_t BgL_locz00_13844;
				obj_t BgL_symbzd2funzd2_13845;
				long BgL_siza7eza7_13846;

				BgL_funz00_13840 = PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 0)));
				BgL_a1z00_13841 = PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 1)));
				BgL_a2z00_13842 = PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 2)));
				BgL_a3z00_13843 = PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 3)));
				BgL_locz00_13844 = PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 4)));
				BgL_symbzd2funzd2_13845 =
					PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 5)));
				BgL_siza7eza7_13846 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13839, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16332;

					BgL_bpz00_16332 = VECTOR_REF(((obj_t) BgL_sz00_13847), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16333;
						obj_t BgL_a1z00_16334;
						obj_t BgL_a2z00_16335;
						obj_t BgL_a3z00_16336;

						BgL_fz00_16333 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13840)) (BgL_funz00_13840,
							BgL_sz00_13847, BEOA);
						BgL_a1z00_16334 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13841)) (BgL_a1z00_13841,
							BgL_sz00_13847, BEOA);
						BgL_a2z00_16335 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13842)) (BgL_a2z00_13842,
							BgL_sz00_13847, BEOA);
						BgL_a3z00_16336 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13843)) (BgL_a3z00_13843,
							BgL_sz00_13847, BEOA);
						if (PROCEDUREP(BgL_fz00_16333))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13844,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16333);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16337;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23342;

								BgL_tmpz00_23342 = ((obj_t) BgL_fz00_16333);
								BgL_ufz00_16337 = PROCEDURE_ATTR(BgL_tmpz00_23342);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5186z00_23345;

								if (STRUCTP(BgL_ufz00_16337))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5186z00_23345 =
											(STRUCT_KEY(BgL_ufz00_16337) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5186z00_23345 = ((bool_t) 0);
									}
								if (BgL_test5186z00_23345)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16338;
										obj_t BgL_runz00_16339;
										obj_t BgL_sfz00_16340;

										BgL_arityz00_16338 =
											STRUCT_REF(BgL_ufz00_16337, (int) (((long) 0)));
										BgL_runz00_16339 =
											STRUCT_REF(BgL_ufz00_16337, (int) (((long) 1)));
										BgL_sfz00_16340 =
											STRUCT_REF(BgL_ufz00_16337, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16341;

											BgL_spz00_16341 =
												((long) CINT(BgL_bpz00_16332) + BgL_siza7eza7_13846);
											if (((long) CINT(BgL_arityz00_16338) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2346z00_16342;

														BgL_arg2346z00_16342 =
															(BgL_spz00_16341 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13847), BgL_arg2346z00_16342,
															BgL_a1z00_16334);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2347z00_16343;

														BgL_arg2347z00_16343 =
															(BgL_spz00_16341 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13847), BgL_arg2347z00_16343,
															BgL_a2z00_16335);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2348z00_16344;

														BgL_arg2348z00_16344 =
															(BgL_spz00_16341 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13847), BgL_arg2348z00_16344,
															BgL_a3z00_16336);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16338))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16338))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2350z00_16345;
																		obj_t BgL_arg2352z00_16346;

																		BgL_arg2350z00_16345 =
																			(BgL_spz00_16341 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2353z00_16347;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2355z00_16348;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2356z00_16349;

																					BgL_arg2356z00_16349 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16336,
																						BNIL);
																					BgL_arg2355z00_16348 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16335,
																						BgL_arg2356z00_16349);
																				}
																				BgL_list2353z00_16347 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16334,
																					BgL_arg2355z00_16348);
																			}
																			BgL_arg2352z00_16346 =
																				BgL_list2353z00_16347;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2350z00_16345,
																			BgL_arg2352z00_16346);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2357z00_16350;

																		BgL_arg2357z00_16350 =
																			(BgL_spz00_16341 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2357z00_16350, BgL_a1z00_16334);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2358z00_16351;
																		obj_t BgL_arg2359z00_16352;

																		BgL_arg2358z00_16351 =
																			(BgL_spz00_16341 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2360z00_16353;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2361z00_16354;

																				BgL_arg2361z00_16354 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16336,
																					BNIL);
																				BgL_list2360z00_16353 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16335,
																					BgL_arg2361z00_16354);
																			}
																			BgL_arg2359z00_16352 =
																				BgL_list2360z00_16353;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2358z00_16351,
																			BgL_arg2359z00_16352);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2362z00_16355;

																		BgL_arg2362z00_16355 =
																			(BgL_spz00_16341 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2362z00_16355, BgL_a1z00_16334);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2363z00_16356;

																		BgL_arg2363z00_16356 =
																			(BgL_spz00_16341 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2363z00_16356, BgL_a2z00_16335);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2364z00_16357;
																		obj_t BgL_arg2365z00_16358;

																		BgL_arg2364z00_16357 =
																			(BgL_spz00_16341 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2366z00_16359;

																			BgL_list2366z00_16359 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16336, BNIL);
																			BgL_arg2365z00_16358 =
																				BgL_list2366z00_16359;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2364z00_16357,
																			BgL_arg2365z00_16358);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2367z00_16360;

																		BgL_arg2367z00_16360 =
																			(BgL_spz00_16341 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2367z00_16360, BgL_a1z00_16334);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2368z00_16361;

																		BgL_arg2368z00_16361 =
																			(BgL_spz00_16341 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2368z00_16361, BgL_a2z00_16335);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2369z00_16362;

																		BgL_arg2369z00_16362 =
																			(BgL_spz00_16341 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2369z00_16362, BgL_a3z00_16336);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2370z00_16363;
																		obj_t BgL_arg2371z00_16364;

																		BgL_arg2370z00_16363 =
																			(BgL_spz00_16341 + ((long) 3));
																		BgL_arg2371z00_16364 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13847),
																			BgL_arg2370z00_16363,
																			BgL_arg2371z00_16364);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13844,
																		STRUCT_REF(BgL_ufz00_16337,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_16338));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13844, STRUCT_REF(BgL_ufz00_16337,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_16338));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16365;

												BgL_z12denvz12_16365 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16341 +
															(long) CINT(BgL_sfz00_16340)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13847))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16339, BgL_sz00_13847,
															BINT(BgL_spz00_16341));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16366;

														BgL_nsz00_16366 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2375z00_16367;

															BgL_arg2375z00_16367 =
																(BgL_spz00_16341 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16366, ((long) 2), BgL_sz00_13847,
																BINT(BgL_spz00_16341),
																BINT(BgL_arg2375z00_16367));
														}
														VECTOR_SET(BgL_nsz00_16366, ((long) 1),
															BgL_sz00_13847);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16365,
															BgL_nsz00_16366);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16368;

															BgL_ez00_16368 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_16369;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_16370;

																	BgL_arg4348z00_16370 =
																		BGL_EXITD_PROTECT(BgL_ez00_16368);
																	BgL_arg4347z00_16369 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13847,
																		BgL_arg4348z00_16370);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16368,
																	BgL_arg4347z00_16369);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16371;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16372;

																	BgL_savedzd2bpzd2_16372 =
																		VECTOR_REF(BgL_nsz00_16366, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16366, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16374;

																		BgL_fz00_16374 = BgL_runz00_16339;
																	BgL_recz00_16373:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16375;

																			BgL_rz00_16375 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16374))
																				(BgL_fz00_16374, BgL_nsz00_16366, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5191z00_23447;

																				if (PROCEDUREP(BgL_rz00_16375))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_16376;

																						BgL_arg1779z00_16376 =
																							PROCEDURE_ATTR(BgL_rz00_16375);
																						if (STRUCTP(BgL_arg1779z00_16376))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5191z00_23447 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_16376) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5191z00_23447 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5191z00_23447 =
																							((bool_t) 0);
																					}
																				if (BgL_test5191z00_23447)
																					{
																						obj_t BgL_fz00_23455;

																						BgL_fz00_23455 = BgL_rz00_16375;
																						BgL_fz00_16374 = BgL_fz00_23455;
																						goto BgL_recz00_16373;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16366,
																							((long) 0),
																							BgL_savedzd2bpzd2_16372);
																						BgL_____rz00_16371 = BgL_rz00_16375;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5194z00_23457;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_16377;

																		BgL_arg4346z00_16377 =
																			BGL_EXITD_PROTECT(BgL_ez00_16368);
																		BgL_test5194z00_23457 =
																			PAIRP(BgL_arg4346z00_16377);
																	}
																	if (BgL_test5194z00_23457)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_16378;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_16379;

																				BgL_arg4345z00_16379 =
																					BGL_EXITD_PROTECT(BgL_ez00_16368);
																				BgL_arg4344z00_16378 =
																					CDR(((obj_t) BgL_arg4345z00_16379));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16368,
																				BgL_arg4344z00_16378);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16365,
																	BgL_sz00_13847);
																return BgL_____rz00_16371;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16333,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16380;

												BgL_nbpz00_16380 =
													((long) CINT(BgL_bpz00_16332) + BgL_siza7eza7_13846);
												VECTOR_SET(
													((obj_t) BgL_sz00_13847), ((long) 0),
													BINT(BgL_nbpz00_16380));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16381;

													BgL_rz00_16381 =
														((obj_t(*)(obj_t, obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16333)) (BgL_fz00_16333,
														BgL_a1z00_16334, BgL_a2z00_16335, BgL_a3z00_16336,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13847), ((long) 0),
														BgL_bpz00_16332);
													return BgL_rz00_16381;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13844,
													BgL_symbzd2funzd2_13845, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16333));
		}}}}}}}}

	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2813;

				BgL_cfunz00_2813 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173,
					((long) 4), BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2813))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5197z00_23487;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_a1392z00_2837;

							BgL_a1392z00_2837 = bgl_debug();
							{	/* Eval/evaluate_comp.scm 896 */

								BgL_test5197z00_23487 =
									((long) (BgL_a1392z00_2837) > ((long) 0));
						}}
						if (BgL_test5197z00_23487)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32379ze3z87_13848;

								BgL_zc3z04anonymousza32379ze3z87_13848 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32379ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32379ze3z87_13848,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3z04anonymousza32379ze3z87_13848,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3z04anonymousza32379ze3z87_13848,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3z04anonymousza32379ze3z87_13848,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3z04anonymousza32379ze3z87_13848,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3z04anonymousza32379ze3z87_13848,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3z04anonymousza32379ze3z87_13848,
									(int) (((long) 6)), BgL_cfunz00_2813);
								return BgL_zc3z04anonymousza32379ze3z87_13848;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32381ze3z87_13849;

								BgL_zc3z04anonymousza32381ze3z87_13849 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32381ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13849,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13849,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13849,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13849,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13849,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3z04anonymousza32381ze3z87_13849,
									(int) (((long) 5)), BgL_cfunz00_2813);
								return BgL_zc3z04anonymousza32381ze3z87_13849;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5199z00_23527;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1394z00_2973;

									BgL_a1394z00_2973 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5199z00_23527 =
											((long) (BgL_a1394z00_2973) > ((long) 0));
								}}
								if (BgL_test5199z00_23527)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32384ze3z87_13850;

										BgL_zc3z04anonymousza32384ze3z87_13850 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32384ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32384ze3z87_13850,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32384ze3z87_13850,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32384ze3z87_13850,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32384ze3z87_13850,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32384ze3z87_13850,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32384ze3z87_13850,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32384ze3z87_13850,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32384ze3z87_13850,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32384ze3z87_13850;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32437ze3z87_13851;

										BgL_zc3z04anonymousza32437ze3z87_13851 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32437ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32437ze3z87_13851,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32437ze3z87_13851,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32437ze3z87_13851,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32437ze3z87_13851,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32437ze3z87_13851,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32437ze3z87_13851,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32437ze3z87_13851,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32437ze3z87_13851,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32437ze3z87_13851;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5200z00_23571;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_a1396z00_3109;

									BgL_a1396z00_3109 = bgl_debug();
									{	/* Eval/evaluate_comp.scm 896 */

										BgL_test5200z00_23571 =
											((long) (BgL_a1396z00_3109) > ((long) 0));
								}}
								if (BgL_test5200z00_23571)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32491ze3z87_13852;

										BgL_zc3z04anonymousza32491ze3z87_13852 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32491ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32491ze3z87_13852,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32491ze3z87_13852,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32491ze3z87_13852,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32491ze3z87_13852,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32491ze3z87_13852,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32491ze3z87_13852,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32491ze3z87_13852,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32491ze3z87_13852,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32491ze3z87_13852;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32560ze3z87_13853;

										BgL_zc3z04anonymousza32560ze3z87_13853 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32560ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32560ze3z87_13853,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32560ze3z87_13853,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32560ze3z87_13853,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32560ze3z87_13853,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32560ze3z87_13853,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32560ze3z87_13853,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32560ze3z87_13853,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32560ze3z87_13853,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32560ze3z87_13853;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2379> */
	obj_t BGl_z62zc3z04anonymousza32379ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13854, obj_t BgL_sz00_13862)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13855;
				obj_t BgL_a2z00_13856;
				obj_t BgL_a3z00_13857;
				obj_t BgL_a4z00_13858;
				long BgL_siza7eza7_13859;
				obj_t BgL_locz00_13860;
				obj_t BgL_cfunz00_13861;

				BgL_a1z00_13855 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 0)));
				BgL_a2z00_13856 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 1)));
				BgL_a3z00_13857 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 2)));
				BgL_a4z00_13858 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 3)));
				BgL_siza7eza7_13859 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 4))));
				BgL_locz00_13860 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 5)));
				BgL_cfunz00_13861 = PROCEDURE_REF(BgL_envz00_13854, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16382;

					BgL_bpz00_16382 = VECTOR_REF(((obj_t) BgL_sz00_13862), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16383;
						obj_t BgL_a2z00_16384;
						obj_t BgL_a3z00_16385;
						obj_t BgL_a4z00_16386;

						BgL_a1z00_16383 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13855)) (BgL_a1z00_13855,
							BgL_sz00_13862, BEOA);
						BgL_a2z00_16384 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13856)) (BgL_a2z00_13856,
							BgL_sz00_13862, BEOA);
						BgL_a3z00_16385 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13857)) (BgL_a3z00_13857,
							BgL_sz00_13862, BEOA);
						BgL_a4z00_16386 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13858)) (BgL_a4z00_13858,
							BgL_sz00_13862, BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16387;

							BgL_nbpz00_16387 =
								((long) CINT(BgL_bpz00_16382) + BgL_siza7eza7_13859);
							VECTOR_SET(
								((obj_t) BgL_sz00_13862), ((long) 0), BINT(BgL_nbpz00_16387));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23653;

								BgL_tmpz00_23653 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23653, BgL_locz00_13860);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16388;

								BgL_rz00_16388 =
									((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13861)) (BgL_cfunz00_13861,
									BgL_a1z00_16383, BgL_a2z00_16384, BgL_a3z00_16385,
									BgL_a4z00_16386, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13862), ((long) 0),
									BgL_bpz00_16382);
								return BgL_rz00_16388;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2381> */
	obj_t BGl_z62zc3z04anonymousza32381ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13863, obj_t BgL_sz00_13870)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13864;
				obj_t BgL_a2z00_13865;
				obj_t BgL_a3z00_13866;
				obj_t BgL_a4z00_13867;
				long BgL_siza7eza7_13868;
				obj_t BgL_cfunz00_13869;

				BgL_a1z00_13864 = PROCEDURE_REF(BgL_envz00_13863, (int) (((long) 0)));
				BgL_a2z00_13865 = PROCEDURE_REF(BgL_envz00_13863, (int) (((long) 1)));
				BgL_a3z00_13866 = PROCEDURE_REF(BgL_envz00_13863, (int) (((long) 2)));
				BgL_a4z00_13867 = PROCEDURE_REF(BgL_envz00_13863, (int) (((long) 3)));
				BgL_siza7eza7_13868 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13863, (int) (((long) 4))));
				BgL_cfunz00_13869 = PROCEDURE_REF(BgL_envz00_13863, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16389;

					BgL_bpz00_16389 = VECTOR_REF(((obj_t) BgL_sz00_13870), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16390;
						obj_t BgL_a2z00_16391;
						obj_t BgL_a3z00_16392;
						obj_t BgL_a4z00_16393;

						BgL_a1z00_16390 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13864)) (BgL_a1z00_13864,
							BgL_sz00_13870, BEOA);
						BgL_a2z00_16391 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13865)) (BgL_a2z00_13865,
							BgL_sz00_13870, BEOA);
						BgL_a3z00_16392 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13866)) (BgL_a3z00_13866,
							BgL_sz00_13870, BEOA);
						BgL_a4z00_16393 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13867)) (BgL_a4z00_13867,
							BgL_sz00_13870, BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16394;

							BgL_nbpz00_16394 =
								((long) CINT(BgL_bpz00_16389) + BgL_siza7eza7_13868);
							VECTOR_SET(
								((obj_t) BgL_sz00_13870), ((long) 0), BINT(BgL_nbpz00_16394));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16395;

								BgL_rz00_16395 =
									((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_cfunz00_13869)) (BgL_cfunz00_13869,
									BgL_a1z00_16390, BgL_a2z00_16391, BgL_a3z00_16392,
									BgL_a4z00_16393, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13870), ((long) 0),
									BgL_bpz00_16389);
								return BgL_rz00_16395;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2384> */
	obj_t BGl_z62zc3z04anonymousza32384ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13871, obj_t BgL_sz00_13880)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13872;
				obj_t BgL_a1z00_13873;
				obj_t BgL_a2z00_13874;
				obj_t BgL_a3z00_13875;
				obj_t BgL_a4z00_13876;
				obj_t BgL_locz00_13877;
				obj_t BgL_symbzd2funzd2_13878;
				long BgL_siza7eza7_13879;

				BgL_funz00_13872 = PROCEDURE_REF(BgL_envz00_13871, (int) (((long) 0)));
				BgL_a1z00_13873 = PROCEDURE_REF(BgL_envz00_13871, (int) (((long) 1)));
				BgL_a2z00_13874 = PROCEDURE_REF(BgL_envz00_13871, (int) (((long) 2)));
				BgL_a3z00_13875 = PROCEDURE_REF(BgL_envz00_13871, (int) (((long) 3)));
				BgL_a4z00_13876 = PROCEDURE_REF(BgL_envz00_13871, (int) (((long) 4)));
				BgL_locz00_13877 = PROCEDURE_REF(BgL_envz00_13871, (int) (((long) 5)));
				BgL_symbzd2funzd2_13878 =
					PROCEDURE_REF(BgL_envz00_13871, (int) (((long) 6)));
				BgL_siza7eza7_13879 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13871, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16396;

					BgL_bpz00_16396 = VECTOR_REF(((obj_t) BgL_sz00_13880), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16397;
						obj_t BgL_a1z00_16398;
						obj_t BgL_a2z00_16399;
						obj_t BgL_a3z00_16400;
						obj_t BgL_a4z00_16401;

						BgL_fz00_16397 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13872)) (BgL_funz00_13872,
							BgL_sz00_13880, BEOA);
						BgL_a1z00_16398 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13873)) (BgL_a1z00_13873,
							BgL_sz00_13880, BEOA);
						BgL_a2z00_16399 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13874)) (BgL_a2z00_13874,
							BgL_sz00_13880, BEOA);
						BgL_a3z00_16400 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13875)) (BgL_a3z00_13875,
							BgL_sz00_13880, BEOA);
						BgL_a4z00_16401 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13876)) (BgL_a4z00_13876,
							BgL_sz00_13880, BEOA);
						if (PROCEDUREP(BgL_fz00_16397))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13877,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16397);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16402;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23752;

								BgL_tmpz00_23752 = ((obj_t) BgL_fz00_16397);
								BgL_ufz00_16402 = PROCEDURE_ATTR(BgL_tmpz00_23752);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5202z00_23755;

								if (STRUCTP(BgL_ufz00_16402))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5202z00_23755 =
											(STRUCT_KEY(BgL_ufz00_16402) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5202z00_23755 = ((bool_t) 0);
									}
								if (BgL_test5202z00_23755)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16403;
										obj_t BgL_runz00_16404;
										obj_t BgL_sfz00_16405;

										BgL_arityz00_16403 =
											STRUCT_REF(BgL_ufz00_16402, (int) (((long) 0)));
										BgL_runz00_16404 =
											STRUCT_REF(BgL_ufz00_16402, (int) (((long) 1)));
										BgL_sfz00_16405 =
											STRUCT_REF(BgL_ufz00_16402, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16403) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2388z00_16406;

													BgL_arg2388z00_16406 =
														((long) CINT(BgL_bpz00_16396) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13880), BgL_arg2388z00_16406,
														BgL_a1z00_16398);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2389z00_16407;

													BgL_arg2389z00_16407 =
														((long) CINT(BgL_bpz00_16396) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13880), BgL_arg2389z00_16407,
														BgL_a2z00_16399);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2390z00_16408;

													BgL_arg2390z00_16408 =
														((long) CINT(BgL_bpz00_16396) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13880), BgL_arg2390z00_16408,
														BgL_a3z00_16400);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2391z00_16409;

													BgL_arg2391z00_16409 =
														((long) CINT(BgL_bpz00_16396) + ((long) 3));
													VECTOR_SET(
														((obj_t) BgL_sz00_13880), BgL_arg2391z00_16409,
														BgL_a4z00_16401);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16403))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16403))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2393z00_16410;
																	obj_t BgL_arg2394z00_16411;

																	BgL_arg2393z00_16410 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2395z00_16412;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2396z00_16413;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2397z00_16414;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2398z00_16415;

																					BgL_arg2398z00_16415 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16401,
																						BNIL);
																					BgL_arg2397z00_16414 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16400,
																						BgL_arg2398z00_16415);
																				}
																				BgL_arg2396z00_16413 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16399,
																					BgL_arg2397z00_16414);
																			}
																			BgL_list2395z00_16412 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16398,
																				BgL_arg2396z00_16413);
																		}
																		BgL_arg2394z00_16411 =
																			BgL_list2395z00_16412;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2393z00_16410, BgL_arg2394z00_16411);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2400z00_16416;

																	BgL_arg2400z00_16416 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2400z00_16416, BgL_a1z00_16398);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2401z00_16417;
																	obj_t BgL_arg2402z00_16418;

																	BgL_arg2401z00_16417 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2403z00_16419;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2404z00_16420;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2405z00_16421;

																				BgL_arg2405z00_16421 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16401,
																					BNIL);
																				BgL_arg2404z00_16420 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16400,
																					BgL_arg2405z00_16421);
																			}
																			BgL_list2403z00_16419 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16399,
																				BgL_arg2404z00_16420);
																		}
																		BgL_arg2402z00_16418 =
																			BgL_list2403z00_16419;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2401z00_16417, BgL_arg2402z00_16418);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2407z00_16422;

																	BgL_arg2407z00_16422 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2407z00_16422, BgL_a1z00_16398);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2409z00_16423;

																	BgL_arg2409z00_16423 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2409z00_16423, BgL_a2z00_16399);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2410z00_16424;
																	obj_t BgL_arg2411z00_16425;

																	BgL_arg2410z00_16424 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2412z00_16426;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2414z00_16427;

																			BgL_arg2414z00_16427 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16401, BNIL);
																			BgL_list2412z00_16426 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16400,
																				BgL_arg2414z00_16427);
																		}
																		BgL_arg2411z00_16425 =
																			BgL_list2412z00_16426;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2410z00_16424, BgL_arg2411z00_16425);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2415z00_16428;

																	BgL_arg2415z00_16428 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2415z00_16428, BgL_a1z00_16398);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2416z00_16429;

																	BgL_arg2416z00_16429 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2416z00_16429, BgL_a2z00_16399);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2418z00_16430;

																	BgL_arg2418z00_16430 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2418z00_16430, BgL_a3z00_16400);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2420z00_16431;
																	obj_t BgL_arg2421z00_16432;

																	BgL_arg2420z00_16431 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2422z00_16433;

																		BgL_list2422z00_16433 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16401, BNIL);
																		BgL_arg2421z00_16432 =
																			BgL_list2422z00_16433;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2420z00_16431, BgL_arg2421z00_16432);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2423z00_16434;

																	BgL_arg2423z00_16434 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2423z00_16434, BgL_a1z00_16398);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2425z00_16435;

																	BgL_arg2425z00_16435 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2425z00_16435, BgL_a2z00_16399);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2426z00_16436;

																	BgL_arg2426z00_16436 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2426z00_16436, BgL_a3z00_16400);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2427z00_16437;

																	BgL_arg2427z00_16437 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 3));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2427z00_16437, BgL_a4z00_16401);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2428z00_16438;
																	obj_t BgL_arg2430z00_16439;

																	BgL_arg2428z00_16438 =
																		((long) CINT(BgL_bpz00_16396) + ((long) 4));
																	BgL_arg2430z00_16439 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13880),
																		BgL_arg2428z00_16438, BgL_arg2430z00_16439);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13877, STRUCT_REF(BgL_ufz00_16402,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16403));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13877, STRUCT_REF(BgL_ufz00_16402,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16403));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16440;

											BgL_z12denvz12_16440 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16440,
												BgL_locz00_13877);
											if ((((long) CINT(BgL_bpz00_16396) +
														(long) CINT(BgL_sfz00_16405)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13880))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16404;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16441;

													BgL_nsz00_16441 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2434z00_16442;

														BgL_arg2434z00_16442 =
															((long) CINT(BgL_bpz00_16396) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16441, ((long) 2), BgL_sz00_13880,
															BgL_bpz00_16396, BINT(BgL_arg2434z00_16442));
													}
													VECTOR_SET(BgL_nsz00_16441, ((long) 1),
														BgL_sz00_13880);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16440,
														BgL_nsz00_16441);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16443;

														BgL_ez00_16443 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_16444;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_16445;

																BgL_arg4348z00_16445 =
																	BGL_EXITD_PROTECT(BgL_ez00_16443);
																BgL_arg4347z00_16444 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13880,
																	BgL_arg4348z00_16445);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16443,
																BgL_arg4347z00_16444);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16446;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16447;

																BgL_savedzd2bpzd2_16447 =
																	VECTOR_REF(BgL_nsz00_16441, ((long) 0));
																VECTOR_SET(BgL_nsz00_16441, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16449;

																	BgL_fz00_16449 = BgL_runz00_16404;
																BgL_recz00_16448:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16450;

																		BgL_rz00_16450 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_16449))
																			(BgL_fz00_16449, BgL_nsz00_16441, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5207z00_23896;

																			if (PROCEDUREP(BgL_rz00_16450))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_16451;

																					BgL_arg1779z00_16451 =
																						PROCEDURE_ATTR(BgL_rz00_16450);
																					if (STRUCTP(BgL_arg1779z00_16451))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5207z00_23896 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_16451) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5207z00_23896 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5207z00_23896 = ((bool_t) 0);
																				}
																			if (BgL_test5207z00_23896)
																				{
																					obj_t BgL_fz00_23904;

																					BgL_fz00_23904 = BgL_rz00_16450;
																					BgL_fz00_16449 = BgL_fz00_23904;
																					goto BgL_recz00_16448;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16441,
																						((long) 0),
																						BgL_savedzd2bpzd2_16447);
																					BgL_____rz00_16446 = BgL_rz00_16450;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5210z00_23906;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_16452;

																	BgL_arg4346z00_16452 =
																		BGL_EXITD_PROTECT(BgL_ez00_16443);
																	BgL_test5210z00_23906 =
																		PAIRP(BgL_arg4346z00_16452);
																}
																if (BgL_test5210z00_23906)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_16453;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_16454;

																			BgL_arg4345z00_16454 =
																				BGL_EXITD_PROTECT(BgL_ez00_16443);
																			BgL_arg4344z00_16453 =
																				CDR(((obj_t) BgL_arg4345z00_16454));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16443,
																			BgL_arg4344z00_16453);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16440,
																BgL_sz00_13880);
															return BgL_____rz00_16446;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16397,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16455;

												BgL_nbpz00_16455 =
													((long) CINT(BgL_bpz00_16396) + BgL_siza7eza7_13879);
												VECTOR_SET(
													((obj_t) BgL_sz00_13880), ((long) 0),
													BINT(BgL_nbpz00_16455));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_23922;

													BgL_tmpz00_23922 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23922,
														BgL_locz00_13877);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16456;

													BgL_rz00_16456 =
														((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16397)) (BgL_fz00_16397,
														BgL_a1z00_16398, BgL_a2z00_16399, BgL_a3z00_16400,
														BgL_a4z00_16401, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13880), ((long) 0),
														BgL_bpz00_16396);
													return BgL_rz00_16456;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13877,
													BgL_symbzd2funzd2_13878, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16397));
		}}}}}}}}

	}



/* &<@anonymous:2437> */
	obj_t BGl_z62zc3z04anonymousza32437ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13881, obj_t BgL_sz00_13890)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13882;
				obj_t BgL_a1z00_13883;
				obj_t BgL_a2z00_13884;
				obj_t BgL_a3z00_13885;
				obj_t BgL_a4z00_13886;
				obj_t BgL_locz00_13887;
				obj_t BgL_symbzd2funzd2_13888;
				long BgL_siza7eza7_13889;

				BgL_funz00_13882 = PROCEDURE_REF(BgL_envz00_13881, (int) (((long) 0)));
				BgL_a1z00_13883 = PROCEDURE_REF(BgL_envz00_13881, (int) (((long) 1)));
				BgL_a2z00_13884 = PROCEDURE_REF(BgL_envz00_13881, (int) (((long) 2)));
				BgL_a3z00_13885 = PROCEDURE_REF(BgL_envz00_13881, (int) (((long) 3)));
				BgL_a4z00_13886 = PROCEDURE_REF(BgL_envz00_13881, (int) (((long) 4)));
				BgL_locz00_13887 = PROCEDURE_REF(BgL_envz00_13881, (int) (((long) 5)));
				BgL_symbzd2funzd2_13888 =
					PROCEDURE_REF(BgL_envz00_13881, (int) (((long) 6)));
				BgL_siza7eza7_13889 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13881, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16457;

					BgL_bpz00_16457 = VECTOR_REF(((obj_t) BgL_sz00_13890), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16458;
						obj_t BgL_a1z00_16459;
						obj_t BgL_a2z00_16460;
						obj_t BgL_a3z00_16461;
						obj_t BgL_a4z00_16462;

						BgL_fz00_16458 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13882)) (BgL_funz00_13882,
							BgL_sz00_13890, BEOA);
						BgL_a1z00_16459 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13883)) (BgL_a1z00_13883,
							BgL_sz00_13890, BEOA);
						BgL_a2z00_16460 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13884)) (BgL_a2z00_13884,
							BgL_sz00_13890, BEOA);
						BgL_a3z00_16461 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13885)) (BgL_a3z00_13885,
							BgL_sz00_13890, BEOA);
						BgL_a4z00_16462 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13886)) (BgL_a4z00_13886,
							BgL_sz00_13890, BEOA);
						if (PROCEDUREP(BgL_fz00_16458))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13887,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16458);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16463;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23979;

								BgL_tmpz00_23979 = ((obj_t) BgL_fz00_16458);
								BgL_ufz00_16463 = PROCEDURE_ATTR(BgL_tmpz00_23979);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5213z00_23982;

								if (STRUCTP(BgL_ufz00_16463))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5213z00_23982 =
											(STRUCT_KEY(BgL_ufz00_16463) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5213z00_23982 = ((bool_t) 0);
									}
								if (BgL_test5213z00_23982)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16464;
										obj_t BgL_runz00_16465;
										obj_t BgL_sfz00_16466;

										BgL_arityz00_16464 =
											STRUCT_REF(BgL_ufz00_16463, (int) (((long) 0)));
										BgL_runz00_16465 =
											STRUCT_REF(BgL_ufz00_16463, (int) (((long) 1)));
										BgL_sfz00_16466 =
											STRUCT_REF(BgL_ufz00_16463, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16464) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2441z00_16467;

													BgL_arg2441z00_16467 =
														((long) CINT(BgL_bpz00_16457) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13890), BgL_arg2441z00_16467,
														BgL_a1z00_16459);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2442z00_16468;

													BgL_arg2442z00_16468 =
														((long) CINT(BgL_bpz00_16457) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13890), BgL_arg2442z00_16468,
														BgL_a2z00_16460);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2443z00_16469;

													BgL_arg2443z00_16469 =
														((long) CINT(BgL_bpz00_16457) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13890), BgL_arg2443z00_16469,
														BgL_a3z00_16461);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2444z00_16470;

													BgL_arg2444z00_16470 =
														((long) CINT(BgL_bpz00_16457) + ((long) 3));
													VECTOR_SET(
														((obj_t) BgL_sz00_13890), BgL_arg2444z00_16470,
														BgL_a4z00_16462);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16464))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16464))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2446z00_16471;
																	obj_t BgL_arg2447z00_16472;

																	BgL_arg2446z00_16471 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2448z00_16473;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2450z00_16474;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2451z00_16475;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2452z00_16476;

																					BgL_arg2452z00_16476 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16462,
																						BNIL);
																					BgL_arg2451z00_16475 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16461,
																						BgL_arg2452z00_16476);
																				}
																				BgL_arg2450z00_16474 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16460,
																					BgL_arg2451z00_16475);
																			}
																			BgL_list2448z00_16473 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16459,
																				BgL_arg2450z00_16474);
																		}
																		BgL_arg2447z00_16472 =
																			BgL_list2448z00_16473;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2446z00_16471, BgL_arg2447z00_16472);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2454z00_16477;

																	BgL_arg2454z00_16477 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2454z00_16477, BgL_a1z00_16459);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2456z00_16478;
																	obj_t BgL_arg2457z00_16479;

																	BgL_arg2456z00_16478 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2458z00_16480;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2460z00_16481;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2461z00_16482;

																				BgL_arg2461z00_16482 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16462,
																					BNIL);
																				BgL_arg2460z00_16481 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16461,
																					BgL_arg2461z00_16482);
																			}
																			BgL_list2458z00_16480 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16460,
																				BgL_arg2460z00_16481);
																		}
																		BgL_arg2457z00_16479 =
																			BgL_list2458z00_16480;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2456z00_16478, BgL_arg2457z00_16479);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2462z00_16483;

																	BgL_arg2462z00_16483 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2462z00_16483, BgL_a1z00_16459);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2463z00_16484;

																	BgL_arg2463z00_16484 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2463z00_16484, BgL_a2z00_16460);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2464z00_16485;
																	obj_t BgL_arg2465z00_16486;

																	BgL_arg2464z00_16485 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2466z00_16487;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2467z00_16488;

																			BgL_arg2467z00_16488 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16462, BNIL);
																			BgL_list2466z00_16487 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16461,
																				BgL_arg2467z00_16488);
																		}
																		BgL_arg2465z00_16486 =
																			BgL_list2466z00_16487;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2464z00_16485, BgL_arg2465z00_16486);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2468z00_16489;

																	BgL_arg2468z00_16489 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2468z00_16489, BgL_a1z00_16459);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2469z00_16490;

																	BgL_arg2469z00_16490 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2469z00_16490, BgL_a2z00_16460);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2470z00_16491;

																	BgL_arg2470z00_16491 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2470z00_16491, BgL_a3z00_16461);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2471z00_16492;
																	obj_t BgL_arg2473z00_16493;

																	BgL_arg2471z00_16492 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2474z00_16494;

																		BgL_list2474z00_16494 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16462, BNIL);
																		BgL_arg2473z00_16493 =
																			BgL_list2474z00_16494;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2471z00_16492, BgL_arg2473z00_16493);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2476z00_16495;

																	BgL_arg2476z00_16495 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2476z00_16495, BgL_a1z00_16459);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2477z00_16496;

																	BgL_arg2477z00_16496 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2477z00_16496, BgL_a2z00_16460);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2478z00_16497;

																	BgL_arg2478z00_16497 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2478z00_16497, BgL_a3z00_16461);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2479z00_16498;

																	BgL_arg2479z00_16498 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 3));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2479z00_16498, BgL_a4z00_16462);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2481z00_16499;
																	obj_t BgL_arg2482z00_16500;

																	BgL_arg2481z00_16499 =
																		((long) CINT(BgL_bpz00_16457) + ((long) 4));
																	BgL_arg2482z00_16500 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13890),
																		BgL_arg2481z00_16499, BgL_arg2482z00_16500);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13887, STRUCT_REF(BgL_ufz00_16463,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16464));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13887, STRUCT_REF(BgL_ufz00_16463,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16464));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16501;

											BgL_z12denvz12_16501 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16457) +
														(long) CINT(BgL_sfz00_16466)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13890))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16465;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16502;

													BgL_nsz00_16502 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2487z00_16503;

														BgL_arg2487z00_16503 =
															((long) CINT(BgL_bpz00_16457) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16502, ((long) 2), BgL_sz00_13890,
															BgL_bpz00_16457, BINT(BgL_arg2487z00_16503));
													}
													VECTOR_SET(BgL_nsz00_16502, ((long) 1),
														BgL_sz00_13890);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16501,
														BgL_nsz00_16502);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16504;

														BgL_ez00_16504 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4347z00_16505;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4348z00_16506;

																BgL_arg4348z00_16506 =
																	BGL_EXITD_PROTECT(BgL_ez00_16504);
																BgL_arg4347z00_16505 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13890,
																	BgL_arg4348z00_16506);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16504,
																BgL_arg4347z00_16505);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16507;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16508;

																BgL_savedzd2bpzd2_16508 =
																	VECTOR_REF(BgL_nsz00_16502, ((long) 0));
																VECTOR_SET(BgL_nsz00_16502, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16510;

																	BgL_fz00_16510 = BgL_runz00_16465;
																BgL_recz00_16509:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16511;

																		BgL_rz00_16511 =
																			((obj_t(*)(obj_t, obj_t,
																					obj_t))
																			PROCEDURE_ENTRY(BgL_fz00_16510))
																			(BgL_fz00_16510, BgL_nsz00_16502, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5218z00_24122;

																			if (PROCEDUREP(BgL_rz00_16511))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1779z00_16512;

																					BgL_arg1779z00_16512 =
																						PROCEDURE_ATTR(BgL_rz00_16511);
																					if (STRUCTP(BgL_arg1779z00_16512))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5218z00_24122 =
																								(STRUCT_KEY
																								(BgL_arg1779z00_16512) ==
																								BGl_symbol4599z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5218z00_24122 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5218z00_24122 = ((bool_t) 0);
																				}
																			if (BgL_test5218z00_24122)
																				{
																					obj_t BgL_fz00_24130;

																					BgL_fz00_24130 = BgL_rz00_16511;
																					BgL_fz00_16510 = BgL_fz00_24130;
																					goto BgL_recz00_16509;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16502,
																						((long) 0),
																						BgL_savedzd2bpzd2_16508);
																					BgL_____rz00_16507 = BgL_rz00_16511;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5221z00_24132;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4346z00_16513;

																	BgL_arg4346z00_16513 =
																		BGL_EXITD_PROTECT(BgL_ez00_16504);
																	BgL_test5221z00_24132 =
																		PAIRP(BgL_arg4346z00_16513);
																}
																if (BgL_test5221z00_24132)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4344z00_16514;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4345z00_16515;

																			BgL_arg4345z00_16515 =
																				BGL_EXITD_PROTECT(BgL_ez00_16504);
																			BgL_arg4344z00_16514 =
																				CDR(((obj_t) BgL_arg4345z00_16515));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16504,
																			BgL_arg4344z00_16514);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16501,
																BgL_sz00_13890);
															return BgL_____rz00_16507;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16458,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16516;

												BgL_nbpz00_16516 =
													((long) CINT(BgL_bpz00_16457) + BgL_siza7eza7_13889);
												VECTOR_SET(
													((obj_t) BgL_sz00_13890), ((long) 0),
													BINT(BgL_nbpz00_16516));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16517;

													BgL_rz00_16517 =
														((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16458)) (BgL_fz00_16458,
														BgL_a1z00_16459, BgL_a2z00_16460, BgL_a3z00_16461,
														BgL_a4z00_16462, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13890), ((long) 0),
														BgL_bpz00_16457);
													return BgL_rz00_16517;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13887,
													BgL_symbzd2funzd2_13888, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16458));
		}}}}}}}}

	}



/* &<@anonymous:2491> */
	obj_t BGl_z62zc3z04anonymousza32491ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13891, obj_t BgL_sz00_13900)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13892;
				obj_t BgL_a1z00_13893;
				obj_t BgL_a2z00_13894;
				obj_t BgL_a3z00_13895;
				obj_t BgL_a4z00_13896;
				obj_t BgL_locz00_13897;
				obj_t BgL_symbzd2funzd2_13898;
				long BgL_siza7eza7_13899;

				BgL_funz00_13892 = PROCEDURE_REF(BgL_envz00_13891, (int) (((long) 0)));
				BgL_a1z00_13893 = PROCEDURE_REF(BgL_envz00_13891, (int) (((long) 1)));
				BgL_a2z00_13894 = PROCEDURE_REF(BgL_envz00_13891, (int) (((long) 2)));
				BgL_a3z00_13895 = PROCEDURE_REF(BgL_envz00_13891, (int) (((long) 3)));
				BgL_a4z00_13896 = PROCEDURE_REF(BgL_envz00_13891, (int) (((long) 4)));
				BgL_locz00_13897 = PROCEDURE_REF(BgL_envz00_13891, (int) (((long) 5)));
				BgL_symbzd2funzd2_13898 =
					PROCEDURE_REF(BgL_envz00_13891, (int) (((long) 6)));
				BgL_siza7eza7_13899 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13891, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16518;

					BgL_bpz00_16518 = VECTOR_REF(((obj_t) BgL_sz00_13900), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16519;
						obj_t BgL_a1z00_16520;
						obj_t BgL_a2z00_16521;
						obj_t BgL_a3z00_16522;
						obj_t BgL_a4z00_16523;

						BgL_fz00_16519 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13892)) (BgL_funz00_13892,
							BgL_sz00_13900, BEOA);
						BgL_a1z00_16520 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13893)) (BgL_a1z00_13893,
							BgL_sz00_13900, BEOA);
						BgL_a2z00_16521 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13894)) (BgL_a2z00_13894,
							BgL_sz00_13900, BEOA);
						BgL_a3z00_16522 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13895)) (BgL_a3z00_13895,
							BgL_sz00_13900, BEOA);
						BgL_a4z00_16523 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13896)) (BgL_a4z00_13896,
							BgL_sz00_13900, BEOA);
						if (PROCEDUREP(BgL_fz00_16519))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13897,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16519);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16524;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_24202;

								BgL_tmpz00_24202 = ((obj_t) BgL_fz00_16519);
								BgL_ufz00_16524 = PROCEDURE_ATTR(BgL_tmpz00_24202);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5224z00_24205;

								if (STRUCTP(BgL_ufz00_16524))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5224z00_24205 =
											(STRUCT_KEY(BgL_ufz00_16524) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5224z00_24205 = ((bool_t) 0);
									}
								if (BgL_test5224z00_24205)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16525;
										obj_t BgL_runz00_16526;
										obj_t BgL_sfz00_16527;

										BgL_arityz00_16525 =
											STRUCT_REF(BgL_ufz00_16524, (int) (((long) 0)));
										BgL_runz00_16526 =
											STRUCT_REF(BgL_ufz00_16524, (int) (((long) 1)));
										BgL_sfz00_16527 =
											STRUCT_REF(BgL_ufz00_16524, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16528;

											BgL_spz00_16528 =
												((long) CINT(BgL_bpz00_16518) + BgL_siza7eza7_13899);
											if (((long) CINT(BgL_arityz00_16525) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2495z00_16529;

														BgL_arg2495z00_16529 =
															(BgL_spz00_16528 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13900), BgL_arg2495z00_16529,
															BgL_a1z00_16520);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2496z00_16530;

														BgL_arg2496z00_16530 =
															(BgL_spz00_16528 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13900), BgL_arg2496z00_16530,
															BgL_a2z00_16521);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2499z00_16531;

														BgL_arg2499z00_16531 =
															(BgL_spz00_16528 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13900), BgL_arg2499z00_16531,
															BgL_a3z00_16522);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2500z00_16532;

														BgL_arg2500z00_16532 =
															(BgL_spz00_16528 + ((long) 3));
														VECTOR_SET(
															((obj_t) BgL_sz00_13900), BgL_arg2500z00_16532,
															BgL_a4z00_16523);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16525))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16525))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2502z00_16533;
																		obj_t BgL_arg2508z00_16534;

																		BgL_arg2502z00_16533 =
																			(BgL_spz00_16528 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2509z00_16535;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2511z00_16536;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2512z00_16537;

																					{	/* Eval/evaluate_comp.scm 896 */
																						obj_t BgL_arg2513z00_16538;

																						BgL_arg2513z00_16538 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16523,
																							BNIL);
																						BgL_arg2512z00_16537 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16522,
																							BgL_arg2513z00_16538);
																					}
																					BgL_arg2511z00_16536 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16521,
																						BgL_arg2512z00_16537);
																				}
																				BgL_list2509z00_16535 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16520,
																					BgL_arg2511z00_16536);
																			}
																			BgL_arg2508z00_16534 =
																				BgL_list2509z00_16535;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2502z00_16533,
																			BgL_arg2508z00_16534);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2514z00_16539;

																		BgL_arg2514z00_16539 =
																			(BgL_spz00_16528 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2514z00_16539, BgL_a1z00_16520);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2515z00_16540;
																		obj_t BgL_arg2516z00_16541;

																		BgL_arg2515z00_16540 =
																			(BgL_spz00_16528 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2517z00_16542;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2519z00_16543;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2521z00_16544;

																					BgL_arg2521z00_16544 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16523,
																						BNIL);
																					BgL_arg2519z00_16543 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16522,
																						BgL_arg2521z00_16544);
																				}
																				BgL_list2517z00_16542 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16521,
																					BgL_arg2519z00_16543);
																			}
																			BgL_arg2516z00_16541 =
																				BgL_list2517z00_16542;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2515z00_16540,
																			BgL_arg2516z00_16541);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2522z00_16545;

																		BgL_arg2522z00_16545 =
																			(BgL_spz00_16528 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2522z00_16545, BgL_a1z00_16520);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2523z00_16546;

																		BgL_arg2523z00_16546 =
																			(BgL_spz00_16528 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2523z00_16546, BgL_a2z00_16521);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2524z00_16547;
																		obj_t BgL_arg2527z00_16548;

																		BgL_arg2524z00_16547 =
																			(BgL_spz00_16528 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2528z00_16549;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2529z00_16550;

																				BgL_arg2529z00_16550 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16523,
																					BNIL);
																				BgL_list2528z00_16549 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16522,
																					BgL_arg2529z00_16550);
																			}
																			BgL_arg2527z00_16548 =
																				BgL_list2528z00_16549;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2524z00_16547,
																			BgL_arg2527z00_16548);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2533z00_16551;

																		BgL_arg2533z00_16551 =
																			(BgL_spz00_16528 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2533z00_16551, BgL_a1z00_16520);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2534z00_16552;

																		BgL_arg2534z00_16552 =
																			(BgL_spz00_16528 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2534z00_16552, BgL_a2z00_16521);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2535z00_16553;

																		BgL_arg2535z00_16553 =
																			(BgL_spz00_16528 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2535z00_16553, BgL_a3z00_16522);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2536z00_16554;
																		obj_t BgL_arg2538z00_16555;

																		BgL_arg2536z00_16554 =
																			(BgL_spz00_16528 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2539z00_16556;

																			BgL_list2539z00_16556 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16523, BNIL);
																			BgL_arg2538z00_16555 =
																				BgL_list2539z00_16556;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2536z00_16554,
																			BgL_arg2538z00_16555);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2542z00_16557;

																		BgL_arg2542z00_16557 =
																			(BgL_spz00_16528 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2542z00_16557, BgL_a1z00_16520);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2543z00_16558;

																		BgL_arg2543z00_16558 =
																			(BgL_spz00_16528 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2543z00_16558, BgL_a2z00_16521);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2547z00_16559;

																		BgL_arg2547z00_16559 =
																			(BgL_spz00_16528 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2547z00_16559, BgL_a3z00_16522);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2548z00_16560;

																		BgL_arg2548z00_16560 =
																			(BgL_spz00_16528 + ((long) 3));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2548z00_16560, BgL_a4z00_16523);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2551z00_16561;
																		obj_t BgL_arg2552z00_16562;

																		BgL_arg2551z00_16561 =
																			(BgL_spz00_16528 + ((long) 4));
																		BgL_arg2552z00_16562 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13900),
																			BgL_arg2551z00_16561,
																			BgL_arg2552z00_16562);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13897,
																		STRUCT_REF(BgL_ufz00_16524,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16525));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13897, STRUCT_REF(BgL_ufz00_16524,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16525));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16563;

												BgL_z12denvz12_16563 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16563,
													BgL_locz00_13897);
												if (((BgL_spz00_16528 + (long) CINT(BgL_sfz00_16527)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13900))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16526, BgL_sz00_13900,
															BINT(BgL_spz00_16528));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16564;

														BgL_nsz00_16564 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2557z00_16565;

															BgL_arg2557z00_16565 =
																(BgL_spz00_16528 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16564, ((long) 2), BgL_sz00_13900,
																BINT(BgL_spz00_16528),
																BINT(BgL_arg2557z00_16565));
														}
														VECTOR_SET(BgL_nsz00_16564, ((long) 1),
															BgL_sz00_13900);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16563,
															BgL_nsz00_16564);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16566;

															BgL_ez00_16566 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_16567;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_16568;

																	BgL_arg4348z00_16568 =
																		BGL_EXITD_PROTECT(BgL_ez00_16566);
																	BgL_arg4347z00_16567 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13900,
																		BgL_arg4348z00_16568);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16566,
																	BgL_arg4347z00_16567);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16569;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16570;

																	BgL_savedzd2bpzd2_16570 =
																		VECTOR_REF(BgL_nsz00_16564, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16564, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16572;

																		BgL_fz00_16572 = BgL_runz00_16526;
																	BgL_recz00_16571:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16573;

																			BgL_rz00_16573 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16572))
																				(BgL_fz00_16572, BgL_nsz00_16564, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5229z00_24330;

																				if (PROCEDUREP(BgL_rz00_16573))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_16574;

																						BgL_arg1779z00_16574 =
																							PROCEDURE_ATTR(BgL_rz00_16573);
																						if (STRUCTP(BgL_arg1779z00_16574))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5229z00_24330 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_16574) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5229z00_24330 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5229z00_24330 =
																							((bool_t) 0);
																					}
																				if (BgL_test5229z00_24330)
																					{
																						obj_t BgL_fz00_24338;

																						BgL_fz00_24338 = BgL_rz00_16573;
																						BgL_fz00_16572 = BgL_fz00_24338;
																						goto BgL_recz00_16571;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16564,
																							((long) 0),
																							BgL_savedzd2bpzd2_16570);
																						BgL_____rz00_16569 = BgL_rz00_16573;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5232z00_24340;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_16575;

																		BgL_arg4346z00_16575 =
																			BGL_EXITD_PROTECT(BgL_ez00_16566);
																		BgL_test5232z00_24340 =
																			PAIRP(BgL_arg4346z00_16575);
																	}
																	if (BgL_test5232z00_24340)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_16576;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_16577;

																				BgL_arg4345z00_16577 =
																					BGL_EXITD_PROTECT(BgL_ez00_16566);
																				BgL_arg4344z00_16576 =
																					CDR(((obj_t) BgL_arg4345z00_16577));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16566,
																				BgL_arg4344z00_16576);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16563,
																	BgL_sz00_13900);
																return BgL_____rz00_16569;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16519,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16578;

												BgL_nbpz00_16578 =
													((long) CINT(BgL_bpz00_16518) + BgL_siza7eza7_13899);
												VECTOR_SET(
													((obj_t) BgL_sz00_13900), ((long) 0),
													BINT(BgL_nbpz00_16578));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_24356;

													BgL_tmpz00_24356 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_24356,
														BgL_locz00_13897);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16579;

													BgL_rz00_16579 =
														((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16519)) (BgL_fz00_16519,
														BgL_a1z00_16520, BgL_a2z00_16521, BgL_a3z00_16522,
														BgL_a4z00_16523, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13900), ((long) 0),
														BgL_bpz00_16518);
													return BgL_rz00_16579;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13897,
													BgL_symbzd2funzd2_13898, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16519));
		}}}}}}}}

	}



/* &<@anonymous:2560> */
	obj_t BGl_z62zc3z04anonymousza32560ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13901, obj_t BgL_sz00_13910)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13902;
				obj_t BgL_a1z00_13903;
				obj_t BgL_a2z00_13904;
				obj_t BgL_a3z00_13905;
				obj_t BgL_a4z00_13906;
				obj_t BgL_locz00_13907;
				obj_t BgL_symbzd2funzd2_13908;
				long BgL_siza7eza7_13909;

				BgL_funz00_13902 = PROCEDURE_REF(BgL_envz00_13901, (int) (((long) 0)));
				BgL_a1z00_13903 = PROCEDURE_REF(BgL_envz00_13901, (int) (((long) 1)));
				BgL_a2z00_13904 = PROCEDURE_REF(BgL_envz00_13901, (int) (((long) 2)));
				BgL_a3z00_13905 = PROCEDURE_REF(BgL_envz00_13901, (int) (((long) 3)));
				BgL_a4z00_13906 = PROCEDURE_REF(BgL_envz00_13901, (int) (((long) 4)));
				BgL_locz00_13907 = PROCEDURE_REF(BgL_envz00_13901, (int) (((long) 5)));
				BgL_symbzd2funzd2_13908 =
					PROCEDURE_REF(BgL_envz00_13901, (int) (((long) 6)));
				BgL_siza7eza7_13909 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13901, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16580;

					BgL_bpz00_16580 = VECTOR_REF(((obj_t) BgL_sz00_13910), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16581;
						obj_t BgL_a1z00_16582;
						obj_t BgL_a2z00_16583;
						obj_t BgL_a3z00_16584;
						obj_t BgL_a4z00_16585;

						BgL_fz00_16581 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_funz00_13902)) (BgL_funz00_13902,
							BgL_sz00_13910, BEOA);
						BgL_a1z00_16582 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13903)) (BgL_a1z00_13903,
							BgL_sz00_13910, BEOA);
						BgL_a2z00_16583 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13904)) (BgL_a2z00_13904,
							BgL_sz00_13910, BEOA);
						BgL_a3z00_16584 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a3z00_13905)) (BgL_a3z00_13905,
							BgL_sz00_13910, BEOA);
						BgL_a4z00_16585 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a4z00_13906)) (BgL_a4z00_13906,
							BgL_sz00_13910, BEOA);
						if (PROCEDUREP(BgL_fz00_16581))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13907,
									BGl_string4603z00zz__evaluate_compz00,
									BGl_string4619z00zz__evaluate_compz00, BgL_fz00_16581);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16586;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_24413;

								BgL_tmpz00_24413 = ((obj_t) BgL_fz00_16581);
								BgL_ufz00_16586 = PROCEDURE_ATTR(BgL_tmpz00_24413);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5235z00_24416;

								if (STRUCTP(BgL_ufz00_16586))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5235z00_24416 =
											(STRUCT_KEY(BgL_ufz00_16586) ==
											BGl_symbol4620z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5235z00_24416 = ((bool_t) 0);
									}
								if (BgL_test5235z00_24416)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16587;
										obj_t BgL_runz00_16588;
										obj_t BgL_sfz00_16589;

										BgL_arityz00_16587 =
											STRUCT_REF(BgL_ufz00_16586, (int) (((long) 0)));
										BgL_runz00_16588 =
											STRUCT_REF(BgL_ufz00_16586, (int) (((long) 1)));
										BgL_sfz00_16589 =
											STRUCT_REF(BgL_ufz00_16586, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16590;

											BgL_spz00_16590 =
												((long) CINT(BgL_bpz00_16580) + BgL_siza7eza7_13909);
											if (((long) CINT(BgL_arityz00_16587) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2564z00_16591;

														BgL_arg2564z00_16591 =
															(BgL_spz00_16590 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13910), BgL_arg2564z00_16591,
															BgL_a1z00_16582);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2566z00_16592;

														BgL_arg2566z00_16592 =
															(BgL_spz00_16590 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13910), BgL_arg2566z00_16592,
															BgL_a2z00_16583);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2567z00_16593;

														BgL_arg2567z00_16593 =
															(BgL_spz00_16590 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13910), BgL_arg2567z00_16593,
															BgL_a3z00_16584);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2568z00_16594;

														BgL_arg2568z00_16594 =
															(BgL_spz00_16590 + ((long) 3));
														VECTOR_SET(
															((obj_t) BgL_sz00_13910), BgL_arg2568z00_16594,
															BgL_a4z00_16585);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16587))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16587))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2569z00_16595;
																		obj_t BgL_arg2570z00_16596;

																		BgL_arg2569z00_16595 =
																			(BgL_spz00_16590 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2571z00_16597;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2572z00_16598;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2573z00_16599;

																					{	/* Eval/evaluate_comp.scm 896 */
																						obj_t BgL_arg2574z00_16600;

																						BgL_arg2574z00_16600 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16585,
																							BNIL);
																						BgL_arg2573z00_16599 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16584,
																							BgL_arg2574z00_16600);
																					}
																					BgL_arg2572z00_16598 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16583,
																						BgL_arg2573z00_16599);
																				}
																				BgL_list2571z00_16597 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16582,
																					BgL_arg2572z00_16598);
																			}
																			BgL_arg2570z00_16596 =
																				BgL_list2571z00_16597;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2569z00_16595,
																			BgL_arg2570z00_16596);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2577z00_16601;

																		BgL_arg2577z00_16601 =
																			(BgL_spz00_16590 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2577z00_16601, BgL_a1z00_16582);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2578z00_16602;
																		obj_t BgL_arg2579z00_16603;

																		BgL_arg2578z00_16602 =
																			(BgL_spz00_16590 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2580z00_16604;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2581z00_16605;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2582z00_16606;

																					BgL_arg2582z00_16606 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16585,
																						BNIL);
																					BgL_arg2581z00_16605 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16584,
																						BgL_arg2582z00_16606);
																				}
																				BgL_list2580z00_16604 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16583,
																					BgL_arg2581z00_16605);
																			}
																			BgL_arg2579z00_16603 =
																				BgL_list2580z00_16604;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2578z00_16602,
																			BgL_arg2579z00_16603);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2583z00_16607;

																		BgL_arg2583z00_16607 =
																			(BgL_spz00_16590 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2583z00_16607, BgL_a1z00_16582);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2584z00_16608;

																		BgL_arg2584z00_16608 =
																			(BgL_spz00_16590 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2584z00_16608, BgL_a2z00_16583);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2586z00_16609;
																		obj_t BgL_arg2587z00_16610;

																		BgL_arg2586z00_16609 =
																			(BgL_spz00_16590 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2588z00_16611;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2589z00_16612;

																				BgL_arg2589z00_16612 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16585,
																					BNIL);
																				BgL_list2588z00_16611 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16584,
																					BgL_arg2589z00_16612);
																			}
																			BgL_arg2587z00_16610 =
																				BgL_list2588z00_16611;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2586z00_16609,
																			BgL_arg2587z00_16610);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2590z00_16613;

																		BgL_arg2590z00_16613 =
																			(BgL_spz00_16590 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2590z00_16613, BgL_a1z00_16582);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2591z00_16614;

																		BgL_arg2591z00_16614 =
																			(BgL_spz00_16590 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2591z00_16614, BgL_a2z00_16583);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2592z00_16615;

																		BgL_arg2592z00_16615 =
																			(BgL_spz00_16590 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2592z00_16615, BgL_a3z00_16584);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2593z00_16616;
																		obj_t BgL_arg2594z00_16617;

																		BgL_arg2593z00_16616 =
																			(BgL_spz00_16590 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2595z00_16618;

																			BgL_list2595z00_16618 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16585, BNIL);
																			BgL_arg2594z00_16617 =
																				BgL_list2595z00_16618;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2593z00_16616,
																			BgL_arg2594z00_16617);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2596z00_16619;

																		BgL_arg2596z00_16619 =
																			(BgL_spz00_16590 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2596z00_16619, BgL_a1z00_16582);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2597z00_16620;

																		BgL_arg2597z00_16620 =
																			(BgL_spz00_16590 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2597z00_16620, BgL_a2z00_16583);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2599z00_16621;

																		BgL_arg2599z00_16621 =
																			(BgL_spz00_16590 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2599z00_16621, BgL_a3z00_16584);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2600z00_16622;

																		BgL_arg2600z00_16622 =
																			(BgL_spz00_16590 + ((long) 3));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2600z00_16622, BgL_a4z00_16585);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2601z00_16623;
																		obj_t BgL_arg2602z00_16624;

																		BgL_arg2601z00_16623 =
																			(BgL_spz00_16590 + ((long) 4));
																		BgL_arg2602z00_16624 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13910),
																			BgL_arg2601z00_16623,
																			BgL_arg2602z00_16624);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13907,
																		STRUCT_REF(BgL_ufz00_16586,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16587));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13907, STRUCT_REF(BgL_ufz00_16586,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16587));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16625;

												BgL_z12denvz12_16625 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16590 +
															(long) CINT(BgL_sfz00_16589)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13910))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16588, BgL_sz00_13910,
															BINT(BgL_spz00_16590));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16626;

														BgL_nsz00_16626 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2606z00_16627;

															BgL_arg2606z00_16627 =
																(BgL_spz00_16590 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16626, ((long) 2), BgL_sz00_13910,
																BINT(BgL_spz00_16590),
																BINT(BgL_arg2606z00_16627));
														}
														VECTOR_SET(BgL_nsz00_16626, ((long) 1),
															BgL_sz00_13910);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16625,
															BgL_nsz00_16626);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16628;

															BgL_ez00_16628 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4347z00_16629;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4348z00_16630;

																	BgL_arg4348z00_16630 =
																		BGL_EXITD_PROTECT(BgL_ez00_16628);
																	BgL_arg4347z00_16629 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13910,
																		BgL_arg4348z00_16630);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16628,
																	BgL_arg4347z00_16629);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16631;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16632;

																	BgL_savedzd2bpzd2_16632 =
																		VECTOR_REF(BgL_nsz00_16626, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16626, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16634;

																		BgL_fz00_16634 = BgL_runz00_16588;
																	BgL_recz00_16633:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16635;

																			BgL_rz00_16635 =
																				((obj_t(*)(obj_t, obj_t,
																						obj_t))
																				PROCEDURE_ENTRY(BgL_fz00_16634))
																				(BgL_fz00_16634, BgL_nsz00_16626, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5240z00_24540;

																				if (PROCEDUREP(BgL_rz00_16635))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1779z00_16636;

																						BgL_arg1779z00_16636 =
																							PROCEDURE_ATTR(BgL_rz00_16635);
																						if (STRUCTP(BgL_arg1779z00_16636))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5240z00_24540 =
																									(STRUCT_KEY
																									(BgL_arg1779z00_16636) ==
																									BGl_symbol4599z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5240z00_24540 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5240z00_24540 =
																							((bool_t) 0);
																					}
																				if (BgL_test5240z00_24540)
																					{
																						obj_t BgL_fz00_24548;

																						BgL_fz00_24548 = BgL_rz00_16635;
																						BgL_fz00_16634 = BgL_fz00_24548;
																						goto BgL_recz00_16633;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16626,
																							((long) 0),
																							BgL_savedzd2bpzd2_16632);
																						BgL_____rz00_16631 = BgL_rz00_16635;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5243z00_24550;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4346z00_16637;

																		BgL_arg4346z00_16637 =
																			BGL_EXITD_PROTECT(BgL_ez00_16628);
																		BgL_test5243z00_24550 =
																			PAIRP(BgL_arg4346z00_16637);
																	}
																	if (BgL_test5243z00_24550)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4344z00_16638;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4345z00_16639;

																				BgL_arg4345z00_16639 =
																					BGL_EXITD_PROTECT(BgL_ez00_16628);
																				BgL_arg4344z00_16638 =
																					CDR(((obj_t) BgL_arg4345z00_16639));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16628,
																				BgL_arg4344z00_16638);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16625,
																	BgL_sz00_13910);
																return BgL_____rz00_16631;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16581,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16640;

												BgL_nbpz00_16640 =
													((long) CINT(BgL_bpz00_16580) + BgL_siza7eza7_13909);
												VECTOR_SET(
													((obj_t) BgL_sz00_13910), ((long) 0),
													BINT(BgL_nbpz00_16640));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16641;

													BgL_rz00_16641 =
														((obj_t(*)(obj_t, obj_t, obj_t, obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_fz00_16581)) (BgL_fz00_16581,
														BgL_a1z00_16582, BgL_a2z00_16583, BgL_a3z00_16584,
														BgL_a4z00_16585, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13910), ((long) 0),
														BgL_bpz00_16580);
													return BgL_rz00_16641;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13907,
													BgL_symbzd2funzd2_13908, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16581));
		}}}}}}}}

	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		{	/* Eval/evaluate_comp.scm 899 */
			{	/* Eval/evaluate_comp.scm 901 */
				bool_t BgL_test5245z00_24578;

				{	/* Eval/evaluate_comp.scm 901 */
					obj_t BgL_classz00_9146;

					BgL_classz00_9146 = BGl_ev_globalz00zz__evaluate_typesz00;
					{	/* Eval/evaluate_comp.scm 901 */
						BgL_objectz00_bglt BgL_arg4330z00_9148;

						{	/* Eval/evaluate_comp.scm 901 */
							obj_t BgL_tmpz00_24579;

							BgL_tmpz00_24579 =
								((obj_t) ((BgL_objectz00_bglt) BgL_funz00_183));
							BgL_arg4330z00_9148 = (BgL_objectz00_bglt) (BgL_tmpz00_24579);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Eval/evaluate_comp.scm 901 */
								long BgL_idxz00_9154;

								BgL_idxz00_9154 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg4330z00_9148);
								BgL_test5245z00_24578 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9154 + ((long) 2))) == BgL_classz00_9146);
							}
						else
							{	/* Eval/evaluate_comp.scm 901 */
								bool_t BgL_res4451z00_9176;

								{	/* Eval/evaluate_comp.scm 901 */
									obj_t BgL_oclassz00_9162;

									{	/* Eval/evaluate_comp.scm 901 */
										long BgL_arg4337z00_9168;

										{	/* Eval/evaluate_comp.scm 901 */
											long BgL_arg4338z00_9169;

											BgL_arg4338z00_9169 =
												BGL_OBJECT_CLASS_NUM(BgL_arg4330z00_9148);
											BgL_arg4337z00_9168 = (BgL_arg4338z00_9169 - OBJECT_TYPE);
										}
										BgL_oclassz00_9162 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg4337z00_9168);
									}
									{	/* Eval/evaluate_comp.scm 901 */
										bool_t BgL__ortest_1296z00_9163;

										BgL__ortest_1296z00_9163 =
											(BgL_classz00_9146 == BgL_oclassz00_9162);
										if (BgL__ortest_1296z00_9163)
											{	/* Eval/evaluate_comp.scm 901 */
												BgL_res4451z00_9176 = BgL__ortest_1296z00_9163;
											}
										else
											{	/* Eval/evaluate_comp.scm 901 */
												long BgL_odepthz00_9164;

												BgL_odepthz00_9164 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9162);
												if ((((long) 2) < BgL_odepthz00_9164))
													{	/* Eval/evaluate_comp.scm 901 */
														obj_t BgL_arg4327z00_9166;

														BgL_arg4327z00_9166 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9162,
															((long) 2));
														BgL_res4451z00_9176 =
															(BgL_arg4327z00_9166 == BgL_classz00_9146);
													}
												else
													{	/* Eval/evaluate_comp.scm 901 */
														BgL_res4451z00_9176 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test5245z00_24578 = BgL_res4451z00_9176;
							}
					}
				}
				if (BgL_test5245z00_24578)
					{	/* Eval/evaluate_comp.scm 903 */
						obj_t BgL_gz00_3114;

						{	/* Eval/evaluate_comp.scm 903 */
							obj_t BgL_arg2615z00_3122;
							obj_t BgL_arg2616z00_3123;

							BgL_arg2615z00_3122 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_modz00);
							BgL_arg2616z00_3123 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_namez00);
							BgL_gz00_3114 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg2615z00_3122, BgL_arg2616z00_3123);
						}
						if (CBOOL(BgL_gz00_3114))
							{	/* Eval/evaluate_comp.scm 905 */
								bool_t BgL_test5250z00_24606;

								{	/* Eval/evaluate_comp.scm 905 */
									int BgL_arg2613z00_3121;

									{	/* Eval/evaluate_comp.scm 905 */
										int BgL_res4452z00_9179;

										BgL_res4452z00_9179 =
											CINT(VECTOR_REF(((obj_t) BgL_gz00_3114), ((long) 0)));
										BgL_arg2613z00_3121 = BgL_res4452z00_9179;
									}
									BgL_test5250z00_24606 =
										((long) (BgL_arg2613z00_3121) == ((long) 0));
								}
								if (BgL_test5250z00_24606)
									{	/* Eval/evaluate_comp.scm 906 */
										obj_t BgL_valz00_3117;

										BgL_valz00_3117 =
											VECTOR_REF(((obj_t) BgL_gz00_3114), ((long) 2));
										{	/* Eval/evaluate_comp.scm 907 */
											bool_t BgL_test5251z00_24614;

											if (PROCEDUREP(BgL_valz00_3117))
												{	/* Eval/evaluate_comp.scm 907 */
													BgL_test5251z00_24614 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_3117,
														(int) (BgL_nbargsz00_184));
												}
											else
												{	/* Eval/evaluate_comp.scm 907 */
													BgL_test5251z00_24614 = ((bool_t) 0);
												}
											if (BgL_test5251z00_24614)
												{	/* Eval/evaluate_comp.scm 907 */
													return BgL_valz00_3117;
												}
											else
												{	/* Eval/evaluate_comp.scm 907 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 905 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 904 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 910 */
						bool_t BgL_test5253z00_24619;

						{	/* Eval/evaluate_comp.scm 910 */
							bool_t BgL_test5254z00_24620;

							{	/* Eval/evaluate_comp.scm 910 */
								obj_t BgL_classz00_9183;

								BgL_classz00_9183 = BGl_ev_littz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_comp.scm 910 */
									BgL_objectz00_bglt BgL_arg4330z00_9185;

									{	/* Eval/evaluate_comp.scm 910 */
										obj_t BgL_tmpz00_24621;

										BgL_tmpz00_24621 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_183));
										BgL_arg4330z00_9185 =
											(BgL_objectz00_bglt) (BgL_tmpz00_24621);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Eval/evaluate_comp.scm 910 */
											long BgL_idxz00_9191;

											BgL_idxz00_9191 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg4330z00_9185);
											BgL_test5254z00_24620 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9191 + ((long) 2))) == BgL_classz00_9183);
										}
									else
										{	/* Eval/evaluate_comp.scm 910 */
											bool_t BgL_res4453z00_9213;

											{	/* Eval/evaluate_comp.scm 910 */
												obj_t BgL_oclassz00_9199;

												{	/* Eval/evaluate_comp.scm 910 */
													long BgL_arg4337z00_9205;

													{	/* Eval/evaluate_comp.scm 910 */
														long BgL_arg4338z00_9206;

														BgL_arg4338z00_9206 =
															BGL_OBJECT_CLASS_NUM(BgL_arg4330z00_9185);
														BgL_arg4337z00_9205 =
															(BgL_arg4338z00_9206 - OBJECT_TYPE);
													}
													BgL_oclassz00_9199 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg4337z00_9205);
												}
												{	/* Eval/evaluate_comp.scm 910 */
													bool_t BgL__ortest_1296z00_9200;

													BgL__ortest_1296z00_9200 =
														(BgL_classz00_9183 == BgL_oclassz00_9199);
													if (BgL__ortest_1296z00_9200)
														{	/* Eval/evaluate_comp.scm 910 */
															BgL_res4453z00_9213 = BgL__ortest_1296z00_9200;
														}
													else
														{	/* Eval/evaluate_comp.scm 910 */
															long BgL_odepthz00_9201;

															BgL_odepthz00_9201 =
																BGL_CLASS_DEPTH(BgL_oclassz00_9199);
															if ((((long) 2) < BgL_odepthz00_9201))
																{	/* Eval/evaluate_comp.scm 910 */
																	obj_t BgL_arg4327z00_9203;

																	BgL_arg4327z00_9203 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9199,
																		((long) 2));
																	BgL_res4453z00_9213 =
																		(BgL_arg4327z00_9203 == BgL_classz00_9183);
																}
															else
																{	/* Eval/evaluate_comp.scm 910 */
																	BgL_res4453z00_9213 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test5254z00_24620 = BgL_res4453z00_9213;
										}
								}
							}
							if (BgL_test5254z00_24620)
								{	/* Eval/evaluate_comp.scm 911 */
									obj_t BgL_tmpz00_24641;

									BgL_tmpz00_24641 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
									BgL_test5253z00_24619 = PROCEDUREP(BgL_tmpz00_24641);
								}
							else
								{	/* Eval/evaluate_comp.scm 910 */
									BgL_test5253z00_24619 = ((bool_t) 0);
								}
						}
						if (BgL_test5253z00_24619)
							{	/* Eval/evaluate_comp.scm 913 */
								bool_t BgL_test5258z00_24645;

								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_arg2625z00_3133;

									BgL_arg2625z00_3133 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
									BgL_test5258z00_24645 =
										PROCEDURE_CORRECT_ARITYP(BgL_arg2625z00_3133,
										(int) (BgL_nbargsz00_184));
								}
								if (BgL_test5258z00_24645)
									{	/* Eval/evaluate_comp.scm 913 */
										return
											(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_funz00_183)))->
											BgL_valuez00);
									}
								else
									{	/* Eval/evaluate_comp.scm 915 */
										int BgL_arg2622z00_3131;

										{	/* Eval/evaluate_comp.scm 915 */
											obj_t BgL_arg2624z00_3132;

											BgL_arg2624z00_3132 =
												(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_funz00_183)))->
												BgL_valuez00);
											BgL_arg2622z00_3131 =
												PROCEDURE_ARITY(BgL_arg2624z00_3132);
										}
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
											BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
											BgL_arg2622z00_3131);
							}}
						else
							{	/* Eval/evaluate_comp.scm 910 */
								return BFALSE;
							}
					}
			}
		}

	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		{	/* Eval/evaluate_comp.scm 918 */
			{	/* Eval/evaluate_comp.scm 925 */
				bool_t BgL_test5259z00_24657;

				{	/* Eval/evaluate_comp.scm 925 */
					obj_t BgL_classz00_9225;

					BgL_classz00_9225 = BGl_ev_littz00zz__evaluate_typesz00;
					if (BGL_OBJECTP(BgL_exprz00_187))
						{	/* Eval/evaluate_comp.scm 925 */
							BgL_objectz00_bglt BgL_arg4330z00_9227;

							BgL_arg4330z00_9227 = (BgL_objectz00_bglt) (BgL_exprz00_187);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Eval/evaluate_comp.scm 925 */
									long BgL_idxz00_9233;

									BgL_idxz00_9233 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg4330z00_9227);
									BgL_test5259z00_24657 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9233 + ((long) 2))) == BgL_classz00_9225);
								}
							else
								{	/* Eval/evaluate_comp.scm 925 */
									bool_t BgL_res4454z00_9255;

									{	/* Eval/evaluate_comp.scm 925 */
										obj_t BgL_oclassz00_9241;

										{	/* Eval/evaluate_comp.scm 925 */
											long BgL_arg4337z00_9247;

											{	/* Eval/evaluate_comp.scm 925 */
												long BgL_arg4338z00_9248;

												BgL_arg4338z00_9248 =
													BGL_OBJECT_CLASS_NUM(BgL_arg4330z00_9227);
												BgL_arg4337z00_9247 =
													(BgL_arg4338z00_9248 - OBJECT_TYPE);
											}
											BgL_oclassz00_9241 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg4337z00_9247);
										}
										{	/* Eval/evaluate_comp.scm 925 */
											bool_t BgL__ortest_1296z00_9242;

											BgL__ortest_1296z00_9242 =
												(BgL_classz00_9225 == BgL_oclassz00_9241);
											if (BgL__ortest_1296z00_9242)
												{	/* Eval/evaluate_comp.scm 925 */
													BgL_res4454z00_9255 = BgL__ortest_1296z00_9242;
												}
											else
												{	/* Eval/evaluate_comp.scm 925 */
													long BgL_odepthz00_9243;

													BgL_odepthz00_9243 =
														BGL_CLASS_DEPTH(BgL_oclassz00_9241);
													if ((((long) 2) < BgL_odepthz00_9243))
														{	/* Eval/evaluate_comp.scm 925 */
															obj_t BgL_arg4327z00_9245;

															BgL_arg4327z00_9245 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9241,
																((long) 2));
															BgL_res4454z00_9255 =
																(BgL_arg4327z00_9245 == BgL_classz00_9225);
														}
													else
														{	/* Eval/evaluate_comp.scm 925 */
															BgL_res4454z00_9255 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test5259z00_24657 = BgL_res4454z00_9255;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 925 */
							BgL_test5259z00_24657 = ((bool_t) 0);
						}
				}
				if (BgL_test5259z00_24657)
					{	/* Eval/evaluate_comp.scm 925 */
						if (INTEGERP(
								(((BgL_ev_littz00_bglt) COBJECT(
											((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00)))
							{	/* Eval/evaluate_comp.scm 927 */
								obj_t BgL_v1398z00_3143;

								BgL_v1398z00_3143 = create_vector(((long) 2));
								VECTOR_SET(BgL_v1398z00_3143, ((long) 0), BINT(((long) 1)));
								{	/* Eval/evaluate_comp.scm 927 */
									double BgL_arg2632z00_3144;

									BgL_arg2632z00_3144 =
										(double) (
										(long) CINT(
											(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
												BgL_valuez00)));
									VECTOR_SET(BgL_v1398z00_3143, ((long) 1),
										DOUBLE_TO_REAL(BgL_arg2632z00_3144));
								}
								return BgL_v1398z00_3143;
							}
						else
							{	/* Eval/evaluate_comp.scm 928 */
								bool_t BgL_test5265z00_24690;

								{	/* Eval/evaluate_comp.scm 928 */
									obj_t BgL_tmpz00_24691;

									BgL_tmpz00_24691 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
										BgL_valuez00);
									BgL_test5265z00_24690 = REALP(BgL_tmpz00_24691);
								}
								if (BgL_test5265z00_24690)
									{	/* Eval/evaluate_comp.scm 928 */
										obj_t BgL_v1399z00_3148;

										BgL_v1399z00_3148 = create_vector(((long) 2));
										VECTOR_SET(BgL_v1399z00_3148, ((long) 0), BINT(((long) 1)));
										{	/* Eval/evaluate_comp.scm 928 */
											obj_t BgL_arg2636z00_3149;

											BgL_arg2636z00_3149 =
												(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
												BgL_valuez00);
											VECTOR_SET(BgL_v1399z00_3148, ((long) 1),
												BgL_arg2636z00_3149);
										}
										return BgL_v1399z00_3148;
									}
								else
									{	/* Eval/evaluate_comp.scm 929 */
										obj_t BgL_v1400z00_3150;

										BgL_v1400z00_3150 = create_vector(((long) 2));
										VECTOR_SET(BgL_v1400z00_3150, ((long) 0), BINT(((long) 0)));
										{	/* Eval/evaluate_comp.scm 929 */
											obj_t BgL_arg2638z00_3151;

											BgL_arg2638z00_3151 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_exprz00_187),
												BgL_stkz00_188);
											VECTOR_SET(BgL_v1400z00_3150, ((long) 1),
												BgL_arg2638z00_3151);
										}
										return BgL_v1400z00_3150;
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 930 */
						bool_t BgL_test5266z00_24707;

						{	/* Eval/evaluate_comp.scm 930 */
							obj_t BgL_classz00_9263;

							BgL_classz00_9263 = BGl_ev_varz00zz__evaluate_typesz00;
							if (BGL_OBJECTP(BgL_exprz00_187))
								{	/* Eval/evaluate_comp.scm 930 */
									BgL_objectz00_bglt BgL_arg4330z00_9265;

									BgL_arg4330z00_9265 = (BgL_objectz00_bglt) (BgL_exprz00_187);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Eval/evaluate_comp.scm 930 */
											long BgL_idxz00_9271;

											BgL_idxz00_9271 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg4330z00_9265);
											BgL_test5266z00_24707 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9271 + ((long) 2))) == BgL_classz00_9263);
										}
									else
										{	/* Eval/evaluate_comp.scm 930 */
											bool_t BgL_res4455z00_9293;

											{	/* Eval/evaluate_comp.scm 930 */
												obj_t BgL_oclassz00_9279;

												{	/* Eval/evaluate_comp.scm 930 */
													long BgL_arg4337z00_9285;

													{	/* Eval/evaluate_comp.scm 930 */
														long BgL_arg4338z00_9286;

														BgL_arg4338z00_9286 =
															BGL_OBJECT_CLASS_NUM(BgL_arg4330z00_9265);
														BgL_arg4337z00_9285 =
															(BgL_arg4338z00_9286 - OBJECT_TYPE);
													}
													BgL_oclassz00_9279 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg4337z00_9285);
												}
												{	/* Eval/evaluate_comp.scm 930 */
													bool_t BgL__ortest_1296z00_9280;

													BgL__ortest_1296z00_9280 =
														(BgL_classz00_9263 == BgL_oclassz00_9279);
													if (BgL__ortest_1296z00_9280)
														{	/* Eval/evaluate_comp.scm 930 */
															BgL_res4455z00_9293 = BgL__ortest_1296z00_9280;
														}
													else
														{	/* Eval/evaluate_comp.scm 930 */
															long BgL_odepthz00_9281;

															BgL_odepthz00_9281 =
																BGL_CLASS_DEPTH(BgL_oclassz00_9279);
															if ((((long) 2) < BgL_odepthz00_9281))
																{	/* Eval/evaluate_comp.scm 930 */
																	obj_t BgL_arg4327z00_9283;

																	BgL_arg4327z00_9283 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9279,
																		((long) 2));
																	BgL_res4455z00_9293 =
																		(BgL_arg4327z00_9283 == BgL_classz00_9263);
																}
															else
																{	/* Eval/evaluate_comp.scm 930 */
																	BgL_res4455z00_9293 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test5266z00_24707 = BgL_res4455z00_9293;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 930 */
									BgL_test5266z00_24707 = ((bool_t) 0);
								}
						}
						if (BgL_test5266z00_24707)
							{	/* Eval/evaluate_comp.scm 930 */
								if (CBOOL(
										(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_exprz00_187)))->
											BgL_effz00)))
									{	/* Eval/evaluate_comp.scm 933 */
										obj_t BgL_v1401z00_3157;

										BgL_v1401z00_3157 = create_vector(((long) 2));
										VECTOR_SET(BgL_v1401z00_3157, ((long) 0), BINT(((long) 3)));
										VECTOR_SET(BgL_v1401z00_3157, ((long) 1),
											BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
												BgL_stkz00_188));
										return BgL_v1401z00_3157;
									}
								else
									{	/* Eval/evaluate_comp.scm 934 */
										obj_t BgL_v1402z00_3159;

										BgL_v1402z00_3159 = create_vector(((long) 2));
										VECTOR_SET(BgL_v1402z00_3159, ((long) 0), BINT(((long) 2)));
										VECTOR_SET(BgL_v1402z00_3159, ((long) 1),
											BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
												BgL_stkz00_188));
										return BgL_v1402z00_3159;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 935 */
								bool_t BgL_test5272z00_24741;

								{	/* Eval/evaluate_comp.scm 935 */
									obj_t BgL_classz00_9298;

									BgL_classz00_9298 = BGl_ev_globalz00zz__evaluate_typesz00;
									if (BGL_OBJECTP(BgL_exprz00_187))
										{	/* Eval/evaluate_comp.scm 935 */
											BgL_objectz00_bglt BgL_arg4330z00_9300;

											BgL_arg4330z00_9300 =
												(BgL_objectz00_bglt) (BgL_exprz00_187);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Eval/evaluate_comp.scm 935 */
													long BgL_idxz00_9306;

													BgL_idxz00_9306 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg4330z00_9300);
													BgL_test5272z00_24741 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_9306 + ((long) 2))) ==
														BgL_classz00_9298);
												}
											else
												{	/* Eval/evaluate_comp.scm 935 */
													bool_t BgL_res4456z00_9328;

													{	/* Eval/evaluate_comp.scm 935 */
														obj_t BgL_oclassz00_9314;

														{	/* Eval/evaluate_comp.scm 935 */
															long BgL_arg4337z00_9320;

															{	/* Eval/evaluate_comp.scm 935 */
																long BgL_arg4338z00_9321;

																BgL_arg4338z00_9321 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg4330z00_9300);
																BgL_arg4337z00_9320 =
																	(BgL_arg4338z00_9321 - OBJECT_TYPE);
															}
															BgL_oclassz00_9314 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg4337z00_9320);
														}
														{	/* Eval/evaluate_comp.scm 935 */
															bool_t BgL__ortest_1296z00_9315;

															BgL__ortest_1296z00_9315 =
																(BgL_classz00_9298 == BgL_oclassz00_9314);
															if (BgL__ortest_1296z00_9315)
																{	/* Eval/evaluate_comp.scm 935 */
																	BgL_res4456z00_9328 =
																		BgL__ortest_1296z00_9315;
																}
															else
																{	/* Eval/evaluate_comp.scm 935 */
																	long BgL_odepthz00_9316;

																	BgL_odepthz00_9316 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_9314);
																	if ((((long) 2) < BgL_odepthz00_9316))
																		{	/* Eval/evaluate_comp.scm 935 */
																			obj_t BgL_arg4327z00_9318;

																			BgL_arg4327z00_9318 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_9314, ((long) 2));
																			BgL_res4456z00_9328 =
																				(BgL_arg4327z00_9318 ==
																				BgL_classz00_9298);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 935 */
																			BgL_res4456z00_9328 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test5272z00_24741 = BgL_res4456z00_9328;
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 935 */
											BgL_test5272z00_24741 = ((bool_t) 0);
										}
								}
								if (BgL_test5272z00_24741)
									{	/* Eval/evaluate_comp.scm 937 */
										obj_t BgL_gz00_3163;

										{	/* Eval/evaluate_comp.scm 937 */
											obj_t BgL_arg2654z00_3171;
											obj_t BgL_arg2655z00_3172;

											BgL_arg2654z00_3171 =
												(((BgL_ev_globalz00_bglt) COBJECT(
														((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
												BgL_modz00);
											BgL_arg2655z00_3172 =
												(((BgL_ev_globalz00_bglt)
													COBJECT(((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
												BgL_namez00);
											BgL_gz00_3163 =
												BGl_evmodulezd2findzd2globalz00zz__evmodulez00
												(BgL_arg2654z00_3171, BgL_arg2655z00_3172);
										}
										if (CBOOL(BgL_gz00_3163))
											{	/* Eval/evaluate_comp.scm 939 */
												bool_t BgL_test5278z00_24768;

												{	/* Eval/evaluate_comp.scm 939 */
													int BgL_arg2651z00_3168;

													{	/* Eval/evaluate_comp.scm 939 */
														int BgL_res4457z00_9331;

														BgL_res4457z00_9331 =
															CINT(VECTOR_REF(
																((obj_t) BgL_gz00_3163), ((long) 0)));
														BgL_arg2651z00_3168 = BgL_res4457z00_9331;
													}
													BgL_test5278z00_24768 =
														(BINT(BgL_arg2651z00_3168) == BINT(((long) 1)));
												}
												if (BgL_test5278z00_24768)
													{	/* Eval/evaluate_comp.scm 940 */
														obj_t BgL_v1403z00_3166;

														BgL_v1403z00_3166 = create_vector(((long) 2));
														VECTOR_SET(BgL_v1403z00_3166, ((long) 0),
															BINT(((long) 4)));
														VECTOR_SET(BgL_v1403z00_3166, ((long) 1),
															BgL_gz00_3163);
														return BgL_v1403z00_3166;
													}
												else
													{	/* Eval/evaluate_comp.scm 941 */
														obj_t BgL_v1404z00_3167;

														BgL_v1404z00_3167 = create_vector(((long) 2));
														VECTOR_SET(BgL_v1404z00_3167, ((long) 0),
															BINT(((long) 5)));
														VECTOR_SET(BgL_v1404z00_3167, ((long) 1),
															BgL_gz00_3163);
														return BgL_v1404z00_3167;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 942 */
												obj_t BgL_v1405z00_3169;

												BgL_v1405z00_3169 = create_vector(((long) 2));
												VECTOR_SET(BgL_v1405z00_3169, ((long) 0),
													BINT(((long) 0)));
												{	/* Eval/evaluate_comp.scm 942 */
													obj_t BgL_arg2653z00_3170;

													BgL_arg2653z00_3170 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_exprz00_187),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1405z00_3169, ((long) 1),
														BgL_arg2653z00_3170);
												}
												return BgL_v1405z00_3169;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 943 */
										bool_t BgL_test5279z00_24789;

										{	/* Eval/evaluate_comp.scm 943 */
											obj_t BgL_classz00_9338;

											BgL_classz00_9338 = BGl_ev_appz00zz__evaluate_typesz00;
											if (BGL_OBJECTP(BgL_exprz00_187))
												{	/* Eval/evaluate_comp.scm 943 */
													BgL_objectz00_bglt BgL_arg4330z00_9340;

													BgL_arg4330z00_9340 =
														(BgL_objectz00_bglt) (BgL_exprz00_187);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Eval/evaluate_comp.scm 943 */
															long BgL_idxz00_9346;

															BgL_idxz00_9346 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg4330z00_9340);
															BgL_test5279z00_24789 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_9346 + ((long) 2))) ==
																BgL_classz00_9338);
														}
													else
														{	/* Eval/evaluate_comp.scm 943 */
															bool_t BgL_res4458z00_9368;

															{	/* Eval/evaluate_comp.scm 943 */
																obj_t BgL_oclassz00_9354;

																{	/* Eval/evaluate_comp.scm 943 */
																	long BgL_arg4337z00_9360;

																	{	/* Eval/evaluate_comp.scm 943 */
																		long BgL_arg4338z00_9361;

																		BgL_arg4338z00_9361 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg4330z00_9340);
																		BgL_arg4337z00_9360 =
																			(BgL_arg4338z00_9361 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_9354 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg4337z00_9360);
																}
																{	/* Eval/evaluate_comp.scm 943 */
																	bool_t BgL__ortest_1296z00_9355;

																	BgL__ortest_1296z00_9355 =
																		(BgL_classz00_9338 == BgL_oclassz00_9354);
																	if (BgL__ortest_1296z00_9355)
																		{	/* Eval/evaluate_comp.scm 943 */
																			BgL_res4458z00_9368 =
																				BgL__ortest_1296z00_9355;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 943 */
																			long BgL_odepthz00_9356;

																			BgL_odepthz00_9356 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_9354);
																			if ((((long) 2) < BgL_odepthz00_9356))
																				{	/* Eval/evaluate_comp.scm 943 */
																					obj_t BgL_arg4327z00_9358;

																					BgL_arg4327z00_9358 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_9354, ((long) 2));
																					BgL_res4458z00_9368 =
																						(BgL_arg4327z00_9358 ==
																						BgL_classz00_9338);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 943 */
																					BgL_res4458z00_9368 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test5279z00_24789 = BgL_res4458z00_9368;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 943 */
													BgL_test5279z00_24789 = ((bool_t) 0);
												}
										}
										if (BgL_test5279z00_24789)
											{	/* Eval/evaluate_comp.scm 945 */
												obj_t BgL_fvalz00_3175;

												{	/* Eval/evaluate_comp.scm 945 */
													BgL_ev_exprz00_bglt BgL_arg2706z00_3229;

													BgL_arg2706z00_3229 =
														(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
														BgL_funz00);
													BgL_fvalz00_3175 =
														BGl_globalzd2funzd2valuez00zz__evaluate_compz00
														(BgL_arg2706z00_3229);
												}
												if (
													(BgL_fvalz00_3175 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 947 */
														{	/* Eval/evaluate_comp.scm 948 */
															obj_t BgL_arg2657z00_3176;
															BgL_ev_exprz00_bglt BgL_arg2658z00_3177;
															obj_t BgL_arg2659z00_3178;

															BgL_arg2657z00_3176 =
																(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																BgL_locz00);
															BgL_arg2658z00_3177 =
																(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_exprz00_187)))->BgL_funz00);
															BgL_arg2659z00_3178 =
																(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_exprz00_187)))->BgL_argsz00);
															{	/* Eval/evaluate_comp.scm 921 */
																bool_t BgL_test5285z00_24820;

																if (PAIRP(BgL_arg2659z00_3178))
																	{	/* Eval/evaluate_comp.scm 921 */
																		bool_t BgL_test5287z00_24823;

																		{	/* Eval/evaluate_comp.scm 921 */
																			obj_t BgL_tmpz00_24824;

																			BgL_tmpz00_24824 =
																				CDR(BgL_arg2659z00_3178);
																			BgL_test5287z00_24823 =
																				PAIRP(BgL_tmpz00_24824);
																		}
																		if (BgL_test5287z00_24823)
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5285z00_24820 =
																					NULLP(CDR(CDR(BgL_arg2659z00_3178)));
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5285z00_24820 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Eval/evaluate_comp.scm 921 */
																		BgL_test5285z00_24820 = ((bool_t) 0);
																	}
																if (BgL_test5285z00_24820)
																	{	/* Eval/evaluate_comp.scm 921 */
																		BFALSE;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 922 */
																		long BgL_arg2716z00_9374;

																		BgL_arg2716z00_9374 =
																			bgl_list_length(BgL_arg2659z00_3178);
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_arg2657z00_3176,
																			((obj_t) BgL_arg2658z00_3177),
																			(int) (((long) 2)),
																			(int) (BgL_arg2716z00_9374));
														}}}
														{	/* Eval/evaluate_comp.scm 949 */
															obj_t BgL_v1406z00_3179;

															BgL_v1406z00_3179 = create_vector(((long) 3));
															VECTOR_SET(BgL_v1406z00_3179, ((long) 0),
																BINT(((long) 6)));
															{	/* Eval/evaluate_comp.scm 949 */
																obj_t BgL_arg2660z00_3180;

																{	/* Eval/evaluate_comp.scm 949 */
																	obj_t BgL_arg2661z00_3181;

																	{	/* Eval/evaluate_comp.scm 949 */
																		obj_t BgL_pairz00_9381;

																		BgL_pairz00_9381 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2661z00_3181 = CAR(BgL_pairz00_9381);
																	}
																	BgL_arg2660z00_3180 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2661z00_3181, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1406z00_3179, ((long) 1),
																	BgL_arg2660z00_3180);
															}
															{	/* Eval/evaluate_comp.scm 949 */
																obj_t BgL_arg2663z00_3183;

																{	/* Eval/evaluate_comp.scm 949 */
																	obj_t BgL_arg2664z00_3184;

																	{	/* Eval/evaluate_comp.scm 949 */
																		obj_t BgL_pairz00_9383;

																		BgL_pairz00_9383 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2664z00_3184 =
																			CAR(CDR(BgL_pairz00_9383));
																	}
																	BgL_arg2663z00_3183 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2664z00_3184, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1406z00_3179, ((long) 2),
																	BgL_arg2663z00_3183);
															}
															return BgL_v1406z00_3179;
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 947 */
														if (
															(BgL_fvalz00_3175 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 950 */
																{	/* Eval/evaluate_comp.scm 951 */
																	obj_t BgL_arg2666z00_3186;
																	BgL_ev_exprz00_bglt BgL_arg2667z00_3187;
																	obj_t BgL_arg2668z00_3188;

																	BgL_arg2666z00_3186 =
																		(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_locz00);
																	BgL_arg2667z00_3187 =
																		(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_funz00);
																	BgL_arg2668z00_3188 =
																		(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_argsz00);
																	{	/* Eval/evaluate_comp.scm 921 */
																		bool_t BgL_test5289z00_24857;

																		if (PAIRP(BgL_arg2668z00_3188))
																			{	/* Eval/evaluate_comp.scm 921 */
																				bool_t BgL_test5291z00_24860;

																				{	/* Eval/evaluate_comp.scm 921 */
																					obj_t BgL_tmpz00_24861;

																					BgL_tmpz00_24861 =
																						CDR(BgL_arg2668z00_3188);
																					BgL_test5291z00_24860 =
																						PAIRP(BgL_tmpz00_24861);
																				}
																				if (BgL_test5291z00_24860)
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5289z00_24857 =
																							NULLP(CDR(CDR
																								(BgL_arg2668z00_3188)));
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5289z00_24857 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5289z00_24857 = ((bool_t) 0);
																			}
																		if (BgL_test5289z00_24857)
																			{	/* Eval/evaluate_comp.scm 921 */
																				BFALSE;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 922 */
																				long BgL_arg2716z00_9393;

																				BgL_arg2716z00_9393 =
																					bgl_list_length(BgL_arg2668z00_3188);
																				BGl_evarityzd2errorzd2zz__everrorz00
																					(BgL_arg2666z00_3186,
																					((obj_t) BgL_arg2667z00_3187),
																					(int) (((long) 2)),
																					(int) (BgL_arg2716z00_9393));
																}}}
																{	/* Eval/evaluate_comp.scm 952 */
																	obj_t BgL_v1407z00_3189;

																	BgL_v1407z00_3189 = create_vector(((long) 3));
																	VECTOR_SET(BgL_v1407z00_3189, ((long) 0),
																		BINT(((long) 7)));
																	{	/* Eval/evaluate_comp.scm 952 */
																		obj_t BgL_arg2669z00_3190;

																		{	/* Eval/evaluate_comp.scm 952 */
																			obj_t BgL_arg2671z00_3191;

																			{	/* Eval/evaluate_comp.scm 952 */
																				obj_t BgL_pairz00_9400;

																				BgL_pairz00_9400 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2671z00_3191 =
																					CAR(BgL_pairz00_9400);
																			}
																			BgL_arg2669z00_3190 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2671z00_3191, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1407z00_3189, ((long) 1),
																			BgL_arg2669z00_3190);
																	}
																	{	/* Eval/evaluate_comp.scm 952 */
																		obj_t BgL_arg2673z00_3193;

																		{	/* Eval/evaluate_comp.scm 952 */
																			obj_t BgL_arg2675z00_3194;

																			{	/* Eval/evaluate_comp.scm 952 */
																				obj_t BgL_pairz00_9402;

																				BgL_pairz00_9402 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2675z00_3194 =
																					CAR(CDR(BgL_pairz00_9402));
																			}
																			BgL_arg2673z00_3193 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2675z00_3194, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1407z00_3189, ((long) 2),
																			BgL_arg2673z00_3193);
																	}
																	return BgL_v1407z00_3189;
																}
															}
														else
															{	/* Eval/evaluate_comp.scm 950 */
																if (
																	(BgL_fvalz00_3175 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 953 */
																		{	/* Eval/evaluate_comp.scm 954 */
																			obj_t BgL_arg2677z00_3196;
																			BgL_ev_exprz00_bglt BgL_arg2678z00_3197;
																			obj_t BgL_arg2679z00_3198;

																			BgL_arg2677z00_3196 =
																				(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_locz00);
																			BgL_arg2678z00_3197 =
																				(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_funz00);
																			BgL_arg2679z00_3198 =
																				(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_argsz00);
																			{	/* Eval/evaluate_comp.scm 921 */
																				bool_t BgL_test5293z00_24894;

																				if (PAIRP(BgL_arg2679z00_3198))
																					{	/* Eval/evaluate_comp.scm 921 */
																						bool_t BgL_test5295z00_24897;

																						{	/* Eval/evaluate_comp.scm 921 */
																							obj_t BgL_tmpz00_24898;

																							BgL_tmpz00_24898 =
																								CDR(BgL_arg2679z00_3198);
																							BgL_test5295z00_24897 =
																								PAIRP(BgL_tmpz00_24898);
																						}
																						if (BgL_test5295z00_24897)
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5293z00_24894 =
																									NULLP(CDR(CDR
																										(BgL_arg2679z00_3198)));
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5293z00_24894 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5293z00_24894 =
																							((bool_t) 0);
																					}
																				if (BgL_test5293z00_24894)
																					{	/* Eval/evaluate_comp.scm 921 */
																						BFALSE;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 922 */
																						long BgL_arg2716z00_9412;

																						BgL_arg2716z00_9412 =
																							bgl_list_length
																							(BgL_arg2679z00_3198);
																						BGl_evarityzd2errorzd2zz__everrorz00
																							(BgL_arg2677z00_3196,
																							((obj_t) BgL_arg2678z00_3197),
																							(int) (((long) 2)),
																							(int) (BgL_arg2716z00_9412));
																		}}}
																		{	/* Eval/evaluate_comp.scm 955 */
																			obj_t BgL_v1408z00_3199;

																			BgL_v1408z00_3199 =
																				create_vector(((long) 3));
																			VECTOR_SET(BgL_v1408z00_3199, ((long) 0),
																				BINT(((long) 8)));
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t BgL_arg2680z00_3200;

																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_arg2681z00_3201;

																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t BgL_pairz00_9419;

																						BgL_pairz00_9419 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2681z00_3201 =
																							CAR(BgL_pairz00_9419);
																					}
																					BgL_arg2680z00_3200 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2681z00_3201,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1408z00_3199,
																					((long) 1), BgL_arg2680z00_3200);
																			}
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t BgL_arg2683z00_3203;

																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_arg2684z00_3204;

																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t BgL_pairz00_9421;

																						BgL_pairz00_9421 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2684z00_3204 =
																							CAR(CDR(BgL_pairz00_9421));
																					}
																					BgL_arg2683z00_3203 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2684z00_3204,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1408z00_3199,
																					((long) 2), BgL_arg2683z00_3203);
																			}
																			return BgL_v1408z00_3199;
																		}
																	}
																else
																	{	/* Eval/evaluate_comp.scm 953 */
																		if (
																			(BgL_fvalz00_3175 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 956 */
																				{	/* Eval/evaluate_comp.scm 957 */
																					obj_t BgL_arg2686z00_3206;
																					BgL_ev_exprz00_bglt
																						BgL_arg2687z00_3207;
																					obj_t BgL_arg2688z00_3208;

																					BgL_arg2686z00_3206 =
																						(((BgL_ev_appz00_bglt) COBJECT(
																								((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_locz00);
																					BgL_arg2687z00_3207 =
																						(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_funz00);
																					BgL_arg2688z00_3208 =
																						(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_argsz00);
																					{	/* Eval/evaluate_comp.scm 921 */
																						bool_t BgL_test5297z00_24931;

																						if (PAIRP(BgL_arg2688z00_3208))
																							{	/* Eval/evaluate_comp.scm 921 */
																								bool_t BgL_test5299z00_24934;

																								{	/* Eval/evaluate_comp.scm 921 */
																									obj_t BgL_tmpz00_24935;

																									BgL_tmpz00_24935 =
																										CDR(BgL_arg2688z00_3208);
																									BgL_test5299z00_24934 =
																										PAIRP(BgL_tmpz00_24935);
																								}
																								if (BgL_test5299z00_24934)
																									{	/* Eval/evaluate_comp.scm 921 */
																										BgL_test5297z00_24931 =
																											NULLP(CDR(CDR
																												(BgL_arg2688z00_3208)));
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 921 */
																										BgL_test5297z00_24931 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5297z00_24931 =
																									((bool_t) 0);
																							}
																						if (BgL_test5297z00_24931)
																							{	/* Eval/evaluate_comp.scm 921 */
																								BFALSE;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 922 */
																								long BgL_arg2716z00_9431;

																								BgL_arg2716z00_9431 =
																									bgl_list_length
																									(BgL_arg2688z00_3208);
																								BGl_evarityzd2errorzd2zz__everrorz00
																									(BgL_arg2686z00_3206,
																									((obj_t) BgL_arg2687z00_3207),
																									(int) (((long) 2)),
																									(int) (BgL_arg2716z00_9431));
																				}}}
																				{	/* Eval/evaluate_comp.scm 958 */
																					obj_t BgL_v1409z00_3209;

																					BgL_v1409z00_3209 =
																						create_vector(((long) 3));
																					VECTOR_SET(BgL_v1409z00_3209,
																						((long) 0), BINT(((long) 9)));
																					{	/* Eval/evaluate_comp.scm 958 */
																						obj_t BgL_arg2689z00_3210;

																						{	/* Eval/evaluate_comp.scm 958 */
																							obj_t BgL_arg2690z00_3211;

																							{	/* Eval/evaluate_comp.scm 958 */
																								obj_t BgL_pairz00_9438;

																								BgL_pairz00_9438 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2690z00_3211 =
																									CAR(BgL_pairz00_9438);
																							}
																							BgL_arg2689z00_3210 =
																								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																								(BgL_arg2690z00_3211,
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1409z00_3209,
																							((long) 1), BgL_arg2689z00_3210);
																					}
																					{	/* Eval/evaluate_comp.scm 958 */
																						obj_t BgL_arg2692z00_3213;

																						{	/* Eval/evaluate_comp.scm 958 */
																							obj_t BgL_arg2693z00_3214;

																							{	/* Eval/evaluate_comp.scm 958 */
																								obj_t BgL_pairz00_9440;

																								BgL_pairz00_9440 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2693z00_3214 =
																									CAR(CDR(BgL_pairz00_9440));
																							}
																							BgL_arg2692z00_3213 =
																								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																								(BgL_arg2693z00_3214,
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1409z00_3209,
																							((long) 2), BgL_arg2692z00_3213);
																					}
																					return BgL_v1409z00_3209;
																				}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 956 */
																				if (
																					(BgL_fvalz00_3175 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 960 */
																						obj_t BgL_v1410z00_3216;

																						BgL_v1410z00_3216 =
																							create_vector(((long) 2));
																						VECTOR_SET(BgL_v1410z00_3216,
																							((long) 0), BINT(((long) 10)));
																						{	/* Eval/evaluate_comp.scm 960 */
																							obj_t BgL_arg2695z00_3217;

																							{	/* Eval/evaluate_comp.scm 960 */
																								obj_t BgL_arg2696z00_3218;

																								{	/* Eval/evaluate_comp.scm 960 */
																									obj_t BgL_pairz00_9446;

																									BgL_pairz00_9446 =
																										(((BgL_ev_appz00_bglt)
																											COBJECT((
																													(BgL_ev_appz00_bglt)
																													BgL_exprz00_187)))->
																										BgL_argsz00);
																									BgL_arg2696z00_3218 =
																										CAR(BgL_pairz00_9446);
																								}
																								BgL_arg2695z00_3217 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2696z00_3218),
																									BgL_stkz00_188);
																							}
																							VECTOR_SET(BgL_v1410z00_3216,
																								((long) 1),
																								BgL_arg2695z00_3217);
																						}
																						return BgL_v1410z00_3216;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 959 */
																						if (
																							(BgL_fvalz00_3175 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 962 */
																								obj_t BgL_v1411z00_3220;

																								BgL_v1411z00_3220 =
																									create_vector(((long) 3));
																								VECTOR_SET(BgL_v1411z00_3220,
																									((long) 0),
																									BINT(((long) 11)));
																								{	/* Eval/evaluate_comp.scm 962 */
																									obj_t BgL_arg2698z00_3221;

																									{	/* Eval/evaluate_comp.scm 962 */
																										obj_t BgL_arg2699z00_3222;

																										{	/* Eval/evaluate_comp.scm 962 */
																											obj_t BgL_pairz00_9449;

																											BgL_pairz00_9449 =
																												(((BgL_ev_appz00_bglt)
																													COBJECT((
																															(BgL_ev_appz00_bglt)
																															BgL_exprz00_187)))->
																												BgL_argsz00);
																											BgL_arg2699z00_3222 =
																												CAR(BgL_pairz00_9449);
																										}
																										BgL_arg2698z00_3221 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2699z00_3222),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1411z00_3220,
																										((long) 1),
																										BgL_arg2698z00_3221);
																								}
																								{	/* Eval/evaluate_comp.scm 962 */
																									obj_t BgL_arg2701z00_3224;

																									{	/* Eval/evaluate_comp.scm 962 */
																										obj_t BgL_arg2703z00_3225;

																										{	/* Eval/evaluate_comp.scm 962 */
																											obj_t BgL_pairz00_9451;

																											BgL_pairz00_9451 =
																												(((BgL_ev_appz00_bglt)
																													COBJECT((
																															(BgL_ev_appz00_bglt)
																															BgL_exprz00_187)))->
																												BgL_argsz00);
																											BgL_arg2703z00_3225 =
																												CAR(CDR
																												(BgL_pairz00_9451));
																										}
																										BgL_arg2701z00_3224 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2703z00_3225),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1411z00_3220,
																										((long) 2),
																										BgL_arg2701z00_3224);
																								}
																								return BgL_v1411z00_3220;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 964 */
																								obj_t BgL_v1412z00_3227;

																								BgL_v1412z00_3227 =
																									create_vector(((long) 2));
																								VECTOR_SET(BgL_v1412z00_3227,
																									((long) 0), BINT(((long) 0)));
																								{	/* Eval/evaluate_comp.scm 964 */
																									obj_t BgL_arg2705z00_3228;

																									BgL_arg2705z00_3228 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_exprz00_187),
																										BgL_stkz00_188);
																									VECTOR_SET(BgL_v1412z00_3227,
																										((long) 1),
																										BgL_arg2705z00_3228);
																								}
																								return BgL_v1412z00_3227;
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 965 */
												obj_t BgL_v1413z00_3230;

												BgL_v1413z00_3230 = create_vector(((long) 2));
												VECTOR_SET(BgL_v1413z00_3230, ((long) 0),
													BINT(((long) 0)));
												{	/* Eval/evaluate_comp.scm 965 */
													obj_t BgL_arg2707z00_3231;

													BgL_arg2707z00_3231 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_exprz00_187),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1413z00_3230, ((long) 1),
														BgL_arg2707z00_3231);
												}
												return BgL_v1413z00_3230;
											}
									}
							}
					}
			}
		}

	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		{	/* Eval/evaluate_comp.scm 967 */
			return
				REAL_TO_DOUBLE(BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}

	}



/* E~0 */
	obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_15562,
		obj_t BgL_bcz00_3252)
	{
		{	/* Eval/evaluate_comp.scm 982 */
			{	/* Eval/evaluate_comp.scm 969 */
				obj_t BgL_aux1229z00_3255;

				BgL_aux1229z00_3255 = VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 0));
				if (INTEGERP(BgL_aux1229z00_3255))
					{	/* Eval/evaluate_comp.scm 969 */
						switch ((long) CINT(BgL_aux1229z00_3255))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 970 */
									obj_t BgL_fun2720z00_3256;

									BgL_fun2720z00_3256 =
										VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
									return
										((obj_t(*)(obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun2720z00_3256)) (BgL_fun2720z00_3256,
										BgL_sz00_15562, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 972 */
									long BgL_arg2721z00_3257;

									{	/* Eval/evaluate_comp.scm 972 */
										obj_t BgL_arg2722z00_3258;
										obj_t BgL_arg2723z00_3259;

										BgL_arg2722z00_3258 =
											VECTOR_REF(((obj_t) BgL_sz00_15562), ((long) 0));
										BgL_arg2723z00_3259 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
										BgL_arg2721z00_3257 =
											(
											(long) CINT(BgL_arg2722z00_3258) +
											(long) CINT(BgL_arg2723z00_3259));
									}
									return
										VECTOR_REF(((obj_t) BgL_sz00_15562), BgL_arg2721z00_3257);
								}
								break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 973 */
									obj_t BgL_arg2724z00_3260;

									{	/* Eval/evaluate_comp.scm 973 */
										long BgL_arg2725z00_3261;

										{	/* Eval/evaluate_comp.scm 973 */
											obj_t BgL_arg2727z00_3262;
											obj_t BgL_arg2728z00_3263;

											BgL_arg2727z00_3262 =
												VECTOR_REF(((obj_t) BgL_sz00_15562), ((long) 0));
											BgL_arg2728z00_3263 =
												VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
											BgL_arg2725z00_3261 =
												(
												(long) CINT(BgL_arg2727z00_3262) +
												(long) CINT(BgL_arg2728z00_3263));
										}
										BgL_arg2724z00_3260 =
											VECTOR_REF(((obj_t) BgL_sz00_15562), BgL_arg2725z00_3261);
									}
									return
										STRUCT_REF(
										((obj_t) BgL_arg2724z00_3260), (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 974 */
									obj_t BgL_arg2729z00_3264;

									{	/* Eval/evaluate_comp.scm 974 */
										obj_t BgL_arg2730z00_3265;

										BgL_arg2730z00_3265 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
										BgL_arg2729z00_3264 =
											VECTOR_REF(((obj_t) BgL_arg2730z00_3265), ((long) 2));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2729z00_3264);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 975 */
									obj_t BgL_arg2731z00_3266;

									BgL_arg2731z00_3266 =
										VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
									return VECTOR_REF(((obj_t) BgL_arg2731z00_3266), ((long) 2));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 976 */
									obj_t BgL_arg2732z00_3267;
									obj_t BgL_arg2733z00_3268;

									{	/* Eval/evaluate_comp.scm 976 */
										obj_t BgL_arg2734z00_3269;

										BgL_arg2734z00_3269 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
										BgL_arg2732z00_3267 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15562,
											BgL_arg2734z00_3269);
									}
									{	/* Eval/evaluate_comp.scm 976 */
										obj_t BgL_arg2735z00_3270;

										BgL_arg2735z00_3270 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 2));
										BgL_arg2733z00_3268 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15562,
											BgL_arg2735z00_3270);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2732z00_3267) +
											REAL_TO_DOUBLE(BgL_arg2733z00_3268)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 977 */
									obj_t BgL_arg2737z00_3271;
									obj_t BgL_arg2738z00_3272;

									{	/* Eval/evaluate_comp.scm 977 */
										obj_t BgL_arg2742z00_3273;

										BgL_arg2742z00_3273 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
										BgL_arg2737z00_3271 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15562,
											BgL_arg2742z00_3273);
									}
									{	/* Eval/evaluate_comp.scm 977 */
										obj_t BgL_arg2744z00_3274;

										BgL_arg2744z00_3274 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 2));
										BgL_arg2738z00_3272 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15562,
											BgL_arg2744z00_3274);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2737z00_3271) -
											REAL_TO_DOUBLE(BgL_arg2738z00_3272)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 978 */
									obj_t BgL_arg2745z00_3275;
									obj_t BgL_arg2747z00_3276;

									{	/* Eval/evaluate_comp.scm 978 */
										obj_t BgL_arg2748z00_3277;

										BgL_arg2748z00_3277 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
										BgL_arg2745z00_3275 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15562,
											BgL_arg2748z00_3277);
									}
									{	/* Eval/evaluate_comp.scm 978 */
										obj_t BgL_arg2749z00_3278;

										BgL_arg2749z00_3278 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 2));
										BgL_arg2747z00_3276 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15562,
											BgL_arg2749z00_3278);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2745z00_3275) *
											REAL_TO_DOUBLE(BgL_arg2747z00_3276)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 979 */
									obj_t BgL_arg2750z00_3279;
									obj_t BgL_arg2752z00_3280;

									{	/* Eval/evaluate_comp.scm 979 */
										obj_t BgL_arg2753z00_3281;

										BgL_arg2753z00_3281 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
										BgL_arg2750z00_3279 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15562,
											BgL_arg2753z00_3281);
									}
									{	/* Eval/evaluate_comp.scm 979 */
										obj_t BgL_arg2755z00_3282;

										BgL_arg2755z00_3282 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 2));
										BgL_arg2752z00_3280 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15562,
											BgL_arg2755z00_3282);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2750z00_3279) /
											REAL_TO_DOUBLE(BgL_arg2752z00_3280)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 980 */
									obj_t BgL_arg2756z00_3283;

									{	/* Eval/evaluate_comp.scm 980 */
										obj_t BgL_fun2757z00_3284;

										BgL_fun2757z00_3284 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
										BgL_arg2756z00_3283 =
											((obj_t(*)(obj_t, obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun2757z00_3284))
											(BgL_fun2757z00_3284, BgL_sz00_15562, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2756z00_3283)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 981 */
									obj_t BgL_arg2760z00_3285;
									obj_t BgL_arg2761z00_3286;

									{	/* Eval/evaluate_comp.scm 981 */
										obj_t BgL_fun2762z00_3287;

										BgL_fun2762z00_3287 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 1));
										BgL_arg2760z00_3285 =
											((obj_t(*)(obj_t, obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun2762z00_3287))
											(BgL_fun2762z00_3287, BgL_sz00_15562, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 981 */
										obj_t BgL_fun2763z00_3288;

										BgL_fun2763z00_3288 =
											VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 2));
										BgL_arg2761z00_3286 =
											((obj_t(*)(obj_t, obj_t,
													obj_t))
											PROCEDURE_ENTRY(BgL_fun2763z00_3288))
											(BgL_fun2763z00_3288, BgL_sz00_15562, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 981 */
										double BgL_tmpz00_25106;

										{	/* Eval/evaluate_comp.scm 981 */
											long BgL_tmpz00_25107;

											BgL_tmpz00_25107 = (long) CINT(BgL_arg2761z00_3286);
											BgL_tmpz00_25106 =
												BGL_F64VREF(BgL_arg2760z00_3285, BgL_tmpz00_25107);
										}
										return DOUBLE_TO_REAL(BgL_tmpz00_25106);
									}
								}
								break;
							default:
								{	/* Eval/evaluate_comp.scm 982 */
									obj_t BgL_arg2764z00_9504;

									BgL_arg2764z00_9504 =
										VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 0));
									return
										BGl_errorz00zz__errorz00
										(BGl_string4603z00zz__evaluate_compz00,
										BGl_string4622z00zz__evaluate_compz00, BgL_arg2764z00_9504);
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 982 */
						obj_t BgL_arg2764z00_9506;

						BgL_arg2764z00_9506 =
							VECTOR_REF(((obj_t) BgL_bcz00_3252), ((long) 0));
						return
							BGl_errorz00zz__errorz00(BGl_string4603z00zz__evaluate_compz00,
							BGl_string4622z00zz__evaluate_compz00, BgL_arg2764z00_9506);
					}
			}
		}

	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		{	/* Eval/evaluate_comp.scm 985 */
			{	/* Eval/evaluate_comp.scm 987 */
				obj_t BgL_fvalz00_3292;

				BgL_fvalz00_3292 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 988 */
					bool_t BgL_test5303z00_25121;

					if (
						(BgL_fvalz00_3292 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 988 */
							BgL_test5303z00_25121 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							if (
								(BgL_fvalz00_3292 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 988 */
									BgL_test5303z00_25121 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 988 */
									if (
										(BgL_fvalz00_3292 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 988 */
											BgL_test5303z00_25121 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 988 */
											BgL_test5303z00_25121 =
												(BgL_fvalz00_3292 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_test5303z00_25121)
						{	/* Eval/evaluate_comp.scm 989 */
							obj_t BgL_bcz00_3294;

							BgL_bcz00_3294 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 990 */
								obj_t BgL_zc3z04anonymousza32766ze3z87_13928;

								BgL_zc3z04anonymousza32766ze3z87_13928 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32766ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32766ze3z87_13928,
									(int) (((long) 0)), BgL_bcz00_3294);
								return BgL_zc3z04anonymousza32766ze3z87_13928;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:2766> */
	obj_t BGl_z62zc3z04anonymousza32766ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13929, obj_t BgL_sz00_13931)
	{
		{	/* Eval/evaluate_comp.scm 990 */
			{	/* Eval/evaluate_comp.scm 990 */
				obj_t BgL_bcz00_13930;

				BgL_bcz00_13930 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13929, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 990 */
					double BgL_tmpz00_25139;

					{	/* Eval/evaluate_comp.scm 990 */
						obj_t BgL_bpz00_16642;

						BgL_bpz00_16642 = VECTOR_REF(((obj_t) BgL_sz00_13931), ((long) 0));
						BgL_tmpz00_25139 =
							BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_13930,
							BgL_sz00_13931);
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_25139);
				}
			}
		}

	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		{	/* Eval/evaluate_comp.scm 1019 */
			{	/* Eval/evaluate_comp.scm 1020 */
				obj_t BgL_valz00_3299;

				BgL_valz00_3299 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_3299))
					{	/* Eval/evaluate_comp.scm 1022 */
						long BgL_nz00_3300;

						BgL_nz00_3300 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 1023 */
							obj_t BgL__ortest_1235z00_3301;

							if ((BgL_nz00_3300 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 1024 */
									obj_t BgL_a1z00_3571;

									BgL_a1z00_3571 = CAR(((obj_t) BgL_argsz00_195));
									if (
										(BgL_valz00_3299 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 1025 */
											obj_t BgL_a1z00_3572;

											BgL_a1z00_3572 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3571), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 1025 */
												obj_t BgL_zc3z04anonymousza32861ze3z87_13961;

												BgL_zc3z04anonymousza32861ze3z87_13961 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3z04anonymousza32861ze3z87_13961,
													(int) (((long) 0)), BgL_a1z00_3572);
												PROCEDURE_SET(BgL_zc3z04anonymousza32861ze3z87_13961,
													(int) (((long) 1)), BgL_locz00_193);
												BgL__ortest_1235z00_3301 =
													BgL_zc3z04anonymousza32861ze3z87_13961;
										}}
									else
										{	/* Eval/evaluate_comp.scm 1025 */
											if (
												(BgL_valz00_3299 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 1025 */
													obj_t BgL_a1z00_3578;

													BgL_a1z00_3578 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3571),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1025 */
														obj_t BgL_zc3z04anonymousza32863ze3z87_13962;

														BgL_zc3z04anonymousza32863ze3z87_13962 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32863ze3ze5zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32863ze3z87_13962,
															(int) (((long) 0)), BgL_a1z00_3578);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32863ze3z87_13962,
															(int) (((long) 1)), BgL_locz00_193);
														BgL__ortest_1235z00_3301 =
															BgL_zc3z04anonymousza32863ze3z87_13962;
												}}
											else
												{	/* Eval/evaluate_comp.scm 1025 */
													if (
														(BgL_valz00_3299 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 1025 */
															obj_t BgL_a1z00_3584;

															BgL_a1z00_3584 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3571),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1025 */
																obj_t BgL_zc3z04anonymousza32865ze3z87_13963;

																BgL_zc3z04anonymousza32865ze3z87_13963 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza32865ze3ze5zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32865ze3z87_13963,
																	(int) (((long) 0)), BgL_a1z00_3584);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32865ze3z87_13963,
																	(int) (((long) 1)), BgL_locz00_193);
																BgL__ortest_1235z00_3301 =
																	BgL_zc3z04anonymousza32865ze3z87_13963;
														}}
													else
														{	/* Eval/evaluate_comp.scm 1025 */
															BgL__ortest_1235z00_3301 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1023 */
									BgL__ortest_1235z00_3301 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1235z00_3301))
								{	/* Eval/evaluate_comp.scm 1023 */
									return BgL__ortest_1235z00_3301;
								}
							else
								{	/* Eval/evaluate_comp.scm 1023 */
									if ((BgL_nz00_3300 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 1027 */
											obj_t BgL_a1z00_3303;
											obj_t BgL_a2z00_3304;

											BgL_a1z00_3303 = CAR(((obj_t) BgL_argsz00_195));
											{	/* Eval/evaluate_comp.scm 1027 */
												obj_t BgL_pairz00_9531;

												BgL_pairz00_9531 = CDR(((obj_t) BgL_argsz00_195));
												BgL_a2z00_3304 = CAR(BgL_pairz00_9531);
											}
											if (
												(BgL_valz00_3299 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1028 */
													obj_t BgL_a1z00_3305;
													obj_t BgL_a2z00_3306;

													BgL_a1z00_3305 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3303),
														BgL_stkz00_196);
													BgL_a2z00_3306 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_3304),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1028 */
														obj_t BgL_zc3z04anonymousza32769ze3z87_13932;

														BgL_zc3z04anonymousza32769ze3z87_13932 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32769ze3z87_13932,
															(int) (((long) 0)), BgL_a1z00_3305);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32769ze3z87_13932,
															(int) (((long) 1)), BgL_a2z00_3306);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32769ze3z87_13932,
															(int) (((long) 2)), BgL_locz00_193);
														return BgL_zc3z04anonymousza32769ze3z87_13932;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1028 */
													if (
														(BgL_valz00_3299 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1028 */
															obj_t BgL_a1z00_3315;
															obj_t BgL_a2z00_3316;

															BgL_a1z00_3315 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3303),
																BgL_stkz00_196);
															BgL_a2z00_3316 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_3304),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1028 */
																obj_t BgL_zc3z04anonymousza32773ze3z87_13933;

																BgL_zc3z04anonymousza32773ze3z87_13933 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32773ze3z87_13933,
																	(int) (((long) 0)), BgL_a1z00_3315);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32773ze3z87_13933,
																	(int) (((long) 1)), BgL_a2z00_3316);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32773ze3z87_13933,
																	(int) (((long) 2)), BgL_locz00_193);
																return BgL_zc3z04anonymousza32773ze3z87_13933;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1028 */
															if (
																(BgL_valz00_3299 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1028 */
																	obj_t BgL_a1z00_3325;
																	obj_t BgL_a2z00_3326;

																	BgL_a1z00_3325 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_3303),
																		BgL_stkz00_196);
																	BgL_a2z00_3326 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_3304),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1028 */
																		obj_t
																			BgL_zc3z04anonymousza32777ze3z87_13934;
																		BgL_zc3z04anonymousza32777ze3z87_13934 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32777ze3z87_13934,
																			(int) (((long) 0)), BgL_a1z00_3325);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32777ze3z87_13934,
																			(int) (((long) 1)), BgL_a2z00_3326);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32777ze3z87_13934,
																			(int) (((long) 2)), BgL_locz00_193);
																		return
																			BgL_zc3z04anonymousza32777ze3z87_13934;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1028 */
																	if (
																		(BgL_valz00_3299 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1028 */
																			obj_t BgL_a1z00_3335;
																			obj_t BgL_a2z00_3336;

																			BgL_a1z00_3335 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_3303),
																				BgL_stkz00_196);
																			BgL_a2z00_3336 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_3304),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1028 */
																				obj_t
																					BgL_zc3z04anonymousza32781ze3z87_13935;
																				BgL_zc3z04anonymousza32781ze3z87_13935 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32781ze3z87_13935,
																					(int) (((long) 0)), BgL_a1z00_3335);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32781ze3z87_13935,
																					(int) (((long) 1)), BgL_a2z00_3336);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32781ze3z87_13935,
																					(int) (((long) 2)), BgL_locz00_193);
																				return
																					BgL_zc3z04anonymousza32781ze3z87_13935;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1028 */
																			if (
																				(BgL_valz00_3299 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1028 */
																					obj_t BgL_a1z00_3344;
																					obj_t BgL_a2z00_3345;

																					BgL_a1z00_3344 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_3303), BgL_stkz00_196);
																					BgL_a2z00_3345 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_3304), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1028 */
																						obj_t
																							BgL_zc3z04anonymousza32784ze3z87_13936;
																						BgL_zc3z04anonymousza32784ze3z87_13936
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza32784ze3ze5zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32784ze3z87_13936,
																							(int) (((long) 0)),
																							BgL_a1z00_3344);
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32784ze3z87_13936,
																							(int) (((long) 1)),
																							BgL_a2z00_3345);
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32784ze3z87_13936,
																							(int) (((long) 2)),
																							BgL_locz00_193);
																						return
																							BgL_zc3z04anonymousza32784ze3z87_13936;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1028 */
																					if (
																						(BgL_valz00_3299 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1028 */
																							obj_t BgL_a1z00_3354;
																							obj_t BgL_a2z00_3355;

																							BgL_a1z00_3354 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_3303),
																								BgL_stkz00_196);
																							BgL_a2z00_3355 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_3304),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1028 */
																								obj_t
																									BgL_zc3z04anonymousza32788ze3z87_13937;
																								BgL_zc3z04anonymousza32788ze3z87_13937
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3z04anonymousza32788ze3ze5zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32788ze3z87_13937,
																									(int) (((long) 0)),
																									BgL_a1z00_3354);
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32788ze3z87_13937,
																									(int) (((long) 1)),
																									BgL_a2z00_3355);
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32788ze3z87_13937,
																									(int) (((long) 2)),
																									BgL_locz00_193);
																								return
																									BgL_zc3z04anonymousza32788ze3z87_13937;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1028 */
																							if (
																								(BgL_valz00_3299 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1028 */
																									obj_t BgL_a1z00_3364;
																									obj_t BgL_a2z00_3365;

																									BgL_a1z00_3364 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_3303),
																										BgL_stkz00_196);
																									BgL_a2z00_3365 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_3304),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1028 */
																										obj_t
																											BgL_zc3z04anonymousza32792ze3z87_13938;
																										BgL_zc3z04anonymousza32792ze3z87_13938
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3z04anonymousza32792ze3ze5zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32792ze3z87_13938,
																											(int) (((long) 0)),
																											BgL_a1z00_3364);
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32792ze3z87_13938,
																											(int) (((long) 1)),
																											BgL_a2z00_3365);
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32792ze3z87_13938,
																											(int) (((long) 2)),
																											BgL_locz00_193);
																										return
																											BgL_zc3z04anonymousza32792ze3z87_13938;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1028 */
																									if (
																										(BgL_valz00_3299 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1028 */
																											obj_t BgL_a1z00_3374;
																											obj_t BgL_a2z00_3375;

																											BgL_a1z00_3374 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_3303),
																												BgL_stkz00_196);
																											BgL_a2z00_3375 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_3304),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1028 */
																												obj_t
																													BgL_zc3z04anonymousza32796ze3z87_13939;
																												BgL_zc3z04anonymousza32796ze3z87_13939
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3z04anonymousza32796ze3ze5zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32796ze3z87_13939,
																													(int) (((long) 0)),
																													BgL_a1z00_3374);
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32796ze3z87_13939,
																													(int) (((long) 1)),
																													BgL_a2z00_3375);
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32796ze3z87_13939,
																													(int) (((long) 2)),
																													BgL_locz00_193);
																												return
																													BgL_zc3z04anonymousza32796ze3z87_13939;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1028 */
																											if (
																												(BgL_valz00_3299 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1028 */
																													obj_t BgL_a1z00_3384;
																													obj_t BgL_a2z00_3385;

																													BgL_a1z00_3384 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																													BgL_a2z00_3385 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1028 */
																														obj_t
																															BgL_zc3z04anonymousza32800ze3z87_13940;
																														BgL_zc3z04anonymousza32800ze3z87_13940
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3z04anonymousza32800ze3ze5zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32800ze3z87_13940,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_3384);
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32800ze3z87_13940,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_3385);
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32800ze3z87_13940,
																															(int) (((long)
																																	2)),
																															BgL_locz00_193);
																														return
																															BgL_zc3z04anonymousza32800ze3z87_13940;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1028 */
																													if (
																														(BgL_valz00_3299 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1028 */
																															obj_t
																																BgL_a1z00_3394;
																															obj_t
																																BgL_a2z00_3395;
																															BgL_a1z00_3394 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																															BgL_a2z00_3395 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1028 */
																																obj_t
																																	BgL_zc3z04anonymousza32804ze3z87_13941;
																																BgL_zc3z04anonymousza32804ze3z87_13941
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3z04anonymousza32804ze3ze5zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32804ze3z87_13941,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_3394);
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32804ze3z87_13941,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_3395);
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32804ze3z87_13941,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3z04anonymousza32804ze3z87_13941;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1028 */
																															if (
																																(BgL_valz00_3299
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1028 */
																																	obj_t
																																		BgL_a1z00_3403;
																																	obj_t
																																		BgL_a2z00_3404;
																																	BgL_a1z00_3403
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																	BgL_a2z00_3404
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1028 */
																																		obj_t
																																			BgL_zc3z04anonymousza32807ze3z87_13942;
																																		BgL_zc3z04anonymousza32807ze3z87_13942
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32807ze3z87_13942,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_3403);
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32807ze3z87_13942,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_3404);
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32807ze3z87_13942,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3z04anonymousza32807ze3z87_13942;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1028 */
																																	if (
																																		(BgL_valz00_3299
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1028 */
																																			obj_t
																																				BgL_a1z00_3412;
																																			obj_t
																																				BgL_a2z00_3413;
																																			BgL_a1z00_3412
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																			BgL_a2z00_3413
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1028 */
																																				obj_t
																																					BgL_zc3z04anonymousza32810ze3z87_13943;
																																				BgL_zc3z04anonymousza32810ze3z87_13943
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32810ze3z87_13943,
																																					(int)
																																					(((long) 0)), BgL_a1z00_3412);
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32810ze3z87_13943,
																																					(int)
																																					(((long) 1)), BgL_a2z00_3413);
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32810ze3z87_13943,
																																					(int)
																																					(((long) 2)), BgL_locz00_193);
																																				return
																																					BgL_zc3z04anonymousza32810ze3z87_13943;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1028 */
																																			if (
																																				(BgL_valz00_3299
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1028 */
																																					obj_t
																																						BgL_a1z00_3421;
																																					obj_t
																																						BgL_a2z00_3422;
																																					BgL_a1z00_3421
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																					BgL_a2z00_3422
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1028 */
																																						obj_t
																																							BgL_zc3z04anonymousza32813ze3z87_13944;
																																						BgL_zc3z04anonymousza32813ze3z87_13944
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32813ze3z87_13944,
																																							(int)
																																							(((long) 0)), BgL_a1z00_3421);
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32813ze3z87_13944,
																																							(int)
																																							(((long) 1)), BgL_a2z00_3422);
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32813ze3z87_13944,
																																							(int)
																																							(((long) 2)), BgL_locz00_193);
																																						return
																																							BgL_zc3z04anonymousza32813ze3z87_13944;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1028 */
																																					if (
																																						(BgL_valz00_3299
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1028 */
																																							obj_t
																																								BgL_a1z00_3430;
																																							obj_t
																																								BgL_a2z00_3431;
																																							BgL_a1z00_3430
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																							BgL_a2z00_3431
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1028 */
																																								obj_t
																																									BgL_zc3z04anonymousza32816ze3z87_13945;
																																								BgL_zc3z04anonymousza32816ze3z87_13945
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32816ze3z87_13945,
																																									(int)
																																									(((long) 0)), BgL_a1z00_3430);
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32816ze3z87_13945,
																																									(int)
																																									(((long) 1)), BgL_a2z00_3431);
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32816ze3z87_13945,
																																									(int)
																																									(((long) 2)), BgL_locz00_193);
																																								return
																																									BgL_zc3z04anonymousza32816ze3z87_13945;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1028 */
																																							if ((BgL_valz00_3299 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1028 */
																																									obj_t
																																										BgL_a1z00_3439;
																																									obj_t
																																										BgL_a2z00_3440;
																																									BgL_a1z00_3439
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																									BgL_a2z00_3440
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1028 */
																																										obj_t
																																											BgL_zc3z04anonymousza32819ze3z87_13946;
																																										BgL_zc3z04anonymousza32819ze3z87_13946
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3z04anonymousza32819ze3ze5zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32819ze3z87_13946,
																																											(int)
																																											(((long) 0)), BgL_a1z00_3439);
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32819ze3z87_13946,
																																											(int)
																																											(((long) 1)), BgL_a2z00_3440);
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32819ze3z87_13946,
																																											(int)
																																											(((long) 2)), BgL_locz00_193);
																																										return
																																											BgL_zc3z04anonymousza32819ze3z87_13946;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1028 */
																																									if ((BgL_valz00_3299 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1028 */
																																											obj_t
																																												BgL_a1z00_3448;
																																											obj_t
																																												BgL_a2z00_3449;
																																											BgL_a1z00_3448
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																											BgL_a2z00_3449
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1028 */
																																												obj_t
																																													BgL_zc3z04anonymousza32822ze3z87_13947;
																																												BgL_zc3z04anonymousza32822ze3z87_13947
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32822ze3z87_13947,
																																													(int)
																																													(((long) 0)), BgL_a1z00_3448);
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32822ze3z87_13947,
																																													(int)
																																													(((long) 1)), BgL_a2z00_3449);
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32822ze3z87_13947,
																																													(int)
																																													(((long) 2)), BgL_locz00_193);
																																												return
																																													BgL_zc3z04anonymousza32822ze3z87_13947;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1028 */
																																											if ((BgL_valz00_3299 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1028 */
																																													obj_t
																																														BgL_a1z00_3457;
																																													obj_t
																																														BgL_a2z00_3458;
																																													BgL_a1z00_3457
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																													BgL_a2z00_3458
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1028 */
																																														obj_t
																																															BgL_zc3z04anonymousza32825ze3z87_13948;
																																														BgL_zc3z04anonymousza32825ze3z87_13948
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32825ze3z87_13948,
																																															(int)
																																															(((long) 0)), BgL_a1z00_3457);
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32825ze3z87_13948,
																																															(int)
																																															(((long) 1)), BgL_a2z00_3458);
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32825ze3z87_13948,
																																															(int)
																																															(((long) 2)), BgL_locz00_193);
																																														return
																																															BgL_zc3z04anonymousza32825ze3z87_13948;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1028 */
																																													if ((BgL_valz00_3299 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1028 */
																																															obj_t
																																																BgL_a1z00_3466;
																																															obj_t
																																																BgL_a2z00_3467;
																																															BgL_a1z00_3466
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																															BgL_a2z00_3467
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1028 */
																																																obj_t
																																																	BgL_zc3z04anonymousza32828ze3z87_13949;
																																																BgL_zc3z04anonymousza32828ze3z87_13949
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3z04anonymousza32828ze3ze5zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32828ze3z87_13949,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_3466);
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32828ze3z87_13949,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_3467);
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32828ze3z87_13949,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_193);
																																																return
																																																	BgL_zc3z04anonymousza32828ze3z87_13949;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1028 */
																																															if ((BgL_valz00_3299 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																	obj_t
																																																		BgL_a1z00_3475;
																																																	obj_t
																																																		BgL_a2z00_3476;
																																																	BgL_a1z00_3475
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																	BgL_a2z00_3476
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1028 */
																																																		obj_t
																																																			BgL_zc3z04anonymousza32831ze3z87_13950;
																																																		BgL_zc3z04anonymousza32831ze3z87_13950
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3z04anonymousza32831ze3ze5zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32831ze3z87_13950,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_3475);
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32831ze3z87_13950,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_3476);
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32831ze3z87_13950,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_193);
																																																		return
																																																			BgL_zc3z04anonymousza32831ze3z87_13950;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																	if ((BgL_valz00_3299 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																			obj_t
																																																				BgL_a1z00_3484;
																																																			obj_t
																																																				BgL_a2z00_3485;
																																																			BgL_a1z00_3484
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																			BgL_a2z00_3485
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1028 */
																																																				obj_t
																																																					BgL_zc3z04anonymousza32834ze3z87_13951;
																																																				BgL_zc3z04anonymousza32834ze3z87_13951
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3z04anonymousza32834ze3ze5zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32834ze3z87_13951,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_3484);
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32834ze3z87_13951,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_3485);
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32834ze3z87_13951,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_193);
																																																				return
																																																					BgL_zc3z04anonymousza32834ze3z87_13951;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																			if ((BgL_valz00_3299 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																					obj_t
																																																						BgL_a1z00_3493;
																																																					obj_t
																																																						BgL_a2z00_3494;
																																																					BgL_a1z00_3493
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																					BgL_a2z00_3494
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1028 */
																																																						obj_t
																																																							BgL_zc3z04anonymousza32837ze3z87_13952;
																																																						BgL_zc3z04anonymousza32837ze3z87_13952
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3z04anonymousza32837ze3ze5zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32837ze3z87_13952,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_3493);
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32837ze3z87_13952,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_3494);
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32837ze3z87_13952,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_193);
																																																						return
																																																							BgL_zc3z04anonymousza32837ze3z87_13952;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																					if ((BgL_valz00_3299 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1028 */
																																																							obj_t
																																																								BgL_a1z00_3502;
																																																							obj_t
																																																								BgL_a2z00_3503;
																																																							BgL_a1z00_3502
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																							BgL_a2z00_3503
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1028 */
																																																								obj_t
																																																									BgL_zc3z04anonymousza32840ze3z87_13953;
																																																								BgL_zc3z04anonymousza32840ze3z87_13953
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3z04anonymousza32840ze3ze5zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32840ze3z87_13953,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_3502);
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32840ze3z87_13953,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_3503);
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32840ze3z87_13953,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_193);
																																																								return
																																																									BgL_zc3z04anonymousza32840ze3z87_13953;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1028 */
																																																							if ((BgL_valz00_3299 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1028 */
																																																									obj_t
																																																										BgL_a1z00_3511;
																																																									obj_t
																																																										BgL_a2z00_3512;
																																																									BgL_a1z00_3511
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																									BgL_a2z00_3512
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1028 */
																																																										obj_t
																																																											BgL_zc3z04anonymousza32843ze3z87_13954;
																																																										BgL_zc3z04anonymousza32843ze3z87_13954
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3z04anonymousza32843ze3ze5zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32843ze3z87_13954,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_3511);
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32843ze3z87_13954,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_3512);
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32843ze3z87_13954,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_193);
																																																										return
																																																											BgL_zc3z04anonymousza32843ze3z87_13954;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1028 */
																																																									if ((BgL_valz00_3299 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1028 */
																																																											obj_t
																																																												BgL_a1z00_3520;
																																																											obj_t
																																																												BgL_a2z00_3521;
																																																											BgL_a1z00_3520
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																											BgL_a2z00_3521
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1028 */
																																																												obj_t
																																																													BgL_zc3z04anonymousza32846ze3z87_13955;
																																																												BgL_zc3z04anonymousza32846ze3z87_13955
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3z04anonymousza32846ze3ze5zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32846ze3z87_13955,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_3520);
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32846ze3z87_13955,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_3521);
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32846ze3z87_13955,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_193);
																																																												return
																																																													BgL_zc3z04anonymousza32846ze3z87_13955;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1028 */
																																																											if ((BgL_valz00_3299 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1028 */
																																																													obj_t
																																																														BgL_a1z00_3529;
																																																													obj_t
																																																														BgL_a2z00_3530;
																																																													BgL_a1z00_3529
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																													BgL_a2z00_3530
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1028 */
																																																														obj_t
																																																															BgL_zc3z04anonymousza32849ze3z87_13956;
																																																														BgL_zc3z04anonymousza32849ze3z87_13956
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3z04anonymousza32849ze3ze5zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32849ze3z87_13956,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_3529);
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32849ze3z87_13956,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_3530);
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32849ze3z87_13956,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_193);
																																																														return
																																																															BgL_zc3z04anonymousza32849ze3z87_13956;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1028 */
																																																													if ((BgL_valz00_3299 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1028 */
																																																															obj_t
																																																																BgL_a1z00_3538;
																																																															obj_t
																																																																BgL_a2z00_3539;
																																																															BgL_a1z00_3538
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																															BgL_a2z00_3539
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1028 */
																																																																obj_t
																																																																	BgL_zc3z04anonymousza32852ze3z87_13957;
																																																																BgL_zc3z04anonymousza32852ze3z87_13957
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3z04anonymousza32852ze3ze5zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32852ze3z87_13957,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_3538);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32852ze3z87_13957,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_3539);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32852ze3z87_13957,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_193);
																																																																return
																																																																	BgL_zc3z04anonymousza32852ze3z87_13957;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1028 */
																																																															if ((BgL_valz00_3299 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																																	obj_t
																																																																		BgL_a1z00_3547;
																																																																	obj_t
																																																																		BgL_a2z00_3548;
																																																																	BgL_a1z00_3547
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																																	BgL_a2z00_3548
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1028 */
																																																																		obj_t
																																																																			BgL_zc3z04anonymousza32855ze3z87_13958;
																																																																		BgL_zc3z04anonymousza32855ze3z87_13958
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3z04anonymousza32855ze3ze5zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32855ze3z87_13958,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_3547);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32855ze3z87_13958,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_3548);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32855ze3z87_13958,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3z04anonymousza32855ze3z87_13958;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																																	if ((BgL_valz00_3299 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																																			obj_t
																																																																				BgL_a1z00_3556;
																																																																			obj_t
																																																																				BgL_a2z00_3557;
																																																																			BgL_a1z00_3556
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																																			BgL_a2z00_3557
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1028 */
																																																																				obj_t
																																																																					BgL_zc3z04anonymousza32858ze3z87_13959;
																																																																				BgL_zc3z04anonymousza32858ze3z87_13959
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3z04anonymousza32858ze3ze5zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3z04anonymousza32858ze3z87_13959,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_3556);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3z04anonymousza32858ze3z87_13959,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_3557);
																																																																				return
																																																																					BgL_zc3z04anonymousza32858ze3z87_13959;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																																			if ((BgL_valz00_3299 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																																					obj_t
																																																																						BgL_a1z00_3563;
																																																																					obj_t
																																																																						BgL_a2z00_3564;
																																																																					BgL_a1z00_3563
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3303), BgL_stkz00_196);
																																																																					BgL_a2z00_3564
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3304), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1028 */
																																																																						obj_t
																																																																							BgL_zc3z04anonymousza32859ze3z87_13960;
																																																																						BgL_zc3z04anonymousza32859ze3z87_13960
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3z04anonymousza32859ze3ze5zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3z04anonymousza32859ze3z87_13960,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_3563);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3z04anonymousza32859ze3z87_13960,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_3564);
																																																																						return
																																																																							BgL_zc3z04anonymousza32859ze3z87_13960;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 1026 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 1021 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:2769> */
	obj_t BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13964, obj_t BgL_sz00_13968)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13965;
				obj_t BgL_a2z00_13966;
				obj_t BgL_locz00_13967;

				BgL_a1z00_13965 = PROCEDURE_REF(BgL_envz00_13964, (int) (((long) 0)));
				BgL_a2z00_13966 = PROCEDURE_REF(BgL_envz00_13964, (int) (((long) 1)));
				BgL_locz00_13967 = PROCEDURE_REF(BgL_envz00_13964, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16643;

					BgL_bpz00_16643 = VECTOR_REF(((obj_t) BgL_sz00_13968), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16644;
						obj_t BgL_a2z00_16645;

						BgL_a1z00_16644 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13965)) (BgL_a1z00_13965,
							BgL_sz00_13968, BEOA);
						BgL_a2z00_16645 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13966)) (BgL_a2z00_13966,
							BgL_sz00_13968, BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16644))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4623z00zz__evaluate_compz00,
									BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16644,
									BgL_locz00_13967);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16645))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4623z00zz__evaluate_compz00,
									BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16645,
									BgL_locz00_13967);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5345z00_25647;

							if (INTEGERP(BgL_a1z00_16644))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5345z00_25647 = INTEGERP(BgL_a2z00_16645);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5345z00_25647 = ((bool_t) 0);
								}
							if (BgL_test5345z00_25647)
								{	/* Eval/evaluate_comp.scm 1028 */
									return ADDFX(BgL_a1z00_16644, BgL_a2z00_16645);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_16644,
										BgL_a2z00_16645);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2773> */
	obj_t BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13969, obj_t BgL_sz00_13973)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13970;
				obj_t BgL_a2z00_13971;
				obj_t BgL_locz00_13972;

				BgL_a1z00_13970 = PROCEDURE_REF(BgL_envz00_13969, (int) (((long) 0)));
				BgL_a2z00_13971 = PROCEDURE_REF(BgL_envz00_13969, (int) (((long) 1)));
				BgL_locz00_13972 = PROCEDURE_REF(BgL_envz00_13969, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16646;

					BgL_bpz00_16646 = VECTOR_REF(((obj_t) BgL_sz00_13973), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16647;
						obj_t BgL_a2z00_16648;

						BgL_a1z00_16647 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13970)) (BgL_a1z00_13970,
							BgL_sz00_13973, BEOA);
						BgL_a2z00_16648 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13971)) (BgL_a2z00_13971,
							BgL_sz00_13973, BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16647))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4627z00zz__evaluate_compz00,
									BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16647,
									BgL_locz00_13972);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16648))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4627z00zz__evaluate_compz00,
									BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16648,
									BgL_locz00_13972);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5349z00_25675;

							if (INTEGERP(BgL_a1z00_16647))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5349z00_25675 = INTEGERP(BgL_a2z00_16648);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5349z00_25675 = ((bool_t) 0);
								}
							if (BgL_test5349z00_25675)
								{	/* Eval/evaluate_comp.scm 1028 */
									return SUBFX(BgL_a1z00_16647, BgL_a2z00_16648);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_16647,
										BgL_a2z00_16648);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2777> */
	obj_t BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13974, obj_t BgL_sz00_13978)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13975;
				obj_t BgL_a2z00_13976;
				obj_t BgL_locz00_13977;

				BgL_a1z00_13975 = PROCEDURE_REF(BgL_envz00_13974, (int) (((long) 0)));
				BgL_a2z00_13976 = PROCEDURE_REF(BgL_envz00_13974, (int) (((long) 1)));
				BgL_locz00_13977 = PROCEDURE_REF(BgL_envz00_13974, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16649;

					BgL_bpz00_16649 = VECTOR_REF(((obj_t) BgL_sz00_13978), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16650;
						obj_t BgL_a2z00_16651;

						BgL_a1z00_16650 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13975)) (BgL_a1z00_13975,
							BgL_sz00_13978, BEOA);
						BgL_a2z00_16651 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13976)) (BgL_a2z00_13976,
							BgL_sz00_13978, BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16650))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4629z00zz__evaluate_compz00,
									BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16650,
									BgL_locz00_13977);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16651))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4629z00zz__evaluate_compz00,
									BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16651,
									BgL_locz00_13977);
							}
						{	/* Eval/evaluate_comp.scm 1028 */
							bool_t BgL_test5353z00_25703;

							if (INTEGERP(BgL_a1z00_16650))
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5353z00_25703 = INTEGERP(BgL_a2z00_16651);
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BgL_test5353z00_25703 = ((bool_t) 0);
								}
							if (BgL_test5353z00_25703)
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BINT(
										((long) CINT(BgL_a1z00_16650) *
											(long) CINT(BgL_a2z00_16651)));
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									return
										BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_16650,
										BgL_a2z00_16651);
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2781> */
	obj_t BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13979, obj_t BgL_sz00_13983)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13980;
				obj_t BgL_a2z00_13981;
				obj_t BgL_locz00_13982;

				BgL_a1z00_13980 = PROCEDURE_REF(BgL_envz00_13979, (int) (((long) 0)));
				BgL_a2z00_13981 = PROCEDURE_REF(BgL_envz00_13979, (int) (((long) 1)));
				BgL_locz00_13982 = PROCEDURE_REF(BgL_envz00_13979, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16652;

					BgL_bpz00_16652 = VECTOR_REF(((obj_t) BgL_sz00_13983), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16653;
						obj_t BgL_a2z00_16654;

						BgL_a1z00_16653 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13980)) (BgL_a1z00_13980,
							BgL_sz00_13983, BEOA);
						BgL_a2z00_16654 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13981)) (BgL_a2z00_13981,
							BgL_sz00_13983, BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16653))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4631z00zz__evaluate_compz00,
									BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16653,
									BgL_locz00_13982);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16654))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4631z00zz__evaluate_compz00,
									BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16654,
									BgL_locz00_13982);
							}
						return
							BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_16653,
							BgL_a2z00_16654);
					}
				}
			}
		}

	}



/* &<@anonymous:2784> */
	obj_t BGl_z62zc3z04anonymousza32784ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13984, obj_t BgL_sz00_13988)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13985;
				obj_t BgL_a2z00_13986;
				obj_t BgL_locz00_13987;

				BgL_a1z00_13985 = PROCEDURE_REF(BgL_envz00_13984, (int) (((long) 0)));
				BgL_a2z00_13986 = PROCEDURE_REF(BgL_envz00_13984, (int) (((long) 1)));
				BgL_locz00_13987 = PROCEDURE_REF(BgL_envz00_13984, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25741;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16655;

						BgL_bpz00_16655 = VECTOR_REF(((obj_t) BgL_sz00_13988), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16656;
							obj_t BgL_a2z00_16657;

							BgL_a1z00_16656 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13985)) (BgL_a1z00_13985,
								BgL_sz00_13988, BEOA);
							BgL_a2z00_16657 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13986)) (BgL_a2z00_13986,
								BgL_sz00_13988, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16656))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4633z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16656,
										BgL_locz00_13987);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16657))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4633z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16657,
										BgL_locz00_13987);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5359z00_25758;

								if (INTEGERP(BgL_a1z00_16656))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5359z00_25758 = INTEGERP(BgL_a2z00_16657);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5359z00_25758 = ((bool_t) 0);
									}
								if (BgL_test5359z00_25758)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25741 =
											(
											(long) CINT(BgL_a1z00_16656) <
											(long) CINT(BgL_a2z00_16657));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25741 =
											BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_16656,
											BgL_a2z00_16657);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25741);
				}
			}
		}

	}



/* &<@anonymous:2788> */
	obj_t BGl_z62zc3z04anonymousza32788ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13989, obj_t BgL_sz00_13993)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13990;
				obj_t BgL_a2z00_13991;
				obj_t BgL_locz00_13992;

				BgL_a1z00_13990 = PROCEDURE_REF(BgL_envz00_13989, (int) (((long) 0)));
				BgL_a2z00_13991 = PROCEDURE_REF(BgL_envz00_13989, (int) (((long) 1)));
				BgL_locz00_13992 = PROCEDURE_REF(BgL_envz00_13989, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25773;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16658;

						BgL_bpz00_16658 = VECTOR_REF(((obj_t) BgL_sz00_13993), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16659;
							obj_t BgL_a2z00_16660;

							BgL_a1z00_16659 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13990)) (BgL_a1z00_13990,
								BgL_sz00_13993, BEOA);
							BgL_a2z00_16660 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13991)) (BgL_a2z00_13991,
								BgL_sz00_13993, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16659))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4635z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16659,
										BgL_locz00_13992);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16660))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4635z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16660,
										BgL_locz00_13992);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5363z00_25790;

								if (INTEGERP(BgL_a1z00_16659))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5363z00_25790 = INTEGERP(BgL_a2z00_16660);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5363z00_25790 = ((bool_t) 0);
									}
								if (BgL_test5363z00_25790)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25773 =
											(
											(long) CINT(BgL_a1z00_16659) >
											(long) CINT(BgL_a2z00_16660));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25773 =
											BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_16659,
											BgL_a2z00_16660);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25773);
				}
			}
		}

	}



/* &<@anonymous:2792> */
	obj_t BGl_z62zc3z04anonymousza32792ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13994, obj_t BgL_sz00_13998)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13995;
				obj_t BgL_a2z00_13996;
				obj_t BgL_locz00_13997;

				BgL_a1z00_13995 = PROCEDURE_REF(BgL_envz00_13994, (int) (((long) 0)));
				BgL_a2z00_13996 = PROCEDURE_REF(BgL_envz00_13994, (int) (((long) 1)));
				BgL_locz00_13997 = PROCEDURE_REF(BgL_envz00_13994, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25805;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16661;

						BgL_bpz00_16661 = VECTOR_REF(((obj_t) BgL_sz00_13998), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16662;
							obj_t BgL_a2z00_16663;

							BgL_a1z00_16662 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_13995)) (BgL_a1z00_13995,
								BgL_sz00_13998, BEOA);
							BgL_a2z00_16663 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_13996)) (BgL_a2z00_13996,
								BgL_sz00_13998, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16662))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4637z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16662,
										BgL_locz00_13997);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16663))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4637z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16663,
										BgL_locz00_13997);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5367z00_25822;

								if (INTEGERP(BgL_a1z00_16662))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5367z00_25822 = INTEGERP(BgL_a2z00_16663);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5367z00_25822 = ((bool_t) 0);
									}
								if (BgL_test5367z00_25822)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25805 =
											(
											(long) CINT(BgL_a1z00_16662) <=
											(long) CINT(BgL_a2z00_16663));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25805 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_16662,
											BgL_a2z00_16663);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25805);
				}
			}
		}

	}



/* &<@anonymous:2796> */
	obj_t BGl_z62zc3z04anonymousza32796ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13999, obj_t BgL_sz00_14003)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14000;
				obj_t BgL_a2z00_14001;
				obj_t BgL_locz00_14002;

				BgL_a1z00_14000 = PROCEDURE_REF(BgL_envz00_13999, (int) (((long) 0)));
				BgL_a2z00_14001 = PROCEDURE_REF(BgL_envz00_13999, (int) (((long) 1)));
				BgL_locz00_14002 = PROCEDURE_REF(BgL_envz00_13999, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25837;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16664;

						BgL_bpz00_16664 = VECTOR_REF(((obj_t) BgL_sz00_14003), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16665;
							obj_t BgL_a2z00_16666;

							BgL_a1z00_16665 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14000)) (BgL_a1z00_14000,
								BgL_sz00_14003, BEOA);
							BgL_a2z00_16666 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14001)) (BgL_a2z00_14001,
								BgL_sz00_14003, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16665))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4639z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16665,
										BgL_locz00_14002);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16666))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4639z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16666,
										BgL_locz00_14002);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5371z00_25854;

								if (INTEGERP(BgL_a1z00_16665))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5371z00_25854 = INTEGERP(BgL_a2z00_16666);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5371z00_25854 = ((bool_t) 0);
									}
								if (BgL_test5371z00_25854)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25837 =
											(
											(long) CINT(BgL_a1z00_16665) >=
											(long) CINT(BgL_a2z00_16666));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25837 =
											BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_16665,
											BgL_a2z00_16666);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25837);
				}
			}
		}

	}



/* &<@anonymous:2800> */
	obj_t BGl_z62zc3z04anonymousza32800ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14004, obj_t BgL_sz00_14008)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14005;
				obj_t BgL_a2z00_14006;
				obj_t BgL_locz00_14007;

				BgL_a1z00_14005 = PROCEDURE_REF(BgL_envz00_14004, (int) (((long) 0)));
				BgL_a2z00_14006 = PROCEDURE_REF(BgL_envz00_14004, (int) (((long) 1)));
				BgL_locz00_14007 = PROCEDURE_REF(BgL_envz00_14004, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25869;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16667;

						BgL_bpz00_16667 = VECTOR_REF(((obj_t) BgL_sz00_14008), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16668;
							obj_t BgL_a2z00_16669;

							BgL_a1z00_16668 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14005)) (BgL_a1z00_14005,
								BgL_sz00_14008, BEOA);
							BgL_a2z00_16669 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14006)) (BgL_a2z00_14006,
								BgL_sz00_14008, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16668))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4641z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a1z00_16668,
										BgL_locz00_14007);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16669))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4641z00zz__evaluate_compz00,
										BGl_symbol4625z00zz__evaluate_compz00, BgL_a2z00_16669,
										BgL_locz00_14007);
								}
							{	/* Eval/evaluate_comp.scm 1028 */
								bool_t BgL_test5375z00_25886;

								if (INTEGERP(BgL_a1z00_16668))
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5375z00_25886 = INTEGERP(BgL_a2z00_16669);
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_test5375z00_25886 = ((bool_t) 0);
									}
								if (BgL_test5375z00_25886)
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25869 =
											(
											(long) CINT(BgL_a1z00_16668) ==
											(long) CINT(BgL_a2z00_16669));
									}
								else
									{	/* Eval/evaluate_comp.scm 1028 */
										BgL_tmpz00_25869 =
											BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_16668,
											BgL_a2z00_16669);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_25869);
				}
			}
		}

	}



/* &<@anonymous:2804> */
	obj_t BGl_z62zc3z04anonymousza32804ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14009, obj_t BgL_sz00_14013)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14010;
				obj_t BgL_a2z00_14011;
				obj_t BgL_locz00_14012;

				BgL_a1z00_14010 = PROCEDURE_REF(BgL_envz00_14009, (int) (((long) 0)));
				BgL_a2z00_14011 = PROCEDURE_REF(BgL_envz00_14009, (int) (((long) 1)));
				BgL_locz00_14012 = PROCEDURE_REF(BgL_envz00_14009, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25901;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16670;

						BgL_bpz00_16670 = VECTOR_REF(((obj_t) BgL_sz00_14013), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16671;
							obj_t BgL_a2z00_16672;

							BgL_a1z00_16671 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14010)) (BgL_a1z00_14010,
								BgL_sz00_14013, BEOA);
							BgL_a2z00_16672 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14011)) (BgL_a2z00_14011,
								BgL_sz00_14013, BEOA);
							if (INTEGERP(BgL_a1z00_16671))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4643z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16671,
										BgL_locz00_14012);
								}
							if (INTEGERP(BgL_a2z00_16672))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4643z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16672,
										BgL_locz00_14012);
								}
							BgL_tmpz00_25901 =
								((long) CINT(BgL_a1z00_16671) + (long) CINT(BgL_a2z00_16672));
					}}
					return BINT(BgL_tmpz00_25901);
				}
			}
		}

	}



/* &<@anonymous:2807> */
	obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14014, obj_t BgL_sz00_14018)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14015;
				obj_t BgL_a2z00_14016;
				obj_t BgL_locz00_14017;

				BgL_a1z00_14015 = PROCEDURE_REF(BgL_envz00_14014, (int) (((long) 0)));
				BgL_a2z00_14016 = PROCEDURE_REF(BgL_envz00_14014, (int) (((long) 1)));
				BgL_locz00_14017 = PROCEDURE_REF(BgL_envz00_14014, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25928;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16673;

						BgL_bpz00_16673 = VECTOR_REF(((obj_t) BgL_sz00_14018), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16674;
							obj_t BgL_a2z00_16675;

							BgL_a1z00_16674 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14015)) (BgL_a1z00_14015,
								BgL_sz00_14018, BEOA);
							BgL_a2z00_16675 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14016)) (BgL_a2z00_14016,
								BgL_sz00_14018, BEOA);
							if (INTEGERP(BgL_a1z00_16674))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4647z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16674,
										BgL_locz00_14017);
								}
							if (INTEGERP(BgL_a2z00_16675))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4647z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16675,
										BgL_locz00_14017);
								}
							BgL_tmpz00_25928 =
								((long) CINT(BgL_a1z00_16674) - (long) CINT(BgL_a2z00_16675));
					}}
					return BINT(BgL_tmpz00_25928);
				}
			}
		}

	}



/* &<@anonymous:2810> */
	obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14019, obj_t BgL_sz00_14023)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14020;
				obj_t BgL_a2z00_14021;
				obj_t BgL_locz00_14022;

				BgL_a1z00_14020 = PROCEDURE_REF(BgL_envz00_14019, (int) (((long) 0)));
				BgL_a2z00_14021 = PROCEDURE_REF(BgL_envz00_14019, (int) (((long) 1)));
				BgL_locz00_14022 = PROCEDURE_REF(BgL_envz00_14019, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25955;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16676;

						BgL_bpz00_16676 = VECTOR_REF(((obj_t) BgL_sz00_14023), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16677;
							obj_t BgL_a2z00_16678;

							BgL_a1z00_16677 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14020)) (BgL_a1z00_14020,
								BgL_sz00_14023, BEOA);
							BgL_a2z00_16678 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14021)) (BgL_a2z00_14021,
								BgL_sz00_14023, BEOA);
							if (INTEGERP(BgL_a1z00_16677))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4649z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16677,
										BgL_locz00_14022);
								}
							if (INTEGERP(BgL_a2z00_16678))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4649z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16678,
										BgL_locz00_14022);
								}
							BgL_tmpz00_25955 =
								((long) CINT(BgL_a1z00_16677) * (long) CINT(BgL_a2z00_16678));
					}}
					return BINT(BgL_tmpz00_25955);
				}
			}
		}

	}



/* &<@anonymous:2813> */
	obj_t BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14024, obj_t BgL_sz00_14028)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14025;
				obj_t BgL_a2z00_14026;
				obj_t BgL_locz00_14027;

				BgL_a1z00_14025 = PROCEDURE_REF(BgL_envz00_14024, (int) (((long) 0)));
				BgL_a2z00_14026 = PROCEDURE_REF(BgL_envz00_14024, (int) (((long) 1)));
				BgL_locz00_14027 = PROCEDURE_REF(BgL_envz00_14024, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25982;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16679;

						BgL_bpz00_16679 = VECTOR_REF(((obj_t) BgL_sz00_14028), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16680;
							obj_t BgL_a2z00_16681;

							BgL_a1z00_16680 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14025)) (BgL_a1z00_14025,
								BgL_sz00_14028, BEOA);
							BgL_a2z00_16681 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14026)) (BgL_a2z00_14026,
								BgL_sz00_14028, BEOA);
							if (INTEGERP(BgL_a1z00_16680))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4651z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16680,
										BgL_locz00_14027);
								}
							if (INTEGERP(BgL_a2z00_16681))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4651z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16681,
										BgL_locz00_14027);
								}
							BgL_tmpz00_25982 =
								((long) CINT(BgL_a1z00_16680) / (long) CINT(BgL_a2z00_16681));
					}}
					return BINT(BgL_tmpz00_25982);
				}
			}
		}

	}



/* &<@anonymous:2816> */
	obj_t BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14029, obj_t BgL_sz00_14033)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14030;
				obj_t BgL_a2z00_14031;
				obj_t BgL_locz00_14032;

				BgL_a1z00_14030 = PROCEDURE_REF(BgL_envz00_14029, (int) (((long) 0)));
				BgL_a2z00_14031 = PROCEDURE_REF(BgL_envz00_14029, (int) (((long) 1)));
				BgL_locz00_14032 = PROCEDURE_REF(BgL_envz00_14029, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26009;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16682;

						BgL_bpz00_16682 = VECTOR_REF(((obj_t) BgL_sz00_14033), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16683;
							obj_t BgL_a2z00_16684;

							BgL_a1z00_16683 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14030)) (BgL_a1z00_14030,
								BgL_sz00_14033, BEOA);
							BgL_a2z00_16684 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14031)) (BgL_a2z00_14031,
								BgL_sz00_14033, BEOA);
							if (INTEGERP(BgL_a1z00_16683))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4653z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16683,
										BgL_locz00_14032);
								}
							if (INTEGERP(BgL_a2z00_16684))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4653z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16684,
										BgL_locz00_14032);
								}
							BgL_tmpz00_26009 =
								((long) CINT(BgL_a1z00_16683) < (long) CINT(BgL_a2z00_16684));
					}}
					return BBOOL(BgL_tmpz00_26009);
				}
			}
		}

	}



/* &<@anonymous:2819> */
	obj_t BGl_z62zc3z04anonymousza32819ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14034, obj_t BgL_sz00_14038)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14035;
				obj_t BgL_a2z00_14036;
				obj_t BgL_locz00_14037;

				BgL_a1z00_14035 = PROCEDURE_REF(BgL_envz00_14034, (int) (((long) 0)));
				BgL_a2z00_14036 = PROCEDURE_REF(BgL_envz00_14034, (int) (((long) 1)));
				BgL_locz00_14037 = PROCEDURE_REF(BgL_envz00_14034, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26036;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16685;

						BgL_bpz00_16685 = VECTOR_REF(((obj_t) BgL_sz00_14038), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16686;
							obj_t BgL_a2z00_16687;

							BgL_a1z00_16686 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14035)) (BgL_a1z00_14035,
								BgL_sz00_14038, BEOA);
							BgL_a2z00_16687 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14036)) (BgL_a2z00_14036,
								BgL_sz00_14038, BEOA);
							if (INTEGERP(BgL_a1z00_16686))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4655z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16686,
										BgL_locz00_14037);
								}
							if (INTEGERP(BgL_a2z00_16687))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4655z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16687,
										BgL_locz00_14037);
								}
							BgL_tmpz00_26036 =
								((long) CINT(BgL_a1z00_16686) > (long) CINT(BgL_a2z00_16687));
					}}
					return BBOOL(BgL_tmpz00_26036);
				}
			}
		}

	}



/* &<@anonymous:2822> */
	obj_t BGl_z62zc3z04anonymousza32822ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14039, obj_t BgL_sz00_14043)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14040;
				obj_t BgL_a2z00_14041;
				obj_t BgL_locz00_14042;

				BgL_a1z00_14040 = PROCEDURE_REF(BgL_envz00_14039, (int) (((long) 0)));
				BgL_a2z00_14041 = PROCEDURE_REF(BgL_envz00_14039, (int) (((long) 1)));
				BgL_locz00_14042 = PROCEDURE_REF(BgL_envz00_14039, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26063;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16688;

						BgL_bpz00_16688 = VECTOR_REF(((obj_t) BgL_sz00_14043), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16689;
							obj_t BgL_a2z00_16690;

							BgL_a1z00_16689 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14040)) (BgL_a1z00_14040,
								BgL_sz00_14043, BEOA);
							BgL_a2z00_16690 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14041)) (BgL_a2z00_14041,
								BgL_sz00_14043, BEOA);
							if (INTEGERP(BgL_a1z00_16689))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4657z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16689,
										BgL_locz00_14042);
								}
							if (INTEGERP(BgL_a2z00_16690))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4657z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16690,
										BgL_locz00_14042);
								}
							BgL_tmpz00_26063 =
								((long) CINT(BgL_a1z00_16689) <= (long) CINT(BgL_a2z00_16690));
					}}
					return BBOOL(BgL_tmpz00_26063);
				}
			}
		}

	}



/* &<@anonymous:2825> */
	obj_t BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14044, obj_t BgL_sz00_14048)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14045;
				obj_t BgL_a2z00_14046;
				obj_t BgL_locz00_14047;

				BgL_a1z00_14045 = PROCEDURE_REF(BgL_envz00_14044, (int) (((long) 0)));
				BgL_a2z00_14046 = PROCEDURE_REF(BgL_envz00_14044, (int) (((long) 1)));
				BgL_locz00_14047 = PROCEDURE_REF(BgL_envz00_14044, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26090;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16691;

						BgL_bpz00_16691 = VECTOR_REF(((obj_t) BgL_sz00_14048), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16692;
							obj_t BgL_a2z00_16693;

							BgL_a1z00_16692 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14045)) (BgL_a1z00_14045,
								BgL_sz00_14048, BEOA);
							BgL_a2z00_16693 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14046)) (BgL_a2z00_14046,
								BgL_sz00_14048, BEOA);
							if (INTEGERP(BgL_a1z00_16692))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4659z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16692,
										BgL_locz00_14047);
								}
							if (INTEGERP(BgL_a2z00_16693))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4659z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16693,
										BgL_locz00_14047);
								}
							BgL_tmpz00_26090 =
								((long) CINT(BgL_a1z00_16692) >= (long) CINT(BgL_a2z00_16693));
					}}
					return BBOOL(BgL_tmpz00_26090);
				}
			}
		}

	}



/* &<@anonymous:2828> */
	obj_t BGl_z62zc3z04anonymousza32828ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14049, obj_t BgL_sz00_14053)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14050;
				obj_t BgL_a2z00_14051;
				obj_t BgL_locz00_14052;

				BgL_a1z00_14050 = PROCEDURE_REF(BgL_envz00_14049, (int) (((long) 0)));
				BgL_a2z00_14051 = PROCEDURE_REF(BgL_envz00_14049, (int) (((long) 1)));
				BgL_locz00_14052 = PROCEDURE_REF(BgL_envz00_14049, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26117;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16694;

						BgL_bpz00_16694 = VECTOR_REF(((obj_t) BgL_sz00_14053), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16695;
							obj_t BgL_a2z00_16696;

							BgL_a1z00_16695 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14050)) (BgL_a1z00_14050,
								BgL_sz00_14053, BEOA);
							BgL_a2z00_16696 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14051)) (BgL_a2z00_14051,
								BgL_sz00_14053, BEOA);
							if (INTEGERP(BgL_a1z00_16695))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4661z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a1z00_16695,
										BgL_locz00_14052);
								}
							if (INTEGERP(BgL_a2z00_16696))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4661z00zz__evaluate_compz00,
										BGl_symbol4645z00zz__evaluate_compz00, BgL_a2z00_16696,
										BgL_locz00_14052);
								}
							BgL_tmpz00_26117 =
								((long) CINT(BgL_a1z00_16695) == (long) CINT(BgL_a2z00_16696));
					}}
					return BBOOL(BgL_tmpz00_26117);
				}
			}
		}

	}



/* &<@anonymous:2831> */
	obj_t BGl_z62zc3z04anonymousza32831ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14054, obj_t BgL_sz00_14058)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14055;
				obj_t BgL_a2z00_14056;
				obj_t BgL_locz00_14057;

				BgL_a1z00_14055 = PROCEDURE_REF(BgL_envz00_14054, (int) (((long) 0)));
				BgL_a2z00_14056 = PROCEDURE_REF(BgL_envz00_14054, (int) (((long) 1)));
				BgL_locz00_14057 = PROCEDURE_REF(BgL_envz00_14054, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26144;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16697;

						BgL_bpz00_16697 = VECTOR_REF(((obj_t) BgL_sz00_14058), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16698;
							obj_t BgL_a2z00_16699;

							BgL_a1z00_16698 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14055)) (BgL_a1z00_14055,
								BgL_sz00_14058, BEOA);
							BgL_a2z00_16699 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14056)) (BgL_a2z00_14056,
								BgL_sz00_14058, BEOA);
							if (REALP(BgL_a1z00_16698))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4663z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16698,
										BgL_locz00_14057);
								}
							if (REALP(BgL_a2z00_16699))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4663z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16699,
										BgL_locz00_14057);
								}
							BgL_tmpz00_26144 =
								(REAL_TO_DOUBLE(BgL_a1z00_16698) +
								REAL_TO_DOUBLE(BgL_a2z00_16699));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26144);
				}
			}
		}

	}



/* &<@anonymous:2834> */
	obj_t BGl_z62zc3z04anonymousza32834ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14059, obj_t BgL_sz00_14063)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14060;
				obj_t BgL_a2z00_14061;
				obj_t BgL_locz00_14062;

				BgL_a1z00_14060 = PROCEDURE_REF(BgL_envz00_14059, (int) (((long) 0)));
				BgL_a2z00_14061 = PROCEDURE_REF(BgL_envz00_14059, (int) (((long) 1)));
				BgL_locz00_14062 = PROCEDURE_REF(BgL_envz00_14059, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26171;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16700;

						BgL_bpz00_16700 = VECTOR_REF(((obj_t) BgL_sz00_14063), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16701;
							obj_t BgL_a2z00_16702;

							BgL_a1z00_16701 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14060)) (BgL_a1z00_14060,
								BgL_sz00_14063, BEOA);
							BgL_a2z00_16702 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14061)) (BgL_a2z00_14061,
								BgL_sz00_14063, BEOA);
							if (REALP(BgL_a1z00_16701))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4667z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16701,
										BgL_locz00_14062);
								}
							if (REALP(BgL_a2z00_16702))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4667z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16702,
										BgL_locz00_14062);
								}
							BgL_tmpz00_26171 =
								(REAL_TO_DOUBLE(BgL_a1z00_16701) -
								REAL_TO_DOUBLE(BgL_a2z00_16702));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26171);
				}
			}
		}

	}



/* &<@anonymous:2837> */
	obj_t BGl_z62zc3z04anonymousza32837ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14064, obj_t BgL_sz00_14068)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14065;
				obj_t BgL_a2z00_14066;
				obj_t BgL_locz00_14067;

				BgL_a1z00_14065 = PROCEDURE_REF(BgL_envz00_14064, (int) (((long) 0)));
				BgL_a2z00_14066 = PROCEDURE_REF(BgL_envz00_14064, (int) (((long) 1)));
				BgL_locz00_14067 = PROCEDURE_REF(BgL_envz00_14064, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26198;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16703;

						BgL_bpz00_16703 = VECTOR_REF(((obj_t) BgL_sz00_14068), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16704;
							obj_t BgL_a2z00_16705;

							BgL_a1z00_16704 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14065)) (BgL_a1z00_14065,
								BgL_sz00_14068, BEOA);
							BgL_a2z00_16705 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14066)) (BgL_a2z00_14066,
								BgL_sz00_14068, BEOA);
							if (REALP(BgL_a1z00_16704))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4669z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16704,
										BgL_locz00_14067);
								}
							if (REALP(BgL_a2z00_16705))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4669z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16705,
										BgL_locz00_14067);
								}
							BgL_tmpz00_26198 =
								(REAL_TO_DOUBLE(BgL_a1z00_16704) *
								REAL_TO_DOUBLE(BgL_a2z00_16705));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26198);
				}
			}
		}

	}



/* &<@anonymous:2840> */
	obj_t BGl_z62zc3z04anonymousza32840ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14069, obj_t BgL_sz00_14073)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14070;
				obj_t BgL_a2z00_14071;
				obj_t BgL_locz00_14072;

				BgL_a1z00_14070 = PROCEDURE_REF(BgL_envz00_14069, (int) (((long) 0)));
				BgL_a2z00_14071 = PROCEDURE_REF(BgL_envz00_14069, (int) (((long) 1)));
				BgL_locz00_14072 = PROCEDURE_REF(BgL_envz00_14069, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26225;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16706;

						BgL_bpz00_16706 = VECTOR_REF(((obj_t) BgL_sz00_14073), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16707;
							obj_t BgL_a2z00_16708;

							BgL_a1z00_16707 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14070)) (BgL_a1z00_14070,
								BgL_sz00_14073, BEOA);
							BgL_a2z00_16708 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14071)) (BgL_a2z00_14071,
								BgL_sz00_14073, BEOA);
							if (REALP(BgL_a1z00_16707))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4671z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16707,
										BgL_locz00_14072);
								}
							if (REALP(BgL_a2z00_16708))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4671z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16708,
										BgL_locz00_14072);
								}
							BgL_tmpz00_26225 =
								(REAL_TO_DOUBLE(BgL_a1z00_16707) /
								REAL_TO_DOUBLE(BgL_a2z00_16708));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26225);
				}
			}
		}

	}



/* &<@anonymous:2843> */
	obj_t BGl_z62zc3z04anonymousza32843ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14074, obj_t BgL_sz00_14078)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14075;
				obj_t BgL_a2z00_14076;
				obj_t BgL_locz00_14077;

				BgL_a1z00_14075 = PROCEDURE_REF(BgL_envz00_14074, (int) (((long) 0)));
				BgL_a2z00_14076 = PROCEDURE_REF(BgL_envz00_14074, (int) (((long) 1)));
				BgL_locz00_14077 = PROCEDURE_REF(BgL_envz00_14074, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26252;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16709;

						BgL_bpz00_16709 = VECTOR_REF(((obj_t) BgL_sz00_14078), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16710;
							obj_t BgL_a2z00_16711;

							BgL_a1z00_16710 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14075)) (BgL_a1z00_14075,
								BgL_sz00_14078, BEOA);
							BgL_a2z00_16711 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14076)) (BgL_a2z00_14076,
								BgL_sz00_14078, BEOA);
							if (REALP(BgL_a1z00_16710))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4673z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16710,
										BgL_locz00_14077);
								}
							if (REALP(BgL_a2z00_16711))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4673z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16711,
										BgL_locz00_14077);
								}
							BgL_tmpz00_26252 =
								(REAL_TO_DOUBLE(BgL_a1z00_16710) <
								REAL_TO_DOUBLE(BgL_a2z00_16711));
						}
					}
					return BBOOL(BgL_tmpz00_26252);
				}
			}
		}

	}



/* &<@anonymous:2846> */
	obj_t BGl_z62zc3z04anonymousza32846ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14079, obj_t BgL_sz00_14083)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14080;
				obj_t BgL_a2z00_14081;
				obj_t BgL_locz00_14082;

				BgL_a1z00_14080 = PROCEDURE_REF(BgL_envz00_14079, (int) (((long) 0)));
				BgL_a2z00_14081 = PROCEDURE_REF(BgL_envz00_14079, (int) (((long) 1)));
				BgL_locz00_14082 = PROCEDURE_REF(BgL_envz00_14079, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26279;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16712;

						BgL_bpz00_16712 = VECTOR_REF(((obj_t) BgL_sz00_14083), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16713;
							obj_t BgL_a2z00_16714;

							BgL_a1z00_16713 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14080)) (BgL_a1z00_14080,
								BgL_sz00_14083, BEOA);
							BgL_a2z00_16714 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14081)) (BgL_a2z00_14081,
								BgL_sz00_14083, BEOA);
							if (REALP(BgL_a1z00_16713))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4675z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16713,
										BgL_locz00_14082);
								}
							if (REALP(BgL_a2z00_16714))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4675z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16714,
										BgL_locz00_14082);
								}
							BgL_tmpz00_26279 =
								(REAL_TO_DOUBLE(BgL_a1z00_16713) >
								REAL_TO_DOUBLE(BgL_a2z00_16714));
						}
					}
					return BBOOL(BgL_tmpz00_26279);
				}
			}
		}

	}



/* &<@anonymous:2849> */
	obj_t BGl_z62zc3z04anonymousza32849ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14084, obj_t BgL_sz00_14088)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14085;
				obj_t BgL_a2z00_14086;
				obj_t BgL_locz00_14087;

				BgL_a1z00_14085 = PROCEDURE_REF(BgL_envz00_14084, (int) (((long) 0)));
				BgL_a2z00_14086 = PROCEDURE_REF(BgL_envz00_14084, (int) (((long) 1)));
				BgL_locz00_14087 = PROCEDURE_REF(BgL_envz00_14084, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26306;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16715;

						BgL_bpz00_16715 = VECTOR_REF(((obj_t) BgL_sz00_14088), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16716;
							obj_t BgL_a2z00_16717;

							BgL_a1z00_16716 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14085)) (BgL_a1z00_14085,
								BgL_sz00_14088, BEOA);
							BgL_a2z00_16717 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14086)) (BgL_a2z00_14086,
								BgL_sz00_14088, BEOA);
							if (REALP(BgL_a1z00_16716))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4677z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16716,
										BgL_locz00_14087);
								}
							if (REALP(BgL_a2z00_16717))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4677z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16717,
										BgL_locz00_14087);
								}
							BgL_tmpz00_26306 =
								(REAL_TO_DOUBLE(BgL_a1z00_16716) <=
								REAL_TO_DOUBLE(BgL_a2z00_16717));
						}
					}
					return BBOOL(BgL_tmpz00_26306);
				}
			}
		}

	}



/* &<@anonymous:2852> */
	obj_t BGl_z62zc3z04anonymousza32852ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14089, obj_t BgL_sz00_14093)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14090;
				obj_t BgL_a2z00_14091;
				obj_t BgL_locz00_14092;

				BgL_a1z00_14090 = PROCEDURE_REF(BgL_envz00_14089, (int) (((long) 0)));
				BgL_a2z00_14091 = PROCEDURE_REF(BgL_envz00_14089, (int) (((long) 1)));
				BgL_locz00_14092 = PROCEDURE_REF(BgL_envz00_14089, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26333;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16718;

						BgL_bpz00_16718 = VECTOR_REF(((obj_t) BgL_sz00_14093), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16719;
							obj_t BgL_a2z00_16720;

							BgL_a1z00_16719 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14090)) (BgL_a1z00_14090,
								BgL_sz00_14093, BEOA);
							BgL_a2z00_16720 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14091)) (BgL_a2z00_14091,
								BgL_sz00_14093, BEOA);
							if (REALP(BgL_a1z00_16719))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4679z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16719,
										BgL_locz00_14092);
								}
							if (REALP(BgL_a2z00_16720))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4679z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16720,
										BgL_locz00_14092);
								}
							BgL_tmpz00_26333 =
								(REAL_TO_DOUBLE(BgL_a1z00_16719) >=
								REAL_TO_DOUBLE(BgL_a2z00_16720));
						}
					}
					return BBOOL(BgL_tmpz00_26333);
				}
			}
		}

	}



/* &<@anonymous:2855> */
	obj_t BGl_z62zc3z04anonymousza32855ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14094, obj_t BgL_sz00_14098)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14095;
				obj_t BgL_a2z00_14096;
				obj_t BgL_locz00_14097;

				BgL_a1z00_14095 = PROCEDURE_REF(BgL_envz00_14094, (int) (((long) 0)));
				BgL_a2z00_14096 = PROCEDURE_REF(BgL_envz00_14094, (int) (((long) 1)));
				BgL_locz00_14097 = PROCEDURE_REF(BgL_envz00_14094, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26360;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16721;

						BgL_bpz00_16721 = VECTOR_REF(((obj_t) BgL_sz00_14098), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16722;
							obj_t BgL_a2z00_16723;

							BgL_a1z00_16722 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14095)) (BgL_a1z00_14095,
								BgL_sz00_14098, BEOA);
							BgL_a2z00_16723 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14096)) (BgL_a2z00_14096,
								BgL_sz00_14098, BEOA);
							if (REALP(BgL_a1z00_16722))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4681z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a1z00_16722,
										BgL_locz00_14097);
								}
							if (REALP(BgL_a2z00_16723))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4681z00zz__evaluate_compz00,
										BGl_symbol4665z00zz__evaluate_compz00, BgL_a2z00_16723,
										BgL_locz00_14097);
								}
							BgL_tmpz00_26360 =
								(REAL_TO_DOUBLE(BgL_a1z00_16722) ==
								REAL_TO_DOUBLE(BgL_a2z00_16723));
						}
					}
					return BBOOL(BgL_tmpz00_26360);
				}
			}
		}

	}



/* &<@anonymous:2858> */
	obj_t BGl_z62zc3z04anonymousza32858ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14099, obj_t BgL_sz00_14102)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14100;
				obj_t BgL_a2z00_14101;

				BgL_a1z00_14100 = PROCEDURE_REF(BgL_envz00_14099, (int) (((long) 0)));
				BgL_a2z00_14101 = PROCEDURE_REF(BgL_envz00_14099, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26385;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16724;

						BgL_bpz00_16724 = VECTOR_REF(((obj_t) BgL_sz00_14102), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16725;
							obj_t BgL_a2z00_16726;

							BgL_a1z00_16725 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14100)) (BgL_a1z00_14100,
								BgL_sz00_14102, BEOA);
							BgL_a2z00_16726 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14101)) (BgL_a2z00_14101,
								BgL_sz00_14102, BEOA);
							BgL_tmpz00_26385 = (BgL_a1z00_16725 == BgL_a2z00_16726);
					}}
					return BBOOL(BgL_tmpz00_26385);
				}
			}
		}

	}



/* &<@anonymous:2859> */
	obj_t BGl_z62zc3z04anonymousza32859ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14103, obj_t BgL_sz00_14106)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14104;
				obj_t BgL_a2z00_14105;

				BgL_a1z00_14104 = PROCEDURE_REF(BgL_envz00_14103, (int) (((long) 0)));
				BgL_a2z00_14105 = PROCEDURE_REF(BgL_envz00_14103, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16727;

					BgL_bpz00_16727 = VECTOR_REF(((obj_t) BgL_sz00_14106), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16728;
						obj_t BgL_a2z00_16729;

						BgL_a1z00_16728 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14104)) (BgL_a1z00_14104,
							BgL_sz00_14106, BEOA);
						BgL_a2z00_16729 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a2z00_14105)) (BgL_a2z00_14105,
							BgL_sz00_14106, BEOA);
						return MAKE_YOUNG_PAIR(BgL_a1z00_16728, BgL_a2z00_16729);
					}
				}
			}
		}

	}



/* &<@anonymous:2861> */
	obj_t BGl_z62zc3z04anonymousza32861ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14107, obj_t BgL_sz00_14110)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14108;
				obj_t BgL_locz00_14109;

				BgL_a1z00_14108 = PROCEDURE_REF(BgL_envz00_14107, (int) (((long) 0)));
				BgL_locz00_14109 = PROCEDURE_REF(BgL_envz00_14107, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16730;

					BgL_bpz00_16730 = VECTOR_REF(((obj_t) BgL_sz00_14110), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16731;

						BgL_a1z00_16731 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14108)) (BgL_a1z00_14108,
							BgL_sz00_14110, BEOA);
						if (PAIRP(BgL_a1z00_16731))
							{	/* Eval/evaluate_comp.scm 1025 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1025 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4683z00zz__evaluate_compz00,
									BGl_symbol4685z00zz__evaluate_compz00, BgL_a1z00_16731,
									BgL_locz00_14109);
							}
						return CAR(((obj_t) BgL_a1z00_16731));
					}
				}
			}
		}

	}



/* &<@anonymous:2863> */
	obj_t BGl_z62zc3z04anonymousza32863ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14111, obj_t BgL_sz00_14114)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14112;
				obj_t BgL_locz00_14113;

				BgL_a1z00_14112 = PROCEDURE_REF(BgL_envz00_14111, (int) (((long) 0)));
				BgL_locz00_14113 = PROCEDURE_REF(BgL_envz00_14111, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16732;

					BgL_bpz00_16732 = VECTOR_REF(((obj_t) BgL_sz00_14114), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16733;

						BgL_a1z00_16733 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14112)) (BgL_a1z00_14112,
							BgL_sz00_14114, BEOA);
						if (PAIRP(BgL_a1z00_16733))
							{	/* Eval/evaluate_comp.scm 1025 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1025 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4687z00zz__evaluate_compz00,
									BGl_symbol4685z00zz__evaluate_compz00, BgL_a1z00_16733,
									BgL_locz00_14113);
							}
						return CDR(((obj_t) BgL_a1z00_16733));
					}
				}
			}
		}

	}



/* &<@anonymous:2865> */
	obj_t BGl_z62zc3z04anonymousza32865ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14115, obj_t BgL_sz00_14118)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14116;
				obj_t BgL_locz00_14117;

				BgL_a1z00_14116 = PROCEDURE_REF(BgL_envz00_14115, (int) (((long) 0)));
				BgL_locz00_14117 = PROCEDURE_REF(BgL_envz00_14115, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16734;

					BgL_bpz00_16734 = VECTOR_REF(((obj_t) BgL_sz00_14118), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16735;

						BgL_a1z00_16735 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_a1z00_14116)) (BgL_a1z00_14116,
							BgL_sz00_14118, BEOA);
						{	/* Eval/evaluate_comp.scm 1025 */
							bool_t BgL_test5415z00_26453;

							if (PAIRP(BgL_a1z00_16735))
								{	/* Eval/evaluate_comp.scm 1034 */
									obj_t BgL_tmpz00_26456;

									BgL_tmpz00_26456 = CDR(BgL_a1z00_16735);
									BgL_test5415z00_26453 = PAIRP(BgL_tmpz00_26456);
								}
							else
								{	/* Eval/evaluate_comp.scm 1034 */
									BgL_test5415z00_26453 = ((bool_t) 0);
								}
							if (BgL_test5415z00_26453)
								{	/* Eval/evaluate_comp.scm 1025 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1025 */
									obj_t BgL_arg2867z00_16736;

									if (PAIRP(BgL_a1z00_16735))
										{	/* Eval/evaluate_comp.scm 1037 */
											BgL_arg2867z00_16736 = CDR(BgL_a1z00_16735);
										}
									else
										{	/* Eval/evaluate_comp.scm 1037 */
											BgL_arg2867z00_16736 = BgL_a1z00_16735;
										}
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4689z00zz__evaluate_compz00,
										BGl_symbol4685z00zz__evaluate_compz00, BgL_arg2867z00_16736,
										BgL_locz00_14117);
								}
						}
						{	/* Eval/evaluate_comp.scm 1025 */
							obj_t BgL_pairz00_16737;

							BgL_pairz00_16737 = CDR(((obj_t) BgL_a1z00_16735));
							return CAR(BgL_pairz00_16737);
						}
					}
				}
			}
		}

	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203,
		obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206,
		obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
	{
		{	/* Eval/evaluate_comp.scm 1070 */
			if ((BgL_arityz00_206 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1072 */
					long BgL_g1245z00_3596;

					BgL_g1245z00_3596 = (((long) -1) - BgL_arityz00_206);
					{
						long BgL_rz00_3598;
						long BgL_spz00_3599;
						obj_t BgL_lz00_3600;

						BgL_rz00_3598 = BgL_g1245z00_3596;
						BgL_spz00_3599 = BgL_spz00_205;
						BgL_lz00_3600 = BgL_valsz00_207;
					BgL_zc3z04anonymousza32872ze3z87_3601:
						if ((BgL_rz00_3598 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1074 */
								return
									VECTOR_SET(
									((obj_t) BgL_sz00_203), BgL_spz00_3599, BgL_lz00_3600);
							}
						else
							{	/* Eval/evaluate_comp.scm 1074 */
								if (PAIRP(BgL_lz00_3600))
									{	/* Eval/evaluate_comp.scm 1076 */
										{	/* Eval/evaluate_comp.scm 1079 */
											obj_t BgL_arg2875z00_3604;

											BgL_arg2875z00_3604 = CAR(BgL_lz00_3600);
											VECTOR_SET(
												((obj_t) BgL_sz00_203), BgL_spz00_3599,
												BgL_arg2875z00_3604);
										}
										{
											obj_t BgL_lz00_26482;
											long BgL_spz00_26480;
											long BgL_rz00_26478;

											BgL_rz00_26478 = (BgL_rz00_3598 - ((long) 1));
											BgL_spz00_26480 = (BgL_spz00_3599 + ((long) 1));
											BgL_lz00_26482 = CDR(BgL_lz00_3600);
											BgL_lz00_3600 = BgL_lz00_26482;
											BgL_spz00_3599 = BgL_spz00_26480;
											BgL_rz00_3598 = BgL_rz00_26478;
											goto BgL_zc3z04anonymousza32872ze3z87_3601;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1077 */
										long BgL_arg2879z00_3608;

										BgL_arg2879z00_3608 = bgl_list_length(BgL_valsz00_207);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
											BgL_wherez00_204, (int) (BgL_arityz00_206),
											(int) (BgL_arg2879z00_3608));
				}}}}
			else
				{
					long BgL_rz00_3611;
					long BgL_spz00_3612;
					obj_t BgL_lz00_3613;

					BgL_rz00_3611 = BgL_arityz00_206;
					BgL_spz00_3612 = BgL_spz00_205;
					BgL_lz00_3613 = BgL_valsz00_207;
				BgL_zc3z04anonymousza32880ze3z87_3614:
					if ((BgL_rz00_3611 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1083 */
							if (NULLP(BgL_lz00_3613))
								{	/* Eval/evaluate_comp.scm 1084 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1085 */
									long BgL_arg2884z00_3617;

									BgL_arg2884z00_3617 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2884z00_3617));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1083 */
							if (PAIRP(BgL_lz00_3613))
								{	/* Eval/evaluate_comp.scm 1086 */
									{	/* Eval/evaluate_comp.scm 1089 */
										obj_t BgL_arg2886z00_3619;

										BgL_arg2886z00_3619 = CAR(BgL_lz00_3613);
										VECTOR_SET(
											((obj_t) BgL_sz00_203), BgL_spz00_3612,
											BgL_arg2886z00_3619);
									}
									{
										obj_t BgL_lz00_26505;
										long BgL_spz00_26503;
										long BgL_rz00_26501;

										BgL_rz00_26501 = (BgL_rz00_3611 - ((long) 1));
										BgL_spz00_26503 = (BgL_spz00_3612 + ((long) 1));
										BgL_lz00_26505 = CDR(BgL_lz00_3613);
										BgL_lz00_3613 = BgL_lz00_26505;
										BgL_spz00_3612 = BgL_spz00_26503;
										BgL_rz00_3611 = BgL_rz00_26501;
										goto BgL_zc3z04anonymousza32880ze3z87_3614;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1087 */
									long BgL_arg2890z00_3623;

									BgL_arg2890z00_3623 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg2890z00_3623));
		}}}}

	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
	{
		{	/* Eval/evaluate_comp.scm 1184 */
			{
				long BgL_iz00_3627;

				BgL_iz00_3627 = ((long) 0);
			BgL_zc3z04anonymousza32891ze3z87_3628:
				{	/* Eval/evaluate_comp.scm 1187 */
					long BgL_spz00_3629;

					{	/* Eval/evaluate_comp.scm 1187 */
						obj_t BgL_arg2902z00_3634;

						BgL_arg2902z00_3634 =
							VECTOR_REF(((obj_t) BgL_ibza2za2_212), BgL_iz00_3627);
						BgL_spz00_3629 =
							((long) CINT(BgL_bpz00_213) + (long) CINT(BgL_arg2902z00_3634));
					}
					{	/* Eval/evaluate_comp.scm 1188 */
						obj_t BgL_arg2893z00_3630;

						{	/* Eval/evaluate_comp.scm 1188 */
							obj_t BgL_arg2894z00_3631;

							BgL_arg2894z00_3631 =
								VECTOR_REF(((obj_t) BgL_sz00_211), BgL_spz00_3629);
							{	/* Eval/evaluate_comp.scm 202 */
								obj_t BgL_newz00_9655;

								BgL_newz00_9655 =
									create_struct(BGl_symbol4613z00zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 202 */
									int BgL_tmpz00_26520;

									BgL_tmpz00_26520 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_9655, BgL_tmpz00_26520,
										BgL_arg2894z00_3631);
								}
								BgL_arg2893z00_3630 = BgL_newz00_9655;
						}}
						VECTOR_SET(
							((obj_t) BgL_sz00_211), BgL_spz00_3629, BgL_arg2893z00_3630);
					}
					{	/* Eval/evaluate_comp.scm 1189 */
						long BgL_niz00_3632;

						BgL_niz00_3632 = (BgL_iz00_3627 + ((long) 1));
						if ((BgL_niz00_3632 < VECTOR_LENGTH(((obj_t) BgL_ibza2za2_212))))
							{
								long BgL_iz00_26530;

								BgL_iz00_26530 = BgL_niz00_3632;
								BgL_iz00_3627 = BgL_iz00_26530;
								goto BgL_zc3z04anonymousza32891ze3z87_3628;
							}
						else
							{	/* Eval/evaluate_comp.scm 1190 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
	{
		{	/* Eval/evaluate_comp.scm 1192 */
			{	/* Eval/evaluate_comp.scm 1193 */
				obj_t BgL_rz00_3637;

				BgL_rz00_3637 =
					make_vector(VECTOR_LENGTH(((obj_t) BgL_iza2za2_216)), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 1193 */

					{
						long BgL_iz00_3639;

						BgL_iz00_3639 = ((long) 0);
					BgL_zc3z04anonymousza32903ze3z87_3640:
						if ((BgL_iz00_3639 >= VECTOR_LENGTH(((obj_t) BgL_iza2za2_216))))
							{	/* Eval/evaluate_comp.scm 1195 */
								return BgL_rz00_3637;
							}
						else
							{	/* Eval/evaluate_comp.scm 1195 */
								{	/* Eval/evaluate_comp.scm 1198 */
									obj_t BgL_arg2908z00_3642;

									{	/* Eval/evaluate_comp.scm 1198 */
										long BgL_arg2909z00_3643;

										{	/* Eval/evaluate_comp.scm 1198 */
											obj_t BgL_arg2910z00_3644;

											BgL_arg2910z00_3644 =
												VECTOR_REF(((obj_t) BgL_iza2za2_216), BgL_iz00_3639);
											BgL_arg2909z00_3643 =
												(
												(long) CINT(BgL_bpz00_215) +
												(long) CINT(BgL_arg2910z00_3644));
										}
										BgL_arg2908z00_3642 =
											VECTOR_REF(((obj_t) BgL_sz00_214), BgL_arg2909z00_3643);
									}
									VECTOR_SET(BgL_rz00_3637, BgL_iz00_3639, BgL_arg2908z00_3642);
								}
								{
									long BgL_iz00_26546;

									BgL_iz00_26546 = (BgL_iz00_3639 + ((long) 1));
									BgL_iz00_3639 = BgL_iz00_26546;
									goto BgL_zc3z04anonymousza32903ze3z87_3640;
								}
							}
					}
				}
			}
		}

	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217,
		obj_t BgL_valza2za2_218, long BgL_spz00_219)
	{
		{	/* Eval/evaluate_comp.scm 1201 */
			{	/* Eval/evaluate_comp.scm 1202 */
				long BgL_stopz00_3648;

				BgL_stopz00_3648 =
					(BgL_spz00_219 + VECTOR_LENGTH(((obj_t) BgL_valza2za2_218)));
				{
					long BgL_iz00_9703;
					long BgL_spz00_9704;

					BgL_iz00_9703 = ((long) 0);
					BgL_spz00_9704 = BgL_spz00_219;
				BgL_recz00_9702:
					if ((BgL_spz00_9704 < BgL_stopz00_3648))
						{	/* Eval/evaluate_comp.scm 1204 */
							{	/* Eval/evaluate_comp.scm 1205 */
								obj_t BgL_arg2915z00_9710;

								BgL_arg2915z00_9710 =
									VECTOR_REF(((obj_t) BgL_valza2za2_218), BgL_iz00_9703);
								VECTOR_SET(
									((obj_t) BgL_sz00_217), BgL_spz00_9704, BgL_arg2915z00_9710);
							}
							{
								long BgL_spz00_26559;
								long BgL_iz00_26557;

								BgL_iz00_26557 = (BgL_iz00_9703 + ((long) 1));
								BgL_spz00_26559 = (BgL_spz00_9704 + ((long) 1));
								BgL_spz00_9704 = BgL_spz00_26559;
								BgL_iz00_9703 = BgL_iz00_26557;
								goto BgL_recz00_9702;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1204 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc4691z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string4692z00zz__evaluate_compz00);
		}

	}



/* &comp1437 */
	obj_t BGl_z62comp1437z62zz__evaluate_compz00(obj_t BgL_envz00_14204,
		obj_t BgL_ez00_14205, obj_t BgL_stkz00_14206)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			return
				BGl_errorz00zz__errorz00(BGl_string4603z00zz__evaluate_compz00,
				BGl_string4693z00zz__evaluate_compz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_14205)));
		}

	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				obj_t BgL_method1438z00_3664;

				{	/* Eval/evaluate_comp.scm 276 */
					obj_t BgL_res4464z00_9751;

					{	/* Eval/evaluate_comp.scm 276 */
						long BgL_objzd2classzd2numz00_9722;

						BgL_objzd2classzd2numz00_9722 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_35));
						{	/* Eval/evaluate_comp.scm 276 */
							obj_t BgL_arg4334z00_9723;

							BgL_arg4334z00_9723 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_comp.scm 276 */
								int BgL_offsetz00_9726;

								BgL_offsetz00_9726 = (int) (BgL_objzd2classzd2numz00_9722);
								{	/* Eval/evaluate_comp.scm 276 */
									long BgL_offsetz00_9727;

									BgL_offsetz00_9727 =
										((long) (BgL_offsetz00_9726) - OBJECT_TYPE);
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_modz00_9728;

										BgL_modz00_9728 =
											(BgL_offsetz00_9727 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_comp.scm 276 */
											long BgL_restz00_9730;

											BgL_restz00_9730 =
												(BgL_offsetz00_9727 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_comp.scm 276 */

												{	/* Eval/evaluate_comp.scm 276 */
													obj_t BgL_bucketz00_9732;

													BgL_bucketz00_9732 =
														VECTOR_REF(
														((obj_t) BgL_arg4334z00_9723), BgL_modz00_9728);
													BgL_res4464z00_9751 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_9732), BgL_restz00_9730);
					}}}}}}}}
					BgL_method1438z00_3664 = BgL_res4464z00_9751;
				}
				return
					((obj_t(*)(obj_t, obj_t, obj_t,
							obj_t))
					PROCEDURE_ENTRY(BgL_method1438z00_3664)) (BgL_method1438z00_3664,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}

	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_14207,
		obj_t BgL_ez00_14208, obj_t BgL_stkz00_14209)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				BgL_ev_exprz00_bglt BgL_auxz00_26596;

				{	/* Eval/evaluate_comp.scm 276 */
					bool_t BgL_test5427z00_26597;

					{	/* Eval/evaluate_comp.scm 276 */
						obj_t BgL_classz00_16739;

						BgL_classz00_16739 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_14208))
							{	/* Eval/evaluate_comp.scm 276 */
								BgL_objectz00_bglt BgL_arg4332z00_16741;
								long BgL_arg4333z00_16742;

								BgL_arg4332z00_16741 = (BgL_objectz00_bglt) (BgL_ez00_14208);
								BgL_arg4333z00_16742 = BGL_CLASS_DEPTH(BgL_classz00_16739);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_idxz00_16750;

										BgL_idxz00_16750 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg4332z00_16741);
										{	/* Eval/evaluate_comp.scm 276 */
											obj_t BgL_arg4325z00_16751;

											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_arg4326z00_16752;

												BgL_arg4326z00_16752 =
													(BgL_idxz00_16750 + BgL_arg4333z00_16742);
												BgL_arg4325z00_16751 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg4326z00_16752);
											}
											BgL_test5427z00_26597 =
												(BgL_arg4325z00_16751 == BgL_classz00_16739);
									}}
								else
									{	/* Eval/evaluate_comp.scm 276 */
										bool_t BgL_res4472z00_16757;

										{	/* Eval/evaluate_comp.scm 276 */
											obj_t BgL_oclassz00_16761;

											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_arg4337z00_16763;

												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_arg4338z00_16764;

													BgL_arg4338z00_16764 =
														BGL_OBJECT_CLASS_NUM(BgL_arg4332z00_16741);
													BgL_arg4337z00_16763 =
														(BgL_arg4338z00_16764 - OBJECT_TYPE);
												}
												BgL_oclassz00_16761 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg4337z00_16763);
											}
											{	/* Eval/evaluate_comp.scm 276 */
												bool_t BgL__ortest_1296z00_16770;

												BgL__ortest_1296z00_16770 =
													(BgL_classz00_16739 == BgL_oclassz00_16761);
												if (BgL__ortest_1296z00_16770)
													{	/* Eval/evaluate_comp.scm 276 */
														BgL_res4472z00_16757 = BgL__ortest_1296z00_16770;
													}
												else
													{	/* Eval/evaluate_comp.scm 276 */
														long BgL_odepthz00_16771;

														BgL_odepthz00_16771 =
															BGL_CLASS_DEPTH(BgL_oclassz00_16761);
														if ((BgL_arg4333z00_16742 < BgL_odepthz00_16771))
															{	/* Eval/evaluate_comp.scm 276 */
																obj_t BgL_arg4327z00_16775;

																BgL_arg4327z00_16775 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_16761,
																	BgL_arg4333z00_16742);
																BgL_res4472z00_16757 =
																	(BgL_arg4327z00_16775 == BgL_classz00_16739);
															}
														else
															{	/* Eval/evaluate_comp.scm 276 */
																BgL_res4472z00_16757 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test5427z00_26597 = BgL_res4472z00_16757;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 276 */
								BgL_test5427z00_26597 = ((bool_t) 0);
							}
					}
					if (BgL_test5427z00_26597)
						{	/* Eval/evaluate_comp.scm 276 */
							BgL_auxz00_26596 = ((BgL_ev_exprz00_bglt) BgL_ez00_14208);
						}
					else
						{
							obj_t BgL_auxz00_26619;

							BgL_auxz00_26619 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string4608z00zz__evaluate_compz00, BINT(((long) 7022)),
								BGl_string4694z00zz__evaluate_compz00,
								BGl_string4610z00zz__evaluate_compz00, BgL_ez00_14208);
							FAILURE(BgL_auxz00_26619, BFALSE, BFALSE);
				}}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_26596, BgL_stkz00_14209);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc4695z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc4697z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc4698z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc4699z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc4700z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc4701z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc4702z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4703z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4704z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc4705z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc4706z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc4707z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc4708z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc4709z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc4710z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc4711z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc4712z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc4713z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc4714z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc4715z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc4716z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc4717z00zz__evaluate_compz00,
				BGl_string4696z00zz__evaluate_compz00);
		}

	}



/* &comp-ev_abs1483 */
	obj_t BGl_z62compzd2ev_abs1483zb0zz__evaluate_compz00(obj_t BgL_envz00_14402,
		obj_t BgL_ez00_14403, obj_t BgL_stkz00_14404)
	{
		{	/* Eval/evaluate_comp.scm 1172 */
			{	/* Eval/evaluate_comp.scm 1174 */
				obj_t BgL_ifreesz00_16777;
				obj_t BgL_iboxesz00_16778;
				long BgL_siza7eza7_16779;
				long BgL_siza7ezd2framez75_16780;
				obj_t BgL_nstkz00_16781;

				{	/* Eval/evaluate_comp.scm 1174 */
					obj_t BgL_arg4035z00_16782;

					{	/* Eval/evaluate_comp.scm 1174 */
						obj_t BgL_l1414z00_16783;

						BgL_l1414z00_16783 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_freez00);
						if (NULLP(BgL_l1414z00_16783))
							{	/* Eval/evaluate_comp.scm 1174 */
								BgL_arg4035z00_16782 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1174 */
								obj_t BgL_head1416z00_16784;

								BgL_head1416z00_16784 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1414z00_16786;
									obj_t BgL_tail1417z00_16787;

									BgL_l1414z00_16786 = BgL_l1414z00_16783;
									BgL_tail1417z00_16787 = BgL_head1416z00_16784;
								BgL_zc3z04anonymousza34037ze3z87_16785:
									if (NULLP(BgL_l1414z00_16786))
										{	/* Eval/evaluate_comp.scm 1174 */
											BgL_arg4035z00_16782 = CDR(BgL_head1416z00_16784);
										}
									else
										{	/* Eval/evaluate_comp.scm 1174 */
											obj_t BgL_newtail1418z00_16788;

											{	/* Eval/evaluate_comp.scm 1174 */
												obj_t BgL_arg4040z00_16789;

												{	/* Eval/evaluate_comp.scm 1174 */
													obj_t BgL_vz00_16790;

													BgL_vz00_16790 = CAR(((obj_t) BgL_l1414z00_16786));
													BgL_arg4040z00_16789 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16790,
														BgL_stkz00_14404);
												}
												BgL_newtail1418z00_16788 =
													MAKE_YOUNG_PAIR(BgL_arg4040z00_16789, BNIL);
											}
											SET_CDR(BgL_tail1417z00_16787, BgL_newtail1418z00_16788);
											{	/* Eval/evaluate_comp.scm 1174 */
												obj_t BgL_arg4039z00_16791;

												BgL_arg4039z00_16791 =
													CDR(((obj_t) BgL_l1414z00_16786));
												{
													obj_t BgL_tail1417z00_26662;
													obj_t BgL_l1414z00_26661;

													BgL_l1414z00_26661 = BgL_arg4039z00_16791;
													BgL_tail1417z00_26662 = BgL_newtail1418z00_16788;
													BgL_tail1417z00_16787 = BgL_tail1417z00_26662;
													BgL_l1414z00_16786 = BgL_l1414z00_26661;
													goto BgL_zc3z04anonymousza34037ze3z87_16785;
												}
											}
										}
								}
							}
					}
					BgL_ifreesz00_16777 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4035z00_16782);
				}
				{	/* Eval/evaluate_comp.scm 1175 */
					obj_t BgL_arg4041z00_16792;

					{	/* Eval/evaluate_comp.scm 1175 */
						obj_t BgL_l1419z00_16793;

						BgL_l1419z00_16793 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_boxesz00);
						if (NULLP(BgL_l1419z00_16793))
							{	/* Eval/evaluate_comp.scm 1175 */
								BgL_arg4041z00_16792 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1175 */
								obj_t BgL_head1421z00_16794;

								BgL_head1421z00_16794 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1419z00_16796;
									obj_t BgL_tail1422z00_16797;

									BgL_l1419z00_16796 = BgL_l1419z00_16793;
									BgL_tail1422z00_16797 = BgL_head1421z00_16794;
								BgL_zc3z04anonymousza34043ze3z87_16795:
									if (NULLP(BgL_l1419z00_16796))
										{	/* Eval/evaluate_comp.scm 1175 */
											BgL_arg4041z00_16792 = CDR(BgL_head1421z00_16794);
										}
									else
										{	/* Eval/evaluate_comp.scm 1175 */
											obj_t BgL_newtail1423z00_16798;

											{	/* Eval/evaluate_comp.scm 1175 */
												obj_t BgL_arg4046z00_16799;

												{	/* Eval/evaluate_comp.scm 1175 */
													obj_t BgL_vz00_16800;

													BgL_vz00_16800 = CAR(((obj_t) BgL_l1419z00_16796));
													BgL_arg4046z00_16799 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16800,
														(((BgL_ev_absz00_bglt) COBJECT(
																	((BgL_ev_absz00_bglt) BgL_ez00_14403)))->
															BgL_varsz00));
												}
												BgL_newtail1423z00_16798 =
													MAKE_YOUNG_PAIR(BgL_arg4046z00_16799, BNIL);
											}
											SET_CDR(BgL_tail1422z00_16797, BgL_newtail1423z00_16798);
											{	/* Eval/evaluate_comp.scm 1175 */
												obj_t BgL_arg4045z00_16801;

												BgL_arg4045z00_16801 =
													CDR(((obj_t) BgL_l1419z00_16796));
												{
													obj_t BgL_tail1422z00_26682;
													obj_t BgL_l1419z00_26681;

													BgL_l1419z00_26681 = BgL_arg4045z00_16801;
													BgL_tail1422z00_26682 = BgL_newtail1423z00_16798;
													BgL_tail1422z00_16797 = BgL_tail1422z00_26682;
													BgL_l1419z00_16796 = BgL_l1419z00_26681;
													goto BgL_zc3z04anonymousza34043ze3z87_16795;
												}
											}
										}
								}
							}
					}
					BgL_iboxesz00_16778 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4041z00_16792);
				}
				BgL_siza7eza7_16779 =
					bgl_list_length(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_varsz00));
				BgL_siza7ezd2framez75_16780 =
					(
					(long) (
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_siza7eza7)) +
					bgl_list_length(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_freez00)));
				BgL_nstkz00_16781 =
					BGl_appendzd221011zd2zz__evaluate_compz00(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_varsz00),
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_freez00));
				{	/* Eval/evaluate_comp.scm 1179 */
					obj_t BgL_bodyz00_16802;

					BgL_bodyz00_16802 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_bodyz00),
						BgL_nstkz00_16781);
					{

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_aux1257z00_16808;

							BgL_aux1257z00_16808 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_14403)))->BgL_arityz00);
							if (INTEGERP(BgL_aux1257z00_16808))
								{	/* Eval/evaluate_comp.scm 1181 */
									switch ((long) CINT(BgL_aux1257z00_16808))
										{
										case ((long) 0):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33446ze3z87_16809;

															BgL_zc3z04anonymousza33446ze3z87_16809 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33446ze3z87_16809,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33446ze3z87_16809,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33446ze3z87_16809,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33446ze3z87_16809;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33453ze3z87_16810;

															BgL_zc3z04anonymousza33453ze3z87_16810 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33453ze3z87_16810,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33453ze3z87_16810,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33453ze3z87_16810,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33453ze3z87_16810,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33453ze3z87_16810;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33463ze3z87_16811;

															BgL_zc3z04anonymousza33463ze3z87_16811 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33463ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33463ze3z87_16811,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33463ze3z87_16811,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33463ze3z87_16811,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33463ze3z87_16811,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33463ze3z87_16811,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33463ze3z87_16811;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33471ze3z87_16812;

															BgL_zc3z04anonymousza33471ze3z87_16812 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33471ze3z87_16812,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33471ze3z87_16812,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33471ze3z87_16812,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33471ze3z87_16812,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33471ze3z87_16812,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33471ze3z87_16812,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33471ze3z87_16812;
														}
												}
											break;
										case ((long) -1):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33488ze3z87_16813;

															BgL_zc3z04anonymousza33488ze3z87_16813 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33488ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33488ze3z87_16813,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33488ze3z87_16813,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33488ze3z87_16813,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33488ze3z87_16813;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33497ze3z87_16814;

															BgL_zc3z04anonymousza33497ze3z87_16814 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33497ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33497ze3z87_16814,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33497ze3z87_16814,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33497ze3z87_16814,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33497ze3z87_16814,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33497ze3z87_16814;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33510ze3z87_16815;

															BgL_zc3z04anonymousza33510ze3z87_16815 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33510ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33510ze3z87_16815,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33510ze3z87_16815,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33510ze3z87_16815,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33510ze3z87_16815,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33510ze3z87_16815,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33510ze3z87_16815;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33520ze3z87_16816;

															BgL_zc3z04anonymousza33520ze3z87_16816 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33520ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33520ze3z87_16816,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33520ze3z87_16816,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33520ze3z87_16816,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33520ze3z87_16816,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33520ze3z87_16816,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33520ze3z87_16816,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33520ze3z87_16816;
														}
												}
											break;
										case ((long) 1):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33537ze3z87_16817;

															BgL_zc3z04anonymousza33537ze3z87_16817 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33537ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16817,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16817,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33537ze3z87_16817,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33537ze3z87_16817;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33545ze3z87_16818;

															BgL_zc3z04anonymousza33545ze3z87_16818 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33545ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33545ze3z87_16818,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33545ze3z87_16818,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33545ze3z87_16818,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33545ze3z87_16818,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33545ze3z87_16818;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33558ze3z87_16819;

															BgL_zc3z04anonymousza33558ze3z87_16819 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33558ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16819,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16819,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16819,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16819,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33558ze3z87_16819,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33558ze3z87_16819;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33566ze3z87_16820;

															BgL_zc3z04anonymousza33566ze3z87_16820 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33566ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16820,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16820,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16820,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16820,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16820,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16820,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33566ze3z87_16820;
														}
												}
											break;
										case ((long) -2):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33583ze3z87_16821;

															BgL_zc3z04anonymousza33583ze3z87_16821 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16821,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16821,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33583ze3z87_16821,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33583ze3z87_16821;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33593ze3z87_16822;

															BgL_zc3z04anonymousza33593ze3z87_16822 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33593ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33593ze3z87_16822,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33593ze3z87_16822,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33593ze3z87_16822,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33593ze3z87_16822,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33593ze3z87_16822;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33605ze3z87_16823;

															BgL_zc3z04anonymousza33605ze3z87_16823 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33605ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16823,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16823,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16823,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16823,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16823,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33605ze3z87_16823;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33615ze3z87_16824;

															BgL_zc3z04anonymousza33615ze3z87_16824 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16824,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16824,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16824,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16824,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16824,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33615ze3z87_16824,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33615ze3z87_16824;
														}
												}
											break;
										case ((long) 2):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33633ze3z87_16825;

															BgL_zc3z04anonymousza33633ze3z87_16825 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33633ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33633ze3z87_16825,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33633ze3z87_16825,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33633ze3z87_16825,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33633ze3z87_16825;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33642ze3z87_16826;

															BgL_zc3z04anonymousza33642ze3z87_16826 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33642ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33642ze3z87_16826,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33642ze3z87_16826,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33642ze3z87_16826,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33642ze3z87_16826,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33642ze3z87_16826;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33654ze3z87_16827;

															BgL_zc3z04anonymousza33654ze3z87_16827 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33654ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33654ze3z87_16827,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33654ze3z87_16827,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33654ze3z87_16827,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33654ze3z87_16827,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33654ze3z87_16827,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33654ze3z87_16827;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33666ze3z87_16828;

															BgL_zc3z04anonymousza33666ze3z87_16828 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33666ze3z87_16828,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33666ze3z87_16828,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33666ze3z87_16828,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33666ze3z87_16828,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33666ze3z87_16828,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33666ze3z87_16828,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33666ze3z87_16828;
														}
												}
											break;
										case ((long) -3):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33684ze3z87_16829;

															BgL_zc3z04anonymousza33684ze3z87_16829 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33684ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33684ze3z87_16829,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33684ze3z87_16829,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33684ze3z87_16829,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33684ze3z87_16829;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33694ze3z87_16830;

															BgL_zc3z04anonymousza33694ze3z87_16830 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33694ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33694ze3z87_16830,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33694ze3z87_16830,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33694ze3z87_16830,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33694ze3z87_16830,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33694ze3z87_16830;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33710ze3z87_16831;

															BgL_zc3z04anonymousza33710ze3z87_16831 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33710ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33710ze3z87_16831,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33710ze3z87_16831,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33710ze3z87_16831,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33710ze3z87_16831,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33710ze3z87_16831,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33710ze3z87_16831;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33722ze3z87_16832;

															BgL_zc3z04anonymousza33722ze3z87_16832 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16832,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16832,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16832,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16832,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16832,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33722ze3z87_16832,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33722ze3z87_16832;
														}
												}
											break;
										case ((long) 3):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33742ze3z87_16833;

															BgL_zc3z04anonymousza33742ze3z87_16833 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33742ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33742ze3z87_16833,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33742ze3z87_16833,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33742ze3z87_16833,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33742ze3z87_16833;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33751ze3z87_16834;

															BgL_zc3z04anonymousza33751ze3z87_16834 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33751ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33751ze3z87_16834,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33751ze3z87_16834,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33751ze3z87_16834,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33751ze3z87_16834,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33751ze3z87_16834;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33764ze3z87_16835;

															BgL_zc3z04anonymousza33764ze3z87_16835 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33764ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33764ze3z87_16835,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33764ze3z87_16835,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33764ze3z87_16835,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33764ze3z87_16835,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33764ze3z87_16835,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33764ze3z87_16835;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33774ze3z87_16836;

															BgL_zc3z04anonymousza33774ze3z87_16836 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33774ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16836,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16836,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16836,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16836,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16836,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16836,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33774ze3z87_16836;
														}
												}
											break;
										case ((long) -4):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33790ze3z87_16837;

															BgL_zc3z04anonymousza33790ze3z87_16837 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33790ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33790ze3z87_16837,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33790ze3z87_16837,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33790ze3z87_16837,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33790ze3z87_16837;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33800ze3z87_16838;

															BgL_zc3z04anonymousza33800ze3z87_16838 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33800ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33800ze3z87_16838,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33800ze3z87_16838,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33800ze3z87_16838,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33800ze3z87_16838,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33800ze3z87_16838;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33813ze3z87_16839;

															BgL_zc3z04anonymousza33813ze3z87_16839 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33813ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33813ze3z87_16839,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33813ze3z87_16839,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33813ze3z87_16839,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33813ze3z87_16839,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33813ze3z87_16839,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33813ze3z87_16839;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33824ze3z87_16840;

															BgL_zc3z04anonymousza33824ze3z87_16840 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33824ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16840,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16840,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16840,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16840,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16840,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33824ze3z87_16840,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33824ze3z87_16840;
														}
												}
											break;
										case ((long) 4):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33841ze3z87_16841;

															BgL_zc3z04anonymousza33841ze3z87_16841 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33841ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33841ze3z87_16841,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33841ze3z87_16841,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33841ze3z87_16841,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33841ze3z87_16841;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33851ze3z87_16842;

															BgL_zc3z04anonymousza33851ze3z87_16842 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33851ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33851ze3z87_16842,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33851ze3z87_16842,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33851ze3z87_16842,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33851ze3z87_16842,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33851ze3z87_16842;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33864ze3z87_16843;

															BgL_zc3z04anonymousza33864ze3z87_16843 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33864ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33864ze3z87_16843,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33864ze3z87_16843,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33864ze3z87_16843,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33864ze3z87_16843,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33864ze3z87_16843,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33864ze3z87_16843;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33875ze3z87_16844;

															BgL_zc3z04anonymousza33875ze3z87_16844 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33875ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16844,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16844,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16844,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16844,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16844,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33875ze3z87_16844,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33875ze3z87_16844;
														}
												}
											break;
										case ((long) -5):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33892ze3z87_16845;

															BgL_zc3z04anonymousza33892ze3z87_16845 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33892ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33892ze3z87_16845,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33892ze3z87_16845,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33892ze3z87_16845,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33892ze3z87_16845;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33903ze3z87_16846;

															BgL_zc3z04anonymousza33903ze3z87_16846 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33903ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33903ze3z87_16846,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33903ze3z87_16846,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33903ze3z87_16846,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33903ze3z87_16846,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33903ze3z87_16846;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33917ze3z87_16847;

															BgL_zc3z04anonymousza33917ze3z87_16847 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33917ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33917ze3z87_16847,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33917ze3z87_16847,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33917ze3z87_16847,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33917ze3z87_16847,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33917ze3z87_16847,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33917ze3z87_16847;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33929ze3z87_16848;

															BgL_zc3z04anonymousza33929ze3z87_16848 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33929ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33929ze3z87_16848,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33929ze3z87_16848,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33929ze3z87_16848,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33929ze3z87_16848,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33929ze3z87_16848,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33929ze3z87_16848,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33929ze3z87_16848;
														}
												}
											break;
										default:
										BgL_case_else1256z00_16803:
											if ((VECTOR_LENGTH(BgL_ifreesz00_16777) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33947ze3z87_16804;

															BgL_zc3z04anonymousza33947ze3z87_16804 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33947ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33947ze3z87_16804,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33947ze3z87_16804,
																(int) (((long) 1)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33947ze3z87_16804,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33947ze3z87_16804;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33967ze3z87_16805;

															BgL_zc3z04anonymousza33967ze3z87_16805 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33967ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33967ze3z87_16805,
																(int) (((long) 0)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33967ze3z87_16805,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33967ze3z87_16805,
																(int) (((long) 2)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33967ze3z87_16805,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33967ze3z87_16805;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16778) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33990ze3z87_16806;

															BgL_zc3z04anonymousza33990ze3z87_16806 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33990ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33990ze3z87_16806,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33990ze3z87_16806,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33990ze3z87_16806,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33990ze3z87_16806,
																(int) (((long) 3)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33990ze3z87_16806,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza33990ze3z87_16806;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza34011ze3z87_16807;

															BgL_zc3z04anonymousza34011ze3z87_16807 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza34011ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34011ze3z87_16807,
																(int) (((long) 0)), BgL_ifreesz00_16777);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34011ze3z87_16807,
																(int) (((long) 1)), BgL_iboxesz00_16778);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34011ze3z87_16807,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16779));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34011ze3z87_16807,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14403)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34011ze3z87_16807,
																(int) (((long) 4)), BgL_bodyz00_16802);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34011ze3z87_16807,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16780));
															return BgL_zc3z04anonymousza34011ze3z87_16807;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1181 */
									goto BgL_case_else1256z00_16803;
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3892> */
	obj_t BGl_z62zc3z04anonymousza33892ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14405, obj_t BgL_sz00_14409)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14406;
				obj_t BgL_bodyz00_14407;
				long BgL_siza7ezd2framez75_14408;

				BgL_i1255z00_14406 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 0))));
				BgL_bodyz00_14407 = PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14408 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16849;

					BgL_bpz00_16849 = VECTOR_REF(((obj_t) BgL_sz00_14409), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16850;

							BgL_runz00_16850 =
								MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16850,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14406));
							PROCEDURE_SET(BgL_runz00_16850,
								(int) (((long) 1)), BgL_bodyz00_14407);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16851;

								BgL_mainz00_16851 =
									MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16851,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14406));
								PROCEDURE_SET(BgL_mainz00_16851,
									(int) (((long) 1)), BgL_bodyz00_14407);
								PROCEDURE_SET(BgL_mainz00_16851,
									(int) (((long) 2)), BgL_runz00_16850);
								PROCEDURE_SET(BgL_mainz00_16851,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14408));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16852;

									BgL_objz00_16852 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16850, BgL_objz00_16852);
									BgL_objz00_16852;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3893z00_16853;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3894z00_16854;

										BgL_arg3894z00_16854 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14406))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16855;

											BgL_newz00_16855 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27524;

												BgL_tmpz00_27524 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16855, BgL_tmpz00_27524,
													BgL_arg3894z00_16854);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27529;
												int BgL_tmpz00_27527;

												BgL_auxz00_27529 = BINT(BgL_siza7ezd2framez75_14408);
												BgL_tmpz00_27527 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16855, BgL_tmpz00_27527,
													BgL_auxz00_27529);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27532;

												BgL_tmpz00_27532 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16855, BgL_tmpz00_27532,
													BgL_runz00_16850);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27537;
												int BgL_tmpz00_27535;

												BgL_auxz00_27537 = BINT(((long) -5));
												BgL_tmpz00_27535 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16855, BgL_tmpz00_27535,
													BgL_auxz00_27537);
											}
											BgL_arg3893z00_16853 = BgL_newz00_16855;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16851, BgL_arg3893z00_16853);
									BgL_arg3893z00_16853;
								}
								return BgL_mainz00_16851;
							}
						}
					}
				}
			}
		}

	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_14410,
		obj_t BgL_az00_14415, obj_t BgL_bz00_14416, obj_t BgL_cz00_14417,
		obj_t BgL_dz00_14418, obj_t BgL_lastz00_14419)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14413;
				long BgL_siza7ezd2framez75_14414;

				BgL_runz00_14413 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14410, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14414 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14410, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16856;

					BgL_sz00_16856 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16857;

						BgL_bpz00_16857 = VECTOR_REF(((obj_t) BgL_sz00_16856), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16857) + BgL_siza7ezd2framez75_14414) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16856))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3897z00_16858;

									BgL_arg3897z00_16858 =
										((long) CINT(BgL_bpz00_16857) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16856), BgL_arg3897z00_16858,
										BgL_az00_14415);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3898z00_16859;

									BgL_arg3898z00_16859 =
										((long) CINT(BgL_bpz00_16857) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16856), BgL_arg3898z00_16859,
										BgL_bz00_14416);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3899z00_16860;

									BgL_arg3899z00_16860 =
										((long) CINT(BgL_bpz00_16857) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16856), BgL_arg3899z00_16860,
										BgL_cz00_14417);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3900z00_16861;

									BgL_arg3900z00_16861 =
										((long) CINT(BgL_bpz00_16857) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16856), BgL_arg3900z00_16861,
										BgL_dz00_14418);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3901z00_16862;

									BgL_arg3901z00_16862 =
										((long) CINT(BgL_bpz00_16857) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16856), BgL_arg3901z00_16862,
										BgL_lastz00_14419);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16863;

									BgL_ez00_16863 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_16864;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_16865;

											BgL_arg4348z00_16865 = BGL_EXITD_PROTECT(BgL_ez00_16863);
											BgL_arg4347z00_16864 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16857, BgL_arg4348z00_16865);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16863, BgL_arg4347z00_16864);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16866;

										BgL_accz00_16866 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14413, BgL_sz00_16856, BgL_bpz00_16857);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5472z00_27581;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_16867;

												BgL_arg4346z00_16867 =
													BGL_EXITD_PROTECT(BgL_ez00_16863);
												BgL_test5472z00_27581 = PAIRP(BgL_arg4346z00_16867);
											}
											if (BgL_test5472z00_27581)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_16868;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_16869;

														BgL_arg4345z00_16869 =
															BGL_EXITD_PROTECT(BgL_ez00_16863);
														BgL_arg4344z00_16868 =
															CDR(((obj_t) BgL_arg4345z00_16869));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16863,
														BgL_arg4344z00_16868);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_16856), ((long) 0), BgL_bpz00_16857);
										return BgL_accz00_16866;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16870;

								BgL_nsz00_16870 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16870, ((long) 1), BgL_sz00_16856);
								VECTOR_SET(BgL_nsz00_16870, ((long) 2), BgL_az00_14415);
								VECTOR_SET(BgL_nsz00_16870, ((long) 3), BgL_bz00_14416);
								VECTOR_SET(BgL_nsz00_16870, ((long) 4), BgL_cz00_14417);
								VECTOR_SET(BgL_nsz00_16870, ((long) 5), BgL_dz00_14418);
								VECTOR_SET(BgL_nsz00_16870, ((long) 6), BgL_lastz00_14419);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16871;

									BgL_z12denvz12_16871 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16871, BgL_nsz00_16870);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16872;

										BgL_ez00_16872 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_16873;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_16874;

												BgL_arg4348z00_16874 =
													BGL_EXITD_PROTECT(BgL_ez00_16872);
												BgL_arg4347z00_16873 =
													MAKE_YOUNG_PAIR(BgL_sz00_16856, BgL_arg4348z00_16874);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16872,
												BgL_arg4347z00_16873);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16875;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16876;

												BgL_savedzd2bpzd2_16876 =
													VECTOR_REF(BgL_nsz00_16870, ((long) 0));
												VECTOR_SET(BgL_nsz00_16870, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16878;

													BgL_fz00_16878 = BgL_runz00_14413;
												BgL_recz00_16877:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16879;

														BgL_rz00_16879 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16878)) (BgL_fz00_16878,
															BgL_nsz00_16870, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5473z00_27610;

															if (PROCEDUREP(BgL_rz00_16879))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_16880;

																	BgL_arg1779z00_16880 =
																		PROCEDURE_ATTR(BgL_rz00_16879);
																	if (STRUCTP(BgL_arg1779z00_16880))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5473z00_27610 =
																				(STRUCT_KEY(BgL_arg1779z00_16880) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5473z00_27610 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5473z00_27610 = ((bool_t) 0);
																}
															if (BgL_test5473z00_27610)
																{
																	obj_t BgL_fz00_27618;

																	BgL_fz00_27618 = BgL_rz00_16879;
																	BgL_fz00_16878 = BgL_fz00_27618;
																	goto BgL_recz00_16877;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16870, ((long) 0),
																		BgL_savedzd2bpzd2_16876);
																	BgL_____rz00_16875 = BgL_rz00_16879;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5476z00_27620;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_16881;

													BgL_arg4346z00_16881 =
														BGL_EXITD_PROTECT(BgL_ez00_16872);
													BgL_test5476z00_27620 = PAIRP(BgL_arg4346z00_16881);
												}
												if (BgL_test5476z00_27620)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_16882;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_16883;

															BgL_arg4345z00_16883 =
																BGL_EXITD_PROTECT(BgL_ez00_16872);
															BgL_arg4344z00_16882 =
																CDR(((obj_t) BgL_arg4345z00_16883));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16872,
															BgL_arg4344z00_16882);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16871, BgL_sz00_16856);
											return BgL_____rz00_16875;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_14420,
		obj_t BgL_sz00_14423)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14421;
				obj_t BgL_bodyz00_14422;

				BgL_i1255z00_14421 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14420, (int) (((long) 0))));
				BgL_bodyz00_14422 = PROCEDURE_REF(BgL_envz00_14420, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16884;

					BgL_bpz00_16884 = VECTOR_REF(((obj_t) BgL_sz00_14423), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16885;
						obj_t BgL_wherez00_16886;
						obj_t BgL_locz00_16887;

						BgL_z12denvz12_16885 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16886 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14421))->
							BgL_wherez00);
						BgL_locz00_16887 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14421))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16885, BgL_wherez00_16886,
								BgL_locz00_16887);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16888;

								BgL_za2za2resza2za2z00_16888 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14422)) (BgL_bodyz00_14422,
									BgL_sz00_14423, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16885);
								return BgL_za2za2resza2za2z00_16888;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3903> */
	obj_t BGl_z62zc3z04anonymousza33903ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14424, obj_t BgL_sz00_14429)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14425;
				BgL_ev_absz00_bglt BgL_i1255z00_14426;
				obj_t BgL_bodyz00_14427;
				long BgL_siza7ezd2framez75_14428;

				BgL_iboxesz00_14425 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14424, (int) (((long) 0))));
				BgL_i1255z00_14426 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14424, (int) (((long) 1))));
				BgL_bodyz00_14427 = PROCEDURE_REF(BgL_envz00_14424, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14428 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14424, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16889;

					BgL_bpz00_16889 = VECTOR_REF(((obj_t) BgL_sz00_14429), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16890;

							BgL_runz00_16890 =
								MAKE_FX_PROCEDURE(BGl_z62run4506z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16890,
								(int) (((long) 0)), BgL_iboxesz00_14425);
							PROCEDURE_SET(BgL_runz00_16890,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14426));
							PROCEDURE_SET(BgL_runz00_16890,
								(int) (((long) 2)), BgL_bodyz00_14427);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16891;

								BgL_mainz00_16891 =
									MAKE_VA_PROCEDURE(BGl_z62main4505z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16891,
									(int) (((long) 0)), BgL_iboxesz00_14425);
								PROCEDURE_SET(BgL_mainz00_16891,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14426));
								PROCEDURE_SET(BgL_mainz00_16891,
									(int) (((long) 2)), BgL_bodyz00_14427);
								PROCEDURE_SET(BgL_mainz00_16891,
									(int) (((long) 3)), BgL_runz00_16890);
								PROCEDURE_SET(BgL_mainz00_16891,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14428));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16892;

									BgL_objz00_16892 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16890, BgL_objz00_16892);
									BgL_objz00_16892;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3904z00_16893;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3905z00_16894;

										BgL_arg3905z00_16894 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14426))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16895;

											BgL_newz00_16895 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27686;

												BgL_tmpz00_27686 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16895, BgL_tmpz00_27686,
													BgL_arg3905z00_16894);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27691;
												int BgL_tmpz00_27689;

												BgL_auxz00_27691 = BINT(BgL_siza7ezd2framez75_14428);
												BgL_tmpz00_27689 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16895, BgL_tmpz00_27689,
													BgL_auxz00_27691);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27694;

												BgL_tmpz00_27694 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16895, BgL_tmpz00_27694,
													BgL_runz00_16890);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27699;
												int BgL_tmpz00_27697;

												BgL_auxz00_27699 = BINT(((long) -5));
												BgL_tmpz00_27697 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16895, BgL_tmpz00_27697,
													BgL_auxz00_27699);
											}
											BgL_arg3904z00_16893 = BgL_newz00_16895;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16891, BgL_arg3904z00_16893);
									BgL_arg3904z00_16893;
								}
								return BgL_mainz00_16891;
							}
						}
					}
				}
			}
		}

	}



/* &main4505 */
	obj_t BGl_z62main4505z62zz__evaluate_compz00(obj_t BgL_envz00_14430,
		obj_t BgL_az00_14436, obj_t BgL_bz00_14437, obj_t BgL_cz00_14438,
		obj_t BgL_dz00_14439, obj_t BgL_lastz00_14440)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14434;
				long BgL_siza7ezd2framez75_14435;

				BgL_runz00_14434 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14430, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14435 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14430, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16896;

					BgL_sz00_16896 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16897;

						BgL_bpz00_16897 = VECTOR_REF(((obj_t) BgL_sz00_16896), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16897) + BgL_siza7ezd2framez75_14435) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16896))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3908z00_16898;

									BgL_arg3908z00_16898 =
										((long) CINT(BgL_bpz00_16897) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16896), BgL_arg3908z00_16898,
										BgL_az00_14436);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3909z00_16899;

									BgL_arg3909z00_16899 =
										((long) CINT(BgL_bpz00_16897) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16896), BgL_arg3909z00_16899,
										BgL_bz00_14437);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3910z00_16900;

									BgL_arg3910z00_16900 =
										((long) CINT(BgL_bpz00_16897) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16896), BgL_arg3910z00_16900,
										BgL_cz00_14438);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3911z00_16901;

									BgL_arg3911z00_16901 =
										((long) CINT(BgL_bpz00_16897) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16896), BgL_arg3911z00_16901,
										BgL_dz00_14439);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3912z00_16902;

									BgL_arg3912z00_16902 =
										((long) CINT(BgL_bpz00_16897) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16896), BgL_arg3912z00_16902,
										BgL_lastz00_14440);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16903;

									BgL_ez00_16903 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_16904;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_16905;

											BgL_arg4348z00_16905 = BGL_EXITD_PROTECT(BgL_ez00_16903);
											BgL_arg4347z00_16904 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16897, BgL_arg4348z00_16905);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16903, BgL_arg4347z00_16904);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16906;

										BgL_accz00_16906 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14434, BgL_sz00_16896, BgL_bpz00_16897);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5478z00_27743;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_16907;

												BgL_arg4346z00_16907 =
													BGL_EXITD_PROTECT(BgL_ez00_16903);
												BgL_test5478z00_27743 = PAIRP(BgL_arg4346z00_16907);
											}
											if (BgL_test5478z00_27743)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_16908;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_16909;

														BgL_arg4345z00_16909 =
															BGL_EXITD_PROTECT(BgL_ez00_16903);
														BgL_arg4344z00_16908 =
															CDR(((obj_t) BgL_arg4345z00_16909));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16903,
														BgL_arg4344z00_16908);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_16896), ((long) 0), BgL_bpz00_16897);
										return BgL_accz00_16906;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16910;

								BgL_nsz00_16910 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16910, ((long) 1), BgL_sz00_16896);
								VECTOR_SET(BgL_nsz00_16910, ((long) 2), BgL_az00_14436);
								VECTOR_SET(BgL_nsz00_16910, ((long) 3), BgL_bz00_14437);
								VECTOR_SET(BgL_nsz00_16910, ((long) 4), BgL_cz00_14438);
								VECTOR_SET(BgL_nsz00_16910, ((long) 5), BgL_dz00_14439);
								VECTOR_SET(BgL_nsz00_16910, ((long) 6), BgL_lastz00_14440);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16911;

									BgL_z12denvz12_16911 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16911, BgL_nsz00_16910);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16912;

										BgL_ez00_16912 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_16913;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_16914;

												BgL_arg4348z00_16914 =
													BGL_EXITD_PROTECT(BgL_ez00_16912);
												BgL_arg4347z00_16913 =
													MAKE_YOUNG_PAIR(BgL_sz00_16896, BgL_arg4348z00_16914);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16912,
												BgL_arg4347z00_16913);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16915;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16916;

												BgL_savedzd2bpzd2_16916 =
													VECTOR_REF(BgL_nsz00_16910, ((long) 0));
												VECTOR_SET(BgL_nsz00_16910, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16918;

													BgL_fz00_16918 = BgL_runz00_14434;
												BgL_recz00_16917:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16919;

														BgL_rz00_16919 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16918)) (BgL_fz00_16918,
															BgL_nsz00_16910, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5479z00_27772;

															if (PROCEDUREP(BgL_rz00_16919))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_16920;

																	BgL_arg1779z00_16920 =
																		PROCEDURE_ATTR(BgL_rz00_16919);
																	if (STRUCTP(BgL_arg1779z00_16920))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5479z00_27772 =
																				(STRUCT_KEY(BgL_arg1779z00_16920) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5479z00_27772 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5479z00_27772 = ((bool_t) 0);
																}
															if (BgL_test5479z00_27772)
																{
																	obj_t BgL_fz00_27780;

																	BgL_fz00_27780 = BgL_rz00_16919;
																	BgL_fz00_16918 = BgL_fz00_27780;
																	goto BgL_recz00_16917;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16910, ((long) 0),
																		BgL_savedzd2bpzd2_16916);
																	BgL_____rz00_16915 = BgL_rz00_16919;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5482z00_27782;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_16921;

													BgL_arg4346z00_16921 =
														BGL_EXITD_PROTECT(BgL_ez00_16912);
													BgL_test5482z00_27782 = PAIRP(BgL_arg4346z00_16921);
												}
												if (BgL_test5482z00_27782)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_16922;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_16923;

															BgL_arg4345z00_16923 =
																BGL_EXITD_PROTECT(BgL_ez00_16912);
															BgL_arg4344z00_16922 =
																CDR(((obj_t) BgL_arg4345z00_16923));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16912,
															BgL_arg4344z00_16922);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16911, BgL_sz00_16896);
											return BgL_____rz00_16915;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4506 */
	obj_t BGl_z62run4506z62zz__evaluate_compz00(obj_t BgL_envz00_14441,
		obj_t BgL_sz00_14445)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14442;
				BgL_ev_absz00_bglt BgL_i1255z00_14443;
				obj_t BgL_bodyz00_14444;

				BgL_iboxesz00_14442 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14441, (int) (((long) 0))));
				BgL_i1255z00_14443 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14441, (int) (((long) 1))));
				BgL_bodyz00_14444 = PROCEDURE_REF(BgL_envz00_14441, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16924;

					BgL_bpz00_16924 = VECTOR_REF(((obj_t) BgL_sz00_14445), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14445,
						BgL_iboxesz00_14442, BgL_bpz00_16924);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16925;
						obj_t BgL_wherez00_16926;
						obj_t BgL_locz00_16927;

						BgL_z12denvz12_16925 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16926 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14443))->
							BgL_wherez00);
						BgL_locz00_16927 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14443))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16925, BgL_wherez00_16926,
								BgL_locz00_16927);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16928;

								BgL_za2za2resza2za2z00_16928 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14444)) (BgL_bodyz00_14444,
									BgL_sz00_14445, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16925);
								return BgL_za2za2resza2za2z00_16928;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3917> */
	obj_t BGl_z62zc3z04anonymousza33917ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14446, obj_t BgL_sz00_14452)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14447;
				long BgL_siza7eza7_14448;
				BgL_ev_absz00_bglt BgL_i1255z00_14449;
				obj_t BgL_bodyz00_14450;
				long BgL_siza7ezd2framez75_14451;

				BgL_ifreesz00_14447 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 0))));
				BgL_siza7eza7_14448 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 1))));
				BgL_i1255z00_14449 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 2))));
				BgL_bodyz00_14450 = PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14451 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16929;

					BgL_bpz00_16929 = VECTOR_REF(((obj_t) BgL_sz00_14452), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16930;

						BgL_valza2za2_16930 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14452,
							BgL_bpz00_16929, BgL_ifreesz00_14447);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16931;

							BgL_runz00_16931 =
								MAKE_FX_PROCEDURE(BGl_z62run4508z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16931,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14448));
							PROCEDURE_SET(BgL_runz00_16931,
								(int) (((long) 1)), BgL_valza2za2_16930);
							PROCEDURE_SET(BgL_runz00_16931,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14449));
							PROCEDURE_SET(BgL_runz00_16931,
								(int) (((long) 3)), BgL_bodyz00_14450);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16932;

								BgL_mainz00_16932 =
									MAKE_VA_PROCEDURE(BGl_z62main4507z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16932,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14448));
								PROCEDURE_SET(BgL_mainz00_16932,
									(int) (((long) 1)), BgL_valza2za2_16930);
								PROCEDURE_SET(BgL_mainz00_16932,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14449));
								PROCEDURE_SET(BgL_mainz00_16932,
									(int) (((long) 3)), BgL_bodyz00_14450);
								PROCEDURE_SET(BgL_mainz00_16932,
									(int) (((long) 4)), BgL_runz00_16931);
								PROCEDURE_SET(BgL_mainz00_16932,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14451));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16933;

									BgL_objz00_16933 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16931, BgL_objz00_16933);
									BgL_objz00_16933;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3918z00_16934;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3919z00_16935;

										BgL_arg3919z00_16935 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14449))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16936;

											BgL_newz00_16936 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27862;

												BgL_tmpz00_27862 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16936, BgL_tmpz00_27862,
													BgL_arg3919z00_16935);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27867;
												int BgL_tmpz00_27865;

												BgL_auxz00_27867 = BINT(BgL_siza7ezd2framez75_14451);
												BgL_tmpz00_27865 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16936, BgL_tmpz00_27865,
													BgL_auxz00_27867);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27870;

												BgL_tmpz00_27870 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16936, BgL_tmpz00_27870,
													BgL_runz00_16931);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27875;
												int BgL_tmpz00_27873;

												BgL_auxz00_27875 = BINT(((long) -5));
												BgL_tmpz00_27873 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16936, BgL_tmpz00_27873,
													BgL_auxz00_27875);
											}
											BgL_arg3918z00_16934 = BgL_newz00_16936;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16932, BgL_arg3918z00_16934);
									BgL_arg3918z00_16934;
								}
								return BgL_mainz00_16932;
							}
						}
					}
				}
			}
		}

	}



/* &main4507 */
	obj_t BGl_z62main4507z62zz__evaluate_compz00(obj_t BgL_envz00_14453,
		obj_t BgL_az00_14460, obj_t BgL_bz00_14461, obj_t BgL_cz00_14462,
		obj_t BgL_dz00_14463, obj_t BgL_lastz00_14464)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14458;
				long BgL_siza7ezd2framez75_14459;

				BgL_runz00_14458 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14453, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14459 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14453, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16937;

					BgL_sz00_16937 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16938;

						BgL_bpz00_16938 = VECTOR_REF(((obj_t) BgL_sz00_16937), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16938) + BgL_siza7ezd2framez75_14459) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16937))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3922z00_16939;

									BgL_arg3922z00_16939 =
										((long) CINT(BgL_bpz00_16938) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16937), BgL_arg3922z00_16939,
										BgL_az00_14460);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3923z00_16940;

									BgL_arg3923z00_16940 =
										((long) CINT(BgL_bpz00_16938) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16937), BgL_arg3923z00_16940,
										BgL_bz00_14461);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3924z00_16941;

									BgL_arg3924z00_16941 =
										((long) CINT(BgL_bpz00_16938) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16937), BgL_arg3924z00_16941,
										BgL_cz00_14462);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3925z00_16942;

									BgL_arg3925z00_16942 =
										((long) CINT(BgL_bpz00_16938) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16937), BgL_arg3925z00_16942,
										BgL_dz00_14463);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3926z00_16943;

									BgL_arg3926z00_16943 =
										((long) CINT(BgL_bpz00_16938) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16937), BgL_arg3926z00_16943,
										BgL_lastz00_14464);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16944;

									BgL_ez00_16944 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_16945;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_16946;

											BgL_arg4348z00_16946 = BGL_EXITD_PROTECT(BgL_ez00_16944);
											BgL_arg4347z00_16945 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16938, BgL_arg4348z00_16946);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16944, BgL_arg4347z00_16945);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16947;

										BgL_accz00_16947 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14458, BgL_sz00_16937, BgL_bpz00_16938);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5484z00_27919;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_16948;

												BgL_arg4346z00_16948 =
													BGL_EXITD_PROTECT(BgL_ez00_16944);
												BgL_test5484z00_27919 = PAIRP(BgL_arg4346z00_16948);
											}
											if (BgL_test5484z00_27919)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_16949;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_16950;

														BgL_arg4345z00_16950 =
															BGL_EXITD_PROTECT(BgL_ez00_16944);
														BgL_arg4344z00_16949 =
															CDR(((obj_t) BgL_arg4345z00_16950));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16944,
														BgL_arg4344z00_16949);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_16937), ((long) 0), BgL_bpz00_16938);
										return BgL_accz00_16947;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16951;

								BgL_nsz00_16951 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16951, ((long) 1), BgL_sz00_16937);
								VECTOR_SET(BgL_nsz00_16951, ((long) 2), BgL_az00_14460);
								VECTOR_SET(BgL_nsz00_16951, ((long) 3), BgL_bz00_14461);
								VECTOR_SET(BgL_nsz00_16951, ((long) 4), BgL_cz00_14462);
								VECTOR_SET(BgL_nsz00_16951, ((long) 5), BgL_dz00_14463);
								VECTOR_SET(BgL_nsz00_16951, ((long) 6), BgL_lastz00_14464);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16952;

									BgL_z12denvz12_16952 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16952, BgL_nsz00_16951);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16953;

										BgL_ez00_16953 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_16954;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_16955;

												BgL_arg4348z00_16955 =
													BGL_EXITD_PROTECT(BgL_ez00_16953);
												BgL_arg4347z00_16954 =
													MAKE_YOUNG_PAIR(BgL_sz00_16937, BgL_arg4348z00_16955);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16953,
												BgL_arg4347z00_16954);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16956;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16957;

												BgL_savedzd2bpzd2_16957 =
													VECTOR_REF(BgL_nsz00_16951, ((long) 0));
												VECTOR_SET(BgL_nsz00_16951, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16959;

													BgL_fz00_16959 = BgL_runz00_14458;
												BgL_recz00_16958:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16960;

														BgL_rz00_16960 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_16959)) (BgL_fz00_16959,
															BgL_nsz00_16951, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5485z00_27948;

															if (PROCEDUREP(BgL_rz00_16960))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_16961;

																	BgL_arg1779z00_16961 =
																		PROCEDURE_ATTR(BgL_rz00_16960);
																	if (STRUCTP(BgL_arg1779z00_16961))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5485z00_27948 =
																				(STRUCT_KEY(BgL_arg1779z00_16961) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5485z00_27948 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5485z00_27948 = ((bool_t) 0);
																}
															if (BgL_test5485z00_27948)
																{
																	obj_t BgL_fz00_27956;

																	BgL_fz00_27956 = BgL_rz00_16960;
																	BgL_fz00_16959 = BgL_fz00_27956;
																	goto BgL_recz00_16958;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16951, ((long) 0),
																		BgL_savedzd2bpzd2_16957);
																	BgL_____rz00_16956 = BgL_rz00_16960;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5488z00_27958;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_16962;

													BgL_arg4346z00_16962 =
														BGL_EXITD_PROTECT(BgL_ez00_16953);
													BgL_test5488z00_27958 = PAIRP(BgL_arg4346z00_16962);
												}
												if (BgL_test5488z00_27958)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_16963;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_16964;

															BgL_arg4345z00_16964 =
																BGL_EXITD_PROTECT(BgL_ez00_16953);
															BgL_arg4344z00_16963 =
																CDR(((obj_t) BgL_arg4345z00_16964));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16953,
															BgL_arg4344z00_16963);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16952, BgL_sz00_16937);
											return BgL_____rz00_16956;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4508 */
	obj_t BGl_z62run4508z62zz__evaluate_compz00(obj_t BgL_envz00_14465,
		obj_t BgL_sz00_14470)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14466;
				obj_t BgL_valza2za2_14467;
				BgL_ev_absz00_bglt BgL_i1255z00_14468;
				obj_t BgL_bodyz00_14469;

				BgL_siza7eza7_14466 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14465, (int) (((long) 0))));
				BgL_valza2za2_14467 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14465, (int) (((long) 1))));
				BgL_i1255z00_14468 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14465, (int) (((long) 2))));
				BgL_bodyz00_14469 = PROCEDURE_REF(BgL_envz00_14465, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16965;

					BgL_bpz00_16965 = VECTOR_REF(((obj_t) BgL_sz00_14470), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14470,
						BgL_valza2za2_14467,
						((long) CINT(BgL_bpz00_16965) + BgL_siza7eza7_14466));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16966;
						obj_t BgL_wherez00_16967;
						obj_t BgL_locz00_16968;

						BgL_z12denvz12_16966 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16967 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14468))->
							BgL_wherez00);
						BgL_locz00_16968 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14468))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16966, BgL_wherez00_16967,
								BgL_locz00_16968);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16969;

								BgL_za2za2resza2za2z00_16969 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14469)) (BgL_bodyz00_14469,
									BgL_sz00_14470, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16966);
								return BgL_za2za2resza2za2z00_16969;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3929> */
	obj_t BGl_z62zc3z04anonymousza33929ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14471, obj_t BgL_sz00_14478)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14472;
				obj_t BgL_iboxesz00_14473;
				long BgL_siza7eza7_14474;
				BgL_ev_absz00_bglt BgL_i1255z00_14475;
				obj_t BgL_bodyz00_14476;
				long BgL_siza7ezd2framez75_14477;

				BgL_ifreesz00_14472 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14471, (int) (((long) 0))));
				BgL_iboxesz00_14473 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14471, (int) (((long) 1))));
				BgL_siza7eza7_14474 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14471, (int) (((long) 2))));
				BgL_i1255z00_14475 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14471, (int) (((long) 3))));
				BgL_bodyz00_14476 = PROCEDURE_REF(BgL_envz00_14471, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14477 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14471, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16970;

					BgL_bpz00_16970 = VECTOR_REF(((obj_t) BgL_sz00_14478), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16971;

						BgL_valza2za2_16971 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14478,
							BgL_bpz00_16970, BgL_ifreesz00_14472);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16972;

							BgL_runz00_16972 =
								MAKE_FX_PROCEDURE(BGl_z62run4510z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16972,
								(int) (((long) 0)), BgL_iboxesz00_14473);
							PROCEDURE_SET(BgL_runz00_16972,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14474));
							PROCEDURE_SET(BgL_runz00_16972,
								(int) (((long) 2)), BgL_valza2za2_16971);
							PROCEDURE_SET(BgL_runz00_16972,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14475));
							PROCEDURE_SET(BgL_runz00_16972,
								(int) (((long) 4)), BgL_bodyz00_14476);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16973;

								BgL_mainz00_16973 =
									MAKE_VA_PROCEDURE(BGl_z62main4509z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16973,
									(int) (((long) 0)), BgL_iboxesz00_14473);
								PROCEDURE_SET(BgL_mainz00_16973,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14474));
								PROCEDURE_SET(BgL_mainz00_16973,
									(int) (((long) 2)), BgL_valza2za2_16971);
								PROCEDURE_SET(BgL_mainz00_16973,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14475));
								PROCEDURE_SET(BgL_mainz00_16973,
									(int) (((long) 4)), BgL_bodyz00_14476);
								PROCEDURE_SET(BgL_mainz00_16973,
									(int) (((long) 5)), BgL_runz00_16972);
								PROCEDURE_SET(BgL_mainz00_16973,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14477));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16974;

									BgL_objz00_16974 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16972, BgL_objz00_16974);
									BgL_objz00_16974;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3930z00_16975;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3931z00_16976;

										BgL_arg3931z00_16976 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14475))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16977;

											BgL_newz00_16977 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28050;

												BgL_tmpz00_28050 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16977, BgL_tmpz00_28050,
													BgL_arg3931z00_16976);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28055;
												int BgL_tmpz00_28053;

												BgL_auxz00_28055 = BINT(BgL_siza7ezd2framez75_14477);
												BgL_tmpz00_28053 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16977, BgL_tmpz00_28053,
													BgL_auxz00_28055);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28058;

												BgL_tmpz00_28058 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16977, BgL_tmpz00_28058,
													BgL_runz00_16972);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28063;
												int BgL_tmpz00_28061;

												BgL_auxz00_28063 = BINT(((long) -5));
												BgL_tmpz00_28061 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16977, BgL_tmpz00_28061,
													BgL_auxz00_28063);
											}
											BgL_arg3930z00_16975 = BgL_newz00_16977;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16973, BgL_arg3930z00_16975);
									BgL_arg3930z00_16975;
								}
								return BgL_mainz00_16973;
							}
						}
					}
				}
			}
		}

	}



/* &main4509 */
	obj_t BGl_z62main4509z62zz__evaluate_compz00(obj_t BgL_envz00_14479,
		obj_t BgL_az00_14487, obj_t BgL_bz00_14488, obj_t BgL_cz00_14489,
		obj_t BgL_dz00_14490, obj_t BgL_lastz00_14491)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14485;
				long BgL_siza7ezd2framez75_14486;

				BgL_runz00_14485 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14486 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14479, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16978;

					BgL_sz00_16978 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16979;

						BgL_bpz00_16979 = VECTOR_REF(((obj_t) BgL_sz00_16978), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16979) + BgL_siza7ezd2framez75_14486) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16978))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3934z00_16980;

									BgL_arg3934z00_16980 =
										((long) CINT(BgL_bpz00_16979) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16978), BgL_arg3934z00_16980,
										BgL_az00_14487);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3935z00_16981;

									BgL_arg3935z00_16981 =
										((long) CINT(BgL_bpz00_16979) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16978), BgL_arg3935z00_16981,
										BgL_bz00_14488);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3936z00_16982;

									BgL_arg3936z00_16982 =
										((long) CINT(BgL_bpz00_16979) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16978), BgL_arg3936z00_16982,
										BgL_cz00_14489);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3937z00_16983;

									BgL_arg3937z00_16983 =
										((long) CINT(BgL_bpz00_16979) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16978), BgL_arg3937z00_16983,
										BgL_dz00_14490);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3938z00_16984;

									BgL_arg3938z00_16984 =
										((long) CINT(BgL_bpz00_16979) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16978), BgL_arg3938z00_16984,
										BgL_lastz00_14491);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16985;

									BgL_ez00_16985 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_16986;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_16987;

											BgL_arg4348z00_16987 = BGL_EXITD_PROTECT(BgL_ez00_16985);
											BgL_arg4347z00_16986 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16979, BgL_arg4348z00_16987);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16985, BgL_arg4347z00_16986);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16988;

										BgL_accz00_16988 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14485, BgL_sz00_16978, BgL_bpz00_16979);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5490z00_28107;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_16989;

												BgL_arg4346z00_16989 =
													BGL_EXITD_PROTECT(BgL_ez00_16985);
												BgL_test5490z00_28107 = PAIRP(BgL_arg4346z00_16989);
											}
											if (BgL_test5490z00_28107)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_16990;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_16991;

														BgL_arg4345z00_16991 =
															BGL_EXITD_PROTECT(BgL_ez00_16985);
														BgL_arg4344z00_16990 =
															CDR(((obj_t) BgL_arg4345z00_16991));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16985,
														BgL_arg4344z00_16990);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_16978), ((long) 0), BgL_bpz00_16979);
										return BgL_accz00_16988;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16992;

								BgL_nsz00_16992 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16992, ((long) 1), BgL_sz00_16978);
								VECTOR_SET(BgL_nsz00_16992, ((long) 2), BgL_az00_14487);
								VECTOR_SET(BgL_nsz00_16992, ((long) 3), BgL_bz00_14488);
								VECTOR_SET(BgL_nsz00_16992, ((long) 4), BgL_cz00_14489);
								VECTOR_SET(BgL_nsz00_16992, ((long) 5), BgL_dz00_14490);
								VECTOR_SET(BgL_nsz00_16992, ((long) 6), BgL_lastz00_14491);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16993;

									BgL_z12denvz12_16993 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16993, BgL_nsz00_16992);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16994;

										BgL_ez00_16994 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_16995;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_16996;

												BgL_arg4348z00_16996 =
													BGL_EXITD_PROTECT(BgL_ez00_16994);
												BgL_arg4347z00_16995 =
													MAKE_YOUNG_PAIR(BgL_sz00_16978, BgL_arg4348z00_16996);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16994,
												BgL_arg4347z00_16995);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16997;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16998;

												BgL_savedzd2bpzd2_16998 =
													VECTOR_REF(BgL_nsz00_16992, ((long) 0));
												VECTOR_SET(BgL_nsz00_16992, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17000;

													BgL_fz00_17000 = BgL_runz00_14485;
												BgL_recz00_16999:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17001;

														BgL_rz00_17001 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17000)) (BgL_fz00_17000,
															BgL_nsz00_16992, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5491z00_28136;

															if (PROCEDUREP(BgL_rz00_17001))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17002;

																	BgL_arg1779z00_17002 =
																		PROCEDURE_ATTR(BgL_rz00_17001);
																	if (STRUCTP(BgL_arg1779z00_17002))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5491z00_28136 =
																				(STRUCT_KEY(BgL_arg1779z00_17002) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5491z00_28136 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5491z00_28136 = ((bool_t) 0);
																}
															if (BgL_test5491z00_28136)
																{
																	obj_t BgL_fz00_28144;

																	BgL_fz00_28144 = BgL_rz00_17001;
																	BgL_fz00_17000 = BgL_fz00_28144;
																	goto BgL_recz00_16999;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16992, ((long) 0),
																		BgL_savedzd2bpzd2_16998);
																	BgL_____rz00_16997 = BgL_rz00_17001;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5494z00_28146;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17003;

													BgL_arg4346z00_17003 =
														BGL_EXITD_PROTECT(BgL_ez00_16994);
													BgL_test5494z00_28146 = PAIRP(BgL_arg4346z00_17003);
												}
												if (BgL_test5494z00_28146)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17004;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17005;

															BgL_arg4345z00_17005 =
																BGL_EXITD_PROTECT(BgL_ez00_16994);
															BgL_arg4344z00_17004 =
																CDR(((obj_t) BgL_arg4345z00_17005));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16994,
															BgL_arg4344z00_17004);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16993, BgL_sz00_16978);
											return BgL_____rz00_16997;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4510 */
	obj_t BGl_z62run4510z62zz__evaluate_compz00(obj_t BgL_envz00_14492,
		obj_t BgL_sz00_14498)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14493;
				long BgL_siza7eza7_14494;
				obj_t BgL_valza2za2_14495;
				BgL_ev_absz00_bglt BgL_i1255z00_14496;
				obj_t BgL_bodyz00_14497;

				BgL_iboxesz00_14493 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 0))));
				BgL_siza7eza7_14494 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 1))));
				BgL_valza2za2_14495 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 2))));
				BgL_i1255z00_14496 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 3))));
				BgL_bodyz00_14497 = PROCEDURE_REF(BgL_envz00_14492, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17006;

					BgL_bpz00_17006 = VECTOR_REF(((obj_t) BgL_sz00_14498), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14498,
						BgL_iboxesz00_14493, BgL_bpz00_17006);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14498,
						BgL_valza2za2_14495,
						((long) CINT(BgL_bpz00_17006) + BgL_siza7eza7_14494));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17007;
						obj_t BgL_wherez00_17008;
						obj_t BgL_locz00_17009;

						BgL_z12denvz12_17007 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17008 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14496))->
							BgL_wherez00);
						BgL_locz00_17009 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14496))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17007, BgL_wherez00_17008,
								BgL_locz00_17009);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17010;

								BgL_za2za2resza2za2z00_17010 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14497)) (BgL_bodyz00_14497,
									BgL_sz00_14498, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17007);
								return BgL_za2za2resza2za2z00_17010;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3841> */
	obj_t BGl_z62zc3z04anonymousza33841ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14499, obj_t BgL_sz00_14503)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14500;
				obj_t BgL_bodyz00_14501;
				long BgL_siza7ezd2framez75_14502;

				BgL_i1255z00_14500 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14499, (int) (((long) 0))));
				BgL_bodyz00_14501 = PROCEDURE_REF(BgL_envz00_14499, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14502 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14499, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17011;

					BgL_bpz00_17011 = VECTOR_REF(((obj_t) BgL_sz00_14503), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17012;

							BgL_runz00_17012 =
								MAKE_FX_PROCEDURE(BGl_z62run4512z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17012,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14500));
							PROCEDURE_SET(BgL_runz00_17012,
								(int) (((long) 1)), BgL_bodyz00_14501);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17013;

								BgL_mainz00_17013 =
									MAKE_FX_PROCEDURE(BGl_z62main4511z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14500));
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 1)), BgL_bodyz00_14501);
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 2)), BgL_runz00_17012);
								PROCEDURE_SET(BgL_mainz00_17013,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14502));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17014;

									BgL_objz00_17014 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17012, BgL_objz00_17014);
									BgL_objz00_17014;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3842z00_17015;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3843z00_17016;

										BgL_arg3843z00_17016 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14500))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17017;

											BgL_newz00_17017 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28218;

												BgL_tmpz00_28218 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17017, BgL_tmpz00_28218,
													BgL_arg3843z00_17016);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28223;
												int BgL_tmpz00_28221;

												BgL_auxz00_28223 = BINT(BgL_siza7ezd2framez75_14502);
												BgL_tmpz00_28221 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17017, BgL_tmpz00_28221,
													BgL_auxz00_28223);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28226;

												BgL_tmpz00_28226 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17017, BgL_tmpz00_28226,
													BgL_runz00_17012);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28231;
												int BgL_tmpz00_28229;

												BgL_auxz00_28231 = BINT(((long) 4));
												BgL_tmpz00_28229 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17017, BgL_tmpz00_28229,
													BgL_auxz00_28231);
											}
											BgL_arg3842z00_17015 = BgL_newz00_17017;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17013, BgL_arg3842z00_17015);
									BgL_arg3842z00_17015;
								}
								return BgL_mainz00_17013;
							}
						}
					}
				}
			}
		}

	}



/* &main4511 */
	obj_t BGl_z62main4511z62zz__evaluate_compz00(obj_t BgL_envz00_14504,
		obj_t BgL_az00_14509, obj_t BgL_bz00_14510, obj_t BgL_cz00_14511,
		obj_t BgL_dz00_14512)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14507;
				long BgL_siza7ezd2framez75_14508;

				BgL_runz00_14507 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14504, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14508 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14504, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17018;

					BgL_sz00_17018 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17019;

						BgL_bpz00_17019 = VECTOR_REF(((obj_t) BgL_sz00_17018), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17019) + BgL_siza7ezd2framez75_14508) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17018))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3846z00_17020;

									BgL_arg3846z00_17020 =
										((long) CINT(BgL_bpz00_17019) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17018), BgL_arg3846z00_17020,
										BgL_az00_14509);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3847z00_17021;

									BgL_arg3847z00_17021 =
										((long) CINT(BgL_bpz00_17019) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17018), BgL_arg3847z00_17021,
										BgL_bz00_14510);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3848z00_17022;

									BgL_arg3848z00_17022 =
										((long) CINT(BgL_bpz00_17019) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17018), BgL_arg3848z00_17022,
										BgL_cz00_14511);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3849z00_17023;

									BgL_arg3849z00_17023 =
										((long) CINT(BgL_bpz00_17019) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17018), BgL_arg3849z00_17023,
										BgL_dz00_14512);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17024;

									BgL_ez00_17024 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17025;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17026;

											BgL_arg4348z00_17026 = BGL_EXITD_PROTECT(BgL_ez00_17024);
											BgL_arg4347z00_17025 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17019, BgL_arg4348z00_17026);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17024, BgL_arg4347z00_17025);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17027;

										BgL_accz00_17027 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14507, BgL_sz00_17018, BgL_bpz00_17019);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5496z00_28271;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17028;

												BgL_arg4346z00_17028 =
													BGL_EXITD_PROTECT(BgL_ez00_17024);
												BgL_test5496z00_28271 = PAIRP(BgL_arg4346z00_17028);
											}
											if (BgL_test5496z00_28271)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17029;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17030;

														BgL_arg4345z00_17030 =
															BGL_EXITD_PROTECT(BgL_ez00_17024);
														BgL_arg4344z00_17029 =
															CDR(((obj_t) BgL_arg4345z00_17030));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17024,
														BgL_arg4344z00_17029);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17018), ((long) 0), BgL_bpz00_17019);
										return BgL_accz00_17027;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17031;

								BgL_nsz00_17031 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17031, ((long) 1), BgL_sz00_17018);
								VECTOR_SET(BgL_nsz00_17031, ((long) 2), BgL_az00_14509);
								VECTOR_SET(BgL_nsz00_17031, ((long) 3), BgL_bz00_14510);
								VECTOR_SET(BgL_nsz00_17031, ((long) 4), BgL_cz00_14511);
								VECTOR_SET(BgL_nsz00_17031, ((long) 5), BgL_dz00_14512);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17032;

									BgL_z12denvz12_17032 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17032, BgL_nsz00_17031);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17033;

										BgL_ez00_17033 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17034;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17035;

												BgL_arg4348z00_17035 =
													BGL_EXITD_PROTECT(BgL_ez00_17033);
												BgL_arg4347z00_17034 =
													MAKE_YOUNG_PAIR(BgL_sz00_17018, BgL_arg4348z00_17035);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17033,
												BgL_arg4347z00_17034);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17036;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17037;

												BgL_savedzd2bpzd2_17037 =
													VECTOR_REF(BgL_nsz00_17031, ((long) 0));
												VECTOR_SET(BgL_nsz00_17031, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17039;

													BgL_fz00_17039 = BgL_runz00_14507;
												BgL_recz00_17038:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17040;

														BgL_rz00_17040 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17039)) (BgL_fz00_17039,
															BgL_nsz00_17031, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5497z00_28299;

															if (PROCEDUREP(BgL_rz00_17040))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17041;

																	BgL_arg1779z00_17041 =
																		PROCEDURE_ATTR(BgL_rz00_17040);
																	if (STRUCTP(BgL_arg1779z00_17041))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5497z00_28299 =
																				(STRUCT_KEY(BgL_arg1779z00_17041) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5497z00_28299 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5497z00_28299 = ((bool_t) 0);
																}
															if (BgL_test5497z00_28299)
																{
																	obj_t BgL_fz00_28307;

																	BgL_fz00_28307 = BgL_rz00_17040;
																	BgL_fz00_17039 = BgL_fz00_28307;
																	goto BgL_recz00_17038;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17031, ((long) 0),
																		BgL_savedzd2bpzd2_17037);
																	BgL_____rz00_17036 = BgL_rz00_17040;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5500z00_28309;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17042;

													BgL_arg4346z00_17042 =
														BGL_EXITD_PROTECT(BgL_ez00_17033);
													BgL_test5500z00_28309 = PAIRP(BgL_arg4346z00_17042);
												}
												if (BgL_test5500z00_28309)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17043;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17044;

															BgL_arg4345z00_17044 =
																BGL_EXITD_PROTECT(BgL_ez00_17033);
															BgL_arg4344z00_17043 =
																CDR(((obj_t) BgL_arg4345z00_17044));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17033,
															BgL_arg4344z00_17043);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17032, BgL_sz00_17018);
											return BgL_____rz00_17036;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4512 */
	obj_t BGl_z62run4512z62zz__evaluate_compz00(obj_t BgL_envz00_14513,
		obj_t BgL_sz00_14516)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14514;
				obj_t BgL_bodyz00_14515;

				BgL_i1255z00_14514 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14513, (int) (((long) 0))));
				BgL_bodyz00_14515 = PROCEDURE_REF(BgL_envz00_14513, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17045;

					BgL_bpz00_17045 = VECTOR_REF(((obj_t) BgL_sz00_14516), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17046;
						obj_t BgL_wherez00_17047;
						obj_t BgL_locz00_17048;

						BgL_z12denvz12_17046 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17047 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14514))->
							BgL_wherez00);
						BgL_locz00_17048 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14514))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17046, BgL_wherez00_17047,
								BgL_locz00_17048);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17049;

								BgL_za2za2resza2za2z00_17049 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14515)) (BgL_bodyz00_14515,
									BgL_sz00_14516, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17046);
								return BgL_za2za2resza2za2z00_17049;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3851> */
	obj_t BGl_z62zc3z04anonymousza33851ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14517, obj_t BgL_sz00_14522)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14518;
				BgL_ev_absz00_bglt BgL_i1255z00_14519;
				obj_t BgL_bodyz00_14520;
				long BgL_siza7ezd2framez75_14521;

				BgL_iboxesz00_14518 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14517, (int) (((long) 0))));
				BgL_i1255z00_14519 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14517, (int) (((long) 1))));
				BgL_bodyz00_14520 = PROCEDURE_REF(BgL_envz00_14517, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14521 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14517, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17050;

					BgL_bpz00_17050 = VECTOR_REF(((obj_t) BgL_sz00_14522), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17051;

							BgL_runz00_17051 =
								MAKE_FX_PROCEDURE(BGl_z62run4514z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17051,
								(int) (((long) 0)), BgL_iboxesz00_14518);
							PROCEDURE_SET(BgL_runz00_17051,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14519));
							PROCEDURE_SET(BgL_runz00_17051,
								(int) (((long) 2)), BgL_bodyz00_14520);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17052;

								BgL_mainz00_17052 =
									MAKE_FX_PROCEDURE(BGl_z62main4513z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17052,
									(int) (((long) 0)), BgL_iboxesz00_14518);
								PROCEDURE_SET(BgL_mainz00_17052,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14519));
								PROCEDURE_SET(BgL_mainz00_17052,
									(int) (((long) 2)), BgL_bodyz00_14520);
								PROCEDURE_SET(BgL_mainz00_17052,
									(int) (((long) 3)), BgL_runz00_17051);
								PROCEDURE_SET(BgL_mainz00_17052,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14521));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17053;

									BgL_objz00_17053 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17051, BgL_objz00_17053);
									BgL_objz00_17053;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3852z00_17054;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3853z00_17055;

										BgL_arg3853z00_17055 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14519))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17056;

											BgL_newz00_17056 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28375;

												BgL_tmpz00_28375 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17056, BgL_tmpz00_28375,
													BgL_arg3853z00_17055);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28380;
												int BgL_tmpz00_28378;

												BgL_auxz00_28380 = BINT(BgL_siza7ezd2framez75_14521);
												BgL_tmpz00_28378 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17056, BgL_tmpz00_28378,
													BgL_auxz00_28380);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28383;

												BgL_tmpz00_28383 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17056, BgL_tmpz00_28383,
													BgL_runz00_17051);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28388;
												int BgL_tmpz00_28386;

												BgL_auxz00_28388 = BINT(((long) 4));
												BgL_tmpz00_28386 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17056, BgL_tmpz00_28386,
													BgL_auxz00_28388);
											}
											BgL_arg3852z00_17054 = BgL_newz00_17056;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17052, BgL_arg3852z00_17054);
									BgL_arg3852z00_17054;
								}
								return BgL_mainz00_17052;
							}
						}
					}
				}
			}
		}

	}



/* &main4513 */
	obj_t BGl_z62main4513z62zz__evaluate_compz00(obj_t BgL_envz00_14523,
		obj_t BgL_az00_14529, obj_t BgL_bz00_14530, obj_t BgL_cz00_14531,
		obj_t BgL_dz00_14532)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14527;
				long BgL_siza7ezd2framez75_14528;

				BgL_runz00_14527 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14523, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14528 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14523, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17057;

					BgL_sz00_17057 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17058;

						BgL_bpz00_17058 = VECTOR_REF(((obj_t) BgL_sz00_17057), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17058) + BgL_siza7ezd2framez75_14528) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17057))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3856z00_17059;

									BgL_arg3856z00_17059 =
										((long) CINT(BgL_bpz00_17058) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17057), BgL_arg3856z00_17059,
										BgL_az00_14529);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3857z00_17060;

									BgL_arg3857z00_17060 =
										((long) CINT(BgL_bpz00_17058) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17057), BgL_arg3857z00_17060,
										BgL_bz00_14530);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3858z00_17061;

									BgL_arg3858z00_17061 =
										((long) CINT(BgL_bpz00_17058) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17057), BgL_arg3858z00_17061,
										BgL_cz00_14531);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3859z00_17062;

									BgL_arg3859z00_17062 =
										((long) CINT(BgL_bpz00_17058) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17057), BgL_arg3859z00_17062,
										BgL_dz00_14532);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17063;

									BgL_ez00_17063 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17064;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17065;

											BgL_arg4348z00_17065 = BGL_EXITD_PROTECT(BgL_ez00_17063);
											BgL_arg4347z00_17064 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17058, BgL_arg4348z00_17065);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17063, BgL_arg4347z00_17064);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17066;

										BgL_accz00_17066 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14527, BgL_sz00_17057, BgL_bpz00_17058);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5502z00_28428;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17067;

												BgL_arg4346z00_17067 =
													BGL_EXITD_PROTECT(BgL_ez00_17063);
												BgL_test5502z00_28428 = PAIRP(BgL_arg4346z00_17067);
											}
											if (BgL_test5502z00_28428)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17068;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17069;

														BgL_arg4345z00_17069 =
															BGL_EXITD_PROTECT(BgL_ez00_17063);
														BgL_arg4344z00_17068 =
															CDR(((obj_t) BgL_arg4345z00_17069));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17063,
														BgL_arg4344z00_17068);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17057), ((long) 0), BgL_bpz00_17058);
										return BgL_accz00_17066;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17070;

								BgL_nsz00_17070 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17070, ((long) 1), BgL_sz00_17057);
								VECTOR_SET(BgL_nsz00_17070, ((long) 2), BgL_az00_14529);
								VECTOR_SET(BgL_nsz00_17070, ((long) 3), BgL_bz00_14530);
								VECTOR_SET(BgL_nsz00_17070, ((long) 4), BgL_cz00_14531);
								VECTOR_SET(BgL_nsz00_17070, ((long) 5), BgL_dz00_14532);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17071;

									BgL_z12denvz12_17071 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17071, BgL_nsz00_17070);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17072;

										BgL_ez00_17072 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17073;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17074;

												BgL_arg4348z00_17074 =
													BGL_EXITD_PROTECT(BgL_ez00_17072);
												BgL_arg4347z00_17073 =
													MAKE_YOUNG_PAIR(BgL_sz00_17057, BgL_arg4348z00_17074);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17072,
												BgL_arg4347z00_17073);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17075;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17076;

												BgL_savedzd2bpzd2_17076 =
													VECTOR_REF(BgL_nsz00_17070, ((long) 0));
												VECTOR_SET(BgL_nsz00_17070, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17078;

													BgL_fz00_17078 = BgL_runz00_14527;
												BgL_recz00_17077:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17079;

														BgL_rz00_17079 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17078)) (BgL_fz00_17078,
															BgL_nsz00_17070, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5503z00_28456;

															if (PROCEDUREP(BgL_rz00_17079))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17080;

																	BgL_arg1779z00_17080 =
																		PROCEDURE_ATTR(BgL_rz00_17079);
																	if (STRUCTP(BgL_arg1779z00_17080))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5503z00_28456 =
																				(STRUCT_KEY(BgL_arg1779z00_17080) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5503z00_28456 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5503z00_28456 = ((bool_t) 0);
																}
															if (BgL_test5503z00_28456)
																{
																	obj_t BgL_fz00_28464;

																	BgL_fz00_28464 = BgL_rz00_17079;
																	BgL_fz00_17078 = BgL_fz00_28464;
																	goto BgL_recz00_17077;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17070, ((long) 0),
																		BgL_savedzd2bpzd2_17076);
																	BgL_____rz00_17075 = BgL_rz00_17079;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5506z00_28466;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17081;

													BgL_arg4346z00_17081 =
														BGL_EXITD_PROTECT(BgL_ez00_17072);
													BgL_test5506z00_28466 = PAIRP(BgL_arg4346z00_17081);
												}
												if (BgL_test5506z00_28466)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17082;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17083;

															BgL_arg4345z00_17083 =
																BGL_EXITD_PROTECT(BgL_ez00_17072);
															BgL_arg4344z00_17082 =
																CDR(((obj_t) BgL_arg4345z00_17083));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17072,
															BgL_arg4344z00_17082);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17071, BgL_sz00_17057);
											return BgL_____rz00_17075;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4514 */
	obj_t BGl_z62run4514z62zz__evaluate_compz00(obj_t BgL_envz00_14533,
		obj_t BgL_sz00_14537)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14534;
				BgL_ev_absz00_bglt BgL_i1255z00_14535;
				obj_t BgL_bodyz00_14536;

				BgL_iboxesz00_14534 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14533, (int) (((long) 0))));
				BgL_i1255z00_14535 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14533, (int) (((long) 1))));
				BgL_bodyz00_14536 = PROCEDURE_REF(BgL_envz00_14533, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17084;

					BgL_bpz00_17084 = VECTOR_REF(((obj_t) BgL_sz00_14537), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14537,
						BgL_iboxesz00_14534, BgL_bpz00_17084);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17085;
						obj_t BgL_wherez00_17086;
						obj_t BgL_locz00_17087;

						BgL_z12denvz12_17085 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17086 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14535))->
							BgL_wherez00);
						BgL_locz00_17087 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14535))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17085, BgL_wherez00_17086,
								BgL_locz00_17087);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17088;

								BgL_za2za2resza2za2z00_17088 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14536)) (BgL_bodyz00_14536,
									BgL_sz00_14537, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17085);
								return BgL_za2za2resza2za2z00_17088;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3864> */
	obj_t BGl_z62zc3z04anonymousza33864ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14538, obj_t BgL_sz00_14544)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14539;
				long BgL_siza7eza7_14540;
				BgL_ev_absz00_bglt BgL_i1255z00_14541;
				obj_t BgL_bodyz00_14542;
				long BgL_siza7ezd2framez75_14543;

				BgL_ifreesz00_14539 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14538, (int) (((long) 0))));
				BgL_siza7eza7_14540 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14538, (int) (((long) 1))));
				BgL_i1255z00_14541 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14538, (int) (((long) 2))));
				BgL_bodyz00_14542 = PROCEDURE_REF(BgL_envz00_14538, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14543 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14538, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17089;

					BgL_bpz00_17089 = VECTOR_REF(((obj_t) BgL_sz00_14544), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17090;

						BgL_valza2za2_17090 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14544,
							BgL_bpz00_17089, BgL_ifreesz00_14539);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17091;

							BgL_runz00_17091 =
								MAKE_FX_PROCEDURE(BGl_z62run4516z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17091,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14540));
							PROCEDURE_SET(BgL_runz00_17091,
								(int) (((long) 1)), BgL_valza2za2_17090);
							PROCEDURE_SET(BgL_runz00_17091,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14541));
							PROCEDURE_SET(BgL_runz00_17091,
								(int) (((long) 3)), BgL_bodyz00_14542);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17092;

								BgL_mainz00_17092 =
									MAKE_FX_PROCEDURE(BGl_z62main4515z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17092,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14540));
								PROCEDURE_SET(BgL_mainz00_17092,
									(int) (((long) 1)), BgL_valza2za2_17090);
								PROCEDURE_SET(BgL_mainz00_17092,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14541));
								PROCEDURE_SET(BgL_mainz00_17092,
									(int) (((long) 3)), BgL_bodyz00_14542);
								PROCEDURE_SET(BgL_mainz00_17092,
									(int) (((long) 4)), BgL_runz00_17091);
								PROCEDURE_SET(BgL_mainz00_17092,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14543));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17093;

									BgL_objz00_17093 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17091, BgL_objz00_17093);
									BgL_objz00_17093;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3865z00_17094;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3866z00_17095;

										BgL_arg3866z00_17095 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14541))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17096;

											BgL_newz00_17096 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28546;

												BgL_tmpz00_28546 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17096, BgL_tmpz00_28546,
													BgL_arg3866z00_17095);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28551;
												int BgL_tmpz00_28549;

												BgL_auxz00_28551 = BINT(BgL_siza7ezd2framez75_14543);
												BgL_tmpz00_28549 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17096, BgL_tmpz00_28549,
													BgL_auxz00_28551);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28554;

												BgL_tmpz00_28554 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17096, BgL_tmpz00_28554,
													BgL_runz00_17091);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28559;
												int BgL_tmpz00_28557;

												BgL_auxz00_28559 = BINT(((long) 4));
												BgL_tmpz00_28557 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17096, BgL_tmpz00_28557,
													BgL_auxz00_28559);
											}
											BgL_arg3865z00_17094 = BgL_newz00_17096;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17092, BgL_arg3865z00_17094);
									BgL_arg3865z00_17094;
								}
								return BgL_mainz00_17092;
							}
						}
					}
				}
			}
		}

	}



/* &main4515 */
	obj_t BGl_z62main4515z62zz__evaluate_compz00(obj_t BgL_envz00_14545,
		obj_t BgL_az00_14552, obj_t BgL_bz00_14553, obj_t BgL_cz00_14554,
		obj_t BgL_dz00_14555)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14550;
				long BgL_siza7ezd2framez75_14551;

				BgL_runz00_14550 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14545, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14551 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14545, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17097;

					BgL_sz00_17097 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17098;

						BgL_bpz00_17098 = VECTOR_REF(((obj_t) BgL_sz00_17097), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17098) + BgL_siza7ezd2framez75_14551) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17097))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3869z00_17099;

									BgL_arg3869z00_17099 =
										((long) CINT(BgL_bpz00_17098) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17097), BgL_arg3869z00_17099,
										BgL_az00_14552);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3870z00_17100;

									BgL_arg3870z00_17100 =
										((long) CINT(BgL_bpz00_17098) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17097), BgL_arg3870z00_17100,
										BgL_bz00_14553);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3871z00_17101;

									BgL_arg3871z00_17101 =
										((long) CINT(BgL_bpz00_17098) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17097), BgL_arg3871z00_17101,
										BgL_cz00_14554);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3872z00_17102;

									BgL_arg3872z00_17102 =
										((long) CINT(BgL_bpz00_17098) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17097), BgL_arg3872z00_17102,
										BgL_dz00_14555);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17103;

									BgL_ez00_17103 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17104;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17105;

											BgL_arg4348z00_17105 = BGL_EXITD_PROTECT(BgL_ez00_17103);
											BgL_arg4347z00_17104 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17098, BgL_arg4348z00_17105);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17103, BgL_arg4347z00_17104);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17106;

										BgL_accz00_17106 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14550, BgL_sz00_17097, BgL_bpz00_17098);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5508z00_28599;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17107;

												BgL_arg4346z00_17107 =
													BGL_EXITD_PROTECT(BgL_ez00_17103);
												BgL_test5508z00_28599 = PAIRP(BgL_arg4346z00_17107);
											}
											if (BgL_test5508z00_28599)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17108;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17109;

														BgL_arg4345z00_17109 =
															BGL_EXITD_PROTECT(BgL_ez00_17103);
														BgL_arg4344z00_17108 =
															CDR(((obj_t) BgL_arg4345z00_17109));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17103,
														BgL_arg4344z00_17108);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17097), ((long) 0), BgL_bpz00_17098);
										return BgL_accz00_17106;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17110;

								BgL_nsz00_17110 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17110, ((long) 1), BgL_sz00_17097);
								VECTOR_SET(BgL_nsz00_17110, ((long) 2), BgL_az00_14552);
								VECTOR_SET(BgL_nsz00_17110, ((long) 3), BgL_bz00_14553);
								VECTOR_SET(BgL_nsz00_17110, ((long) 4), BgL_cz00_14554);
								VECTOR_SET(BgL_nsz00_17110, ((long) 5), BgL_dz00_14555);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17111;

									BgL_z12denvz12_17111 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17111, BgL_nsz00_17110);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17112;

										BgL_ez00_17112 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17113;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17114;

												BgL_arg4348z00_17114 =
													BGL_EXITD_PROTECT(BgL_ez00_17112);
												BgL_arg4347z00_17113 =
													MAKE_YOUNG_PAIR(BgL_sz00_17097, BgL_arg4348z00_17114);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17112,
												BgL_arg4347z00_17113);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17115;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17116;

												BgL_savedzd2bpzd2_17116 =
													VECTOR_REF(BgL_nsz00_17110, ((long) 0));
												VECTOR_SET(BgL_nsz00_17110, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17118;

													BgL_fz00_17118 = BgL_runz00_14550;
												BgL_recz00_17117:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17119;

														BgL_rz00_17119 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17118)) (BgL_fz00_17118,
															BgL_nsz00_17110, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5509z00_28627;

															if (PROCEDUREP(BgL_rz00_17119))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17120;

																	BgL_arg1779z00_17120 =
																		PROCEDURE_ATTR(BgL_rz00_17119);
																	if (STRUCTP(BgL_arg1779z00_17120))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5509z00_28627 =
																				(STRUCT_KEY(BgL_arg1779z00_17120) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5509z00_28627 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5509z00_28627 = ((bool_t) 0);
																}
															if (BgL_test5509z00_28627)
																{
																	obj_t BgL_fz00_28635;

																	BgL_fz00_28635 = BgL_rz00_17119;
																	BgL_fz00_17118 = BgL_fz00_28635;
																	goto BgL_recz00_17117;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17110, ((long) 0),
																		BgL_savedzd2bpzd2_17116);
																	BgL_____rz00_17115 = BgL_rz00_17119;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5512z00_28637;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17121;

													BgL_arg4346z00_17121 =
														BGL_EXITD_PROTECT(BgL_ez00_17112);
													BgL_test5512z00_28637 = PAIRP(BgL_arg4346z00_17121);
												}
												if (BgL_test5512z00_28637)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17122;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17123;

															BgL_arg4345z00_17123 =
																BGL_EXITD_PROTECT(BgL_ez00_17112);
															BgL_arg4344z00_17122 =
																CDR(((obj_t) BgL_arg4345z00_17123));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17112,
															BgL_arg4344z00_17122);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17111, BgL_sz00_17097);
											return BgL_____rz00_17115;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4516 */
	obj_t BGl_z62run4516z62zz__evaluate_compz00(obj_t BgL_envz00_14556,
		obj_t BgL_sz00_14561)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14557;
				obj_t BgL_valza2za2_14558;
				BgL_ev_absz00_bglt BgL_i1255z00_14559;
				obj_t BgL_bodyz00_14560;

				BgL_siza7eza7_14557 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14556, (int) (((long) 0))));
				BgL_valza2za2_14558 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14556, (int) (((long) 1))));
				BgL_i1255z00_14559 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14556, (int) (((long) 2))));
				BgL_bodyz00_14560 = PROCEDURE_REF(BgL_envz00_14556, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17124;

					BgL_bpz00_17124 = VECTOR_REF(((obj_t) BgL_sz00_14561), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14561,
						BgL_valza2za2_14558,
						((long) CINT(BgL_bpz00_17124) + BgL_siza7eza7_14557));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17125;
						obj_t BgL_wherez00_17126;
						obj_t BgL_locz00_17127;

						BgL_z12denvz12_17125 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17126 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14559))->
							BgL_wherez00);
						BgL_locz00_17127 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14559))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17125, BgL_wherez00_17126,
								BgL_locz00_17127);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17128;

								BgL_za2za2resza2za2z00_17128 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14560)) (BgL_bodyz00_14560,
									BgL_sz00_14561, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17125);
								return BgL_za2za2resza2za2z00_17128;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3875> */
	obj_t BGl_z62zc3z04anonymousza33875ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14562, obj_t BgL_sz00_14569)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14563;
				obj_t BgL_iboxesz00_14564;
				long BgL_siza7eza7_14565;
				BgL_ev_absz00_bglt BgL_i1255z00_14566;
				obj_t BgL_bodyz00_14567;
				long BgL_siza7ezd2framez75_14568;

				BgL_ifreesz00_14563 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14562, (int) (((long) 0))));
				BgL_iboxesz00_14564 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14562, (int) (((long) 1))));
				BgL_siza7eza7_14565 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14562, (int) (((long) 2))));
				BgL_i1255z00_14566 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14562, (int) (((long) 3))));
				BgL_bodyz00_14567 = PROCEDURE_REF(BgL_envz00_14562, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14568 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14562, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17129;

					BgL_bpz00_17129 = VECTOR_REF(((obj_t) BgL_sz00_14569), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17130;

						BgL_valza2za2_17130 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14569,
							BgL_bpz00_17129, BgL_ifreesz00_14563);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17131;

							BgL_runz00_17131 =
								MAKE_FX_PROCEDURE(BGl_z62run4518z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17131,
								(int) (((long) 0)), BgL_iboxesz00_14564);
							PROCEDURE_SET(BgL_runz00_17131,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14565));
							PROCEDURE_SET(BgL_runz00_17131,
								(int) (((long) 2)), BgL_valza2za2_17130);
							PROCEDURE_SET(BgL_runz00_17131,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14566));
							PROCEDURE_SET(BgL_runz00_17131,
								(int) (((long) 4)), BgL_bodyz00_14567);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17132;

								BgL_mainz00_17132 =
									MAKE_FX_PROCEDURE(BGl_z62main4517z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17132,
									(int) (((long) 0)), BgL_iboxesz00_14564);
								PROCEDURE_SET(BgL_mainz00_17132,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14565));
								PROCEDURE_SET(BgL_mainz00_17132,
									(int) (((long) 2)), BgL_valza2za2_17130);
								PROCEDURE_SET(BgL_mainz00_17132,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14566));
								PROCEDURE_SET(BgL_mainz00_17132,
									(int) (((long) 4)), BgL_bodyz00_14567);
								PROCEDURE_SET(BgL_mainz00_17132,
									(int) (((long) 5)), BgL_runz00_17131);
								PROCEDURE_SET(BgL_mainz00_17132,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14568));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17133;

									BgL_objz00_17133 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17131, BgL_objz00_17133);
									BgL_objz00_17133;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3876z00_17134;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3877z00_17135;

										BgL_arg3877z00_17135 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14566))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17136;

											BgL_newz00_17136 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28729;

												BgL_tmpz00_28729 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17136, BgL_tmpz00_28729,
													BgL_arg3877z00_17135);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28734;
												int BgL_tmpz00_28732;

												BgL_auxz00_28734 = BINT(BgL_siza7ezd2framez75_14568);
												BgL_tmpz00_28732 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17136, BgL_tmpz00_28732,
													BgL_auxz00_28734);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28737;

												BgL_tmpz00_28737 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17136, BgL_tmpz00_28737,
													BgL_runz00_17131);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28742;
												int BgL_tmpz00_28740;

												BgL_auxz00_28742 = BINT(((long) 4));
												BgL_tmpz00_28740 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17136, BgL_tmpz00_28740,
													BgL_auxz00_28742);
											}
											BgL_arg3876z00_17134 = BgL_newz00_17136;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17132, BgL_arg3876z00_17134);
									BgL_arg3876z00_17134;
								}
								return BgL_mainz00_17132;
							}
						}
					}
				}
			}
		}

	}



/* &main4517 */
	obj_t BGl_z62main4517z62zz__evaluate_compz00(obj_t BgL_envz00_14570,
		obj_t BgL_az00_14578, obj_t BgL_bz00_14579, obj_t BgL_cz00_14580,
		obj_t BgL_dz00_14581)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14576;
				long BgL_siza7ezd2framez75_14577;

				BgL_runz00_14576 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14570, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14577 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14570, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17137;

					BgL_sz00_17137 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17138;

						BgL_bpz00_17138 = VECTOR_REF(((obj_t) BgL_sz00_17137), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17138) + BgL_siza7ezd2framez75_14577) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17137))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3880z00_17139;

									BgL_arg3880z00_17139 =
										((long) CINT(BgL_bpz00_17138) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17137), BgL_arg3880z00_17139,
										BgL_az00_14578);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3881z00_17140;

									BgL_arg3881z00_17140 =
										((long) CINT(BgL_bpz00_17138) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17137), BgL_arg3881z00_17140,
										BgL_bz00_14579);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3882z00_17141;

									BgL_arg3882z00_17141 =
										((long) CINT(BgL_bpz00_17138) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17137), BgL_arg3882z00_17141,
										BgL_cz00_14580);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3883z00_17142;

									BgL_arg3883z00_17142 =
										((long) CINT(BgL_bpz00_17138) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17137), BgL_arg3883z00_17142,
										BgL_dz00_14581);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17143;

									BgL_ez00_17143 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17144;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17145;

											BgL_arg4348z00_17145 = BGL_EXITD_PROTECT(BgL_ez00_17143);
											BgL_arg4347z00_17144 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17138, BgL_arg4348z00_17145);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17143, BgL_arg4347z00_17144);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17146;

										BgL_accz00_17146 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14576, BgL_sz00_17137, BgL_bpz00_17138);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5514z00_28782;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17147;

												BgL_arg4346z00_17147 =
													BGL_EXITD_PROTECT(BgL_ez00_17143);
												BgL_test5514z00_28782 = PAIRP(BgL_arg4346z00_17147);
											}
											if (BgL_test5514z00_28782)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17148;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17149;

														BgL_arg4345z00_17149 =
															BGL_EXITD_PROTECT(BgL_ez00_17143);
														BgL_arg4344z00_17148 =
															CDR(((obj_t) BgL_arg4345z00_17149));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17143,
														BgL_arg4344z00_17148);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17137), ((long) 0), BgL_bpz00_17138);
										return BgL_accz00_17146;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17150;

								BgL_nsz00_17150 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17150, ((long) 1), BgL_sz00_17137);
								VECTOR_SET(BgL_nsz00_17150, ((long) 2), BgL_az00_14578);
								VECTOR_SET(BgL_nsz00_17150, ((long) 3), BgL_bz00_14579);
								VECTOR_SET(BgL_nsz00_17150, ((long) 4), BgL_cz00_14580);
								VECTOR_SET(BgL_nsz00_17150, ((long) 5), BgL_dz00_14581);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17151;

									BgL_z12denvz12_17151 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17151, BgL_nsz00_17150);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17152;

										BgL_ez00_17152 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17153;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17154;

												BgL_arg4348z00_17154 =
													BGL_EXITD_PROTECT(BgL_ez00_17152);
												BgL_arg4347z00_17153 =
													MAKE_YOUNG_PAIR(BgL_sz00_17137, BgL_arg4348z00_17154);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17152,
												BgL_arg4347z00_17153);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17155;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17156;

												BgL_savedzd2bpzd2_17156 =
													VECTOR_REF(BgL_nsz00_17150, ((long) 0));
												VECTOR_SET(BgL_nsz00_17150, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17158;

													BgL_fz00_17158 = BgL_runz00_14576;
												BgL_recz00_17157:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17159;

														BgL_rz00_17159 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17158)) (BgL_fz00_17158,
															BgL_nsz00_17150, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5515z00_28810;

															if (PROCEDUREP(BgL_rz00_17159))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17160;

																	BgL_arg1779z00_17160 =
																		PROCEDURE_ATTR(BgL_rz00_17159);
																	if (STRUCTP(BgL_arg1779z00_17160))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5515z00_28810 =
																				(STRUCT_KEY(BgL_arg1779z00_17160) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5515z00_28810 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5515z00_28810 = ((bool_t) 0);
																}
															if (BgL_test5515z00_28810)
																{
																	obj_t BgL_fz00_28818;

																	BgL_fz00_28818 = BgL_rz00_17159;
																	BgL_fz00_17158 = BgL_fz00_28818;
																	goto BgL_recz00_17157;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17150, ((long) 0),
																		BgL_savedzd2bpzd2_17156);
																	BgL_____rz00_17155 = BgL_rz00_17159;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5518z00_28820;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17161;

													BgL_arg4346z00_17161 =
														BGL_EXITD_PROTECT(BgL_ez00_17152);
													BgL_test5518z00_28820 = PAIRP(BgL_arg4346z00_17161);
												}
												if (BgL_test5518z00_28820)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17162;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17163;

															BgL_arg4345z00_17163 =
																BGL_EXITD_PROTECT(BgL_ez00_17152);
															BgL_arg4344z00_17162 =
																CDR(((obj_t) BgL_arg4345z00_17163));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17152,
															BgL_arg4344z00_17162);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17151, BgL_sz00_17137);
											return BgL_____rz00_17155;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4518 */
	obj_t BGl_z62run4518z62zz__evaluate_compz00(obj_t BgL_envz00_14582,
		obj_t BgL_sz00_14588)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14583;
				long BgL_siza7eza7_14584;
				obj_t BgL_valza2za2_14585;
				BgL_ev_absz00_bglt BgL_i1255z00_14586;
				obj_t BgL_bodyz00_14587;

				BgL_iboxesz00_14583 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14582, (int) (((long) 0))));
				BgL_siza7eza7_14584 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14582, (int) (((long) 1))));
				BgL_valza2za2_14585 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14582, (int) (((long) 2))));
				BgL_i1255z00_14586 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14582, (int) (((long) 3))));
				BgL_bodyz00_14587 = PROCEDURE_REF(BgL_envz00_14582, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17164;

					BgL_bpz00_17164 = VECTOR_REF(((obj_t) BgL_sz00_14588), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14588,
						BgL_iboxesz00_14583, BgL_bpz00_17164);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14588,
						BgL_valza2za2_14585,
						((long) CINT(BgL_bpz00_17164) + BgL_siza7eza7_14584));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17165;
						obj_t BgL_wherez00_17166;
						obj_t BgL_locz00_17167;

						BgL_z12denvz12_17165 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17166 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14586))->
							BgL_wherez00);
						BgL_locz00_17167 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14586))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17165, BgL_wherez00_17166,
								BgL_locz00_17167);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17168;

								BgL_za2za2resza2za2z00_17168 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14587)) (BgL_bodyz00_14587,
									BgL_sz00_14588, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17165);
								return BgL_za2za2resza2za2z00_17168;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3790> */
	obj_t BGl_z62zc3z04anonymousza33790ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14589, obj_t BgL_sz00_14593)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14590;
				obj_t BgL_bodyz00_14591;
				long BgL_siza7ezd2framez75_14592;

				BgL_i1255z00_14590 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14589, (int) (((long) 0))));
				BgL_bodyz00_14591 = PROCEDURE_REF(BgL_envz00_14589, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14592 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14589, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17169;

					BgL_bpz00_17169 = VECTOR_REF(((obj_t) BgL_sz00_14593), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17170;

							BgL_runz00_17170 =
								MAKE_FX_PROCEDURE(BGl_z62run4520z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17170,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14590));
							PROCEDURE_SET(BgL_runz00_17170,
								(int) (((long) 1)), BgL_bodyz00_14591);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17171;

								BgL_mainz00_17171 =
									MAKE_VA_PROCEDURE(BGl_z62main4519z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17171,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14590));
								PROCEDURE_SET(BgL_mainz00_17171,
									(int) (((long) 1)), BgL_bodyz00_14591);
								PROCEDURE_SET(BgL_mainz00_17171,
									(int) (((long) 2)), BgL_runz00_17170);
								PROCEDURE_SET(BgL_mainz00_17171,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14592));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17172;

									BgL_objz00_17172 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17170, BgL_objz00_17172);
									BgL_objz00_17172;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3791z00_17173;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3792z00_17174;

										BgL_arg3792z00_17174 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14590))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17175;

											BgL_newz00_17175 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28892;

												BgL_tmpz00_28892 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17175, BgL_tmpz00_28892,
													BgL_arg3792z00_17174);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28897;
												int BgL_tmpz00_28895;

												BgL_auxz00_28897 = BINT(BgL_siza7ezd2framez75_14592);
												BgL_tmpz00_28895 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17175, BgL_tmpz00_28895,
													BgL_auxz00_28897);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28900;

												BgL_tmpz00_28900 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17175, BgL_tmpz00_28900,
													BgL_runz00_17170);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28905;
												int BgL_tmpz00_28903;

												BgL_auxz00_28905 = BINT(((long) -4));
												BgL_tmpz00_28903 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17175, BgL_tmpz00_28903,
													BgL_auxz00_28905);
											}
											BgL_arg3791z00_17173 = BgL_newz00_17175;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17171, BgL_arg3791z00_17173);
									BgL_arg3791z00_17173;
								}
								return BgL_mainz00_17171;
							}
						}
					}
				}
			}
		}

	}



/* &main4519 */
	obj_t BGl_z62main4519z62zz__evaluate_compz00(obj_t BgL_envz00_14594,
		obj_t BgL_bz00_14599, obj_t BgL_cz00_14600, obj_t BgL_dz00_14601,
		obj_t BgL_lastz00_14602)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14597;
				long BgL_siza7ezd2framez75_14598;

				BgL_runz00_14597 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14594, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14598 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14594, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17176;

					BgL_sz00_17176 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17177;

						BgL_bpz00_17177 = VECTOR_REF(((obj_t) BgL_sz00_17176), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17177) + BgL_siza7ezd2framez75_14598) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17176))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3795z00_17178;

									BgL_arg3795z00_17178 =
										((long) CINT(BgL_bpz00_17177) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17176), BgL_arg3795z00_17178,
										BgL_bz00_14599);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3796z00_17179;

									BgL_arg3796z00_17179 =
										((long) CINT(BgL_bpz00_17177) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17176), BgL_arg3796z00_17179,
										BgL_cz00_14600);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3797z00_17180;

									BgL_arg3797z00_17180 =
										((long) CINT(BgL_bpz00_17177) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17176), BgL_arg3797z00_17180,
										BgL_dz00_14601);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3798z00_17181;

									BgL_arg3798z00_17181 =
										((long) CINT(BgL_bpz00_17177) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17176), BgL_arg3798z00_17181,
										BgL_lastz00_14602);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17182;

									BgL_ez00_17182 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17183;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17184;

											BgL_arg4348z00_17184 = BGL_EXITD_PROTECT(BgL_ez00_17182);
											BgL_arg4347z00_17183 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17177, BgL_arg4348z00_17184);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17182, BgL_arg4347z00_17183);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17185;

										BgL_accz00_17185 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14597, BgL_sz00_17176, BgL_bpz00_17177);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5520z00_28945;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17186;

												BgL_arg4346z00_17186 =
													BGL_EXITD_PROTECT(BgL_ez00_17182);
												BgL_test5520z00_28945 = PAIRP(BgL_arg4346z00_17186);
											}
											if (BgL_test5520z00_28945)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17187;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17188;

														BgL_arg4345z00_17188 =
															BGL_EXITD_PROTECT(BgL_ez00_17182);
														BgL_arg4344z00_17187 =
															CDR(((obj_t) BgL_arg4345z00_17188));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17182,
														BgL_arg4344z00_17187);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17176), ((long) 0), BgL_bpz00_17177);
										return BgL_accz00_17185;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17189;

								BgL_nsz00_17189 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17189, ((long) 1), BgL_sz00_17176);
								VECTOR_SET(BgL_nsz00_17189, ((long) 2), BgL_bz00_14599);
								VECTOR_SET(BgL_nsz00_17189, ((long) 3), BgL_cz00_14600);
								VECTOR_SET(BgL_nsz00_17189, ((long) 4), BgL_dz00_14601);
								VECTOR_SET(BgL_nsz00_17189, ((long) 5), BgL_lastz00_14602);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17190;

									BgL_z12denvz12_17190 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17190, BgL_nsz00_17189);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17191;

										BgL_ez00_17191 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17192;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17193;

												BgL_arg4348z00_17193 =
													BGL_EXITD_PROTECT(BgL_ez00_17191);
												BgL_arg4347z00_17192 =
													MAKE_YOUNG_PAIR(BgL_sz00_17176, BgL_arg4348z00_17193);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17191,
												BgL_arg4347z00_17192);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17194;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17195;

												BgL_savedzd2bpzd2_17195 =
													VECTOR_REF(BgL_nsz00_17189, ((long) 0));
												VECTOR_SET(BgL_nsz00_17189, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17197;

													BgL_fz00_17197 = BgL_runz00_14597;
												BgL_recz00_17196:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17198;

														BgL_rz00_17198 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17197)) (BgL_fz00_17197,
															BgL_nsz00_17189, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5521z00_28973;

															if (PROCEDUREP(BgL_rz00_17198))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17199;

																	BgL_arg1779z00_17199 =
																		PROCEDURE_ATTR(BgL_rz00_17198);
																	if (STRUCTP(BgL_arg1779z00_17199))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5521z00_28973 =
																				(STRUCT_KEY(BgL_arg1779z00_17199) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5521z00_28973 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5521z00_28973 = ((bool_t) 0);
																}
															if (BgL_test5521z00_28973)
																{
																	obj_t BgL_fz00_28981;

																	BgL_fz00_28981 = BgL_rz00_17198;
																	BgL_fz00_17197 = BgL_fz00_28981;
																	goto BgL_recz00_17196;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17189, ((long) 0),
																		BgL_savedzd2bpzd2_17195);
																	BgL_____rz00_17194 = BgL_rz00_17198;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5524z00_28983;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17200;

													BgL_arg4346z00_17200 =
														BGL_EXITD_PROTECT(BgL_ez00_17191);
													BgL_test5524z00_28983 = PAIRP(BgL_arg4346z00_17200);
												}
												if (BgL_test5524z00_28983)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17201;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17202;

															BgL_arg4345z00_17202 =
																BGL_EXITD_PROTECT(BgL_ez00_17191);
															BgL_arg4344z00_17201 =
																CDR(((obj_t) BgL_arg4345z00_17202));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17191,
															BgL_arg4344z00_17201);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17190, BgL_sz00_17176);
											return BgL_____rz00_17194;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4520 */
	obj_t BGl_z62run4520z62zz__evaluate_compz00(obj_t BgL_envz00_14603,
		obj_t BgL_sz00_14606)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14604;
				obj_t BgL_bodyz00_14605;

				BgL_i1255z00_14604 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14603, (int) (((long) 0))));
				BgL_bodyz00_14605 = PROCEDURE_REF(BgL_envz00_14603, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17203;

					BgL_bpz00_17203 = VECTOR_REF(((obj_t) BgL_sz00_14606), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17204;
						obj_t BgL_wherez00_17205;
						obj_t BgL_locz00_17206;

						BgL_z12denvz12_17204 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17205 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14604))->
							BgL_wherez00);
						BgL_locz00_17206 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14604))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17204, BgL_wherez00_17205,
								BgL_locz00_17206);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17207;

								BgL_za2za2resza2za2z00_17207 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14605)) (BgL_bodyz00_14605,
									BgL_sz00_14606, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17204);
								return BgL_za2za2resza2za2z00_17207;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3800> */
	obj_t BGl_z62zc3z04anonymousza33800ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14607, obj_t BgL_sz00_14612)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14608;
				BgL_ev_absz00_bglt BgL_i1255z00_14609;
				obj_t BgL_bodyz00_14610;
				long BgL_siza7ezd2framez75_14611;

				BgL_iboxesz00_14608 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14607, (int) (((long) 0))));
				BgL_i1255z00_14609 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14607, (int) (((long) 1))));
				BgL_bodyz00_14610 = PROCEDURE_REF(BgL_envz00_14607, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14611 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14607, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17208;

					BgL_bpz00_17208 = VECTOR_REF(((obj_t) BgL_sz00_14612), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17209;

							BgL_runz00_17209 =
								MAKE_FX_PROCEDURE(BGl_z62run4522z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17209,
								(int) (((long) 0)), BgL_iboxesz00_14608);
							PROCEDURE_SET(BgL_runz00_17209,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14609));
							PROCEDURE_SET(BgL_runz00_17209,
								(int) (((long) 2)), BgL_bodyz00_14610);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17210;

								BgL_mainz00_17210 =
									MAKE_VA_PROCEDURE(BGl_z62main4521z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 0)), BgL_iboxesz00_14608);
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14609));
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 2)), BgL_bodyz00_14610);
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 3)), BgL_runz00_17209);
								PROCEDURE_SET(BgL_mainz00_17210,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14611));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17211;

									BgL_objz00_17211 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17209, BgL_objz00_17211);
									BgL_objz00_17211;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3801z00_17212;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3802z00_17213;

										BgL_arg3802z00_17213 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14609))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17214;

											BgL_newz00_17214 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29049;

												BgL_tmpz00_29049 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17214, BgL_tmpz00_29049,
													BgL_arg3802z00_17213);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29054;
												int BgL_tmpz00_29052;

												BgL_auxz00_29054 = BINT(BgL_siza7ezd2framez75_14611);
												BgL_tmpz00_29052 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17214, BgL_tmpz00_29052,
													BgL_auxz00_29054);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29057;

												BgL_tmpz00_29057 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17214, BgL_tmpz00_29057,
													BgL_runz00_17209);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29062;
												int BgL_tmpz00_29060;

												BgL_auxz00_29062 = BINT(((long) -4));
												BgL_tmpz00_29060 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17214, BgL_tmpz00_29060,
													BgL_auxz00_29062);
											}
											BgL_arg3801z00_17212 = BgL_newz00_17214;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17210, BgL_arg3801z00_17212);
									BgL_arg3801z00_17212;
								}
								return BgL_mainz00_17210;
							}
						}
					}
				}
			}
		}

	}



/* &main4521 */
	obj_t BGl_z62main4521z62zz__evaluate_compz00(obj_t BgL_envz00_14613,
		obj_t BgL_bz00_14619, obj_t BgL_cz00_14620, obj_t BgL_dz00_14621,
		obj_t BgL_lastz00_14622)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14617;
				long BgL_siza7ezd2framez75_14618;

				BgL_runz00_14617 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14613, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14618 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14613, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17215;

					BgL_sz00_17215 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17216;

						BgL_bpz00_17216 = VECTOR_REF(((obj_t) BgL_sz00_17215), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17216) + BgL_siza7ezd2framez75_14618) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17215))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3805z00_17217;

									BgL_arg3805z00_17217 =
										((long) CINT(BgL_bpz00_17216) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17215), BgL_arg3805z00_17217,
										BgL_bz00_14619);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3806z00_17218;

									BgL_arg3806z00_17218 =
										((long) CINT(BgL_bpz00_17216) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17215), BgL_arg3806z00_17218,
										BgL_cz00_14620);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3807z00_17219;

									BgL_arg3807z00_17219 =
										((long) CINT(BgL_bpz00_17216) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17215), BgL_arg3807z00_17219,
										BgL_dz00_14621);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3808z00_17220;

									BgL_arg3808z00_17220 =
										((long) CINT(BgL_bpz00_17216) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17215), BgL_arg3808z00_17220,
										BgL_lastz00_14622);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17221;

									BgL_ez00_17221 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17222;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17223;

											BgL_arg4348z00_17223 = BGL_EXITD_PROTECT(BgL_ez00_17221);
											BgL_arg4347z00_17222 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17216, BgL_arg4348z00_17223);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17221, BgL_arg4347z00_17222);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17224;

										BgL_accz00_17224 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14617, BgL_sz00_17215, BgL_bpz00_17216);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5526z00_29102;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17225;

												BgL_arg4346z00_17225 =
													BGL_EXITD_PROTECT(BgL_ez00_17221);
												BgL_test5526z00_29102 = PAIRP(BgL_arg4346z00_17225);
											}
											if (BgL_test5526z00_29102)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17226;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17227;

														BgL_arg4345z00_17227 =
															BGL_EXITD_PROTECT(BgL_ez00_17221);
														BgL_arg4344z00_17226 =
															CDR(((obj_t) BgL_arg4345z00_17227));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17221,
														BgL_arg4344z00_17226);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17215), ((long) 0), BgL_bpz00_17216);
										return BgL_accz00_17224;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17228;

								BgL_nsz00_17228 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17228, ((long) 1), BgL_sz00_17215);
								VECTOR_SET(BgL_nsz00_17228, ((long) 2), BgL_bz00_14619);
								VECTOR_SET(BgL_nsz00_17228, ((long) 3), BgL_cz00_14620);
								VECTOR_SET(BgL_nsz00_17228, ((long) 4), BgL_dz00_14621);
								VECTOR_SET(BgL_nsz00_17228, ((long) 5), BgL_lastz00_14622);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17229;

									BgL_z12denvz12_17229 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17229, BgL_nsz00_17228);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17230;

										BgL_ez00_17230 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17231;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17232;

												BgL_arg4348z00_17232 =
													BGL_EXITD_PROTECT(BgL_ez00_17230);
												BgL_arg4347z00_17231 =
													MAKE_YOUNG_PAIR(BgL_sz00_17215, BgL_arg4348z00_17232);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17230,
												BgL_arg4347z00_17231);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17233;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17234;

												BgL_savedzd2bpzd2_17234 =
													VECTOR_REF(BgL_nsz00_17228, ((long) 0));
												VECTOR_SET(BgL_nsz00_17228, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17236;

													BgL_fz00_17236 = BgL_runz00_14617;
												BgL_recz00_17235:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17237;

														BgL_rz00_17237 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17236)) (BgL_fz00_17236,
															BgL_nsz00_17228, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5527z00_29130;

															if (PROCEDUREP(BgL_rz00_17237))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17238;

																	BgL_arg1779z00_17238 =
																		PROCEDURE_ATTR(BgL_rz00_17237);
																	if (STRUCTP(BgL_arg1779z00_17238))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5527z00_29130 =
																				(STRUCT_KEY(BgL_arg1779z00_17238) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5527z00_29130 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5527z00_29130 = ((bool_t) 0);
																}
															if (BgL_test5527z00_29130)
																{
																	obj_t BgL_fz00_29138;

																	BgL_fz00_29138 = BgL_rz00_17237;
																	BgL_fz00_17236 = BgL_fz00_29138;
																	goto BgL_recz00_17235;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17228, ((long) 0),
																		BgL_savedzd2bpzd2_17234);
																	BgL_____rz00_17233 = BgL_rz00_17237;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5530z00_29140;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17239;

													BgL_arg4346z00_17239 =
														BGL_EXITD_PROTECT(BgL_ez00_17230);
													BgL_test5530z00_29140 = PAIRP(BgL_arg4346z00_17239);
												}
												if (BgL_test5530z00_29140)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17240;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17241;

															BgL_arg4345z00_17241 =
																BGL_EXITD_PROTECT(BgL_ez00_17230);
															BgL_arg4344z00_17240 =
																CDR(((obj_t) BgL_arg4345z00_17241));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17230,
															BgL_arg4344z00_17240);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17229, BgL_sz00_17215);
											return BgL_____rz00_17233;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4522 */
	obj_t BGl_z62run4522z62zz__evaluate_compz00(obj_t BgL_envz00_14623,
		obj_t BgL_sz00_14627)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14624;
				BgL_ev_absz00_bglt BgL_i1255z00_14625;
				obj_t BgL_bodyz00_14626;

				BgL_iboxesz00_14624 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14623, (int) (((long) 0))));
				BgL_i1255z00_14625 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14623, (int) (((long) 1))));
				BgL_bodyz00_14626 = PROCEDURE_REF(BgL_envz00_14623, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17242;

					BgL_bpz00_17242 = VECTOR_REF(((obj_t) BgL_sz00_14627), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14627,
						BgL_iboxesz00_14624, BgL_bpz00_17242);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17243;
						obj_t BgL_wherez00_17244;
						obj_t BgL_locz00_17245;

						BgL_z12denvz12_17243 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17244 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14625))->
							BgL_wherez00);
						BgL_locz00_17245 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14625))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17243, BgL_wherez00_17244,
								BgL_locz00_17245);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17246;

								BgL_za2za2resza2za2z00_17246 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14626)) (BgL_bodyz00_14626,
									BgL_sz00_14627, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17243);
								return BgL_za2za2resza2za2z00_17246;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3813> */
	obj_t BGl_z62zc3z04anonymousza33813ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14628, obj_t BgL_sz00_14634)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14629;
				long BgL_siza7eza7_14630;
				BgL_ev_absz00_bglt BgL_i1255z00_14631;
				obj_t BgL_bodyz00_14632;
				long BgL_siza7ezd2framez75_14633;

				BgL_ifreesz00_14629 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14628, (int) (((long) 0))));
				BgL_siza7eza7_14630 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14628, (int) (((long) 1))));
				BgL_i1255z00_14631 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14628, (int) (((long) 2))));
				BgL_bodyz00_14632 = PROCEDURE_REF(BgL_envz00_14628, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14633 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14628, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17247;

					BgL_bpz00_17247 = VECTOR_REF(((obj_t) BgL_sz00_14634), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17248;

						BgL_valza2za2_17248 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14634,
							BgL_bpz00_17247, BgL_ifreesz00_14629);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17249;

							BgL_runz00_17249 =
								MAKE_FX_PROCEDURE(BGl_z62run4524z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17249,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14630));
							PROCEDURE_SET(BgL_runz00_17249,
								(int) (((long) 1)), BgL_valza2za2_17248);
							PROCEDURE_SET(BgL_runz00_17249,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14631));
							PROCEDURE_SET(BgL_runz00_17249,
								(int) (((long) 3)), BgL_bodyz00_14632);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17250;

								BgL_mainz00_17250 =
									MAKE_VA_PROCEDURE(BGl_z62main4523z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17250,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14630));
								PROCEDURE_SET(BgL_mainz00_17250,
									(int) (((long) 1)), BgL_valza2za2_17248);
								PROCEDURE_SET(BgL_mainz00_17250,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14631));
								PROCEDURE_SET(BgL_mainz00_17250,
									(int) (((long) 3)), BgL_bodyz00_14632);
								PROCEDURE_SET(BgL_mainz00_17250,
									(int) (((long) 4)), BgL_runz00_17249);
								PROCEDURE_SET(BgL_mainz00_17250,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14633));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17251;

									BgL_objz00_17251 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17249, BgL_objz00_17251);
									BgL_objz00_17251;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3814z00_17252;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3815z00_17253;

										BgL_arg3815z00_17253 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14631))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17254;

											BgL_newz00_17254 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29220;

												BgL_tmpz00_29220 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17254, BgL_tmpz00_29220,
													BgL_arg3815z00_17253);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29225;
												int BgL_tmpz00_29223;

												BgL_auxz00_29225 = BINT(BgL_siza7ezd2framez75_14633);
												BgL_tmpz00_29223 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17254, BgL_tmpz00_29223,
													BgL_auxz00_29225);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29228;

												BgL_tmpz00_29228 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17254, BgL_tmpz00_29228,
													BgL_runz00_17249);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29233;
												int BgL_tmpz00_29231;

												BgL_auxz00_29233 = BINT(((long) -4));
												BgL_tmpz00_29231 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17254, BgL_tmpz00_29231,
													BgL_auxz00_29233);
											}
											BgL_arg3814z00_17252 = BgL_newz00_17254;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17250, BgL_arg3814z00_17252);
									BgL_arg3814z00_17252;
								}
								return BgL_mainz00_17250;
							}
						}
					}
				}
			}
		}

	}



/* &main4523 */
	obj_t BGl_z62main4523z62zz__evaluate_compz00(obj_t BgL_envz00_14635,
		obj_t BgL_bz00_14642, obj_t BgL_cz00_14643, obj_t BgL_dz00_14644,
		obj_t BgL_lastz00_14645)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14640;
				long BgL_siza7ezd2framez75_14641;

				BgL_runz00_14640 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14635, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14641 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14635, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17255;

					BgL_sz00_17255 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17256;

						BgL_bpz00_17256 = VECTOR_REF(((obj_t) BgL_sz00_17255), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17256) + BgL_siza7ezd2framez75_14641) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17255))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3818z00_17257;

									BgL_arg3818z00_17257 =
										((long) CINT(BgL_bpz00_17256) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17255), BgL_arg3818z00_17257,
										BgL_bz00_14642);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3819z00_17258;

									BgL_arg3819z00_17258 =
										((long) CINT(BgL_bpz00_17256) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17255), BgL_arg3819z00_17258,
										BgL_cz00_14643);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3820z00_17259;

									BgL_arg3820z00_17259 =
										((long) CINT(BgL_bpz00_17256) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17255), BgL_arg3820z00_17259,
										BgL_dz00_14644);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3821z00_17260;

									BgL_arg3821z00_17260 =
										((long) CINT(BgL_bpz00_17256) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17255), BgL_arg3821z00_17260,
										BgL_lastz00_14645);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17261;

									BgL_ez00_17261 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17262;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17263;

											BgL_arg4348z00_17263 = BGL_EXITD_PROTECT(BgL_ez00_17261);
											BgL_arg4347z00_17262 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17256, BgL_arg4348z00_17263);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17261, BgL_arg4347z00_17262);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17264;

										BgL_accz00_17264 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14640, BgL_sz00_17255, BgL_bpz00_17256);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5532z00_29273;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17265;

												BgL_arg4346z00_17265 =
													BGL_EXITD_PROTECT(BgL_ez00_17261);
												BgL_test5532z00_29273 = PAIRP(BgL_arg4346z00_17265);
											}
											if (BgL_test5532z00_29273)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17266;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17267;

														BgL_arg4345z00_17267 =
															BGL_EXITD_PROTECT(BgL_ez00_17261);
														BgL_arg4344z00_17266 =
															CDR(((obj_t) BgL_arg4345z00_17267));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17261,
														BgL_arg4344z00_17266);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17255), ((long) 0), BgL_bpz00_17256);
										return BgL_accz00_17264;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17268;

								BgL_nsz00_17268 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17268, ((long) 1), BgL_sz00_17255);
								VECTOR_SET(BgL_nsz00_17268, ((long) 2), BgL_bz00_14642);
								VECTOR_SET(BgL_nsz00_17268, ((long) 3), BgL_cz00_14643);
								VECTOR_SET(BgL_nsz00_17268, ((long) 4), BgL_dz00_14644);
								VECTOR_SET(BgL_nsz00_17268, ((long) 5), BgL_lastz00_14645);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17269;

									BgL_z12denvz12_17269 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17269, BgL_nsz00_17268);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17270;

										BgL_ez00_17270 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17271;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17272;

												BgL_arg4348z00_17272 =
													BGL_EXITD_PROTECT(BgL_ez00_17270);
												BgL_arg4347z00_17271 =
													MAKE_YOUNG_PAIR(BgL_sz00_17255, BgL_arg4348z00_17272);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17270,
												BgL_arg4347z00_17271);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17273;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17274;

												BgL_savedzd2bpzd2_17274 =
													VECTOR_REF(BgL_nsz00_17268, ((long) 0));
												VECTOR_SET(BgL_nsz00_17268, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17276;

													BgL_fz00_17276 = BgL_runz00_14640;
												BgL_recz00_17275:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17277;

														BgL_rz00_17277 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17276)) (BgL_fz00_17276,
															BgL_nsz00_17268, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5533z00_29301;

															if (PROCEDUREP(BgL_rz00_17277))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17278;

																	BgL_arg1779z00_17278 =
																		PROCEDURE_ATTR(BgL_rz00_17277);
																	if (STRUCTP(BgL_arg1779z00_17278))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5533z00_29301 =
																				(STRUCT_KEY(BgL_arg1779z00_17278) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5533z00_29301 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5533z00_29301 = ((bool_t) 0);
																}
															if (BgL_test5533z00_29301)
																{
																	obj_t BgL_fz00_29309;

																	BgL_fz00_29309 = BgL_rz00_17277;
																	BgL_fz00_17276 = BgL_fz00_29309;
																	goto BgL_recz00_17275;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17268, ((long) 0),
																		BgL_savedzd2bpzd2_17274);
																	BgL_____rz00_17273 = BgL_rz00_17277;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5536z00_29311;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17279;

													BgL_arg4346z00_17279 =
														BGL_EXITD_PROTECT(BgL_ez00_17270);
													BgL_test5536z00_29311 = PAIRP(BgL_arg4346z00_17279);
												}
												if (BgL_test5536z00_29311)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17280;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17281;

															BgL_arg4345z00_17281 =
																BGL_EXITD_PROTECT(BgL_ez00_17270);
															BgL_arg4344z00_17280 =
																CDR(((obj_t) BgL_arg4345z00_17281));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17270,
															BgL_arg4344z00_17280);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17269, BgL_sz00_17255);
											return BgL_____rz00_17273;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4524 */
	obj_t BGl_z62run4524z62zz__evaluate_compz00(obj_t BgL_envz00_14646,
		obj_t BgL_sz00_14651)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14647;
				obj_t BgL_valza2za2_14648;
				BgL_ev_absz00_bglt BgL_i1255z00_14649;
				obj_t BgL_bodyz00_14650;

				BgL_siza7eza7_14647 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14646, (int) (((long) 0))));
				BgL_valza2za2_14648 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14646, (int) (((long) 1))));
				BgL_i1255z00_14649 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14646, (int) (((long) 2))));
				BgL_bodyz00_14650 = PROCEDURE_REF(BgL_envz00_14646, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17282;

					BgL_bpz00_17282 = VECTOR_REF(((obj_t) BgL_sz00_14651), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14651,
						BgL_valza2za2_14648,
						((long) CINT(BgL_bpz00_17282) + BgL_siza7eza7_14647));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17283;
						obj_t BgL_wherez00_17284;
						obj_t BgL_locz00_17285;

						BgL_z12denvz12_17283 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17284 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14649))->
							BgL_wherez00);
						BgL_locz00_17285 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14649))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17283, BgL_wherez00_17284,
								BgL_locz00_17285);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17286;

								BgL_za2za2resza2za2z00_17286 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14650)) (BgL_bodyz00_14650,
									BgL_sz00_14651, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17283);
								return BgL_za2za2resza2za2z00_17286;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3824> */
	obj_t BGl_z62zc3z04anonymousza33824ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14652, obj_t BgL_sz00_14659)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14653;
				obj_t BgL_iboxesz00_14654;
				long BgL_siza7eza7_14655;
				BgL_ev_absz00_bglt BgL_i1255z00_14656;
				obj_t BgL_bodyz00_14657;
				long BgL_siza7ezd2framez75_14658;

				BgL_ifreesz00_14653 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14652, (int) (((long) 0))));
				BgL_iboxesz00_14654 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14652, (int) (((long) 1))));
				BgL_siza7eza7_14655 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14652, (int) (((long) 2))));
				BgL_i1255z00_14656 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14652, (int) (((long) 3))));
				BgL_bodyz00_14657 = PROCEDURE_REF(BgL_envz00_14652, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14658 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14652, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17287;

					BgL_bpz00_17287 = VECTOR_REF(((obj_t) BgL_sz00_14659), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17288;

						BgL_valza2za2_17288 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14659,
							BgL_bpz00_17287, BgL_ifreesz00_14653);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17289;

							BgL_runz00_17289 =
								MAKE_FX_PROCEDURE(BGl_z62run4526z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17289,
								(int) (((long) 0)), BgL_iboxesz00_14654);
							PROCEDURE_SET(BgL_runz00_17289,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14655));
							PROCEDURE_SET(BgL_runz00_17289,
								(int) (((long) 2)), BgL_valza2za2_17288);
							PROCEDURE_SET(BgL_runz00_17289,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14656));
							PROCEDURE_SET(BgL_runz00_17289,
								(int) (((long) 4)), BgL_bodyz00_14657);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17290;

								BgL_mainz00_17290 =
									MAKE_VA_PROCEDURE(BGl_z62main4525z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17290,
									(int) (((long) 0)), BgL_iboxesz00_14654);
								PROCEDURE_SET(BgL_mainz00_17290,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14655));
								PROCEDURE_SET(BgL_mainz00_17290,
									(int) (((long) 2)), BgL_valza2za2_17288);
								PROCEDURE_SET(BgL_mainz00_17290,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14656));
								PROCEDURE_SET(BgL_mainz00_17290,
									(int) (((long) 4)), BgL_bodyz00_14657);
								PROCEDURE_SET(BgL_mainz00_17290,
									(int) (((long) 5)), BgL_runz00_17289);
								PROCEDURE_SET(BgL_mainz00_17290,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14658));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17291;

									BgL_objz00_17291 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17289, BgL_objz00_17291);
									BgL_objz00_17291;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3825z00_17292;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3826z00_17293;

										BgL_arg3826z00_17293 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14656))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17294;

											BgL_newz00_17294 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29403;

												BgL_tmpz00_29403 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17294, BgL_tmpz00_29403,
													BgL_arg3826z00_17293);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29408;
												int BgL_tmpz00_29406;

												BgL_auxz00_29408 = BINT(BgL_siza7ezd2framez75_14658);
												BgL_tmpz00_29406 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17294, BgL_tmpz00_29406,
													BgL_auxz00_29408);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29411;

												BgL_tmpz00_29411 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17294, BgL_tmpz00_29411,
													BgL_runz00_17289);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29416;
												int BgL_tmpz00_29414;

												BgL_auxz00_29416 = BINT(((long) -4));
												BgL_tmpz00_29414 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17294, BgL_tmpz00_29414,
													BgL_auxz00_29416);
											}
											BgL_arg3825z00_17292 = BgL_newz00_17294;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17290, BgL_arg3825z00_17292);
									BgL_arg3825z00_17292;
								}
								return BgL_mainz00_17290;
							}
						}
					}
				}
			}
		}

	}



/* &main4525 */
	obj_t BGl_z62main4525z62zz__evaluate_compz00(obj_t BgL_envz00_14660,
		obj_t BgL_bz00_14668, obj_t BgL_cz00_14669, obj_t BgL_dz00_14670,
		obj_t BgL_lastz00_14671)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14666;
				long BgL_siza7ezd2framez75_14667;

				BgL_runz00_14666 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14660, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14667 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14660, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17295;

					BgL_sz00_17295 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17296;

						BgL_bpz00_17296 = VECTOR_REF(((obj_t) BgL_sz00_17295), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17296) + BgL_siza7ezd2framez75_14667) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17295))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3829z00_17297;

									BgL_arg3829z00_17297 =
										((long) CINT(BgL_bpz00_17296) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17295), BgL_arg3829z00_17297,
										BgL_bz00_14668);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3830z00_17298;

									BgL_arg3830z00_17298 =
										((long) CINT(BgL_bpz00_17296) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17295), BgL_arg3830z00_17298,
										BgL_cz00_14669);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3831z00_17299;

									BgL_arg3831z00_17299 =
										((long) CINT(BgL_bpz00_17296) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17295), BgL_arg3831z00_17299,
										BgL_dz00_14670);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3832z00_17300;

									BgL_arg3832z00_17300 =
										((long) CINT(BgL_bpz00_17296) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17295), BgL_arg3832z00_17300,
										BgL_lastz00_14671);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17301;

									BgL_ez00_17301 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17302;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17303;

											BgL_arg4348z00_17303 = BGL_EXITD_PROTECT(BgL_ez00_17301);
											BgL_arg4347z00_17302 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17296, BgL_arg4348z00_17303);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17301, BgL_arg4347z00_17302);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17304;

										BgL_accz00_17304 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14666, BgL_sz00_17295, BgL_bpz00_17296);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5538z00_29456;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17305;

												BgL_arg4346z00_17305 =
													BGL_EXITD_PROTECT(BgL_ez00_17301);
												BgL_test5538z00_29456 = PAIRP(BgL_arg4346z00_17305);
											}
											if (BgL_test5538z00_29456)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17306;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17307;

														BgL_arg4345z00_17307 =
															BGL_EXITD_PROTECT(BgL_ez00_17301);
														BgL_arg4344z00_17306 =
															CDR(((obj_t) BgL_arg4345z00_17307));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17301,
														BgL_arg4344z00_17306);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17295), ((long) 0), BgL_bpz00_17296);
										return BgL_accz00_17304;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17308;

								BgL_nsz00_17308 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17308, ((long) 1), BgL_sz00_17295);
								VECTOR_SET(BgL_nsz00_17308, ((long) 2), BgL_bz00_14668);
								VECTOR_SET(BgL_nsz00_17308, ((long) 3), BgL_cz00_14669);
								VECTOR_SET(BgL_nsz00_17308, ((long) 4), BgL_dz00_14670);
								VECTOR_SET(BgL_nsz00_17308, ((long) 5), BgL_lastz00_14671);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17309;

									BgL_z12denvz12_17309 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17309, BgL_nsz00_17308);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17310;

										BgL_ez00_17310 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17311;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17312;

												BgL_arg4348z00_17312 =
													BGL_EXITD_PROTECT(BgL_ez00_17310);
												BgL_arg4347z00_17311 =
													MAKE_YOUNG_PAIR(BgL_sz00_17295, BgL_arg4348z00_17312);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17310,
												BgL_arg4347z00_17311);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17313;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17314;

												BgL_savedzd2bpzd2_17314 =
													VECTOR_REF(BgL_nsz00_17308, ((long) 0));
												VECTOR_SET(BgL_nsz00_17308, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17316;

													BgL_fz00_17316 = BgL_runz00_14666;
												BgL_recz00_17315:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17317;

														BgL_rz00_17317 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17316)) (BgL_fz00_17316,
															BgL_nsz00_17308, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5539z00_29484;

															if (PROCEDUREP(BgL_rz00_17317))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17318;

																	BgL_arg1779z00_17318 =
																		PROCEDURE_ATTR(BgL_rz00_17317);
																	if (STRUCTP(BgL_arg1779z00_17318))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5539z00_29484 =
																				(STRUCT_KEY(BgL_arg1779z00_17318) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5539z00_29484 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5539z00_29484 = ((bool_t) 0);
																}
															if (BgL_test5539z00_29484)
																{
																	obj_t BgL_fz00_29492;

																	BgL_fz00_29492 = BgL_rz00_17317;
																	BgL_fz00_17316 = BgL_fz00_29492;
																	goto BgL_recz00_17315;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17308, ((long) 0),
																		BgL_savedzd2bpzd2_17314);
																	BgL_____rz00_17313 = BgL_rz00_17317;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5542z00_29494;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17319;

													BgL_arg4346z00_17319 =
														BGL_EXITD_PROTECT(BgL_ez00_17310);
													BgL_test5542z00_29494 = PAIRP(BgL_arg4346z00_17319);
												}
												if (BgL_test5542z00_29494)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17320;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17321;

															BgL_arg4345z00_17321 =
																BGL_EXITD_PROTECT(BgL_ez00_17310);
															BgL_arg4344z00_17320 =
																CDR(((obj_t) BgL_arg4345z00_17321));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17310,
															BgL_arg4344z00_17320);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17309, BgL_sz00_17295);
											return BgL_____rz00_17313;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4526 */
	obj_t BGl_z62run4526z62zz__evaluate_compz00(obj_t BgL_envz00_14672,
		obj_t BgL_sz00_14678)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14673;
				long BgL_siza7eza7_14674;
				obj_t BgL_valza2za2_14675;
				BgL_ev_absz00_bglt BgL_i1255z00_14676;
				obj_t BgL_bodyz00_14677;

				BgL_iboxesz00_14673 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14672, (int) (((long) 0))));
				BgL_siza7eza7_14674 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14672, (int) (((long) 1))));
				BgL_valza2za2_14675 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14672, (int) (((long) 2))));
				BgL_i1255z00_14676 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14672, (int) (((long) 3))));
				BgL_bodyz00_14677 = PROCEDURE_REF(BgL_envz00_14672, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17322;

					BgL_bpz00_17322 = VECTOR_REF(((obj_t) BgL_sz00_14678), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14678,
						BgL_iboxesz00_14673, BgL_bpz00_17322);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14678,
						BgL_valza2za2_14675,
						((long) CINT(BgL_bpz00_17322) + BgL_siza7eza7_14674));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17323;
						obj_t BgL_wherez00_17324;
						obj_t BgL_locz00_17325;

						BgL_z12denvz12_17323 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17324 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14676))->
							BgL_wherez00);
						BgL_locz00_17325 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14676))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17323, BgL_wherez00_17324,
								BgL_locz00_17325);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17326;

								BgL_za2za2resza2za2z00_17326 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14677)) (BgL_bodyz00_14677,
									BgL_sz00_14678, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17323);
								return BgL_za2za2resza2za2z00_17326;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3742> */
	obj_t BGl_z62zc3z04anonymousza33742ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14679, obj_t BgL_sz00_14683)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14680;
				obj_t BgL_bodyz00_14681;
				long BgL_siza7ezd2framez75_14682;

				BgL_i1255z00_14680 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 0))));
				BgL_bodyz00_14681 = PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14682 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14679, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17327;

					BgL_bpz00_17327 = VECTOR_REF(((obj_t) BgL_sz00_14683), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17328;

							BgL_runz00_17328 =
								MAKE_FX_PROCEDURE(BGl_z62run4528z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17328,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14680));
							PROCEDURE_SET(BgL_runz00_17328,
								(int) (((long) 1)), BgL_bodyz00_14681);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17329;

								BgL_mainz00_17329 =
									MAKE_FX_PROCEDURE(BGl_z62main4527z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17329,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14680));
								PROCEDURE_SET(BgL_mainz00_17329,
									(int) (((long) 1)), BgL_bodyz00_14681);
								PROCEDURE_SET(BgL_mainz00_17329,
									(int) (((long) 2)), BgL_runz00_17328);
								PROCEDURE_SET(BgL_mainz00_17329,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14682));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17330;

									BgL_objz00_17330 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17328, BgL_objz00_17330);
									BgL_objz00_17330;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3743z00_17331;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3744z00_17332;

										BgL_arg3744z00_17332 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14680))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17333;

											BgL_newz00_17333 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29566;

												BgL_tmpz00_29566 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17333, BgL_tmpz00_29566,
													BgL_arg3744z00_17332);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29571;
												int BgL_tmpz00_29569;

												BgL_auxz00_29571 = BINT(BgL_siza7ezd2framez75_14682);
												BgL_tmpz00_29569 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17333, BgL_tmpz00_29569,
													BgL_auxz00_29571);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29574;

												BgL_tmpz00_29574 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17333, BgL_tmpz00_29574,
													BgL_runz00_17328);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29579;
												int BgL_tmpz00_29577;

												BgL_auxz00_29579 = BINT(((long) 3));
												BgL_tmpz00_29577 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17333, BgL_tmpz00_29577,
													BgL_auxz00_29579);
											}
											BgL_arg3743z00_17331 = BgL_newz00_17333;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17329, BgL_arg3743z00_17331);
									BgL_arg3743z00_17331;
								}
								return BgL_mainz00_17329;
							}
						}
					}
				}
			}
		}

	}



/* &main4527 */
	obj_t BGl_z62main4527z62zz__evaluate_compz00(obj_t BgL_envz00_14684,
		obj_t BgL_bz00_14689, obj_t BgL_cz00_14690, obj_t BgL_dz00_14691)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14687;
				long BgL_siza7ezd2framez75_14688;

				BgL_runz00_14687 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14684, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14688 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14684, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17334;

					BgL_sz00_17334 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17335;

						BgL_bpz00_17335 = VECTOR_REF(((obj_t) BgL_sz00_17334), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17335) + BgL_siza7ezd2framez75_14688) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17334))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3747z00_17336;

									BgL_arg3747z00_17336 =
										((long) CINT(BgL_bpz00_17335) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17334), BgL_arg3747z00_17336,
										BgL_bz00_14689);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3748z00_17337;

									BgL_arg3748z00_17337 =
										((long) CINT(BgL_bpz00_17335) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17334), BgL_arg3748z00_17337,
										BgL_cz00_14690);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3749z00_17338;

									BgL_arg3749z00_17338 =
										((long) CINT(BgL_bpz00_17335) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17334), BgL_arg3749z00_17338,
										BgL_dz00_14691);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17339;

									BgL_ez00_17339 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17340;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17341;

											BgL_arg4348z00_17341 = BGL_EXITD_PROTECT(BgL_ez00_17339);
											BgL_arg4347z00_17340 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17335, BgL_arg4348z00_17341);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17339, BgL_arg4347z00_17340);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17342;

										BgL_accz00_17342 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14687, BgL_sz00_17334, BgL_bpz00_17335);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5544z00_29615;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17343;

												BgL_arg4346z00_17343 =
													BGL_EXITD_PROTECT(BgL_ez00_17339);
												BgL_test5544z00_29615 = PAIRP(BgL_arg4346z00_17343);
											}
											if (BgL_test5544z00_29615)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17344;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17345;

														BgL_arg4345z00_17345 =
															BGL_EXITD_PROTECT(BgL_ez00_17339);
														BgL_arg4344z00_17344 =
															CDR(((obj_t) BgL_arg4345z00_17345));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17339,
														BgL_arg4344z00_17344);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17334), ((long) 0), BgL_bpz00_17335);
										return BgL_accz00_17342;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17346;

								BgL_nsz00_17346 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17346, ((long) 1), BgL_sz00_17334);
								VECTOR_SET(BgL_nsz00_17346, ((long) 2), BgL_bz00_14689);
								VECTOR_SET(BgL_nsz00_17346, ((long) 3), BgL_cz00_14690);
								VECTOR_SET(BgL_nsz00_17346, ((long) 4), BgL_dz00_14691);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17347;

									BgL_z12denvz12_17347 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17347, BgL_nsz00_17346);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17348;

										BgL_ez00_17348 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17349;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17350;

												BgL_arg4348z00_17350 =
													BGL_EXITD_PROTECT(BgL_ez00_17348);
												BgL_arg4347z00_17349 =
													MAKE_YOUNG_PAIR(BgL_sz00_17334, BgL_arg4348z00_17350);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17348,
												BgL_arg4347z00_17349);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17351;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17352;

												BgL_savedzd2bpzd2_17352 =
													VECTOR_REF(BgL_nsz00_17346, ((long) 0));
												VECTOR_SET(BgL_nsz00_17346, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17354;

													BgL_fz00_17354 = BgL_runz00_14687;
												BgL_recz00_17353:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17355;

														BgL_rz00_17355 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17354)) (BgL_fz00_17354,
															BgL_nsz00_17346, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5545z00_29642;

															if (PROCEDUREP(BgL_rz00_17355))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17356;

																	BgL_arg1779z00_17356 =
																		PROCEDURE_ATTR(BgL_rz00_17355);
																	if (STRUCTP(BgL_arg1779z00_17356))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5545z00_29642 =
																				(STRUCT_KEY(BgL_arg1779z00_17356) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5545z00_29642 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5545z00_29642 = ((bool_t) 0);
																}
															if (BgL_test5545z00_29642)
																{
																	obj_t BgL_fz00_29650;

																	BgL_fz00_29650 = BgL_rz00_17355;
																	BgL_fz00_17354 = BgL_fz00_29650;
																	goto BgL_recz00_17353;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17346, ((long) 0),
																		BgL_savedzd2bpzd2_17352);
																	BgL_____rz00_17351 = BgL_rz00_17355;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5548z00_29652;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17357;

													BgL_arg4346z00_17357 =
														BGL_EXITD_PROTECT(BgL_ez00_17348);
													BgL_test5548z00_29652 = PAIRP(BgL_arg4346z00_17357);
												}
												if (BgL_test5548z00_29652)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17358;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17359;

															BgL_arg4345z00_17359 =
																BGL_EXITD_PROTECT(BgL_ez00_17348);
															BgL_arg4344z00_17358 =
																CDR(((obj_t) BgL_arg4345z00_17359));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17348,
															BgL_arg4344z00_17358);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17347, BgL_sz00_17334);
											return BgL_____rz00_17351;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4528 */
	obj_t BGl_z62run4528z62zz__evaluate_compz00(obj_t BgL_envz00_14692,
		obj_t BgL_sz00_14695)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14693;
				obj_t BgL_bodyz00_14694;

				BgL_i1255z00_14693 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14692, (int) (((long) 0))));
				BgL_bodyz00_14694 = PROCEDURE_REF(BgL_envz00_14692, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17360;

					BgL_bpz00_17360 = VECTOR_REF(((obj_t) BgL_sz00_14695), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17361;
						obj_t BgL_wherez00_17362;
						obj_t BgL_locz00_17363;

						BgL_z12denvz12_17361 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17362 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14693))->
							BgL_wherez00);
						BgL_locz00_17363 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14693))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17361, BgL_wherez00_17362,
								BgL_locz00_17363);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17364;

								BgL_za2za2resza2za2z00_17364 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14694)) (BgL_bodyz00_14694,
									BgL_sz00_14695, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17361);
								return BgL_za2za2resza2za2z00_17364;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3751> */
	obj_t BGl_z62zc3z04anonymousza33751ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14696, obj_t BgL_sz00_14701)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14697;
				BgL_ev_absz00_bglt BgL_i1255z00_14698;
				obj_t BgL_bodyz00_14699;
				long BgL_siza7ezd2framez75_14700;

				BgL_iboxesz00_14697 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14696, (int) (((long) 0))));
				BgL_i1255z00_14698 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14696, (int) (((long) 1))));
				BgL_bodyz00_14699 = PROCEDURE_REF(BgL_envz00_14696, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14700 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14696, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17365;

					BgL_bpz00_17365 = VECTOR_REF(((obj_t) BgL_sz00_14701), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17366;

							BgL_runz00_17366 =
								MAKE_FX_PROCEDURE(BGl_z62run4530z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17366,
								(int) (((long) 0)), BgL_iboxesz00_14697);
							PROCEDURE_SET(BgL_runz00_17366,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14698));
							PROCEDURE_SET(BgL_runz00_17366,
								(int) (((long) 2)), BgL_bodyz00_14699);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17367;

								BgL_mainz00_17367 =
									MAKE_FX_PROCEDURE(BGl_z62main4529z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17367,
									(int) (((long) 0)), BgL_iboxesz00_14697);
								PROCEDURE_SET(BgL_mainz00_17367,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14698));
								PROCEDURE_SET(BgL_mainz00_17367,
									(int) (((long) 2)), BgL_bodyz00_14699);
								PROCEDURE_SET(BgL_mainz00_17367,
									(int) (((long) 3)), BgL_runz00_17366);
								PROCEDURE_SET(BgL_mainz00_17367,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14700));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17368;

									BgL_objz00_17368 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17366, BgL_objz00_17368);
									BgL_objz00_17368;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3752z00_17369;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3753z00_17370;

										BgL_arg3753z00_17370 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14698))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17371;

											BgL_newz00_17371 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29718;

												BgL_tmpz00_29718 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17371, BgL_tmpz00_29718,
													BgL_arg3753z00_17370);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29723;
												int BgL_tmpz00_29721;

												BgL_auxz00_29723 = BINT(BgL_siza7ezd2framez75_14700);
												BgL_tmpz00_29721 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17371, BgL_tmpz00_29721,
													BgL_auxz00_29723);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29726;

												BgL_tmpz00_29726 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17371, BgL_tmpz00_29726,
													BgL_runz00_17366);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29731;
												int BgL_tmpz00_29729;

												BgL_auxz00_29731 = BINT(((long) 3));
												BgL_tmpz00_29729 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17371, BgL_tmpz00_29729,
													BgL_auxz00_29731);
											}
											BgL_arg3752z00_17369 = BgL_newz00_17371;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17367, BgL_arg3752z00_17369);
									BgL_arg3752z00_17369;
								}
								return BgL_mainz00_17367;
							}
						}
					}
				}
			}
		}

	}



/* &main4529 */
	obj_t BGl_z62main4529z62zz__evaluate_compz00(obj_t BgL_envz00_14702,
		obj_t BgL_bz00_14708, obj_t BgL_cz00_14709, obj_t BgL_dz00_14710)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14706;
				long BgL_siza7ezd2framez75_14707;

				BgL_runz00_14706 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14702, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14707 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14702, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17372;

					BgL_sz00_17372 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17373;

						BgL_bpz00_17373 = VECTOR_REF(((obj_t) BgL_sz00_17372), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17373) + BgL_siza7ezd2framez75_14707) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17372))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3756z00_17374;

									BgL_arg3756z00_17374 =
										((long) CINT(BgL_bpz00_17373) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17372), BgL_arg3756z00_17374,
										BgL_bz00_14708);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3758z00_17375;

									BgL_arg3758z00_17375 =
										((long) CINT(BgL_bpz00_17373) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17372), BgL_arg3758z00_17375,
										BgL_cz00_14709);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3759z00_17376;

									BgL_arg3759z00_17376 =
										((long) CINT(BgL_bpz00_17373) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17372), BgL_arg3759z00_17376,
										BgL_dz00_14710);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17377;

									BgL_ez00_17377 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17378;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17379;

											BgL_arg4348z00_17379 = BGL_EXITD_PROTECT(BgL_ez00_17377);
											BgL_arg4347z00_17378 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17373, BgL_arg4348z00_17379);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17377, BgL_arg4347z00_17378);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17380;

										BgL_accz00_17380 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14706, BgL_sz00_17372, BgL_bpz00_17373);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5550z00_29767;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17381;

												BgL_arg4346z00_17381 =
													BGL_EXITD_PROTECT(BgL_ez00_17377);
												BgL_test5550z00_29767 = PAIRP(BgL_arg4346z00_17381);
											}
											if (BgL_test5550z00_29767)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17382;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17383;

														BgL_arg4345z00_17383 =
															BGL_EXITD_PROTECT(BgL_ez00_17377);
														BgL_arg4344z00_17382 =
															CDR(((obj_t) BgL_arg4345z00_17383));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17377,
														BgL_arg4344z00_17382);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17372), ((long) 0), BgL_bpz00_17373);
										return BgL_accz00_17380;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17384;

								BgL_nsz00_17384 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17384, ((long) 1), BgL_sz00_17372);
								VECTOR_SET(BgL_nsz00_17384, ((long) 2), BgL_bz00_14708);
								VECTOR_SET(BgL_nsz00_17384, ((long) 3), BgL_cz00_14709);
								VECTOR_SET(BgL_nsz00_17384, ((long) 4), BgL_dz00_14710);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17385;

									BgL_z12denvz12_17385 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17385, BgL_nsz00_17384);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17386;

										BgL_ez00_17386 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17387;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17388;

												BgL_arg4348z00_17388 =
													BGL_EXITD_PROTECT(BgL_ez00_17386);
												BgL_arg4347z00_17387 =
													MAKE_YOUNG_PAIR(BgL_sz00_17372, BgL_arg4348z00_17388);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17386,
												BgL_arg4347z00_17387);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17389;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17390;

												BgL_savedzd2bpzd2_17390 =
													VECTOR_REF(BgL_nsz00_17384, ((long) 0));
												VECTOR_SET(BgL_nsz00_17384, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17392;

													BgL_fz00_17392 = BgL_runz00_14706;
												BgL_recz00_17391:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17393;

														BgL_rz00_17393 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17392)) (BgL_fz00_17392,
															BgL_nsz00_17384, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5551z00_29794;

															if (PROCEDUREP(BgL_rz00_17393))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17394;

																	BgL_arg1779z00_17394 =
																		PROCEDURE_ATTR(BgL_rz00_17393);
																	if (STRUCTP(BgL_arg1779z00_17394))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5551z00_29794 =
																				(STRUCT_KEY(BgL_arg1779z00_17394) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5551z00_29794 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5551z00_29794 = ((bool_t) 0);
																}
															if (BgL_test5551z00_29794)
																{
																	obj_t BgL_fz00_29802;

																	BgL_fz00_29802 = BgL_rz00_17393;
																	BgL_fz00_17392 = BgL_fz00_29802;
																	goto BgL_recz00_17391;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17384, ((long) 0),
																		BgL_savedzd2bpzd2_17390);
																	BgL_____rz00_17389 = BgL_rz00_17393;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5554z00_29804;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17395;

													BgL_arg4346z00_17395 =
														BGL_EXITD_PROTECT(BgL_ez00_17386);
													BgL_test5554z00_29804 = PAIRP(BgL_arg4346z00_17395);
												}
												if (BgL_test5554z00_29804)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17396;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17397;

															BgL_arg4345z00_17397 =
																BGL_EXITD_PROTECT(BgL_ez00_17386);
															BgL_arg4344z00_17396 =
																CDR(((obj_t) BgL_arg4345z00_17397));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17386,
															BgL_arg4344z00_17396);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17385, BgL_sz00_17372);
											return BgL_____rz00_17389;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4530 */
	obj_t BGl_z62run4530z62zz__evaluate_compz00(obj_t BgL_envz00_14711,
		obj_t BgL_sz00_14715)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14712;
				BgL_ev_absz00_bglt BgL_i1255z00_14713;
				obj_t BgL_bodyz00_14714;

				BgL_iboxesz00_14712 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14711, (int) (((long) 0))));
				BgL_i1255z00_14713 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14711, (int) (((long) 1))));
				BgL_bodyz00_14714 = PROCEDURE_REF(BgL_envz00_14711, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17398;

					BgL_bpz00_17398 = VECTOR_REF(((obj_t) BgL_sz00_14715), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14715,
						BgL_iboxesz00_14712, BgL_bpz00_17398);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17399;
						obj_t BgL_wherez00_17400;
						obj_t BgL_locz00_17401;

						BgL_z12denvz12_17399 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17400 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14713))->
							BgL_wherez00);
						BgL_locz00_17401 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14713))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17399, BgL_wherez00_17400,
								BgL_locz00_17401);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17402;

								BgL_za2za2resza2za2z00_17402 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14714)) (BgL_bodyz00_14714,
									BgL_sz00_14715, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17399);
								return BgL_za2za2resza2za2z00_17402;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3764> */
	obj_t BGl_z62zc3z04anonymousza33764ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14716, obj_t BgL_sz00_14722)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14717;
				long BgL_siza7eza7_14718;
				BgL_ev_absz00_bglt BgL_i1255z00_14719;
				obj_t BgL_bodyz00_14720;
				long BgL_siza7ezd2framez75_14721;

				BgL_ifreesz00_14717 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 0))));
				BgL_siza7eza7_14718 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 1))));
				BgL_i1255z00_14719 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 2))));
				BgL_bodyz00_14720 = PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14721 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14716, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17403;

					BgL_bpz00_17403 = VECTOR_REF(((obj_t) BgL_sz00_14722), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17404;

						BgL_valza2za2_17404 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14722,
							BgL_bpz00_17403, BgL_ifreesz00_14717);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17405;

							BgL_runz00_17405 =
								MAKE_FX_PROCEDURE(BGl_z62run4532z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17405,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14718));
							PROCEDURE_SET(BgL_runz00_17405,
								(int) (((long) 1)), BgL_valza2za2_17404);
							PROCEDURE_SET(BgL_runz00_17405,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14719));
							PROCEDURE_SET(BgL_runz00_17405,
								(int) (((long) 3)), BgL_bodyz00_14720);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17406;

								BgL_mainz00_17406 =
									MAKE_FX_PROCEDURE(BGl_z62main4531z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17406,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14718));
								PROCEDURE_SET(BgL_mainz00_17406,
									(int) (((long) 1)), BgL_valza2za2_17404);
								PROCEDURE_SET(BgL_mainz00_17406,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14719));
								PROCEDURE_SET(BgL_mainz00_17406,
									(int) (((long) 3)), BgL_bodyz00_14720);
								PROCEDURE_SET(BgL_mainz00_17406,
									(int) (((long) 4)), BgL_runz00_17405);
								PROCEDURE_SET(BgL_mainz00_17406,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14721));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17407;

									BgL_objz00_17407 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17405, BgL_objz00_17407);
									BgL_objz00_17407;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3765z00_17408;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3766z00_17409;

										BgL_arg3766z00_17409 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14719))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17410;

											BgL_newz00_17410 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29884;

												BgL_tmpz00_29884 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17410, BgL_tmpz00_29884,
													BgL_arg3766z00_17409);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29889;
												int BgL_tmpz00_29887;

												BgL_auxz00_29889 = BINT(BgL_siza7ezd2framez75_14721);
												BgL_tmpz00_29887 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17410, BgL_tmpz00_29887,
													BgL_auxz00_29889);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29892;

												BgL_tmpz00_29892 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17410, BgL_tmpz00_29892,
													BgL_runz00_17405);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29897;
												int BgL_tmpz00_29895;

												BgL_auxz00_29897 = BINT(((long) 3));
												BgL_tmpz00_29895 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17410, BgL_tmpz00_29895,
													BgL_auxz00_29897);
											}
											BgL_arg3765z00_17408 = BgL_newz00_17410;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17406, BgL_arg3765z00_17408);
									BgL_arg3765z00_17408;
								}
								return BgL_mainz00_17406;
							}
						}
					}
				}
			}
		}

	}



/* &main4531 */
	obj_t BGl_z62main4531z62zz__evaluate_compz00(obj_t BgL_envz00_14723,
		obj_t BgL_bz00_14730, obj_t BgL_cz00_14731, obj_t BgL_dz00_14732)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14728;
				long BgL_siza7ezd2framez75_14729;

				BgL_runz00_14728 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14723, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14729 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14723, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17411;

					BgL_sz00_17411 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17412;

						BgL_bpz00_17412 = VECTOR_REF(((obj_t) BgL_sz00_17411), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17412) + BgL_siza7ezd2framez75_14729) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17411))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3769z00_17413;

									BgL_arg3769z00_17413 =
										((long) CINT(BgL_bpz00_17412) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17411), BgL_arg3769z00_17413,
										BgL_bz00_14730);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3770z00_17414;

									BgL_arg3770z00_17414 =
										((long) CINT(BgL_bpz00_17412) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17411), BgL_arg3770z00_17414,
										BgL_cz00_14731);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3771z00_17415;

									BgL_arg3771z00_17415 =
										((long) CINT(BgL_bpz00_17412) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17411), BgL_arg3771z00_17415,
										BgL_dz00_14732);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17416;

									BgL_ez00_17416 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17417;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17418;

											BgL_arg4348z00_17418 = BGL_EXITD_PROTECT(BgL_ez00_17416);
											BgL_arg4347z00_17417 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17412, BgL_arg4348z00_17418);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17416, BgL_arg4347z00_17417);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17419;

										BgL_accz00_17419 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14728, BgL_sz00_17411, BgL_bpz00_17412);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5556z00_29933;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17420;

												BgL_arg4346z00_17420 =
													BGL_EXITD_PROTECT(BgL_ez00_17416);
												BgL_test5556z00_29933 = PAIRP(BgL_arg4346z00_17420);
											}
											if (BgL_test5556z00_29933)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17421;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17422;

														BgL_arg4345z00_17422 =
															BGL_EXITD_PROTECT(BgL_ez00_17416);
														BgL_arg4344z00_17421 =
															CDR(((obj_t) BgL_arg4345z00_17422));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17416,
														BgL_arg4344z00_17421);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17411), ((long) 0), BgL_bpz00_17412);
										return BgL_accz00_17419;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17423;

								BgL_nsz00_17423 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17423, ((long) 1), BgL_sz00_17411);
								VECTOR_SET(BgL_nsz00_17423, ((long) 2), BgL_bz00_14730);
								VECTOR_SET(BgL_nsz00_17423, ((long) 3), BgL_cz00_14731);
								VECTOR_SET(BgL_nsz00_17423, ((long) 4), BgL_dz00_14732);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17424;

									BgL_z12denvz12_17424 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17424, BgL_nsz00_17423);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17425;

										BgL_ez00_17425 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17426;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17427;

												BgL_arg4348z00_17427 =
													BGL_EXITD_PROTECT(BgL_ez00_17425);
												BgL_arg4347z00_17426 =
													MAKE_YOUNG_PAIR(BgL_sz00_17411, BgL_arg4348z00_17427);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17425,
												BgL_arg4347z00_17426);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17428;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17429;

												BgL_savedzd2bpzd2_17429 =
													VECTOR_REF(BgL_nsz00_17423, ((long) 0));
												VECTOR_SET(BgL_nsz00_17423, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17431;

													BgL_fz00_17431 = BgL_runz00_14728;
												BgL_recz00_17430:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17432;

														BgL_rz00_17432 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17431)) (BgL_fz00_17431,
															BgL_nsz00_17423, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5557z00_29960;

															if (PROCEDUREP(BgL_rz00_17432))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17433;

																	BgL_arg1779z00_17433 =
																		PROCEDURE_ATTR(BgL_rz00_17432);
																	if (STRUCTP(BgL_arg1779z00_17433))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5557z00_29960 =
																				(STRUCT_KEY(BgL_arg1779z00_17433) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5557z00_29960 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5557z00_29960 = ((bool_t) 0);
																}
															if (BgL_test5557z00_29960)
																{
																	obj_t BgL_fz00_29968;

																	BgL_fz00_29968 = BgL_rz00_17432;
																	BgL_fz00_17431 = BgL_fz00_29968;
																	goto BgL_recz00_17430;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17423, ((long) 0),
																		BgL_savedzd2bpzd2_17429);
																	BgL_____rz00_17428 = BgL_rz00_17432;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5560z00_29970;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17434;

													BgL_arg4346z00_17434 =
														BGL_EXITD_PROTECT(BgL_ez00_17425);
													BgL_test5560z00_29970 = PAIRP(BgL_arg4346z00_17434);
												}
												if (BgL_test5560z00_29970)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17435;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17436;

															BgL_arg4345z00_17436 =
																BGL_EXITD_PROTECT(BgL_ez00_17425);
															BgL_arg4344z00_17435 =
																CDR(((obj_t) BgL_arg4345z00_17436));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17425,
															BgL_arg4344z00_17435);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17424, BgL_sz00_17411);
											return BgL_____rz00_17428;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4532 */
	obj_t BGl_z62run4532z62zz__evaluate_compz00(obj_t BgL_envz00_14733,
		obj_t BgL_sz00_14738)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14734;
				obj_t BgL_valza2za2_14735;
				BgL_ev_absz00_bglt BgL_i1255z00_14736;
				obj_t BgL_bodyz00_14737;

				BgL_siza7eza7_14734 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14733, (int) (((long) 0))));
				BgL_valza2za2_14735 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14733, (int) (((long) 1))));
				BgL_i1255z00_14736 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14733, (int) (((long) 2))));
				BgL_bodyz00_14737 = PROCEDURE_REF(BgL_envz00_14733, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17437;

					BgL_bpz00_17437 = VECTOR_REF(((obj_t) BgL_sz00_14738), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14738,
						BgL_valza2za2_14735,
						((long) CINT(BgL_bpz00_17437) + BgL_siza7eza7_14734));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17438;
						obj_t BgL_wherez00_17439;
						obj_t BgL_locz00_17440;

						BgL_z12denvz12_17438 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17439 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14736))->
							BgL_wherez00);
						BgL_locz00_17440 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14736))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17438, BgL_wherez00_17439,
								BgL_locz00_17440);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17441;

								BgL_za2za2resza2za2z00_17441 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14737)) (BgL_bodyz00_14737,
									BgL_sz00_14738, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17438);
								return BgL_za2za2resza2za2z00_17441;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3774> */
	obj_t BGl_z62zc3z04anonymousza33774ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14739, obj_t BgL_sz00_14746)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14740;
				obj_t BgL_iboxesz00_14741;
				long BgL_siza7eza7_14742;
				BgL_ev_absz00_bglt BgL_i1255z00_14743;
				obj_t BgL_bodyz00_14744;
				long BgL_siza7ezd2framez75_14745;

				BgL_ifreesz00_14740 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 0))));
				BgL_iboxesz00_14741 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 1))));
				BgL_siza7eza7_14742 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 2))));
				BgL_i1255z00_14743 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 3))));
				BgL_bodyz00_14744 = PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14745 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17442;

					BgL_bpz00_17442 = VECTOR_REF(((obj_t) BgL_sz00_14746), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17443;

						BgL_valza2za2_17443 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14746,
							BgL_bpz00_17442, BgL_ifreesz00_14740);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17444;

							BgL_runz00_17444 =
								MAKE_FX_PROCEDURE(BGl_z62run4534z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17444,
								(int) (((long) 0)), BgL_iboxesz00_14741);
							PROCEDURE_SET(BgL_runz00_17444,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14742));
							PROCEDURE_SET(BgL_runz00_17444,
								(int) (((long) 2)), BgL_valza2za2_17443);
							PROCEDURE_SET(BgL_runz00_17444,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14743));
							PROCEDURE_SET(BgL_runz00_17444,
								(int) (((long) 4)), BgL_bodyz00_14744);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17445;

								BgL_mainz00_17445 =
									MAKE_FX_PROCEDURE(BGl_z62main4533z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17445,
									(int) (((long) 0)), BgL_iboxesz00_14741);
								PROCEDURE_SET(BgL_mainz00_17445,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14742));
								PROCEDURE_SET(BgL_mainz00_17445,
									(int) (((long) 2)), BgL_valza2za2_17443);
								PROCEDURE_SET(BgL_mainz00_17445,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14743));
								PROCEDURE_SET(BgL_mainz00_17445,
									(int) (((long) 4)), BgL_bodyz00_14744);
								PROCEDURE_SET(BgL_mainz00_17445,
									(int) (((long) 5)), BgL_runz00_17444);
								PROCEDURE_SET(BgL_mainz00_17445,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14745));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17446;

									BgL_objz00_17446 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17444, BgL_objz00_17446);
									BgL_objz00_17446;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3775z00_17447;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3776z00_17448;

										BgL_arg3776z00_17448 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14743))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17449;

											BgL_newz00_17449 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30062;

												BgL_tmpz00_30062 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17449, BgL_tmpz00_30062,
													BgL_arg3776z00_17448);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30067;
												int BgL_tmpz00_30065;

												BgL_auxz00_30067 = BINT(BgL_siza7ezd2framez75_14745);
												BgL_tmpz00_30065 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17449, BgL_tmpz00_30065,
													BgL_auxz00_30067);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30070;

												BgL_tmpz00_30070 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17449, BgL_tmpz00_30070,
													BgL_runz00_17444);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30075;
												int BgL_tmpz00_30073;

												BgL_auxz00_30075 = BINT(((long) 3));
												BgL_tmpz00_30073 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17449, BgL_tmpz00_30073,
													BgL_auxz00_30075);
											}
											BgL_arg3775z00_17447 = BgL_newz00_17449;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17445, BgL_arg3775z00_17447);
									BgL_arg3775z00_17447;
								}
								return BgL_mainz00_17445;
							}
						}
					}
				}
			}
		}

	}



/* &main4533 */
	obj_t BGl_z62main4533z62zz__evaluate_compz00(obj_t BgL_envz00_14747,
		obj_t BgL_bz00_14755, obj_t BgL_cz00_14756, obj_t BgL_dz00_14757)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14753;
				long BgL_siza7ezd2framez75_14754;

				BgL_runz00_14753 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14747, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14754 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14747, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17450;

					BgL_sz00_17450 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17451;

						BgL_bpz00_17451 = VECTOR_REF(((obj_t) BgL_sz00_17450), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17451) + BgL_siza7ezd2framez75_14754) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17450))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3779z00_17452;

									BgL_arg3779z00_17452 =
										((long) CINT(BgL_bpz00_17451) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17450), BgL_arg3779z00_17452,
										BgL_bz00_14755);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3780z00_17453;

									BgL_arg3780z00_17453 =
										((long) CINT(BgL_bpz00_17451) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17450), BgL_arg3780z00_17453,
										BgL_cz00_14756);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3781z00_17454;

									BgL_arg3781z00_17454 =
										((long) CINT(BgL_bpz00_17451) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17450), BgL_arg3781z00_17454,
										BgL_dz00_14757);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17455;

									BgL_ez00_17455 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17456;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17457;

											BgL_arg4348z00_17457 = BGL_EXITD_PROTECT(BgL_ez00_17455);
											BgL_arg4347z00_17456 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17451, BgL_arg4348z00_17457);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17455, BgL_arg4347z00_17456);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17458;

										BgL_accz00_17458 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14753, BgL_sz00_17450, BgL_bpz00_17451);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5562z00_30111;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17459;

												BgL_arg4346z00_17459 =
													BGL_EXITD_PROTECT(BgL_ez00_17455);
												BgL_test5562z00_30111 = PAIRP(BgL_arg4346z00_17459);
											}
											if (BgL_test5562z00_30111)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17460;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17461;

														BgL_arg4345z00_17461 =
															BGL_EXITD_PROTECT(BgL_ez00_17455);
														BgL_arg4344z00_17460 =
															CDR(((obj_t) BgL_arg4345z00_17461));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17455,
														BgL_arg4344z00_17460);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17450), ((long) 0), BgL_bpz00_17451);
										return BgL_accz00_17458;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17462;

								BgL_nsz00_17462 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17462, ((long) 1), BgL_sz00_17450);
								VECTOR_SET(BgL_nsz00_17462, ((long) 2), BgL_bz00_14755);
								VECTOR_SET(BgL_nsz00_17462, ((long) 3), BgL_cz00_14756);
								VECTOR_SET(BgL_nsz00_17462, ((long) 4), BgL_dz00_14757);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17463;

									BgL_z12denvz12_17463 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17463, BgL_nsz00_17462);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17464;

										BgL_ez00_17464 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17465;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17466;

												BgL_arg4348z00_17466 =
													BGL_EXITD_PROTECT(BgL_ez00_17464);
												BgL_arg4347z00_17465 =
													MAKE_YOUNG_PAIR(BgL_sz00_17450, BgL_arg4348z00_17466);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17464,
												BgL_arg4347z00_17465);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17467;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17468;

												BgL_savedzd2bpzd2_17468 =
													VECTOR_REF(BgL_nsz00_17462, ((long) 0));
												VECTOR_SET(BgL_nsz00_17462, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17470;

													BgL_fz00_17470 = BgL_runz00_14753;
												BgL_recz00_17469:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17471;

														BgL_rz00_17471 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17470)) (BgL_fz00_17470,
															BgL_nsz00_17462, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5563z00_30138;

															if (PROCEDUREP(BgL_rz00_17471))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17472;

																	BgL_arg1779z00_17472 =
																		PROCEDURE_ATTR(BgL_rz00_17471);
																	if (STRUCTP(BgL_arg1779z00_17472))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5563z00_30138 =
																				(STRUCT_KEY(BgL_arg1779z00_17472) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5563z00_30138 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5563z00_30138 = ((bool_t) 0);
																}
															if (BgL_test5563z00_30138)
																{
																	obj_t BgL_fz00_30146;

																	BgL_fz00_30146 = BgL_rz00_17471;
																	BgL_fz00_17470 = BgL_fz00_30146;
																	goto BgL_recz00_17469;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17462, ((long) 0),
																		BgL_savedzd2bpzd2_17468);
																	BgL_____rz00_17467 = BgL_rz00_17471;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5566z00_30148;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17473;

													BgL_arg4346z00_17473 =
														BGL_EXITD_PROTECT(BgL_ez00_17464);
													BgL_test5566z00_30148 = PAIRP(BgL_arg4346z00_17473);
												}
												if (BgL_test5566z00_30148)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17474;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17475;

															BgL_arg4345z00_17475 =
																BGL_EXITD_PROTECT(BgL_ez00_17464);
															BgL_arg4344z00_17474 =
																CDR(((obj_t) BgL_arg4345z00_17475));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17464,
															BgL_arg4344z00_17474);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17463, BgL_sz00_17450);
											return BgL_____rz00_17467;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4534 */
	obj_t BGl_z62run4534z62zz__evaluate_compz00(obj_t BgL_envz00_14758,
		obj_t BgL_sz00_14764)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14759;
				long BgL_siza7eza7_14760;
				obj_t BgL_valza2za2_14761;
				BgL_ev_absz00_bglt BgL_i1255z00_14762;
				obj_t BgL_bodyz00_14763;

				BgL_iboxesz00_14759 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 0))));
				BgL_siza7eza7_14760 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 1))));
				BgL_valza2za2_14761 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 2))));
				BgL_i1255z00_14762 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 3))));
				BgL_bodyz00_14763 = PROCEDURE_REF(BgL_envz00_14758, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17476;

					BgL_bpz00_17476 = VECTOR_REF(((obj_t) BgL_sz00_14764), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14764,
						BgL_iboxesz00_14759, BgL_bpz00_17476);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14764,
						BgL_valza2za2_14761,
						((long) CINT(BgL_bpz00_17476) + BgL_siza7eza7_14760));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17477;
						obj_t BgL_wherez00_17478;
						obj_t BgL_locz00_17479;

						BgL_z12denvz12_17477 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17478 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14762))->
							BgL_wherez00);
						BgL_locz00_17479 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14762))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17477, BgL_wherez00_17478,
								BgL_locz00_17479);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17480;

								BgL_za2za2resza2za2z00_17480 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14763)) (BgL_bodyz00_14763,
									BgL_sz00_14764, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17477);
								return BgL_za2za2resza2za2z00_17480;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3684> */
	obj_t BGl_z62zc3z04anonymousza33684ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14765, obj_t BgL_sz00_14769)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14766;
				obj_t BgL_bodyz00_14767;
				long BgL_siza7ezd2framez75_14768;

				BgL_i1255z00_14766 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 0))));
				BgL_bodyz00_14767 = PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14768 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17481;

					BgL_bpz00_17481 = VECTOR_REF(((obj_t) BgL_sz00_14769), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17482;

							BgL_runz00_17482 =
								MAKE_FX_PROCEDURE(BGl_z62run4536z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17482,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14766));
							PROCEDURE_SET(BgL_runz00_17482,
								(int) (((long) 1)), BgL_bodyz00_14767);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17483;

								BgL_mainz00_17483 =
									MAKE_VA_PROCEDURE(BGl_z62main4535z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17483,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14766));
								PROCEDURE_SET(BgL_mainz00_17483,
									(int) (((long) 1)), BgL_bodyz00_14767);
								PROCEDURE_SET(BgL_mainz00_17483,
									(int) (((long) 2)), BgL_runz00_17482);
								PROCEDURE_SET(BgL_mainz00_17483,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14768));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17484;

									BgL_objz00_17484 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17482, BgL_objz00_17484);
									BgL_objz00_17484;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3685z00_17485;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3687z00_17486;

										BgL_arg3687z00_17486 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14766))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17487;

											BgL_newz00_17487 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30220;

												BgL_tmpz00_30220 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17487, BgL_tmpz00_30220,
													BgL_arg3687z00_17486);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30225;
												int BgL_tmpz00_30223;

												BgL_auxz00_30225 = BINT(BgL_siza7ezd2framez75_14768);
												BgL_tmpz00_30223 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17487, BgL_tmpz00_30223,
													BgL_auxz00_30225);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30228;

												BgL_tmpz00_30228 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17487, BgL_tmpz00_30228,
													BgL_runz00_17482);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30233;
												int BgL_tmpz00_30231;

												BgL_auxz00_30233 = BINT(((long) -3));
												BgL_tmpz00_30231 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17487, BgL_tmpz00_30231,
													BgL_auxz00_30233);
											}
											BgL_arg3685z00_17485 = BgL_newz00_17487;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17483, BgL_arg3685z00_17485);
									BgL_arg3685z00_17485;
								}
								return BgL_mainz00_17483;
							}
						}
					}
				}
			}
		}

	}



/* &main4535 */
	obj_t BGl_z62main4535z62zz__evaluate_compz00(obj_t BgL_envz00_14770,
		obj_t BgL_cz00_14775, obj_t BgL_dz00_14776, obj_t BgL_lastz00_14777)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14773;
				long BgL_siza7ezd2framez75_14774;

				BgL_runz00_14773 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14770, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14774 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14770, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17488;

					BgL_sz00_17488 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17489;

						BgL_bpz00_17489 = VECTOR_REF(((obj_t) BgL_sz00_17488), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17489) + BgL_siza7ezd2framez75_14774) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17488))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3690z00_17490;

									BgL_arg3690z00_17490 =
										((long) CINT(BgL_bpz00_17489) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17488), BgL_arg3690z00_17490,
										BgL_cz00_14775);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3691z00_17491;

									BgL_arg3691z00_17491 =
										((long) CINT(BgL_bpz00_17489) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17488), BgL_arg3691z00_17491,
										BgL_dz00_14776);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3692z00_17492;

									BgL_arg3692z00_17492 =
										((long) CINT(BgL_bpz00_17489) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17488), BgL_arg3692z00_17492,
										BgL_lastz00_14777);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17493;

									BgL_ez00_17493 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17494;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17495;

											BgL_arg4348z00_17495 = BGL_EXITD_PROTECT(BgL_ez00_17493);
											BgL_arg4347z00_17494 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17489, BgL_arg4348z00_17495);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17493, BgL_arg4347z00_17494);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17496;

										BgL_accz00_17496 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14773, BgL_sz00_17488, BgL_bpz00_17489);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5568z00_30269;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17497;

												BgL_arg4346z00_17497 =
													BGL_EXITD_PROTECT(BgL_ez00_17493);
												BgL_test5568z00_30269 = PAIRP(BgL_arg4346z00_17497);
											}
											if (BgL_test5568z00_30269)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17498;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17499;

														BgL_arg4345z00_17499 =
															BGL_EXITD_PROTECT(BgL_ez00_17493);
														BgL_arg4344z00_17498 =
															CDR(((obj_t) BgL_arg4345z00_17499));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17493,
														BgL_arg4344z00_17498);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17488), ((long) 0), BgL_bpz00_17489);
										return BgL_accz00_17496;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17500;

								BgL_nsz00_17500 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17500, ((long) 1), BgL_sz00_17488);
								VECTOR_SET(BgL_nsz00_17500, ((long) 2), BgL_cz00_14775);
								VECTOR_SET(BgL_nsz00_17500, ((long) 3), BgL_dz00_14776);
								VECTOR_SET(BgL_nsz00_17500, ((long) 4), BgL_lastz00_14777);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17501;

									BgL_z12denvz12_17501 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17501, BgL_nsz00_17500);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17502;

										BgL_ez00_17502 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17503;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17504;

												BgL_arg4348z00_17504 =
													BGL_EXITD_PROTECT(BgL_ez00_17502);
												BgL_arg4347z00_17503 =
													MAKE_YOUNG_PAIR(BgL_sz00_17488, BgL_arg4348z00_17504);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17502,
												BgL_arg4347z00_17503);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17505;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17506;

												BgL_savedzd2bpzd2_17506 =
													VECTOR_REF(BgL_nsz00_17500, ((long) 0));
												VECTOR_SET(BgL_nsz00_17500, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17508;

													BgL_fz00_17508 = BgL_runz00_14773;
												BgL_recz00_17507:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17509;

														BgL_rz00_17509 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17508)) (BgL_fz00_17508,
															BgL_nsz00_17500, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5569z00_30296;

															if (PROCEDUREP(BgL_rz00_17509))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17510;

																	BgL_arg1779z00_17510 =
																		PROCEDURE_ATTR(BgL_rz00_17509);
																	if (STRUCTP(BgL_arg1779z00_17510))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5569z00_30296 =
																				(STRUCT_KEY(BgL_arg1779z00_17510) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5569z00_30296 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5569z00_30296 = ((bool_t) 0);
																}
															if (BgL_test5569z00_30296)
																{
																	obj_t BgL_fz00_30304;

																	BgL_fz00_30304 = BgL_rz00_17509;
																	BgL_fz00_17508 = BgL_fz00_30304;
																	goto BgL_recz00_17507;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17500, ((long) 0),
																		BgL_savedzd2bpzd2_17506);
																	BgL_____rz00_17505 = BgL_rz00_17509;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5572z00_30306;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17511;

													BgL_arg4346z00_17511 =
														BGL_EXITD_PROTECT(BgL_ez00_17502);
													BgL_test5572z00_30306 = PAIRP(BgL_arg4346z00_17511);
												}
												if (BgL_test5572z00_30306)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17512;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17513;

															BgL_arg4345z00_17513 =
																BGL_EXITD_PROTECT(BgL_ez00_17502);
															BgL_arg4344z00_17512 =
																CDR(((obj_t) BgL_arg4345z00_17513));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17502,
															BgL_arg4344z00_17512);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17501, BgL_sz00_17488);
											return BgL_____rz00_17505;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4536 */
	obj_t BGl_z62run4536z62zz__evaluate_compz00(obj_t BgL_envz00_14778,
		obj_t BgL_sz00_14781)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14779;
				obj_t BgL_bodyz00_14780;

				BgL_i1255z00_14779 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14778, (int) (((long) 0))));
				BgL_bodyz00_14780 = PROCEDURE_REF(BgL_envz00_14778, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17514;

					BgL_bpz00_17514 = VECTOR_REF(((obj_t) BgL_sz00_14781), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17515;
						obj_t BgL_wherez00_17516;
						obj_t BgL_locz00_17517;

						BgL_z12denvz12_17515 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17516 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14779))->
							BgL_wherez00);
						BgL_locz00_17517 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14779))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17515, BgL_wherez00_17516,
								BgL_locz00_17517);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17518;

								BgL_za2za2resza2za2z00_17518 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14780)) (BgL_bodyz00_14780,
									BgL_sz00_14781, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17515);
								return BgL_za2za2resza2za2z00_17518;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3694> */
	obj_t BGl_z62zc3z04anonymousza33694ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14782, obj_t BgL_sz00_14787)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14783;
				BgL_ev_absz00_bglt BgL_i1255z00_14784;
				obj_t BgL_bodyz00_14785;
				long BgL_siza7ezd2framez75_14786;

				BgL_iboxesz00_14783 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14782, (int) (((long) 0))));
				BgL_i1255z00_14784 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14782, (int) (((long) 1))));
				BgL_bodyz00_14785 = PROCEDURE_REF(BgL_envz00_14782, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14786 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14782, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17519;

					BgL_bpz00_17519 = VECTOR_REF(((obj_t) BgL_sz00_14787), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17520;

							BgL_runz00_17520 =
								MAKE_FX_PROCEDURE(BGl_z62run4538z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17520,
								(int) (((long) 0)), BgL_iboxesz00_14783);
							PROCEDURE_SET(BgL_runz00_17520,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14784));
							PROCEDURE_SET(BgL_runz00_17520,
								(int) (((long) 2)), BgL_bodyz00_14785);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17521;

								BgL_mainz00_17521 =
									MAKE_VA_PROCEDURE(BGl_z62main4537z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17521,
									(int) (((long) 0)), BgL_iboxesz00_14783);
								PROCEDURE_SET(BgL_mainz00_17521,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14784));
								PROCEDURE_SET(BgL_mainz00_17521,
									(int) (((long) 2)), BgL_bodyz00_14785);
								PROCEDURE_SET(BgL_mainz00_17521,
									(int) (((long) 3)), BgL_runz00_17520);
								PROCEDURE_SET(BgL_mainz00_17521,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14786));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17522;

									BgL_objz00_17522 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17520, BgL_objz00_17522);
									BgL_objz00_17522;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3696z00_17523;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3698z00_17524;

										BgL_arg3698z00_17524 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14784))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17525;

											BgL_newz00_17525 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30372;

												BgL_tmpz00_30372 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17525, BgL_tmpz00_30372,
													BgL_arg3698z00_17524);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30377;
												int BgL_tmpz00_30375;

												BgL_auxz00_30377 = BINT(BgL_siza7ezd2framez75_14786);
												BgL_tmpz00_30375 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17525, BgL_tmpz00_30375,
													BgL_auxz00_30377);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30380;

												BgL_tmpz00_30380 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17525, BgL_tmpz00_30380,
													BgL_runz00_17520);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30385;
												int BgL_tmpz00_30383;

												BgL_auxz00_30385 = BINT(((long) -3));
												BgL_tmpz00_30383 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17525, BgL_tmpz00_30383,
													BgL_auxz00_30385);
											}
											BgL_arg3696z00_17523 = BgL_newz00_17525;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17521, BgL_arg3696z00_17523);
									BgL_arg3696z00_17523;
								}
								return BgL_mainz00_17521;
							}
						}
					}
				}
			}
		}

	}



/* &main4537 */
	obj_t BGl_z62main4537z62zz__evaluate_compz00(obj_t BgL_envz00_14788,
		obj_t BgL_cz00_14794, obj_t BgL_dz00_14795, obj_t BgL_lastz00_14796)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14792;
				long BgL_siza7ezd2framez75_14793;

				BgL_runz00_14792 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14788, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14793 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14788, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17526;

					BgL_sz00_17526 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17527;

						BgL_bpz00_17527 = VECTOR_REF(((obj_t) BgL_sz00_17526), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17527) + BgL_siza7ezd2framez75_14793) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17526))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3702z00_17528;

									BgL_arg3702z00_17528 =
										((long) CINT(BgL_bpz00_17527) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17526), BgL_arg3702z00_17528,
										BgL_cz00_14794);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3703z00_17529;

									BgL_arg3703z00_17529 =
										((long) CINT(BgL_bpz00_17527) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17526), BgL_arg3703z00_17529,
										BgL_dz00_14795);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3704z00_17530;

									BgL_arg3704z00_17530 =
										((long) CINT(BgL_bpz00_17527) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17526), BgL_arg3704z00_17530,
										BgL_lastz00_14796);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17531;

									BgL_ez00_17531 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17532;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17533;

											BgL_arg4348z00_17533 = BGL_EXITD_PROTECT(BgL_ez00_17531);
											BgL_arg4347z00_17532 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17527, BgL_arg4348z00_17533);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17531, BgL_arg4347z00_17532);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17534;

										BgL_accz00_17534 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14792, BgL_sz00_17526, BgL_bpz00_17527);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5574z00_30421;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17535;

												BgL_arg4346z00_17535 =
													BGL_EXITD_PROTECT(BgL_ez00_17531);
												BgL_test5574z00_30421 = PAIRP(BgL_arg4346z00_17535);
											}
											if (BgL_test5574z00_30421)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17536;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17537;

														BgL_arg4345z00_17537 =
															BGL_EXITD_PROTECT(BgL_ez00_17531);
														BgL_arg4344z00_17536 =
															CDR(((obj_t) BgL_arg4345z00_17537));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17531,
														BgL_arg4344z00_17536);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17526), ((long) 0), BgL_bpz00_17527);
										return BgL_accz00_17534;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17538;

								BgL_nsz00_17538 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17538, ((long) 1), BgL_sz00_17526);
								VECTOR_SET(BgL_nsz00_17538, ((long) 2), BgL_cz00_14794);
								VECTOR_SET(BgL_nsz00_17538, ((long) 3), BgL_dz00_14795);
								VECTOR_SET(BgL_nsz00_17538, ((long) 4), BgL_lastz00_14796);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17539;

									BgL_z12denvz12_17539 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17539, BgL_nsz00_17538);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17540;

										BgL_ez00_17540 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17541;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17542;

												BgL_arg4348z00_17542 =
													BGL_EXITD_PROTECT(BgL_ez00_17540);
												BgL_arg4347z00_17541 =
													MAKE_YOUNG_PAIR(BgL_sz00_17526, BgL_arg4348z00_17542);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17540,
												BgL_arg4347z00_17541);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17543;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17544;

												BgL_savedzd2bpzd2_17544 =
													VECTOR_REF(BgL_nsz00_17538, ((long) 0));
												VECTOR_SET(BgL_nsz00_17538, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17546;

													BgL_fz00_17546 = BgL_runz00_14792;
												BgL_recz00_17545:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17547;

														BgL_rz00_17547 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17546)) (BgL_fz00_17546,
															BgL_nsz00_17538, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5575z00_30448;

															if (PROCEDUREP(BgL_rz00_17547))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17548;

																	BgL_arg1779z00_17548 =
																		PROCEDURE_ATTR(BgL_rz00_17547);
																	if (STRUCTP(BgL_arg1779z00_17548))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5575z00_30448 =
																				(STRUCT_KEY(BgL_arg1779z00_17548) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5575z00_30448 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5575z00_30448 = ((bool_t) 0);
																}
															if (BgL_test5575z00_30448)
																{
																	obj_t BgL_fz00_30456;

																	BgL_fz00_30456 = BgL_rz00_17547;
																	BgL_fz00_17546 = BgL_fz00_30456;
																	goto BgL_recz00_17545;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17538, ((long) 0),
																		BgL_savedzd2bpzd2_17544);
																	BgL_____rz00_17543 = BgL_rz00_17547;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5578z00_30458;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17549;

													BgL_arg4346z00_17549 =
														BGL_EXITD_PROTECT(BgL_ez00_17540);
													BgL_test5578z00_30458 = PAIRP(BgL_arg4346z00_17549);
												}
												if (BgL_test5578z00_30458)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17550;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17551;

															BgL_arg4345z00_17551 =
																BGL_EXITD_PROTECT(BgL_ez00_17540);
															BgL_arg4344z00_17550 =
																CDR(((obj_t) BgL_arg4345z00_17551));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17540,
															BgL_arg4344z00_17550);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17539, BgL_sz00_17526);
											return BgL_____rz00_17543;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4538 */
	obj_t BGl_z62run4538z62zz__evaluate_compz00(obj_t BgL_envz00_14797,
		obj_t BgL_sz00_14801)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14798;
				BgL_ev_absz00_bglt BgL_i1255z00_14799;
				obj_t BgL_bodyz00_14800;

				BgL_iboxesz00_14798 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14797, (int) (((long) 0))));
				BgL_i1255z00_14799 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14797, (int) (((long) 1))));
				BgL_bodyz00_14800 = PROCEDURE_REF(BgL_envz00_14797, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17552;

					BgL_bpz00_17552 = VECTOR_REF(((obj_t) BgL_sz00_14801), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14801,
						BgL_iboxesz00_14798, BgL_bpz00_17552);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17553;
						obj_t BgL_wherez00_17554;
						obj_t BgL_locz00_17555;

						BgL_z12denvz12_17553 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17554 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14799))->
							BgL_wherez00);
						BgL_locz00_17555 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14799))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17553, BgL_wherez00_17554,
								BgL_locz00_17555);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17556;

								BgL_za2za2resza2za2z00_17556 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14800)) (BgL_bodyz00_14800,
									BgL_sz00_14801, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17553);
								return BgL_za2za2resza2za2z00_17556;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3710> */
	obj_t BGl_z62zc3z04anonymousza33710ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14802, obj_t BgL_sz00_14808)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14803;
				long BgL_siza7eza7_14804;
				BgL_ev_absz00_bglt BgL_i1255z00_14805;
				obj_t BgL_bodyz00_14806;
				long BgL_siza7ezd2framez75_14807;

				BgL_ifreesz00_14803 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14802, (int) (((long) 0))));
				BgL_siza7eza7_14804 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14802, (int) (((long) 1))));
				BgL_i1255z00_14805 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14802, (int) (((long) 2))));
				BgL_bodyz00_14806 = PROCEDURE_REF(BgL_envz00_14802, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14807 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14802, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17557;

					BgL_bpz00_17557 = VECTOR_REF(((obj_t) BgL_sz00_14808), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17558;

						BgL_valza2za2_17558 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14808,
							BgL_bpz00_17557, BgL_ifreesz00_14803);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17559;

							BgL_runz00_17559 =
								MAKE_FX_PROCEDURE(BGl_z62run4540z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17559,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14804));
							PROCEDURE_SET(BgL_runz00_17559,
								(int) (((long) 1)), BgL_valza2za2_17558);
							PROCEDURE_SET(BgL_runz00_17559,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14805));
							PROCEDURE_SET(BgL_runz00_17559,
								(int) (((long) 3)), BgL_bodyz00_14806);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17560;

								BgL_mainz00_17560 =
									MAKE_VA_PROCEDURE(BGl_z62main4539z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17560,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14804));
								PROCEDURE_SET(BgL_mainz00_17560,
									(int) (((long) 1)), BgL_valza2za2_17558);
								PROCEDURE_SET(BgL_mainz00_17560,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14805));
								PROCEDURE_SET(BgL_mainz00_17560,
									(int) (((long) 3)), BgL_bodyz00_14806);
								PROCEDURE_SET(BgL_mainz00_17560,
									(int) (((long) 4)), BgL_runz00_17559);
								PROCEDURE_SET(BgL_mainz00_17560,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14807));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17561;

									BgL_objz00_17561 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17559, BgL_objz00_17561);
									BgL_objz00_17561;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3712z00_17562;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3713z00_17563;

										BgL_arg3713z00_17563 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14805))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17564;

											BgL_newz00_17564 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30538;

												BgL_tmpz00_30538 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17564, BgL_tmpz00_30538,
													BgL_arg3713z00_17563);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30543;
												int BgL_tmpz00_30541;

												BgL_auxz00_30543 = BINT(BgL_siza7ezd2framez75_14807);
												BgL_tmpz00_30541 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17564, BgL_tmpz00_30541,
													BgL_auxz00_30543);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30546;

												BgL_tmpz00_30546 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17564, BgL_tmpz00_30546,
													BgL_runz00_17559);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30551;
												int BgL_tmpz00_30549;

												BgL_auxz00_30551 = BINT(((long) -3));
												BgL_tmpz00_30549 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17564, BgL_tmpz00_30549,
													BgL_auxz00_30551);
											}
											BgL_arg3712z00_17562 = BgL_newz00_17564;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17560, BgL_arg3712z00_17562);
									BgL_arg3712z00_17562;
								}
								return BgL_mainz00_17560;
							}
						}
					}
				}
			}
		}

	}



/* &main4539 */
	obj_t BGl_z62main4539z62zz__evaluate_compz00(obj_t BgL_envz00_14809,
		obj_t BgL_cz00_14816, obj_t BgL_dz00_14817, obj_t BgL_lastz00_14818)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14814;
				long BgL_siza7ezd2framez75_14815;

				BgL_runz00_14814 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14809, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14815 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14809, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17565;

					BgL_sz00_17565 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17566;

						BgL_bpz00_17566 = VECTOR_REF(((obj_t) BgL_sz00_17565), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17566) + BgL_siza7ezd2framez75_14815) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17565))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3716z00_17567;

									BgL_arg3716z00_17567 =
										((long) CINT(BgL_bpz00_17566) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17565), BgL_arg3716z00_17567,
										BgL_cz00_14816);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3718z00_17568;

									BgL_arg3718z00_17568 =
										((long) CINT(BgL_bpz00_17566) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17565), BgL_arg3718z00_17568,
										BgL_dz00_14817);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3719z00_17569;

									BgL_arg3719z00_17569 =
										((long) CINT(BgL_bpz00_17566) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17565), BgL_arg3719z00_17569,
										BgL_lastz00_14818);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17570;

									BgL_ez00_17570 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17571;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17572;

											BgL_arg4348z00_17572 = BGL_EXITD_PROTECT(BgL_ez00_17570);
											BgL_arg4347z00_17571 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17566, BgL_arg4348z00_17572);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17570, BgL_arg4347z00_17571);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17573;

										BgL_accz00_17573 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14814, BgL_sz00_17565, BgL_bpz00_17566);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5580z00_30587;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17574;

												BgL_arg4346z00_17574 =
													BGL_EXITD_PROTECT(BgL_ez00_17570);
												BgL_test5580z00_30587 = PAIRP(BgL_arg4346z00_17574);
											}
											if (BgL_test5580z00_30587)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17575;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17576;

														BgL_arg4345z00_17576 =
															BGL_EXITD_PROTECT(BgL_ez00_17570);
														BgL_arg4344z00_17575 =
															CDR(((obj_t) BgL_arg4345z00_17576));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17570,
														BgL_arg4344z00_17575);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17565), ((long) 0), BgL_bpz00_17566);
										return BgL_accz00_17573;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17577;

								BgL_nsz00_17577 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17577, ((long) 1), BgL_sz00_17565);
								VECTOR_SET(BgL_nsz00_17577, ((long) 2), BgL_cz00_14816);
								VECTOR_SET(BgL_nsz00_17577, ((long) 3), BgL_dz00_14817);
								VECTOR_SET(BgL_nsz00_17577, ((long) 4), BgL_lastz00_14818);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17578;

									BgL_z12denvz12_17578 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17578, BgL_nsz00_17577);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17579;

										BgL_ez00_17579 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17580;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17581;

												BgL_arg4348z00_17581 =
													BGL_EXITD_PROTECT(BgL_ez00_17579);
												BgL_arg4347z00_17580 =
													MAKE_YOUNG_PAIR(BgL_sz00_17565, BgL_arg4348z00_17581);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17579,
												BgL_arg4347z00_17580);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17582;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17583;

												BgL_savedzd2bpzd2_17583 =
													VECTOR_REF(BgL_nsz00_17577, ((long) 0));
												VECTOR_SET(BgL_nsz00_17577, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17585;

													BgL_fz00_17585 = BgL_runz00_14814;
												BgL_recz00_17584:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17586;

														BgL_rz00_17586 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17585)) (BgL_fz00_17585,
															BgL_nsz00_17577, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5581z00_30614;

															if (PROCEDUREP(BgL_rz00_17586))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17587;

																	BgL_arg1779z00_17587 =
																		PROCEDURE_ATTR(BgL_rz00_17586);
																	if (STRUCTP(BgL_arg1779z00_17587))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5581z00_30614 =
																				(STRUCT_KEY(BgL_arg1779z00_17587) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5581z00_30614 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5581z00_30614 = ((bool_t) 0);
																}
															if (BgL_test5581z00_30614)
																{
																	obj_t BgL_fz00_30622;

																	BgL_fz00_30622 = BgL_rz00_17586;
																	BgL_fz00_17585 = BgL_fz00_30622;
																	goto BgL_recz00_17584;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17577, ((long) 0),
																		BgL_savedzd2bpzd2_17583);
																	BgL_____rz00_17582 = BgL_rz00_17586;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5584z00_30624;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17588;

													BgL_arg4346z00_17588 =
														BGL_EXITD_PROTECT(BgL_ez00_17579);
													BgL_test5584z00_30624 = PAIRP(BgL_arg4346z00_17588);
												}
												if (BgL_test5584z00_30624)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17589;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17590;

															BgL_arg4345z00_17590 =
																BGL_EXITD_PROTECT(BgL_ez00_17579);
															BgL_arg4344z00_17589 =
																CDR(((obj_t) BgL_arg4345z00_17590));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17579,
															BgL_arg4344z00_17589);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17578, BgL_sz00_17565);
											return BgL_____rz00_17582;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4540 */
	obj_t BGl_z62run4540z62zz__evaluate_compz00(obj_t BgL_envz00_14819,
		obj_t BgL_sz00_14824)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14820;
				obj_t BgL_valza2za2_14821;
				BgL_ev_absz00_bglt BgL_i1255z00_14822;
				obj_t BgL_bodyz00_14823;

				BgL_siza7eza7_14820 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14819, (int) (((long) 0))));
				BgL_valza2za2_14821 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14819, (int) (((long) 1))));
				BgL_i1255z00_14822 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14819, (int) (((long) 2))));
				BgL_bodyz00_14823 = PROCEDURE_REF(BgL_envz00_14819, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17591;

					BgL_bpz00_17591 = VECTOR_REF(((obj_t) BgL_sz00_14824), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14824,
						BgL_valza2za2_14821,
						((long) CINT(BgL_bpz00_17591) + BgL_siza7eza7_14820));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17592;
						obj_t BgL_wherez00_17593;
						obj_t BgL_locz00_17594;

						BgL_z12denvz12_17592 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17593 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14822))->
							BgL_wherez00);
						BgL_locz00_17594 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14822))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17592, BgL_wherez00_17593,
								BgL_locz00_17594);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17595;

								BgL_za2za2resza2za2z00_17595 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14823)) (BgL_bodyz00_14823,
									BgL_sz00_14824, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17592);
								return BgL_za2za2resza2za2z00_17595;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3722> */
	obj_t BGl_z62zc3z04anonymousza33722ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14825, obj_t BgL_sz00_14832)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14826;
				obj_t BgL_iboxesz00_14827;
				long BgL_siza7eza7_14828;
				BgL_ev_absz00_bglt BgL_i1255z00_14829;
				obj_t BgL_bodyz00_14830;
				long BgL_siza7ezd2framez75_14831;

				BgL_ifreesz00_14826 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 0))));
				BgL_iboxesz00_14827 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 1))));
				BgL_siza7eza7_14828 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 2))));
				BgL_i1255z00_14829 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 3))));
				BgL_bodyz00_14830 = PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14831 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17596;

					BgL_bpz00_17596 = VECTOR_REF(((obj_t) BgL_sz00_14832), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17597;

						BgL_valza2za2_17597 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14832,
							BgL_bpz00_17596, BgL_ifreesz00_14826);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17598;

							BgL_runz00_17598 =
								MAKE_FX_PROCEDURE(BGl_z62run4542z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17598,
								(int) (((long) 0)), BgL_iboxesz00_14827);
							PROCEDURE_SET(BgL_runz00_17598,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14828));
							PROCEDURE_SET(BgL_runz00_17598,
								(int) (((long) 2)), BgL_valza2za2_17597);
							PROCEDURE_SET(BgL_runz00_17598,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14829));
							PROCEDURE_SET(BgL_runz00_17598,
								(int) (((long) 4)), BgL_bodyz00_14830);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17599;

								BgL_mainz00_17599 =
									MAKE_VA_PROCEDURE(BGl_z62main4541z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17599,
									(int) (((long) 0)), BgL_iboxesz00_14827);
								PROCEDURE_SET(BgL_mainz00_17599,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14828));
								PROCEDURE_SET(BgL_mainz00_17599,
									(int) (((long) 2)), BgL_valza2za2_17597);
								PROCEDURE_SET(BgL_mainz00_17599,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14829));
								PROCEDURE_SET(BgL_mainz00_17599,
									(int) (((long) 4)), BgL_bodyz00_14830);
								PROCEDURE_SET(BgL_mainz00_17599,
									(int) (((long) 5)), BgL_runz00_17598);
								PROCEDURE_SET(BgL_mainz00_17599,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14831));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17600;

									BgL_objz00_17600 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17598, BgL_objz00_17600);
									BgL_objz00_17600;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3723z00_17601;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3725z00_17602;

										BgL_arg3725z00_17602 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14829))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17603;

											BgL_newz00_17603 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30716;

												BgL_tmpz00_30716 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17603, BgL_tmpz00_30716,
													BgL_arg3725z00_17602);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30721;
												int BgL_tmpz00_30719;

												BgL_auxz00_30721 = BINT(BgL_siza7ezd2framez75_14831);
												BgL_tmpz00_30719 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17603, BgL_tmpz00_30719,
													BgL_auxz00_30721);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30724;

												BgL_tmpz00_30724 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17603, BgL_tmpz00_30724,
													BgL_runz00_17598);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30729;
												int BgL_tmpz00_30727;

												BgL_auxz00_30729 = BINT(((long) -3));
												BgL_tmpz00_30727 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17603, BgL_tmpz00_30727,
													BgL_auxz00_30729);
											}
											BgL_arg3723z00_17601 = BgL_newz00_17603;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17599, BgL_arg3723z00_17601);
									BgL_arg3723z00_17601;
								}
								return BgL_mainz00_17599;
							}
						}
					}
				}
			}
		}

	}



/* &main4541 */
	obj_t BGl_z62main4541z62zz__evaluate_compz00(obj_t BgL_envz00_14833,
		obj_t BgL_cz00_14841, obj_t BgL_dz00_14842, obj_t BgL_lastz00_14843)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14839;
				long BgL_siza7ezd2framez75_14840;

				BgL_runz00_14839 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14833, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14840 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14833, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17604;

					BgL_sz00_17604 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17605;

						BgL_bpz00_17605 = VECTOR_REF(((obj_t) BgL_sz00_17604), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17605) + BgL_siza7ezd2framez75_14840) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17604))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3729z00_17606;

									BgL_arg3729z00_17606 =
										((long) CINT(BgL_bpz00_17605) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17604), BgL_arg3729z00_17606,
										BgL_cz00_14841);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3730z00_17607;

									BgL_arg3730z00_17607 =
										((long) CINT(BgL_bpz00_17605) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17604), BgL_arg3730z00_17607,
										BgL_dz00_14842);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3731z00_17608;

									BgL_arg3731z00_17608 =
										((long) CINT(BgL_bpz00_17605) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17604), BgL_arg3731z00_17608,
										BgL_lastz00_14843);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17609;

									BgL_ez00_17609 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17610;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17611;

											BgL_arg4348z00_17611 = BGL_EXITD_PROTECT(BgL_ez00_17609);
											BgL_arg4347z00_17610 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17605, BgL_arg4348z00_17611);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17609, BgL_arg4347z00_17610);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17612;

										BgL_accz00_17612 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14839, BgL_sz00_17604, BgL_bpz00_17605);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5586z00_30765;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17613;

												BgL_arg4346z00_17613 =
													BGL_EXITD_PROTECT(BgL_ez00_17609);
												BgL_test5586z00_30765 = PAIRP(BgL_arg4346z00_17613);
											}
											if (BgL_test5586z00_30765)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17614;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17615;

														BgL_arg4345z00_17615 =
															BGL_EXITD_PROTECT(BgL_ez00_17609);
														BgL_arg4344z00_17614 =
															CDR(((obj_t) BgL_arg4345z00_17615));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17609,
														BgL_arg4344z00_17614);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17604), ((long) 0), BgL_bpz00_17605);
										return BgL_accz00_17612;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17616;

								BgL_nsz00_17616 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17616, ((long) 1), BgL_sz00_17604);
								VECTOR_SET(BgL_nsz00_17616, ((long) 2), BgL_cz00_14841);
								VECTOR_SET(BgL_nsz00_17616, ((long) 3), BgL_dz00_14842);
								VECTOR_SET(BgL_nsz00_17616, ((long) 4), BgL_lastz00_14843);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17617;

									BgL_z12denvz12_17617 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17617, BgL_nsz00_17616);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17618;

										BgL_ez00_17618 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17619;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17620;

												BgL_arg4348z00_17620 =
													BGL_EXITD_PROTECT(BgL_ez00_17618);
												BgL_arg4347z00_17619 =
													MAKE_YOUNG_PAIR(BgL_sz00_17604, BgL_arg4348z00_17620);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17618,
												BgL_arg4347z00_17619);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17621;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17622;

												BgL_savedzd2bpzd2_17622 =
													VECTOR_REF(BgL_nsz00_17616, ((long) 0));
												VECTOR_SET(BgL_nsz00_17616, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17624;

													BgL_fz00_17624 = BgL_runz00_14839;
												BgL_recz00_17623:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17625;

														BgL_rz00_17625 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17624)) (BgL_fz00_17624,
															BgL_nsz00_17616, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5587z00_30792;

															if (PROCEDUREP(BgL_rz00_17625))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17626;

																	BgL_arg1779z00_17626 =
																		PROCEDURE_ATTR(BgL_rz00_17625);
																	if (STRUCTP(BgL_arg1779z00_17626))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5587z00_30792 =
																				(STRUCT_KEY(BgL_arg1779z00_17626) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5587z00_30792 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5587z00_30792 = ((bool_t) 0);
																}
															if (BgL_test5587z00_30792)
																{
																	obj_t BgL_fz00_30800;

																	BgL_fz00_30800 = BgL_rz00_17625;
																	BgL_fz00_17624 = BgL_fz00_30800;
																	goto BgL_recz00_17623;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17616, ((long) 0),
																		BgL_savedzd2bpzd2_17622);
																	BgL_____rz00_17621 = BgL_rz00_17625;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5590z00_30802;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17627;

													BgL_arg4346z00_17627 =
														BGL_EXITD_PROTECT(BgL_ez00_17618);
													BgL_test5590z00_30802 = PAIRP(BgL_arg4346z00_17627);
												}
												if (BgL_test5590z00_30802)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17628;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17629;

															BgL_arg4345z00_17629 =
																BGL_EXITD_PROTECT(BgL_ez00_17618);
															BgL_arg4344z00_17628 =
																CDR(((obj_t) BgL_arg4345z00_17629));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17618,
															BgL_arg4344z00_17628);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17617, BgL_sz00_17604);
											return BgL_____rz00_17621;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4542 */
	obj_t BGl_z62run4542z62zz__evaluate_compz00(obj_t BgL_envz00_14844,
		obj_t BgL_sz00_14850)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14845;
				long BgL_siza7eza7_14846;
				obj_t BgL_valza2za2_14847;
				BgL_ev_absz00_bglt BgL_i1255z00_14848;
				obj_t BgL_bodyz00_14849;

				BgL_iboxesz00_14845 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14844, (int) (((long) 0))));
				BgL_siza7eza7_14846 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14844, (int) (((long) 1))));
				BgL_valza2za2_14847 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14844, (int) (((long) 2))));
				BgL_i1255z00_14848 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14844, (int) (((long) 3))));
				BgL_bodyz00_14849 = PROCEDURE_REF(BgL_envz00_14844, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17630;

					BgL_bpz00_17630 = VECTOR_REF(((obj_t) BgL_sz00_14850), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14850,
						BgL_iboxesz00_14845, BgL_bpz00_17630);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14850,
						BgL_valza2za2_14847,
						((long) CINT(BgL_bpz00_17630) + BgL_siza7eza7_14846));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17631;
						obj_t BgL_wherez00_17632;
						obj_t BgL_locz00_17633;

						BgL_z12denvz12_17631 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17632 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14848))->
							BgL_wherez00);
						BgL_locz00_17633 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14848))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17631, BgL_wherez00_17632,
								BgL_locz00_17633);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17634;

								BgL_za2za2resza2za2z00_17634 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14849)) (BgL_bodyz00_14849,
									BgL_sz00_14850, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17631);
								return BgL_za2za2resza2za2z00_17634;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3633> */
	obj_t BGl_z62zc3z04anonymousza33633ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14851, obj_t BgL_sz00_14855)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14852;
				obj_t BgL_bodyz00_14853;
				long BgL_siza7ezd2framez75_14854;

				BgL_i1255z00_14852 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14851, (int) (((long) 0))));
				BgL_bodyz00_14853 = PROCEDURE_REF(BgL_envz00_14851, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14854 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14851, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17635;

					BgL_bpz00_17635 = VECTOR_REF(((obj_t) BgL_sz00_14855), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17636;

							BgL_runz00_17636 =
								MAKE_FX_PROCEDURE(BGl_z62run4544z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17636,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14852));
							PROCEDURE_SET(BgL_runz00_17636,
								(int) (((long) 1)), BgL_bodyz00_14853);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17637;

								BgL_mainz00_17637 =
									MAKE_FX_PROCEDURE(BGl_z62main4543z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17637,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14852));
								PROCEDURE_SET(BgL_mainz00_17637,
									(int) (((long) 1)), BgL_bodyz00_14853);
								PROCEDURE_SET(BgL_mainz00_17637,
									(int) (((long) 2)), BgL_runz00_17636);
								PROCEDURE_SET(BgL_mainz00_17637,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14854));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17638;

									BgL_objz00_17638 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17636, BgL_objz00_17638);
									BgL_objz00_17638;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3635z00_17639;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3636z00_17640;

										BgL_arg3636z00_17640 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14852))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17641;

											BgL_newz00_17641 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30874;

												BgL_tmpz00_30874 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17641, BgL_tmpz00_30874,
													BgL_arg3636z00_17640);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30879;
												int BgL_tmpz00_30877;

												BgL_auxz00_30879 = BINT(BgL_siza7ezd2framez75_14854);
												BgL_tmpz00_30877 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17641, BgL_tmpz00_30877,
													BgL_auxz00_30879);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30882;

												BgL_tmpz00_30882 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17641, BgL_tmpz00_30882,
													BgL_runz00_17636);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30887;
												int BgL_tmpz00_30885;

												BgL_auxz00_30887 = BINT(((long) 2));
												BgL_tmpz00_30885 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17641, BgL_tmpz00_30885,
													BgL_auxz00_30887);
											}
											BgL_arg3635z00_17639 = BgL_newz00_17641;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17637, BgL_arg3635z00_17639);
									BgL_arg3635z00_17639;
								}
								return BgL_mainz00_17637;
							}
						}
					}
				}
			}
		}

	}



/* &main4543 */
	obj_t BGl_z62main4543z62zz__evaluate_compz00(obj_t BgL_envz00_14856,
		obj_t BgL_cz00_14861, obj_t BgL_dz00_14862)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14859;
				long BgL_siza7ezd2framez75_14860;

				BgL_runz00_14859 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14856, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14860 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14856, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17642;

					BgL_sz00_17642 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17643;

						BgL_bpz00_17643 = VECTOR_REF(((obj_t) BgL_sz00_17642), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17643) + BgL_siza7ezd2framez75_14860) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17642))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3639z00_17644;

									BgL_arg3639z00_17644 =
										((long) CINT(BgL_bpz00_17643) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17642), BgL_arg3639z00_17644,
										BgL_cz00_14861);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3640z00_17645;

									BgL_arg3640z00_17645 =
										((long) CINT(BgL_bpz00_17643) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17642), BgL_arg3640z00_17645,
										BgL_dz00_14862);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17646;

									BgL_ez00_17646 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17647;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17648;

											BgL_arg4348z00_17648 = BGL_EXITD_PROTECT(BgL_ez00_17646);
											BgL_arg4347z00_17647 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17643, BgL_arg4348z00_17648);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17646, BgL_arg4347z00_17647);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17649;

										BgL_accz00_17649 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14859, BgL_sz00_17642, BgL_bpz00_17643);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5592z00_30919;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17650;

												BgL_arg4346z00_17650 =
													BGL_EXITD_PROTECT(BgL_ez00_17646);
												BgL_test5592z00_30919 = PAIRP(BgL_arg4346z00_17650);
											}
											if (BgL_test5592z00_30919)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17651;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17652;

														BgL_arg4345z00_17652 =
															BGL_EXITD_PROTECT(BgL_ez00_17646);
														BgL_arg4344z00_17651 =
															CDR(((obj_t) BgL_arg4345z00_17652));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17646,
														BgL_arg4344z00_17651);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17642), ((long) 0), BgL_bpz00_17643);
										return BgL_accz00_17649;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17653;

								BgL_nsz00_17653 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17653, ((long) 1), BgL_sz00_17642);
								VECTOR_SET(BgL_nsz00_17653, ((long) 2), BgL_cz00_14861);
								VECTOR_SET(BgL_nsz00_17653, ((long) 3), BgL_dz00_14862);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17654;

									BgL_z12denvz12_17654 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17654, BgL_nsz00_17653);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17655;

										BgL_ez00_17655 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17656;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17657;

												BgL_arg4348z00_17657 =
													BGL_EXITD_PROTECT(BgL_ez00_17655);
												BgL_arg4347z00_17656 =
													MAKE_YOUNG_PAIR(BgL_sz00_17642, BgL_arg4348z00_17657);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17655,
												BgL_arg4347z00_17656);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17658;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17659;

												BgL_savedzd2bpzd2_17659 =
													VECTOR_REF(BgL_nsz00_17653, ((long) 0));
												VECTOR_SET(BgL_nsz00_17653, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17661;

													BgL_fz00_17661 = BgL_runz00_14859;
												BgL_recz00_17660:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17662;

														BgL_rz00_17662 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17661)) (BgL_fz00_17661,
															BgL_nsz00_17653, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5593z00_30945;

															if (PROCEDUREP(BgL_rz00_17662))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17663;

																	BgL_arg1779z00_17663 =
																		PROCEDURE_ATTR(BgL_rz00_17662);
																	if (STRUCTP(BgL_arg1779z00_17663))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5593z00_30945 =
																				(STRUCT_KEY(BgL_arg1779z00_17663) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5593z00_30945 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5593z00_30945 = ((bool_t) 0);
																}
															if (BgL_test5593z00_30945)
																{
																	obj_t BgL_fz00_30953;

																	BgL_fz00_30953 = BgL_rz00_17662;
																	BgL_fz00_17661 = BgL_fz00_30953;
																	goto BgL_recz00_17660;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17653, ((long) 0),
																		BgL_savedzd2bpzd2_17659);
																	BgL_____rz00_17658 = BgL_rz00_17662;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5596z00_30955;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17664;

													BgL_arg4346z00_17664 =
														BGL_EXITD_PROTECT(BgL_ez00_17655);
													BgL_test5596z00_30955 = PAIRP(BgL_arg4346z00_17664);
												}
												if (BgL_test5596z00_30955)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17665;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17666;

															BgL_arg4345z00_17666 =
																BGL_EXITD_PROTECT(BgL_ez00_17655);
															BgL_arg4344z00_17665 =
																CDR(((obj_t) BgL_arg4345z00_17666));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17655,
															BgL_arg4344z00_17665);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17654, BgL_sz00_17642);
											return BgL_____rz00_17658;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4544 */
	obj_t BGl_z62run4544z62zz__evaluate_compz00(obj_t BgL_envz00_14863,
		obj_t BgL_sz00_14866)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14864;
				obj_t BgL_bodyz00_14865;

				BgL_i1255z00_14864 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14863, (int) (((long) 0))));
				BgL_bodyz00_14865 = PROCEDURE_REF(BgL_envz00_14863, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17667;

					BgL_bpz00_17667 = VECTOR_REF(((obj_t) BgL_sz00_14866), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17668;
						obj_t BgL_wherez00_17669;
						obj_t BgL_locz00_17670;

						BgL_z12denvz12_17668 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17669 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14864))->
							BgL_wherez00);
						BgL_locz00_17670 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14864))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17668, BgL_wherez00_17669,
								BgL_locz00_17670);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17671;

								BgL_za2za2resza2za2z00_17671 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14865)) (BgL_bodyz00_14865,
									BgL_sz00_14866, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17668);
								return BgL_za2za2resza2za2z00_17671;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3642> */
	obj_t BGl_z62zc3z04anonymousza33642ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14867, obj_t BgL_sz00_14872)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14868;
				BgL_ev_absz00_bglt BgL_i1255z00_14869;
				obj_t BgL_bodyz00_14870;
				long BgL_siza7ezd2framez75_14871;

				BgL_iboxesz00_14868 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 0))));
				BgL_i1255z00_14869 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 1))));
				BgL_bodyz00_14870 = PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14871 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17672;

					BgL_bpz00_17672 = VECTOR_REF(((obj_t) BgL_sz00_14872), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17673;

							BgL_runz00_17673 =
								MAKE_FX_PROCEDURE(BGl_z62run4546z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17673,
								(int) (((long) 0)), BgL_iboxesz00_14868);
							PROCEDURE_SET(BgL_runz00_17673,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14869));
							PROCEDURE_SET(BgL_runz00_17673,
								(int) (((long) 2)), BgL_bodyz00_14870);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17674;

								BgL_mainz00_17674 =
									MAKE_FX_PROCEDURE(BGl_z62main4545z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17674,
									(int) (((long) 0)), BgL_iboxesz00_14868);
								PROCEDURE_SET(BgL_mainz00_17674,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14869));
								PROCEDURE_SET(BgL_mainz00_17674,
									(int) (((long) 2)), BgL_bodyz00_14870);
								PROCEDURE_SET(BgL_mainz00_17674,
									(int) (((long) 3)), BgL_runz00_17673);
								PROCEDURE_SET(BgL_mainz00_17674,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14871));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17675;

									BgL_objz00_17675 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17673, BgL_objz00_17675);
									BgL_objz00_17675;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3643z00_17676;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3644z00_17677;

										BgL_arg3644z00_17677 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14869))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17678;

											BgL_newz00_17678 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31021;

												BgL_tmpz00_31021 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17678, BgL_tmpz00_31021,
													BgL_arg3644z00_17677);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31026;
												int BgL_tmpz00_31024;

												BgL_auxz00_31026 = BINT(BgL_siza7ezd2framez75_14871);
												BgL_tmpz00_31024 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17678, BgL_tmpz00_31024,
													BgL_auxz00_31026);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31029;

												BgL_tmpz00_31029 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17678, BgL_tmpz00_31029,
													BgL_runz00_17673);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31034;
												int BgL_tmpz00_31032;

												BgL_auxz00_31034 = BINT(((long) 2));
												BgL_tmpz00_31032 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17678, BgL_tmpz00_31032,
													BgL_auxz00_31034);
											}
											BgL_arg3643z00_17676 = BgL_newz00_17678;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17674, BgL_arg3643z00_17676);
									BgL_arg3643z00_17676;
								}
								return BgL_mainz00_17674;
							}
						}
					}
				}
			}
		}

	}



/* &main4545 */
	obj_t BGl_z62main4545z62zz__evaluate_compz00(obj_t BgL_envz00_14873,
		obj_t BgL_cz00_14879, obj_t BgL_dz00_14880)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14877;
				long BgL_siza7ezd2framez75_14878;

				BgL_runz00_14877 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14873, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14878 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14873, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17679;

					BgL_sz00_17679 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17680;

						BgL_bpz00_17680 = VECTOR_REF(((obj_t) BgL_sz00_17679), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17680) + BgL_siza7ezd2framez75_14878) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17679))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3647z00_17681;

									BgL_arg3647z00_17681 =
										((long) CINT(BgL_bpz00_17680) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17679), BgL_arg3647z00_17681,
										BgL_cz00_14879);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3648z00_17682;

									BgL_arg3648z00_17682 =
										((long) CINT(BgL_bpz00_17680) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17679), BgL_arg3648z00_17682,
										BgL_dz00_14880);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17683;

									BgL_ez00_17683 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17684;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17685;

											BgL_arg4348z00_17685 = BGL_EXITD_PROTECT(BgL_ez00_17683);
											BgL_arg4347z00_17684 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17680, BgL_arg4348z00_17685);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17683, BgL_arg4347z00_17684);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17686;

										BgL_accz00_17686 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14877, BgL_sz00_17679, BgL_bpz00_17680);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5598z00_31066;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17687;

												BgL_arg4346z00_17687 =
													BGL_EXITD_PROTECT(BgL_ez00_17683);
												BgL_test5598z00_31066 = PAIRP(BgL_arg4346z00_17687);
											}
											if (BgL_test5598z00_31066)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17688;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17689;

														BgL_arg4345z00_17689 =
															BGL_EXITD_PROTECT(BgL_ez00_17683);
														BgL_arg4344z00_17688 =
															CDR(((obj_t) BgL_arg4345z00_17689));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17683,
														BgL_arg4344z00_17688);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17679), ((long) 0), BgL_bpz00_17680);
										return BgL_accz00_17686;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17690;

								BgL_nsz00_17690 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17690, ((long) 1), BgL_sz00_17679);
								VECTOR_SET(BgL_nsz00_17690, ((long) 2), BgL_cz00_14879);
								VECTOR_SET(BgL_nsz00_17690, ((long) 3), BgL_dz00_14880);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17691;

									BgL_z12denvz12_17691 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17691, BgL_nsz00_17690);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17692;

										BgL_ez00_17692 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17693;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17694;

												BgL_arg4348z00_17694 =
													BGL_EXITD_PROTECT(BgL_ez00_17692);
												BgL_arg4347z00_17693 =
													MAKE_YOUNG_PAIR(BgL_sz00_17679, BgL_arg4348z00_17694);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17692,
												BgL_arg4347z00_17693);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17695;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17696;

												BgL_savedzd2bpzd2_17696 =
													VECTOR_REF(BgL_nsz00_17690, ((long) 0));
												VECTOR_SET(BgL_nsz00_17690, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17698;

													BgL_fz00_17698 = BgL_runz00_14877;
												BgL_recz00_17697:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17699;

														BgL_rz00_17699 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17698)) (BgL_fz00_17698,
															BgL_nsz00_17690, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5599z00_31092;

															if (PROCEDUREP(BgL_rz00_17699))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17700;

																	BgL_arg1779z00_17700 =
																		PROCEDURE_ATTR(BgL_rz00_17699);
																	if (STRUCTP(BgL_arg1779z00_17700))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5599z00_31092 =
																				(STRUCT_KEY(BgL_arg1779z00_17700) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5599z00_31092 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5599z00_31092 = ((bool_t) 0);
																}
															if (BgL_test5599z00_31092)
																{
																	obj_t BgL_fz00_31100;

																	BgL_fz00_31100 = BgL_rz00_17699;
																	BgL_fz00_17698 = BgL_fz00_31100;
																	goto BgL_recz00_17697;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17690, ((long) 0),
																		BgL_savedzd2bpzd2_17696);
																	BgL_____rz00_17695 = BgL_rz00_17699;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5602z00_31102;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17701;

													BgL_arg4346z00_17701 =
														BGL_EXITD_PROTECT(BgL_ez00_17692);
													BgL_test5602z00_31102 = PAIRP(BgL_arg4346z00_17701);
												}
												if (BgL_test5602z00_31102)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17702;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17703;

															BgL_arg4345z00_17703 =
																BGL_EXITD_PROTECT(BgL_ez00_17692);
															BgL_arg4344z00_17702 =
																CDR(((obj_t) BgL_arg4345z00_17703));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17692,
															BgL_arg4344z00_17702);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17691, BgL_sz00_17679);
											return BgL_____rz00_17695;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4546 */
	obj_t BGl_z62run4546z62zz__evaluate_compz00(obj_t BgL_envz00_14881,
		obj_t BgL_sz00_14885)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14882;
				BgL_ev_absz00_bglt BgL_i1255z00_14883;
				obj_t BgL_bodyz00_14884;

				BgL_iboxesz00_14882 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14881, (int) (((long) 0))));
				BgL_i1255z00_14883 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14881, (int) (((long) 1))));
				BgL_bodyz00_14884 = PROCEDURE_REF(BgL_envz00_14881, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17704;

					BgL_bpz00_17704 = VECTOR_REF(((obj_t) BgL_sz00_14885), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14885,
						BgL_iboxesz00_14882, BgL_bpz00_17704);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17705;
						obj_t BgL_wherez00_17706;
						obj_t BgL_locz00_17707;

						BgL_z12denvz12_17705 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17706 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14883))->
							BgL_wherez00);
						BgL_locz00_17707 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14883))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17705, BgL_wherez00_17706,
								BgL_locz00_17707);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17708;

								BgL_za2za2resza2za2z00_17708 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14884)) (BgL_bodyz00_14884,
									BgL_sz00_14885, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17705);
								return BgL_za2za2resza2za2z00_17708;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3654> */
	obj_t BGl_z62zc3z04anonymousza33654ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14886, obj_t BgL_sz00_14892)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14887;
				long BgL_siza7eza7_14888;
				BgL_ev_absz00_bglt BgL_i1255z00_14889;
				obj_t BgL_bodyz00_14890;
				long BgL_siza7ezd2framez75_14891;

				BgL_ifreesz00_14887 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 0))));
				BgL_siza7eza7_14888 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 1))));
				BgL_i1255z00_14889 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 2))));
				BgL_bodyz00_14890 = PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14891 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17709;

					BgL_bpz00_17709 = VECTOR_REF(((obj_t) BgL_sz00_14892), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17710;

						BgL_valza2za2_17710 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14892,
							BgL_bpz00_17709, BgL_ifreesz00_14887);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17711;

							BgL_runz00_17711 =
								MAKE_FX_PROCEDURE(BGl_z62run4548z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17711,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14888));
							PROCEDURE_SET(BgL_runz00_17711,
								(int) (((long) 1)), BgL_valza2za2_17710);
							PROCEDURE_SET(BgL_runz00_17711,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14889));
							PROCEDURE_SET(BgL_runz00_17711,
								(int) (((long) 3)), BgL_bodyz00_14890);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17712;

								BgL_mainz00_17712 =
									MAKE_FX_PROCEDURE(BGl_z62main4547z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14888));
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 1)), BgL_valza2za2_17710);
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14889));
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 3)), BgL_bodyz00_14890);
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 4)), BgL_runz00_17711);
								PROCEDURE_SET(BgL_mainz00_17712,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14891));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17713;

									BgL_objz00_17713 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17711, BgL_objz00_17713);
									BgL_objz00_17713;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3656z00_17714;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3657z00_17715;

										BgL_arg3657z00_17715 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14889))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17716;

											BgL_newz00_17716 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31182;

												BgL_tmpz00_31182 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17716, BgL_tmpz00_31182,
													BgL_arg3657z00_17715);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31187;
												int BgL_tmpz00_31185;

												BgL_auxz00_31187 = BINT(BgL_siza7ezd2framez75_14891);
												BgL_tmpz00_31185 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17716, BgL_tmpz00_31185,
													BgL_auxz00_31187);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31190;

												BgL_tmpz00_31190 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17716, BgL_tmpz00_31190,
													BgL_runz00_17711);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31195;
												int BgL_tmpz00_31193;

												BgL_auxz00_31195 = BINT(((long) 2));
												BgL_tmpz00_31193 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17716, BgL_tmpz00_31193,
													BgL_auxz00_31195);
											}
											BgL_arg3656z00_17714 = BgL_newz00_17716;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17712, BgL_arg3656z00_17714);
									BgL_arg3656z00_17714;
								}
								return BgL_mainz00_17712;
							}
						}
					}
				}
			}
		}

	}



/* &main4547 */
	obj_t BGl_z62main4547z62zz__evaluate_compz00(obj_t BgL_envz00_14893,
		obj_t BgL_cz00_14900, obj_t BgL_dz00_14901)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14898;
				long BgL_siza7ezd2framez75_14899;

				BgL_runz00_14898 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14893, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14899 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14893, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17717;

					BgL_sz00_17717 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17718;

						BgL_bpz00_17718 = VECTOR_REF(((obj_t) BgL_sz00_17717), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17718) + BgL_siza7ezd2framez75_14899) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17717))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3660z00_17719;

									BgL_arg3660z00_17719 =
										((long) CINT(BgL_bpz00_17718) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17717), BgL_arg3660z00_17719,
										BgL_cz00_14900);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3662z00_17720;

									BgL_arg3662z00_17720 =
										((long) CINT(BgL_bpz00_17718) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17717), BgL_arg3662z00_17720,
										BgL_dz00_14901);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17721;

									BgL_ez00_17721 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17722;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17723;

											BgL_arg4348z00_17723 = BGL_EXITD_PROTECT(BgL_ez00_17721);
											BgL_arg4347z00_17722 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17718, BgL_arg4348z00_17723);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17721, BgL_arg4347z00_17722);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17724;

										BgL_accz00_17724 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14898, BgL_sz00_17717, BgL_bpz00_17718);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5604z00_31227;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17725;

												BgL_arg4346z00_17725 =
													BGL_EXITD_PROTECT(BgL_ez00_17721);
												BgL_test5604z00_31227 = PAIRP(BgL_arg4346z00_17725);
											}
											if (BgL_test5604z00_31227)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17726;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17727;

														BgL_arg4345z00_17727 =
															BGL_EXITD_PROTECT(BgL_ez00_17721);
														BgL_arg4344z00_17726 =
															CDR(((obj_t) BgL_arg4345z00_17727));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17721,
														BgL_arg4344z00_17726);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17717), ((long) 0), BgL_bpz00_17718);
										return BgL_accz00_17724;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17728;

								BgL_nsz00_17728 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17728, ((long) 1), BgL_sz00_17717);
								VECTOR_SET(BgL_nsz00_17728, ((long) 2), BgL_cz00_14900);
								VECTOR_SET(BgL_nsz00_17728, ((long) 3), BgL_dz00_14901);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17729;

									BgL_z12denvz12_17729 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17729, BgL_nsz00_17728);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17730;

										BgL_ez00_17730 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17731;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17732;

												BgL_arg4348z00_17732 =
													BGL_EXITD_PROTECT(BgL_ez00_17730);
												BgL_arg4347z00_17731 =
													MAKE_YOUNG_PAIR(BgL_sz00_17717, BgL_arg4348z00_17732);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17730,
												BgL_arg4347z00_17731);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17733;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17734;

												BgL_savedzd2bpzd2_17734 =
													VECTOR_REF(BgL_nsz00_17728, ((long) 0));
												VECTOR_SET(BgL_nsz00_17728, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17736;

													BgL_fz00_17736 = BgL_runz00_14898;
												BgL_recz00_17735:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17737;

														BgL_rz00_17737 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17736)) (BgL_fz00_17736,
															BgL_nsz00_17728, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5605z00_31253;

															if (PROCEDUREP(BgL_rz00_17737))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17738;

																	BgL_arg1779z00_17738 =
																		PROCEDURE_ATTR(BgL_rz00_17737);
																	if (STRUCTP(BgL_arg1779z00_17738))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5605z00_31253 =
																				(STRUCT_KEY(BgL_arg1779z00_17738) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5605z00_31253 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5605z00_31253 = ((bool_t) 0);
																}
															if (BgL_test5605z00_31253)
																{
																	obj_t BgL_fz00_31261;

																	BgL_fz00_31261 = BgL_rz00_17737;
																	BgL_fz00_17736 = BgL_fz00_31261;
																	goto BgL_recz00_17735;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17728, ((long) 0),
																		BgL_savedzd2bpzd2_17734);
																	BgL_____rz00_17733 = BgL_rz00_17737;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5608z00_31263;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17739;

													BgL_arg4346z00_17739 =
														BGL_EXITD_PROTECT(BgL_ez00_17730);
													BgL_test5608z00_31263 = PAIRP(BgL_arg4346z00_17739);
												}
												if (BgL_test5608z00_31263)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17740;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17741;

															BgL_arg4345z00_17741 =
																BGL_EXITD_PROTECT(BgL_ez00_17730);
															BgL_arg4344z00_17740 =
																CDR(((obj_t) BgL_arg4345z00_17741));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17730,
															BgL_arg4344z00_17740);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17729, BgL_sz00_17717);
											return BgL_____rz00_17733;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4548 */
	obj_t BGl_z62run4548z62zz__evaluate_compz00(obj_t BgL_envz00_14902,
		obj_t BgL_sz00_14907)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14903;
				obj_t BgL_valza2za2_14904;
				BgL_ev_absz00_bglt BgL_i1255z00_14905;
				obj_t BgL_bodyz00_14906;

				BgL_siza7eza7_14903 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14902, (int) (((long) 0))));
				BgL_valza2za2_14904 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14902, (int) (((long) 1))));
				BgL_i1255z00_14905 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14902, (int) (((long) 2))));
				BgL_bodyz00_14906 = PROCEDURE_REF(BgL_envz00_14902, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17742;

					BgL_bpz00_17742 = VECTOR_REF(((obj_t) BgL_sz00_14907), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14907,
						BgL_valza2za2_14904,
						((long) CINT(BgL_bpz00_17742) + BgL_siza7eza7_14903));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17743;
						obj_t BgL_wherez00_17744;
						obj_t BgL_locz00_17745;

						BgL_z12denvz12_17743 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17744 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14905))->
							BgL_wherez00);
						BgL_locz00_17745 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14905))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17743, BgL_wherez00_17744,
								BgL_locz00_17745);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17746;

								BgL_za2za2resza2za2z00_17746 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14906)) (BgL_bodyz00_14906,
									BgL_sz00_14907, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17743);
								return BgL_za2za2resza2za2z00_17746;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3666> */
	obj_t BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14908, obj_t BgL_sz00_14915)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14909;
				obj_t BgL_iboxesz00_14910;
				long BgL_siza7eza7_14911;
				BgL_ev_absz00_bglt BgL_i1255z00_14912;
				obj_t BgL_bodyz00_14913;
				long BgL_siza7ezd2framez75_14914;

				BgL_ifreesz00_14909 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 0))));
				BgL_iboxesz00_14910 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 1))));
				BgL_siza7eza7_14911 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 2))));
				BgL_i1255z00_14912 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 3))));
				BgL_bodyz00_14913 = PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14914 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14908, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17747;

					BgL_bpz00_17747 = VECTOR_REF(((obj_t) BgL_sz00_14915), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17748;

						BgL_valza2za2_17748 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14915,
							BgL_bpz00_17747, BgL_ifreesz00_14909);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17749;

							BgL_runz00_17749 =
								MAKE_FX_PROCEDURE(BGl_z62run4550z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17749,
								(int) (((long) 0)), BgL_iboxesz00_14910);
							PROCEDURE_SET(BgL_runz00_17749,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14911));
							PROCEDURE_SET(BgL_runz00_17749,
								(int) (((long) 2)), BgL_valza2za2_17748);
							PROCEDURE_SET(BgL_runz00_17749,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14912));
							PROCEDURE_SET(BgL_runz00_17749,
								(int) (((long) 4)), BgL_bodyz00_14913);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17750;

								BgL_mainz00_17750 =
									MAKE_FX_PROCEDURE(BGl_z62main4549z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17750,
									(int) (((long) 0)), BgL_iboxesz00_14910);
								PROCEDURE_SET(BgL_mainz00_17750,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14911));
								PROCEDURE_SET(BgL_mainz00_17750,
									(int) (((long) 2)), BgL_valza2za2_17748);
								PROCEDURE_SET(BgL_mainz00_17750,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14912));
								PROCEDURE_SET(BgL_mainz00_17750,
									(int) (((long) 4)), BgL_bodyz00_14913);
								PROCEDURE_SET(BgL_mainz00_17750,
									(int) (((long) 5)), BgL_runz00_17749);
								PROCEDURE_SET(BgL_mainz00_17750,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14914));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17751;

									BgL_objz00_17751 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17749, BgL_objz00_17751);
									BgL_objz00_17751;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3668z00_17752;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3669z00_17753;

										BgL_arg3669z00_17753 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14912))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17754;

											BgL_newz00_17754 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31355;

												BgL_tmpz00_31355 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17754, BgL_tmpz00_31355,
													BgL_arg3669z00_17753);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31360;
												int BgL_tmpz00_31358;

												BgL_auxz00_31360 = BINT(BgL_siza7ezd2framez75_14914);
												BgL_tmpz00_31358 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17754, BgL_tmpz00_31358,
													BgL_auxz00_31360);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31363;

												BgL_tmpz00_31363 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17754, BgL_tmpz00_31363,
													BgL_runz00_17749);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31368;
												int BgL_tmpz00_31366;

												BgL_auxz00_31368 = BINT(((long) 2));
												BgL_tmpz00_31366 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17754, BgL_tmpz00_31366,
													BgL_auxz00_31368);
											}
											BgL_arg3668z00_17752 = BgL_newz00_17754;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17750, BgL_arg3668z00_17752);
									BgL_arg3668z00_17752;
								}
								return BgL_mainz00_17750;
							}
						}
					}
				}
			}
		}

	}



/* &main4549 */
	obj_t BGl_z62main4549z62zz__evaluate_compz00(obj_t BgL_envz00_14916,
		obj_t BgL_cz00_14924, obj_t BgL_dz00_14925)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14922;
				long BgL_siza7ezd2framez75_14923;

				BgL_runz00_14922 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14916, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14923 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14916, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17755;

					BgL_sz00_17755 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17756;

						BgL_bpz00_17756 = VECTOR_REF(((obj_t) BgL_sz00_17755), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17756) + BgL_siza7ezd2framez75_14923) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17755))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3672z00_17757;

									BgL_arg3672z00_17757 =
										((long) CINT(BgL_bpz00_17756) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17755), BgL_arg3672z00_17757,
										BgL_cz00_14924);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3674z00_17758;

									BgL_arg3674z00_17758 =
										((long) CINT(BgL_bpz00_17756) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17755), BgL_arg3674z00_17758,
										BgL_dz00_14925);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17759;

									BgL_ez00_17759 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17760;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17761;

											BgL_arg4348z00_17761 = BGL_EXITD_PROTECT(BgL_ez00_17759);
											BgL_arg4347z00_17760 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17756, BgL_arg4348z00_17761);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17759, BgL_arg4347z00_17760);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17762;

										BgL_accz00_17762 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14922, BgL_sz00_17755, BgL_bpz00_17756);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5610z00_31400;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17763;

												BgL_arg4346z00_17763 =
													BGL_EXITD_PROTECT(BgL_ez00_17759);
												BgL_test5610z00_31400 = PAIRP(BgL_arg4346z00_17763);
											}
											if (BgL_test5610z00_31400)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17764;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17765;

														BgL_arg4345z00_17765 =
															BGL_EXITD_PROTECT(BgL_ez00_17759);
														BgL_arg4344z00_17764 =
															CDR(((obj_t) BgL_arg4345z00_17765));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17759,
														BgL_arg4344z00_17764);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17755), ((long) 0), BgL_bpz00_17756);
										return BgL_accz00_17762;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17766;

								BgL_nsz00_17766 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17766, ((long) 1), BgL_sz00_17755);
								VECTOR_SET(BgL_nsz00_17766, ((long) 2), BgL_cz00_14924);
								VECTOR_SET(BgL_nsz00_17766, ((long) 3), BgL_dz00_14925);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17767;

									BgL_z12denvz12_17767 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17767, BgL_nsz00_17766);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17768;

										BgL_ez00_17768 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17769;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17770;

												BgL_arg4348z00_17770 =
													BGL_EXITD_PROTECT(BgL_ez00_17768);
												BgL_arg4347z00_17769 =
													MAKE_YOUNG_PAIR(BgL_sz00_17755, BgL_arg4348z00_17770);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17768,
												BgL_arg4347z00_17769);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17771;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17772;

												BgL_savedzd2bpzd2_17772 =
													VECTOR_REF(BgL_nsz00_17766, ((long) 0));
												VECTOR_SET(BgL_nsz00_17766, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17774;

													BgL_fz00_17774 = BgL_runz00_14922;
												BgL_recz00_17773:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17775;

														BgL_rz00_17775 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17774)) (BgL_fz00_17774,
															BgL_nsz00_17766, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5611z00_31426;

															if (PROCEDUREP(BgL_rz00_17775))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17776;

																	BgL_arg1779z00_17776 =
																		PROCEDURE_ATTR(BgL_rz00_17775);
																	if (STRUCTP(BgL_arg1779z00_17776))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5611z00_31426 =
																				(STRUCT_KEY(BgL_arg1779z00_17776) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5611z00_31426 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5611z00_31426 = ((bool_t) 0);
																}
															if (BgL_test5611z00_31426)
																{
																	obj_t BgL_fz00_31434;

																	BgL_fz00_31434 = BgL_rz00_17775;
																	BgL_fz00_17774 = BgL_fz00_31434;
																	goto BgL_recz00_17773;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17766, ((long) 0),
																		BgL_savedzd2bpzd2_17772);
																	BgL_____rz00_17771 = BgL_rz00_17775;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5614z00_31436;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17777;

													BgL_arg4346z00_17777 =
														BGL_EXITD_PROTECT(BgL_ez00_17768);
													BgL_test5614z00_31436 = PAIRP(BgL_arg4346z00_17777);
												}
												if (BgL_test5614z00_31436)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17778;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17779;

															BgL_arg4345z00_17779 =
																BGL_EXITD_PROTECT(BgL_ez00_17768);
															BgL_arg4344z00_17778 =
																CDR(((obj_t) BgL_arg4345z00_17779));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17768,
															BgL_arg4344z00_17778);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17767, BgL_sz00_17755);
											return BgL_____rz00_17771;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4550 */
	obj_t BGl_z62run4550z62zz__evaluate_compz00(obj_t BgL_envz00_14926,
		obj_t BgL_sz00_14932)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14927;
				long BgL_siza7eza7_14928;
				obj_t BgL_valza2za2_14929;
				BgL_ev_absz00_bglt BgL_i1255z00_14930;
				obj_t BgL_bodyz00_14931;

				BgL_iboxesz00_14927 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14926, (int) (((long) 0))));
				BgL_siza7eza7_14928 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14926, (int) (((long) 1))));
				BgL_valza2za2_14929 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14926, (int) (((long) 2))));
				BgL_i1255z00_14930 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14926, (int) (((long) 3))));
				BgL_bodyz00_14931 = PROCEDURE_REF(BgL_envz00_14926, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17780;

					BgL_bpz00_17780 = VECTOR_REF(((obj_t) BgL_sz00_14932), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14932,
						BgL_iboxesz00_14927, BgL_bpz00_17780);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14932,
						BgL_valza2za2_14929,
						((long) CINT(BgL_bpz00_17780) + BgL_siza7eza7_14928));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17781;
						obj_t BgL_wherez00_17782;
						obj_t BgL_locz00_17783;

						BgL_z12denvz12_17781 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17782 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14930))->
							BgL_wherez00);
						BgL_locz00_17783 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14930))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17781, BgL_wherez00_17782,
								BgL_locz00_17783);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17784;

								BgL_za2za2resza2za2z00_17784 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14931)) (BgL_bodyz00_14931,
									BgL_sz00_14932, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17781);
								return BgL_za2za2resza2za2z00_17784;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3583> */
	obj_t BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14933, obj_t BgL_sz00_14937)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14934;
				obj_t BgL_bodyz00_14935;
				long BgL_siza7ezd2framez75_14936;

				BgL_i1255z00_14934 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14933, (int) (((long) 0))));
				BgL_bodyz00_14935 = PROCEDURE_REF(BgL_envz00_14933, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14936 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14933, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17785;

					BgL_bpz00_17785 = VECTOR_REF(((obj_t) BgL_sz00_14937), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17786;

							BgL_runz00_17786 =
								MAKE_FX_PROCEDURE(BGl_z62run4552z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17786,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14934));
							PROCEDURE_SET(BgL_runz00_17786,
								(int) (((long) 1)), BgL_bodyz00_14935);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17787;

								BgL_mainz00_17787 =
									MAKE_VA_PROCEDURE(BGl_z62main4551z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17787,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14934));
								PROCEDURE_SET(BgL_mainz00_17787,
									(int) (((long) 1)), BgL_bodyz00_14935);
								PROCEDURE_SET(BgL_mainz00_17787,
									(int) (((long) 2)), BgL_runz00_17786);
								PROCEDURE_SET(BgL_mainz00_17787,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14936));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17788;

									BgL_objz00_17788 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17786, BgL_objz00_17788);
									BgL_objz00_17788;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3585z00_17789;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3586z00_17790;

										BgL_arg3586z00_17790 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14934))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17791;

											BgL_newz00_17791 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31508;

												BgL_tmpz00_31508 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17791, BgL_tmpz00_31508,
													BgL_arg3586z00_17790);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31513;
												int BgL_tmpz00_31511;

												BgL_auxz00_31513 = BINT(BgL_siza7ezd2framez75_14936);
												BgL_tmpz00_31511 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17791, BgL_tmpz00_31511,
													BgL_auxz00_31513);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31516;

												BgL_tmpz00_31516 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17791, BgL_tmpz00_31516,
													BgL_runz00_17786);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31521;
												int BgL_tmpz00_31519;

												BgL_auxz00_31521 = BINT(((long) -2));
												BgL_tmpz00_31519 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17791, BgL_tmpz00_31519,
													BgL_auxz00_31521);
											}
											BgL_arg3585z00_17789 = BgL_newz00_17791;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17787, BgL_arg3585z00_17789);
									BgL_arg3585z00_17789;
								}
								return BgL_mainz00_17787;
							}
						}
					}
				}
			}
		}

	}



/* &main4551 */
	obj_t BGl_z62main4551z62zz__evaluate_compz00(obj_t BgL_envz00_14938,
		obj_t BgL_dz00_14943, obj_t BgL_lastz00_14944)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14941;
				long BgL_siza7ezd2framez75_14942;

				BgL_runz00_14941 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14938, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14942 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14938, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17792;

					BgL_sz00_17792 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17793;

						BgL_bpz00_17793 = VECTOR_REF(((obj_t) BgL_sz00_17792), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17793) + BgL_siza7ezd2framez75_14942) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17792))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3589z00_17794;

									BgL_arg3589z00_17794 =
										((long) CINT(BgL_bpz00_17793) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17792), BgL_arg3589z00_17794,
										BgL_dz00_14943);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3591z00_17795;

									BgL_arg3591z00_17795 =
										((long) CINT(BgL_bpz00_17793) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17792), BgL_arg3591z00_17795,
										BgL_lastz00_14944);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17796;

									BgL_ez00_17796 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17797;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17798;

											BgL_arg4348z00_17798 = BGL_EXITD_PROTECT(BgL_ez00_17796);
											BgL_arg4347z00_17797 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17793, BgL_arg4348z00_17798);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17796, BgL_arg4347z00_17797);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17799;

										BgL_accz00_17799 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14941, BgL_sz00_17792, BgL_bpz00_17793);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5616z00_31553;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17800;

												BgL_arg4346z00_17800 =
													BGL_EXITD_PROTECT(BgL_ez00_17796);
												BgL_test5616z00_31553 = PAIRP(BgL_arg4346z00_17800);
											}
											if (BgL_test5616z00_31553)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17801;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17802;

														BgL_arg4345z00_17802 =
															BGL_EXITD_PROTECT(BgL_ez00_17796);
														BgL_arg4344z00_17801 =
															CDR(((obj_t) BgL_arg4345z00_17802));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17796,
														BgL_arg4344z00_17801);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17792), ((long) 0), BgL_bpz00_17793);
										return BgL_accz00_17799;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17803;

								BgL_nsz00_17803 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17803, ((long) 1), BgL_sz00_17792);
								VECTOR_SET(BgL_nsz00_17803, ((long) 2), BgL_dz00_14943);
								VECTOR_SET(BgL_nsz00_17803, ((long) 3), BgL_lastz00_14944);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17804;

									BgL_z12denvz12_17804 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17804, BgL_nsz00_17803);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17805;

										BgL_ez00_17805 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17806;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17807;

												BgL_arg4348z00_17807 =
													BGL_EXITD_PROTECT(BgL_ez00_17805);
												BgL_arg4347z00_17806 =
													MAKE_YOUNG_PAIR(BgL_sz00_17792, BgL_arg4348z00_17807);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17805,
												BgL_arg4347z00_17806);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17808;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17809;

												BgL_savedzd2bpzd2_17809 =
													VECTOR_REF(BgL_nsz00_17803, ((long) 0));
												VECTOR_SET(BgL_nsz00_17803, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17811;

													BgL_fz00_17811 = BgL_runz00_14941;
												BgL_recz00_17810:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17812;

														BgL_rz00_17812 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17811)) (BgL_fz00_17811,
															BgL_nsz00_17803, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5617z00_31579;

															if (PROCEDUREP(BgL_rz00_17812))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17813;

																	BgL_arg1779z00_17813 =
																		PROCEDURE_ATTR(BgL_rz00_17812);
																	if (STRUCTP(BgL_arg1779z00_17813))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5617z00_31579 =
																				(STRUCT_KEY(BgL_arg1779z00_17813) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5617z00_31579 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5617z00_31579 = ((bool_t) 0);
																}
															if (BgL_test5617z00_31579)
																{
																	obj_t BgL_fz00_31587;

																	BgL_fz00_31587 = BgL_rz00_17812;
																	BgL_fz00_17811 = BgL_fz00_31587;
																	goto BgL_recz00_17810;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17803, ((long) 0),
																		BgL_savedzd2bpzd2_17809);
																	BgL_____rz00_17808 = BgL_rz00_17812;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5620z00_31589;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17814;

													BgL_arg4346z00_17814 =
														BGL_EXITD_PROTECT(BgL_ez00_17805);
													BgL_test5620z00_31589 = PAIRP(BgL_arg4346z00_17814);
												}
												if (BgL_test5620z00_31589)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17815;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17816;

															BgL_arg4345z00_17816 =
																BGL_EXITD_PROTECT(BgL_ez00_17805);
															BgL_arg4344z00_17815 =
																CDR(((obj_t) BgL_arg4345z00_17816));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17805,
															BgL_arg4344z00_17815);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17804, BgL_sz00_17792);
											return BgL_____rz00_17808;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4552 */
	obj_t BGl_z62run4552z62zz__evaluate_compz00(obj_t BgL_envz00_14945,
		obj_t BgL_sz00_14948)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14946;
				obj_t BgL_bodyz00_14947;

				BgL_i1255z00_14946 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14945, (int) (((long) 0))));
				BgL_bodyz00_14947 = PROCEDURE_REF(BgL_envz00_14945, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17817;

					BgL_bpz00_17817 = VECTOR_REF(((obj_t) BgL_sz00_14948), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17818;
						obj_t BgL_wherez00_17819;
						obj_t BgL_locz00_17820;

						BgL_z12denvz12_17818 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17819 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14946))->
							BgL_wherez00);
						BgL_locz00_17820 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14946))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17818, BgL_wherez00_17819,
								BgL_locz00_17820);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17821;

								BgL_za2za2resza2za2z00_17821 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14947)) (BgL_bodyz00_14947,
									BgL_sz00_14948, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17818);
								return BgL_za2za2resza2za2z00_17821;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3593> */
	obj_t BGl_z62zc3z04anonymousza33593ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14949, obj_t BgL_sz00_14954)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14950;
				BgL_ev_absz00_bglt BgL_i1255z00_14951;
				obj_t BgL_bodyz00_14952;
				long BgL_siza7ezd2framez75_14953;

				BgL_iboxesz00_14950 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 0))));
				BgL_i1255z00_14951 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 1))));
				BgL_bodyz00_14952 = PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14953 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17822;

					BgL_bpz00_17822 = VECTOR_REF(((obj_t) BgL_sz00_14954), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17823;

							BgL_runz00_17823 =
								MAKE_FX_PROCEDURE(BGl_z62run4554z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17823,
								(int) (((long) 0)), BgL_iboxesz00_14950);
							PROCEDURE_SET(BgL_runz00_17823,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14951));
							PROCEDURE_SET(BgL_runz00_17823,
								(int) (((long) 2)), BgL_bodyz00_14952);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17824;

								BgL_mainz00_17824 =
									MAKE_VA_PROCEDURE(BGl_z62main4553z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17824,
									(int) (((long) 0)), BgL_iboxesz00_14950);
								PROCEDURE_SET(BgL_mainz00_17824,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14951));
								PROCEDURE_SET(BgL_mainz00_17824,
									(int) (((long) 2)), BgL_bodyz00_14952);
								PROCEDURE_SET(BgL_mainz00_17824,
									(int) (((long) 3)), BgL_runz00_17823);
								PROCEDURE_SET(BgL_mainz00_17824,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14953));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17825;

									BgL_objz00_17825 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17823, BgL_objz00_17825);
									BgL_objz00_17825;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3595z00_17826;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3596z00_17827;

										BgL_arg3596z00_17827 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14951))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17828;

											BgL_newz00_17828 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31655;

												BgL_tmpz00_31655 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17828, BgL_tmpz00_31655,
													BgL_arg3596z00_17827);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31660;
												int BgL_tmpz00_31658;

												BgL_auxz00_31660 = BINT(BgL_siza7ezd2framez75_14953);
												BgL_tmpz00_31658 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17828, BgL_tmpz00_31658,
													BgL_auxz00_31660);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31663;

												BgL_tmpz00_31663 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17828, BgL_tmpz00_31663,
													BgL_runz00_17823);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31668;
												int BgL_tmpz00_31666;

												BgL_auxz00_31668 = BINT(((long) -2));
												BgL_tmpz00_31666 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17828, BgL_tmpz00_31666,
													BgL_auxz00_31668);
											}
											BgL_arg3595z00_17826 = BgL_newz00_17828;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17824, BgL_arg3595z00_17826);
									BgL_arg3595z00_17826;
								}
								return BgL_mainz00_17824;
							}
						}
					}
				}
			}
		}

	}



/* &main4553 */
	obj_t BGl_z62main4553z62zz__evaluate_compz00(obj_t BgL_envz00_14955,
		obj_t BgL_dz00_14961, obj_t BgL_lastz00_14962)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14959;
				long BgL_siza7ezd2framez75_14960;

				BgL_runz00_14959 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14955, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14960 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14955, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17829;

					BgL_sz00_17829 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17830;

						BgL_bpz00_17830 = VECTOR_REF(((obj_t) BgL_sz00_17829), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17830) + BgL_siza7ezd2framez75_14960) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17829))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3599z00_17831;

									BgL_arg3599z00_17831 =
										((long) CINT(BgL_bpz00_17830) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17829), BgL_arg3599z00_17831,
										BgL_dz00_14961);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3600z00_17832;

									BgL_arg3600z00_17832 =
										((long) CINT(BgL_bpz00_17830) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17829), BgL_arg3600z00_17832,
										BgL_lastz00_14962);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17833;

									BgL_ez00_17833 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17834;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17835;

											BgL_arg4348z00_17835 = BGL_EXITD_PROTECT(BgL_ez00_17833);
											BgL_arg4347z00_17834 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17830, BgL_arg4348z00_17835);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17833, BgL_arg4347z00_17834);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17836;

										BgL_accz00_17836 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14959, BgL_sz00_17829, BgL_bpz00_17830);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5622z00_31700;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17837;

												BgL_arg4346z00_17837 =
													BGL_EXITD_PROTECT(BgL_ez00_17833);
												BgL_test5622z00_31700 = PAIRP(BgL_arg4346z00_17837);
											}
											if (BgL_test5622z00_31700)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17838;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17839;

														BgL_arg4345z00_17839 =
															BGL_EXITD_PROTECT(BgL_ez00_17833);
														BgL_arg4344z00_17838 =
															CDR(((obj_t) BgL_arg4345z00_17839));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17833,
														BgL_arg4344z00_17838);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17829), ((long) 0), BgL_bpz00_17830);
										return BgL_accz00_17836;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17840;

								BgL_nsz00_17840 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17840, ((long) 1), BgL_sz00_17829);
								VECTOR_SET(BgL_nsz00_17840, ((long) 2), BgL_dz00_14961);
								VECTOR_SET(BgL_nsz00_17840, ((long) 3), BgL_lastz00_14962);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17841;

									BgL_z12denvz12_17841 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17841, BgL_nsz00_17840);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17842;

										BgL_ez00_17842 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17843;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17844;

												BgL_arg4348z00_17844 =
													BGL_EXITD_PROTECT(BgL_ez00_17842);
												BgL_arg4347z00_17843 =
													MAKE_YOUNG_PAIR(BgL_sz00_17829, BgL_arg4348z00_17844);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17842,
												BgL_arg4347z00_17843);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17845;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17846;

												BgL_savedzd2bpzd2_17846 =
													VECTOR_REF(BgL_nsz00_17840, ((long) 0));
												VECTOR_SET(BgL_nsz00_17840, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17848;

													BgL_fz00_17848 = BgL_runz00_14959;
												BgL_recz00_17847:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17849;

														BgL_rz00_17849 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17848)) (BgL_fz00_17848,
															BgL_nsz00_17840, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5623z00_31726;

															if (PROCEDUREP(BgL_rz00_17849))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17850;

																	BgL_arg1779z00_17850 =
																		PROCEDURE_ATTR(BgL_rz00_17849);
																	if (STRUCTP(BgL_arg1779z00_17850))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5623z00_31726 =
																				(STRUCT_KEY(BgL_arg1779z00_17850) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5623z00_31726 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5623z00_31726 = ((bool_t) 0);
																}
															if (BgL_test5623z00_31726)
																{
																	obj_t BgL_fz00_31734;

																	BgL_fz00_31734 = BgL_rz00_17849;
																	BgL_fz00_17848 = BgL_fz00_31734;
																	goto BgL_recz00_17847;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17840, ((long) 0),
																		BgL_savedzd2bpzd2_17846);
																	BgL_____rz00_17845 = BgL_rz00_17849;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5626z00_31736;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17851;

													BgL_arg4346z00_17851 =
														BGL_EXITD_PROTECT(BgL_ez00_17842);
													BgL_test5626z00_31736 = PAIRP(BgL_arg4346z00_17851);
												}
												if (BgL_test5626z00_31736)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17852;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17853;

															BgL_arg4345z00_17853 =
																BGL_EXITD_PROTECT(BgL_ez00_17842);
															BgL_arg4344z00_17852 =
																CDR(((obj_t) BgL_arg4345z00_17853));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17842,
															BgL_arg4344z00_17852);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17841, BgL_sz00_17829);
											return BgL_____rz00_17845;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4554 */
	obj_t BGl_z62run4554z62zz__evaluate_compz00(obj_t BgL_envz00_14963,
		obj_t BgL_sz00_14967)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14964;
				BgL_ev_absz00_bglt BgL_i1255z00_14965;
				obj_t BgL_bodyz00_14966;

				BgL_iboxesz00_14964 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14963, (int) (((long) 0))));
				BgL_i1255z00_14965 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14963, (int) (((long) 1))));
				BgL_bodyz00_14966 = PROCEDURE_REF(BgL_envz00_14963, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17854;

					BgL_bpz00_17854 = VECTOR_REF(((obj_t) BgL_sz00_14967), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14967,
						BgL_iboxesz00_14964, BgL_bpz00_17854);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17855;
						obj_t BgL_wherez00_17856;
						obj_t BgL_locz00_17857;

						BgL_z12denvz12_17855 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17856 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14965))->
							BgL_wherez00);
						BgL_locz00_17857 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14965))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17855, BgL_wherez00_17856,
								BgL_locz00_17857);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17858;

								BgL_za2za2resza2za2z00_17858 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14966)) (BgL_bodyz00_14966,
									BgL_sz00_14967, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17855);
								return BgL_za2za2resza2za2z00_17858;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3605> */
	obj_t BGl_z62zc3z04anonymousza33605ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14968, obj_t BgL_sz00_14974)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14969;
				long BgL_siza7eza7_14970;
				BgL_ev_absz00_bglt BgL_i1255z00_14971;
				obj_t BgL_bodyz00_14972;
				long BgL_siza7ezd2framez75_14973;

				BgL_ifreesz00_14969 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14968, (int) (((long) 0))));
				BgL_siza7eza7_14970 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14968, (int) (((long) 1))));
				BgL_i1255z00_14971 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14968, (int) (((long) 2))));
				BgL_bodyz00_14972 = PROCEDURE_REF(BgL_envz00_14968, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14973 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14968, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17859;

					BgL_bpz00_17859 = VECTOR_REF(((obj_t) BgL_sz00_14974), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17860;

						BgL_valza2za2_17860 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14974,
							BgL_bpz00_17859, BgL_ifreesz00_14969);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17861;

							BgL_runz00_17861 =
								MAKE_FX_PROCEDURE(BGl_z62run4556z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17861,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14970));
							PROCEDURE_SET(BgL_runz00_17861,
								(int) (((long) 1)), BgL_valza2za2_17860);
							PROCEDURE_SET(BgL_runz00_17861,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14971));
							PROCEDURE_SET(BgL_runz00_17861,
								(int) (((long) 3)), BgL_bodyz00_14972);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17862;

								BgL_mainz00_17862 =
									MAKE_VA_PROCEDURE(BGl_z62main4555z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17862,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14970));
								PROCEDURE_SET(BgL_mainz00_17862,
									(int) (((long) 1)), BgL_valza2za2_17860);
								PROCEDURE_SET(BgL_mainz00_17862,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14971));
								PROCEDURE_SET(BgL_mainz00_17862,
									(int) (((long) 3)), BgL_bodyz00_14972);
								PROCEDURE_SET(BgL_mainz00_17862,
									(int) (((long) 4)), BgL_runz00_17861);
								PROCEDURE_SET(BgL_mainz00_17862,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14973));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17863;

									BgL_objz00_17863 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17861, BgL_objz00_17863);
									BgL_objz00_17863;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3607z00_17864;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3608z00_17865;

										BgL_arg3608z00_17865 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14971))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17866;

											BgL_newz00_17866 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31816;

												BgL_tmpz00_31816 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17866, BgL_tmpz00_31816,
													BgL_arg3608z00_17865);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31821;
												int BgL_tmpz00_31819;

												BgL_auxz00_31821 = BINT(BgL_siza7ezd2framez75_14973);
												BgL_tmpz00_31819 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17866, BgL_tmpz00_31819,
													BgL_auxz00_31821);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31824;

												BgL_tmpz00_31824 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17866, BgL_tmpz00_31824,
													BgL_runz00_17861);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31829;
												int BgL_tmpz00_31827;

												BgL_auxz00_31829 = BINT(((long) -2));
												BgL_tmpz00_31827 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17866, BgL_tmpz00_31827,
													BgL_auxz00_31829);
											}
											BgL_arg3607z00_17864 = BgL_newz00_17866;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17862, BgL_arg3607z00_17864);
									BgL_arg3607z00_17864;
								}
								return BgL_mainz00_17862;
							}
						}
					}
				}
			}
		}

	}



/* &main4555 */
	obj_t BGl_z62main4555z62zz__evaluate_compz00(obj_t BgL_envz00_14975,
		obj_t BgL_dz00_14982, obj_t BgL_lastz00_14983)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14980;
				long BgL_siza7ezd2framez75_14981;

				BgL_runz00_14980 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14975, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14981 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14975, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17867;

					BgL_sz00_17867 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17868;

						BgL_bpz00_17868 = VECTOR_REF(((obj_t) BgL_sz00_17867), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17868) + BgL_siza7ezd2framez75_14981) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17867))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3611z00_17869;

									BgL_arg3611z00_17869 =
										((long) CINT(BgL_bpz00_17868) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17867), BgL_arg3611z00_17869,
										BgL_dz00_14982);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3612z00_17870;

									BgL_arg3612z00_17870 =
										((long) CINT(BgL_bpz00_17868) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17867), BgL_arg3612z00_17870,
										BgL_lastz00_14983);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17871;

									BgL_ez00_17871 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17872;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17873;

											BgL_arg4348z00_17873 = BGL_EXITD_PROTECT(BgL_ez00_17871);
											BgL_arg4347z00_17872 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17868, BgL_arg4348z00_17873);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17871, BgL_arg4347z00_17872);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17874;

										BgL_accz00_17874 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14980, BgL_sz00_17867, BgL_bpz00_17868);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5628z00_31861;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17875;

												BgL_arg4346z00_17875 =
													BGL_EXITD_PROTECT(BgL_ez00_17871);
												BgL_test5628z00_31861 = PAIRP(BgL_arg4346z00_17875);
											}
											if (BgL_test5628z00_31861)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17876;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17877;

														BgL_arg4345z00_17877 =
															BGL_EXITD_PROTECT(BgL_ez00_17871);
														BgL_arg4344z00_17876 =
															CDR(((obj_t) BgL_arg4345z00_17877));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17871,
														BgL_arg4344z00_17876);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17867), ((long) 0), BgL_bpz00_17868);
										return BgL_accz00_17874;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17878;

								BgL_nsz00_17878 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17878, ((long) 1), BgL_sz00_17867);
								VECTOR_SET(BgL_nsz00_17878, ((long) 2), BgL_dz00_14982);
								VECTOR_SET(BgL_nsz00_17878, ((long) 3), BgL_lastz00_14983);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17879;

									BgL_z12denvz12_17879 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17879, BgL_nsz00_17878);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17880;

										BgL_ez00_17880 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17881;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17882;

												BgL_arg4348z00_17882 =
													BGL_EXITD_PROTECT(BgL_ez00_17880);
												BgL_arg4347z00_17881 =
													MAKE_YOUNG_PAIR(BgL_sz00_17867, BgL_arg4348z00_17882);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17880,
												BgL_arg4347z00_17881);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17883;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17884;

												BgL_savedzd2bpzd2_17884 =
													VECTOR_REF(BgL_nsz00_17878, ((long) 0));
												VECTOR_SET(BgL_nsz00_17878, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17886;

													BgL_fz00_17886 = BgL_runz00_14980;
												BgL_recz00_17885:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17887;

														BgL_rz00_17887 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17886)) (BgL_fz00_17886,
															BgL_nsz00_17878, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5629z00_31887;

															if (PROCEDUREP(BgL_rz00_17887))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17888;

																	BgL_arg1779z00_17888 =
																		PROCEDURE_ATTR(BgL_rz00_17887);
																	if (STRUCTP(BgL_arg1779z00_17888))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5629z00_31887 =
																				(STRUCT_KEY(BgL_arg1779z00_17888) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5629z00_31887 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5629z00_31887 = ((bool_t) 0);
																}
															if (BgL_test5629z00_31887)
																{
																	obj_t BgL_fz00_31895;

																	BgL_fz00_31895 = BgL_rz00_17887;
																	BgL_fz00_17886 = BgL_fz00_31895;
																	goto BgL_recz00_17885;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17878, ((long) 0),
																		BgL_savedzd2bpzd2_17884);
																	BgL_____rz00_17883 = BgL_rz00_17887;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5632z00_31897;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17889;

													BgL_arg4346z00_17889 =
														BGL_EXITD_PROTECT(BgL_ez00_17880);
													BgL_test5632z00_31897 = PAIRP(BgL_arg4346z00_17889);
												}
												if (BgL_test5632z00_31897)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17890;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17891;

															BgL_arg4345z00_17891 =
																BGL_EXITD_PROTECT(BgL_ez00_17880);
															BgL_arg4344z00_17890 =
																CDR(((obj_t) BgL_arg4345z00_17891));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17880,
															BgL_arg4344z00_17890);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17879, BgL_sz00_17867);
											return BgL_____rz00_17883;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4556 */
	obj_t BGl_z62run4556z62zz__evaluate_compz00(obj_t BgL_envz00_14984,
		obj_t BgL_sz00_14989)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14985;
				obj_t BgL_valza2za2_14986;
				BgL_ev_absz00_bglt BgL_i1255z00_14987;
				obj_t BgL_bodyz00_14988;

				BgL_siza7eza7_14985 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14984, (int) (((long) 0))));
				BgL_valza2za2_14986 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14984, (int) (((long) 1))));
				BgL_i1255z00_14987 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14984, (int) (((long) 2))));
				BgL_bodyz00_14988 = PROCEDURE_REF(BgL_envz00_14984, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17892;

					BgL_bpz00_17892 = VECTOR_REF(((obj_t) BgL_sz00_14989), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14989,
						BgL_valza2za2_14986,
						((long) CINT(BgL_bpz00_17892) + BgL_siza7eza7_14985));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17893;
						obj_t BgL_wherez00_17894;
						obj_t BgL_locz00_17895;

						BgL_z12denvz12_17893 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17894 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14987))->
							BgL_wherez00);
						BgL_locz00_17895 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14987))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17893, BgL_wherez00_17894,
								BgL_locz00_17895);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17896;

								BgL_za2za2resza2za2z00_17896 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_14988)) (BgL_bodyz00_14988,
									BgL_sz00_14989, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17893);
								return BgL_za2za2resza2za2z00_17896;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3615> */
	obj_t BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14990, obj_t BgL_sz00_14997)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14991;
				obj_t BgL_iboxesz00_14992;
				long BgL_siza7eza7_14993;
				BgL_ev_absz00_bglt BgL_i1255z00_14994;
				obj_t BgL_bodyz00_14995;
				long BgL_siza7ezd2framez75_14996;

				BgL_ifreesz00_14991 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14990, (int) (((long) 0))));
				BgL_iboxesz00_14992 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14990, (int) (((long) 1))));
				BgL_siza7eza7_14993 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14990, (int) (((long) 2))));
				BgL_i1255z00_14994 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14990, (int) (((long) 3))));
				BgL_bodyz00_14995 = PROCEDURE_REF(BgL_envz00_14990, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14996 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14990, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17897;

					BgL_bpz00_17897 = VECTOR_REF(((obj_t) BgL_sz00_14997), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17898;

						BgL_valza2za2_17898 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14997,
							BgL_bpz00_17897, BgL_ifreesz00_14991);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17899;

							BgL_runz00_17899 =
								MAKE_FX_PROCEDURE(BGl_z62run4558z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17899,
								(int) (((long) 0)), BgL_iboxesz00_14992);
							PROCEDURE_SET(BgL_runz00_17899,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14993));
							PROCEDURE_SET(BgL_runz00_17899,
								(int) (((long) 2)), BgL_valza2za2_17898);
							PROCEDURE_SET(BgL_runz00_17899,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14994));
							PROCEDURE_SET(BgL_runz00_17899,
								(int) (((long) 4)), BgL_bodyz00_14995);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17900;

								BgL_mainz00_17900 =
									MAKE_VA_PROCEDURE(BGl_z62main4557z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17900,
									(int) (((long) 0)), BgL_iboxesz00_14992);
								PROCEDURE_SET(BgL_mainz00_17900,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14993));
								PROCEDURE_SET(BgL_mainz00_17900,
									(int) (((long) 2)), BgL_valza2za2_17898);
								PROCEDURE_SET(BgL_mainz00_17900,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14994));
								PROCEDURE_SET(BgL_mainz00_17900,
									(int) (((long) 4)), BgL_bodyz00_14995);
								PROCEDURE_SET(BgL_mainz00_17900,
									(int) (((long) 5)), BgL_runz00_17899);
								PROCEDURE_SET(BgL_mainz00_17900,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14996));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17901;

									BgL_objz00_17901 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17899, BgL_objz00_17901);
									BgL_objz00_17901;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3616z00_17902;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3618z00_17903;

										BgL_arg3618z00_17903 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14994))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17904;

											BgL_newz00_17904 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31989;

												BgL_tmpz00_31989 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17904, BgL_tmpz00_31989,
													BgL_arg3618z00_17903);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31994;
												int BgL_tmpz00_31992;

												BgL_auxz00_31994 = BINT(BgL_siza7ezd2framez75_14996);
												BgL_tmpz00_31992 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17904, BgL_tmpz00_31992,
													BgL_auxz00_31994);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31997;

												BgL_tmpz00_31997 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17904, BgL_tmpz00_31997,
													BgL_runz00_17899);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32002;
												int BgL_tmpz00_32000;

												BgL_auxz00_32002 = BINT(((long) -2));
												BgL_tmpz00_32000 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17904, BgL_tmpz00_32000,
													BgL_auxz00_32002);
											}
											BgL_arg3616z00_17902 = BgL_newz00_17904;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17900, BgL_arg3616z00_17902);
									BgL_arg3616z00_17902;
								}
								return BgL_mainz00_17900;
							}
						}
					}
				}
			}
		}

	}



/* &main4557 */
	obj_t BGl_z62main4557z62zz__evaluate_compz00(obj_t BgL_envz00_14998,
		obj_t BgL_dz00_15006, obj_t BgL_lastz00_15007)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15004;
				long BgL_siza7ezd2framez75_15005;

				BgL_runz00_15004 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15005 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14998, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17905;

					BgL_sz00_17905 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17906;

						BgL_bpz00_17906 = VECTOR_REF(((obj_t) BgL_sz00_17905), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17906) + BgL_siza7ezd2framez75_15005) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17905))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3621z00_17907;

									BgL_arg3621z00_17907 =
										((long) CINT(BgL_bpz00_17906) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17905), BgL_arg3621z00_17907,
										BgL_dz00_15006);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3623z00_17908;

									BgL_arg3623z00_17908 =
										((long) CINT(BgL_bpz00_17906) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17905), BgL_arg3623z00_17908,
										BgL_lastz00_15007);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17909;

									BgL_ez00_17909 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17910;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17911;

											BgL_arg4348z00_17911 = BGL_EXITD_PROTECT(BgL_ez00_17909);
											BgL_arg4347z00_17910 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17906, BgL_arg4348z00_17911);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17909, BgL_arg4347z00_17910);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17912;

										BgL_accz00_17912 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15004, BgL_sz00_17905, BgL_bpz00_17906);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5634z00_32034;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17913;

												BgL_arg4346z00_17913 =
													BGL_EXITD_PROTECT(BgL_ez00_17909);
												BgL_test5634z00_32034 = PAIRP(BgL_arg4346z00_17913);
											}
											if (BgL_test5634z00_32034)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17914;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17915;

														BgL_arg4345z00_17915 =
															BGL_EXITD_PROTECT(BgL_ez00_17909);
														BgL_arg4344z00_17914 =
															CDR(((obj_t) BgL_arg4345z00_17915));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17909,
														BgL_arg4344z00_17914);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17905), ((long) 0), BgL_bpz00_17906);
										return BgL_accz00_17912;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17916;

								BgL_nsz00_17916 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17916, ((long) 1), BgL_sz00_17905);
								VECTOR_SET(BgL_nsz00_17916, ((long) 2), BgL_dz00_15006);
								VECTOR_SET(BgL_nsz00_17916, ((long) 3), BgL_lastz00_15007);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17917;

									BgL_z12denvz12_17917 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17917, BgL_nsz00_17916);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17918;

										BgL_ez00_17918 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17919;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17920;

												BgL_arg4348z00_17920 =
													BGL_EXITD_PROTECT(BgL_ez00_17918);
												BgL_arg4347z00_17919 =
													MAKE_YOUNG_PAIR(BgL_sz00_17905, BgL_arg4348z00_17920);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17918,
												BgL_arg4347z00_17919);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17921;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17922;

												BgL_savedzd2bpzd2_17922 =
													VECTOR_REF(BgL_nsz00_17916, ((long) 0));
												VECTOR_SET(BgL_nsz00_17916, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17924;

													BgL_fz00_17924 = BgL_runz00_15004;
												BgL_recz00_17923:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17925;

														BgL_rz00_17925 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17924)) (BgL_fz00_17924,
															BgL_nsz00_17916, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5635z00_32060;

															if (PROCEDUREP(BgL_rz00_17925))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17926;

																	BgL_arg1779z00_17926 =
																		PROCEDURE_ATTR(BgL_rz00_17925);
																	if (STRUCTP(BgL_arg1779z00_17926))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5635z00_32060 =
																				(STRUCT_KEY(BgL_arg1779z00_17926) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5635z00_32060 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5635z00_32060 = ((bool_t) 0);
																}
															if (BgL_test5635z00_32060)
																{
																	obj_t BgL_fz00_32068;

																	BgL_fz00_32068 = BgL_rz00_17925;
																	BgL_fz00_17924 = BgL_fz00_32068;
																	goto BgL_recz00_17923;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17916, ((long) 0),
																		BgL_savedzd2bpzd2_17922);
																	BgL_____rz00_17921 = BgL_rz00_17925;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5638z00_32070;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17927;

													BgL_arg4346z00_17927 =
														BGL_EXITD_PROTECT(BgL_ez00_17918);
													BgL_test5638z00_32070 = PAIRP(BgL_arg4346z00_17927);
												}
												if (BgL_test5638z00_32070)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17928;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17929;

															BgL_arg4345z00_17929 =
																BGL_EXITD_PROTECT(BgL_ez00_17918);
															BgL_arg4344z00_17928 =
																CDR(((obj_t) BgL_arg4345z00_17929));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17918,
															BgL_arg4344z00_17928);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17917, BgL_sz00_17905);
											return BgL_____rz00_17921;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4558 */
	obj_t BGl_z62run4558z62zz__evaluate_compz00(obj_t BgL_envz00_15008,
		obj_t BgL_sz00_15014)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15009;
				long BgL_siza7eza7_15010;
				obj_t BgL_valza2za2_15011;
				BgL_ev_absz00_bglt BgL_i1255z00_15012;
				obj_t BgL_bodyz00_15013;

				BgL_iboxesz00_15009 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15008, (int) (((long) 0))));
				BgL_siza7eza7_15010 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15008, (int) (((long) 1))));
				BgL_valza2za2_15011 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15008, (int) (((long) 2))));
				BgL_i1255z00_15012 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15008, (int) (((long) 3))));
				BgL_bodyz00_15013 = PROCEDURE_REF(BgL_envz00_15008, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17930;

					BgL_bpz00_17930 = VECTOR_REF(((obj_t) BgL_sz00_15014), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15014,
						BgL_iboxesz00_15009, BgL_bpz00_17930);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15014,
						BgL_valza2za2_15011,
						((long) CINT(BgL_bpz00_17930) + BgL_siza7eza7_15010));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17931;
						obj_t BgL_wherez00_17932;
						obj_t BgL_locz00_17933;

						BgL_z12denvz12_17931 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17932 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15012))->
							BgL_wherez00);
						BgL_locz00_17933 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15012))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17931, BgL_wherez00_17932,
								BgL_locz00_17933);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17934;

								BgL_za2za2resza2za2z00_17934 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15013)) (BgL_bodyz00_15013,
									BgL_sz00_15014, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17931);
								return BgL_za2za2resza2za2z00_17934;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3537> */
	obj_t BGl_z62zc3z04anonymousza33537ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15015, obj_t BgL_sz00_15019)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15016;
				obj_t BgL_bodyz00_15017;
				long BgL_siza7ezd2framez75_15018;

				BgL_i1255z00_15016 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 0))));
				BgL_bodyz00_15017 = PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15018 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15015, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17935;

					BgL_bpz00_17935 = VECTOR_REF(((obj_t) BgL_sz00_15019), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17936;

							BgL_runz00_17936 =
								MAKE_FX_PROCEDURE(BGl_z62run4560z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17936,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_15016));
							PROCEDURE_SET(BgL_runz00_17936,
								(int) (((long) 1)), BgL_bodyz00_15017);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17937;

								BgL_mainz00_17937 =
									MAKE_FX_PROCEDURE(BGl_z62main4559z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17937,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_15016));
								PROCEDURE_SET(BgL_mainz00_17937,
									(int) (((long) 1)), BgL_bodyz00_15017);
								PROCEDURE_SET(BgL_mainz00_17937,
									(int) (((long) 2)), BgL_runz00_17936);
								PROCEDURE_SET(BgL_mainz00_17937,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15018));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17938;

									BgL_objz00_17938 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17936, BgL_objz00_17938);
									BgL_objz00_17938;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3538z00_17939;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3540z00_17940;

										BgL_arg3540z00_17940 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15016))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17941;

											BgL_newz00_17941 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32142;

												BgL_tmpz00_32142 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17941, BgL_tmpz00_32142,
													BgL_arg3540z00_17940);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32147;
												int BgL_tmpz00_32145;

												BgL_auxz00_32147 = BINT(BgL_siza7ezd2framez75_15018);
												BgL_tmpz00_32145 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17941, BgL_tmpz00_32145,
													BgL_auxz00_32147);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32150;

												BgL_tmpz00_32150 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17941, BgL_tmpz00_32150,
													BgL_runz00_17936);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32155;
												int BgL_tmpz00_32153;

												BgL_auxz00_32155 = BINT(((long) 1));
												BgL_tmpz00_32153 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17941, BgL_tmpz00_32153,
													BgL_auxz00_32155);
											}
											BgL_arg3538z00_17939 = BgL_newz00_17941;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17937, BgL_arg3538z00_17939);
									BgL_arg3538z00_17939;
								}
								return BgL_mainz00_17937;
							}
						}
					}
				}
			}
		}

	}



/* &main4559 */
	obj_t BGl_z62main4559z62zz__evaluate_compz00(obj_t BgL_envz00_15020,
		obj_t BgL_dz00_15025)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15023;
				long BgL_siza7ezd2framez75_15024;

				BgL_runz00_15023 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15020, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15024 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15020, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17942;

					BgL_sz00_17942 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17943;

						BgL_bpz00_17943 = VECTOR_REF(((obj_t) BgL_sz00_17942), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17943) + BgL_siza7ezd2framez75_15024) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17942))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3543z00_17944;

									BgL_arg3543z00_17944 =
										((long) CINT(BgL_bpz00_17943) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17942), BgL_arg3543z00_17944,
										BgL_dz00_15025);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17945;

									BgL_ez00_17945 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17946;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17947;

											BgL_arg4348z00_17947 = BGL_EXITD_PROTECT(BgL_ez00_17945);
											BgL_arg4347z00_17946 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17943, BgL_arg4348z00_17947);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17945, BgL_arg4347z00_17946);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17948;

										BgL_accz00_17948 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15023, BgL_sz00_17942, BgL_bpz00_17943);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5640z00_32183;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17949;

												BgL_arg4346z00_17949 =
													BGL_EXITD_PROTECT(BgL_ez00_17945);
												BgL_test5640z00_32183 = PAIRP(BgL_arg4346z00_17949);
											}
											if (BgL_test5640z00_32183)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17950;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17951;

														BgL_arg4345z00_17951 =
															BGL_EXITD_PROTECT(BgL_ez00_17945);
														BgL_arg4344z00_17950 =
															CDR(((obj_t) BgL_arg4345z00_17951));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17945,
														BgL_arg4344z00_17950);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17942), ((long) 0), BgL_bpz00_17943);
										return BgL_accz00_17948;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17952;

								BgL_nsz00_17952 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17952, ((long) 1), BgL_sz00_17942);
								VECTOR_SET(BgL_nsz00_17952, ((long) 2), BgL_dz00_15025);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17953;

									BgL_z12denvz12_17953 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17953, BgL_nsz00_17952);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17954;

										BgL_ez00_17954 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17955;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17956;

												BgL_arg4348z00_17956 =
													BGL_EXITD_PROTECT(BgL_ez00_17954);
												BgL_arg4347z00_17955 =
													MAKE_YOUNG_PAIR(BgL_sz00_17942, BgL_arg4348z00_17956);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17954,
												BgL_arg4347z00_17955);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17957;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17958;

												BgL_savedzd2bpzd2_17958 =
													VECTOR_REF(BgL_nsz00_17952, ((long) 0));
												VECTOR_SET(BgL_nsz00_17952, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17960;

													BgL_fz00_17960 = BgL_runz00_15023;
												BgL_recz00_17959:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17961;

														BgL_rz00_17961 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17960)) (BgL_fz00_17960,
															BgL_nsz00_17952, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5641z00_32208;

															if (PROCEDUREP(BgL_rz00_17961))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17962;

																	BgL_arg1779z00_17962 =
																		PROCEDURE_ATTR(BgL_rz00_17961);
																	if (STRUCTP(BgL_arg1779z00_17962))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5641z00_32208 =
																				(STRUCT_KEY(BgL_arg1779z00_17962) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5641z00_32208 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5641z00_32208 = ((bool_t) 0);
																}
															if (BgL_test5641z00_32208)
																{
																	obj_t BgL_fz00_32216;

																	BgL_fz00_32216 = BgL_rz00_17961;
																	BgL_fz00_17960 = BgL_fz00_32216;
																	goto BgL_recz00_17959;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17952, ((long) 0),
																		BgL_savedzd2bpzd2_17958);
																	BgL_____rz00_17957 = BgL_rz00_17961;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5644z00_32218;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17963;

													BgL_arg4346z00_17963 =
														BGL_EXITD_PROTECT(BgL_ez00_17954);
													BgL_test5644z00_32218 = PAIRP(BgL_arg4346z00_17963);
												}
												if (BgL_test5644z00_32218)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_17964;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_17965;

															BgL_arg4345z00_17965 =
																BGL_EXITD_PROTECT(BgL_ez00_17954);
															BgL_arg4344z00_17964 =
																CDR(((obj_t) BgL_arg4345z00_17965));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17954,
															BgL_arg4344z00_17964);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17953, BgL_sz00_17942);
											return BgL_____rz00_17957;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4560 */
	obj_t BGl_z62run4560z62zz__evaluate_compz00(obj_t BgL_envz00_15026,
		obj_t BgL_sz00_15029)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15027;
				obj_t BgL_bodyz00_15028;

				BgL_i1255z00_15027 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15026, (int) (((long) 0))));
				BgL_bodyz00_15028 = PROCEDURE_REF(BgL_envz00_15026, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17966;

					BgL_bpz00_17966 = VECTOR_REF(((obj_t) BgL_sz00_15029), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17967;
						obj_t BgL_wherez00_17968;
						obj_t BgL_locz00_17969;

						BgL_z12denvz12_17967 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17968 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15027))->
							BgL_wherez00);
						BgL_locz00_17969 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15027))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17967, BgL_wherez00_17968,
								BgL_locz00_17969);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17970;

								BgL_za2za2resza2za2z00_17970 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15028)) (BgL_bodyz00_15028,
									BgL_sz00_15029, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17967);
								return BgL_za2za2resza2za2z00_17970;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3545> */
	obj_t BGl_z62zc3z04anonymousza33545ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15030, obj_t BgL_sz00_15035)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15031;
				BgL_ev_absz00_bglt BgL_i1255z00_15032;
				obj_t BgL_bodyz00_15033;
				long BgL_siza7ezd2framez75_15034;

				BgL_iboxesz00_15031 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15030, (int) (((long) 0))));
				BgL_i1255z00_15032 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15030, (int) (((long) 1))));
				BgL_bodyz00_15033 = PROCEDURE_REF(BgL_envz00_15030, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15034 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15030, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17971;

					BgL_bpz00_17971 = VECTOR_REF(((obj_t) BgL_sz00_15035), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17972;

							BgL_runz00_17972 =
								MAKE_FX_PROCEDURE(BGl_z62run4562z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17972,
								(int) (((long) 0)), BgL_iboxesz00_15031);
							PROCEDURE_SET(BgL_runz00_17972,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_15032));
							PROCEDURE_SET(BgL_runz00_17972,
								(int) (((long) 2)), BgL_bodyz00_15033);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17973;

								BgL_mainz00_17973 =
									MAKE_FX_PROCEDURE(BGl_z62main4561z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17973,
									(int) (((long) 0)), BgL_iboxesz00_15031);
								PROCEDURE_SET(BgL_mainz00_17973,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_15032));
								PROCEDURE_SET(BgL_mainz00_17973,
									(int) (((long) 2)), BgL_bodyz00_15033);
								PROCEDURE_SET(BgL_mainz00_17973,
									(int) (((long) 3)), BgL_runz00_17972);
								PROCEDURE_SET(BgL_mainz00_17973,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15034));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17974;

									BgL_objz00_17974 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17972, BgL_objz00_17974);
									BgL_objz00_17974;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3547z00_17975;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3548z00_17976;

										BgL_arg3548z00_17976 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15032))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17977;

											BgL_newz00_17977 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32284;

												BgL_tmpz00_32284 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17977, BgL_tmpz00_32284,
													BgL_arg3548z00_17976);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32289;
												int BgL_tmpz00_32287;

												BgL_auxz00_32289 = BINT(BgL_siza7ezd2framez75_15034);
												BgL_tmpz00_32287 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17977, BgL_tmpz00_32287,
													BgL_auxz00_32289);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32292;

												BgL_tmpz00_32292 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17977, BgL_tmpz00_32292,
													BgL_runz00_17972);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32297;
												int BgL_tmpz00_32295;

												BgL_auxz00_32297 = BINT(((long) 1));
												BgL_tmpz00_32295 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17977, BgL_tmpz00_32295,
													BgL_auxz00_32297);
											}
											BgL_arg3547z00_17975 = BgL_newz00_17977;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17973, BgL_arg3547z00_17975);
									BgL_arg3547z00_17975;
								}
								return BgL_mainz00_17973;
							}
						}
					}
				}
			}
		}

	}



/* &main4561 */
	obj_t BGl_z62main4561z62zz__evaluate_compz00(obj_t BgL_envz00_15036,
		obj_t BgL_dz00_15042)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15040;
				long BgL_siza7ezd2framez75_15041;

				BgL_runz00_15040 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15041 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17978;

					BgL_sz00_17978 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17979;

						BgL_bpz00_17979 = VECTOR_REF(((obj_t) BgL_sz00_17978), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17979) + BgL_siza7ezd2framez75_15041) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17978))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3551z00_17980;

									BgL_arg3551z00_17980 =
										((long) CINT(BgL_bpz00_17979) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17978), BgL_arg3551z00_17980,
										BgL_dz00_15042);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17981;

									BgL_ez00_17981 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_17982;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_17983;

											BgL_arg4348z00_17983 = BGL_EXITD_PROTECT(BgL_ez00_17981);
											BgL_arg4347z00_17982 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17979, BgL_arg4348z00_17983);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17981, BgL_arg4347z00_17982);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17984;

										BgL_accz00_17984 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15040, BgL_sz00_17978, BgL_bpz00_17979);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5646z00_32325;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_17985;

												BgL_arg4346z00_17985 =
													BGL_EXITD_PROTECT(BgL_ez00_17981);
												BgL_test5646z00_32325 = PAIRP(BgL_arg4346z00_17985);
											}
											if (BgL_test5646z00_32325)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_17986;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_17987;

														BgL_arg4345z00_17987 =
															BGL_EXITD_PROTECT(BgL_ez00_17981);
														BgL_arg4344z00_17986 =
															CDR(((obj_t) BgL_arg4345z00_17987));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17981,
														BgL_arg4344z00_17986);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17978), ((long) 0), BgL_bpz00_17979);
										return BgL_accz00_17984;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17988;

								BgL_nsz00_17988 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17988, ((long) 1), BgL_sz00_17978);
								VECTOR_SET(BgL_nsz00_17988, ((long) 2), BgL_dz00_15042);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17989;

									BgL_z12denvz12_17989 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17989, BgL_nsz00_17988);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17990;

										BgL_ez00_17990 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_17991;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_17992;

												BgL_arg4348z00_17992 =
													BGL_EXITD_PROTECT(BgL_ez00_17990);
												BgL_arg4347z00_17991 =
													MAKE_YOUNG_PAIR(BgL_sz00_17978, BgL_arg4348z00_17992);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17990,
												BgL_arg4347z00_17991);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17993;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17994;

												BgL_savedzd2bpzd2_17994 =
													VECTOR_REF(BgL_nsz00_17988, ((long) 0));
												VECTOR_SET(BgL_nsz00_17988, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17996;

													BgL_fz00_17996 = BgL_runz00_15040;
												BgL_recz00_17995:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17997;

														BgL_rz00_17997 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_17996)) (BgL_fz00_17996,
															BgL_nsz00_17988, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5647z00_32350;

															if (PROCEDUREP(BgL_rz00_17997))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_17998;

																	BgL_arg1779z00_17998 =
																		PROCEDURE_ATTR(BgL_rz00_17997);
																	if (STRUCTP(BgL_arg1779z00_17998))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5647z00_32350 =
																				(STRUCT_KEY(BgL_arg1779z00_17998) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5647z00_32350 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5647z00_32350 = ((bool_t) 0);
																}
															if (BgL_test5647z00_32350)
																{
																	obj_t BgL_fz00_32358;

																	BgL_fz00_32358 = BgL_rz00_17997;
																	BgL_fz00_17996 = BgL_fz00_32358;
																	goto BgL_recz00_17995;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17988, ((long) 0),
																		BgL_savedzd2bpzd2_17994);
																	BgL_____rz00_17993 = BgL_rz00_17997;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5650z00_32360;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_17999;

													BgL_arg4346z00_17999 =
														BGL_EXITD_PROTECT(BgL_ez00_17990);
													BgL_test5650z00_32360 = PAIRP(BgL_arg4346z00_17999);
												}
												if (BgL_test5650z00_32360)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18000;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18001;

															BgL_arg4345z00_18001 =
																BGL_EXITD_PROTECT(BgL_ez00_17990);
															BgL_arg4344z00_18000 =
																CDR(((obj_t) BgL_arg4345z00_18001));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17990,
															BgL_arg4344z00_18000);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17989, BgL_sz00_17978);
											return BgL_____rz00_17993;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4562 */
	obj_t BGl_z62run4562z62zz__evaluate_compz00(obj_t BgL_envz00_15043,
		obj_t BgL_sz00_15047)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15044;
				BgL_ev_absz00_bglt BgL_i1255z00_15045;
				obj_t BgL_bodyz00_15046;

				BgL_iboxesz00_15044 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15043, (int) (((long) 0))));
				BgL_i1255z00_15045 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15043, (int) (((long) 1))));
				BgL_bodyz00_15046 = PROCEDURE_REF(BgL_envz00_15043, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18002;

					BgL_bpz00_18002 = VECTOR_REF(((obj_t) BgL_sz00_15047), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15047,
						BgL_iboxesz00_15044, BgL_bpz00_18002);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18003;
						obj_t BgL_wherez00_18004;
						obj_t BgL_locz00_18005;

						BgL_z12denvz12_18003 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18004 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15045))->
							BgL_wherez00);
						BgL_locz00_18005 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15045))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18003, BgL_wherez00_18004,
								BgL_locz00_18005);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18006;

								BgL_za2za2resza2za2z00_18006 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15046)) (BgL_bodyz00_15046,
									BgL_sz00_15047, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18003);
								return BgL_za2za2resza2za2z00_18006;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3558> */
	obj_t BGl_z62zc3z04anonymousza33558ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15048, obj_t BgL_sz00_15054)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15049;
				long BgL_siza7eza7_15050;
				BgL_ev_absz00_bglt BgL_i1255z00_15051;
				obj_t BgL_bodyz00_15052;
				long BgL_siza7ezd2framez75_15053;

				BgL_ifreesz00_15049 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15048, (int) (((long) 0))));
				BgL_siza7eza7_15050 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15048, (int) (((long) 1))));
				BgL_i1255z00_15051 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15048, (int) (((long) 2))));
				BgL_bodyz00_15052 = PROCEDURE_REF(BgL_envz00_15048, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15053 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15048, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18007;

					BgL_bpz00_18007 = VECTOR_REF(((obj_t) BgL_sz00_15054), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18008;

						BgL_valza2za2_18008 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15054,
							BgL_bpz00_18007, BgL_ifreesz00_15049);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18009;

							BgL_runz00_18009 =
								MAKE_FX_PROCEDURE(BGl_z62run4564z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_18009,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15050));
							PROCEDURE_SET(BgL_runz00_18009,
								(int) (((long) 1)), BgL_valza2za2_18008);
							PROCEDURE_SET(BgL_runz00_18009,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_15051));
							PROCEDURE_SET(BgL_runz00_18009,
								(int) (((long) 3)), BgL_bodyz00_15052);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18010;

								BgL_mainz00_18010 =
									MAKE_FX_PROCEDURE(BGl_z62main4563z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_18010,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15050));
								PROCEDURE_SET(BgL_mainz00_18010,
									(int) (((long) 1)), BgL_valza2za2_18008);
								PROCEDURE_SET(BgL_mainz00_18010,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_15051));
								PROCEDURE_SET(BgL_mainz00_18010,
									(int) (((long) 3)), BgL_bodyz00_15052);
								PROCEDURE_SET(BgL_mainz00_18010,
									(int) (((long) 4)), BgL_runz00_18009);
								PROCEDURE_SET(BgL_mainz00_18010,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15053));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18011;

									BgL_objz00_18011 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18009, BgL_objz00_18011);
									BgL_objz00_18011;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3559z00_18012;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3560z00_18013;

										BgL_arg3560z00_18013 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15051))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18014;

											BgL_newz00_18014 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32440;

												BgL_tmpz00_32440 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18014, BgL_tmpz00_32440,
													BgL_arg3560z00_18013);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32445;
												int BgL_tmpz00_32443;

												BgL_auxz00_32445 = BINT(BgL_siza7ezd2framez75_15053);
												BgL_tmpz00_32443 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18014, BgL_tmpz00_32443,
													BgL_auxz00_32445);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32448;

												BgL_tmpz00_32448 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18014, BgL_tmpz00_32448,
													BgL_runz00_18009);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32453;
												int BgL_tmpz00_32451;

												BgL_auxz00_32453 = BINT(((long) 1));
												BgL_tmpz00_32451 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18014, BgL_tmpz00_32451,
													BgL_auxz00_32453);
											}
											BgL_arg3559z00_18012 = BgL_newz00_18014;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18010, BgL_arg3559z00_18012);
									BgL_arg3559z00_18012;
								}
								return BgL_mainz00_18010;
							}
						}
					}
				}
			}
		}

	}



/* &main4563 */
	obj_t BGl_z62main4563z62zz__evaluate_compz00(obj_t BgL_envz00_15055,
		obj_t BgL_dz00_15062)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15060;
				long BgL_siza7ezd2framez75_15061;

				BgL_runz00_15060 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15055, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15061 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15055, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18015;

					BgL_sz00_18015 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18016;

						BgL_bpz00_18016 = VECTOR_REF(((obj_t) BgL_sz00_18015), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18016) + BgL_siza7ezd2framez75_15061) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18015))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3563z00_18017;

									BgL_arg3563z00_18017 =
										((long) CINT(BgL_bpz00_18016) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18015), BgL_arg3563z00_18017,
										BgL_dz00_15062);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18018;

									BgL_ez00_18018 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18019;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18020;

											BgL_arg4348z00_18020 = BGL_EXITD_PROTECT(BgL_ez00_18018);
											BgL_arg4347z00_18019 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18016, BgL_arg4348z00_18020);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18018, BgL_arg4347z00_18019);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18021;

										BgL_accz00_18021 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15060, BgL_sz00_18015, BgL_bpz00_18016);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5652z00_32481;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18022;

												BgL_arg4346z00_18022 =
													BGL_EXITD_PROTECT(BgL_ez00_18018);
												BgL_test5652z00_32481 = PAIRP(BgL_arg4346z00_18022);
											}
											if (BgL_test5652z00_32481)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18023;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18024;

														BgL_arg4345z00_18024 =
															BGL_EXITD_PROTECT(BgL_ez00_18018);
														BgL_arg4344z00_18023 =
															CDR(((obj_t) BgL_arg4345z00_18024));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18018,
														BgL_arg4344z00_18023);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18015), ((long) 0), BgL_bpz00_18016);
										return BgL_accz00_18021;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18025;

								BgL_nsz00_18025 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18025, ((long) 1), BgL_sz00_18015);
								VECTOR_SET(BgL_nsz00_18025, ((long) 2), BgL_dz00_15062);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18026;

									BgL_z12denvz12_18026 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18026, BgL_nsz00_18025);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18027;

										BgL_ez00_18027 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18028;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18029;

												BgL_arg4348z00_18029 =
													BGL_EXITD_PROTECT(BgL_ez00_18027);
												BgL_arg4347z00_18028 =
													MAKE_YOUNG_PAIR(BgL_sz00_18015, BgL_arg4348z00_18029);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18027,
												BgL_arg4347z00_18028);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18030;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18031;

												BgL_savedzd2bpzd2_18031 =
													VECTOR_REF(BgL_nsz00_18025, ((long) 0));
												VECTOR_SET(BgL_nsz00_18025, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18033;

													BgL_fz00_18033 = BgL_runz00_15060;
												BgL_recz00_18032:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18034;

														BgL_rz00_18034 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18033)) (BgL_fz00_18033,
															BgL_nsz00_18025, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5653z00_32506;

															if (PROCEDUREP(BgL_rz00_18034))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18035;

																	BgL_arg1779z00_18035 =
																		PROCEDURE_ATTR(BgL_rz00_18034);
																	if (STRUCTP(BgL_arg1779z00_18035))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5653z00_32506 =
																				(STRUCT_KEY(BgL_arg1779z00_18035) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5653z00_32506 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5653z00_32506 = ((bool_t) 0);
																}
															if (BgL_test5653z00_32506)
																{
																	obj_t BgL_fz00_32514;

																	BgL_fz00_32514 = BgL_rz00_18034;
																	BgL_fz00_18033 = BgL_fz00_32514;
																	goto BgL_recz00_18032;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18025, ((long) 0),
																		BgL_savedzd2bpzd2_18031);
																	BgL_____rz00_18030 = BgL_rz00_18034;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5656z00_32516;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18036;

													BgL_arg4346z00_18036 =
														BGL_EXITD_PROTECT(BgL_ez00_18027);
													BgL_test5656z00_32516 = PAIRP(BgL_arg4346z00_18036);
												}
												if (BgL_test5656z00_32516)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18037;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18038;

															BgL_arg4345z00_18038 =
																BGL_EXITD_PROTECT(BgL_ez00_18027);
															BgL_arg4344z00_18037 =
																CDR(((obj_t) BgL_arg4345z00_18038));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18027,
															BgL_arg4344z00_18037);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18026, BgL_sz00_18015);
											return BgL_____rz00_18030;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4564 */
	obj_t BGl_z62run4564z62zz__evaluate_compz00(obj_t BgL_envz00_15063,
		obj_t BgL_sz00_15068)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15064;
				obj_t BgL_valza2za2_15065;
				BgL_ev_absz00_bglt BgL_i1255z00_15066;
				obj_t BgL_bodyz00_15067;

				BgL_siza7eza7_15064 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15063, (int) (((long) 0))));
				BgL_valza2za2_15065 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15063, (int) (((long) 1))));
				BgL_i1255z00_15066 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15063, (int) (((long) 2))));
				BgL_bodyz00_15067 = PROCEDURE_REF(BgL_envz00_15063, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18039;

					BgL_bpz00_18039 = VECTOR_REF(((obj_t) BgL_sz00_15068), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15068,
						BgL_valza2za2_15065,
						((long) CINT(BgL_bpz00_18039) + BgL_siza7eza7_15064));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18040;
						obj_t BgL_wherez00_18041;
						obj_t BgL_locz00_18042;

						BgL_z12denvz12_18040 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18041 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15066))->
							BgL_wherez00);
						BgL_locz00_18042 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15066))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18040, BgL_wherez00_18041,
								BgL_locz00_18042);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18043;

								BgL_za2za2resza2za2z00_18043 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15067)) (BgL_bodyz00_15067,
									BgL_sz00_15068, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18040);
								return BgL_za2za2resza2za2z00_18043;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3566> */
	obj_t BGl_z62zc3z04anonymousza33566ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15069, obj_t BgL_sz00_15076)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15070;
				obj_t BgL_iboxesz00_15071;
				long BgL_siza7eza7_15072;
				BgL_ev_absz00_bglt BgL_i1255z00_15073;
				obj_t BgL_bodyz00_15074;
				long BgL_siza7ezd2framez75_15075;

				BgL_ifreesz00_15070 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 0))));
				BgL_iboxesz00_15071 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 1))));
				BgL_siza7eza7_15072 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 2))));
				BgL_i1255z00_15073 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 3))));
				BgL_bodyz00_15074 = PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15075 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15069, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18044;

					BgL_bpz00_18044 = VECTOR_REF(((obj_t) BgL_sz00_15076), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18045;

						BgL_valza2za2_18045 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15076,
							BgL_bpz00_18044, BgL_ifreesz00_15070);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18046;

							BgL_runz00_18046 =
								MAKE_FX_PROCEDURE(BGl_z62run4566z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_18046,
								(int) (((long) 0)), BgL_iboxesz00_15071);
							PROCEDURE_SET(BgL_runz00_18046,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15072));
							PROCEDURE_SET(BgL_runz00_18046,
								(int) (((long) 2)), BgL_valza2za2_18045);
							PROCEDURE_SET(BgL_runz00_18046,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_15073));
							PROCEDURE_SET(BgL_runz00_18046,
								(int) (((long) 4)), BgL_bodyz00_15074);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18047;

								BgL_mainz00_18047 =
									MAKE_FX_PROCEDURE(BGl_z62main4565z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_18047,
									(int) (((long) 0)), BgL_iboxesz00_15071);
								PROCEDURE_SET(BgL_mainz00_18047,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15072));
								PROCEDURE_SET(BgL_mainz00_18047,
									(int) (((long) 2)), BgL_valza2za2_18045);
								PROCEDURE_SET(BgL_mainz00_18047,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_15073));
								PROCEDURE_SET(BgL_mainz00_18047,
									(int) (((long) 4)), BgL_bodyz00_15074);
								PROCEDURE_SET(BgL_mainz00_18047,
									(int) (((long) 5)), BgL_runz00_18046);
								PROCEDURE_SET(BgL_mainz00_18047,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15075));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18048;

									BgL_objz00_18048 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18046, BgL_objz00_18048);
									BgL_objz00_18048;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3567z00_18049;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3569z00_18050;

										BgL_arg3569z00_18050 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15073))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18051;

											BgL_newz00_18051 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32608;

												BgL_tmpz00_32608 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18051, BgL_tmpz00_32608,
													BgL_arg3569z00_18050);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32613;
												int BgL_tmpz00_32611;

												BgL_auxz00_32613 = BINT(BgL_siza7ezd2framez75_15075);
												BgL_tmpz00_32611 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18051, BgL_tmpz00_32611,
													BgL_auxz00_32613);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32616;

												BgL_tmpz00_32616 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18051, BgL_tmpz00_32616,
													BgL_runz00_18046);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32621;
												int BgL_tmpz00_32619;

												BgL_auxz00_32621 = BINT(((long) 1));
												BgL_tmpz00_32619 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18051, BgL_tmpz00_32619,
													BgL_auxz00_32621);
											}
											BgL_arg3567z00_18049 = BgL_newz00_18051;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18047, BgL_arg3567z00_18049);
									BgL_arg3567z00_18049;
								}
								return BgL_mainz00_18047;
							}
						}
					}
				}
			}
		}

	}



/* &main4565 */
	obj_t BGl_z62main4565z62zz__evaluate_compz00(obj_t BgL_envz00_15077,
		obj_t BgL_dz00_15085)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15083;
				long BgL_siza7ezd2framez75_15084;

				BgL_runz00_15083 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15077, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15084 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15077, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18052;

					BgL_sz00_18052 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18053;

						BgL_bpz00_18053 = VECTOR_REF(((obj_t) BgL_sz00_18052), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18053) + BgL_siza7ezd2framez75_15084) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18052))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3572z00_18054;

									BgL_arg3572z00_18054 =
										((long) CINT(BgL_bpz00_18053) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18052), BgL_arg3572z00_18054,
										BgL_dz00_15085);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18055;

									BgL_ez00_18055 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18056;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18057;

											BgL_arg4348z00_18057 = BGL_EXITD_PROTECT(BgL_ez00_18055);
											BgL_arg4347z00_18056 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18053, BgL_arg4348z00_18057);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18055, BgL_arg4347z00_18056);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18058;

										BgL_accz00_18058 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15083, BgL_sz00_18052, BgL_bpz00_18053);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5658z00_32649;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18059;

												BgL_arg4346z00_18059 =
													BGL_EXITD_PROTECT(BgL_ez00_18055);
												BgL_test5658z00_32649 = PAIRP(BgL_arg4346z00_18059);
											}
											if (BgL_test5658z00_32649)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18060;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18061;

														BgL_arg4345z00_18061 =
															BGL_EXITD_PROTECT(BgL_ez00_18055);
														BgL_arg4344z00_18060 =
															CDR(((obj_t) BgL_arg4345z00_18061));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18055,
														BgL_arg4344z00_18060);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18052), ((long) 0), BgL_bpz00_18053);
										return BgL_accz00_18058;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18062;

								BgL_nsz00_18062 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18062, ((long) 1), BgL_sz00_18052);
								VECTOR_SET(BgL_nsz00_18062, ((long) 2), BgL_dz00_15085);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18063;

									BgL_z12denvz12_18063 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18063, BgL_nsz00_18062);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18064;

										BgL_ez00_18064 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18065;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18066;

												BgL_arg4348z00_18066 =
													BGL_EXITD_PROTECT(BgL_ez00_18064);
												BgL_arg4347z00_18065 =
													MAKE_YOUNG_PAIR(BgL_sz00_18052, BgL_arg4348z00_18066);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18064,
												BgL_arg4347z00_18065);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18067;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18068;

												BgL_savedzd2bpzd2_18068 =
													VECTOR_REF(BgL_nsz00_18062, ((long) 0));
												VECTOR_SET(BgL_nsz00_18062, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18070;

													BgL_fz00_18070 = BgL_runz00_15083;
												BgL_recz00_18069:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18071;

														BgL_rz00_18071 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18070)) (BgL_fz00_18070,
															BgL_nsz00_18062, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5659z00_32674;

															if (PROCEDUREP(BgL_rz00_18071))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18072;

																	BgL_arg1779z00_18072 =
																		PROCEDURE_ATTR(BgL_rz00_18071);
																	if (STRUCTP(BgL_arg1779z00_18072))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5659z00_32674 =
																				(STRUCT_KEY(BgL_arg1779z00_18072) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5659z00_32674 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5659z00_32674 = ((bool_t) 0);
																}
															if (BgL_test5659z00_32674)
																{
																	obj_t BgL_fz00_32682;

																	BgL_fz00_32682 = BgL_rz00_18071;
																	BgL_fz00_18070 = BgL_fz00_32682;
																	goto BgL_recz00_18069;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18062, ((long) 0),
																		BgL_savedzd2bpzd2_18068);
																	BgL_____rz00_18067 = BgL_rz00_18071;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5662z00_32684;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18073;

													BgL_arg4346z00_18073 =
														BGL_EXITD_PROTECT(BgL_ez00_18064);
													BgL_test5662z00_32684 = PAIRP(BgL_arg4346z00_18073);
												}
												if (BgL_test5662z00_32684)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18074;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18075;

															BgL_arg4345z00_18075 =
																BGL_EXITD_PROTECT(BgL_ez00_18064);
															BgL_arg4344z00_18074 =
																CDR(((obj_t) BgL_arg4345z00_18075));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18064,
															BgL_arg4344z00_18074);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18063, BgL_sz00_18052);
											return BgL_____rz00_18067;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4566 */
	obj_t BGl_z62run4566z62zz__evaluate_compz00(obj_t BgL_envz00_15086,
		obj_t BgL_sz00_15092)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15087;
				long BgL_siza7eza7_15088;
				obj_t BgL_valza2za2_15089;
				BgL_ev_absz00_bglt BgL_i1255z00_15090;
				obj_t BgL_bodyz00_15091;

				BgL_iboxesz00_15087 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15086, (int) (((long) 0))));
				BgL_siza7eza7_15088 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15086, (int) (((long) 1))));
				BgL_valza2za2_15089 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15086, (int) (((long) 2))));
				BgL_i1255z00_15090 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15086, (int) (((long) 3))));
				BgL_bodyz00_15091 = PROCEDURE_REF(BgL_envz00_15086, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18076;

					BgL_bpz00_18076 = VECTOR_REF(((obj_t) BgL_sz00_15092), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15092,
						BgL_iboxesz00_15087, BgL_bpz00_18076);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15092,
						BgL_valza2za2_15089,
						((long) CINT(BgL_bpz00_18076) + BgL_siza7eza7_15088));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18077;
						obj_t BgL_wherez00_18078;
						obj_t BgL_locz00_18079;

						BgL_z12denvz12_18077 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18078 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15090))->
							BgL_wherez00);
						BgL_locz00_18079 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15090))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18077, BgL_wherez00_18078,
								BgL_locz00_18079);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18080;

								BgL_za2za2resza2za2z00_18080 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15091)) (BgL_bodyz00_15091,
									BgL_sz00_15092, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18077);
								return BgL_za2za2resza2za2z00_18080;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3488> */
	obj_t BGl_z62zc3z04anonymousza33488ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15093, obj_t BgL_sz00_15097)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15094;
				obj_t BgL_bodyz00_15095;
				long BgL_siza7ezd2framez75_15096;

				BgL_i1255z00_15094 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 0))));
				BgL_bodyz00_15095 = PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15096 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15093, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18081;

					BgL_bpz00_18081 = VECTOR_REF(((obj_t) BgL_sz00_15097), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18082;

							BgL_runz00_18082 =
								MAKE_FX_PROCEDURE(BGl_z62run4568z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_18082,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_15094));
							PROCEDURE_SET(BgL_runz00_18082,
								(int) (((long) 1)), BgL_bodyz00_15095);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18083;

								BgL_mainz00_18083 =
									MAKE_VA_PROCEDURE(BGl_z62main4567z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_18083,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_15094));
								PROCEDURE_SET(BgL_mainz00_18083,
									(int) (((long) 1)), BgL_bodyz00_15095);
								PROCEDURE_SET(BgL_mainz00_18083,
									(int) (((long) 2)), BgL_runz00_18082);
								PROCEDURE_SET(BgL_mainz00_18083,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15096));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18084;

									BgL_objz00_18084 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18082, BgL_objz00_18084);
									BgL_objz00_18084;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3489z00_18085;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3491z00_18086;

										BgL_arg3491z00_18086 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15094))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18087;

											BgL_newz00_18087 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32756;

												BgL_tmpz00_32756 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18087, BgL_tmpz00_32756,
													BgL_arg3491z00_18086);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32761;
												int BgL_tmpz00_32759;

												BgL_auxz00_32761 = BINT(BgL_siza7ezd2framez75_15096);
												BgL_tmpz00_32759 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18087, BgL_tmpz00_32759,
													BgL_auxz00_32761);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32764;

												BgL_tmpz00_32764 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18087, BgL_tmpz00_32764,
													BgL_runz00_18082);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32769;
												int BgL_tmpz00_32767;

												BgL_auxz00_32769 = BINT(((long) -1));
												BgL_tmpz00_32767 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18087, BgL_tmpz00_32767,
													BgL_auxz00_32769);
											}
											BgL_arg3489z00_18085 = BgL_newz00_18087;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18083, BgL_arg3489z00_18085);
									BgL_arg3489z00_18085;
								}
								return BgL_mainz00_18083;
							}
						}
					}
				}
			}
		}

	}



/* &main4567 */
	obj_t BGl_z62main4567z62zz__evaluate_compz00(obj_t BgL_envz00_15098,
		obj_t BgL_lastz00_15103)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15101;
				long BgL_siza7ezd2framez75_15102;

				BgL_runz00_15101 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15102 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15098, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18088;

					BgL_sz00_18088 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18089;

						BgL_bpz00_18089 = VECTOR_REF(((obj_t) BgL_sz00_18088), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18089) + BgL_siza7ezd2framez75_15102) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18088))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3495z00_18090;

									BgL_arg3495z00_18090 =
										((long) CINT(BgL_bpz00_18089) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18088), BgL_arg3495z00_18090,
										BgL_lastz00_15103);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18091;

									BgL_ez00_18091 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18092;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18093;

											BgL_arg4348z00_18093 = BGL_EXITD_PROTECT(BgL_ez00_18091);
											BgL_arg4347z00_18092 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18089, BgL_arg4348z00_18093);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18091, BgL_arg4347z00_18092);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18094;

										BgL_accz00_18094 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15101, BgL_sz00_18088, BgL_bpz00_18089);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5664z00_32797;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18095;

												BgL_arg4346z00_18095 =
													BGL_EXITD_PROTECT(BgL_ez00_18091);
												BgL_test5664z00_32797 = PAIRP(BgL_arg4346z00_18095);
											}
											if (BgL_test5664z00_32797)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18096;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18097;

														BgL_arg4345z00_18097 =
															BGL_EXITD_PROTECT(BgL_ez00_18091);
														BgL_arg4344z00_18096 =
															CDR(((obj_t) BgL_arg4345z00_18097));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18091,
														BgL_arg4344z00_18096);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18088), ((long) 0), BgL_bpz00_18089);
										return BgL_accz00_18094;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18098;

								BgL_nsz00_18098 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18098, ((long) 1), BgL_sz00_18088);
								VECTOR_SET(BgL_nsz00_18098, ((long) 2), BgL_lastz00_15103);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18099;

									BgL_z12denvz12_18099 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18099, BgL_nsz00_18098);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18100;

										BgL_ez00_18100 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18101;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18102;

												BgL_arg4348z00_18102 =
													BGL_EXITD_PROTECT(BgL_ez00_18100);
												BgL_arg4347z00_18101 =
													MAKE_YOUNG_PAIR(BgL_sz00_18088, BgL_arg4348z00_18102);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18100,
												BgL_arg4347z00_18101);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18103;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18104;

												BgL_savedzd2bpzd2_18104 =
													VECTOR_REF(BgL_nsz00_18098, ((long) 0));
												VECTOR_SET(BgL_nsz00_18098, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18106;

													BgL_fz00_18106 = BgL_runz00_15101;
												BgL_recz00_18105:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18107;

														BgL_rz00_18107 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18106)) (BgL_fz00_18106,
															BgL_nsz00_18098, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5665z00_32822;

															if (PROCEDUREP(BgL_rz00_18107))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18108;

																	BgL_arg1779z00_18108 =
																		PROCEDURE_ATTR(BgL_rz00_18107);
																	if (STRUCTP(BgL_arg1779z00_18108))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5665z00_32822 =
																				(STRUCT_KEY(BgL_arg1779z00_18108) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5665z00_32822 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5665z00_32822 = ((bool_t) 0);
																}
															if (BgL_test5665z00_32822)
																{
																	obj_t BgL_fz00_32830;

																	BgL_fz00_32830 = BgL_rz00_18107;
																	BgL_fz00_18106 = BgL_fz00_32830;
																	goto BgL_recz00_18105;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18098, ((long) 0),
																		BgL_savedzd2bpzd2_18104);
																	BgL_____rz00_18103 = BgL_rz00_18107;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5668z00_32832;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18109;

													BgL_arg4346z00_18109 =
														BGL_EXITD_PROTECT(BgL_ez00_18100);
													BgL_test5668z00_32832 = PAIRP(BgL_arg4346z00_18109);
												}
												if (BgL_test5668z00_32832)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18110;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18111;

															BgL_arg4345z00_18111 =
																BGL_EXITD_PROTECT(BgL_ez00_18100);
															BgL_arg4344z00_18110 =
																CDR(((obj_t) BgL_arg4345z00_18111));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18100,
															BgL_arg4344z00_18110);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18099, BgL_sz00_18088);
											return BgL_____rz00_18103;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4568 */
	obj_t BGl_z62run4568z62zz__evaluate_compz00(obj_t BgL_envz00_15104,
		obj_t BgL_sz00_15107)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15105;
				obj_t BgL_bodyz00_15106;

				BgL_i1255z00_15105 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15104, (int) (((long) 0))));
				BgL_bodyz00_15106 = PROCEDURE_REF(BgL_envz00_15104, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18112;

					BgL_bpz00_18112 = VECTOR_REF(((obj_t) BgL_sz00_15107), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18113;
						obj_t BgL_wherez00_18114;
						obj_t BgL_locz00_18115;

						BgL_z12denvz12_18113 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18114 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15105))->
							BgL_wherez00);
						BgL_locz00_18115 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15105))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18113, BgL_wherez00_18114,
								BgL_locz00_18115);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18116;

								BgL_za2za2resza2za2z00_18116 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15106)) (BgL_bodyz00_15106,
									BgL_sz00_15107, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18113);
								return BgL_za2za2resza2za2z00_18116;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3497> */
	obj_t BGl_z62zc3z04anonymousza33497ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15108, obj_t BgL_sz00_15113)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15109;
				BgL_ev_absz00_bglt BgL_i1255z00_15110;
				obj_t BgL_bodyz00_15111;
				long BgL_siza7ezd2framez75_15112;

				BgL_iboxesz00_15109 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15108, (int) (((long) 0))));
				BgL_i1255z00_15110 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15108, (int) (((long) 1))));
				BgL_bodyz00_15111 = PROCEDURE_REF(BgL_envz00_15108, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15112 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15108, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18117;

					BgL_bpz00_18117 = VECTOR_REF(((obj_t) BgL_sz00_15113), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18118;

							BgL_runz00_18118 =
								MAKE_FX_PROCEDURE(BGl_z62run4570z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_18118,
								(int) (((long) 0)), BgL_iboxesz00_15109);
							PROCEDURE_SET(BgL_runz00_18118,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_15110));
							PROCEDURE_SET(BgL_runz00_18118,
								(int) (((long) 2)), BgL_bodyz00_15111);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18119;

								BgL_mainz00_18119 =
									MAKE_VA_PROCEDURE(BGl_z62main4569z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_18119,
									(int) (((long) 0)), BgL_iboxesz00_15109);
								PROCEDURE_SET(BgL_mainz00_18119,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_15110));
								PROCEDURE_SET(BgL_mainz00_18119,
									(int) (((long) 2)), BgL_bodyz00_15111);
								PROCEDURE_SET(BgL_mainz00_18119,
									(int) (((long) 3)), BgL_runz00_18118);
								PROCEDURE_SET(BgL_mainz00_18119,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15112));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18120;

									BgL_objz00_18120 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18118, BgL_objz00_18120);
									BgL_objz00_18120;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3499z00_18121;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3501z00_18122;

										BgL_arg3501z00_18122 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15110))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18123;

											BgL_newz00_18123 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32898;

												BgL_tmpz00_32898 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18123, BgL_tmpz00_32898,
													BgL_arg3501z00_18122);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32903;
												int BgL_tmpz00_32901;

												BgL_auxz00_32903 = BINT(BgL_siza7ezd2framez75_15112);
												BgL_tmpz00_32901 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18123, BgL_tmpz00_32901,
													BgL_auxz00_32903);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32906;

												BgL_tmpz00_32906 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18123, BgL_tmpz00_32906,
													BgL_runz00_18118);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32911;
												int BgL_tmpz00_32909;

												BgL_auxz00_32911 = BINT(((long) -1));
												BgL_tmpz00_32909 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18123, BgL_tmpz00_32909,
													BgL_auxz00_32911);
											}
											BgL_arg3499z00_18121 = BgL_newz00_18123;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18119, BgL_arg3499z00_18121);
									BgL_arg3499z00_18121;
								}
								return BgL_mainz00_18119;
							}
						}
					}
				}
			}
		}

	}



/* &main4569 */
	obj_t BGl_z62main4569z62zz__evaluate_compz00(obj_t BgL_envz00_15114,
		obj_t BgL_lastz00_15120)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15118;
				long BgL_siza7ezd2framez75_15119;

				BgL_runz00_15118 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15114, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15119 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15114, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18124;

					BgL_sz00_18124 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18125;

						BgL_bpz00_18125 = VECTOR_REF(((obj_t) BgL_sz00_18124), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18125) + BgL_siza7ezd2framez75_15119) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18124))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3505z00_18126;

									BgL_arg3505z00_18126 =
										((long) CINT(BgL_bpz00_18125) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18124), BgL_arg3505z00_18126,
										BgL_lastz00_15120);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18127;

									BgL_ez00_18127 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18128;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18129;

											BgL_arg4348z00_18129 = BGL_EXITD_PROTECT(BgL_ez00_18127);
											BgL_arg4347z00_18128 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18125, BgL_arg4348z00_18129);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18127, BgL_arg4347z00_18128);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18130;

										BgL_accz00_18130 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15118, BgL_sz00_18124, BgL_bpz00_18125);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5670z00_32939;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18131;

												BgL_arg4346z00_18131 =
													BGL_EXITD_PROTECT(BgL_ez00_18127);
												BgL_test5670z00_32939 = PAIRP(BgL_arg4346z00_18131);
											}
											if (BgL_test5670z00_32939)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18132;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18133;

														BgL_arg4345z00_18133 =
															BGL_EXITD_PROTECT(BgL_ez00_18127);
														BgL_arg4344z00_18132 =
															CDR(((obj_t) BgL_arg4345z00_18133));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18127,
														BgL_arg4344z00_18132);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18124), ((long) 0), BgL_bpz00_18125);
										return BgL_accz00_18130;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18134;

								BgL_nsz00_18134 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18134, ((long) 1), BgL_sz00_18124);
								VECTOR_SET(BgL_nsz00_18134, ((long) 2), BgL_lastz00_15120);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18135;

									BgL_z12denvz12_18135 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18135, BgL_nsz00_18134);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18136;

										BgL_ez00_18136 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18137;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18138;

												BgL_arg4348z00_18138 =
													BGL_EXITD_PROTECT(BgL_ez00_18136);
												BgL_arg4347z00_18137 =
													MAKE_YOUNG_PAIR(BgL_sz00_18124, BgL_arg4348z00_18138);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18136,
												BgL_arg4347z00_18137);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18139;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18140;

												BgL_savedzd2bpzd2_18140 =
													VECTOR_REF(BgL_nsz00_18134, ((long) 0));
												VECTOR_SET(BgL_nsz00_18134, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18142;

													BgL_fz00_18142 = BgL_runz00_15118;
												BgL_recz00_18141:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18143;

														BgL_rz00_18143 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18142)) (BgL_fz00_18142,
															BgL_nsz00_18134, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5671z00_32964;

															if (PROCEDUREP(BgL_rz00_18143))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18144;

																	BgL_arg1779z00_18144 =
																		PROCEDURE_ATTR(BgL_rz00_18143);
																	if (STRUCTP(BgL_arg1779z00_18144))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5671z00_32964 =
																				(STRUCT_KEY(BgL_arg1779z00_18144) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5671z00_32964 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5671z00_32964 = ((bool_t) 0);
																}
															if (BgL_test5671z00_32964)
																{
																	obj_t BgL_fz00_32972;

																	BgL_fz00_32972 = BgL_rz00_18143;
																	BgL_fz00_18142 = BgL_fz00_32972;
																	goto BgL_recz00_18141;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18134, ((long) 0),
																		BgL_savedzd2bpzd2_18140);
																	BgL_____rz00_18139 = BgL_rz00_18143;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5674z00_32974;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18145;

													BgL_arg4346z00_18145 =
														BGL_EXITD_PROTECT(BgL_ez00_18136);
													BgL_test5674z00_32974 = PAIRP(BgL_arg4346z00_18145);
												}
												if (BgL_test5674z00_32974)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18146;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18147;

															BgL_arg4345z00_18147 =
																BGL_EXITD_PROTECT(BgL_ez00_18136);
															BgL_arg4344z00_18146 =
																CDR(((obj_t) BgL_arg4345z00_18147));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18136,
															BgL_arg4344z00_18146);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18135, BgL_sz00_18124);
											return BgL_____rz00_18139;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4570 */
	obj_t BGl_z62run4570z62zz__evaluate_compz00(obj_t BgL_envz00_15121,
		obj_t BgL_sz00_15125)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15122;
				BgL_ev_absz00_bglt BgL_i1255z00_15123;
				obj_t BgL_bodyz00_15124;

				BgL_iboxesz00_15122 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15121, (int) (((long) 0))));
				BgL_i1255z00_15123 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15121, (int) (((long) 1))));
				BgL_bodyz00_15124 = PROCEDURE_REF(BgL_envz00_15121, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18148;

					BgL_bpz00_18148 = VECTOR_REF(((obj_t) BgL_sz00_15125), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15125,
						BgL_iboxesz00_15122, BgL_bpz00_18148);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18149;
						obj_t BgL_wherez00_18150;
						obj_t BgL_locz00_18151;

						BgL_z12denvz12_18149 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18150 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15123))->
							BgL_wherez00);
						BgL_locz00_18151 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15123))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18149, BgL_wherez00_18150,
								BgL_locz00_18151);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18152;

								BgL_za2za2resza2za2z00_18152 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15124)) (BgL_bodyz00_15124,
									BgL_sz00_15125, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18149);
								return BgL_za2za2resza2za2z00_18152;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3510> */
	obj_t BGl_z62zc3z04anonymousza33510ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15126, obj_t BgL_sz00_15132)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15127;
				long BgL_siza7eza7_15128;
				BgL_ev_absz00_bglt BgL_i1255z00_15129;
				obj_t BgL_bodyz00_15130;
				long BgL_siza7ezd2framez75_15131;

				BgL_ifreesz00_15127 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15126, (int) (((long) 0))));
				BgL_siza7eza7_15128 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15126, (int) (((long) 1))));
				BgL_i1255z00_15129 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15126, (int) (((long) 2))));
				BgL_bodyz00_15130 = PROCEDURE_REF(BgL_envz00_15126, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15131 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15126, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18153;

					BgL_bpz00_18153 = VECTOR_REF(((obj_t) BgL_sz00_15132), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18154;

						BgL_valza2za2_18154 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15132,
							BgL_bpz00_18153, BgL_ifreesz00_15127);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18155;

							BgL_runz00_18155 =
								MAKE_FX_PROCEDURE(BGl_z62run4572z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_18155,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15128));
							PROCEDURE_SET(BgL_runz00_18155,
								(int) (((long) 1)), BgL_valza2za2_18154);
							PROCEDURE_SET(BgL_runz00_18155,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_15129));
							PROCEDURE_SET(BgL_runz00_18155,
								(int) (((long) 3)), BgL_bodyz00_15130);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18156;

								BgL_mainz00_18156 =
									MAKE_VA_PROCEDURE(BGl_z62main4571z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_18156,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15128));
								PROCEDURE_SET(BgL_mainz00_18156,
									(int) (((long) 1)), BgL_valza2za2_18154);
								PROCEDURE_SET(BgL_mainz00_18156,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_15129));
								PROCEDURE_SET(BgL_mainz00_18156,
									(int) (((long) 3)), BgL_bodyz00_15130);
								PROCEDURE_SET(BgL_mainz00_18156,
									(int) (((long) 4)), BgL_runz00_18155);
								PROCEDURE_SET(BgL_mainz00_18156,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15131));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18157;

									BgL_objz00_18157 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18155, BgL_objz00_18157);
									BgL_objz00_18157;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3512z00_18158;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3513z00_18159;

										BgL_arg3513z00_18159 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15129))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18160;

											BgL_newz00_18160 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33054;

												BgL_tmpz00_33054 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18160, BgL_tmpz00_33054,
													BgL_arg3513z00_18159);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33059;
												int BgL_tmpz00_33057;

												BgL_auxz00_33059 = BINT(BgL_siza7ezd2framez75_15131);
												BgL_tmpz00_33057 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18160, BgL_tmpz00_33057,
													BgL_auxz00_33059);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33062;

												BgL_tmpz00_33062 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18160, BgL_tmpz00_33062,
													BgL_runz00_18155);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33067;
												int BgL_tmpz00_33065;

												BgL_auxz00_33067 = BINT(((long) -1));
												BgL_tmpz00_33065 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18160, BgL_tmpz00_33065,
													BgL_auxz00_33067);
											}
											BgL_arg3512z00_18158 = BgL_newz00_18160;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18156, BgL_arg3512z00_18158);
									BgL_arg3512z00_18158;
								}
								return BgL_mainz00_18156;
							}
						}
					}
				}
			}
		}

	}



/* &main4571 */
	obj_t BGl_z62main4571z62zz__evaluate_compz00(obj_t BgL_envz00_15133,
		obj_t BgL_lastz00_15140)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15138;
				long BgL_siza7ezd2framez75_15139;

				BgL_runz00_15138 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15133, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15139 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15133, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18161;

					BgL_sz00_18161 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18162;

						BgL_bpz00_18162 = VECTOR_REF(((obj_t) BgL_sz00_18161), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18162) + BgL_siza7ezd2framez75_15139) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18161))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3517z00_18163;

									BgL_arg3517z00_18163 =
										((long) CINT(BgL_bpz00_18162) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18161), BgL_arg3517z00_18163,
										BgL_lastz00_15140);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18164;

									BgL_ez00_18164 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18165;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18166;

											BgL_arg4348z00_18166 = BGL_EXITD_PROTECT(BgL_ez00_18164);
											BgL_arg4347z00_18165 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18162, BgL_arg4348z00_18166);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18164, BgL_arg4347z00_18165);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18167;

										BgL_accz00_18167 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15138, BgL_sz00_18161, BgL_bpz00_18162);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5676z00_33095;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18168;

												BgL_arg4346z00_18168 =
													BGL_EXITD_PROTECT(BgL_ez00_18164);
												BgL_test5676z00_33095 = PAIRP(BgL_arg4346z00_18168);
											}
											if (BgL_test5676z00_33095)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18169;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18170;

														BgL_arg4345z00_18170 =
															BGL_EXITD_PROTECT(BgL_ez00_18164);
														BgL_arg4344z00_18169 =
															CDR(((obj_t) BgL_arg4345z00_18170));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18164,
														BgL_arg4344z00_18169);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18161), ((long) 0), BgL_bpz00_18162);
										return BgL_accz00_18167;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18171;

								BgL_nsz00_18171 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18171, ((long) 1), BgL_sz00_18161);
								VECTOR_SET(BgL_nsz00_18171, ((long) 2), BgL_lastz00_15140);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18172;

									BgL_z12denvz12_18172 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18172, BgL_nsz00_18171);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18173;

										BgL_ez00_18173 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18174;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18175;

												BgL_arg4348z00_18175 =
													BGL_EXITD_PROTECT(BgL_ez00_18173);
												BgL_arg4347z00_18174 =
													MAKE_YOUNG_PAIR(BgL_sz00_18161, BgL_arg4348z00_18175);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18173,
												BgL_arg4347z00_18174);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18176;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18177;

												BgL_savedzd2bpzd2_18177 =
													VECTOR_REF(BgL_nsz00_18171, ((long) 0));
												VECTOR_SET(BgL_nsz00_18171, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18179;

													BgL_fz00_18179 = BgL_runz00_15138;
												BgL_recz00_18178:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18180;

														BgL_rz00_18180 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18179)) (BgL_fz00_18179,
															BgL_nsz00_18171, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5677z00_33120;

															if (PROCEDUREP(BgL_rz00_18180))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18181;

																	BgL_arg1779z00_18181 =
																		PROCEDURE_ATTR(BgL_rz00_18180);
																	if (STRUCTP(BgL_arg1779z00_18181))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5677z00_33120 =
																				(STRUCT_KEY(BgL_arg1779z00_18181) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5677z00_33120 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5677z00_33120 = ((bool_t) 0);
																}
															if (BgL_test5677z00_33120)
																{
																	obj_t BgL_fz00_33128;

																	BgL_fz00_33128 = BgL_rz00_18180;
																	BgL_fz00_18179 = BgL_fz00_33128;
																	goto BgL_recz00_18178;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18171, ((long) 0),
																		BgL_savedzd2bpzd2_18177);
																	BgL_____rz00_18176 = BgL_rz00_18180;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5680z00_33130;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18182;

													BgL_arg4346z00_18182 =
														BGL_EXITD_PROTECT(BgL_ez00_18173);
													BgL_test5680z00_33130 = PAIRP(BgL_arg4346z00_18182);
												}
												if (BgL_test5680z00_33130)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18183;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18184;

															BgL_arg4345z00_18184 =
																BGL_EXITD_PROTECT(BgL_ez00_18173);
															BgL_arg4344z00_18183 =
																CDR(((obj_t) BgL_arg4345z00_18184));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18173,
															BgL_arg4344z00_18183);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18172, BgL_sz00_18161);
											return BgL_____rz00_18176;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4572 */
	obj_t BGl_z62run4572z62zz__evaluate_compz00(obj_t BgL_envz00_15141,
		obj_t BgL_sz00_15146)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15142;
				obj_t BgL_valza2za2_15143;
				BgL_ev_absz00_bglt BgL_i1255z00_15144;
				obj_t BgL_bodyz00_15145;

				BgL_siza7eza7_15142 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15141, (int) (((long) 0))));
				BgL_valza2za2_15143 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15141, (int) (((long) 1))));
				BgL_i1255z00_15144 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15141, (int) (((long) 2))));
				BgL_bodyz00_15145 = PROCEDURE_REF(BgL_envz00_15141, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18185;

					BgL_bpz00_18185 = VECTOR_REF(((obj_t) BgL_sz00_15146), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15146,
						BgL_valza2za2_15143,
						((long) CINT(BgL_bpz00_18185) + BgL_siza7eza7_15142));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18186;
						obj_t BgL_wherez00_18187;
						obj_t BgL_locz00_18188;

						BgL_z12denvz12_18186 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18187 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15144))->
							BgL_wherez00);
						BgL_locz00_18188 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15144))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18186, BgL_wherez00_18187,
								BgL_locz00_18188);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18189;

								BgL_za2za2resza2za2z00_18189 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15145)) (BgL_bodyz00_15145,
									BgL_sz00_15146, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18186);
								return BgL_za2za2resza2za2z00_18189;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3520> */
	obj_t BGl_z62zc3z04anonymousza33520ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15147, obj_t BgL_sz00_15154)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15148;
				obj_t BgL_iboxesz00_15149;
				long BgL_siza7eza7_15150;
				BgL_ev_absz00_bglt BgL_i1255z00_15151;
				obj_t BgL_bodyz00_15152;
				long BgL_siza7ezd2framez75_15153;

				BgL_ifreesz00_15148 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15147, (int) (((long) 0))));
				BgL_iboxesz00_15149 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15147, (int) (((long) 1))));
				BgL_siza7eza7_15150 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15147, (int) (((long) 2))));
				BgL_i1255z00_15151 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15147, (int) (((long) 3))));
				BgL_bodyz00_15152 = PROCEDURE_REF(BgL_envz00_15147, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15153 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15147, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18190;

					BgL_bpz00_18190 = VECTOR_REF(((obj_t) BgL_sz00_15154), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18191;

						BgL_valza2za2_18191 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15154,
							BgL_bpz00_18190, BgL_ifreesz00_15148);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18192;

							BgL_runz00_18192 =
								MAKE_FX_PROCEDURE(BGl_z62run4574z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_18192,
								(int) (((long) 0)), BgL_iboxesz00_15149);
							PROCEDURE_SET(BgL_runz00_18192,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15150));
							PROCEDURE_SET(BgL_runz00_18192,
								(int) (((long) 2)), BgL_valza2za2_18191);
							PROCEDURE_SET(BgL_runz00_18192,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_15151));
							PROCEDURE_SET(BgL_runz00_18192,
								(int) (((long) 4)), BgL_bodyz00_15152);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18193;

								BgL_mainz00_18193 =
									MAKE_VA_PROCEDURE(BGl_z62main4573z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_18193,
									(int) (((long) 0)), BgL_iboxesz00_15149);
								PROCEDURE_SET(BgL_mainz00_18193,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15150));
								PROCEDURE_SET(BgL_mainz00_18193,
									(int) (((long) 2)), BgL_valza2za2_18191);
								PROCEDURE_SET(BgL_mainz00_18193,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_15151));
								PROCEDURE_SET(BgL_mainz00_18193,
									(int) (((long) 4)), BgL_bodyz00_15152);
								PROCEDURE_SET(BgL_mainz00_18193,
									(int) (((long) 5)), BgL_runz00_18192);
								PROCEDURE_SET(BgL_mainz00_18193,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15153));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18194;

									BgL_objz00_18194 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18192, BgL_objz00_18194);
									BgL_objz00_18194;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3521z00_18195;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3523z00_18196;

										BgL_arg3523z00_18196 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15151))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18197;

											BgL_newz00_18197 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33222;

												BgL_tmpz00_33222 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18197, BgL_tmpz00_33222,
													BgL_arg3523z00_18196);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33227;
												int BgL_tmpz00_33225;

												BgL_auxz00_33227 = BINT(BgL_siza7ezd2framez75_15153);
												BgL_tmpz00_33225 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18197, BgL_tmpz00_33225,
													BgL_auxz00_33227);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33230;

												BgL_tmpz00_33230 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18197, BgL_tmpz00_33230,
													BgL_runz00_18192);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33235;
												int BgL_tmpz00_33233;

												BgL_auxz00_33235 = BINT(((long) -1));
												BgL_tmpz00_33233 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18197, BgL_tmpz00_33233,
													BgL_auxz00_33235);
											}
											BgL_arg3521z00_18195 = BgL_newz00_18197;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18193, BgL_arg3521z00_18195);
									BgL_arg3521z00_18195;
								}
								return BgL_mainz00_18193;
							}
						}
					}
				}
			}
		}

	}



/* &main4573 */
	obj_t BGl_z62main4573z62zz__evaluate_compz00(obj_t BgL_envz00_15155,
		obj_t BgL_lastz00_15163)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15161;
				long BgL_siza7ezd2framez75_15162;

				BgL_runz00_15161 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15155, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15162 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15155, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18198;

					BgL_sz00_18198 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18199;

						BgL_bpz00_18199 = VECTOR_REF(((obj_t) BgL_sz00_18198), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18199) + BgL_siza7ezd2framez75_15162) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18198))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3526z00_18200;

									BgL_arg3526z00_18200 =
										((long) CINT(BgL_bpz00_18199) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18198), BgL_arg3526z00_18200,
										BgL_lastz00_15163);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18201;

									BgL_ez00_18201 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18202;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18203;

											BgL_arg4348z00_18203 = BGL_EXITD_PROTECT(BgL_ez00_18201);
											BgL_arg4347z00_18202 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18199, BgL_arg4348z00_18203);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18201, BgL_arg4347z00_18202);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18204;

										BgL_accz00_18204 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15161, BgL_sz00_18198, BgL_bpz00_18199);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5682z00_33263;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18205;

												BgL_arg4346z00_18205 =
													BGL_EXITD_PROTECT(BgL_ez00_18201);
												BgL_test5682z00_33263 = PAIRP(BgL_arg4346z00_18205);
											}
											if (BgL_test5682z00_33263)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18206;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18207;

														BgL_arg4345z00_18207 =
															BGL_EXITD_PROTECT(BgL_ez00_18201);
														BgL_arg4344z00_18206 =
															CDR(((obj_t) BgL_arg4345z00_18207));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18201,
														BgL_arg4344z00_18206);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18198), ((long) 0), BgL_bpz00_18199);
										return BgL_accz00_18204;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18208;

								BgL_nsz00_18208 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18208, ((long) 1), BgL_sz00_18198);
								VECTOR_SET(BgL_nsz00_18208, ((long) 2), BgL_lastz00_15163);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18209;

									BgL_z12denvz12_18209 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18209, BgL_nsz00_18208);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18210;

										BgL_ez00_18210 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18211;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18212;

												BgL_arg4348z00_18212 =
													BGL_EXITD_PROTECT(BgL_ez00_18210);
												BgL_arg4347z00_18211 =
													MAKE_YOUNG_PAIR(BgL_sz00_18198, BgL_arg4348z00_18212);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18210,
												BgL_arg4347z00_18211);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18213;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18214;

												BgL_savedzd2bpzd2_18214 =
													VECTOR_REF(BgL_nsz00_18208, ((long) 0));
												VECTOR_SET(BgL_nsz00_18208, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18216;

													BgL_fz00_18216 = BgL_runz00_15161;
												BgL_recz00_18215:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18217;

														BgL_rz00_18217 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18216)) (BgL_fz00_18216,
															BgL_nsz00_18208, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5683z00_33288;

															if (PROCEDUREP(BgL_rz00_18217))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18218;

																	BgL_arg1779z00_18218 =
																		PROCEDURE_ATTR(BgL_rz00_18217);
																	if (STRUCTP(BgL_arg1779z00_18218))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5683z00_33288 =
																				(STRUCT_KEY(BgL_arg1779z00_18218) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5683z00_33288 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5683z00_33288 = ((bool_t) 0);
																}
															if (BgL_test5683z00_33288)
																{
																	obj_t BgL_fz00_33296;

																	BgL_fz00_33296 = BgL_rz00_18217;
																	BgL_fz00_18216 = BgL_fz00_33296;
																	goto BgL_recz00_18215;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18208, ((long) 0),
																		BgL_savedzd2bpzd2_18214);
																	BgL_____rz00_18213 = BgL_rz00_18217;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5686z00_33298;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18219;

													BgL_arg4346z00_18219 =
														BGL_EXITD_PROTECT(BgL_ez00_18210);
													BgL_test5686z00_33298 = PAIRP(BgL_arg4346z00_18219);
												}
												if (BgL_test5686z00_33298)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18220;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18221;

															BgL_arg4345z00_18221 =
																BGL_EXITD_PROTECT(BgL_ez00_18210);
															BgL_arg4344z00_18220 =
																CDR(((obj_t) BgL_arg4345z00_18221));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18210,
															BgL_arg4344z00_18220);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18209, BgL_sz00_18198);
											return BgL_____rz00_18213;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4574 */
	obj_t BGl_z62run4574z62zz__evaluate_compz00(obj_t BgL_envz00_15164,
		obj_t BgL_sz00_15170)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15165;
				long BgL_siza7eza7_15166;
				obj_t BgL_valza2za2_15167;
				BgL_ev_absz00_bglt BgL_i1255z00_15168;
				obj_t BgL_bodyz00_15169;

				BgL_iboxesz00_15165 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15164, (int) (((long) 0))));
				BgL_siza7eza7_15166 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15164, (int) (((long) 1))));
				BgL_valza2za2_15167 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15164, (int) (((long) 2))));
				BgL_i1255z00_15168 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15164, (int) (((long) 3))));
				BgL_bodyz00_15169 = PROCEDURE_REF(BgL_envz00_15164, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18222;

					BgL_bpz00_18222 = VECTOR_REF(((obj_t) BgL_sz00_15170), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15170,
						BgL_iboxesz00_15165, BgL_bpz00_18222);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15170,
						BgL_valza2za2_15167,
						((long) CINT(BgL_bpz00_18222) + BgL_siza7eza7_15166));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18223;
						obj_t BgL_wherez00_18224;
						obj_t BgL_locz00_18225;

						BgL_z12denvz12_18223 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18224 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15168))->
							BgL_wherez00);
						BgL_locz00_18225 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15168))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18223, BgL_wherez00_18224,
								BgL_locz00_18225);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18226;

								BgL_za2za2resza2za2z00_18226 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15169)) (BgL_bodyz00_15169,
									BgL_sz00_15170, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18223);
								return BgL_za2za2resza2za2z00_18226;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3446> */
	obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15171, obj_t BgL_sz00_15175)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15172;
				obj_t BgL_bodyz00_15173;
				long BgL_siza7ezd2framez75_15174;

				BgL_i1255z00_15172 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15171, (int) (((long) 0))));
				BgL_bodyz00_15173 = PROCEDURE_REF(BgL_envz00_15171, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15174 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15171, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18227;

					BgL_bpz00_18227 = VECTOR_REF(((obj_t) BgL_sz00_15175), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18228;

							BgL_runz00_18228 =
								MAKE_FX_PROCEDURE(BGl_z62run4576z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_18228,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_15172));
							PROCEDURE_SET(BgL_runz00_18228,
								(int) (((long) 1)), BgL_bodyz00_15173);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18229;

								BgL_mainz00_18229 =
									MAKE_FX_PROCEDURE(BGl_z62main4575z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_18229,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_15172));
								PROCEDURE_SET(BgL_mainz00_18229,
									(int) (((long) 1)), BgL_bodyz00_15173);
								PROCEDURE_SET(BgL_mainz00_18229,
									(int) (((long) 2)), BgL_runz00_18228);
								PROCEDURE_SET(BgL_mainz00_18229,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15174));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18230;

									BgL_objz00_18230 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18228, BgL_objz00_18230);
									BgL_objz00_18230;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3447z00_18231;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3449z00_18232;

										BgL_arg3449z00_18232 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15172))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18233;

											BgL_newz00_18233 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33370;

												BgL_tmpz00_33370 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18233, BgL_tmpz00_33370,
													BgL_arg3449z00_18232);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33375;
												int BgL_tmpz00_33373;

												BgL_auxz00_33375 = BINT(BgL_siza7ezd2framez75_15174);
												BgL_tmpz00_33373 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18233, BgL_tmpz00_33373,
													BgL_auxz00_33375);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33378;

												BgL_tmpz00_33378 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18233, BgL_tmpz00_33378,
													BgL_runz00_18228);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33383;
												int BgL_tmpz00_33381;

												BgL_auxz00_33383 = BINT(((long) 0));
												BgL_tmpz00_33381 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18233, BgL_tmpz00_33381,
													BgL_auxz00_33383);
											}
											BgL_arg3447z00_18231 = BgL_newz00_18233;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18229, BgL_arg3447z00_18231);
									BgL_arg3447z00_18231;
								}
								return BgL_mainz00_18229;
							}
						}
					}
				}
			}
		}

	}



/* &main4575 */
	obj_t BGl_z62main4575z62zz__evaluate_compz00(obj_t BgL_envz00_15176)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15179;
				long BgL_siza7ezd2framez75_15180;

				BgL_runz00_15179 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15176, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15180 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15176, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18234;

					BgL_sz00_18234 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18235;

						BgL_bpz00_18235 = VECTOR_REF(((obj_t) BgL_sz00_18234), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18235) + BgL_siza7ezd2framez75_15180) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18234))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18236;

								BgL_ez00_18236 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4347z00_18237;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4348z00_18238;

										BgL_arg4348z00_18238 = BGL_EXITD_PROTECT(BgL_ez00_18236);
										BgL_arg4347z00_18237 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18235, BgL_arg4348z00_18238);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18236, BgL_arg4347z00_18237);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18239;

									BgL_accz00_18239 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15179, BgL_sz00_18234, BgL_bpz00_18235);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5688z00_33407;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4346z00_18240;

											BgL_arg4346z00_18240 = BGL_EXITD_PROTECT(BgL_ez00_18236);
											BgL_test5688z00_33407 = PAIRP(BgL_arg4346z00_18240);
										}
										if (BgL_test5688z00_33407)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4344z00_18241;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4345z00_18242;

													BgL_arg4345z00_18242 =
														BGL_EXITD_PROTECT(BgL_ez00_18236);
													BgL_arg4344z00_18241 =
														CDR(((obj_t) BgL_arg4345z00_18242));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18236,
													BgL_arg4344z00_18241);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_18234), ((long) 0), BgL_bpz00_18235);
									return BgL_accz00_18239;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18243;

								BgL_nsz00_18243 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18243, ((long) 1), BgL_sz00_18234);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18244;

									BgL_z12denvz12_18244 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18244, BgL_nsz00_18243);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18245;

										BgL_ez00_18245 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18246;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18247;

												BgL_arg4348z00_18247 =
													BGL_EXITD_PROTECT(BgL_ez00_18245);
												BgL_arg4347z00_18246 =
													MAKE_YOUNG_PAIR(BgL_sz00_18234, BgL_arg4348z00_18247);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18245,
												BgL_arg4347z00_18246);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18248;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18249;

												BgL_savedzd2bpzd2_18249 =
													VECTOR_REF(BgL_nsz00_18243, ((long) 0));
												VECTOR_SET(BgL_nsz00_18243, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18251;

													BgL_fz00_18251 = BgL_runz00_15179;
												BgL_recz00_18250:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18252;

														BgL_rz00_18252 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18251)) (BgL_fz00_18251,
															BgL_nsz00_18243, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5689z00_33431;

															if (PROCEDUREP(BgL_rz00_18252))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18253;

																	BgL_arg1779z00_18253 =
																		PROCEDURE_ATTR(BgL_rz00_18252);
																	if (STRUCTP(BgL_arg1779z00_18253))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5689z00_33431 =
																				(STRUCT_KEY(BgL_arg1779z00_18253) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5689z00_33431 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5689z00_33431 = ((bool_t) 0);
																}
															if (BgL_test5689z00_33431)
																{
																	obj_t BgL_fz00_33439;

																	BgL_fz00_33439 = BgL_rz00_18252;
																	BgL_fz00_18251 = BgL_fz00_33439;
																	goto BgL_recz00_18250;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18243, ((long) 0),
																		BgL_savedzd2bpzd2_18249);
																	BgL_____rz00_18248 = BgL_rz00_18252;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5692z00_33441;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18254;

													BgL_arg4346z00_18254 =
														BGL_EXITD_PROTECT(BgL_ez00_18245);
													BgL_test5692z00_33441 = PAIRP(BgL_arg4346z00_18254);
												}
												if (BgL_test5692z00_33441)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18255;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18256;

															BgL_arg4345z00_18256 =
																BGL_EXITD_PROTECT(BgL_ez00_18245);
															BgL_arg4344z00_18255 =
																CDR(((obj_t) BgL_arg4345z00_18256));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18245,
															BgL_arg4344z00_18255);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18244, BgL_sz00_18234);
											return BgL_____rz00_18248;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4576 */
	obj_t BGl_z62run4576z62zz__evaluate_compz00(obj_t BgL_envz00_15181,
		obj_t BgL_sz00_15184)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15182;
				obj_t BgL_bodyz00_15183;

				BgL_i1255z00_15182 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15181, (int) (((long) 0))));
				BgL_bodyz00_15183 = PROCEDURE_REF(BgL_envz00_15181, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18257;

					BgL_bpz00_18257 = VECTOR_REF(((obj_t) BgL_sz00_15184), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18258;
						obj_t BgL_wherez00_18259;
						obj_t BgL_locz00_18260;

						BgL_z12denvz12_18258 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18259 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15182))->
							BgL_wherez00);
						BgL_locz00_18260 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15182))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18258, BgL_wherez00_18259,
								BgL_locz00_18260);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18261;

								BgL_za2za2resza2za2z00_18261 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15183)) (BgL_bodyz00_15183,
									BgL_sz00_15184, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18258);
								return BgL_za2za2resza2za2z00_18261;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3453> */
	obj_t BGl_z62zc3z04anonymousza33453ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15185, obj_t BgL_sz00_15190)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15186;
				BgL_ev_absz00_bglt BgL_i1255z00_15187;
				obj_t BgL_bodyz00_15188;
				long BgL_siza7ezd2framez75_15189;

				BgL_iboxesz00_15186 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 0))));
				BgL_i1255z00_15187 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 1))));
				BgL_bodyz00_15188 = PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15189 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18262;

					BgL_bpz00_18262 = VECTOR_REF(((obj_t) BgL_sz00_15190), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18263;

							BgL_runz00_18263 =
								MAKE_FX_PROCEDURE(BGl_z62run4578z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_18263,
								(int) (((long) 0)), BgL_iboxesz00_15186);
							PROCEDURE_SET(BgL_runz00_18263,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_15187));
							PROCEDURE_SET(BgL_runz00_18263,
								(int) (((long) 2)), BgL_bodyz00_15188);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18264;

								BgL_mainz00_18264 =
									MAKE_FX_PROCEDURE(BGl_z62main4577z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_18264,
									(int) (((long) 0)), BgL_iboxesz00_15186);
								PROCEDURE_SET(BgL_mainz00_18264,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_15187));
								PROCEDURE_SET(BgL_mainz00_18264,
									(int) (((long) 2)), BgL_bodyz00_15188);
								PROCEDURE_SET(BgL_mainz00_18264,
									(int) (((long) 3)), BgL_runz00_18263);
								PROCEDURE_SET(BgL_mainz00_18264,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15189));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18265;

									BgL_objz00_18265 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18263, BgL_objz00_18265);
									BgL_objz00_18265;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3455z00_18266;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3456z00_18267;

										BgL_arg3456z00_18267 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15187))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18268;

											BgL_newz00_18268 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33507;

												BgL_tmpz00_33507 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18268, BgL_tmpz00_33507,
													BgL_arg3456z00_18267);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33512;
												int BgL_tmpz00_33510;

												BgL_auxz00_33512 = BINT(BgL_siza7ezd2framez75_15189);
												BgL_tmpz00_33510 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18268, BgL_tmpz00_33510,
													BgL_auxz00_33512);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33515;

												BgL_tmpz00_33515 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18268, BgL_tmpz00_33515,
													BgL_runz00_18263);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33520;
												int BgL_tmpz00_33518;

												BgL_auxz00_33520 = BINT(((long) 0));
												BgL_tmpz00_33518 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18268, BgL_tmpz00_33518,
													BgL_auxz00_33520);
											}
											BgL_arg3455z00_18266 = BgL_newz00_18268;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18264, BgL_arg3455z00_18266);
									BgL_arg3455z00_18266;
								}
								return BgL_mainz00_18264;
							}
						}
					}
				}
			}
		}

	}



/* &main4577 */
	obj_t BGl_z62main4577z62zz__evaluate_compz00(obj_t BgL_envz00_15191)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15195;
				long BgL_siza7ezd2framez75_15196;

				BgL_runz00_15195 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15191, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15196 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15191, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18269;

					BgL_sz00_18269 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18270;

						BgL_bpz00_18270 = VECTOR_REF(((obj_t) BgL_sz00_18269), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18270) + BgL_siza7ezd2framez75_15196) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18269))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18271;

								BgL_ez00_18271 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4347z00_18272;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4348z00_18273;

										BgL_arg4348z00_18273 = BGL_EXITD_PROTECT(BgL_ez00_18271);
										BgL_arg4347z00_18272 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18270, BgL_arg4348z00_18273);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18271, BgL_arg4347z00_18272);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18274;

									BgL_accz00_18274 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15195, BgL_sz00_18269, BgL_bpz00_18270);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5694z00_33544;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4346z00_18275;

											BgL_arg4346z00_18275 = BGL_EXITD_PROTECT(BgL_ez00_18271);
											BgL_test5694z00_33544 = PAIRP(BgL_arg4346z00_18275);
										}
										if (BgL_test5694z00_33544)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4344z00_18276;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4345z00_18277;

													BgL_arg4345z00_18277 =
														BGL_EXITD_PROTECT(BgL_ez00_18271);
													BgL_arg4344z00_18276 =
														CDR(((obj_t) BgL_arg4345z00_18277));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18271,
													BgL_arg4344z00_18276);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_18269), ((long) 0), BgL_bpz00_18270);
									return BgL_accz00_18274;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18278;

								BgL_nsz00_18278 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18278, ((long) 1), BgL_sz00_18269);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18279;

									BgL_z12denvz12_18279 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18279, BgL_nsz00_18278);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18280;

										BgL_ez00_18280 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18281;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18282;

												BgL_arg4348z00_18282 =
													BGL_EXITD_PROTECT(BgL_ez00_18280);
												BgL_arg4347z00_18281 =
													MAKE_YOUNG_PAIR(BgL_sz00_18269, BgL_arg4348z00_18282);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18280,
												BgL_arg4347z00_18281);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18283;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18284;

												BgL_savedzd2bpzd2_18284 =
													VECTOR_REF(BgL_nsz00_18278, ((long) 0));
												VECTOR_SET(BgL_nsz00_18278, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18286;

													BgL_fz00_18286 = BgL_runz00_15195;
												BgL_recz00_18285:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18287;

														BgL_rz00_18287 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18286)) (BgL_fz00_18286,
															BgL_nsz00_18278, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5695z00_33568;

															if (PROCEDUREP(BgL_rz00_18287))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18288;

																	BgL_arg1779z00_18288 =
																		PROCEDURE_ATTR(BgL_rz00_18287);
																	if (STRUCTP(BgL_arg1779z00_18288))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5695z00_33568 =
																				(STRUCT_KEY(BgL_arg1779z00_18288) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5695z00_33568 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5695z00_33568 = ((bool_t) 0);
																}
															if (BgL_test5695z00_33568)
																{
																	obj_t BgL_fz00_33576;

																	BgL_fz00_33576 = BgL_rz00_18287;
																	BgL_fz00_18286 = BgL_fz00_33576;
																	goto BgL_recz00_18285;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18278, ((long) 0),
																		BgL_savedzd2bpzd2_18284);
																	BgL_____rz00_18283 = BgL_rz00_18287;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5698z00_33578;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18289;

													BgL_arg4346z00_18289 =
														BGL_EXITD_PROTECT(BgL_ez00_18280);
													BgL_test5698z00_33578 = PAIRP(BgL_arg4346z00_18289);
												}
												if (BgL_test5698z00_33578)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18290;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18291;

															BgL_arg4345z00_18291 =
																BGL_EXITD_PROTECT(BgL_ez00_18280);
															BgL_arg4344z00_18290 =
																CDR(((obj_t) BgL_arg4345z00_18291));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18280,
															BgL_arg4344z00_18290);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18279, BgL_sz00_18269);
											return BgL_____rz00_18283;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4578 */
	obj_t BGl_z62run4578z62zz__evaluate_compz00(obj_t BgL_envz00_15197,
		obj_t BgL_sz00_15201)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15198;
				BgL_ev_absz00_bglt BgL_i1255z00_15199;
				obj_t BgL_bodyz00_15200;

				BgL_iboxesz00_15198 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 0))));
				BgL_i1255z00_15199 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 1))));
				BgL_bodyz00_15200 = PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18292;

					BgL_bpz00_18292 = VECTOR_REF(((obj_t) BgL_sz00_15201), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15201,
						BgL_iboxesz00_15198, BgL_bpz00_18292);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18293;
						obj_t BgL_wherez00_18294;
						obj_t BgL_locz00_18295;

						BgL_z12denvz12_18293 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18294 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15199))->
							BgL_wherez00);
						BgL_locz00_18295 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15199))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18293, BgL_wherez00_18294,
								BgL_locz00_18295);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18296;

								BgL_za2za2resza2za2z00_18296 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15200)) (BgL_bodyz00_15200,
									BgL_sz00_15201, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18293);
								return BgL_za2za2resza2za2z00_18296;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3463> */
	obj_t BGl_z62zc3z04anonymousza33463ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15202, obj_t BgL_sz00_15208)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15203;
				long BgL_siza7eza7_15204;
				BgL_ev_absz00_bglt BgL_i1255z00_15205;
				obj_t BgL_bodyz00_15206;
				long BgL_siza7ezd2framez75_15207;

				BgL_ifreesz00_15203 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15202, (int) (((long) 0))));
				BgL_siza7eza7_15204 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15202, (int) (((long) 1))));
				BgL_i1255z00_15205 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15202, (int) (((long) 2))));
				BgL_bodyz00_15206 = PROCEDURE_REF(BgL_envz00_15202, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15207 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15202, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18297;

					BgL_bpz00_18297 = VECTOR_REF(((obj_t) BgL_sz00_15208), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18298;

						BgL_valza2za2_18298 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15208,
							BgL_bpz00_18297, BgL_ifreesz00_15203);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18299;

							BgL_runz00_18299 =
								MAKE_FX_PROCEDURE(BGl_z62run4580z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_18299,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15204));
							PROCEDURE_SET(BgL_runz00_18299,
								(int) (((long) 1)), BgL_valza2za2_18298);
							PROCEDURE_SET(BgL_runz00_18299,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_15205));
							PROCEDURE_SET(BgL_runz00_18299,
								(int) (((long) 3)), BgL_bodyz00_15206);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18300;

								BgL_mainz00_18300 =
									MAKE_FX_PROCEDURE(BGl_z62main4579z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_18300,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15204));
								PROCEDURE_SET(BgL_mainz00_18300,
									(int) (((long) 1)), BgL_valza2za2_18298);
								PROCEDURE_SET(BgL_mainz00_18300,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_15205));
								PROCEDURE_SET(BgL_mainz00_18300,
									(int) (((long) 3)), BgL_bodyz00_15206);
								PROCEDURE_SET(BgL_mainz00_18300,
									(int) (((long) 4)), BgL_runz00_18299);
								PROCEDURE_SET(BgL_mainz00_18300,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15207));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18301;

									BgL_objz00_18301 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18299, BgL_objz00_18301);
									BgL_objz00_18301;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3464z00_18302;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3466z00_18303;

										BgL_arg3466z00_18303 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15205))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18304;

											BgL_newz00_18304 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33658;

												BgL_tmpz00_33658 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18304, BgL_tmpz00_33658,
													BgL_arg3466z00_18303);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33663;
												int BgL_tmpz00_33661;

												BgL_auxz00_33663 = BINT(BgL_siza7ezd2framez75_15207);
												BgL_tmpz00_33661 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18304, BgL_tmpz00_33661,
													BgL_auxz00_33663);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33666;

												BgL_tmpz00_33666 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18304, BgL_tmpz00_33666,
													BgL_runz00_18299);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33671;
												int BgL_tmpz00_33669;

												BgL_auxz00_33671 = BINT(((long) 0));
												BgL_tmpz00_33669 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18304, BgL_tmpz00_33669,
													BgL_auxz00_33671);
											}
											BgL_arg3464z00_18302 = BgL_newz00_18304;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18300, BgL_arg3464z00_18302);
									BgL_arg3464z00_18302;
								}
								return BgL_mainz00_18300;
							}
						}
					}
				}
			}
		}

	}



/* &main4579 */
	obj_t BGl_z62main4579z62zz__evaluate_compz00(obj_t BgL_envz00_15209)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15214;
				long BgL_siza7ezd2framez75_15215;

				BgL_runz00_15214 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15209, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15215 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15209, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18305;

					BgL_sz00_18305 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18306;

						BgL_bpz00_18306 = VECTOR_REF(((obj_t) BgL_sz00_18305), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18306) + BgL_siza7ezd2framez75_15215) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18305))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18307;

								BgL_ez00_18307 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4347z00_18308;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4348z00_18309;

										BgL_arg4348z00_18309 = BGL_EXITD_PROTECT(BgL_ez00_18307);
										BgL_arg4347z00_18308 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18306, BgL_arg4348z00_18309);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18307, BgL_arg4347z00_18308);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18310;

									BgL_accz00_18310 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15214, BgL_sz00_18305, BgL_bpz00_18306);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5700z00_33695;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4346z00_18311;

											BgL_arg4346z00_18311 = BGL_EXITD_PROTECT(BgL_ez00_18307);
											BgL_test5700z00_33695 = PAIRP(BgL_arg4346z00_18311);
										}
										if (BgL_test5700z00_33695)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4344z00_18312;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4345z00_18313;

													BgL_arg4345z00_18313 =
														BGL_EXITD_PROTECT(BgL_ez00_18307);
													BgL_arg4344z00_18312 =
														CDR(((obj_t) BgL_arg4345z00_18313));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18307,
													BgL_arg4344z00_18312);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_18305), ((long) 0), BgL_bpz00_18306);
									return BgL_accz00_18310;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18314;

								BgL_nsz00_18314 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18314, ((long) 1), BgL_sz00_18305);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18315;

									BgL_z12denvz12_18315 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18315, BgL_nsz00_18314);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18316;

										BgL_ez00_18316 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18317;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18318;

												BgL_arg4348z00_18318 =
													BGL_EXITD_PROTECT(BgL_ez00_18316);
												BgL_arg4347z00_18317 =
													MAKE_YOUNG_PAIR(BgL_sz00_18305, BgL_arg4348z00_18318);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18316,
												BgL_arg4347z00_18317);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18319;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18320;

												BgL_savedzd2bpzd2_18320 =
													VECTOR_REF(BgL_nsz00_18314, ((long) 0));
												VECTOR_SET(BgL_nsz00_18314, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18322;

													BgL_fz00_18322 = BgL_runz00_15214;
												BgL_recz00_18321:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18323;

														BgL_rz00_18323 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18322)) (BgL_fz00_18322,
															BgL_nsz00_18314, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5701z00_33719;

															if (PROCEDUREP(BgL_rz00_18323))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18324;

																	BgL_arg1779z00_18324 =
																		PROCEDURE_ATTR(BgL_rz00_18323);
																	if (STRUCTP(BgL_arg1779z00_18324))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5701z00_33719 =
																				(STRUCT_KEY(BgL_arg1779z00_18324) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5701z00_33719 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5701z00_33719 = ((bool_t) 0);
																}
															if (BgL_test5701z00_33719)
																{
																	obj_t BgL_fz00_33727;

																	BgL_fz00_33727 = BgL_rz00_18323;
																	BgL_fz00_18322 = BgL_fz00_33727;
																	goto BgL_recz00_18321;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18314, ((long) 0),
																		BgL_savedzd2bpzd2_18320);
																	BgL_____rz00_18319 = BgL_rz00_18323;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5704z00_33729;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18325;

													BgL_arg4346z00_18325 =
														BGL_EXITD_PROTECT(BgL_ez00_18316);
													BgL_test5704z00_33729 = PAIRP(BgL_arg4346z00_18325);
												}
												if (BgL_test5704z00_33729)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18326;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18327;

															BgL_arg4345z00_18327 =
																BGL_EXITD_PROTECT(BgL_ez00_18316);
															BgL_arg4344z00_18326 =
																CDR(((obj_t) BgL_arg4345z00_18327));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18316,
															BgL_arg4344z00_18326);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18315, BgL_sz00_18305);
											return BgL_____rz00_18319;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4580 */
	obj_t BGl_z62run4580z62zz__evaluate_compz00(obj_t BgL_envz00_15216,
		obj_t BgL_sz00_15221)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15217;
				obj_t BgL_valza2za2_15218;
				BgL_ev_absz00_bglt BgL_i1255z00_15219;
				obj_t BgL_bodyz00_15220;

				BgL_siza7eza7_15217 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15216, (int) (((long) 0))));
				BgL_valza2za2_15218 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15216, (int) (((long) 1))));
				BgL_i1255z00_15219 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15216, (int) (((long) 2))));
				BgL_bodyz00_15220 = PROCEDURE_REF(BgL_envz00_15216, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18328;

					BgL_bpz00_18328 = VECTOR_REF(((obj_t) BgL_sz00_15221), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15221,
						BgL_valza2za2_15218,
						((long) CINT(BgL_bpz00_18328) + BgL_siza7eza7_15217));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18329;
						obj_t BgL_wherez00_18330;
						obj_t BgL_locz00_18331;

						BgL_z12denvz12_18329 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18330 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15219))->
							BgL_wherez00);
						BgL_locz00_18331 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15219))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18329, BgL_wherez00_18330,
								BgL_locz00_18331);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18332;

								BgL_za2za2resza2za2z00_18332 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15220)) (BgL_bodyz00_15220,
									BgL_sz00_15221, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18329);
								return BgL_za2za2resza2za2z00_18332;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3471> */
	obj_t BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15222, obj_t BgL_sz00_15229)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15223;
				obj_t BgL_iboxesz00_15224;
				long BgL_siza7eza7_15225;
				BgL_ev_absz00_bglt BgL_i1255z00_15226;
				obj_t BgL_bodyz00_15227;
				long BgL_siza7ezd2framez75_15228;

				BgL_ifreesz00_15223 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 0))));
				BgL_iboxesz00_15224 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 1))));
				BgL_siza7eza7_15225 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 2))));
				BgL_i1255z00_15226 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 3))));
				BgL_bodyz00_15227 = PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15228 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18333;

					BgL_bpz00_18333 = VECTOR_REF(((obj_t) BgL_sz00_15229), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18334;

						BgL_valza2za2_18334 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15229,
							BgL_bpz00_18333, BgL_ifreesz00_15223);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18335;

							BgL_runz00_18335 =
								MAKE_FX_PROCEDURE(BGl_z62run4582z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_18335,
								(int) (((long) 0)), BgL_iboxesz00_15224);
							PROCEDURE_SET(BgL_runz00_18335,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15225));
							PROCEDURE_SET(BgL_runz00_18335,
								(int) (((long) 2)), BgL_valza2za2_18334);
							PROCEDURE_SET(BgL_runz00_18335,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_15226));
							PROCEDURE_SET(BgL_runz00_18335,
								(int) (((long) 4)), BgL_bodyz00_15227);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18336;

								BgL_mainz00_18336 =
									MAKE_FX_PROCEDURE(BGl_z62main4581z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_18336,
									(int) (((long) 0)), BgL_iboxesz00_15224);
								PROCEDURE_SET(BgL_mainz00_18336,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15225));
								PROCEDURE_SET(BgL_mainz00_18336,
									(int) (((long) 2)), BgL_valza2za2_18334);
								PROCEDURE_SET(BgL_mainz00_18336,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_15226));
								PROCEDURE_SET(BgL_mainz00_18336,
									(int) (((long) 4)), BgL_bodyz00_15227);
								PROCEDURE_SET(BgL_mainz00_18336,
									(int) (((long) 5)), BgL_runz00_18335);
								PROCEDURE_SET(BgL_mainz00_18336,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15228));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18337;

									BgL_objz00_18337 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18335, BgL_objz00_18337);
									BgL_objz00_18337;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3473z00_18338;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3474z00_18339;

										BgL_arg3474z00_18339 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15226))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18340;

											BgL_newz00_18340 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33821;

												BgL_tmpz00_33821 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18340, BgL_tmpz00_33821,
													BgL_arg3474z00_18339);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33826;
												int BgL_tmpz00_33824;

												BgL_auxz00_33826 = BINT(BgL_siza7ezd2framez75_15228);
												BgL_tmpz00_33824 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18340, BgL_tmpz00_33824,
													BgL_auxz00_33826);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33829;

												BgL_tmpz00_33829 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18340, BgL_tmpz00_33829,
													BgL_runz00_18335);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33834;
												int BgL_tmpz00_33832;

												BgL_auxz00_33834 = BINT(((long) 0));
												BgL_tmpz00_33832 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18340, BgL_tmpz00_33832,
													BgL_auxz00_33834);
											}
											BgL_arg3473z00_18338 = BgL_newz00_18340;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18336, BgL_arg3473z00_18338);
									BgL_arg3473z00_18338;
								}
								return BgL_mainz00_18336;
							}
						}
					}
				}
			}
		}

	}



/* &main4581 */
	obj_t BGl_z62main4581z62zz__evaluate_compz00(obj_t BgL_envz00_15230)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15236;
				long BgL_siza7ezd2framez75_15237;

				BgL_runz00_15236 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15230, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15237 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15230, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18341;

					BgL_sz00_18341 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18342;

						BgL_bpz00_18342 = VECTOR_REF(((obj_t) BgL_sz00_18341), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18342) + BgL_siza7ezd2framez75_15237) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18341))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18343;

								BgL_ez00_18343 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4347z00_18344;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4348z00_18345;

										BgL_arg4348z00_18345 = BGL_EXITD_PROTECT(BgL_ez00_18343);
										BgL_arg4347z00_18344 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18342, BgL_arg4348z00_18345);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18343, BgL_arg4347z00_18344);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18346;

									BgL_accz00_18346 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15236, BgL_sz00_18341, BgL_bpz00_18342);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5706z00_33858;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4346z00_18347;

											BgL_arg4346z00_18347 = BGL_EXITD_PROTECT(BgL_ez00_18343);
											BgL_test5706z00_33858 = PAIRP(BgL_arg4346z00_18347);
										}
										if (BgL_test5706z00_33858)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4344z00_18348;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4345z00_18349;

													BgL_arg4345z00_18349 =
														BGL_EXITD_PROTECT(BgL_ez00_18343);
													BgL_arg4344z00_18348 =
														CDR(((obj_t) BgL_arg4345z00_18349));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18343,
													BgL_arg4344z00_18348);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_18341), ((long) 0), BgL_bpz00_18342);
									return BgL_accz00_18346;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18350;

								BgL_nsz00_18350 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18350, ((long) 1), BgL_sz00_18341);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18351;

									BgL_z12denvz12_18351 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18351, BgL_nsz00_18350);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18352;

										BgL_ez00_18352 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18353;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18354;

												BgL_arg4348z00_18354 =
													BGL_EXITD_PROTECT(BgL_ez00_18352);
												BgL_arg4347z00_18353 =
													MAKE_YOUNG_PAIR(BgL_sz00_18341, BgL_arg4348z00_18354);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18352,
												BgL_arg4347z00_18353);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18355;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18356;

												BgL_savedzd2bpzd2_18356 =
													VECTOR_REF(BgL_nsz00_18350, ((long) 0));
												VECTOR_SET(BgL_nsz00_18350, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18358;

													BgL_fz00_18358 = BgL_runz00_15236;
												BgL_recz00_18357:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18359;

														BgL_rz00_18359 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18358)) (BgL_fz00_18358,
															BgL_nsz00_18350, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5707z00_33882;

															if (PROCEDUREP(BgL_rz00_18359))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18360;

																	BgL_arg1779z00_18360 =
																		PROCEDURE_ATTR(BgL_rz00_18359);
																	if (STRUCTP(BgL_arg1779z00_18360))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5707z00_33882 =
																				(STRUCT_KEY(BgL_arg1779z00_18360) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5707z00_33882 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5707z00_33882 = ((bool_t) 0);
																}
															if (BgL_test5707z00_33882)
																{
																	obj_t BgL_fz00_33890;

																	BgL_fz00_33890 = BgL_rz00_18359;
																	BgL_fz00_18358 = BgL_fz00_33890;
																	goto BgL_recz00_18357;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18350, ((long) 0),
																		BgL_savedzd2bpzd2_18356);
																	BgL_____rz00_18355 = BgL_rz00_18359;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5710z00_33892;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18361;

													BgL_arg4346z00_18361 =
														BGL_EXITD_PROTECT(BgL_ez00_18352);
													BgL_test5710z00_33892 = PAIRP(BgL_arg4346z00_18361);
												}
												if (BgL_test5710z00_33892)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18362;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18363;

															BgL_arg4345z00_18363 =
																BGL_EXITD_PROTECT(BgL_ez00_18352);
															BgL_arg4344z00_18362 =
																CDR(((obj_t) BgL_arg4345z00_18363));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18352,
															BgL_arg4344z00_18362);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18351, BgL_sz00_18341);
											return BgL_____rz00_18355;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4582 */
	obj_t BGl_z62run4582z62zz__evaluate_compz00(obj_t BgL_envz00_15238,
		obj_t BgL_sz00_15244)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15239;
				long BgL_siza7eza7_15240;
				obj_t BgL_valza2za2_15241;
				BgL_ev_absz00_bglt BgL_i1255z00_15242;
				obj_t BgL_bodyz00_15243;

				BgL_iboxesz00_15239 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15238, (int) (((long) 0))));
				BgL_siza7eza7_15240 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15238, (int) (((long) 1))));
				BgL_valza2za2_15241 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15238, (int) (((long) 2))));
				BgL_i1255z00_15242 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15238, (int) (((long) 3))));
				BgL_bodyz00_15243 = PROCEDURE_REF(BgL_envz00_15238, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18364;

					BgL_bpz00_18364 = VECTOR_REF(((obj_t) BgL_sz00_15244), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15244,
						BgL_iboxesz00_15239, BgL_bpz00_18364);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15244,
						BgL_valza2za2_15241,
						((long) CINT(BgL_bpz00_18364) + BgL_siza7eza7_15240));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18365;
						obj_t BgL_wherez00_18366;
						obj_t BgL_locz00_18367;

						BgL_z12denvz12_18365 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18366 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15242))->
							BgL_wherez00);
						BgL_locz00_18367 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15242))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18365, BgL_wherez00_18366,
								BgL_locz00_18367);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18368;

								BgL_za2za2resza2za2z00_18368 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15243)) (BgL_bodyz00_15243,
									BgL_sz00_15244, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18365);
								return BgL_za2za2resza2za2z00_18368;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3947> */
	obj_t BGl_z62zc3z04anonymousza33947ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15245, obj_t BgL_sz00_15249)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15246;
				obj_t BgL_bodyz00_15247;
				long BgL_siza7ezd2framez75_15248;

				BgL_i1255z00_15246 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15245, (int) (((long) 0))));
				BgL_bodyz00_15247 = PROCEDURE_REF(BgL_envz00_15245, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15248 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15245, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18369;

					BgL_bpz00_18369 = VECTOR_REF(((obj_t) BgL_sz00_15249), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18370;

							BgL_runz00_18370 =
								MAKE_FX_PROCEDURE(BGl_z62run4584z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_18370,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_15246));
							PROCEDURE_SET(BgL_runz00_18370,
								(int) (((long) 1)), BgL_bodyz00_15247);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18371;

								BgL_mainz00_18371 =
									MAKE_VA_PROCEDURE(BGl_z62main4583z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_18371,
									(int) (((long) 0)), BgL_bodyz00_15247);
								PROCEDURE_SET(BgL_mainz00_18371,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_15246));
								PROCEDURE_SET(BgL_mainz00_18371,
									(int) (((long) 2)), BgL_runz00_18370);
								PROCEDURE_SET(BgL_mainz00_18371,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15248));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18372;

									BgL_objz00_18372 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18370, BgL_objz00_18372);
									BgL_objz00_18372;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3948z00_18373;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3949z00_18374;
										obj_t BgL_arg3950z00_18375;

										BgL_arg3949z00_18374 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15246))->
											BgL_arityz00);
										BgL_arg3950z00_18375 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15246))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18376;

											BgL_newz00_18376 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33965;

												BgL_tmpz00_33965 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18376, BgL_tmpz00_33965,
													BgL_arg3950z00_18375);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33970;
												int BgL_tmpz00_33968;

												BgL_auxz00_33970 = BINT(BgL_siza7ezd2framez75_15248);
												BgL_tmpz00_33968 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18376, BgL_tmpz00_33968,
													BgL_auxz00_33970);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33973;

												BgL_tmpz00_33973 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18376, BgL_tmpz00_33973,
													BgL_runz00_18370);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33976;

												BgL_tmpz00_33976 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18376, BgL_tmpz00_33976,
													BgL_arg3949z00_18374);
											}
											BgL_arg3948z00_18373 = BgL_newz00_18376;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18371, BgL_arg3948z00_18373);
									BgL_arg3948z00_18373;
								}
								return BgL_mainz00_18371;
							}
						}
					}
				}
			}
		}

	}



/* &main4583 */
	obj_t BGl_z62main4583z62zz__evaluate_compz00(obj_t BgL_envz00_15250,
		obj_t BgL_az00_15255, obj_t BgL_bz00_15256, obj_t BgL_cz00_15257,
		obj_t BgL_dz00_15258, obj_t BgL_restz00_15259)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15252;
				obj_t BgL_runz00_15253;
				long BgL_siza7ezd2framez75_15254;

				BgL_i1255z00_15252 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15250, (int) (((long) 1))));
				BgL_runz00_15253 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15250, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15254 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15250, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18377;

					BgL_sz00_18377 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18378;

						BgL_bpz00_18378 = VECTOR_REF(((obj_t) BgL_sz00_18377), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18378) + BgL_siza7ezd2framez75_15254) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18377))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3953z00_18379;

									BgL_arg3953z00_18379 =
										((long) CINT(BgL_bpz00_18378) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18377), BgL_arg3953z00_18379,
										BgL_az00_15255);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3954z00_18380;

									BgL_arg3954z00_18380 =
										((long) CINT(BgL_bpz00_18378) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_18377), BgL_arg3954z00_18380,
										BgL_bz00_15256);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3955z00_18381;

									BgL_arg3955z00_18381 =
										((long) CINT(BgL_bpz00_18378) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_18377), BgL_arg3955z00_18381,
										BgL_cz00_15257);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3956z00_18382;

									BgL_arg3956z00_18382 =
										((long) CINT(BgL_bpz00_18378) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_18377), BgL_arg3956z00_18382,
										BgL_dz00_15258);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3957z00_18383;
									long BgL_arg3958z00_18384;
									long BgL_arg3959z00_18385;
									obj_t BgL_arg3960z00_18386;

									BgL_arg3957z00_18383 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15252))->
										BgL_wherez00);
									BgL_arg3958z00_18384 =
										((long) CINT(BgL_bpz00_18378) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3961z00_18387;

										BgL_arg3961z00_18387 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15252))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3961z00_18387) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3959z00_18385 =
													((long) CINT(BgL_arg3961z00_18387) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3959z00_18385 =
													((long) CINT(BgL_arg3961z00_18387) - ((long) 4));
									}}
									BgL_arg3960z00_18386 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15252))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18377,
										BgL_arg3957z00_18383, BgL_arg3958z00_18384,
										BgL_arg3959z00_18385, BgL_restz00_15259,
										BgL_arg3960z00_18386);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18388;

									BgL_ez00_18388 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18389;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18390;

											BgL_arg4348z00_18390 = BGL_EXITD_PROTECT(BgL_ez00_18388);
											BgL_arg4347z00_18389 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18378, BgL_arg4348z00_18390);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18388, BgL_arg4347z00_18389);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18391;

										BgL_accz00_18391 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15253, BgL_sz00_18377, BgL_bpz00_18378);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5713z00_34032;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18392;

												BgL_arg4346z00_18392 =
													BGL_EXITD_PROTECT(BgL_ez00_18388);
												BgL_test5713z00_34032 = PAIRP(BgL_arg4346z00_18392);
											}
											if (BgL_test5713z00_34032)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18393;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18394;

														BgL_arg4345z00_18394 =
															BGL_EXITD_PROTECT(BgL_ez00_18388);
														BgL_arg4344z00_18393 =
															CDR(((obj_t) BgL_arg4345z00_18394));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18388,
														BgL_arg4344z00_18393);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18377), ((long) 0), BgL_bpz00_18378);
										return BgL_accz00_18391;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18395;

								BgL_nsz00_18395 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18395, ((long) 1), BgL_sz00_18377);
								VECTOR_SET(BgL_nsz00_18395, ((long) 2), BgL_az00_15255);
								VECTOR_SET(BgL_nsz00_18395, ((long) 3), BgL_bz00_15256);
								VECTOR_SET(BgL_nsz00_18395, ((long) 4), BgL_cz00_15257);
								VECTOR_SET(BgL_nsz00_18395, ((long) 5), BgL_dz00_15258);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3962z00_18396;
									long BgL_arg3963z00_18397;
									obj_t BgL_arg3964z00_18398;

									BgL_arg3962z00_18396 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15252))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3965z00_18399;

										BgL_arg3965z00_18399 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15252))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3965z00_18399) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3963z00_18397 =
													((long) CINT(BgL_arg3965z00_18399) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3963z00_18397 =
													((long) CINT(BgL_arg3965z00_18399) - ((long) 4));
									}}
									BgL_arg3964z00_18398 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15252))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18395,
										BgL_arg3962z00_18396, ((long) 6), BgL_arg3963z00_18397,
										BgL_restz00_15259, BgL_arg3964z00_18398);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18400;

									BgL_z12denvz12_18400 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18400, BgL_nsz00_18395);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18401;

										BgL_ez00_18401 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18402;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18403;

												BgL_arg4348z00_18403 =
													BGL_EXITD_PROTECT(BgL_ez00_18401);
												BgL_arg4347z00_18402 =
													MAKE_YOUNG_PAIR(BgL_sz00_18377, BgL_arg4348z00_18403);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18401,
												BgL_arg4347z00_18402);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18404;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18405;

												BgL_savedzd2bpzd2_18405 =
													VECTOR_REF(BgL_nsz00_18395, ((long) 0));
												VECTOR_SET(BgL_nsz00_18395, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18407;

													BgL_fz00_18407 = BgL_runz00_15253;
												BgL_recz00_18406:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18408;

														BgL_rz00_18408 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18407)) (BgL_fz00_18407,
															BgL_nsz00_18395, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5715z00_34071;

															if (PROCEDUREP(BgL_rz00_18408))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18409;

																	BgL_arg1779z00_18409 =
																		PROCEDURE_ATTR(BgL_rz00_18408);
																	if (STRUCTP(BgL_arg1779z00_18409))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5715z00_34071 =
																				(STRUCT_KEY(BgL_arg1779z00_18409) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5715z00_34071 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5715z00_34071 = ((bool_t) 0);
																}
															if (BgL_test5715z00_34071)
																{
																	obj_t BgL_fz00_34079;

																	BgL_fz00_34079 = BgL_rz00_18408;
																	BgL_fz00_18407 = BgL_fz00_34079;
																	goto BgL_recz00_18406;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18395, ((long) 0),
																		BgL_savedzd2bpzd2_18405);
																	BgL_____rz00_18404 = BgL_rz00_18408;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5718z00_34081;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18410;

													BgL_arg4346z00_18410 =
														BGL_EXITD_PROTECT(BgL_ez00_18401);
													BgL_test5718z00_34081 = PAIRP(BgL_arg4346z00_18410);
												}
												if (BgL_test5718z00_34081)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18411;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18412;

															BgL_arg4345z00_18412 =
																BGL_EXITD_PROTECT(BgL_ez00_18401);
															BgL_arg4344z00_18411 =
																CDR(((obj_t) BgL_arg4345z00_18412));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18401,
															BgL_arg4344z00_18411);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18400, BgL_sz00_18377);
											return BgL_____rz00_18404;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4584 */
	obj_t BGl_z62run4584z62zz__evaluate_compz00(obj_t BgL_envz00_15260,
		obj_t BgL_sz00_15263)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15261;
				obj_t BgL_bodyz00_15262;

				BgL_i1255z00_15261 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15260, (int) (((long) 0))));
				BgL_bodyz00_15262 = PROCEDURE_REF(BgL_envz00_15260, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18413;

					BgL_bpz00_18413 = VECTOR_REF(((obj_t) BgL_sz00_15263), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18414;
						obj_t BgL_wherez00_18415;
						obj_t BgL_locz00_18416;

						BgL_z12denvz12_18414 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18415 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15261))->
							BgL_wherez00);
						BgL_locz00_18416 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15261))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18414, BgL_wherez00_18415,
								BgL_locz00_18416);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18417;

								BgL_za2za2resza2za2z00_18417 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15262)) (BgL_bodyz00_15262,
									BgL_sz00_15263, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18414);
								return BgL_za2za2resza2za2z00_18417;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3967> */
	obj_t BGl_z62zc3z04anonymousza33967ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15264, obj_t BgL_sz00_15269)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15265;
				BgL_ev_absz00_bglt BgL_i1255z00_15266;
				obj_t BgL_bodyz00_15267;
				long BgL_siza7ezd2framez75_15268;

				BgL_iboxesz00_15265 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15264, (int) (((long) 0))));
				BgL_i1255z00_15266 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15264, (int) (((long) 1))));
				BgL_bodyz00_15267 = PROCEDURE_REF(BgL_envz00_15264, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15268 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15264, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18418;

					BgL_bpz00_18418 = VECTOR_REF(((obj_t) BgL_sz00_15269), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18419;

							BgL_runz00_18419 =
								MAKE_FX_PROCEDURE(BGl_z62run4586z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_18419,
								(int) (((long) 0)), BgL_iboxesz00_15265);
							PROCEDURE_SET(BgL_runz00_18419,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_15266));
							PROCEDURE_SET(BgL_runz00_18419,
								(int) (((long) 2)), BgL_bodyz00_15267);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18420;

								BgL_mainz00_18420 =
									MAKE_VA_PROCEDURE(BGl_z62main4585z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_18420,
									(int) (((long) 0)), BgL_iboxesz00_15265);
								PROCEDURE_SET(BgL_mainz00_18420,
									(int) (((long) 1)), BgL_bodyz00_15267);
								PROCEDURE_SET(BgL_mainz00_18420,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_15266));
								PROCEDURE_SET(BgL_mainz00_18420,
									(int) (((long) 3)), BgL_runz00_18419);
								PROCEDURE_SET(BgL_mainz00_18420,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15268));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18421;

									BgL_objz00_18421 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18419, BgL_objz00_18421);
									BgL_objz00_18421;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3968z00_18422;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3969z00_18423;
										obj_t BgL_arg3970z00_18424;

										BgL_arg3969z00_18423 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15266))->
											BgL_arityz00);
										BgL_arg3970z00_18424 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15266))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18425;

											BgL_newz00_18425 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34148;

												BgL_tmpz00_34148 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18425, BgL_tmpz00_34148,
													BgL_arg3970z00_18424);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34153;
												int BgL_tmpz00_34151;

												BgL_auxz00_34153 = BINT(BgL_siza7ezd2framez75_15268);
												BgL_tmpz00_34151 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18425, BgL_tmpz00_34151,
													BgL_auxz00_34153);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34156;

												BgL_tmpz00_34156 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18425, BgL_tmpz00_34156,
													BgL_runz00_18419);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34159;

												BgL_tmpz00_34159 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18425, BgL_tmpz00_34159,
													BgL_arg3969z00_18423);
											}
											BgL_arg3968z00_18422 = BgL_newz00_18425;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18420, BgL_arg3968z00_18422);
									BgL_arg3968z00_18422;
								}
								return BgL_mainz00_18420;
							}
						}
					}
				}
			}
		}

	}



/* &main4585 */
	obj_t BGl_z62main4585z62zz__evaluate_compz00(obj_t BgL_envz00_15270,
		obj_t BgL_az00_15276, obj_t BgL_bz00_15277, obj_t BgL_cz00_15278,
		obj_t BgL_dz00_15279, obj_t BgL_restz00_15280)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15273;
				obj_t BgL_runz00_15274;
				long BgL_siza7ezd2framez75_15275;

				BgL_i1255z00_15273 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15270, (int) (((long) 2))));
				BgL_runz00_15274 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15270, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15275 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15270, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18426;

					BgL_sz00_18426 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18427;

						BgL_bpz00_18427 = VECTOR_REF(((obj_t) BgL_sz00_18426), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18427) + BgL_siza7ezd2framez75_15275) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18426))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3973z00_18428;

									BgL_arg3973z00_18428 =
										((long) CINT(BgL_bpz00_18427) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18426), BgL_arg3973z00_18428,
										BgL_az00_15276);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3974z00_18429;

									BgL_arg3974z00_18429 =
										((long) CINT(BgL_bpz00_18427) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_18426), BgL_arg3974z00_18429,
										BgL_bz00_15277);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3975z00_18430;

									BgL_arg3975z00_18430 =
										((long) CINT(BgL_bpz00_18427) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_18426), BgL_arg3975z00_18430,
										BgL_cz00_15278);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3976z00_18431;

									BgL_arg3976z00_18431 =
										((long) CINT(BgL_bpz00_18427) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_18426), BgL_arg3976z00_18431,
										BgL_dz00_15279);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3977z00_18432;
									long BgL_arg3978z00_18433;
									long BgL_arg3979z00_18434;
									obj_t BgL_arg3980z00_18435;

									BgL_arg3977z00_18432 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15273))->
										BgL_wherez00);
									BgL_arg3978z00_18433 =
										((long) CINT(BgL_bpz00_18427) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3981z00_18436;

										BgL_arg3981z00_18436 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15273))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3981z00_18436) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3979z00_18434 =
													((long) CINT(BgL_arg3981z00_18436) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3979z00_18434 =
													((long) CINT(BgL_arg3981z00_18436) - ((long) 4));
									}}
									BgL_arg3980z00_18435 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15273))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18426,
										BgL_arg3977z00_18432, BgL_arg3978z00_18433,
										BgL_arg3979z00_18434, BgL_restz00_15280,
										BgL_arg3980z00_18435);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18437;

									BgL_ez00_18437 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18438;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18439;

											BgL_arg4348z00_18439 = BGL_EXITD_PROTECT(BgL_ez00_18437);
											BgL_arg4347z00_18438 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18427, BgL_arg4348z00_18439);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18437, BgL_arg4347z00_18438);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18440;

										BgL_accz00_18440 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15274, BgL_sz00_18426, BgL_bpz00_18427);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5721z00_34215;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18441;

												BgL_arg4346z00_18441 =
													BGL_EXITD_PROTECT(BgL_ez00_18437);
												BgL_test5721z00_34215 = PAIRP(BgL_arg4346z00_18441);
											}
											if (BgL_test5721z00_34215)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18442;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18443;

														BgL_arg4345z00_18443 =
															BGL_EXITD_PROTECT(BgL_ez00_18437);
														BgL_arg4344z00_18442 =
															CDR(((obj_t) BgL_arg4345z00_18443));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18437,
														BgL_arg4344z00_18442);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18426), ((long) 0), BgL_bpz00_18427);
										return BgL_accz00_18440;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18444;

								BgL_nsz00_18444 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18444, ((long) 1), BgL_sz00_18426);
								VECTOR_SET(BgL_nsz00_18444, ((long) 2), BgL_az00_15276);
								VECTOR_SET(BgL_nsz00_18444, ((long) 3), BgL_bz00_15277);
								VECTOR_SET(BgL_nsz00_18444, ((long) 4), BgL_cz00_15278);
								VECTOR_SET(BgL_nsz00_18444, ((long) 5), BgL_dz00_15279);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3982z00_18445;
									long BgL_arg3983z00_18446;
									obj_t BgL_arg3984z00_18447;

									BgL_arg3982z00_18445 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15273))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3985z00_18448;

										BgL_arg3985z00_18448 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15273))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg3985z00_18448) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3983z00_18446 =
													((long) CINT(BgL_arg3985z00_18448) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg3983z00_18446 =
													((long) CINT(BgL_arg3985z00_18448) - ((long) 4));
									}}
									BgL_arg3984z00_18447 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15273))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18444,
										BgL_arg3982z00_18445, ((long) 6), BgL_arg3983z00_18446,
										BgL_restz00_15280, BgL_arg3984z00_18447);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18449;

									BgL_z12denvz12_18449 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18449, BgL_nsz00_18444);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18450;

										BgL_ez00_18450 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18451;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18452;

												BgL_arg4348z00_18452 =
													BGL_EXITD_PROTECT(BgL_ez00_18450);
												BgL_arg4347z00_18451 =
													MAKE_YOUNG_PAIR(BgL_sz00_18426, BgL_arg4348z00_18452);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18450,
												BgL_arg4347z00_18451);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18453;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18454;

												BgL_savedzd2bpzd2_18454 =
													VECTOR_REF(BgL_nsz00_18444, ((long) 0));
												VECTOR_SET(BgL_nsz00_18444, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18456;

													BgL_fz00_18456 = BgL_runz00_15274;
												BgL_recz00_18455:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18457;

														BgL_rz00_18457 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18456)) (BgL_fz00_18456,
															BgL_nsz00_18444, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5723z00_34254;

															if (PROCEDUREP(BgL_rz00_18457))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18458;

																	BgL_arg1779z00_18458 =
																		PROCEDURE_ATTR(BgL_rz00_18457);
																	if (STRUCTP(BgL_arg1779z00_18458))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5723z00_34254 =
																				(STRUCT_KEY(BgL_arg1779z00_18458) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5723z00_34254 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5723z00_34254 = ((bool_t) 0);
																}
															if (BgL_test5723z00_34254)
																{
																	obj_t BgL_fz00_34262;

																	BgL_fz00_34262 = BgL_rz00_18457;
																	BgL_fz00_18456 = BgL_fz00_34262;
																	goto BgL_recz00_18455;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18444, ((long) 0),
																		BgL_savedzd2bpzd2_18454);
																	BgL_____rz00_18453 = BgL_rz00_18457;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5726z00_34264;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18459;

													BgL_arg4346z00_18459 =
														BGL_EXITD_PROTECT(BgL_ez00_18450);
													BgL_test5726z00_34264 = PAIRP(BgL_arg4346z00_18459);
												}
												if (BgL_test5726z00_34264)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18460;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18461;

															BgL_arg4345z00_18461 =
																BGL_EXITD_PROTECT(BgL_ez00_18450);
															BgL_arg4344z00_18460 =
																CDR(((obj_t) BgL_arg4345z00_18461));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18450,
															BgL_arg4344z00_18460);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18449, BgL_sz00_18426);
											return BgL_____rz00_18453;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4586 */
	obj_t BGl_z62run4586z62zz__evaluate_compz00(obj_t BgL_envz00_15281,
		obj_t BgL_sz00_15285)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15282;
				BgL_ev_absz00_bglt BgL_i1255z00_15283;
				obj_t BgL_bodyz00_15284;

				BgL_iboxesz00_15282 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15281, (int) (((long) 0))));
				BgL_i1255z00_15283 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15281, (int) (((long) 1))));
				BgL_bodyz00_15284 = PROCEDURE_REF(BgL_envz00_15281, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18462;

					BgL_bpz00_18462 = VECTOR_REF(((obj_t) BgL_sz00_15285), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15285,
						BgL_iboxesz00_15282, BgL_bpz00_18462);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18463;
						obj_t BgL_wherez00_18464;
						obj_t BgL_locz00_18465;

						BgL_z12denvz12_18463 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18464 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15283))->
							BgL_wherez00);
						BgL_locz00_18465 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15283))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18463, BgL_wherez00_18464,
								BgL_locz00_18465);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18466;

								BgL_za2za2resza2za2z00_18466 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15284)) (BgL_bodyz00_15284,
									BgL_sz00_15285, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18463);
								return BgL_za2za2resza2za2z00_18466;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3990> */
	obj_t BGl_z62zc3z04anonymousza33990ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15286, obj_t BgL_sz00_15292)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15287;
				long BgL_siza7eza7_15288;
				BgL_ev_absz00_bglt BgL_i1255z00_15289;
				obj_t BgL_bodyz00_15290;
				long BgL_siza7ezd2framez75_15291;

				BgL_ifreesz00_15287 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 0))));
				BgL_siza7eza7_15288 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 1))));
				BgL_i1255z00_15289 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 2))));
				BgL_bodyz00_15290 = PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15291 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18467;

					BgL_bpz00_18467 = VECTOR_REF(((obj_t) BgL_sz00_15292), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18468;

						BgL_valza2za2_18468 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15292,
							BgL_bpz00_18467, BgL_ifreesz00_15287);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18469;

							BgL_runz00_18469 =
								MAKE_FX_PROCEDURE(BGl_z62run4588z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_18469,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15288));
							PROCEDURE_SET(BgL_runz00_18469,
								(int) (((long) 1)), BgL_valza2za2_18468);
							PROCEDURE_SET(BgL_runz00_18469,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_15289));
							PROCEDURE_SET(BgL_runz00_18469,
								(int) (((long) 3)), BgL_bodyz00_15290);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18470;

								BgL_mainz00_18470 =
									MAKE_VA_PROCEDURE(BGl_z62main4587z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_18470,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15288));
								PROCEDURE_SET(BgL_mainz00_18470,
									(int) (((long) 1)), BgL_valza2za2_18468);
								PROCEDURE_SET(BgL_mainz00_18470,
									(int) (((long) 2)), BgL_bodyz00_15290);
								PROCEDURE_SET(BgL_mainz00_18470,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_15289));
								PROCEDURE_SET(BgL_mainz00_18470,
									(int) (((long) 4)), BgL_runz00_18469);
								PROCEDURE_SET(BgL_mainz00_18470,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15291));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18471;

									BgL_objz00_18471 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18469, BgL_objz00_18471);
									BgL_objz00_18471;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3991z00_18472;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3992z00_18473;
										obj_t BgL_arg3993z00_18474;

										BgL_arg3992z00_18473 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15289))->
											BgL_arityz00);
										BgL_arg3993z00_18474 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15289))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18475;

											BgL_newz00_18475 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34345;

												BgL_tmpz00_34345 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18475, BgL_tmpz00_34345,
													BgL_arg3993z00_18474);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34350;
												int BgL_tmpz00_34348;

												BgL_auxz00_34350 = BINT(BgL_siza7ezd2framez75_15291);
												BgL_tmpz00_34348 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18475, BgL_tmpz00_34348,
													BgL_auxz00_34350);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34353;

												BgL_tmpz00_34353 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18475, BgL_tmpz00_34353,
													BgL_runz00_18469);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34356;

												BgL_tmpz00_34356 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18475, BgL_tmpz00_34356,
													BgL_arg3992z00_18473);
											}
											BgL_arg3991z00_18472 = BgL_newz00_18475;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18470, BgL_arg3991z00_18472);
									BgL_arg3991z00_18472;
								}
								return BgL_mainz00_18470;
							}
						}
					}
				}
			}
		}

	}



/* &main4587 */
	obj_t BGl_z62main4587z62zz__evaluate_compz00(obj_t BgL_envz00_15293,
		obj_t BgL_az00_15300, obj_t BgL_bz00_15301, obj_t BgL_cz00_15302,
		obj_t BgL_dz00_15303, obj_t BgL_restz00_15304)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15297;
				obj_t BgL_runz00_15298;
				long BgL_siza7ezd2framez75_15299;

				BgL_i1255z00_15297 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 3))));
				BgL_runz00_15298 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15299 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15293, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18476;

					BgL_sz00_18476 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18477;

						BgL_bpz00_18477 = VECTOR_REF(((obj_t) BgL_sz00_18476), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18477) + BgL_siza7ezd2framez75_15299) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18476))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3996z00_18478;

									BgL_arg3996z00_18478 =
										((long) CINT(BgL_bpz00_18477) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18476), BgL_arg3996z00_18478,
										BgL_az00_15300);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3997z00_18479;

									BgL_arg3997z00_18479 =
										((long) CINT(BgL_bpz00_18477) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_18476), BgL_arg3997z00_18479,
										BgL_bz00_15301);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3998z00_18480;

									BgL_arg3998z00_18480 =
										((long) CINT(BgL_bpz00_18477) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_18476), BgL_arg3998z00_18480,
										BgL_cz00_15302);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3999z00_18481;

									BgL_arg3999z00_18481 =
										((long) CINT(BgL_bpz00_18477) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_18476), BgL_arg3999z00_18481,
										BgL_dz00_15303);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4000z00_18482;
									long BgL_arg4001z00_18483;
									long BgL_arg4002z00_18484;
									obj_t BgL_arg4003z00_18485;

									BgL_arg4000z00_18482 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15297))->
										BgL_wherez00);
									BgL_arg4001z00_18483 =
										((long) CINT(BgL_bpz00_18477) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4004z00_18486;

										BgL_arg4004z00_18486 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15297))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4004z00_18486) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4002z00_18484 =
													((long) CINT(BgL_arg4004z00_18486) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4002z00_18484 =
													((long) CINT(BgL_arg4004z00_18486) - ((long) 4));
									}}
									BgL_arg4003z00_18485 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15297))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18476,
										BgL_arg4000z00_18482, BgL_arg4001z00_18483,
										BgL_arg4002z00_18484, BgL_restz00_15304,
										BgL_arg4003z00_18485);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18487;

									BgL_ez00_18487 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18488;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18489;

											BgL_arg4348z00_18489 = BGL_EXITD_PROTECT(BgL_ez00_18487);
											BgL_arg4347z00_18488 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18477, BgL_arg4348z00_18489);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18487, BgL_arg4347z00_18488);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18490;

										BgL_accz00_18490 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15298, BgL_sz00_18476, BgL_bpz00_18477);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5729z00_34412;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18491;

												BgL_arg4346z00_18491 =
													BGL_EXITD_PROTECT(BgL_ez00_18487);
												BgL_test5729z00_34412 = PAIRP(BgL_arg4346z00_18491);
											}
											if (BgL_test5729z00_34412)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18492;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18493;

														BgL_arg4345z00_18493 =
															BGL_EXITD_PROTECT(BgL_ez00_18487);
														BgL_arg4344z00_18492 =
															CDR(((obj_t) BgL_arg4345z00_18493));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18487,
														BgL_arg4344z00_18492);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18476), ((long) 0), BgL_bpz00_18477);
										return BgL_accz00_18490;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18494;

								BgL_nsz00_18494 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18494, ((long) 1), BgL_sz00_18476);
								VECTOR_SET(BgL_nsz00_18494, ((long) 2), BgL_az00_15300);
								VECTOR_SET(BgL_nsz00_18494, ((long) 3), BgL_bz00_15301);
								VECTOR_SET(BgL_nsz00_18494, ((long) 4), BgL_cz00_15302);
								VECTOR_SET(BgL_nsz00_18494, ((long) 5), BgL_dz00_15303);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4005z00_18495;
									long BgL_arg4006z00_18496;
									obj_t BgL_arg4007z00_18497;

									BgL_arg4005z00_18495 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15297))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4008z00_18498;

										BgL_arg4008z00_18498 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15297))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4008z00_18498) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4006z00_18496 =
													((long) CINT(BgL_arg4008z00_18498) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4006z00_18496 =
													((long) CINT(BgL_arg4008z00_18498) - ((long) 4));
									}}
									BgL_arg4007z00_18497 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15297))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18494,
										BgL_arg4005z00_18495, ((long) 6), BgL_arg4006z00_18496,
										BgL_restz00_15304, BgL_arg4007z00_18497);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18499;

									BgL_z12denvz12_18499 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18499, BgL_nsz00_18494);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18500;

										BgL_ez00_18500 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18501;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18502;

												BgL_arg4348z00_18502 =
													BGL_EXITD_PROTECT(BgL_ez00_18500);
												BgL_arg4347z00_18501 =
													MAKE_YOUNG_PAIR(BgL_sz00_18476, BgL_arg4348z00_18502);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18500,
												BgL_arg4347z00_18501);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18503;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18504;

												BgL_savedzd2bpzd2_18504 =
													VECTOR_REF(BgL_nsz00_18494, ((long) 0));
												VECTOR_SET(BgL_nsz00_18494, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18506;

													BgL_fz00_18506 = BgL_runz00_15298;
												BgL_recz00_18505:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18507;

														BgL_rz00_18507 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18506)) (BgL_fz00_18506,
															BgL_nsz00_18494, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5731z00_34451;

															if (PROCEDUREP(BgL_rz00_18507))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18508;

																	BgL_arg1779z00_18508 =
																		PROCEDURE_ATTR(BgL_rz00_18507);
																	if (STRUCTP(BgL_arg1779z00_18508))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5731z00_34451 =
																				(STRUCT_KEY(BgL_arg1779z00_18508) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5731z00_34451 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5731z00_34451 = ((bool_t) 0);
																}
															if (BgL_test5731z00_34451)
																{
																	obj_t BgL_fz00_34459;

																	BgL_fz00_34459 = BgL_rz00_18507;
																	BgL_fz00_18506 = BgL_fz00_34459;
																	goto BgL_recz00_18505;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18494, ((long) 0),
																		BgL_savedzd2bpzd2_18504);
																	BgL_____rz00_18503 = BgL_rz00_18507;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5734z00_34461;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18509;

													BgL_arg4346z00_18509 =
														BGL_EXITD_PROTECT(BgL_ez00_18500);
													BgL_test5734z00_34461 = PAIRP(BgL_arg4346z00_18509);
												}
												if (BgL_test5734z00_34461)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18510;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18511;

															BgL_arg4345z00_18511 =
																BGL_EXITD_PROTECT(BgL_ez00_18500);
															BgL_arg4344z00_18510 =
																CDR(((obj_t) BgL_arg4345z00_18511));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18500,
															BgL_arg4344z00_18510);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18499, BgL_sz00_18476);
											return BgL_____rz00_18503;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4588 */
	obj_t BGl_z62run4588z62zz__evaluate_compz00(obj_t BgL_envz00_15305,
		obj_t BgL_sz00_15310)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15306;
				obj_t BgL_valza2za2_15307;
				BgL_ev_absz00_bglt BgL_i1255z00_15308;
				obj_t BgL_bodyz00_15309;

				BgL_siza7eza7_15306 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15305, (int) (((long) 0))));
				BgL_valza2za2_15307 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15305, (int) (((long) 1))));
				BgL_i1255z00_15308 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15305, (int) (((long) 2))));
				BgL_bodyz00_15309 = PROCEDURE_REF(BgL_envz00_15305, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18512;

					BgL_bpz00_18512 = VECTOR_REF(((obj_t) BgL_sz00_15310), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15310,
						BgL_valza2za2_15307,
						((long) CINT(BgL_bpz00_18512) + BgL_siza7eza7_15306));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18513;
						obj_t BgL_wherez00_18514;
						obj_t BgL_locz00_18515;

						BgL_z12denvz12_18513 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18514 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15308))->
							BgL_wherez00);
						BgL_locz00_18515 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15308))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18513, BgL_wherez00_18514,
								BgL_locz00_18515);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18516;

								BgL_za2za2resza2za2z00_18516 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15309)) (BgL_bodyz00_15309,
									BgL_sz00_15310, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18513);
								return BgL_za2za2resza2za2z00_18516;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:4011> */
	obj_t BGl_z62zc3z04anonymousza34011ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15311, obj_t BgL_sz00_15318)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15312;
				obj_t BgL_iboxesz00_15313;
				long BgL_siza7eza7_15314;
				BgL_ev_absz00_bglt BgL_i1255z00_15315;
				obj_t BgL_bodyz00_15316;
				long BgL_siza7ezd2framez75_15317;

				BgL_ifreesz00_15312 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 0))));
				BgL_iboxesz00_15313 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 1))));
				BgL_siza7eza7_15314 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 2))));
				BgL_i1255z00_15315 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 3))));
				BgL_bodyz00_15316 = PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15317 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15311, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18517;

					BgL_bpz00_18517 = VECTOR_REF(((obj_t) BgL_sz00_15318), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18518;

						BgL_valza2za2_18518 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15318,
							BgL_bpz00_18517, BgL_ifreesz00_15312);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18519;

							BgL_runz00_18519 =
								MAKE_FX_PROCEDURE(BGl_z62run4590z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_18519,
								(int) (((long) 0)), BgL_iboxesz00_15313);
							PROCEDURE_SET(BgL_runz00_18519,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15314));
							PROCEDURE_SET(BgL_runz00_18519,
								(int) (((long) 2)), BgL_valza2za2_18518);
							PROCEDURE_SET(BgL_runz00_18519,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_15315));
							PROCEDURE_SET(BgL_runz00_18519,
								(int) (((long) 4)), BgL_bodyz00_15316);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18520;

								BgL_mainz00_18520 =
									MAKE_VA_PROCEDURE(BGl_z62main4589z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_18520,
									(int) (((long) 0)), BgL_iboxesz00_15313);
								PROCEDURE_SET(BgL_mainz00_18520,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15314));
								PROCEDURE_SET(BgL_mainz00_18520,
									(int) (((long) 2)), BgL_valza2za2_18518);
								PROCEDURE_SET(BgL_mainz00_18520,
									(int) (((long) 3)), BgL_bodyz00_15316);
								PROCEDURE_SET(BgL_mainz00_18520,
									(int) (((long) 4)), ((obj_t) BgL_i1255z00_15315));
								PROCEDURE_SET(BgL_mainz00_18520,
									(int) (((long) 5)), BgL_runz00_18519);
								PROCEDURE_SET(BgL_mainz00_18520,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15317));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18521;

									BgL_objz00_18521 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18519, BgL_objz00_18521);
									BgL_objz00_18521;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4012z00_18522;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4013z00_18523;
										obj_t BgL_arg4014z00_18524;

										BgL_arg4013z00_18523 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15315))->
											BgL_arityz00);
										BgL_arg4014z00_18524 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15315))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18525;

											BgL_newz00_18525 =
												create_struct(BGl_symbol4620z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34554;

												BgL_tmpz00_34554 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18525, BgL_tmpz00_34554,
													BgL_arg4014z00_18524);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34559;
												int BgL_tmpz00_34557;

												BgL_auxz00_34559 = BINT(BgL_siza7ezd2framez75_15317);
												BgL_tmpz00_34557 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18525, BgL_tmpz00_34557,
													BgL_auxz00_34559);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34562;

												BgL_tmpz00_34562 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18525, BgL_tmpz00_34562,
													BgL_runz00_18519);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34565;

												BgL_tmpz00_34565 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18525, BgL_tmpz00_34565,
													BgL_arg4013z00_18523);
											}
											BgL_arg4012z00_18522 = BgL_newz00_18525;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18520, BgL_arg4012z00_18522);
									BgL_arg4012z00_18522;
								}
								return BgL_mainz00_18520;
							}
						}
					}
				}
			}
		}

	}



/* &main4589 */
	obj_t BGl_z62main4589z62zz__evaluate_compz00(obj_t BgL_envz00_15319,
		obj_t BgL_az00_15327, obj_t BgL_bz00_15328, obj_t BgL_cz00_15329,
		obj_t BgL_dz00_15330, obj_t BgL_restz00_15331)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15324;
				obj_t BgL_runz00_15325;
				long BgL_siza7ezd2framez75_15326;

				BgL_i1255z00_15324 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15319, (int) (((long) 4))));
				BgL_runz00_15325 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15319, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15326 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15319, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18526;

					BgL_sz00_18526 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18527;

						BgL_bpz00_18527 = VECTOR_REF(((obj_t) BgL_sz00_18526), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18527) + BgL_siza7ezd2framez75_15326) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18526))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4017z00_18528;

									BgL_arg4017z00_18528 =
										((long) CINT(BgL_bpz00_18527) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18526), BgL_arg4017z00_18528,
										BgL_az00_15327);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4018z00_18529;

									BgL_arg4018z00_18529 =
										((long) CINT(BgL_bpz00_18527) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_18526), BgL_arg4018z00_18529,
										BgL_bz00_15328);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4019z00_18530;

									BgL_arg4019z00_18530 =
										((long) CINT(BgL_bpz00_18527) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_18526), BgL_arg4019z00_18530,
										BgL_cz00_15329);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4020z00_18531;

									BgL_arg4020z00_18531 =
										((long) CINT(BgL_bpz00_18527) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_18526), BgL_arg4020z00_18531,
										BgL_dz00_15330);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4021z00_18532;
									long BgL_arg4022z00_18533;
									long BgL_arg4023z00_18534;
									obj_t BgL_arg4024z00_18535;

									BgL_arg4021z00_18532 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15324))->
										BgL_wherez00);
									BgL_arg4022z00_18533 =
										((long) CINT(BgL_bpz00_18527) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4025z00_18536;

										BgL_arg4025z00_18536 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15324))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4025z00_18536) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4023z00_18534 =
													((long) CINT(BgL_arg4025z00_18536) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4023z00_18534 =
													((long) CINT(BgL_arg4025z00_18536) - ((long) 4));
									}}
									BgL_arg4024z00_18535 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15324))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18526,
										BgL_arg4021z00_18532, BgL_arg4022z00_18533,
										BgL_arg4023z00_18534, BgL_restz00_15331,
										BgL_arg4024z00_18535);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18537;

									BgL_ez00_18537 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4347z00_18538;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4348z00_18539;

											BgL_arg4348z00_18539 = BGL_EXITD_PROTECT(BgL_ez00_18537);
											BgL_arg4347z00_18538 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18527, BgL_arg4348z00_18539);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18537, BgL_arg4347z00_18538);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18540;

										BgL_accz00_18540 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15325, BgL_sz00_18526, BgL_bpz00_18527);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5737z00_34621;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4346z00_18541;

												BgL_arg4346z00_18541 =
													BGL_EXITD_PROTECT(BgL_ez00_18537);
												BgL_test5737z00_34621 = PAIRP(BgL_arg4346z00_18541);
											}
											if (BgL_test5737z00_34621)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4344z00_18542;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4345z00_18543;

														BgL_arg4345z00_18543 =
															BGL_EXITD_PROTECT(BgL_ez00_18537);
														BgL_arg4344z00_18542 =
															CDR(((obj_t) BgL_arg4345z00_18543));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18537,
														BgL_arg4344z00_18542);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18526), ((long) 0), BgL_bpz00_18527);
										return BgL_accz00_18540;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18544;

								BgL_nsz00_18544 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18544, ((long) 1), BgL_sz00_18526);
								VECTOR_SET(BgL_nsz00_18544, ((long) 2), BgL_az00_15327);
								VECTOR_SET(BgL_nsz00_18544, ((long) 3), BgL_bz00_15328);
								VECTOR_SET(BgL_nsz00_18544, ((long) 4), BgL_cz00_15329);
								VECTOR_SET(BgL_nsz00_18544, ((long) 5), BgL_dz00_15330);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4026z00_18545;
									long BgL_arg4027z00_18546;
									obj_t BgL_arg4028z00_18547;

									BgL_arg4026z00_18545 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15324))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4029z00_18548;

										BgL_arg4029z00_18548 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15324))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4029z00_18548) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4027z00_18546 =
													((long) CINT(BgL_arg4029z00_18548) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4027z00_18546 =
													((long) CINT(BgL_arg4029z00_18548) - ((long) 4));
									}}
									BgL_arg4028z00_18547 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15324))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18544,
										BgL_arg4026z00_18545, ((long) 6), BgL_arg4027z00_18546,
										BgL_restz00_15331, BgL_arg4028z00_18547);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18549;

									BgL_z12denvz12_18549 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18549, BgL_nsz00_18544);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18550;

										BgL_ez00_18550 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4347z00_18551;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4348z00_18552;

												BgL_arg4348z00_18552 =
													BGL_EXITD_PROTECT(BgL_ez00_18550);
												BgL_arg4347z00_18551 =
													MAKE_YOUNG_PAIR(BgL_sz00_18526, BgL_arg4348z00_18552);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18550,
												BgL_arg4347z00_18551);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18553;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18554;

												BgL_savedzd2bpzd2_18554 =
													VECTOR_REF(BgL_nsz00_18544, ((long) 0));
												VECTOR_SET(BgL_nsz00_18544, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18556;

													BgL_fz00_18556 = BgL_runz00_15325;
												BgL_recz00_18555:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18557;

														BgL_rz00_18557 =
															((obj_t(*)(obj_t, obj_t,
																	obj_t))
															PROCEDURE_ENTRY(BgL_fz00_18556)) (BgL_fz00_18556,
															BgL_nsz00_18544, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5739z00_34660;

															if (PROCEDUREP(BgL_rz00_18557))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1779z00_18558;

																	BgL_arg1779z00_18558 =
																		PROCEDURE_ATTR(BgL_rz00_18557);
																	if (STRUCTP(BgL_arg1779z00_18558))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5739z00_34660 =
																				(STRUCT_KEY(BgL_arg1779z00_18558) ==
																				BGl_symbol4599z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5739z00_34660 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5739z00_34660 = ((bool_t) 0);
																}
															if (BgL_test5739z00_34660)
																{
																	obj_t BgL_fz00_34668;

																	BgL_fz00_34668 = BgL_rz00_18557;
																	BgL_fz00_18556 = BgL_fz00_34668;
																	goto BgL_recz00_18555;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18544, ((long) 0),
																		BgL_savedzd2bpzd2_18554);
																	BgL_____rz00_18553 = BgL_rz00_18557;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5742z00_34670;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4346z00_18559;

													BgL_arg4346z00_18559 =
														BGL_EXITD_PROTECT(BgL_ez00_18550);
													BgL_test5742z00_34670 = PAIRP(BgL_arg4346z00_18559);
												}
												if (BgL_test5742z00_34670)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4344z00_18560;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4345z00_18561;

															BgL_arg4345z00_18561 =
																BGL_EXITD_PROTECT(BgL_ez00_18550);
															BgL_arg4344z00_18560 =
																CDR(((obj_t) BgL_arg4345z00_18561));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18550,
															BgL_arg4344z00_18560);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18549, BgL_sz00_18526);
											return BgL_____rz00_18553;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4590 */
	obj_t BGl_z62run4590z62zz__evaluate_compz00(obj_t BgL_envz00_15332,
		obj_t BgL_sz00_15338)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15333;
				long BgL_siza7eza7_15334;
				obj_t BgL_valza2za2_15335;
				BgL_ev_absz00_bglt BgL_i1255z00_15336;
				obj_t BgL_bodyz00_15337;

				BgL_iboxesz00_15333 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 0))));
				BgL_siza7eza7_15334 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 1))));
				BgL_valza2za2_15335 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 2))));
				BgL_i1255z00_15336 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 3))));
				BgL_bodyz00_15337 = PROCEDURE_REF(BgL_envz00_15332, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18562;

					BgL_bpz00_18562 = VECTOR_REF(((obj_t) BgL_sz00_15338), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15338,
						BgL_iboxesz00_15333, BgL_bpz00_18562);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15338,
						BgL_valza2za2_15335,
						((long) CINT(BgL_bpz00_18562) + BgL_siza7eza7_15334));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18563;
						obj_t BgL_wherez00_18564;
						obj_t BgL_locz00_18565;

						BgL_z12denvz12_18563 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18564 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15336))->
							BgL_wherez00);
						BgL_locz00_18565 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15336))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18563, BgL_wherez00_18564,
								BgL_locz00_18565);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18566;

								BgL_za2za2resza2za2z00_18566 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15337)) (BgL_bodyz00_15337,
									BgL_sz00_15338, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18563);
								return BgL_za2za2resza2za2z00_18566;
							}
						}
					}
				}
			}
		}

	}



/* &comp-ev_app1481 */
	obj_t BGl_z62compzd2ev_app1481zb0zz__evaluate_compz00(obj_t BgL_envz00_15339,
		obj_t BgL_ez00_15340, obj_t BgL_stkz00_15341)
	{
		{	/* Eval/evaluate_comp.scm 1051 */
			{	/* Eval/evaluate_comp.scm 1053 */
				obj_t BgL__ortest_1241z00_18568;

				BgL__ortest_1241z00_18568 =
					BGl_arithzd2expressionzd2zz__evaluate_compz00(
					((BgL_ev_appz00_bglt) BgL_ez00_15340), BgL_stkz00_15341);
				if (CBOOL(BgL__ortest_1241z00_18568))
					{	/* Eval/evaluate_comp.scm 1053 */
						return BgL__ortest_1241z00_18568;
					}
				else
					{	/* Eval/evaluate_comp.scm 1054 */
						obj_t BgL__ortest_1242z00_18569;

						BgL__ortest_1242z00_18569 =
							BGl_inlinezd2callzd2zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15340)))->BgL_locz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15340)))->BgL_funz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15340)))->BgL_argsz00),
							BgL_stkz00_15341);
						if (CBOOL(BgL__ortest_1242z00_18569))
							{	/* Eval/evaluate_comp.scm 1054 */
								return BgL__ortest_1242z00_18569;
							}
						else
							{	/* Eval/evaluate_comp.scm 1054 */
								if (
									(bgl_list_length(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15340)))->
												BgL_argsz00)) > ((long) 4)))
									{	/* Eval/evaluate_comp.scm 1055 */
										return
											BGl_compzd2oldzd2callz00zz__evaluate_compz00(
											((BgL_ev_appz00_bglt) BgL_ez00_15340), BgL_stkz00_15341);
									}
								else
									{	/* Eval/evaluate_comp.scm 1057 */
										obj_t BgL_fz00_18570;
										long BgL_siza7eza7_18571;
										obj_t BgL_symbzd2funzd2_18572;

										BgL_fz00_18570 =
											BGl_compz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15340)))->
												BgL_funz00), BgL_stkz00_15341);
										BgL_siza7eza7_18571 = bgl_list_length(BgL_stkz00_15341);
										BgL_symbzd2funzd2_18572 =
											BGl_uncompilez00zz__evaluate_uncompz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15340)))->
												BgL_funz00));
										if (NULLP((((BgL_ev_appz00_bglt)
														COBJECT(((BgL_ev_appz00_bglt) BgL_ez00_15340)))->
													BgL_argsz00)))
											{	/* Eval/evaluate_comp.scm 1058 */
												return
													BGl_compzd2call0zd2zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15340)))->
														BgL_locz00),
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15340)))->BgL_funz00),
													BgL_symbzd2funzd2_18572, BgL_fz00_18570,
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15340)))->BgL_tailzf3zf3),
													BgL_stkz00_15341, BgL_siza7eza7_18571);
											}
										else
											{	/* Eval/evaluate_comp.scm 1060 */
												obj_t BgL_a1z00_18573;
												obj_t BgL_argsz00_18574;

												{	/* Eval/evaluate_comp.scm 1060 */
													obj_t BgL_arg3425z00_18575;

													BgL_arg3425z00_18575 =
														CAR(
														(((BgL_ev_appz00_bglt) COBJECT(
																	((BgL_ev_appz00_bglt) BgL_ez00_15340)))->
															BgL_argsz00));
													BgL_a1z00_18573 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3425z00_18575),
														BgL_stkz00_15341);
												}
												BgL_argsz00_18574 =
													CDR(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15340)))->
														BgL_argsz00));
												if (NULLP(BgL_argsz00_18574))
													{	/* Eval/evaluate_comp.scm 1060 */
														return
															BGl_compzd2call1zd2zz__evaluate_compz00(
															(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_ez00_15340)))->
																BgL_locz00),
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15340)))->BgL_funz00),
															BgL_symbzd2funzd2_18572, BgL_fz00_18570,
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15340)))->BgL_tailzf3zf3),
															BgL_stkz00_15341, BgL_siza7eza7_18571,
															BgL_a1z00_18573);
													}
												else
													{	/* Eval/evaluate_comp.scm 1060 */
														obj_t BgL_a2z00_18576;
														obj_t BgL_argsz00_18577;

														{	/* Eval/evaluate_comp.scm 1060 */
															obj_t BgL_arg3424z00_18578;

															BgL_arg3424z00_18578 =
																CAR(((obj_t) BgL_argsz00_18574));
															BgL_a2z00_18576 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_arg3424z00_18578),
																BgL_stkz00_15341);
														}
														BgL_argsz00_18577 =
															CDR(((obj_t) BgL_argsz00_18574));
														if (NULLP(BgL_argsz00_18577))
															{	/* Eval/evaluate_comp.scm 1060 */
																return
																	BGl_compzd2call2zd2zz__evaluate_compz00(
																	(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_ez00_15340)))->BgL_locz00),
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15340)))->BgL_funz00),
																	BgL_symbzd2funzd2_18572, BgL_fz00_18570,
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15340)))->BgL_tailzf3zf3),
																	BgL_stkz00_15341, BgL_siza7eza7_18571,
																	BgL_a1z00_18573, BgL_a2z00_18576);
															}
														else
															{	/* Eval/evaluate_comp.scm 1060 */
																obj_t BgL_a3z00_18579;
																obj_t BgL_argsz00_18580;

																{	/* Eval/evaluate_comp.scm 1060 */
																	obj_t BgL_arg3422z00_18581;

																	BgL_arg3422z00_18581 =
																		CAR(((obj_t) BgL_argsz00_18577));
																	BgL_a3z00_18579 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt)
																			BgL_arg3422z00_18581), BgL_stkz00_15341);
																}
																BgL_argsz00_18580 =
																	CDR(((obj_t) BgL_argsz00_18577));
																if (NULLP(BgL_argsz00_18580))
																	{	/* Eval/evaluate_comp.scm 1060 */
																		return
																			BGl_compzd2call3zd2zz__evaluate_compz00(
																			(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_ez00_15340)))->BgL_locz00),
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15340)))->BgL_funz00),
																			BgL_symbzd2funzd2_18572, BgL_fz00_18570,
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15340)))->
																				BgL_tailzf3zf3), BgL_stkz00_15341,
																			BgL_siza7eza7_18571, BgL_a1z00_18573,
																			BgL_a2z00_18576, BgL_a3z00_18579);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 1060 */
																		obj_t BgL_a4z00_18582;
																		obj_t BgL_argsz00_18583;

																		{	/* Eval/evaluate_comp.scm 1060 */
																			obj_t BgL_arg3421z00_18584;

																			BgL_arg3421z00_18584 =
																				CAR(((obj_t) BgL_argsz00_18580));
																			BgL_a4z00_18582 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg3421z00_18584),
																				BgL_stkz00_15341);
																		}
																		BgL_argsz00_18583 =
																			CDR(((obj_t) BgL_argsz00_18580));
																		if (NULLP(BgL_argsz00_18583))
																			{	/* Eval/evaluate_comp.scm 1060 */
																				return
																					BGl_compzd2call4zd2zz__evaluate_compz00
																					((((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15340)))->
																						BgL_locz00),
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15340)))->
																						BgL_funz00),
																					BgL_symbzd2funzd2_18572,
																					BgL_fz00_18570,
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15340)))->
																						BgL_tailzf3zf3), BgL_stkz00_15341,
																					BgL_siza7eza7_18571, BgL_a1z00_18573,
																					BgL_a2z00_18576, BgL_a3z00_18579,
																					BgL_a4z00_18582);
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 1060 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string4603z00zz__evaluate_compz00,
																					BGl_string4718z00zz__evaluate_compz00,
																					BGl_string4719z00zz__evaluate_compz00);
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &comp-ev_goto1479 */
	obj_t BGl_z62compzd2ev_goto1479zb0zz__evaluate_compz00(obj_t BgL_envz00_15342,
		obj_t BgL_ez00_15343, obj_t BgL_stkz00_15344)
	{
		{	/* Eval/evaluate_comp.scm 604 */
			{	/* Eval/evaluate_comp.scm 607 */
				obj_t BgL_slotz00_18588;
				long BgL_siza7eza7_18589;
				obj_t BgL_lstkz00_18590;

				BgL_slotz00_18588 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t)
						(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->BgL_labelz00)),
					(((BgL_ev_labelsz00_bglt) COBJECT(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->
									BgL_labelsz00)))->BgL_envz00));
				BgL_siza7eza7_18589 = bgl_list_length(BgL_stkz00_15344);
				BgL_lstkz00_18590 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->BgL_labelsz00)))->
					BgL_stkz00);
				{	/* Eval/evaluate_comp.scm 609 */
					long BgL_llstkz00_18591;
					obj_t BgL_substkz00_18592;
					obj_t BgL_boxesz00_18593;

					BgL_llstkz00_18591 = bgl_list_length(BgL_lstkz00_18590);
					BgL_substkz00_18592 =
						BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_18590,
						BgL_stkz00_15344);
					{	/* Eval/evaluate_comp.scm 609 */
						obj_t BgL_pairz00_18594;

						BgL_pairz00_18594 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->BgL_labelz00)),
							(((BgL_ev_labelsz00_bglt) COBJECT(
										(((BgL_ev_gotoz00_bglt) COBJECT(
													((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->
											BgL_labelsz00)))->BgL_boxesz00));
						BgL_boxesz00_18593 = CDR(BgL_pairz00_18594);
					}
					if (BGl_needzd2shiftzd2zz__evaluate_compz00(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->BgL_argsz00),
							BgL_substkz00_18592))
						{	/* Eval/evaluate_comp.scm 612 */
							obj_t BgL_argsz00_18595;
							long BgL_nbargsz00_18596;

							BgL_argsz00_18595 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->BgL_argsz00),
								BgL_stkz00_15344);
							BgL_nbargsz00_18596 =
								bgl_list_length((((BgL_ev_gotoz00_bglt)
										COBJECT(((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->
									BgL_argsz00));
							{	/* Eval/evaluate_comp.scm 613 */
								obj_t BgL_zc3z04anonymousza33357ze3z87_18597;

								BgL_zc3z04anonymousza33357ze3z87_18597 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_18597,
									(int) (((long) 0)), BINT(BgL_siza7eza7_18589));
								PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_18597,
									(int) (((long) 1)), BINT(BgL_llstkz00_18591));
								PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_18597,
									(int) (((long) 2)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15343)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_18597,
									(int) (((long) 3)), BgL_argsz00_18595);
								PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_18597,
									(int) (((long) 4)), BgL_boxesz00_18593);
								PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_18597,
									(int) (((long) 5)), BINT(BgL_nbargsz00_18596));
								PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_18597,
									(int) (((long) 6)), BgL_slotz00_18588);
								return BgL_zc3z04anonymousza33357ze3z87_18597;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 618 */
							obj_t BgL_argsz00_18598;

							{	/* Eval/evaluate_comp.scm 618 */
								obj_t BgL_lz00_18599;
								long BgL_nz00_18600;

								BgL_lz00_18599 =
									(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15343)))->BgL_argsz00);
								BgL_nz00_18600 = (BgL_siza7eza7_18589 - BgL_llstkz00_18591);
								BgL_argsz00_18598 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15344,
									BgL_lz00_18599, BgL_nz00_18600);
							}
							{	/* Eval/evaluate_comp.scm 619 */
								obj_t BgL_zc3z04anonymousza33363ze3z87_18601;

								BgL_zc3z04anonymousza33363ze3z87_18601 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33363ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_18601,
									(int) (((long) 0)), BINT(BgL_llstkz00_18591));
								PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_18601,
									(int) (((long) 1)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15343)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_18601,
									(int) (((long) 2)), BgL_argsz00_18598);
								PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_18601,
									(int) (((long) 3)), BgL_boxesz00_18593);
								PROCEDURE_SET(BgL_zc3z04anonymousza33363ze3z87_18601,
									(int) (((long) 4)), BgL_slotz00_18588);
								return BgL_zc3z04anonymousza33363ze3z87_18601;
							}
						}
				}
			}
		}

	}



/* &<@anonymous:3357> */
	obj_t BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15345, obj_t BgL_sz00_15353)
	{
		{	/* Eval/evaluate_comp.scm 613 */
			{	/* Eval/evaluate_comp.scm 613 */
				long BgL_siza7eza7_15346;
				long BgL_llstkz00_15347;
				BgL_ev_gotoz00_bglt BgL_i1153z00_15348;
				obj_t BgL_argsz00_15349;
				obj_t BgL_boxesz00_15350;
				long BgL_nbargsz00_15351;
				obj_t BgL_slotz00_15352;

				BgL_siza7eza7_15346 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15345, (int) (((long) 0))));
				BgL_llstkz00_15347 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15345, (int) (((long) 1))));
				BgL_i1153z00_15348 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15345, (int) (((long) 2))));
				BgL_argsz00_15349 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15345, (int) (((long) 3))));
				BgL_boxesz00_15350 =
					PROCEDURE_REF(BgL_envz00_15345, (int) (((long) 4)));
				BgL_nbargsz00_15351 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15345, (int) (((long) 5))));
				BgL_slotz00_15352 = PROCEDURE_REF(BgL_envz00_15345, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 613 */
					obj_t BgL_bpz00_18602;

					BgL_bpz00_18602 = VECTOR_REF(((obj_t) BgL_sz00_15353), ((long) 0));
					{	/* Eval/evaluate_comp.scm 614 */
						long BgL_spz00_18603;
						long BgL_lspz00_18604;

						BgL_spz00_18603 =
							((long) CINT(BgL_bpz00_18602) + BgL_siza7eza7_15346);
						BgL_lspz00_18604 =
							((long) CINT(BgL_bpz00_18602) + BgL_llstkz00_15347);
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_15353, BgL_argsz00_15349, BgL_boxesz00_15350,
							BgL_spz00_18603,
							(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1153z00_15348))->
								BgL_locz00));
						{	/* Eval/evaluate_comp.scm 616 */
							long BgL_arg3359z00_18605;

							BgL_arg3359z00_18605 = (BgL_spz00_18603 + BgL_nbargsz00_15351);
							BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_15353,
								BgL_lspz00_18604, BgL_sz00_15353, BINT(BgL_spz00_18603),
								BINT(BgL_arg3359z00_18605));
						}
						return CDR(((obj_t) BgL_slotz00_15352));
					}
				}
			}
		}

	}



/* &<@anonymous:3363> */
	obj_t BGl_z62zc3z04anonymousza33363ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15354, obj_t BgL_sz00_15360)
	{
		{	/* Eval/evaluate_comp.scm 619 */
			{	/* Eval/evaluate_comp.scm 619 */
				long BgL_llstkz00_15355;
				BgL_ev_gotoz00_bglt BgL_i1153z00_15356;
				obj_t BgL_argsz00_15357;
				obj_t BgL_boxesz00_15358;
				obj_t BgL_slotz00_15359;

				BgL_llstkz00_15355 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15354, (int) (((long) 0))));
				BgL_i1153z00_15356 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15354, (int) (((long) 1))));
				BgL_argsz00_15357 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15354, (int) (((long) 2))));
				BgL_boxesz00_15358 =
					PROCEDURE_REF(BgL_envz00_15354, (int) (((long) 3)));
				BgL_slotz00_15359 = PROCEDURE_REF(BgL_envz00_15354, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 619 */
					obj_t BgL_bpz00_18606;

					BgL_bpz00_18606 = VECTOR_REF(((obj_t) BgL_sz00_15360), ((long) 0));
					BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
						(BgL_sz00_15360, BgL_argsz00_15357, BgL_boxesz00_15358,
						((long) CINT(BgL_bpz00_18606) + BgL_llstkz00_15355),
						(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1153z00_15356))->BgL_locz00));
					return CDR(((obj_t) BgL_slotz00_15359));
				}
			}
		}

	}



/* &comp-ev_labels1477 */
	obj_t BGl_z62compzd2ev_labels1477zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15361, obj_t BgL_ez00_15362, obj_t BgL_stkz00_15363)
	{
		{	/* Eval/evaluate_comp.scm 572 */
			((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_15362)))->BgL_stkz00) =
				((obj_t) BgL_stkz00_15363), BUNSPEC);
			{	/* Eval/evaluate_comp.scm 579 */
				obj_t BgL_envz00_18608;

				{	/* Eval/evaluate_comp.scm 579 */
					obj_t BgL_l1344z00_18609;

					BgL_l1344z00_18609 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15362)))->BgL_varsz00);
					if (NULLP(BgL_l1344z00_18609))
						{	/* Eval/evaluate_comp.scm 579 */
							BgL_envz00_18608 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 579 */
							obj_t BgL_head1346z00_18610;

							BgL_head1346z00_18610 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1344z00_18612;
								obj_t BgL_tail1347z00_18613;

								BgL_l1344z00_18612 = BgL_l1344z00_18609;
								BgL_tail1347z00_18613 = BgL_head1346z00_18610;
							BgL_zc3z04anonymousza33347ze3z87_18611:
								if (NULLP(BgL_l1344z00_18612))
									{	/* Eval/evaluate_comp.scm 579 */
										BgL_envz00_18608 = CDR(BgL_head1346z00_18610);
									}
								else
									{	/* Eval/evaluate_comp.scm 579 */
										obj_t BgL_newtail1348z00_18614;

										{	/* Eval/evaluate_comp.scm 579 */
											obj_t BgL_arg3350z00_18615;

											{	/* Eval/evaluate_comp.scm 579 */
												obj_t BgL_vz00_18616;

												BgL_vz00_18616 = CAR(((obj_t) BgL_l1344z00_18612));
												BgL_arg3350z00_18615 =
													MAKE_YOUNG_PAIR(BgL_vz00_18616,
													BGl_symbol4720z00zz__evaluate_compz00);
											}
											BgL_newtail1348z00_18614 =
												MAKE_YOUNG_PAIR(BgL_arg3350z00_18615, BNIL);
										}
										SET_CDR(BgL_tail1347z00_18613, BgL_newtail1348z00_18614);
										{	/* Eval/evaluate_comp.scm 579 */
											obj_t BgL_arg3349z00_18617;

											BgL_arg3349z00_18617 = CDR(((obj_t) BgL_l1344z00_18612));
											{
												obj_t BgL_tail1347z00_34953;
												obj_t BgL_l1344z00_34952;

												BgL_l1344z00_34952 = BgL_arg3349z00_18617;
												BgL_tail1347z00_34953 = BgL_newtail1348z00_18614;
												BgL_tail1347z00_18613 = BgL_tail1347z00_34953;
												BgL_l1344z00_18612 = BgL_l1344z00_34952;
												goto BgL_zc3z04anonymousza33347ze3z87_18611;
											}
										}
									}
							}
						}
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15362)))->BgL_envz00) =
					((obj_t) BgL_envz00_18608), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 582 */
					obj_t BgL_g1352z00_18618;

					BgL_g1352z00_18618 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15362)))->BgL_valsz00);
					{
						obj_t BgL_ll1349z00_18620;
						obj_t BgL_ll1350z00_18621;

						BgL_ll1349z00_18620 = BgL_envz00_18608;
						BgL_ll1350z00_18621 = BgL_g1352z00_18618;
					BgL_zc3z04anonymousza33334ze3z87_18619:
						if (NULLP(BgL_ll1349z00_18620))
							{	/* Eval/evaluate_comp.scm 582 */
								((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_comp.scm 582 */
								{	/* Eval/evaluate_comp.scm 584 */
									obj_t BgL_slotz00_18622;
									obj_t BgL_valz00_18623;

									BgL_slotz00_18622 = CAR(((obj_t) BgL_ll1349z00_18620));
									BgL_valz00_18623 = CAR(((obj_t) BgL_ll1350z00_18621));
									{	/* Eval/evaluate_comp.scm 585 */
										obj_t BgL_arg3336z00_18624;

										{	/* Eval/evaluate_comp.scm 585 */
											obj_t BgL_arg3337z00_18625;

											{	/* Eval/evaluate_comp.scm 585 */
												obj_t BgL_arg3338z00_18626;
												obj_t BgL_arg3339z00_18627;

												BgL_arg3338z00_18626 = CDR(((obj_t) BgL_valz00_18623));
												{	/* Eval/evaluate_comp.scm 585 */
													obj_t BgL_arg3340z00_18628;

													BgL_arg3340z00_18628 =
														CAR(((obj_t) BgL_valz00_18623));
													BgL_arg3339z00_18627 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_15363, BgL_arg3340z00_18628);
												}
												BgL_arg3337z00_18625 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_arg3338z00_18626),
													BgL_arg3339z00_18627);
											}
											{	/* Eval/evaluate_comp.scm 574 */
												obj_t BgL_objz00_18629;

												BgL_objz00_18629 =
													BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
												{	/* Eval/evaluate_comp.scm 574 */
													obj_t BgL_tmpz00_34971;

													BgL_tmpz00_34971 = ((obj_t) BgL_arg3337z00_18625);
													PROCEDURE_ATTR_SET(BgL_tmpz00_34971,
														BgL_objz00_18629);
												}
												BgL_objz00_18629;
											}
											BgL_arg3336z00_18624 = BgL_arg3337z00_18625;
										}
										{	/* Eval/evaluate_comp.scm 584 */
											obj_t BgL_tmpz00_34974;

											BgL_tmpz00_34974 = ((obj_t) BgL_slotz00_18622);
											SET_CDR(BgL_tmpz00_34974, BgL_arg3336z00_18624);
										}
									}
								}
								{	/* Eval/evaluate_comp.scm 582 */
									obj_t BgL_arg3344z00_18630;
									obj_t BgL_arg3345z00_18631;

									BgL_arg3344z00_18630 = CDR(((obj_t) BgL_ll1349z00_18620));
									BgL_arg3345z00_18631 = CDR(((obj_t) BgL_ll1350z00_18621));
									{
										obj_t BgL_ll1350z00_34982;
										obj_t BgL_ll1349z00_34981;

										BgL_ll1349z00_34981 = BgL_arg3344z00_18630;
										BgL_ll1350z00_34982 = BgL_arg3345z00_18631;
										BgL_ll1350z00_18621 = BgL_ll1350z00_34982;
										BgL_ll1349z00_18620 = BgL_ll1349z00_34981;
										goto BgL_zc3z04anonymousza33334ze3z87_18619;
									}
								}
							}
					}
				}
			}
			{	/* Eval/evaluate_comp.scm 589 */
				obj_t BgL_bodyz00_18632;

				BgL_bodyz00_18632 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15362)))->BgL_bodyz00),
					BgL_stkz00_15363);
				{	/* Eval/evaluate_comp.scm 590 */
					obj_t BgL_zc3z04anonymousza33351ze3z87_18633;

					BgL_zc3z04anonymousza33351ze3z87_18633 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33351ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33351ze3z87_18633,
						(int) (((long) 0)), BgL_bodyz00_18632);
					return BgL_zc3z04anonymousza33351ze3z87_18633;
				}
			}
		}

	}



/* &<@anonymous:3351> */
	obj_t BGl_z62zc3z04anonymousza33351ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15364, obj_t BgL_sz00_15366)
	{
		{	/* Eval/evaluate_comp.scm 590 */
			{	/* Eval/evaluate_comp.scm 590 */
				obj_t BgL_bodyz00_15365;

				BgL_bodyz00_15365 = PROCEDURE_REF(BgL_envz00_15364, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 590 */
					obj_t BgL_bpz00_18634;

					BgL_bpz00_18634 = VECTOR_REF(((obj_t) BgL_sz00_15366), ((long) 0));
					{
						obj_t BgL_fz00_18636;

						BgL_fz00_18636 = BgL_bodyz00_15365;
					BgL_recz00_18635:
						{	/* Eval/evaluate_comp.scm 597 */
							obj_t BgL_rz00_18637;

							BgL_rz00_18637 =
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_fz00_18636)) (BgL_fz00_18636,
								BgL_sz00_15366, BEOA);
							{	/* Eval/evaluate_comp.scm 599 */
								bool_t BgL_test5755z00_34999;

								if (PROCEDUREP(BgL_rz00_18637))
									{	/* Eval/evaluate_comp.scm 599 */
										obj_t BgL_arg1736z00_18638;

										BgL_arg1736z00_18638 = PROCEDURE_ATTR(BgL_rz00_18637);
										if (STRUCTP(BgL_arg1736z00_18638))
											{	/* Eval/evaluate_comp.scm 569 */
												BgL_test5755z00_34999 =
													(STRUCT_KEY(BgL_arg1736z00_18638) ==
													BGl_symbol4597z00zz__evaluate_compz00);
											}
										else
											{	/* Eval/evaluate_comp.scm 569 */
												BgL_test5755z00_34999 = ((bool_t) 0);
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 599 */
										BgL_test5755z00_34999 = ((bool_t) 0);
									}
								if (BgL_test5755z00_34999)
									{
										obj_t BgL_fz00_35007;

										BgL_fz00_35007 = BgL_rz00_18637;
										BgL_fz00_18636 = BgL_fz00_35007;
										goto BgL_recz00_18635;
									}
								else
									{	/* Eval/evaluate_comp.scm 599 */
										return BgL_rz00_18637;
									}
							}
						}
					}
				}
			}
		}

	}



/* &comp-ev_synchronize1475 */
	obj_t BGl_z62compzd2ev_synchroniza7e1475z17zz__evaluate_compz00(obj_t
		BgL_envz00_15367, obj_t BgL_ez00_15368, obj_t BgL_stkz00_15369)
	{
		{	/* Eval/evaluate_comp.scm 552 */
			{	/* Eval/evaluate_comp.scm 554 */
				obj_t BgL_mutexz00_18640;
				obj_t BgL_prelockz00_18641;
				obj_t BgL_bodyz00_18642;

				BgL_mutexz00_18640 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15368)))->
						BgL_mutexz00), BgL_stkz00_15369);
				BgL_prelockz00_18641 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15368)))->
						BgL_prelockz00), BgL_stkz00_15369);
				BgL_bodyz00_18642 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15368)))->
						BgL_bodyz00), BgL_stkz00_15369);
				{	/* Eval/evaluate_comp.scm 557 */
					obj_t BgL_zc3z04anonymousza33323ze3z87_18643;

					BgL_zc3z04anonymousza33323ze3z87_18643 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33323ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 4)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33323ze3z87_18643,
						(int) (((long) 0)), BgL_mutexz00_18640);
					PROCEDURE_SET(BgL_zc3z04anonymousza33323ze3z87_18643,
						(int) (((long) 1)),
						((obj_t) ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15368)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33323ze3z87_18643,
						(int) (((long) 2)), BgL_prelockz00_18641);
					PROCEDURE_SET(BgL_zc3z04anonymousza33323ze3z87_18643,
						(int) (((long) 3)), BgL_bodyz00_18642);
					return BgL_zc3z04anonymousza33323ze3z87_18643;
				}
			}
		}

	}



/* &<@anonymous:3323> */
	obj_t BGl_z62zc3z04anonymousza33323ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15370, obj_t BgL_sz00_15375)
	{
		{	/* Eval/evaluate_comp.scm 557 */
			{	/* Eval/evaluate_comp.scm 557 */
				obj_t BgL_mutexz00_15371;
				BgL_ev_synchroniza7eza7_bglt BgL_i1150z00_15372;
				obj_t BgL_prelockz00_15373;
				obj_t BgL_bodyz00_15374;

				BgL_mutexz00_15371 =
					PROCEDURE_REF(BgL_envz00_15370, (int) (((long) 0)));
				BgL_i1150z00_15372 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_15370, (int) (((long) 1))));
				BgL_prelockz00_15373 =
					PROCEDURE_REF(BgL_envz00_15370, (int) (((long) 2)));
				BgL_bodyz00_15374 = PROCEDURE_REF(BgL_envz00_15370, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 557 */
					obj_t BgL_bpz00_18644;

					BgL_bpz00_18644 = VECTOR_REF(((obj_t) BgL_sz00_15375), ((long) 0));
					{	/* Eval/evaluate_comp.scm 558 */
						obj_t BgL_mz00_18645;

						BgL_mz00_18645 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_mutexz00_15371)) (BgL_mutexz00_15371,
							BgL_sz00_15375, BEOA);
						if (BGL_MUTEXP(BgL_mz00_18645))
							{	/* Eval/evaluate_comp.scm 560 */
								obj_t BgL_pz00_18646;

								BgL_pz00_18646 =
									((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_prelockz00_15373)) (BgL_prelockz00_15373,
									BgL_sz00_15375, BEOA);
								{	/* Eval/evaluate_comp.scm 562 */
									obj_t BgL_za2za2resza2za2z00_18647;

									if (PAIRP(BgL_pz00_18646))
										{	/* Eval/evaluate_comp.scm 563 */
											obj_t BgL_top5761z00_35054;

											BgL_top5761z00_35054 = BGL_EXITD_TOP_AS_OBJ();
											BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_18645, BgL_pz00_18646);
											BGL_EXITD_PUSH_PROTECT(BgL_top5761z00_35054,
												BgL_mz00_18645);
											BUNSPEC;
											{	/* Eval/evaluate_comp.scm 563 */
												obj_t BgL_tmp5760z00_35053;

												BgL_tmp5760z00_35053 =
													((obj_t(*)(obj_t, obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_bodyz00_15374))
													(BgL_bodyz00_15374, BgL_sz00_15375, BEOA);
												BGL_EXITD_POP_PROTECT(BgL_top5761z00_35054);
												BUNSPEC;
												BGL_MUTEX_UNLOCK(BgL_mz00_18645);
												BgL_za2za2resza2za2z00_18647 = BgL_tmp5760z00_35053;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 564 */
											obj_t BgL_top5763z00_35065;

											BgL_top5763z00_35065 = BGL_EXITD_TOP_AS_OBJ();
											BGL_MUTEX_LOCK(BgL_mz00_18645);
											BGL_EXITD_PUSH_PROTECT(BgL_top5763z00_35065,
												BgL_mz00_18645);
											BUNSPEC;
											{	/* Eval/evaluate_comp.scm 564 */
												obj_t BgL_tmp5762z00_35064;

												BgL_tmp5762z00_35064 =
													((obj_t(*)(obj_t, obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_bodyz00_15374))
													(BgL_bodyz00_15374, BgL_sz00_15375, BEOA);
												BGL_EXITD_POP_PROTECT(BgL_top5763z00_35065);
												BUNSPEC;
												BGL_MUTEX_UNLOCK(BgL_mz00_18645);
												BgL_za2za2resza2za2z00_18647 = BgL_tmp5762z00_35064;
											}
										}
									VECTOR_SET(
										((obj_t) BgL_sz00_15375), ((long) 0), BgL_bpz00_18644);
									return BgL_za2za2resza2za2z00_18647;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 559 */
								return
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_string4722z00zz__evaluate_compz00,
									BGl_string4723z00zz__evaluate_compz00, BgL_mz00_18645,
									(((BgL_ev_synchroniza7eza7_bglt)
											COBJECT(BgL_i1150z00_15372))->BgL_locz00));
							}
					}
				}
			}
		}

	}



/* &comp-ev_with-handler1473 */
	obj_t BGl_z62compzd2ev_withzd2handler1473z62zz__evaluate_compz00(obj_t
		BgL_envz00_15376, obj_t BgL_ez00_15377, obj_t BgL_stkz00_15378)
	{
		{	/* Eval/evaluate_comp.scm 543 */
			{	/* Eval/evaluate_comp.scm 545 */
				obj_t BgL_handlerz00_18649;
				obj_t BgL_bodyz00_18650;

				BgL_handlerz00_18649 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
								((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15377)))->
						BgL_handlerz00), BgL_stkz00_15378);
				BgL_bodyz00_18650 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
							COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15377)))->
						BgL_bodyz00), BgL_stkz00_15378);
				{	/* Eval/evaluate_comp.scm 546 */
					obj_t BgL_zc3z04anonymousza33317ze3z87_18651;

					BgL_zc3z04anonymousza33317ze3z87_18651 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33317ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33317ze3z87_18651,
						(int) (((long) 0)), BgL_handlerz00_18649);
					PROCEDURE_SET(BgL_zc3z04anonymousza33317ze3z87_18651,
						(int) (((long) 1)), BgL_bodyz00_18650);
					return BgL_zc3z04anonymousza33317ze3z87_18651;
				}
			}
		}

	}



/* &<@anonymous:3317> */
	obj_t BGl_z62zc3z04anonymousza33317ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15379, obj_t BgL_sz00_15382)
	{
		{	/* Eval/evaluate_comp.scm 546 */
			{	/* Eval/evaluate_comp.scm 546 */
				obj_t BgL_handlerz00_15380;
				obj_t BgL_bodyz00_15381;

				BgL_handlerz00_15380 =
					PROCEDURE_REF(BgL_envz00_15379, (int) (((long) 0)));
				BgL_bodyz00_15381 = PROCEDURE_REF(BgL_envz00_15379, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 546 */
					obj_t BgL_bpz00_18652;

					BgL_bpz00_18652 = VECTOR_REF(((obj_t) BgL_sz00_15382), ((long) 0));
					{	/* Eval/evaluate_comp.scm 547 */
						obj_t BgL_hz00_18653;

						BgL_hz00_18653 =
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_handlerz00_15380)) (BgL_handlerz00_15380,
							BgL_sz00_15382, BEOA);
						{	/* Eval/evaluate_comp.scm 549 */
							obj_t BgL_za2za2resza2za2z00_18654;

							{	/* Eval/evaluate_comp.scm 549 */
								obj_t BgL_env1141z00_18655;

								BgL_env1141z00_18655 = BGL_CURRENT_DYNAMIC_ENV();
								{	/* Eval/evaluate_comp.scm 549 */
									obj_t BgL_cell1136z00_18656;

									BgL_cell1136z00_18656 = MAKE_STACK_CELL(BUNSPEC);
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_val1140z00_18657;

										BgL_val1140z00_18657 =
											BGl_zc3z04exitza33319ze3ze70z60zz__evaluate_compz00
											(BgL_sz00_15382, BgL_bodyz00_15381, BgL_cell1136z00_18656,
											BgL_env1141z00_18655);
										if ((BgL_val1140z00_18657 == BgL_cell1136z00_18656))
											{	/* Eval/evaluate_comp.scm 549 */
												{	/* Eval/evaluate_comp.scm 549 */
													int BgL_tmpz00_35107;

													BgL_tmpz00_35107 = (int) (((long) 0));
													BGL_SIGSETMASK(BgL_tmpz00_35107);
												}
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_arg3318z00_18658;

													BgL_arg3318z00_18658 =
														CELL_REF(((obj_t) BgL_val1140z00_18657));
													BgL_za2za2resza2za2z00_18654 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_hz00_18653)) (BgL_hz00_18653,
														BgL_arg3318z00_18658, BEOA);
											}}
										else
											{	/* Eval/evaluate_comp.scm 549 */
												BgL_za2za2resza2za2z00_18654 = BgL_val1140z00_18657;
											}
									}
								}
							}
							VECTOR_SET(((obj_t) BgL_sz00_15382), ((long) 0), BgL_bpz00_18652);
							return BgL_za2za2resza2za2z00_18654;
						}
					}
				}
			}
		}

	}



/* <@exit:3319>~0 */
	obj_t BGl_zc3z04exitza33319ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_sz00_15561, obj_t BgL_bodyz00_15560, obj_t BgL_cell1136z00_15559,
		obj_t BgL_env1141z00_15558)
	{
		{	/* Eval/evaluate_comp.scm 549 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1145z00_4278;

			if (SET_EXIT(BgL_an_exit1145z00_4278))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1145z00_4278 = (void *) jmpbuf;
					PUSH_ENV_EXIT(BgL_env1141z00_15558, BgL_an_exit1145z00_4278,
						((long) 1));
					{	/* Eval/evaluate_comp.scm 549 */
						obj_t BgL_escape1137z00_4279;

						BgL_escape1137z00_4279 =
							BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_15558);
						{	/* Eval/evaluate_comp.scm 549 */
							obj_t BgL_res1148z00_4280;

							{	/* Eval/evaluate_comp.scm 549 */
								obj_t BgL_ohs1133z00_4281;

								BgL_ohs1133z00_4281 =
									BGL_ENV_ERROR_HANDLER_GET(BgL_env1141z00_15558);
								{	/* Eval/evaluate_comp.scm 549 */
									obj_t BgL_hds1134z00_4282;

									BgL_hds1134z00_4282 =
										MAKE_STACK_PAIR(BgL_escape1137z00_4279,
										BgL_cell1136z00_15559);
									BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_15558,
										BgL_hds1134z00_4282);
									BUNSPEC;
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_exitd1142z00_4283;

										BgL_exitd1142z00_4283 =
											BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_15558);
										{	/* Eval/evaluate_comp.scm 549 */
											obj_t BgL_tmp1144z00_4284;

											{	/* Eval/evaluate_comp.scm 549 */
												obj_t BgL_arg3320z00_4286;

												BgL_arg3320z00_4286 =
													BGL_EXITD_PROTECT(BgL_exitd1142z00_4283);
												BgL_tmp1144z00_4284 =
													MAKE_YOUNG_PAIR(BgL_ohs1133z00_4281,
													BgL_arg3320z00_4286);
											}
											{	/* Eval/evaluate_comp.scm 549 */

												BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_4283,
													BgL_tmp1144z00_4284);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_tmp1143z00_4285;

													BgL_tmp1143z00_4285 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_bodyz00_15560))
														(BgL_bodyz00_15560, BgL_sz00_15561, BEOA);
													{	/* Eval/evaluate_comp.scm 549 */
														bool_t BgL_test5765z00_35133;

														{	/* Eval/evaluate_comp.scm 549 */
															obj_t BgL_arg4346z00_10429;

															BgL_arg4346z00_10429 =
																BGL_EXITD_PROTECT(BgL_exitd1142z00_4283);
															BgL_test5765z00_35133 =
																PAIRP(BgL_arg4346z00_10429);
														}
														if (BgL_test5765z00_35133)
															{	/* Eval/evaluate_comp.scm 549 */
																obj_t BgL_arg4344z00_10430;

																{	/* Eval/evaluate_comp.scm 549 */
																	obj_t BgL_arg4345z00_10431;

																	BgL_arg4345z00_10431 =
																		BGL_EXITD_PROTECT(BgL_exitd1142z00_4283);
																	BgL_arg4344z00_10430 =
																		CDR(((obj_t) BgL_arg4345z00_10431));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_4283,
																	BgL_arg4344z00_10430);
																BUNSPEC;
															}
														else
															{	/* Eval/evaluate_comp.scm 549 */
																BFALSE;
															}
													}
													BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_15558,
														BgL_ohs1133z00_4281);
													BUNSPEC;
													BgL_res1148z00_4280 = BgL_tmp1143z00_4285;
												}
											}
										}
									}
								}
							}
							POP_ENV_EXIT(BgL_env1141z00_15558);
							return BgL_res1148z00_4280;
						}
					}
				}
		}

	}



/* &comp-ev_unwind-prote1471 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1471z62zz__evaluate_compz00(obj_t
		BgL_envz00_15383, obj_t BgL_ez00_15384, obj_t BgL_stkz00_15385)
	{
		{	/* Eval/evaluate_comp.scm 534 */
			{	/* Eval/evaluate_comp.scm 536 */
				obj_t BgL_ez00_18660;
				obj_t BgL_bodyz00_18661;

				BgL_ez00_18660 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15384)))->BgL_ez00),
					BgL_stkz00_15385);
				BgL_bodyz00_18661 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
							COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15384)))->
						BgL_bodyz00), BgL_stkz00_15385);
				{	/* Eval/evaluate_comp.scm 537 */
					obj_t BgL_zc3z04anonymousza33311ze3z87_18662;

					BgL_zc3z04anonymousza33311ze3z87_18662 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33311ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33311ze3z87_18662,
						(int) (((long) 0)), BgL_bodyz00_18661);
					PROCEDURE_SET(BgL_zc3z04anonymousza33311ze3z87_18662,
						(int) (((long) 1)), BgL_ez00_18660);
					return BgL_zc3z04anonymousza33311ze3z87_18662;
				}
			}
		}

	}



/* &<@anonymous:3311> */
	obj_t BGl_z62zc3z04anonymousza33311ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15386, obj_t BgL_sz00_15389)
	{
		{	/* Eval/evaluate_comp.scm 537 */
			{	/* Eval/evaluate_comp.scm 537 */
				obj_t BgL_bodyz00_15387;
				obj_t BgL_ez00_15388;

				BgL_bodyz00_15387 = PROCEDURE_REF(BgL_envz00_15386, (int) (((long) 0)));
				BgL_ez00_15388 = PROCEDURE_REF(BgL_envz00_15386, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 537 */
					obj_t BgL_bpz00_18663;

					BgL_bpz00_18663 = VECTOR_REF(((obj_t) BgL_sz00_15389), ((long) 0));
					{	/* Eval/evaluate_comp.scm 539 */
						obj_t BgL_exitd1128z00_18664;

						BgL_exitd1128z00_18664 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Eval/evaluate_comp.scm 540 */
							obj_t BgL_zc3z04anonymousza33312ze3z87_18665;

							BgL_zc3z04anonymousza33312ze3z87_18665 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00,
								(int) (((long) 0)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_18665,
								(int) (((long) 0)), BgL_sz00_15389);
							PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_18665,
								(int) (((long) 1)), BgL_bpz00_18663);
							PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_18665,
								(int) (((long) 2)), BgL_bodyz00_15387);
							{	/* Eval/evaluate_comp.scm 539 */
								obj_t BgL_arg4347z00_18666;

								{	/* Eval/evaluate_comp.scm 539 */
									obj_t BgL_arg4348z00_18667;

									BgL_arg4348z00_18667 =
										BGL_EXITD_PROTECT(BgL_exitd1128z00_18664);
									BgL_arg4347z00_18666 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33312ze3z87_18665,
										BgL_arg4348z00_18667);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_18664,
									BgL_arg4347z00_18666);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 539 */
								obj_t BgL_tmp1130z00_18668;

								BgL_tmp1130z00_18668 =
									((obj_t(*)(obj_t, obj_t,
											obj_t)) PROCEDURE_ENTRY(BgL_ez00_15388)) (BgL_ez00_15388,
									BgL_sz00_15389, BEOA);
								{	/* Eval/evaluate_comp.scm 539 */
									bool_t BgL_test5766z00_35178;

									{	/* Eval/evaluate_comp.scm 539 */
										obj_t BgL_arg4346z00_18669;

										BgL_arg4346z00_18669 =
											BGL_EXITD_PROTECT(BgL_exitd1128z00_18664);
										BgL_test5766z00_35178 = PAIRP(BgL_arg4346z00_18669);
									}
									if (BgL_test5766z00_35178)
										{	/* Eval/evaluate_comp.scm 539 */
											obj_t BgL_arg4344z00_18670;

											{	/* Eval/evaluate_comp.scm 539 */
												obj_t BgL_arg4345z00_18671;

												BgL_arg4345z00_18671 =
													BGL_EXITD_PROTECT(BgL_exitd1128z00_18664);
												BgL_arg4344z00_18670 =
													CDR(((obj_t) BgL_arg4345z00_18671));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_18664,
												BgL_arg4344z00_18670);
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 539 */
											BFALSE;
										}
								}
								VECTOR_SET(
									((obj_t) BgL_sz00_15389), ((long) 0), BgL_bpz00_18663);
								((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_bodyz00_15387)) (BgL_bodyz00_15387,
									BgL_sz00_15389, BEOA);
								return BgL_tmp1130z00_18668;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3312> */
	obj_t BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15390)
	{
		{	/* Eval/evaluate_comp.scm 539 */
			{	/* Eval/evaluate_comp.scm 540 */
				obj_t BgL_sz00_15391;
				obj_t BgL_savedzd2bpzd2_15392;
				obj_t BgL_bodyz00_15393;

				BgL_sz00_15391 = PROCEDURE_REF(BgL_envz00_15390, (int) (((long) 0)));
				BgL_savedzd2bpzd2_15392 =
					PROCEDURE_REF(BgL_envz00_15390, (int) (((long) 1)));
				BgL_bodyz00_15393 = PROCEDURE_REF(BgL_envz00_15390, (int) (((long) 2)));
				VECTOR_SET(
					((obj_t) BgL_sz00_15391), ((long) 0), BgL_savedzd2bpzd2_15392);
				return
					((obj_t(*)(obj_t, obj_t,
							obj_t)) PROCEDURE_ENTRY(BgL_bodyz00_15393)) (BgL_bodyz00_15393,
					BgL_sz00_15391, BEOA);
			}
		}

	}



/* &comp-ev_bind-exit1469 */
	obj_t BGl_z62compzd2ev_bindzd2exit1469z62zz__evaluate_compz00(obj_t
		BgL_envz00_15394, obj_t BgL_ez00_15395, obj_t BgL_stkz00_15396)
	{
		{	/* Eval/evaluate_comp.scm 523 */
			{	/* Eval/evaluate_comp.scm 525 */
				long BgL_siza7eza7_18673;
				obj_t BgL_nstkz00_18674;

				BgL_siza7eza7_18673 = bgl_list_length(BgL_stkz00_15396);
				{	/* Eval/evaluate_comp.scm 525 */
					obj_t BgL_arg3309z00_18675;

					{	/* Eval/evaluate_comp.scm 525 */
						BgL_ev_varz00_bglt BgL_arg3310z00_18676;

						BgL_arg3310z00_18676 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15395)))->BgL_varz00);
						BgL_arg3309z00_18675 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg3310z00_18676), BNIL);
					}
					BgL_nstkz00_18674 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15396,
						BgL_arg3309z00_18675);
				}
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_bodyz00_18677;
					obj_t BgL_effzf3zf3_18678;

					BgL_bodyz00_18677 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15395)))->BgL_bodyz00),
						BgL_nstkz00_18674);
					BgL_effzf3zf3_18678 =
						(((BgL_ev_varz00_bglt) COBJECT((((BgL_ev_bindzd2exitzd2_bglt)
										COBJECT(((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15395)))->
									BgL_varz00)))->BgL_effz00);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3z04anonymousza33298ze3z87_18679;

						BgL_zc3z04anonymousza33298ze3z87_18679 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33298ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33298ze3z87_18679,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18673));
						PROCEDURE_SET(BgL_zc3z04anonymousza33298ze3z87_18679,
							(int) (((long) 1)), BgL_effzf3zf3_18678);
						PROCEDURE_SET(BgL_zc3z04anonymousza33298ze3z87_18679,
							(int) (((long) 2)), BgL_bodyz00_18677);
						return BgL_zc3z04anonymousza33298ze3z87_18679;
					}
				}
			}
		}

	}



/* &<@anonymous:3298> */
	obj_t BGl_z62zc3z04anonymousza33298ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15397, obj_t BgL_sz00_15401)
	{
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				long BgL_siza7eza7_15398;
				obj_t BgL_effzf3zf3_15399;
				obj_t BgL_bodyz00_15400;

				BgL_siza7eza7_15398 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15397, (int) (((long) 0))));
				BgL_effzf3zf3_15399 =
					PROCEDURE_REF(BgL_envz00_15397, (int) (((long) 1)));
				BgL_bodyz00_15400 = PROCEDURE_REF(BgL_envz00_15397, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 527 */
					obj_t BgL_bpz00_18680;

					BgL_bpz00_18680 = VECTOR_REF(((obj_t) BgL_sz00_15401), ((long) 0));
					{	/* Eval/evaluate_comp.scm 529 */
						obj_t BgL_za2za2resza2za2z00_18681;

						BgL_za2za2resza2za2z00_18681 =
							BGl_zc3z04exitza33299ze3ze70z60zz__evaluate_compz00
							(BgL_bodyz00_15400, BgL_sz00_15401, BgL_effzf3zf3_15399,
							BgL_siza7eza7_15398, BgL_bpz00_18680);
						VECTOR_SET(((obj_t) BgL_sz00_15401), ((long) 0), BgL_bpz00_18680);
						return BgL_za2za2resza2za2z00_18681;
					}
				}
			}
		}

	}



/* <@exit:3299>~0 */
	obj_t BGl_zc3z04exitza33299ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_bodyz00_15557, obj_t BgL_sz00_15556, obj_t BgL_effzf3zf3_15555,
		long BgL_siza7eza7_15554, obj_t BgL_bpz00_15553)
	{
		{	/* Eval/evaluate_comp.scm 529 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1121z00_4227;

			if (SET_EXIT(BgL_an_exit1121z00_4227))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1121z00_4227 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 529 */
						obj_t BgL_env1125z00_4228;

						BgL_env1125z00_4228 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1125z00_4228, BgL_an_exit1121z00_4227,
							((long) 1));
						{	/* Eval/evaluate_comp.scm 529 */
							obj_t BgL_an_exitd1122z00_4229;

							BgL_an_exitd1122z00_4229 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1125z00_4228);
							{	/* Eval/evaluate_comp.scm 529 */
								obj_t BgL_exitz00_14356;

								BgL_exitz00_14356 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_14356,
									(int) (((long) 0)), BgL_an_exitd1122z00_4229);
								{	/* Eval/evaluate_comp.scm 529 */
									obj_t BgL_res1124z00_4232;

									{	/* Eval/evaluate_comp.scm 530 */
										long BgL_arg3302z00_4233;
										obj_t BgL_arg3305z00_4234;

										BgL_arg3302z00_4233 =
											((long) CINT(BgL_bpz00_15553) + BgL_siza7eza7_15554);
										if (CBOOL(BgL_effzf3zf3_15555))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_10412;

												BgL_newz00_10412 =
													create_struct(BGl_symbol4613z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_35253;

													BgL_tmpz00_35253 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10412, BgL_tmpz00_35253,
														BgL_exitz00_14356);
												}
												BgL_arg3305z00_4234 = BgL_newz00_10412;
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_arg3305z00_4234 = BgL_exitz00_14356;
											}
										VECTOR_SET(
											((obj_t) BgL_sz00_15556), BgL_arg3302z00_4233,
											BgL_arg3305z00_4234);
									}
									BgL_res1124z00_4232 =
										((obj_t(*)(obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_bodyz00_15557)) (BgL_bodyz00_15557,
										BgL_sz00_15556, BEOA);
									POP_ENV_EXIT(BgL_env1125z00_4228);
									return BgL_res1124z00_4232;
								}
							}
						}
					}
				}
		}

	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_15402,
		obj_t BgL_val1123z00_15404)
	{
		{	/* Eval/evaluate_comp.scm 529 */
			return
				unwind_stack_until(PROCEDURE_REF(BgL_envz00_15402,
					(int) (((long) 0))), BFALSE, BgL_val1123z00_15404, BFALSE, BFALSE);
		}

	}



/* &comp-ev_letrec1467 */
	obj_t BGl_z62compzd2ev_letrec1467zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15405, obj_t BgL_ez00_15406, obj_t BgL_stkz00_15407)
	{
		{	/* Eval/evaluate_comp.scm 494 */
			{	/* Eval/evaluate_comp.scm 496 */
				long BgL_siza7eza7_18683;
				obj_t BgL_nstkz00_18684;

				BgL_siza7eza7_18683 = bgl_list_length(BgL_stkz00_15407);
				{	/* Eval/evaluate_comp.scm 496 */
					obj_t BgL_arg3297z00_18685;

					BgL_arg3297z00_18685 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_15406))))->BgL_varsz00);
					BgL_nstkz00_18684 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15407,
						BgL_arg3297z00_18685);
				}
				{	/* Eval/evaluate_comp.scm 497 */
					obj_t BgL_cvalsz00_18686;
					obj_t BgL_bodyz00_18687;

					{	/* Eval/evaluate_comp.scm 497 */
						obj_t BgL_l1330z00_18688;

						BgL_l1330z00_18688 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15406))))->BgL_valsz00);
						if (NULLP(BgL_l1330z00_18688))
							{	/* Eval/evaluate_comp.scm 497 */
								BgL_cvalsz00_18686 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 497 */
								obj_t BgL_head1332z00_18689;

								BgL_head1332z00_18689 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1330z00_18691;
									obj_t BgL_tail1333z00_18692;

									BgL_l1330z00_18691 = BgL_l1330z00_18688;
									BgL_tail1333z00_18692 = BgL_head1332z00_18689;
								BgL_zc3z04anonymousza33288ze3z87_18690:
									if (NULLP(BgL_l1330z00_18691))
										{	/* Eval/evaluate_comp.scm 497 */
											BgL_cvalsz00_18686 = CDR(BgL_head1332z00_18689);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											obj_t BgL_newtail1334z00_18693;

											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_arg3293z00_18694;

												{	/* Eval/evaluate_comp.scm 497 */
													obj_t BgL_vz00_18695;

													BgL_vz00_18695 = CAR(((obj_t) BgL_l1330z00_18691));
													BgL_arg3293z00_18694 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18695),
														BgL_nstkz00_18684);
												}
												BgL_newtail1334z00_18693 =
													MAKE_YOUNG_PAIR(BgL_arg3293z00_18694, BNIL);
											}
											SET_CDR(BgL_tail1333z00_18692, BgL_newtail1334z00_18693);
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_arg3292z00_18696;

												BgL_arg3292z00_18696 =
													CDR(((obj_t) BgL_l1330z00_18691));
												{
													obj_t BgL_tail1333z00_35289;
													obj_t BgL_l1330z00_35288;

													BgL_l1330z00_35288 = BgL_arg3292z00_18696;
													BgL_tail1333z00_35289 = BgL_newtail1334z00_18693;
													BgL_tail1333z00_18692 = BgL_tail1333z00_35289;
													BgL_l1330z00_18691 = BgL_l1330z00_35288;
													goto BgL_zc3z04anonymousza33288ze3z87_18690;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 498 */
						BgL_ev_exprz00_bglt BgL_arg3296z00_18697;

						BgL_arg3296z00_18697 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15406))))->BgL_bodyz00);
						BgL_bodyz00_18687 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3296z00_18697,
							BgL_nstkz00_18684);
					}
					{	/* Eval/evaluate_comp.scm 499 */
						bool_t BgL_test5770z00_35294;

						{
							obj_t BgL_l1335z00_18699;

							BgL_l1335z00_18699 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_15406))))->BgL_valsz00);
						BgL_zc3z04anonymousza33284ze3z87_18698:
							if (NULLP(BgL_l1335z00_18699))
								{	/* Eval/evaluate_comp.scm 499 */
									BgL_test5770z00_35294 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 499 */
									bool_t BgL_test5772z00_35297;

									{	/* Eval/evaluate_comp.scm 499 */
										obj_t BgL_vz00_18700;

										BgL_vz00_18700 = CAR(((obj_t) BgL_l1335z00_18699));
										{	/* Eval/evaluate_comp.scm 499 */
											obj_t BgL_classz00_18701;

											BgL_classz00_18701 = BGl_ev_absz00zz__evaluate_typesz00;
											if (BGL_OBJECTP(BgL_vz00_18700))
												{	/* Eval/evaluate_comp.scm 499 */
													BgL_objectz00_bglt BgL_arg4330z00_18702;

													BgL_arg4330z00_18702 =
														(BgL_objectz00_bglt) (BgL_vz00_18700);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Eval/evaluate_comp.scm 499 */
															long BgL_idxz00_18703;

															BgL_idxz00_18703 =
																BGL_OBJECT_INHERITANCE_NUM
																(BgL_arg4330z00_18702);
															BgL_test5772z00_35297 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_18703 + ((long) 2))) ==
																BgL_classz00_18701);
														}
													else
														{	/* Eval/evaluate_comp.scm 499 */
															bool_t BgL_res4469z00_18706;

															{	/* Eval/evaluate_comp.scm 499 */
																obj_t BgL_oclassz00_18707;

																{	/* Eval/evaluate_comp.scm 499 */
																	long BgL_arg4337z00_18708;

																	{	/* Eval/evaluate_comp.scm 499 */
																		long BgL_arg4338z00_18709;

																		BgL_arg4338z00_18709 =
																			BGL_OBJECT_CLASS_NUM
																			(BgL_arg4330z00_18702);
																		BgL_arg4337z00_18708 =
																			(BgL_arg4338z00_18709 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_18707 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg4337z00_18708);
																}
																{	/* Eval/evaluate_comp.scm 499 */
																	bool_t BgL__ortest_1296z00_18710;

																	BgL__ortest_1296z00_18710 =
																		(BgL_classz00_18701 == BgL_oclassz00_18707);
																	if (BgL__ortest_1296z00_18710)
																		{	/* Eval/evaluate_comp.scm 499 */
																			BgL_res4469z00_18706 =
																				BgL__ortest_1296z00_18710;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 499 */
																			long BgL_odepthz00_18711;

																			BgL_odepthz00_18711 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_18707);
																			if ((((long) 2) < BgL_odepthz00_18711))
																				{	/* Eval/evaluate_comp.scm 499 */
																					obj_t BgL_arg4327z00_18712;

																					BgL_arg4327z00_18712 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_18707, ((long) 2));
																					BgL_res4469z00_18706 =
																						(BgL_arg4327z00_18712 ==
																						BgL_classz00_18701);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 499 */
																					BgL_res4469z00_18706 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test5772z00_35297 = BgL_res4469z00_18706;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 499 */
													BgL_test5772z00_35297 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test5772z00_35297)
										{
											obj_t BgL_l1335z00_35319;

											BgL_l1335z00_35319 = CDR(((obj_t) BgL_l1335z00_18699));
											BgL_l1335z00_18699 = BgL_l1335z00_35319;
											goto BgL_zc3z04anonymousza33284ze3z87_18698;
										}
									else
										{	/* Eval/evaluate_comp.scm 499 */
											BgL_test5770z00_35294 = ((bool_t) 0);
										}
								}
						}
						if (BgL_test5770z00_35294)
							{	/* Eval/evaluate_comp.scm 500 */
								obj_t BgL_zc3z04anonymousza33240ze3z87_18713;

								BgL_zc3z04anonymousza33240ze3z87_18713 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33240ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33240ze3z87_18713,
									(int) (((long) 0)), BINT(BgL_siza7eza7_18683));
								PROCEDURE_SET(BgL_zc3z04anonymousza33240ze3z87_18713,
									(int) (((long) 1)), BgL_cvalsz00_18686);
								PROCEDURE_SET(BgL_zc3z04anonymousza33240ze3z87_18713,
									(int) (((long) 2)), BgL_bodyz00_18687);
								return BgL_zc3z04anonymousza33240ze3z87_18713;
							}
						else
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_zc3z04anonymousza33264ze3z87_18714;

								BgL_zc3z04anonymousza33264ze3z87_18714 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33264ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33264ze3z87_18714,
									(int) (((long) 0)), BINT(BgL_siza7eza7_18683));
								PROCEDURE_SET(BgL_zc3z04anonymousza33264ze3z87_18714,
									(int) (((long) 1)), BgL_cvalsz00_18686);
								PROCEDURE_SET(BgL_zc3z04anonymousza33264ze3z87_18714,
									(int) (((long) 2)), BgL_bodyz00_18687);
								return BgL_zc3z04anonymousza33264ze3z87_18714;
							}
					}
				}
			}
		}

	}



/* &<@anonymous:3240> */
	obj_t BGl_z62zc3z04anonymousza33240ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15408, obj_t BgL_sz00_15412)
	{
		{	/* Eval/evaluate_comp.scm 500 */
			{	/* Eval/evaluate_comp.scm 500 */
				long BgL_siza7eza7_15409;
				obj_t BgL_cvalsz00_15410;
				obj_t BgL_bodyz00_15411;

				BgL_siza7eza7_15409 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15408, (int) (((long) 0))));
				BgL_cvalsz00_15410 =
					PROCEDURE_REF(BgL_envz00_15408, (int) (((long) 1)));
				BgL_bodyz00_15411 = PROCEDURE_REF(BgL_envz00_15408, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 500 */
					obj_t BgL_bpz00_18715;

					BgL_bpz00_18715 = VECTOR_REF(((obj_t) BgL_sz00_15412), ((long) 0));
					{	/* Eval/evaluate_comp.scm 501 */
						long BgL_g1115z00_18716;

						BgL_g1115z00_18716 =
							((long) CINT(BgL_bpz00_18715) + BgL_siza7eza7_15409);
						{
							obj_t BgL_lz00_18718;
							long BgL_iz00_18719;

							BgL_lz00_18718 = BgL_cvalsz00_15410;
							BgL_iz00_18719 = BgL_g1115z00_18716;
						BgL_recz00_18717:
							if (NULLP(BgL_lz00_18718))
								{	/* Eval/evaluate_comp.scm 502 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 502 */
									{	/* Eval/evaluate_comp.scm 503 */
										obj_t BgL_arg3244z00_18720;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18721;

											BgL_newz00_18721 =
												create_struct(BGl_symbol4613z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_35360;

												BgL_tmpz00_35360 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18721, BgL_tmpz00_35360, BUNSPEC);
											}
											BgL_arg3244z00_18720 = BgL_newz00_18721;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15412), BgL_iz00_18719,
											BgL_arg3244z00_18720);
									}
									{	/* Eval/evaluate_comp.scm 504 */
										obj_t BgL_arg3250z00_18722;
										long BgL_arg3253z00_18723;

										BgL_arg3250z00_18722 = CDR(((obj_t) BgL_lz00_18718));
										BgL_arg3253z00_18723 = (BgL_iz00_18719 + ((long) 1));
										{
											long BgL_iz00_35369;
											obj_t BgL_lz00_35368;

											BgL_lz00_35368 = BgL_arg3250z00_18722;
											BgL_iz00_35369 = BgL_arg3253z00_18723;
											BgL_iz00_18719 = BgL_iz00_35369;
											BgL_lz00_18718 = BgL_lz00_35368;
											goto BgL_recz00_18717;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 505 */
						long BgL_g1116z00_18724;

						BgL_g1116z00_18724 =
							((long) CINT(BgL_bpz00_18715) + BgL_siza7eza7_15409);
						{
							obj_t BgL_lz00_18726;
							long BgL_iz00_18727;

							BgL_lz00_18726 = BgL_cvalsz00_15410;
							BgL_iz00_18727 = BgL_g1116z00_18724;
						BgL_recz00_18725:
							if (NULLP(BgL_lz00_18726))
								{	/* Eval/evaluate_comp.scm 506 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 506 */
									{	/* Eval/evaluate_comp.scm 507 */
										obj_t BgL_arg3257z00_18728;
										obj_t BgL_arg3259z00_18729;

										BgL_arg3257z00_18728 =
											VECTOR_REF(((obj_t) BgL_sz00_15412), BgL_iz00_18727);
										{	/* Eval/evaluate_comp.scm 507 */
											obj_t BgL_fun3260z00_18730;

											BgL_fun3260z00_18730 = CAR(((obj_t) BgL_lz00_18726));
											BgL_arg3259z00_18729 =
												((obj_t(*)(obj_t, obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun3260z00_18730))
												(BgL_fun3260z00_18730, BgL_sz00_15412, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 202 */
											int BgL_auxz00_35384;
											obj_t BgL_tmpz00_35382;

											BgL_auxz00_35384 = (int) (((long) 0));
											BgL_tmpz00_35382 = ((obj_t) BgL_arg3257z00_18728);
											STRUCT_SET(BgL_tmpz00_35382, BgL_auxz00_35384,
												BgL_arg3259z00_18729);
									}}
									{	/* Eval/evaluate_comp.scm 508 */
										obj_t BgL_arg3261z00_18731;
										long BgL_arg3263z00_18732;

										BgL_arg3261z00_18731 = CDR(((obj_t) BgL_lz00_18726));
										BgL_arg3263z00_18732 = (BgL_iz00_18727 + ((long) 1));
										{
											long BgL_iz00_35391;
											obj_t BgL_lz00_35390;

											BgL_lz00_35390 = BgL_arg3261z00_18731;
											BgL_iz00_35391 = BgL_arg3263z00_18732;
											BgL_iz00_18727 = BgL_iz00_35391;
											BgL_lz00_18726 = BgL_lz00_35390;
											goto BgL_recz00_18725;
										}
									}
								}
						}
					}
					return
						((obj_t(*)(obj_t, obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_bodyz00_15411)) (BgL_bodyz00_15411,
						BgL_sz00_15412, BEOA);
				}
			}
		}

	}



/* &<@anonymous:3264> */
	obj_t BGl_z62zc3z04anonymousza33264ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15413, obj_t BgL_sz00_15417)
	{
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				long BgL_siza7eza7_15414;
				obj_t BgL_cvalsz00_15415;
				obj_t BgL_bodyz00_15416;

				BgL_siza7eza7_15414 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15413, (int) (((long) 0))));
				BgL_cvalsz00_15415 =
					PROCEDURE_REF(BgL_envz00_15413, (int) (((long) 1)));
				BgL_bodyz00_15416 = PROCEDURE_REF(BgL_envz00_15413, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 510 */
					obj_t BgL_bpz00_18733;

					BgL_bpz00_18733 = VECTOR_REF(((obj_t) BgL_sz00_15417), ((long) 0));
					{	/* Eval/evaluate_comp.scm 511 */
						long BgL_g1117z00_18734;

						BgL_g1117z00_18734 =
							((long) CINT(BgL_bpz00_18733) + BgL_siza7eza7_15414);
						{
							obj_t BgL_lz00_18736;
							long BgL_iz00_18737;

							BgL_lz00_18736 = BgL_cvalsz00_15415;
							BgL_iz00_18737 = BgL_g1117z00_18734;
						BgL_recz00_18735:
							if (NULLP(BgL_lz00_18736))
								{	/* Eval/evaluate_comp.scm 512 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 512 */
									{	/* Eval/evaluate_comp.scm 513 */
										obj_t BgL_arg3268z00_18738;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18739;

											BgL_newz00_18739 =
												create_struct(BGl_symbol4613z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_35411;

												BgL_tmpz00_35411 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18739, BgL_tmpz00_35411, BUNSPEC);
											}
											BgL_arg3268z00_18738 = BgL_newz00_18739;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15417), BgL_iz00_18737,
											BgL_arg3268z00_18738);
									}
									{	/* Eval/evaluate_comp.scm 514 */
										obj_t BgL_arg3269z00_18740;
										long BgL_arg3270z00_18741;

										BgL_arg3269z00_18740 = CDR(((obj_t) BgL_lz00_18736));
										BgL_arg3270z00_18741 = (BgL_iz00_18737 + ((long) 1));
										{
											long BgL_iz00_35420;
											obj_t BgL_lz00_35419;

											BgL_lz00_35419 = BgL_arg3269z00_18740;
											BgL_iz00_35420 = BgL_arg3270z00_18741;
											BgL_iz00_18737 = BgL_iz00_35420;
											BgL_lz00_18736 = BgL_lz00_35419;
											goto BgL_recz00_18735;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 515 */
						obj_t BgL_rvalsz00_18742;

						if (NULLP(BgL_cvalsz00_15415))
							{	/* Eval/evaluate_comp.scm 515 */
								BgL_rvalsz00_18742 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 515 */
								obj_t BgL_head1341z00_18743;

								BgL_head1341z00_18743 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1339z00_18745;
									obj_t BgL_tail1342z00_18746;

									BgL_l1339z00_18745 = BgL_cvalsz00_15415;
									BgL_tail1342z00_18746 = BgL_head1341z00_18743;
								BgL_zc3z04anonymousza33279ze3z87_18744:
									if (NULLP(BgL_l1339z00_18745))
										{	/* Eval/evaluate_comp.scm 515 */
											BgL_rvalsz00_18742 = CDR(BgL_head1341z00_18743);
										}
									else
										{	/* Eval/evaluate_comp.scm 515 */
											obj_t BgL_newtail1343z00_18747;

											{	/* Eval/evaluate_comp.scm 515 */
												obj_t BgL_arg3283z00_18748;

												{	/* Eval/evaluate_comp.scm 515 */
													obj_t BgL_vz00_18749;

													BgL_vz00_18749 = CAR(((obj_t) BgL_l1339z00_18745));
													BgL_arg3283z00_18748 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_vz00_18749)) (BgL_vz00_18749,
														BgL_sz00_15417, BEOA);
												}
												BgL_newtail1343z00_18747 =
													MAKE_YOUNG_PAIR(BgL_arg3283z00_18748, BNIL);
											}
											SET_CDR(BgL_tail1342z00_18746, BgL_newtail1343z00_18747);
											{	/* Eval/evaluate_comp.scm 515 */
												obj_t BgL_arg3282z00_18750;

												BgL_arg3282z00_18750 =
													CDR(((obj_t) BgL_l1339z00_18745));
												{
													obj_t BgL_tail1342z00_35438;
													obj_t BgL_l1339z00_35437;

													BgL_l1339z00_35437 = BgL_arg3282z00_18750;
													BgL_tail1342z00_35438 = BgL_newtail1343z00_18747;
													BgL_tail1342z00_18746 = BgL_tail1342z00_35438;
													BgL_l1339z00_18745 = BgL_l1339z00_35437;
													goto BgL_zc3z04anonymousza33279ze3z87_18744;
												}
											}
										}
								}
							}
						{	/* Eval/evaluate_comp.scm 516 */
							long BgL_g1118z00_18751;

							BgL_g1118z00_18751 =
								((long) CINT(BgL_bpz00_18733) + BgL_siza7eza7_15414);
							{
								obj_t BgL_lz00_18753;
								long BgL_iz00_18754;

								BgL_lz00_18753 = BgL_rvalsz00_18742;
								BgL_iz00_18754 = BgL_g1118z00_18751;
							BgL_recz00_18752:
								if (NULLP(BgL_lz00_18753))
									{	/* Eval/evaluate_comp.scm 517 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 517 */
										{	/* Eval/evaluate_comp.scm 518 */
											obj_t BgL_arg3273z00_18755;
											obj_t BgL_arg3274z00_18756;

											BgL_arg3273z00_18755 =
												VECTOR_REF(((obj_t) BgL_sz00_15417), BgL_iz00_18754);
											BgL_arg3274z00_18756 = CAR(((obj_t) BgL_lz00_18753));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_auxz00_35449;
												obj_t BgL_tmpz00_35447;

												BgL_auxz00_35449 = (int) (((long) 0));
												BgL_tmpz00_35447 = ((obj_t) BgL_arg3273z00_18755);
												STRUCT_SET(BgL_tmpz00_35447, BgL_auxz00_35449,
													BgL_arg3274z00_18756);
										}}
										{	/* Eval/evaluate_comp.scm 519 */
											obj_t BgL_arg3276z00_18757;
											long BgL_arg3277z00_18758;

											BgL_arg3276z00_18757 = CDR(((obj_t) BgL_lz00_18753));
											BgL_arg3277z00_18758 = (BgL_iz00_18754 + ((long) 1));
											{
												long BgL_iz00_35456;
												obj_t BgL_lz00_35455;

												BgL_lz00_35455 = BgL_arg3276z00_18757;
												BgL_iz00_35456 = BgL_arg3277z00_18758;
												BgL_iz00_18754 = BgL_iz00_35456;
												BgL_lz00_18753 = BgL_lz00_35455;
												goto BgL_recz00_18752;
											}
										}
									}
							}
						}
						return
							((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_bodyz00_15416)) (BgL_bodyz00_15416,
							BgL_sz00_15417, BEOA);
					}
				}
			}
		}

	}



/* &comp-ev_let*1465 */
	obj_t BGl_z62compzd2ev_letza21465z12zz__evaluate_compz00(obj_t
		BgL_envz00_15418, obj_t BgL_ez00_15419, obj_t BgL_stkz00_15420)
	{
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 483 */
				long BgL_siza7eza7_18760;
				obj_t BgL_nstkz00_18761;

				BgL_siza7eza7_18760 = bgl_list_length(BgL_stkz00_15420);
				{	/* Eval/evaluate_comp.scm 483 */
					obj_t BgL_arg3234z00_18762;

					BgL_arg3234z00_18762 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_15419))))->BgL_varsz00);
					BgL_nstkz00_18761 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15420,
						BgL_arg3234z00_18762);
				}
				{	/* Eval/evaluate_comp.scm 484 */
					obj_t BgL_valsz00_18763;
					obj_t BgL_bodyz00_18764;

					{	/* Eval/evaluate_comp.scm 484 */
						obj_t BgL_l1325z00_18765;

						BgL_l1325z00_18765 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15419))))->BgL_valsz00);
						if (NULLP(BgL_l1325z00_18765))
							{	/* Eval/evaluate_comp.scm 484 */
								BgL_valsz00_18763 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 484 */
								obj_t BgL_head1327z00_18766;

								BgL_head1327z00_18766 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1325z00_18768;
									obj_t BgL_tail1328z00_18769;

									BgL_l1325z00_18768 = BgL_l1325z00_18765;
									BgL_tail1328z00_18769 = BgL_head1327z00_18766;
								BgL_zc3z04anonymousza33224ze3z87_18767:
									if (NULLP(BgL_l1325z00_18768))
										{	/* Eval/evaluate_comp.scm 484 */
											BgL_valsz00_18763 = CDR(BgL_head1327z00_18766);
										}
									else
										{	/* Eval/evaluate_comp.scm 484 */
											obj_t BgL_newtail1329z00_18770;

											{	/* Eval/evaluate_comp.scm 484 */
												obj_t BgL_arg3231z00_18771;

												{	/* Eval/evaluate_comp.scm 484 */
													obj_t BgL_vz00_18772;

													BgL_vz00_18772 = CAR(((obj_t) BgL_l1325z00_18768));
													BgL_arg3231z00_18771 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18772),
														BgL_nstkz00_18761);
												}
												BgL_newtail1329z00_18770 =
													MAKE_YOUNG_PAIR(BgL_arg3231z00_18771, BNIL);
											}
											SET_CDR(BgL_tail1328z00_18769, BgL_newtail1329z00_18770);
											{	/* Eval/evaluate_comp.scm 484 */
												obj_t BgL_arg3228z00_18773;

												BgL_arg3228z00_18773 =
													CDR(((obj_t) BgL_l1325z00_18768));
												{
													obj_t BgL_tail1328z00_35484;
													obj_t BgL_l1325z00_35483;

													BgL_l1325z00_35483 = BgL_arg3228z00_18773;
													BgL_tail1328z00_35484 = BgL_newtail1329z00_18770;
													BgL_tail1328z00_18769 = BgL_tail1328z00_35484;
													BgL_l1325z00_18768 = BgL_l1325z00_35483;
													goto BgL_zc3z04anonymousza33224ze3z87_18767;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 485 */
						BgL_ev_exprz00_bglt BgL_arg3232z00_18774;

						BgL_arg3232z00_18774 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15419))))->BgL_bodyz00);
						BgL_bodyz00_18764 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3232z00_18774,
							BgL_nstkz00_18761);
					}
					{	/* Eval/evaluate_comp.scm 486 */
						obj_t BgL_zc3z04anonymousza33212ze3z87_18775;

						BgL_zc3z04anonymousza33212ze3z87_18775 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33212ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33212ze3z87_18775,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18760));
						PROCEDURE_SET(BgL_zc3z04anonymousza33212ze3z87_18775,
							(int) (((long) 1)),
							((obj_t) ((BgL_ev_letza2za2_bglt) BgL_ez00_15419)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33212ze3z87_18775,
							(int) (((long) 2)), BgL_valsz00_18763);
						PROCEDURE_SET(BgL_zc3z04anonymousza33212ze3z87_18775,
							(int) (((long) 3)), BgL_bodyz00_18764);
						return BgL_zc3z04anonymousza33212ze3z87_18775;
					}
				}
			}
		}

	}



/* &<@anonymous:3212> */
	obj_t BGl_z62zc3z04anonymousza33212ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15421, obj_t BgL_sz00_15426)
	{
		{	/* Eval/evaluate_comp.scm 486 */
			{	/* Eval/evaluate_comp.scm 486 */
				long BgL_siza7eza7_15422;
				BgL_ev_letza2za2_bglt BgL_i1112z00_15423;
				obj_t BgL_valsz00_15424;
				obj_t BgL_bodyz00_15425;

				BgL_siza7eza7_15422 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15421, (int) (((long) 0))));
				BgL_i1112z00_15423 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_15421, (int) (((long) 1))));
				BgL_valsz00_15424 = PROCEDURE_REF(BgL_envz00_15421, (int) (((long) 2)));
				BgL_bodyz00_15425 = PROCEDURE_REF(BgL_envz00_15421, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 486 */
					obj_t BgL_bpz00_18776;

					BgL_bpz00_18776 = VECTOR_REF(((obj_t) BgL_sz00_15426), ((long) 0));
					{	/* Eval/evaluate_comp.scm 487 */
						long BgL_g1113z00_18777;

						BgL_g1113z00_18777 =
							((long) CINT(BgL_bpz00_18776) + BgL_siza7eza7_15422);
						{
							obj_t BgL_lz00_18779;
							long BgL_iz00_18780;
							obj_t BgL_bza2za2_18781;

							BgL_lz00_18779 = BgL_valsz00_15424;
							BgL_iz00_18780 = BgL_g1113z00_18777;
							BgL_bza2za2_18781 =
								(((BgL_ev_letza2za2_bglt) COBJECT(BgL_i1112z00_15423))->
								BgL_boxesz00);
						BgL_recz00_18778:
							if (NULLP(BgL_lz00_18779))
								{	/* Eval/evaluate_comp.scm 488 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 488 */
									{	/* Eval/evaluate_comp.scm 489 */
										obj_t BgL_valz00_18782;

										{	/* Eval/evaluate_comp.scm 489 */
											obj_t BgL_fun3218z00_18783;

											BgL_fun3218z00_18783 = CAR(((obj_t) BgL_lz00_18779));
											BgL_valz00_18782 =
												((obj_t(*)(obj_t, obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun3218z00_18783))
												(BgL_fun3218z00_18783, BgL_sz00_15426, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 490 */
											obj_t BgL_arg3216z00_18784;

											if (CBOOL(CAR(((obj_t) BgL_bza2za2_18781))))
												{	/* Eval/evaluate_comp.scm 202 */
													obj_t BgL_newz00_18785;

													BgL_newz00_18785 =
														create_struct(BGl_symbol4613z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 202 */
														int BgL_tmpz00_35531;

														BgL_tmpz00_35531 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_18785, BgL_tmpz00_35531,
															BgL_valz00_18782);
													}
													BgL_arg3216z00_18784 = BgL_newz00_18785;
												}
											else
												{	/* Eval/evaluate_comp.scm 490 */
													BgL_arg3216z00_18784 = BgL_valz00_18782;
												}
											VECTOR_SET(
												((obj_t) BgL_sz00_15426), BgL_iz00_18780,
												BgL_arg3216z00_18784);
										}
									}
									{	/* Eval/evaluate_comp.scm 491 */
										obj_t BgL_arg3219z00_18786;
										long BgL_arg3221z00_18787;
										obj_t BgL_arg3222z00_18788;

										BgL_arg3219z00_18786 = CDR(((obj_t) BgL_lz00_18779));
										BgL_arg3221z00_18787 = (BgL_iz00_18780 + ((long) 1));
										BgL_arg3222z00_18788 = CDR(((obj_t) BgL_bza2za2_18781));
										{
											obj_t BgL_bza2za2_35543;
											long BgL_iz00_35542;
											obj_t BgL_lz00_35541;

											BgL_lz00_35541 = BgL_arg3219z00_18786;
											BgL_iz00_35542 = BgL_arg3221z00_18787;
											BgL_bza2za2_35543 = BgL_arg3222z00_18788;
											BgL_bza2za2_18781 = BgL_bza2za2_35543;
											BgL_iz00_18780 = BgL_iz00_35542;
											BgL_lz00_18779 = BgL_lz00_35541;
											goto BgL_recz00_18778;
										}
									}
								}
						}
					}
					return
						((obj_t(*)(obj_t, obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_bodyz00_15425)) (BgL_bodyz00_15425,
						BgL_sz00_15426, BEOA);
				}
			}
		}

	}



/* &comp-ev_let1463 */
	obj_t BGl_z62compzd2ev_let1463zb0zz__evaluate_compz00(obj_t BgL_envz00_15427,
		obj_t BgL_ez00_15428, obj_t BgL_stkz00_15429)
	{
		{	/* Eval/evaluate_comp.scm 462 */
			{	/* Eval/evaluate_comp.scm 464 */
				long BgL_siza7eza7_18790;
				obj_t BgL_nstkz00_18791;

				BgL_siza7eza7_18790 = bgl_list_length(BgL_stkz00_15429);
				{	/* Eval/evaluate_comp.scm 464 */
					obj_t BgL_arg3211z00_18792;

					BgL_arg3211z00_18792 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_15428))))->BgL_varsz00);
					BgL_nstkz00_18791 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15429,
						BgL_arg3211z00_18792);
				}
				{	/* Eval/evaluate_comp.scm 465 */
					obj_t BgL_valsz00_18793;
					obj_t BgL_iboxesz00_18794;
					obj_t BgL_bodyz00_18795;

					{	/* Eval/evaluate_comp.scm 466 */
						obj_t BgL_arg3203z00_18796;

						BgL_arg3203z00_18796 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15428))))->BgL_valsz00);
						BgL_valsz00_18793 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00
							(BgL_arg3203z00_18796, BgL_stkz00_15429);
					}
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_l1320z00_18797;

						BgL_l1320z00_18797 =
							(((BgL_ev_letz00_bglt) COBJECT(
									((BgL_ev_letz00_bglt) BgL_ez00_15428)))->BgL_boxesz00);
						if (NULLP(BgL_l1320z00_18797))
							{	/* Eval/evaluate_comp.scm 467 */
								BgL_iboxesz00_18794 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 467 */
								obj_t BgL_head1322z00_18798;

								BgL_head1322z00_18798 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1320z00_18800;
									obj_t BgL_tail1323z00_18801;

									BgL_l1320z00_18800 = BgL_l1320z00_18797;
									BgL_tail1323z00_18801 = BgL_head1322z00_18798;
								BgL_zc3z04anonymousza33205ze3z87_18799:
									if (NULLP(BgL_l1320z00_18800))
										{	/* Eval/evaluate_comp.scm 467 */
											BgL_iboxesz00_18794 = CDR(BgL_head1322z00_18798);
										}
									else
										{	/* Eval/evaluate_comp.scm 467 */
											obj_t BgL_newtail1324z00_18802;

											{	/* Eval/evaluate_comp.scm 467 */
												obj_t BgL_arg3208z00_18803;

												{	/* Eval/evaluate_comp.scm 467 */
													obj_t BgL_vz00_18804;

													BgL_vz00_18804 = CAR(((obj_t) BgL_l1320z00_18800));
													BgL_arg3208z00_18803 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_18804,
														BgL_nstkz00_18791);
												}
												BgL_newtail1324z00_18802 =
													MAKE_YOUNG_PAIR(BgL_arg3208z00_18803, BNIL);
											}
											SET_CDR(BgL_tail1323z00_18801, BgL_newtail1324z00_18802);
											{	/* Eval/evaluate_comp.scm 467 */
												obj_t BgL_arg3207z00_18805;

												BgL_arg3207z00_18805 =
													CDR(((obj_t) BgL_l1320z00_18800));
												{
													obj_t BgL_tail1323z00_35574;
													obj_t BgL_l1320z00_35573;

													BgL_l1320z00_35573 = BgL_arg3207z00_18805;
													BgL_tail1323z00_35574 = BgL_newtail1324z00_18802;
													BgL_tail1323z00_18801 = BgL_tail1323z00_35574;
													BgL_l1320z00_18800 = BgL_l1320z00_35573;
													goto BgL_zc3z04anonymousza33205ze3z87_18799;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 468 */
						BgL_ev_exprz00_bglt BgL_arg3210z00_18806;

						BgL_arg3210z00_18806 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15428))))->BgL_bodyz00);
						BgL_bodyz00_18795 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3210z00_18806,
							BgL_nstkz00_18791);
					}
					{	/* Eval/evaluate_comp.scm 469 */
						obj_t BgL_zc3z04anonymousza33184ze3z87_18807;

						BgL_zc3z04anonymousza33184ze3z87_18807 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33184ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33184ze3z87_18807,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18790));
						PROCEDURE_SET(BgL_zc3z04anonymousza33184ze3z87_18807,
							(int) (((long) 1)), BgL_valsz00_18793);
						PROCEDURE_SET(BgL_zc3z04anonymousza33184ze3z87_18807,
							(int) (((long) 2)), BgL_iboxesz00_18794);
						PROCEDURE_SET(BgL_zc3z04anonymousza33184ze3z87_18807,
							(int) (((long) 3)), BgL_bodyz00_18795);
						return BgL_zc3z04anonymousza33184ze3z87_18807;
					}
				}
			}
		}

	}



/* &<@anonymous:3184> */
	obj_t BGl_z62zc3z04anonymousza33184ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15430, obj_t BgL_sz00_15435)
	{
		{	/* Eval/evaluate_comp.scm 469 */
			{	/* Eval/evaluate_comp.scm 469 */
				long BgL_siza7eza7_15431;
				obj_t BgL_valsz00_15432;
				obj_t BgL_iboxesz00_15433;
				obj_t BgL_bodyz00_15434;

				BgL_siza7eza7_15431 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15430, (int) (((long) 0))));
				BgL_valsz00_15432 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15430, (int) (((long) 1))));
				BgL_iboxesz00_15433 =
					PROCEDURE_REF(BgL_envz00_15430, (int) (((long) 2)));
				BgL_bodyz00_15434 = PROCEDURE_REF(BgL_envz00_15430, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 469 */
					obj_t BgL_bpz00_18808;

					BgL_bpz00_18808 = VECTOR_REF(((obj_t) BgL_sz00_15435), ((long) 0));
					{	/* Eval/evaluate_comp.scm 470 */
						long BgL_g1111z00_18809;

						BgL_g1111z00_18809 =
							((long) CINT(BgL_bpz00_18808) + BgL_siza7eza7_15431);
						{
							obj_t BgL_lz00_18811;
							long BgL_iz00_18812;

							BgL_lz00_18811 = BgL_valsz00_15432;
							BgL_iz00_18812 = BgL_g1111z00_18809;
						BgL_recz00_18810:
							if (NULLP(BgL_lz00_18811))
								{	/* Eval/evaluate_comp.scm 471 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 471 */
									{	/* Eval/evaluate_comp.scm 472 */
										obj_t BgL_arg3187z00_18813;

										{	/* Eval/evaluate_comp.scm 472 */
											obj_t BgL_fun3188z00_18814;

											BgL_fun3188z00_18814 = CAR(((obj_t) BgL_lz00_18811));
											BgL_arg3187z00_18813 =
												((obj_t(*)(obj_t, obj_t,
														obj_t))
												PROCEDURE_ENTRY(BgL_fun3188z00_18814))
												(BgL_fun3188z00_18814, BgL_sz00_15435, BEOA);
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15435), BgL_iz00_18812,
											BgL_arg3187z00_18813);
									}
									{	/* Eval/evaluate_comp.scm 473 */
										obj_t BgL_arg3189z00_18815;
										long BgL_arg3191z00_18816;

										BgL_arg3189z00_18815 = CDR(((obj_t) BgL_lz00_18811));
										BgL_arg3191z00_18816 = (BgL_iz00_18812 + ((long) 1));
										{
											long BgL_iz00_35619;
											obj_t BgL_lz00_35618;

											BgL_lz00_35618 = BgL_arg3189z00_18815;
											BgL_iz00_35619 = BgL_arg3191z00_18816;
											BgL_iz00_18812 = BgL_iz00_35619;
											BgL_lz00_18811 = BgL_lz00_35618;
											goto BgL_recz00_18810;
										}
									}
								}
						}
					}
					{
						obj_t BgL_lz00_18818;

						BgL_lz00_18818 = BgL_iboxesz00_15433;
					BgL_recz00_18817:
						if (NULLP(BgL_lz00_18818))
							{	/* Eval/evaluate_comp.scm 475 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_comp.scm 475 */
								{	/* Eval/evaluate_comp.scm 476 */
									long BgL_iz00_18819;

									BgL_iz00_18819 =
										(
										(long) CINT(BgL_bpz00_18808) +
										(long) CINT(CAR(((obj_t) BgL_lz00_18818))));
									{	/* Eval/evaluate_comp.scm 477 */
										obj_t BgL_arg3197z00_18820;

										{	/* Eval/evaluate_comp.scm 477 */
											obj_t BgL_arg3199z00_18821;

											BgL_arg3199z00_18821 =
												VECTOR_REF(((obj_t) BgL_sz00_15435), BgL_iz00_18819);
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_18822;

												BgL_newz00_18822 =
													create_struct(BGl_symbol4613z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_35631;

													BgL_tmpz00_35631 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_18822, BgL_tmpz00_35631,
														BgL_arg3199z00_18821);
												}
												BgL_arg3197z00_18820 = BgL_newz00_18822;
										}}
										VECTOR_SET(
											((obj_t) BgL_sz00_15435), BgL_iz00_18819,
											BgL_arg3197z00_18820);
								}}
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_arg3201z00_18823;

									BgL_arg3201z00_18823 = CDR(((obj_t) BgL_lz00_18818));
									{
										obj_t BgL_lz00_35638;

										BgL_lz00_35638 = BgL_arg3201z00_18823;
										BgL_lz00_18818 = BgL_lz00_35638;
										goto BgL_recz00_18817;
									}
								}
							}
					}
					return
						((obj_t(*)(obj_t, obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_bodyz00_15434)) (BgL_bodyz00_15434,
						BgL_sz00_15435, BEOA);
				}
			}
		}

	}



/* &comp-ev_prog21461 */
	obj_t BGl_z62compzd2ev_prog21461zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15436, obj_t BgL_ez00_15437, obj_t BgL_stkz00_15438)
	{
		{	/* Eval/evaluate_comp.scm 456 */
			{	/* Eval/evaluate_comp.scm 458 */
				obj_t BgL_e1z00_18825;
				obj_t BgL_e2z00_18826;

				BgL_e1z00_18825 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_15437)))->BgL_e1z00),
					BgL_stkz00_15438);
				BgL_e2z00_18826 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
							COBJECT(((BgL_ev_prog2z00_bglt) BgL_ez00_15437)))->BgL_e2z00),
					BgL_stkz00_15438);
				{	/* Eval/evaluate_comp.scm 459 */
					obj_t BgL_zc3z04anonymousza33179ze3z87_18827;

					BgL_zc3z04anonymousza33179ze3z87_18827 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_18827,
						(int) (((long) 0)), BgL_e1z00_18825);
					PROCEDURE_SET(BgL_zc3z04anonymousza33179ze3z87_18827,
						(int) (((long) 1)), BgL_e2z00_18826);
					return BgL_zc3z04anonymousza33179ze3z87_18827;
				}
			}
		}

	}



/* &<@anonymous:3179> */
	obj_t BGl_z62zc3z04anonymousza33179ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15439, obj_t BgL_sz00_15442)
	{
		{	/* Eval/evaluate_comp.scm 459 */
			{	/* Eval/evaluate_comp.scm 459 */
				obj_t BgL_e1z00_15440;
				obj_t BgL_e2z00_15441;

				BgL_e1z00_15440 = PROCEDURE_REF(BgL_envz00_15439, (int) (((long) 0)));
				BgL_e2z00_15441 = PROCEDURE_REF(BgL_envz00_15439, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 459 */
					obj_t BgL_bpz00_18828;

					BgL_bpz00_18828 = VECTOR_REF(((obj_t) BgL_sz00_15442), ((long) 0));
					((obj_t(*)(obj_t, obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_e1z00_15440)) (BgL_e1z00_15440,
						BgL_sz00_15442, BEOA);
					return ((obj_t(*)(obj_t, obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_e2z00_15441)) (BgL_e2z00_15441,
						BgL_sz00_15442, BEOA);
				}
			}
		}

	}



/* &comp-ev_and1459 */
	obj_t BGl_z62compzd2ev_and1459zb0zz__evaluate_compz00(obj_t BgL_envz00_15443,
		obj_t BgL_ez00_15444, obj_t BgL_stkz00_15445)
	{
		{	/* Eval/evaluate_comp.scm 446 */
			{	/* Eval/evaluate_comp.scm 448 */
				obj_t BgL_argsz00_18830;

				{	/* Eval/evaluate_comp.scm 448 */
					obj_t BgL_l1315z00_18831;

					BgL_l1315z00_18831 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_ez00_15444))))->BgL_argsz00);
					if (NULLP(BgL_l1315z00_18831))
						{	/* Eval/evaluate_comp.scm 448 */
							BgL_argsz00_18830 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_head1317z00_18832;

							BgL_head1317z00_18832 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1315z00_18834;
								obj_t BgL_tail1318z00_18835;

								BgL_l1315z00_18834 = BgL_l1315z00_18831;
								BgL_tail1318z00_18835 = BgL_head1317z00_18832;
							BgL_zc3z04anonymousza33174ze3z87_18833:
								if (NULLP(BgL_l1315z00_18834))
									{	/* Eval/evaluate_comp.scm 448 */
										BgL_argsz00_18830 = CDR(BgL_head1317z00_18832);
									}
								else
									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_newtail1319z00_18836;

										{	/* Eval/evaluate_comp.scm 448 */
											obj_t BgL_arg3178z00_18837;

											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_ez00_18838;

												BgL_ez00_18838 = CAR(((obj_t) BgL_l1315z00_18834));
												BgL_arg3178z00_18837 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18838),
													BgL_stkz00_15445);
											}
											BgL_newtail1319z00_18836 =
												MAKE_YOUNG_PAIR(BgL_arg3178z00_18837, BNIL);
										}
										SET_CDR(BgL_tail1318z00_18835, BgL_newtail1319z00_18836);
										{	/* Eval/evaluate_comp.scm 448 */
											obj_t BgL_arg3176z00_18839;

											BgL_arg3176z00_18839 = CDR(((obj_t) BgL_l1315z00_18834));
											{
												obj_t BgL_tail1318z00_35688;
												obj_t BgL_l1315z00_35687;

												BgL_l1315z00_35687 = BgL_arg3176z00_18839;
												BgL_tail1318z00_35688 = BgL_newtail1319z00_18836;
												BgL_tail1318z00_18835 = BgL_tail1318z00_35688;
												BgL_l1315z00_18834 = BgL_l1315z00_35687;
												goto BgL_zc3z04anonymousza33174ze3z87_18833;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 449 */
					obj_t BgL_zc3z04anonymousza33168ze3z87_18840;

					BgL_zc3z04anonymousza33168ze3z87_18840 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33168ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33168ze3z87_18840,
						(int) (((long) 0)), BgL_argsz00_18830);
					return BgL_zc3z04anonymousza33168ze3z87_18840;
				}
			}
		}

	}



/* &<@anonymous:3168> */
	obj_t BGl_z62zc3z04anonymousza33168ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15446, obj_t BgL_sz00_15448)
	{
		{	/* Eval/evaluate_comp.scm 449 */
			{	/* Eval/evaluate_comp.scm 449 */
				obj_t BgL_argsz00_15447;

				BgL_argsz00_15447 = PROCEDURE_REF(BgL_envz00_15446, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 449 */
					obj_t BgL_bpz00_18841;

					BgL_bpz00_18841 = VECTOR_REF(((obj_t) BgL_sz00_15448), ((long) 0));
					{
						obj_t BgL_lz00_18843;
						obj_t BgL_rz00_18844;

						BgL_lz00_18843 = BgL_argsz00_15447;
						BgL_rz00_18844 = BTRUE;
					BgL_recz00_18842:
						if (NULLP(BgL_lz00_18843))
							{	/* Eval/evaluate_comp.scm 451 */
								return BgL_rz00_18844;
							}
						else
							{	/* Eval/evaluate_comp.scm 453 */
								obj_t BgL_vz00_18845;

								{	/* Eval/evaluate_comp.scm 453 */
									obj_t BgL_fun3172z00_18846;

									BgL_fun3172z00_18846 = CAR(((obj_t) BgL_lz00_18843));
									BgL_vz00_18845 =
										((obj_t(*)(obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun3172z00_18846))
										(BgL_fun3172z00_18846, BgL_sz00_15448, BEOA);
								}
								if (CBOOL(BgL_vz00_18845))
									{	/* Eval/evaluate_comp.scm 454 */
										obj_t BgL_arg3171z00_18847;

										BgL_arg3171z00_18847 = CDR(((obj_t) BgL_lz00_18843));
										{
											obj_t BgL_rz00_35711;
											obj_t BgL_lz00_35710;

											BgL_lz00_35710 = BgL_arg3171z00_18847;
											BgL_rz00_35711 = BgL_vz00_18845;
											BgL_rz00_18844 = BgL_rz00_35711;
											BgL_lz00_18843 = BgL_lz00_35710;
											goto BgL_recz00_18842;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 454 */
										return BFALSE;
									}
							}
					}
				}
			}
		}

	}



/* &comp-ev_or1457 */
	obj_t BGl_z62compzd2ev_or1457zb0zz__evaluate_compz00(obj_t BgL_envz00_15449,
		obj_t BgL_ez00_15450, obj_t BgL_stkz00_15451)
	{
		{	/* Eval/evaluate_comp.scm 437 */
			{	/* Eval/evaluate_comp.scm 439 */
				obj_t BgL_argsz00_18849;

				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_l1310z00_18850;

					BgL_l1310z00_18850 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_ez00_15450))))->BgL_argsz00);
					if (NULLP(BgL_l1310z00_18850))
						{	/* Eval/evaluate_comp.scm 439 */
							BgL_argsz00_18849 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 439 */
							obj_t BgL_head1312z00_18851;

							BgL_head1312z00_18851 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1310z00_18853;
								obj_t BgL_tail1313z00_18854;

								BgL_l1310z00_18853 = BgL_l1310z00_18850;
								BgL_tail1313z00_18854 = BgL_head1312z00_18851;
							BgL_zc3z04anonymousza33163ze3z87_18852:
								if (NULLP(BgL_l1310z00_18853))
									{	/* Eval/evaluate_comp.scm 439 */
										BgL_argsz00_18849 = CDR(BgL_head1312z00_18851);
									}
								else
									{	/* Eval/evaluate_comp.scm 439 */
										obj_t BgL_newtail1314z00_18855;

										{	/* Eval/evaluate_comp.scm 439 */
											obj_t BgL_arg3167z00_18856;

											{	/* Eval/evaluate_comp.scm 439 */
												obj_t BgL_ez00_18857;

												BgL_ez00_18857 = CAR(((obj_t) BgL_l1310z00_18853));
												BgL_arg3167z00_18856 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18857),
													BgL_stkz00_15451);
											}
											BgL_newtail1314z00_18855 =
												MAKE_YOUNG_PAIR(BgL_arg3167z00_18856, BNIL);
										}
										SET_CDR(BgL_tail1313z00_18854, BgL_newtail1314z00_18855);
										{	/* Eval/evaluate_comp.scm 439 */
											obj_t BgL_arg3166z00_18858;

											BgL_arg3166z00_18858 = CDR(((obj_t) BgL_l1310z00_18853));
											{
												obj_t BgL_tail1313z00_35730;
												obj_t BgL_l1310z00_35729;

												BgL_l1310z00_35729 = BgL_arg3166z00_18858;
												BgL_tail1313z00_35730 = BgL_newtail1314z00_18855;
												BgL_tail1313z00_18854 = BgL_tail1313z00_35730;
												BgL_l1310z00_18853 = BgL_l1310z00_35729;
												goto BgL_zc3z04anonymousza33163ze3z87_18852;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_zc3z04anonymousza33157ze3z87_18859;

					BgL_zc3z04anonymousza33157ze3z87_18859 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33157ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33157ze3z87_18859,
						(int) (((long) 0)), BgL_argsz00_18849);
					return BgL_zc3z04anonymousza33157ze3z87_18859;
				}
			}
		}

	}



/* &<@anonymous:3157> */
	obj_t BGl_z62zc3z04anonymousza33157ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15452, obj_t BgL_sz00_15454)
	{
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_argsz00_15453;

				BgL_argsz00_15453 = PROCEDURE_REF(BgL_envz00_15452, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_bpz00_18860;

					BgL_bpz00_18860 = VECTOR_REF(((obj_t) BgL_sz00_15454), ((long) 0));
					{
						obj_t BgL_lz00_18862;

						BgL_lz00_18862 = BgL_argsz00_15453;
					BgL_recz00_18861:
						if (NULLP(BgL_lz00_18862))
							{	/* Eval/evaluate_comp.scm 442 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 444 */
								obj_t BgL__ortest_1106z00_18863;

								{	/* Eval/evaluate_comp.scm 444 */
									obj_t BgL_fun3161z00_18864;

									BgL_fun3161z00_18864 = CAR(((obj_t) BgL_lz00_18862));
									BgL__ortest_1106z00_18863 =
										((obj_t(*)(obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_fun3161z00_18864))
										(BgL_fun3161z00_18864, BgL_sz00_15454, BEOA);
								}
								if (CBOOL(BgL__ortest_1106z00_18863))
									{	/* Eval/evaluate_comp.scm 444 */
										return BgL__ortest_1106z00_18863;
									}
								else
									{	/* Eval/evaluate_comp.scm 444 */
										obj_t BgL_arg3160z00_18865;

										BgL_arg3160z00_18865 = CDR(((obj_t) BgL_lz00_18862));
										{
											obj_t BgL_lz00_35752;

											BgL_lz00_35752 = BgL_arg3160z00_18865;
											BgL_lz00_18862 = BgL_lz00_35752;
											goto BgL_recz00_18861;
										}
									}
							}
					}
				}
			}
		}

	}



/* &comp-ev_if1455 */
	obj_t BGl_z62compzd2ev_if1455zb0zz__evaluate_compz00(obj_t BgL_envz00_15455,
		obj_t BgL_ez00_15456, obj_t BgL_stkz00_15457)
	{
		{	/* Eval/evaluate_comp.scm 431 */
			{	/* Eval/evaluate_comp.scm 433 */
				obj_t BgL_pz00_18867;
				obj_t BgL_tz00_18868;
				obj_t BgL_ez00_18869;

				BgL_pz00_18867 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_15456)))->BgL_pz00),
					BgL_stkz00_15457);
				BgL_tz00_18868 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15456)))->BgL_tz00),
					BgL_stkz00_15457);
				BgL_ez00_18869 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15456)))->BgL_ez00),
					BgL_stkz00_15457);
				{	/* Eval/evaluate_comp.scm 434 */
					obj_t BgL_zc3z04anonymousza33146ze3z87_18870;

					BgL_zc3z04anonymousza33146ze3z87_18870 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33146ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33146ze3z87_18870,
						(int) (((long) 0)), BgL_ez00_18869);
					PROCEDURE_SET(BgL_zc3z04anonymousza33146ze3z87_18870,
						(int) (((long) 1)), BgL_tz00_18868);
					PROCEDURE_SET(BgL_zc3z04anonymousza33146ze3z87_18870,
						(int) (((long) 2)), BgL_pz00_18867);
					return BgL_zc3z04anonymousza33146ze3z87_18870;
				}
			}
		}

	}



/* &<@anonymous:3146> */
	obj_t BGl_z62zc3z04anonymousza33146ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15458, obj_t BgL_sz00_15462)
	{
		{	/* Eval/evaluate_comp.scm 434 */
			{	/* Eval/evaluate_comp.scm 434 */
				obj_t BgL_ez00_15459;
				obj_t BgL_tz00_15460;
				obj_t BgL_pz00_15461;

				BgL_ez00_15459 = PROCEDURE_REF(BgL_envz00_15458, (int) (((long) 0)));
				BgL_tz00_15460 = PROCEDURE_REF(BgL_envz00_15458, (int) (((long) 1)));
				BgL_pz00_15461 = PROCEDURE_REF(BgL_envz00_15458, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 434 */
					obj_t BgL_bpz00_18871;

					BgL_bpz00_18871 = VECTOR_REF(((obj_t) BgL_sz00_15462), ((long) 0));
					if (CBOOL(
							((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_pz00_15461)) (BgL_pz00_15461,
								BgL_sz00_15462, BEOA)))
						{	/* Eval/evaluate_comp.scm 435 */
							return
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_tz00_15460)) (BgL_tz00_15460,
								BgL_sz00_15462, BEOA);
						}
					else
						{	/* Eval/evaluate_comp.scm 435 */
							return
								((obj_t(*)(obj_t, obj_t,
										obj_t)) PROCEDURE_ENTRY(BgL_ez00_15459)) (BgL_ez00_15459,
								BgL_sz00_15462, BEOA);
						}
				}
			}
		}

	}



/* &comp-ev_litt1453 */
	obj_t BGl_z62compzd2ev_litt1453zb0zz__evaluate_compz00(obj_t BgL_envz00_15463,
		obj_t BgL_ez00_15464, obj_t BgL_stkz00_15465)
	{
		{	/* Eval/evaluate_comp.scm 426 */
			{	/* Eval/evaluate_comp.scm 428 */
				obj_t BgL_zc3z04anonymousza33145ze3z87_18873;

				BgL_zc3z04anonymousza33145ze3z87_18873 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza33145ze3ze5zz__evaluate_compz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza33145ze3z87_18873,
					(int) (((long) 0)), ((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_15464)));
				return BgL_zc3z04anonymousza33145ze3z87_18873;
			}
		}

	}



/* &<@anonymous:3145> */
	obj_t BGl_z62zc3z04anonymousza33145ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15466, obj_t BgL_sz00_15468)
	{
		{	/* Eval/evaluate_comp.scm 428 */
			{	/* Eval/evaluate_comp.scm 428 */
				BgL_ev_littz00_bglt BgL_i1103z00_15467;

				BgL_i1103z00_15467 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_15466, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 428 */
					obj_t BgL_bpz00_18874;

					BgL_bpz00_18874 = VECTOR_REF(((obj_t) BgL_sz00_15468), ((long) 0));
					return
						(((BgL_ev_littz00_bglt) COBJECT(BgL_i1103z00_15467))->BgL_valuez00);
				}
			}
		}

	}



/* &comp-ev_defglobal1451 */
	obj_t BGl_z62compzd2ev_defglobal1451zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15469, obj_t BgL_ez00_15470, obj_t BgL_stkz00_15471)
	{
		{	/* Eval/evaluate_comp.scm 395 */
			{	/* Eval/evaluate_comp.scm 397 */
				obj_t BgL_ez00_18876;

				{	/* Eval/evaluate_comp.scm 397 */
					BgL_ev_exprz00_bglt BgL_arg3144z00_18877;

					BgL_arg3144z00_18877 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_15470))))->BgL_ez00);
					BgL_ez00_18876 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3144z00_18877,
						BgL_stkz00_15471);
				}
				{	/* Eval/evaluate_comp.scm 398 */
					obj_t BgL_zc3z04anonymousza33102ze3z87_18878;

					BgL_zc3z04anonymousza33102ze3z87_18878 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33102ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33102ze3z87_18878,
						(int) (((long) 0)),
						((obj_t) ((BgL_ev_defglobalz00_bglt) BgL_ez00_15470)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33102ze3z87_18878,
						(int) (((long) 1)), BgL_ez00_18876);
					return BgL_zc3z04anonymousza33102ze3z87_18878;
				}
			}
		}

	}



/* &<@anonymous:3102> */
	obj_t BGl_z62zc3z04anonymousza33102ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15472, obj_t BgL_sz00_15475)
	{
		{	/* Eval/evaluate_comp.scm 398 */
			{	/* Eval/evaluate_comp.scm 398 */
				BgL_ev_defglobalz00_bglt BgL_i1100z00_15473;
				obj_t BgL_ez00_15474;

				BgL_i1100z00_15473 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15472, (int) (((long) 0))));
				BgL_ez00_15474 = PROCEDURE_REF(BgL_envz00_15472, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 398 */
					obj_t BgL_bpz00_18879;

					BgL_bpz00_18879 = VECTOR_REF(((obj_t) BgL_sz00_15475), ((long) 0));
					{	/* Eval/evaluate_comp.scm 399 */
						obj_t BgL_gz00_18880;

						{	/* Eval/evaluate_comp.scm 399 */
							obj_t BgL_arg3141z00_18881;
							obj_t BgL_arg3142z00_18882;

							BgL_arg3141z00_18881 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(
										((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15473)))->
								BgL_modz00);
							BgL_arg3142z00_18882 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
											BgL_i1100z00_15473)))->BgL_namez00);
							BgL_gz00_18880 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg3141z00_18881, BgL_arg3142z00_18882);
						}
						if (CBOOL(BgL_gz00_18880))
							{	/* Eval/evaluate_comp.scm 401 */
								{

									{	/* Eval/evaluate_comp.scm 403 */
										int BgL_aux1102z00_18886;

										{	/* Eval/evaluate_comp.scm 403 */
											int BgL_res4468z00_18887;

											BgL_res4468z00_18887 =
												CINT(VECTOR_REF(((obj_t) BgL_gz00_18880), ((long) 0)));
											BgL_aux1102z00_18886 = BgL_res4468z00_18887;
										}
										switch ((long) (BgL_aux1102z00_18886))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 405 */
													obj_t BgL_arg3103z00_18888;
													obj_t BgL_arg3106z00_18889;

													BgL_arg3103z00_18888 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15473)))->BgL_locz00);
													BgL_arg3106z00_18889 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15473)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3103z00_18888,
														BGl_string4724z00zz__evaluate_compz00,
														BGl_string4725z00zz__evaluate_compz00,
														BgL_arg3106z00_18889);
												} break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 407 */
													obj_t BgL_arg3107z00_18890;
													obj_t BgL_arg3111z00_18891;

													BgL_arg3107z00_18890 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15473)))->BgL_locz00);
													BgL_arg3111z00_18891 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15473)))->BgL_namez00);
													{	/* Eval/evaluate_comp.scm 407 */
														obj_t BgL_list3112z00_18892;

														{	/* Eval/evaluate_comp.scm 407 */
															obj_t BgL_arg3117z00_18893;

															{	/* Eval/evaluate_comp.scm 407 */
																obj_t BgL_arg3118z00_18894;

																BgL_arg3118z00_18894 =
																	MAKE_YOUNG_PAIR(BgL_arg3111z00_18891, BNIL);
																BgL_arg3117z00_18893 =
																	MAKE_YOUNG_PAIR
																	(BGl_string4726z00zz__evaluate_compz00,
																	BgL_arg3118z00_18894);
															}
															BgL_list3112z00_18892 =
																MAKE_YOUNG_PAIR
																(BGl_string4603z00zz__evaluate_compz00,
																BgL_arg3117z00_18893);
														}
														BGl_evwarningz00zz__everrorz00(BgL_arg3107z00_18890,
															BgL_list3112z00_18892);
												}}
												{	/* Eval/evaluate_comp.scm 409 */
													obj_t BgL_arg3124z00_18895;
													obj_t BgL_arg3125z00_18896;

													BgL_arg3124z00_18895 =
														VECTOR_REF(((obj_t) BgL_gz00_18880), ((long) 2));
													BgL_arg3125z00_18896 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_ez00_15474)) (BgL_ez00_15474,
														BgL_sz00_15475, BEOA);
													__EVMEANING_ADDRESS_SET(BgL_arg3124z00_18895,
														BgL_arg3125z00_18896);
												} break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 411 */
													obj_t BgL_arg3127z00_18897;

													BgL_arg3127z00_18897 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_ez00_15474)) (BgL_ez00_15474,
														BgL_sz00_15475, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18880), ((long) 2),
														BgL_arg3127z00_18897);
												} break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 413 */
													obj_t BgL_arg3128z00_18898;

													BgL_arg3128z00_18898 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_ez00_15474)) (BgL_ez00_15474,
														BgL_sz00_15475, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18880), ((long) 2),
														BgL_arg3128z00_18898);
												}
												VECTOR_SET(
													((obj_t) BgL_gz00_18880), ((long) 0),
													BINT(((long) 2)));
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 416 */
													obj_t BgL_arg3129z00_18899;

													BgL_arg3129z00_18899 =
														((obj_t(*)(obj_t, obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_ez00_15474)) (BgL_ez00_15474,
														BgL_sz00_15475, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18880), ((long) 2),
														BgL_arg3129z00_18899);
												}
												VECTOR_SET(
													((obj_t) BgL_gz00_18880), ((long) 0),
													BINT(((long) 5)));
												break;
											default:
												{	/* Eval/evaluate_comp.scm 419 */
													obj_t BgL_arg3130z00_18884;
													obj_t BgL_arg3131z00_18885;

													BgL_arg3130z00_18884 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15473)))->BgL_locz00);
													BgL_arg3131z00_18885 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15473)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3130z00_18884,
														BGl_string4724z00zz__evaluate_compz00,
														BGl_string4725z00zz__evaluate_compz00,
														BgL_arg3131z00_18885);
												}
											}
									}
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15473)))->
									BgL_namez00);
							}
						else
							{	/* Eval/evaluate_comp.scm 421 */
								obj_t BgL_gz00_18900;

								{	/* Eval/evaluate_comp.scm 421 */
									obj_t BgL_arg3137z00_18901;
									obj_t BgL_arg3138z00_18902;
									obj_t BgL_arg3140z00_18903;

									BgL_arg3137z00_18901 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15473)))->
										BgL_namez00);
									BgL_arg3138z00_18902 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15473)))->BgL_modz00);
									BgL_arg3140z00_18903 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15473)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 421 */
										obj_t BgL_v1424z00_18904;

										BgL_v1424z00_18904 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1424z00_18904, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1424z00_18904, ((long) 1),
											BgL_arg3137z00_18901);
										VECTOR_SET(BgL_v1424z00_18904, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1424z00_18904, ((long) 3),
											BgL_arg3138z00_18902);
										VECTOR_SET(BgL_v1424z00_18904, ((long) 4),
											BgL_arg3140z00_18903);
										BgL_gz00_18900 = BgL_v1424z00_18904;
								}}
								{	/* Eval/evaluate_comp.scm 422 */
									obj_t BgL_arg3132z00_18905;

									BgL_arg3132z00_18905 =
										((obj_t(*)(obj_t, obj_t,
												obj_t))
										PROCEDURE_ENTRY(BgL_ez00_15474)) (BgL_ez00_15474,
										BgL_sz00_15475, BEOA);
									VECTOR_SET(BgL_gz00_18900, ((long) 2), BgL_arg3132z00_18905);
								}
								{	/* Eval/evaluate_comp.scm 423 */
									obj_t BgL_arg3134z00_18906;
									obj_t BgL_arg3135z00_18907;
									obj_t BgL_arg3136z00_18908;

									BgL_arg3134z00_18906 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15473)))->
										BgL_modz00);
									BgL_arg3135z00_18907 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15473)))->BgL_namez00);
									BgL_arg3136z00_18908 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15473)))->BgL_locz00);
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
										(BgL_arg3134z00_18906, BgL_arg3135z00_18907, BgL_gz00_18900,
										BgL_arg3136z00_18908);
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15473)))->
									BgL_namez00);
							}
					}
				}
			}
		}

	}



/* &comp-ev_setglobal1449 */
	obj_t BGl_z62compzd2ev_setglobal1449zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15476, obj_t BgL_ez00_15477, obj_t BgL_stkz00_15478)
	{
		{	/* Eval/evaluate_comp.scm 372 */
			{	/* Eval/evaluate_comp.scm 374 */
				obj_t BgL_gz00_18910;
				obj_t BgL_ez00_18911;

				BgL_gz00_18910 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->BgL_modz00),
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->BgL_namez00));
				{	/* Eval/evaluate_comp.scm 374 */
					BgL_ev_exprz00_bglt BgL_arg3101z00_18912;

					BgL_arg3101z00_18912 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setglobalz00_bglt) BgL_ez00_15477))))->BgL_ez00);
					BgL_ez00_18911 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3101z00_18912,
						BgL_stkz00_15478);
				}
				if (CBOOL(BgL_gz00_18910))
					{

						{	/* Eval/evaluate_comp.scm 376 */
							int BgL_aux1099z00_18915;

							{	/* Eval/evaluate_comp.scm 376 */
								int BgL_res4467z00_18916;

								BgL_res4467z00_18916 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18910), ((long) 0)));
								BgL_aux1099z00_18915 = BgL_res4467z00_18916;
							}
							switch ((long) (BgL_aux1099z00_18915))
								{
								case ((long) 1):

									{	/* Eval/evaluate_comp.scm 378 */
										obj_t BgL_zc3z04anonymousza33066ze3z87_18917;

										BgL_zc3z04anonymousza33066ze3z87_18917 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza33066ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3z04anonymousza33066ze3z87_18917,
											(int) (((long) 0)), BgL_gz00_18910);
										PROCEDURE_SET(BgL_zc3z04anonymousza33066ze3z87_18917,
											(int) (((long) 1)), BgL_ez00_18911);
										return BgL_zc3z04anonymousza33066ze3z87_18917;
									}
									break;
								case ((long) 0):
								case ((long) 4):
								case ((long) 5):

									return
										BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(
													((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
											BgL_locz00), BGl_string4724z00zz__evaluate_compz00,
										BGl_string4725z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt)
												COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
											BgL_namez00));
									break;
								default:
									{	/* Eval/evaluate_comp.scm 383 */
										obj_t BgL_zc3z04anonymousza33075ze3z87_18914;

										BgL_zc3z04anonymousza33075ze3z87_18914 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza33075ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3z04anonymousza33075ze3z87_18914,
											(int) (((long) 0)), BgL_ez00_18911);
										PROCEDURE_SET(BgL_zc3z04anonymousza33075ze3z87_18914,
											(int) (((long) 1)), BgL_gz00_18910);
										return BgL_zc3z04anonymousza33075ze3z87_18914;
									}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 384 */
						obj_t BgL_slotz00_18918;

						BgL_slotz00_18918 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 386 */
								obj_t BgL_gz00_18919;

								{	/* Eval/evaluate_comp.scm 386 */
									obj_t BgL_arg3085z00_18920;
									obj_t BgL_arg3086z00_18921;
									obj_t BgL_arg3087z00_18922;

									BgL_arg3085z00_18920 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
										BgL_namez00);
									BgL_arg3086z00_18921 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
										BgL_modz00);
									BgL_arg3087z00_18922 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
										BgL_locz00);
									{	/* Eval/evaluate_comp.scm 386 */
										obj_t BgL_v1424z00_18923;

										BgL_v1424z00_18923 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1424z00_18923, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1424z00_18923, ((long) 1),
											BgL_arg3085z00_18920);
										VECTOR_SET(BgL_v1424z00_18923, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1424z00_18923, ((long) 3),
											BgL_arg3086z00_18921);
										VECTOR_SET(BgL_v1424z00_18923, ((long) 4),
											BgL_arg3087z00_18922);
										BgL_gz00_18919 = BgL_v1424z00_18923;
								}}
								VECTOR_SET(BgL_gz00_18919, ((long) 0), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
										BgL_namez00), BgL_gz00_18919,
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)))->
										BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 385 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 389 */
							obj_t BgL_zc3z04anonymousza33089ze3z87_18924;

							BgL_zc3z04anonymousza33089ze3z87_18924 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33089ze3ze5zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33089ze3z87_18924,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_setglobalz00_bglt) BgL_ez00_15477)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33089ze3z87_18924,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18918));
							PROCEDURE_SET(BgL_zc3z04anonymousza33089ze3z87_18924,
								(int) (((long) 2)), BgL_ez00_18911);
							return BgL_zc3z04anonymousza33089ze3z87_18924;
						}
					}
			}
		}

	}



/* &<@anonymous:3066> */
	obj_t BGl_z62zc3z04anonymousza33066ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15481, obj_t BgL_sz00_15484)
	{
		{	/* Eval/evaluate_comp.scm 378 */
			{	/* Eval/evaluate_comp.scm 378 */
				obj_t BgL_gz00_15482;
				obj_t BgL_ez00_15483;

				BgL_gz00_15482 = PROCEDURE_REF(BgL_envz00_15481, (int) (((long) 0)));
				BgL_ez00_15483 = PROCEDURE_REF(BgL_envz00_15481, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_bpz00_18925;

					BgL_bpz00_18925 = VECTOR_REF(((obj_t) BgL_sz00_15484), ((long) 0));
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_arg3068z00_18926;
						obj_t BgL_arg3069z00_18927;

						BgL_arg3068z00_18926 =
							VECTOR_REF(((obj_t) BgL_gz00_15482), ((long) 2));
						BgL_arg3069z00_18927 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_ez00_15483)) (BgL_ez00_15483,
							BgL_sz00_15484, BEOA);
						return __EVMEANING_ADDRESS_SET(BgL_arg3068z00_18926,
							BgL_arg3069z00_18927);
					}
				}
			}
		}

	}



/* &<@anonymous:3075> */
	obj_t BGl_z62zc3z04anonymousza33075ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15485, obj_t BgL_sz00_15488)
	{
		{	/* Eval/evaluate_comp.scm 383 */
			{	/* Eval/evaluate_comp.scm 383 */
				obj_t BgL_ez00_15486;
				obj_t BgL_gz00_15487;

				BgL_ez00_15486 = PROCEDURE_REF(BgL_envz00_15485, (int) (((long) 0)));
				BgL_gz00_15487 = PROCEDURE_REF(BgL_envz00_15485, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 383 */
					obj_t BgL_bpz00_18928;

					BgL_bpz00_18928 = VECTOR_REF(((obj_t) BgL_sz00_15488), ((long) 0));
					{	/* Eval/evaluate_comp.scm 383 */
						obj_t BgL_arg3076z00_18929;

						BgL_arg3076z00_18929 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_ez00_15486)) (BgL_ez00_15486,
							BgL_sz00_15488, BEOA);
						return VECTOR_SET(((obj_t) BgL_gz00_15487), ((long) 2),
							BgL_arg3076z00_18929);
		}}}}

	}



/* &<@anonymous:3089> */
	obj_t BGl_z62zc3z04anonymousza33089ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15489, obj_t BgL_sz00_15493)
	{
		{	/* Eval/evaluate_comp.scm 389 */
			{	/* Eval/evaluate_comp.scm 389 */
				BgL_ev_setglobalz00_bglt BgL_i1097z00_15490;
				obj_t BgL_slotz00_15491;
				obj_t BgL_ez00_15492;

				BgL_i1097z00_15490 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15489, (int) (((long) 0))));
				BgL_slotz00_15491 = PROCEDURE_REF(BgL_envz00_15489, (int) (((long) 1)));
				BgL_ez00_15492 = PROCEDURE_REF(BgL_envz00_15489, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 389 */
					obj_t BgL_bpz00_18930;

					BgL_bpz00_18930 = VECTOR_REF(((obj_t) BgL_sz00_15493), ((long) 0));
					if (CBOOL(CELL_REF(BgL_slotz00_15491)))
						{	/* Eval/evaluate_comp.scm 390 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 390 */
							{	/* Eval/evaluate_comp.scm 391 */
								obj_t BgL_auxz00_18931;

								BgL_auxz00_18931 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15490))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15490))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15491, BgL_auxz00_18931);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15491)))
								{	/* Eval/evaluate_comp.scm 392 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 392 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15490))->
											BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
										BGl_string4727z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15490))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 393 */
						obj_t BgL_arg3096z00_18932;

						BgL_arg3096z00_18932 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_ez00_15492)) (BgL_ez00_15492,
							BgL_sz00_15493, BEOA);
						{	/* Eval/evaluate_comp.scm 393 */
							obj_t BgL_evalzd2globalzd2_18933;

							BgL_evalzd2globalzd2_18933 = CELL_REF(BgL_slotz00_15491);
							return
								VECTOR_SET(BgL_evalzd2globalzd2_18933, ((long) 2),
								BgL_arg3096z00_18932);
		}}}}}

	}



/* &comp-ev_global1447 */
	obj_t BGl_z62compzd2ev_global1447zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15495, obj_t BgL_varz00_15496, obj_t BgL_stkz00_15497)
	{
		{	/* Eval/evaluate_comp.scm 339 */
			{	/* Eval/evaluate_comp.scm 341 */
				obj_t BgL_gz00_18935;

				BgL_gz00_18935 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15496)))->BgL_modz00),
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15496)))->BgL_namez00));
				if (CBOOL(BgL_gz00_18935))
					{	/* Eval/evaluate_comp.scm 343 */
						bool_t BgL_test5806z00_36045;

						{	/* Eval/evaluate_comp.scm 343 */
							int BgL_arg3007z00_18936;

							{	/* Eval/evaluate_comp.scm 343 */
								int BgL_res4465z00_18937;

								BgL_res4465z00_18937 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18935), ((long) 0)));
								BgL_arg3007z00_18936 = BgL_res4465z00_18937;
							}
							BgL_test5806z00_36045 =
								(BINT(BgL_arg3007z00_18936) == BINT(((long) 1)));
						}
						if (BgL_test5806z00_36045)
							{	/* Eval/evaluate_comp.scm 344 */
								obj_t BgL_zc3z04anonymousza33002ze3z87_18938;

								BgL_zc3z04anonymousza33002ze3z87_18938 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33002ze3z87_18938,
									(int) (((long) 0)), BgL_gz00_18935);
								return BgL_zc3z04anonymousza33002ze3z87_18938;
							}
						else
							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_zc3z04anonymousza33004ze3z87_18939;

								BgL_zc3z04anonymousza33004ze3z87_18939 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33004ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33004ze3z87_18939,
									(int) (((long) 0)), BgL_gz00_18935);
								return BgL_zc3z04anonymousza33004ze3z87_18939;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 348 */
						obj_t BgL_slotz00_18940;

						BgL_slotz00_18940 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_globalz00_bglt) COBJECT(
											((BgL_ev_globalz00_bglt) BgL_varz00_15496)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 350 */
								obj_t BgL_gz00_18941;

								{	/* Eval/evaluate_comp.scm 350 */
									obj_t BgL_arg3017z00_18942;
									obj_t BgL_arg3022z00_18943;
									obj_t BgL_arg3023z00_18944;

									BgL_arg3017z00_18942 =
										(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15496)))->
										BgL_namez00);
									BgL_arg3022z00_18943 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15496)))->BgL_modz00);
									BgL_arg3023z00_18944 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15496)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 350 */
										obj_t BgL_v1424z00_18945;

										BgL_v1424z00_18945 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1424z00_18945, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1424z00_18945, ((long) 1),
											BgL_arg3017z00_18942);
										VECTOR_SET(BgL_v1424z00_18945, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1424z00_18945, ((long) 3),
											BgL_arg3022z00_18943);
										VECTOR_SET(BgL_v1424z00_18945, ((long) 4),
											BgL_arg3023z00_18944);
										BgL_gz00_18941 = BgL_v1424z00_18945;
								}}
								VECTOR_SET(BgL_gz00_18941, ((long) 0), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15496)))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15496)))->BgL_namez00), BgL_gz00_18941,
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15496)))->BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 349 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 353 */
							obj_t BgL_zc3z04anonymousza33025ze3z87_18946;

							BgL_zc3z04anonymousza33025ze3z87_18946 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33025ze3ze5zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33025ze3z87_18946,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_globalz00_bglt) BgL_varz00_15496)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33025ze3z87_18946,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18940));
							return BgL_zc3z04anonymousza33025ze3z87_18946;
						}
					}
			}
		}

	}



/* &<@anonymous:3002> */
	obj_t BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15500, obj_t BgL_sz00_15502)
	{
		{	/* Eval/evaluate_comp.scm 344 */
			{	/* Eval/evaluate_comp.scm 344 */
				obj_t BgL_gz00_15501;

				BgL_gz00_15501 = PROCEDURE_REF(BgL_envz00_15500, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 344 */
					obj_t BgL_bpz00_18947;

					BgL_bpz00_18947 = VECTOR_REF(((obj_t) BgL_sz00_15502), ((long) 0));
					{	/* Eval/evaluate_comp.scm 345 */
						obj_t BgL_arg3003z00_18948;

						BgL_arg3003z00_18948 =
							VECTOR_REF(((obj_t) BgL_gz00_15501), ((long) 2));
						return __EVMEANING_ADDRESS_REF(BgL_arg3003z00_18948);
					}
				}
			}
		}

	}



/* &<@anonymous:3004> */
	obj_t BGl_z62zc3z04anonymousza33004ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15503, obj_t BgL_sz00_15505)
	{
		{	/* Eval/evaluate_comp.scm 346 */
			{	/* Eval/evaluate_comp.scm 346 */
				obj_t BgL_gz00_15504;

				BgL_gz00_15504 = PROCEDURE_REF(BgL_envz00_15503, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 346 */
					obj_t BgL_bpz00_18949;

					BgL_bpz00_18949 = VECTOR_REF(((obj_t) BgL_sz00_15505), ((long) 0));
					return VECTOR_REF(((obj_t) BgL_gz00_15504), ((long) 2));
		}}}

	}



/* &<@anonymous:3025> */
	obj_t BGl_z62zc3z04anonymousza33025ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15506, obj_t BgL_sz00_15509)
	{
		{	/* Eval/evaluate_comp.scm 353 */
			{	/* Eval/evaluate_comp.scm 353 */
				BgL_ev_globalz00_bglt BgL_i1096z00_15507;
				obj_t BgL_slotz00_15508;

				BgL_i1096z00_15507 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15506, (int) (((long) 0))));
				BgL_slotz00_15508 = PROCEDURE_REF(BgL_envz00_15506, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 353 */
					obj_t BgL_bpz00_18950;

					BgL_bpz00_18950 = VECTOR_REF(((obj_t) BgL_sz00_15509), ((long) 0));
					if (CBOOL(CELL_REF(BgL_slotz00_15508)))
						{	/* Eval/evaluate_comp.scm 354 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 354 */
							{	/* Eval/evaluate_comp.scm 355 */
								obj_t BgL_auxz00_18951;

								BgL_auxz00_18951 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15507))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15507))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15508, BgL_auxz00_18951);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15508)))
								{	/* Eval/evaluate_comp.scm 356 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 357 */
									obj_t BgL_idz00_18952;

									if (BGl_evmodulezf3zf3zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15507))->
												BgL_modz00)))
										{	/* Eval/evaluate_comp.scm 358 */
											obj_t BgL_arg3033z00_18953;

											{	/* Eval/evaluate_comp.scm 358 */
												obj_t BgL_arg3034z00_18954;
												obj_t BgL_arg3035z00_18955;

												BgL_arg3034z00_18954 =
													(((BgL_ev_globalz00_bglt)
														COBJECT(BgL_i1096z00_15507))->BgL_namez00);
												BgL_arg3035z00_18955 =
													MAKE_YOUNG_PAIR(BGl_evmodulezd2namezd2zz__evmodulez00(
														(((BgL_ev_globalz00_bglt)
																COBJECT(BgL_i1096z00_15507))->BgL_modz00)),
													BNIL);
												BgL_arg3033z00_18953 =
													MAKE_YOUNG_PAIR(BgL_arg3034z00_18954,
													BgL_arg3035z00_18955);
											}
											BgL_idz00_18952 =
												MAKE_YOUNG_PAIR(BGl_symbol4728z00zz__evaluate_compz00,
												BgL_arg3033z00_18953);
										}
									else
										{	/* Eval/evaluate_comp.scm 357 */
											BgL_idz00_18952 =
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15507))->
												BgL_namez00);
										}
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15507))->
											BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
										BGl_string4727z00zz__evaluate_compz00, BgL_idz00_18952);
								}
						}
					{	/* Eval/evaluate_comp.scm 361 */
						obj_t BgL_vz00_18956;

						{	/* Eval/evaluate_comp.scm 361 */
							obj_t BgL_evalzd2globalzd2_18957;

							BgL_evalzd2globalzd2_18957 = CELL_REF(BgL_slotz00_15508);
							BgL_vz00_18956 =
								VECTOR_REF(BgL_evalzd2globalzd2_18957, ((long) 2));
						}
						if ((BgL_vz00_18956 == BUNSPEC))
							{	/* Eval/evaluate_comp.scm 363 */
								int BgL_tz00_18958;

								{	/* Eval/evaluate_comp.scm 363 */
									int BgL_res4466z00_18959;

									{	/* Eval/evaluate_comp.scm 363 */
										obj_t BgL_evalzd2globalzd2_18960;

										BgL_evalzd2globalzd2_18960 = CELL_REF(BgL_slotz00_15508);
										BgL_res4466z00_18959 =
											CINT(VECTOR_REF(BgL_evalzd2globalzd2_18960, ((long) 0)));
									}
									BgL_tz00_18958 = BgL_res4466z00_18959;
								}
								{	/* Eval/evaluate_comp.scm 364 */
									bool_t BgL_test5812z00_36142;

									if (((long) (BgL_tz00_18958) == ((long) 3)))
										{	/* Eval/evaluate_comp.scm 364 */
											BgL_test5812z00_36142 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 364 */
											BgL_test5812z00_36142 =
												((long) (BgL_tz00_18958) == ((long) 4));
										}
									if (BgL_test5812z00_36142)
										{	/* Eval/evaluate_comp.scm 365 */
											obj_t BgL_idz00_18961;

											if (BGl_evmodulezf3zf3zz__evmodulez00(
													(((BgL_ev_globalz00_bglt)
															COBJECT(BgL_i1096z00_15507))->BgL_modz00)))
												{	/* Eval/evaluate_comp.scm 366 */
													obj_t BgL_arg3047z00_18962;

													{	/* Eval/evaluate_comp.scm 366 */
														obj_t BgL_arg3050z00_18963;
														obj_t BgL_arg3051z00_18964;

														BgL_arg3050z00_18963 =
															(((BgL_ev_globalz00_bglt)
																COBJECT(BgL_i1096z00_15507))->BgL_namez00);
														BgL_arg3051z00_18964 =
															MAKE_YOUNG_PAIR
															(BGl_evmodulezd2namezd2zz__evmodulez00(((
																		(BgL_ev_globalz00_bglt)
																		COBJECT(BgL_i1096z00_15507))->BgL_modz00)),
															BNIL);
														BgL_arg3047z00_18962 =
															MAKE_YOUNG_PAIR(BgL_arg3050z00_18963,
															BgL_arg3051z00_18964);
													}
													BgL_idz00_18961 =
														MAKE_YOUNG_PAIR
														(BGl_symbol4728z00zz__evaluate_compz00,
														BgL_arg3047z00_18962);
												}
											else
												{	/* Eval/evaluate_comp.scm 365 */
													BgL_idz00_18961 =
														(((BgL_ev_globalz00_bglt)
															COBJECT(BgL_i1096z00_15507))->BgL_namez00);
												}
											return
												BGl_everrorz00zz__everrorz00(
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15507))->
													BgL_locz00), BGl_string4603z00zz__evaluate_compz00,
												BGl_string4730z00zz__evaluate_compz00, BgL_idz00_18961);
										}
									else
										{	/* Eval/evaluate_comp.scm 364 */
											return BgL_vz00_18956;
										}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 362 */
								return BgL_vz00_18956;
							}
					}
				}
			}
		}

	}



/* &comp-ev_setlocal1444 */
	obj_t BGl_z62compzd2ev_setlocal1444zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15511, obj_t BgL_ez00_15512, obj_t BgL_stkz00_15513)
	{
		{	/* Eval/evaluate_comp.scm 321 */
			{	/* Eval/evaluate_comp.scm 323 */
				obj_t BgL_iz00_18966;
				obj_t BgL_ez00_18967;

				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_varz00_bglt BgL_arg2992z00_18968;

					BgL_arg2992z00_18968 =
						(((BgL_ev_setlocalz00_bglt) COBJECT(
								((BgL_ev_setlocalz00_bglt) BgL_ez00_15512)))->BgL_vz00);
					BgL_iz00_18966 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_arg2992z00_18968), BgL_stkz00_15513);
				}
				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_exprz00_bglt BgL_arg2999z00_18969;

					BgL_arg2999z00_18969 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_15512))))->BgL_ez00);
					BgL_ez00_18967 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2999z00_18969,
						BgL_stkz00_15513);
				}
				if (CBOOL(
						(((BgL_ev_varz00_bglt) COBJECT(
									(((BgL_ev_setlocalz00_bglt) COBJECT(
												((BgL_ev_setlocalz00_bglt) BgL_ez00_15512)))->
										BgL_vz00)))->BgL_effz00)))
					{	/* Eval/evaluate_comp.scm 326 */
						obj_t BgL_zc3z04anonymousza32982ze3z87_18970;

						BgL_zc3z04anonymousza32982ze3z87_18970 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32982ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza32982ze3z87_18970,
							(int) (((long) 0)), BgL_iz00_18966);
						PROCEDURE_SET(BgL_zc3z04anonymousza32982ze3z87_18970,
							(int) (((long) 1)), BgL_ez00_18967);
						return BgL_zc3z04anonymousza32982ze3z87_18970;
					}
				else
					{	/* Eval/evaluate_comp.scm 328 */
						obj_t BgL_zc3z04anonymousza32986ze3z87_18971;

						BgL_zc3z04anonymousza32986ze3z87_18971 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32986ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza32986ze3z87_18971,
							(int) (((long) 0)), BgL_iz00_18966);
						PROCEDURE_SET(BgL_zc3z04anonymousza32986ze3z87_18971,
							(int) (((long) 1)), BgL_ez00_18967);
						return BgL_zc3z04anonymousza32986ze3z87_18971;
					}
			}
		}

	}



/* &<@anonymous:2982> */
	obj_t BGl_z62zc3z04anonymousza32982ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15514, obj_t BgL_sz00_15517)
	{
		{	/* Eval/evaluate_comp.scm 326 */
			{	/* Eval/evaluate_comp.scm 326 */
				obj_t BgL_iz00_15515;
				obj_t BgL_ez00_15516;

				BgL_iz00_15515 = PROCEDURE_REF(BgL_envz00_15514, (int) (((long) 0)));
				BgL_ez00_15516 = PROCEDURE_REF(BgL_envz00_15514, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 326 */
					obj_t BgL_bpz00_18972;

					BgL_bpz00_18972 = VECTOR_REF(((obj_t) BgL_sz00_15517), ((long) 0));
					{	/* Eval/evaluate_comp.scm 327 */
						obj_t BgL_arg2983z00_18973;
						obj_t BgL_arg2984z00_18974;

						{	/* Eval/evaluate_comp.scm 327 */
							long BgL_arg2985z00_18975;

							BgL_arg2985z00_18975 =
								((long) CINT(BgL_bpz00_18972) + (long) CINT(BgL_iz00_15515));
							BgL_arg2983z00_18973 =
								VECTOR_REF(((obj_t) BgL_sz00_15517), BgL_arg2985z00_18975);
						}
						BgL_arg2984z00_18974 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_ez00_15516)) (BgL_ez00_15516,
							BgL_sz00_15517, BEOA);
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_xz00_18976;

							{	/* Eval/evaluate_comp.scm 202 */
								int BgL_auxz00_36204;
								obj_t BgL_tmpz00_36202;

								BgL_auxz00_36204 = (int) (((long) 0));
								BgL_tmpz00_36202 = ((obj_t) BgL_arg2983z00_18973);
								BgL_xz00_18976 =
									STRUCT_SET(BgL_tmpz00_36202, BgL_auxz00_36204,
									BgL_arg2984z00_18974);
							}
							return BUNSPEC;
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2986> */
	obj_t BGl_z62zc3z04anonymousza32986ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15518, obj_t BgL_sz00_15521)
	{
		{	/* Eval/evaluate_comp.scm 328 */
			{	/* Eval/evaluate_comp.scm 328 */
				obj_t BgL_iz00_15519;
				obj_t BgL_ez00_15520;

				BgL_iz00_15519 = PROCEDURE_REF(BgL_envz00_15518, (int) (((long) 0)));
				BgL_ez00_15520 = PROCEDURE_REF(BgL_envz00_15518, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 328 */
					obj_t BgL_bpz00_18977;

					BgL_bpz00_18977 = VECTOR_REF(((obj_t) BgL_sz00_15521), ((long) 0));
					{	/* Eval/evaluate_comp.scm 329 */
						long BgL_arg2990z00_18978;
						obj_t BgL_arg2991z00_18979;

						BgL_arg2990z00_18978 =
							((long) CINT(BgL_bpz00_18977) + (long) CINT(BgL_iz00_15519));
						BgL_arg2991z00_18979 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_ez00_15520)) (BgL_ez00_15520,
							BgL_sz00_15521, BEOA);
						return VECTOR_SET(((obj_t) BgL_sz00_15521), BgL_arg2990z00_18978,
							BgL_arg2991z00_18979);
					}
				}
			}
		}

	}



/* &comp-ev_var1442 */
	obj_t BGl_z62compzd2ev_var1442zb0zz__evaluate_compz00(obj_t BgL_envz00_15522,
		obj_t BgL_varz00_15523, obj_t BgL_stkz00_15524)
	{
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_18981;

				BgL_iz00_18981 =
					BGl__indexz00zz__evaluate_compz00(
					((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_15523)), BgL_stkz00_15524);
				{

					if (INTEGERP(BgL_iz00_18981))
						{	/* Eval/evaluate_comp.scm 319 */
							switch ((long) CINT(BgL_iz00_18981))
								{
								case ((long) 0):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15523)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4731z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4732z00zz__evaluate_compz00;
										}
									break;
								case ((long) 1):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15523)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4733z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4734z00zz__evaluate_compz00;
										}
									break;
								case ((long) 2):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15523)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4735z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4736z00zz__evaluate_compz00;
										}
									break;
								case ((long) 3):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15523)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4737z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4738z00zz__evaluate_compz00;
										}
									break;
								default:
								BgL_case_else1091z00_18982:
									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15523)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3z04anonymousza32973ze3z87_18983;

											BgL_zc3z04anonymousza32973ze3z87_18983 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza32973ze3z87_18983,
												(int) (((long) 0)), BgL_iz00_18981);
											return BgL_zc3z04anonymousza32973ze3z87_18983;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3z04anonymousza32976ze3z87_18984;

											BgL_zc3z04anonymousza32976ze3z87_18984 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza32976ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza32976ze3z87_18984,
												(int) (((long) 0)), BgL_iz00_18981);
											return BgL_zc3z04anonymousza32976ze3z87_18984;
										}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 319 */
							goto BgL_case_else1091z00_18982;
						}
				}
			}
		}

	}



/* &<@anonymous:2964> */
	obj_t BGl_z62zc3z04anonymousza32964ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15525, obj_t BgL_sz00_15526)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18985;

				BgL_bpz00_18985 = VECTOR_REF(((obj_t) BgL_sz00_15526), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2968z00_18986;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2969z00_18987;

						BgL_arg2969z00_18987 = ((long) CINT(BgL_bpz00_18985) + ((long) 3));
						BgL_arg2968z00_18986 =
							VECTOR_REF(((obj_t) BgL_sz00_15526), BgL_arg2969z00_18987);
					}
					return STRUCT_REF(((obj_t) BgL_arg2968z00_18986), (int) (((long) 0)));
		}}}

	}



/* &<@anonymous:2970> */
	obj_t BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15527, obj_t BgL_sz00_15528)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18988;

				BgL_bpz00_18988 = VECTOR_REF(((obj_t) BgL_sz00_15528), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2971z00_18989;

					BgL_arg2971z00_18989 = ((long) CINT(BgL_bpz00_18988) + ((long) 3));
					return VECTOR_REF(((obj_t) BgL_sz00_15528), BgL_arg2971z00_18989);
				}
			}
		}

	}



/* &<@anonymous:2958> */
	obj_t BGl_z62zc3z04anonymousza32958ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15529, obj_t BgL_sz00_15530)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18990;

				BgL_bpz00_18990 = VECTOR_REF(((obj_t) BgL_sz00_15530), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2959z00_18991;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2960z00_18992;

						BgL_arg2960z00_18992 = ((long) CINT(BgL_bpz00_18990) + ((long) 2));
						BgL_arg2959z00_18991 =
							VECTOR_REF(((obj_t) BgL_sz00_15530), BgL_arg2960z00_18992);
					}
					return STRUCT_REF(((obj_t) BgL_arg2959z00_18991), (int) (((long) 0)));
		}}}

	}



/* &<@anonymous:2961> */
	obj_t BGl_z62zc3z04anonymousza32961ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15531, obj_t BgL_sz00_15532)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18993;

				BgL_bpz00_18993 = VECTOR_REF(((obj_t) BgL_sz00_15532), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2962z00_18994;

					BgL_arg2962z00_18994 = ((long) CINT(BgL_bpz00_18993) + ((long) 2));
					return VECTOR_REF(((obj_t) BgL_sz00_15532), BgL_arg2962z00_18994);
				}
			}
		}

	}



/* &<@anonymous:2950> */
	obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15533, obj_t BgL_sz00_15534)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18995;

				BgL_bpz00_18995 = VECTOR_REF(((obj_t) BgL_sz00_15534), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2951z00_18996;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2952z00_18997;

						BgL_arg2952z00_18997 = ((long) CINT(BgL_bpz00_18995) + ((long) 1));
						BgL_arg2951z00_18996 =
							VECTOR_REF(((obj_t) BgL_sz00_15534), BgL_arg2952z00_18997);
					}
					return STRUCT_REF(((obj_t) BgL_arg2951z00_18996), (int) (((long) 0)));
		}}}

	}



/* &<@anonymous:2953> */
	obj_t BGl_z62zc3z04anonymousza32953ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15535, obj_t BgL_sz00_15536)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18998;

				BgL_bpz00_18998 = VECTOR_REF(((obj_t) BgL_sz00_15536), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2956z00_18999;

					BgL_arg2956z00_18999 = ((long) CINT(BgL_bpz00_18998) + ((long) 1));
					return VECTOR_REF(((obj_t) BgL_sz00_15536), BgL_arg2956z00_18999);
				}
			}
		}

	}



/* &<@anonymous:2942> */
	obj_t BGl_z62zc3z04anonymousza32942ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15537, obj_t BgL_sz00_15538)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_19000;

				BgL_bpz00_19000 = VECTOR_REF(((obj_t) BgL_sz00_15538), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg2945z00_19001;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2946z00_19002;

						BgL_arg2946z00_19002 = ((long) CINT(BgL_bpz00_19000) + ((long) 0));
						BgL_arg2945z00_19001 =
							VECTOR_REF(((obj_t) BgL_sz00_15538), BgL_arg2946z00_19002);
					}
					return STRUCT_REF(((obj_t) BgL_arg2945z00_19001), (int) (((long) 0)));
		}}}

	}



/* &<@anonymous:2947> */
	obj_t BGl_z62zc3z04anonymousza32947ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15539, obj_t BgL_sz00_15540)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_19003;

				BgL_bpz00_19003 = VECTOR_REF(((obj_t) BgL_sz00_15540), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg2948z00_19004;

					BgL_arg2948z00_19004 = ((long) CINT(BgL_bpz00_19003) + ((long) 0));
					return VECTOR_REF(((obj_t) BgL_sz00_15540), BgL_arg2948z00_19004);
				}
			}
		}

	}



/* &<@anonymous:2973> */
	obj_t BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15541, obj_t BgL_sz00_15543)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15542;

				BgL_iz00_15542 = PROCEDURE_REF(BgL_envz00_15541, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_19005;

					BgL_bpz00_19005 = VECTOR_REF(((obj_t) BgL_sz00_15543), ((long) 0));
					{	/* Eval/evaluate_comp.scm 319 */
						obj_t BgL_arg2974z00_19006;

						{	/* Eval/evaluate_comp.scm 319 */
							long BgL_arg2975z00_19007;

							BgL_arg2975z00_19007 =
								((long) CINT(BgL_bpz00_19005) + (long) CINT(BgL_iz00_15542));
							BgL_arg2974z00_19006 =
								VECTOR_REF(((obj_t) BgL_sz00_15543), BgL_arg2975z00_19007);
						}
						return
							STRUCT_REF(((obj_t) BgL_arg2974z00_19006), (int) (((long) 0)));
		}}}}

	}



/* &<@anonymous:2976> */
	obj_t BGl_z62zc3z04anonymousza32976ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15544, obj_t BgL_sz00_15546)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15545;

				BgL_iz00_15545 = PROCEDURE_REF(BgL_envz00_15544, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_19008;

					BgL_bpz00_19008 = VECTOR_REF(((obj_t) BgL_sz00_15546), ((long) 0));
					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg2980z00_19009;

						BgL_arg2980z00_19009 =
							((long) CINT(BgL_bpz00_19008) + (long) CINT(BgL_iz00_15545));
						return VECTOR_REF(((obj_t) BgL_sz00_15546), BgL_arg2980z00_19009);
					}
				}
			}
		}

	}



/* &comp-ev_trap1440 */
	obj_t BGl_z62compzd2ev_trap1440zb0zz__evaluate_compz00(obj_t BgL_envz00_15547,
		obj_t BgL_ez00_15548, obj_t BgL_stkz00_15549)
	{
		{	/* Eval/evaluate_comp.scm 289 */
			{	/* Eval/evaluate_comp.scm 291 */
				obj_t BgL_ez00_19011;

				{	/* Eval/evaluate_comp.scm 291 */
					BgL_ev_exprz00_bglt BgL_arg2940z00_19012;

					BgL_arg2940z00_19012 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_trapz00_bglt) BgL_ez00_15548))))->BgL_ez00);
					BgL_ez00_19011 =
						BGl_compz00zz__evaluate_compz00(BgL_arg2940z00_19012,
						BgL_stkz00_15549);
				}
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_zc3z04anonymousza32934ze3z87_19013;

					BgL_zc3z04anonymousza32934ze3z87_19013 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32934ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32934ze3z87_19013,
						(int) (((long) 0)), BgL_ez00_19011);
					return BgL_zc3z04anonymousza32934ze3z87_19013;
				}
			}
		}

	}



/* &<@anonymous:2934> */
	obj_t BGl_z62zc3z04anonymousza32934ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15550, obj_t BgL_sz00_15552)
	{
		{	/* Eval/evaluate_comp.scm 292 */
			{	/* Eval/evaluate_comp.scm 292 */
				obj_t BgL_ez00_15551;

				BgL_ez00_15551 = PROCEDURE_REF(BgL_envz00_15550, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_bpz00_19014;

					BgL_bpz00_19014 = VECTOR_REF(((obj_t) BgL_sz00_15552), ((long) 0));
					{	/* Eval/evaluate_comp.scm 293 */
						obj_t BgL_cmdz00_19015;

						BgL_cmdz00_19015 =
							((obj_t(*)(obj_t, obj_t,
									obj_t)) PROCEDURE_ENTRY(BgL_ez00_15551)) (BgL_ez00_15551,
							BgL_sz00_15552, BEOA);
						if ((BgL_cmdz00_19015 == BGl_symbol4739z00zz__evaluate_compz00))
							{	/* Eval/evaluate_comp.scm 294 */
								return BgL_bpz00_19014;
							}
						else
							{	/* Eval/evaluate_comp.scm 294 */
								if ((BgL_cmdz00_19015 == BGl_symbol4741z00zz__evaluate_compz00))
									{	/* Eval/evaluate_comp.scm 294 */
										return BGl_reset_profilez00zz__evaluate_compz00();
									}
								else
									{	/* Eval/evaluate_comp.scm 294 */
										if (
											(BgL_cmdz00_19015 ==
												BGl_symbol4743z00zz__evaluate_compz00))
											{	/* Eval/evaluate_comp.scm 294 */
												return BGl_get_profilez00zz__evaluate_compz00();
											}
										else
											{	/* Eval/evaluate_comp.scm 294 */
												if (
													(BgL_cmdz00_19015 ==
														BGl_symbol4745z00zz__evaluate_compz00))
													{	/* Eval/evaluate_comp.scm 302 */
														obj_t BgL_arg2939z00_19016;

														BgL_arg2939z00_19016 =
															BGl_findzd2statezd2zz__evaluate_compz00();
														return
															VECTOR_SET(
															((obj_t) BgL_arg2939z00_19016), ((long) 0),
															BINT(((long) 2)));
													}
												else
													{	/* Eval/evaluate_comp.scm 294 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string4603z00zz__evaluate_compz00,
															BGl_string4747z00zz__evaluate_compz00,
															BgL_cmdz00_19015);
													}
											}
									}
							}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(void)
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 467924964),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 481261960),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					242777169), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 43892022),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 207454816),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 528345299),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 505897955),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string4748z00zz__evaluate_compz00));
		}

	}

#ifdef __cplusplus
}
#endif
