/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1687z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1849z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2642z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2563z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2483z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2649z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2570z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2490z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2655z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2574z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2495z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2578z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2499z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letza2za2_bglt BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2661z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2666z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2585z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31589ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2672z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2676z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2595z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31865ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2685z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_symbol2687z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2692z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2697z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31786ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void);
	static BgL_ev_exprz00_bglt BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31895ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32044ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void);
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda2003z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2012z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31522ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31506ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31711ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2049z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2050z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31461ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2057z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31640ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31624ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2065z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_littz00_bglt BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2072z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2073z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_ifz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31651ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31724ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1607z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1608z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2405z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1453z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2410z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2414z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_hookz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1541z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31556ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2420z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2504z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2425z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2429z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_listz00_bglt BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1472z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31476ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1636z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1638z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2515z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2434z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2438z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31744ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1561z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2520z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2603z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2524z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2608z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2446z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2528z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1734z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2451z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2533z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2617z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2455z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1822z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31576ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1584z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2702z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2622z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2460z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2542z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2546z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2465z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2386z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2388z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol2710z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2712z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2632z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2470z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2553z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2392z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2474z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2394z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2638z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2559z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2478z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2399z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31764ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1681z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31667ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2400z00zz__evaluate_typesz00,
		BgL_bgl_string2400za700za7za7_2714za7, "eff", 3);
	      DEFINE_STRING(BGl_string2402z00zz__evaluate_typesz00,
		BgL_bgl_string2402za700za7za7_2715za7, "obj", 3);
	      DEFINE_STRING(BGl_string2406z00zz__evaluate_typesz00,
		BgL_bgl_string2406za700za7za7_2716za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1466za7622717z00,
		BGl_z62lambda1466z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1465za7622718z00,
		BGl_z62lambda1465z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2411z00zz__evaluate_typesz00,
		BgL_bgl_string2411za700za7za7_2719za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2407z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2720za7,
		BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1445za7622721z00,
		BGl_z62lambda1445z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2415z00zz__evaluate_typesz00,
		BgL_bgl_string2415za700za7za7_2722za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1443za7622723z00,
		BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2412z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1482za7622724z00,
		BGl_z62lambda1482z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2500z00zz__evaluate_typesz00,
		BgL_bgl_string2500za700za7za7_2725za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1481za7622726z00,
		BGl_z62lambda1481z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2421z00zz__evaluate_typesz00,
		BgL_bgl_string2421za700za7za7_2727za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1489za7622728z00,
		BGl_z62lambda1489z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1488za7622729z00,
		BGl_z62lambda1488z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2505z00zz__evaluate_typesz00,
		BgL_bgl_string2505za700za7za7_2730za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1494za7622731z00,
		BGl_z62lambda1494z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1493za7622732z00,
		BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2426z00zz__evaluate_typesz00,
		BgL_bgl_string2426za700za7za7_2733za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2734za7,
		BGl_z62zc3z04anonymousza31651ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1649za7622735z00,
		BGl_z62lambda1649z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1647za7622736z00,
		BGl_z62lambda1647z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2737za7,
		BGl_z62zc3z04anonymousza31476ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1474za7622738z00,
		BGl_z62lambda1474z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2430z00zz__evaluate_typesz00,
		BgL_bgl_string2430za700za7za7_2739za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1472za7622740z00,
		BGl_z62lambda1472z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1673za7622741z00,
		BGl_z62lambda1673z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1672za7622742z00,
		BGl_z62lambda1672z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1682za7622743z00,
		BGl_z62lambda1682z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1512za7622744z00,
		BGl_z62lambda1512z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1681za7622745z00,
		BGl_z62lambda1681z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1511za7622746z00,
		BGl_z62lambda1511z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2516z00zz__evaluate_typesz00,
		BgL_bgl_string2516za700za7za7_2747za7, "ev_setglobal", 12);
	      DEFINE_STRING(BGl_string2435z00zz__evaluate_typesz00,
		BgL_bgl_string2435za700za7za7_2748za7, "ev_litt", 7);
	      DEFINE_STRING(BGl_string2439z00zz__evaluate_typesz00,
		BgL_bgl_string2439za700za7za7_2749za7, "p", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1687za7622750z00,
		BGl_z62lambda1687z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1686za7622751z00,
		BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2752za7,
		BGl_z62zc3z04anonymousza31667ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2753za7,
		BGl_z62zc3z04anonymousza31506ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1664za7622754z00,
		BGl_z62lambda1664z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1504za7622755z00,
		BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1662za7622756z00,
		BGl_z62lambda1662z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1502za7622757z00,
		BGl_z62lambda1502z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2521z00zz__evaluate_typesz00,
		BgL_bgl_string2521za700za7za7_2758za7, "ev_defglobal", 12);
	      DEFINE_STRING(BGl_string2604z00zz__evaluate_typesz00,
		BgL_bgl_string2604za700za7za7_2759za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2760za7,
		BGl_z62zc3z04anonymousza31711ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1528za7622761z00,
		BGl_z62lambda1528z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1709za7622762z00,
		BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2443z00zz__evaluate_typesz00,
		BgL_bgl_string2443za700za7za7_2763za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1527za7622764z00,
		BGl_z62lambda1527z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2525z00zz__evaluate_typesz00,
		BgL_bgl_string2525za700za7za7_2765za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1705za7622766z00,
		BGl_z62lambda1705z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2609z00zz__evaluate_typesz00,
		BgL_bgl_string2609za700za7za7_2767za7, "ev_letrec", 9);
	      DEFINE_STRING(BGl_string2447z00zz__evaluate_typesz00,
		BgL_bgl_string2447za700za7za7_2768za7, "e", 1);
	      DEFINE_STRING(BGl_string2529z00zz__evaluate_typesz00,
		BgL_bgl_string2529za700za7za7_2769za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2770za7,
		BGl_z62zc3z04anonymousza31865ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1862za7622771z00,
		BGl_z62lambda1862z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1860za7622772z00,
		BGl_z62lambda1860z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1533za7622773z00,
		BGl_z62lambda1533z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1729za7622774z00,
		BGl_z62lambda1729z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1532za7622775z00,
		BGl_z62lambda1532z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1728za7622776z00,
		BGl_z62lambda1728z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2605z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2777za7,
		BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1883za7622778z00,
		BGl_z62lambda1883z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1541za7622779z00,
		BGl_z62lambda1541z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1880za7622780z00,
		BGl_z62lambda1880z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1734za7622781z00,
		BGl_z62lambda1734z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1540za7622782z00,
		BGl_z62lambda1540z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1733za7622783z00,
		BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2452z00zz__evaluate_typesz00,
		BgL_bgl_string2452za700za7za7_2784za7, "ev_if", 5);
	      DEFINE_STRING(BGl_string2534z00zz__evaluate_typesz00,
		BgL_bgl_string2534za700za7za7_2785za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2786za7,
		BGl_z62zc3z04anonymousza31522ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1520za7622787z00,
		BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2618z00zz__evaluate_typesz00,
		BgL_bgl_string2618za700za7za7_2788za7, "env", 3);
	      DEFINE_STRING(BGl_string2456z00zz__evaluate_typesz00,
		BgL_bgl_string2456za700za7za7_2789za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1902za7622790z00,
		BGl_z62lambda1902z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1901za7622791z00,
		BGl_z62lambda1901z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2792za7,
		BGl_z62zc3z04anonymousza31724ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1908za7622793z00,
		BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1722za7622794z00,
		BGl_z62lambda1722z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1518za7622795z00,
		BGl_z62lambda1518z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1907za7622796z00,
		BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1720za7622797z00,
		BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2798za7,
		BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1917za7622799z00,
		BGl_z62lambda1917z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1561za7622800z00,
		BGl_z62lambda1561z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2703z00zz__evaluate_typesz00,
		BgL_bgl_string2703za700za7za7_2801za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1916za7622802z00,
		BGl_z62lambda1916z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1749za7622803z00,
		BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1560za7622804z00,
		BGl_z62lambda1560z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2623z00zz__evaluate_typesz00,
		BgL_bgl_string2623za700za7za7_2805za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1748za7622806z00,
		BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2461z00zz__evaluate_typesz00,
		BgL_bgl_string2461za700za7za7_2807za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2543z00zz__evaluate_typesz00,
		BgL_bgl_string2543za700za7za7_2808za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1754za7622809z00,
		BGl_z62lambda1754z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2619z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2810za7,
		BGl_z62zc3z04anonymousza31925ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1753za7622811z00,
		BGl_z62lambda1753z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2812za7,
		BGl_z62zc3z04anonymousza31556ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2813za7,
		BGl_z62zc3z04anonymousza31744ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1554za7622814z00,
		BGl_z62lambda1554z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1550za7622815z00,
		BGl_z62lambda1550z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2547z00zz__evaluate_typesz00,
		BgL_bgl_string2547za700za7za7_2816za7, "handler", 7);
	      DEFINE_STRING(BGl_string2466z00zz__evaluate_typesz00,
		BgL_bgl_string2466za700za7za7_2817za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string2387z00zz__evaluate_typesz00,
		BgL_bgl_string2387za700za7za7_2818za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2389z00zz__evaluate_typesz00,
		BgL_bgl_string2389za700za7za7_2819za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2700z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2065za7622820z00,
		BGl_z62lambda2065z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2701z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2064za7622821z00,
		BGl_z62lambda2064z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1924za7622822z00,
		BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1923za7622823z00,
		BGl_z62lambda1923z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1742za7622824z00,
		BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1740za7622825z00,
		BGl_z62lambda1740z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2704z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2826za7,
		BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2711z00zz__evaluate_typesz00,
		BgL_bgl_string2711za700za7za7_2827za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2705z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2073za7622828z00,
		BGl_z62lambda2073z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2624z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1930za7622829z00,
		BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2830za7,
		BGl_z62zc3z04anonymousza31576ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2072za7622831z00,
		BGl_z62lambda2072z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2625z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1929za7622832z00,
		BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1771za7622833z00,
		BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1573za7622834z00,
		BGl_z62lambda1573z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2713z00zz__evaluate_typesz00,
		BgL_bgl_string2713za700za7za7_2835za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2836za7,
		BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2837za7,
		BGl_z62zc3z04anonymousza31937ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1770za7622838z00,
		BGl_z62lambda1770z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1571za7622839z00,
		BGl_z62lambda1571z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2840za7,
		BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2005za7622841z00,
		BGl_z62lambda2005z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2633z00zz__evaluate_typesz00,
		BgL_bgl_string2633za700za7za7_2842za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1936za7622843z00,
		BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2471z00zz__evaluate_typesz00,
		BgL_bgl_string2471za700za7za7_2844za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1435za7622845z00,
		BGl_z62lambda1435z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2709z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2003za7622846z00,
		BGl_z62lambda2003z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1935za7622847z00,
		BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1433za7622848z00,
		BGl_z62lambda1433z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2849za7,
		BGl_z62zc3z04anonymousza31895ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2554z00zz__evaluate_typesz00,
		BgL_bgl_string2554za700za7za7_2850za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1776za7622851z00,
		BGl_z62lambda1776z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2467z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2852za7,
		BGl_z62zc3z04anonymousza31589ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1775za7622853z00,
		BGl_z62lambda1775z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1586za7622854z00,
		BGl_z62lambda1586z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2393z00zz__evaluate_typesz00,
		BgL_bgl_string2393za700za7za7_2855za7, "name", 4);
	      DEFINE_STRING(BGl_string2475z00zz__evaluate_typesz00,
		BgL_bgl_string2475za700za7za7_2856za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1584za7622857z00,
		BGl_z62lambda1584z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2395z00zz__evaluate_typesz00,
		BgL_bgl_string2395za700za7za7_2858za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2639z00zz__evaluate_typesz00,
		BgL_bgl_string2639za700za7za7_2859za7, "label", 5);
	      DEFINE_STRING(BGl_string2479z00zz__evaluate_typesz00,
		BgL_bgl_string2479za700za7za7_2860za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1893za7622861z00,
		BGl_z62lambda1893z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1891za7622862z00,
		BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2863za7,
		BGl_z62zc3z04anonymousza31764ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1762za7622864z00,
		BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1760za7622865z00,
		BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1454za7622866z00,
		BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622867z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1608za7622868z00,
		BGl_z62lambda1608z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1453za7622869z00,
		BGl_z62lambda1453z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1951za7622870z00,
		BGl_z62lambda1951z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2560z00zz__evaluate_typesz00,
		BgL_bgl_string2560za700za7za7_2871za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1607za7622872z00,
		BGl_z62lambda1607z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1957za7622873z00,
		BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1791za7622874z00,
		BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2643z00zz__evaluate_typesz00,
		BgL_bgl_string2643za700za7za7_2875za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1956za7622876z00,
		BGl_z62lambda1956z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1790za7622877z00,
		BGl_z62lambda1790z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1797za7622878z00,
		BGl_z62lambda1797z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1613za7622879z00,
		BGl_z62lambda1613z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2564z00zz__evaluate_typesz00,
		BgL_bgl_string2564za700za7za7_2880za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1796za7622881z00,
		BGl_z62lambda1796z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1612za7622882z00,
		BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2883za7,
		BGl_z62zc3z04anonymousza31461ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2484z00zz__evaluate_typesz00,
		BgL_bgl_string2484za700za7za7_2884za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1460za7622885z00,
		BGl_z62lambda1460z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2398z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1459za7622886z00,
		BGl_z62lambda1459z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1962za7622887z00,
		BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1961za7622888z00,
		BGl_z62lambda1961z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2561z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1802za7622889z00,
		BGl_z62lambda1802z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2890za7,
		BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1801za7622891z00,
		BGl_z62lambda1801z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1601za7622892z00,
		BGl_z62lambda1601z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2650z00zz__evaluate_typesz00,
		BgL_bgl_string2650za700za7za7_2893za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1967za7622894z00,
		BGl_z62lambda1967z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1599za7622895z00,
		BGl_z62lambda1599z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1966za7622896z00,
		BGl_z62lambda1966z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2897za7,
		BGl_z62zc3z04anonymousza31947ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2571z00zz__evaluate_typesz00,
		BgL_bgl_string2571za700za7za7_2898za7, "ev_synchronize", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1808za7622899z00,
		BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1945za7622900z00,
		BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1807za7622901z00,
		BGl_z62lambda1807z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2491z00zz__evaluate_typesz00,
		BgL_bgl_string2491za700za7za7_2902za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1629za7622903z00,
		BGl_z62lambda1629z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1943za7622904z00,
		BGl_z62lambda1943z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2905za7,
		BGl_z62zc3z04anonymousza31786ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1628za7622906z00,
		BGl_z62lambda1628z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1784za7622907z00,
		BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2908za7,
		BGl_z62zc3z04anonymousza31624ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2656z00zz__evaluate_typesz00,
		BgL_bgl_string2656za700za7za7_2909za7, "fun", 3);
	      DEFINE_STRING(BGl_string2575z00zz__evaluate_typesz00,
		BgL_bgl_string2575za700za7za7_2910za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1782za7622911z00,
		BGl_z62lambda1782z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1622za7622912z00,
		BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1620za7622913z00,
		BGl_z62lambda1620z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2496z00zz__evaluate_typesz00,
		BgL_bgl_string2496za700za7za7_2914za7, "ev_trap", 7);
	      DEFINE_STRING(BGl_string2579z00zz__evaluate_typesz00,
		BgL_bgl_string2579za700za7za7_2915za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2651z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1982za7622916z00,
		BGl_z62lambda1982z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1981za7622917z00,
		BGl_z62lambda1981z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1987za7622918z00,
		BGl_z62lambda1987z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1823za7622919z00,
		BGl_z62lambda1823z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1986za7622920z00,
		BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1822za7622921z00,
		BGl_z62lambda1822z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2922za7,
		BGl_z62zc3z04anonymousza31640ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1638za7622923z00,
		BGl_z62lambda1638z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2662z00zz__evaluate_typesz00,
		BgL_bgl_string2662za700za7za7_2924za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1636za7622925z00,
		BGl_z62lambda1636z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2657z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1992za7622926z00,
		BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1828za7622927z00,
		BGl_z62lambda1828z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1991za7622928z00,
		BGl_z62lambda1991z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1827za7622929z00,
		BGl_z62lambda1827z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1997za7622930z00,
		BGl_z62lambda1997z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1656za7622931z00,
		BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1655za7622932z00,
		BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2667z00zz__evaluate_typesz00,
		BgL_bgl_string2667za700za7za7_2933za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string2586z00zz__evaluate_typesz00,
		BgL_bgl_string2586za700za7za7_2934za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1996za7622935z00,
		BGl_z62lambda1996z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2580z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1833za7622936z00,
		BGl_z62lambda1833z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1832za7622937z00,
		BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2663z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2938za7,
		BGl_z62zc3z04anonymousza31977ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2939za7,
		BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1975za7622940z00,
		BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1816za7622941z00,
		BGl_z62lambda1816z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2665z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1973za7622942z00,
		BGl_z62lambda1973z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1814za7622943z00,
		BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2591z00zz__evaluate_typesz00,
		BgL_bgl_string2591za700za7za7_2944za7, "boxes", 5);
	      DEFINE_STRING(BGl_string2673z00zz__evaluate_typesz00,
		BgL_bgl_string2673za700za7za7_2945za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2013za7622946z00,
		BGl_z62lambda2013z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2947za7,
		BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2012za7622948z00,
		BGl_z62lambda2012z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1849za7622949z00,
		BGl_z62lambda1849z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1848za7622950z00,
		BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2677z00zz__evaluate_typesz00,
		BgL_bgl_string2677za700za7za7_2951za7, "arity", 5);
	      DEFINE_STRING(BGl_string2596z00zz__evaluate_typesz00,
		BgL_bgl_string2596za700za7za7_2952za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2019za7622953z00,
		BGl_z62lambda2019z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2671z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2018za7622954z00,
		BGl_z62lambda2018z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2955za7,
		BGl_z62zc3z04anonymousza31843ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2024za7622956z00,
		BGl_z62lambda2024z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1841za7622957z00,
		BGl_z62lambda1841z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2023za7622958z00,
		BGl_z62lambda2023z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1839za7622959z00,
		BGl_z62lambda1839z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2030za7622960z00,
		BGl_z62lambda2030z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2597z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2961za7,
		BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2029za7622962z00,
		BGl_z62lambda2029z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1872za7622963z00,
		BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2686z00zz__evaluate_typesz00,
		BgL_bgl_string2686za700za7za7_2964za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1871za7622965z00,
		BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2688z00zz__evaluate_typesz00,
		BgL_bgl_string2688za700za7za7_2966za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2680z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2036za7622967z00,
		BGl_z62lambda2036z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2035za7622968z00,
		BGl_z62lambda2035z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2682z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2969za7,
		BGl_z62zc3z04anonymousza32044ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2683z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2043za7622970z00,
		BGl_z62lambda2043z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2684z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2042za7622971z00,
		BGl_z62lambda2042z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2693z00zz__evaluate_typesz00,
		BgL_bgl_string2693za700za7za7_2972za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2689z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2973za7,
		BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2698z00zz__evaluate_typesz00,
		BgL_bgl_string2698za700za7za7_2974za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2050za7622975z00,
		BGl_z62lambda2050z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2049za7622976z00,
		BGl_z62lambda2049z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2694z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2977za7,
		BGl_z62zc3z04anonymousza32059ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2695z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2058za7622978z00,
		BGl_z62lambda2058z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2057za7622979z00,
		BGl_z62lambda2057z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2699z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2980za7,
		BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2642z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2563z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2483z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2649z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_defglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2570z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2490z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2655z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2574z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2495z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2578z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2499z00zz__evaluate_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2661z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2666z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2585z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2590z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2672z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2676z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2595z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letrecz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2685z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2687z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2692z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2697z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_prog2z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letza2za2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_labelsz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_absz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_trapz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_ifz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_hookz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_gotoz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_globalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_binderz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_listz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_littz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_orz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_varz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_andz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2401z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2405z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2410z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2414z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_exprz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_appz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2420z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2504z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2425z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2429z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2515z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2434z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2438z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_synchroniza7eza7zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2520z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2603z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2442z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2524z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2608z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2446z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2528z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2451z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2533z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2617z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2455z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2702z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2622z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2460z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2542z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2546z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2465z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2386z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2388z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setlocalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2710z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2712z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2632z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2470z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2553z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2392z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2474z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2394z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2638z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2559z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2478z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2399z00zz__evaluate_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_4332, char *BgL_fromz00_4333)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BGl_toplevelzd2initzd2zz__evaluate_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2386z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2387z00zz__evaluate_typesz00);
			BGl_symbol2388z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2389z00zz__evaluate_typesz00);
			BGl_symbol2392z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2393z00zz__evaluate_typesz00);
			BGl_symbol2394z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2395z00zz__evaluate_typesz00);
			BGl_symbol2399z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2400z00zz__evaluate_typesz00);
			BGl_symbol2401z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00);
			BGl_symbol2405z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2406z00zz__evaluate_typesz00);
			BGl_symbol2410z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2411z00zz__evaluate_typesz00);
			BGl_symbol2414z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2415z00zz__evaluate_typesz00);
			BGl_symbol2420z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2421z00zz__evaluate_typesz00);
			BGl_symbol2425z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2426z00zz__evaluate_typesz00);
			BGl_symbol2429z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2430z00zz__evaluate_typesz00);
			BGl_symbol2434z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2435z00zz__evaluate_typesz00);
			BGl_symbol2438z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2439z00zz__evaluate_typesz00);
			BGl_symbol2442z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00);
			BGl_symbol2446z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2447z00zz__evaluate_typesz00);
			BGl_symbol2451z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2452z00zz__evaluate_typesz00);
			BGl_symbol2455z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2456z00zz__evaluate_typesz00);
			BGl_symbol2460z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2461z00zz__evaluate_typesz00);
			BGl_symbol2465z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2466z00zz__evaluate_typesz00);
			BGl_symbol2470z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2471z00zz__evaluate_typesz00);
			BGl_symbol2474z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2475z00zz__evaluate_typesz00);
			BGl_symbol2478z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2479z00zz__evaluate_typesz00);
			BGl_symbol2483z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2484z00zz__evaluate_typesz00);
			BGl_symbol2490z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2491z00zz__evaluate_typesz00);
			BGl_symbol2495z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2496z00zz__evaluate_typesz00);
			BGl_symbol2499z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2500z00zz__evaluate_typesz00);
			BGl_symbol2504z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2505z00zz__evaluate_typesz00);
			BGl_symbol2515z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2516z00zz__evaluate_typesz00);
			BGl_symbol2520z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2521z00zz__evaluate_typesz00);
			BGl_symbol2524z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2525z00zz__evaluate_typesz00);
			BGl_symbol2528z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2529z00zz__evaluate_typesz00);
			BGl_symbol2533z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2534z00zz__evaluate_typesz00);
			BGl_symbol2542z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2543z00zz__evaluate_typesz00);
			BGl_symbol2546z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2547z00zz__evaluate_typesz00);
			BGl_symbol2553z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2554z00zz__evaluate_typesz00);
			BGl_symbol2559z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2560z00zz__evaluate_typesz00);
			BGl_symbol2563z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2564z00zz__evaluate_typesz00);
			BGl_symbol2570z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2571z00zz__evaluate_typesz00);
			BGl_symbol2574z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2575z00zz__evaluate_typesz00);
			BGl_symbol2578z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2579z00zz__evaluate_typesz00);
			BGl_symbol2585z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2586z00zz__evaluate_typesz00);
			BGl_symbol2590z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00);
			BGl_symbol2595z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2596z00zz__evaluate_typesz00);
			BGl_symbol2603z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2604z00zz__evaluate_typesz00);
			BGl_symbol2608z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2609z00zz__evaluate_typesz00);
			BGl_symbol2617z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2618z00zz__evaluate_typesz00);
			BGl_symbol2622z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2623z00zz__evaluate_typesz00);
			BGl_symbol2632z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2633z00zz__evaluate_typesz00);
			BGl_symbol2638z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2639z00zz__evaluate_typesz00);
			BGl_symbol2642z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2643z00zz__evaluate_typesz00);
			BGl_symbol2649z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2650z00zz__evaluate_typesz00);
			BGl_symbol2655z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2656z00zz__evaluate_typesz00);
			BGl_symbol2661z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2662z00zz__evaluate_typesz00);
			BGl_symbol2666z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2667z00zz__evaluate_typesz00);
			BGl_symbol2672z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2673z00zz__evaluate_typesz00);
			BGl_symbol2676z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2677z00zz__evaluate_typesz00);
			BGl_symbol2685z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2686z00zz__evaluate_typesz00);
			BGl_symbol2687z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2688z00zz__evaluate_typesz00);
			BGl_symbol2692z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2693z00zz__evaluate_typesz00);
			BGl_symbol2697z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2698z00zz__evaluate_typesz00);
			BGl_symbol2702z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2703z00zz__evaluate_typesz00);
			BGl_symbol2710z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2711z00zz__evaluate_typesz00);
			return (BGl_symbol2712z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2713z00zz__evaluate_typesz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1431z00_1112;
				obj_t BgL_arg1432z00_1113;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1295z00_1123;

					BgL_v1295z00_1123 = create_vector(((long) 0));
					BgL_arg1431z00_1112 = BgL_v1295z00_1123;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1296z00_1124;

					BgL_v1296z00_1124 = create_vector(((long) 0));
					BgL_arg1432z00_1113 = BgL_v1296z00_1124;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2386z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2385z00zz__evaluate_typesz00,
					BGl_proc2384z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2383z00zz__evaluate_typesz00, BFALSE, BgL_arg1431z00_1112,
					BgL_arg1432z00_1113);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1441z00_1131;
				obj_t BgL_arg1442z00_1132;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1297z00_1145;

					BgL_v1297z00_1145 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1297z00_1145, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2391z00zz__evaluate_typesz00,
							BGl_proc2390z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2394z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1297z00_1145, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2399z00zz__evaluate_typesz00,
							BGl_proc2398z00zz__evaluate_typesz00,
							BGl_proc2397z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2396z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1297z00_1145, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2405z00zz__evaluate_typesz00,
							BGl_proc2404z00zz__evaluate_typesz00,
							BGl_proc2403z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1441z00_1131 = BgL_v1297z00_1145;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1298z00_1179;

					BgL_v1298z00_1179 = create_vector(((long) 0));
					BgL_arg1442z00_1132 = BgL_v1298z00_1179;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2410z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7285),
					BGl_proc2409z00zz__evaluate_typesz00,
					BGl_proc2408z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2407z00zz__evaluate_typesz00, BFALSE, BgL_arg1441z00_1131,
					BgL_arg1442z00_1132);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1470z00_1186;
				obj_t BgL_arg1471z00_1187;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1299z00_1200;

					BgL_v1299z00_1200 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1299z00_1200, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2414z00zz__evaluate_typesz00,
							BGl_proc2413z00zz__evaluate_typesz00,
							BGl_proc2412z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1299z00_1200, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2417z00zz__evaluate_typesz00,
							BGl_proc2416z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2394z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1299z00_1200, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2420z00zz__evaluate_typesz00,
							BGl_proc2419z00zz__evaluate_typesz00,
							BGl_proc2418z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1470z00_1186 = BgL_v1299z00_1200;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1300z00_1231;

					BgL_v1300z00_1231 = create_vector(((long) 0));
					BgL_arg1471z00_1187 = BgL_v1300z00_1231;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2425z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2424z00zz__evaluate_typesz00,
					BGl_proc2423z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2422z00zz__evaluate_typesz00, BFALSE, BgL_arg1470z00_1186,
					BgL_arg1471z00_1187);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1500z00_1238;
				obj_t BgL_arg1501z00_1239;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1301z00_1250;

					BgL_v1301z00_1250 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1301z00_1250, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2429z00zz__evaluate_typesz00,
							BGl_proc2428z00zz__evaluate_typesz00,
							BGl_proc2427z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1500z00_1238 = BgL_v1301z00_1250;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1302z00_1261;

					BgL_v1302z00_1261 = create_vector(((long) 0));
					BgL_arg1501z00_1239 = BgL_v1302z00_1261;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2434z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2433z00zz__evaluate_typesz00,
					BGl_proc2432z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2431z00zz__evaluate_typesz00, BFALSE, BgL_arg1500z00_1238,
					BgL_arg1501z00_1239);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1516z00_1268;
				obj_t BgL_arg1517z00_1269;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1303z00_1282;

					BgL_v1303z00_1282 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1303z00_1282, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2438z00zz__evaluate_typesz00,
							BGl_proc2437z00zz__evaluate_typesz00,
							BGl_proc2436z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1303z00_1282, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2442z00zz__evaluate_typesz00,
							BGl_proc2441z00zz__evaluate_typesz00,
							BGl_proc2440z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1303z00_1282, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2446z00zz__evaluate_typesz00,
							BGl_proc2445z00zz__evaluate_typesz00,
							BGl_proc2444z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1516z00_1268 = BgL_v1303z00_1282;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1304z00_1313;

					BgL_v1304z00_1313 = create_vector(((long) 0));
					BgL_arg1517z00_1269 = BgL_v1304z00_1313;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2451z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2450z00zz__evaluate_typesz00,
					BGl_proc2449z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2448z00zz__evaluate_typesz00, BFALSE, BgL_arg1516z00_1268,
					BgL_arg1517z00_1269);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1548z00_1320;
				obj_t BgL_arg1549z00_1321;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1305z00_1332;

					BgL_v1305z00_1332 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1305z00_1332, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2455z00zz__evaluate_typesz00,
							BGl_proc2454z00zz__evaluate_typesz00,
							BGl_proc2453z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1548z00_1320 = BgL_v1305z00_1332;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1306z00_1343;

					BgL_v1306z00_1343 = create_vector(((long) 0));
					BgL_arg1549z00_1321 = BgL_v1306z00_1343;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2460z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2459z00zz__evaluate_typesz00,
					BGl_proc2458z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2457z00zz__evaluate_typesz00, BFALSE, BgL_arg1548z00_1320,
					BgL_arg1549z00_1321);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1569z00_1350;
				obj_t BgL_arg1570z00_1351;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1307z00_1362;

					BgL_v1307z00_1362 = create_vector(((long) 0));
					BgL_arg1569z00_1350 = BgL_v1307z00_1362;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1308z00_1363;

					BgL_v1308z00_1363 = create_vector(((long) 0));
					BgL_arg1570z00_1351 = BgL_v1308z00_1363;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2465z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2464z00zz__evaluate_typesz00,
					BGl_proc2463z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2462z00zz__evaluate_typesz00, BFALSE, BgL_arg1569z00_1350,
					BgL_arg1570z00_1351);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1582z00_1370;
				obj_t BgL_arg1583z00_1371;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1309z00_1382;

					BgL_v1309z00_1382 = create_vector(((long) 0));
					BgL_arg1582z00_1370 = BgL_v1309z00_1382;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1310z00_1383;

					BgL_v1310z00_1383 = create_vector(((long) 0));
					BgL_arg1583z00_1371 = BgL_v1310z00_1383;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2470z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2469z00zz__evaluate_typesz00,
					BGl_proc2468z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2467z00zz__evaluate_typesz00, BFALSE, BgL_arg1582z00_1370,
					BgL_arg1583z00_1371);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1594z00_1390;
				obj_t BgL_arg1598z00_1391;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1311z00_1403;

					BgL_v1311z00_1403 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1311z00_1403, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2474z00zz__evaluate_typesz00,
							BGl_proc2473z00zz__evaluate_typesz00,
							BGl_proc2472z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1311z00_1403, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2478z00zz__evaluate_typesz00,
							BGl_proc2477z00zz__evaluate_typesz00,
							BGl_proc2476z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1594z00_1390 = BgL_v1311z00_1403;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1312z00_1424;

					BgL_v1312z00_1424 = create_vector(((long) 0));
					BgL_arg1598z00_1391 = BgL_v1312z00_1424;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2483z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2482z00zz__evaluate_typesz00,
					BGl_proc2481z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2480z00zz__evaluate_typesz00, BFALSE, BgL_arg1594z00_1390,
					BgL_arg1598z00_1391);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1618z00_1431;
				obj_t BgL_arg1619z00_1432;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1313z00_1443;

					BgL_v1313z00_1443 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1313z00_1443, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2446z00zz__evaluate_typesz00,
							BGl_proc2486z00zz__evaluate_typesz00,
							BGl_proc2485z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1618z00_1431 = BgL_v1313z00_1443;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1314z00_1454;

					BgL_v1314z00_1454 = create_vector(((long) 0));
					BgL_arg1619z00_1432 = BgL_v1314z00_1454;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2490z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2489z00zz__evaluate_typesz00,
					BGl_proc2488z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2487z00zz__evaluate_typesz00, BFALSE, BgL_arg1618z00_1431,
					BgL_arg1619z00_1432);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1634z00_1461;
				obj_t BgL_arg1635z00_1462;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1315z00_1473;

					BgL_v1315z00_1473 = create_vector(((long) 0));
					BgL_arg1634z00_1461 = BgL_v1315z00_1473;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1316z00_1474;

					BgL_v1316z00_1474 = create_vector(((long) 0));
					BgL_arg1635z00_1462 = BgL_v1316z00_1474;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2495z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2494z00zz__evaluate_typesz00,
					BGl_proc2493z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2492z00zz__evaluate_typesz00, BFALSE, BgL_arg1634z00_1461,
					BgL_arg1635z00_1462);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1645z00_1481;
				obj_t BgL_arg1646z00_1482;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1317z00_1494;

					BgL_v1317z00_1494 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1317z00_1494, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2499z00zz__evaluate_typesz00,
							BGl_proc2498z00zz__evaluate_typesz00,
							BGl_proc2497z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1645z00_1481 = BgL_v1317z00_1494;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1318z00_1505;

					BgL_v1318z00_1505 = create_vector(((long) 0));
					BgL_arg1646z00_1482 = BgL_v1318z00_1505;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2504z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2503z00zz__evaluate_typesz00,
					BGl_proc2502z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2501z00zz__evaluate_typesz00, BFALSE, BgL_arg1645z00_1481,
					BgL_arg1646z00_1482);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1660z00_1512;
				obj_t BgL_arg1661z00_1513;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1319z00_1527;

					BgL_v1319z00_1527 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1319z00_1527, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2414z00zz__evaluate_typesz00,
							BGl_proc2507z00zz__evaluate_typesz00,
							BGl_proc2506z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1319z00_1527, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2509z00zz__evaluate_typesz00,
							BGl_proc2508z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2394z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1319z00_1527, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2420z00zz__evaluate_typesz00,
							BGl_proc2511z00zz__evaluate_typesz00,
							BGl_proc2510z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1660z00_1512 = BgL_v1319z00_1527;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1320z00_1558;

					BgL_v1320z00_1558 = create_vector(((long) 0));
					BgL_arg1661z00_1513 = BgL_v1320z00_1558;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2515z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2514z00zz__evaluate_typesz00,
					BGl_proc2513z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2512z00zz__evaluate_typesz00, BFALSE, BgL_arg1660z00_1512,
					BgL_arg1661z00_1513);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1698z00_1565;
				obj_t BgL_arg1704z00_1566;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1321z00_1580;

					BgL_v1321z00_1580 = create_vector(((long) 0));
					BgL_arg1698z00_1565 = BgL_v1321z00_1580;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1322z00_1581;

					BgL_v1322z00_1581 = create_vector(((long) 0));
					BgL_arg1704z00_1566 = BgL_v1322z00_1581;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2520z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2519z00zz__evaluate_typesz00,
					BGl_proc2518z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2517z00zz__evaluate_typesz00, BFALSE, BgL_arg1698z00_1565,
					BgL_arg1704z00_1566);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1718z00_1588;
				obj_t BgL_arg1719z00_1589;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1323z00_1601;

					BgL_v1323z00_1601 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1323z00_1601, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2524z00zz__evaluate_typesz00,
							BGl_proc2523z00zz__evaluate_typesz00,
							BGl_proc2522z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1601, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2527z00zz__evaluate_typesz00,
							BGl_proc2526z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1718z00_1588 = BgL_v1323z00_1601;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1324z00_1622;

					BgL_v1324z00_1622 = create_vector(((long) 0));
					BgL_arg1719z00_1589 = BgL_v1324z00_1622;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2533z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2532z00zz__evaluate_typesz00,
					BGl_proc2531z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2530z00zz__evaluate_typesz00, BFALSE, BgL_arg1718z00_1588,
					BgL_arg1719z00_1589);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1738z00_1629;
				obj_t BgL_arg1739z00_1630;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1325z00_1642;

					BgL_v1325z00_1642 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1325z00_1642, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2446z00zz__evaluate_typesz00,
							BGl_proc2536z00zz__evaluate_typesz00,
							BGl_proc2535z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1325z00_1642, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2538z00zz__evaluate_typesz00,
							BGl_proc2537z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1738z00_1629 = BgL_v1325z00_1642;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1326z00_1663;

					BgL_v1326z00_1663 = create_vector(((long) 0));
					BgL_arg1739z00_1630 = BgL_v1326z00_1663;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2542z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2541z00zz__evaluate_typesz00,
					BGl_proc2540z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2539z00zz__evaluate_typesz00, BFALSE, BgL_arg1738z00_1629,
					BgL_arg1739z00_1630);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1758z00_1670;
				obj_t BgL_arg1759z00_1671;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1327z00_1683;

					BgL_v1327z00_1683 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1327z00_1683, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2546z00zz__evaluate_typesz00,
							BGl_proc2545z00zz__evaluate_typesz00,
							BGl_proc2544z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1327z00_1683, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2549z00zz__evaluate_typesz00,
							BGl_proc2548z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1758z00_1670 = BgL_v1327z00_1683;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1328z00_1704;

					BgL_v1328z00_1704 = create_vector(((long) 0));
					BgL_arg1759z00_1671 = BgL_v1328z00_1704;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2553z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2552z00zz__evaluate_typesz00,
					BGl_proc2551z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2550z00zz__evaluate_typesz00, BFALSE, BgL_arg1758z00_1670,
					BgL_arg1759z00_1671);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1780z00_1711;
				obj_t BgL_arg1781z00_1712;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1329z00_1726;

					BgL_v1329z00_1726 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1329z00_1726, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2414z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00,
							BGl_proc2555z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_1726, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2559z00zz__evaluate_typesz00,
							BGl_proc2558z00zz__evaluate_typesz00,
							BGl_proc2557z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_1726, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2563z00zz__evaluate_typesz00,
							BGl_proc2562z00zz__evaluate_typesz00,
							BGl_proc2561z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_1726, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2566z00zz__evaluate_typesz00,
							BGl_proc2565z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1780z00_1711 = BgL_v1329z00_1726;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1330z00_1767;

					BgL_v1330z00_1767 = create_vector(((long) 0));
					BgL_arg1781z00_1712 = BgL_v1330z00_1767;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2570z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 40653),
					BGl_proc2569z00zz__evaluate_typesz00,
					BGl_proc2568z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2567z00zz__evaluate_typesz00, BFALSE, BgL_arg1780z00_1711,
					BgL_arg1781z00_1712);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1812z00_1774;
				obj_t BgL_arg1813z00_1775;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1331z00_1788;

					BgL_v1331z00_1788 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1331z00_1788, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00,
							BGl_proc2572z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1331z00_1788, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2578z00zz__evaluate_typesz00,
							BGl_proc2577z00zz__evaluate_typesz00,
							BGl_proc2576z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1331z00_1788, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2581z00zz__evaluate_typesz00,
							BGl_proc2580z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1812z00_1774 = BgL_v1331z00_1788;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1332z00_1819;

					BgL_v1332z00_1819 = create_vector(((long) 0));
					BgL_arg1813z00_1775 = BgL_v1332z00_1819;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2585z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2584z00zz__evaluate_typesz00,
					BGl_proc2583z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2582z00zz__evaluate_typesz00, BFALSE, BgL_arg1812z00_1774,
					BgL_arg1813z00_1775);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1837z00_1826;
				obj_t BgL_arg1838z00_1827;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1333z00_1841;

					BgL_v1333z00_1841 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1333z00_1841, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2587z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1837z00_1826 = BgL_v1333z00_1841;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1334z00_1855;

					BgL_v1334z00_1855 = create_vector(((long) 0));
					BgL_arg1838z00_1827 = BgL_v1334z00_1855;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2595z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2594z00zz__evaluate_typesz00,
					BGl_proc2593z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2592z00zz__evaluate_typesz00, BFALSE, BgL_arg1837z00_1826,
					BgL_arg1838z00_1827);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1857z00_1862;
				obj_t BgL_arg1859z00_1863;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1335z00_1877;

					BgL_v1335z00_1877 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1335z00_1877, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00,
							BGl_proc2598z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2597z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1857z00_1862 = BgL_v1335z00_1877;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1336z00_1891;

					BgL_v1336z00_1891 = create_vector(((long) 0));
					BgL_arg1859z00_1863 = BgL_v1336z00_1891;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2603z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2602z00zz__evaluate_typesz00,
					BGl_proc2601z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2600z00zz__evaluate_typesz00, BFALSE, BgL_arg1857z00_1862,
					BgL_arg1859z00_1863);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1877z00_1898;
				obj_t BgL_arg1879z00_1899;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1337z00_1912;

					BgL_v1337z00_1912 = create_vector(((long) 0));
					BgL_arg1877z00_1898 = BgL_v1337z00_1912;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1338z00_1913;

					BgL_v1338z00_1913 = create_vector(((long) 0));
					BgL_arg1879z00_1899 = BgL_v1338z00_1913;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2608z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2607z00zz__evaluate_typesz00,
					BGl_proc2606z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2605z00zz__evaluate_typesz00, BFALSE, BgL_arg1877z00_1898,
					BgL_arg1879z00_1899);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1889z00_1920;
				obj_t BgL_arg1890z00_1921;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1339z00_1937;

					BgL_v1339z00_1937 = create_vector(((long) 6));
					VECTOR_SET(BgL_v1339z00_1937, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2611z00zz__evaluate_typesz00,
							BGl_proc2610z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_1937, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2578z00zz__evaluate_typesz00,
							BGl_proc2613z00zz__evaluate_typesz00,
							BGl_proc2612z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_1937, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2617z00zz__evaluate_typesz00,
							BGl_proc2616z00zz__evaluate_typesz00,
							BGl_proc2615z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2614z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_1937, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2622z00zz__evaluate_typesz00,
							BGl_proc2621z00zz__evaluate_typesz00,
							BGl_proc2620z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2619z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_1937, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2625z00zz__evaluate_typesz00,
							BGl_proc2624z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_1937, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2626z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1889z00_1920 = BgL_v1339z00_1937;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1340z00_2007;

					BgL_v1340z00_2007 = create_vector(((long) 0));
					BgL_arg1890z00_1921 = BgL_v1340z00_2007;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2632z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2631z00zz__evaluate_typesz00,
					BGl_proc2630z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2629z00zz__evaluate_typesz00, BFALSE, BgL_arg1889z00_1920,
					BgL_arg1890z00_1921);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1941z00_2014;
				obj_t BgL_arg1942z00_2015;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1341z00_2029;

					BgL_v1341z00_2029 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1341z00_2029, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2414z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00,
							BGl_proc2634z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1341z00_2029, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2638z00zz__evaluate_typesz00,
							BGl_proc2637z00zz__evaluate_typesz00,
							BGl_proc2636z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1341z00_2029, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2642z00zz__evaluate_typesz00,
							BGl_proc2641z00zz__evaluate_typesz00,
							BGl_proc2640z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1341z00_2029, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2455z00zz__evaluate_typesz00,
							BGl_proc2645z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1941z00_2014 = BgL_v1341z00_2029;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1342z00_2070;

					BgL_v1342z00_2070 = create_vector(((long) 0));
					BgL_arg1942z00_2015 = BgL_v1342z00_2070;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2649z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2648z00zz__evaluate_typesz00,
					BGl_proc2647z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2646z00zz__evaluate_typesz00, BFALSE, BgL_arg1941z00_2014,
					BgL_arg1942z00_2015);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1971z00_2077;
				obj_t BgL_arg1972z00_2078;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1343z00_2092;

					BgL_v1343z00_2092 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1343z00_2092, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2414z00zz__evaluate_typesz00,
							BGl_proc2652z00zz__evaluate_typesz00,
							BGl_proc2651z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2092, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2655z00zz__evaluate_typesz00,
							BGl_proc2654z00zz__evaluate_typesz00,
							BGl_proc2653z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2092, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2455z00zz__evaluate_typesz00,
							BGl_proc2658z00zz__evaluate_typesz00,
							BGl_proc2657z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2092, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2661z00zz__evaluate_typesz00,
							BGl_proc2660z00zz__evaluate_typesz00,
							BGl_proc2659z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg1971z00_2077 = BgL_v1343z00_2092;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1344z00_2133;

					BgL_v1344z00_2133 = create_vector(((long) 0));
					BgL_arg1972z00_2078 = BgL_v1344z00_2133;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2666z00zz__evaluate_typesz00,
					BGl_symbol2388z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2665z00zz__evaluate_typesz00,
					BGl_proc2664z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2663z00zz__evaluate_typesz00, BFALSE, BgL_arg1971z00_2077,
					BgL_arg1972z00_2078);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg2001z00_2140;
				obj_t BgL_arg2002z00_2141;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1345z00_2161;

					BgL_v1345z00_2161 = create_vector(((long) 10));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2414z00zz__evaluate_typesz00,
							BGl_proc2669z00zz__evaluate_typesz00,
							BGl_proc2668z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2672z00zz__evaluate_typesz00,
							BGl_proc2671z00zz__evaluate_typesz00,
							BGl_proc2670z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2676z00zz__evaluate_typesz00,
							BGl_proc2675z00zz__evaluate_typesz00,
							BGl_proc2674z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2574z00zz__evaluate_typesz00,
							BGl_proc2679z00zz__evaluate_typesz00,
							BGl_proc2678z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2681z00zz__evaluate_typesz00,
							BGl_proc2680z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2685z00zz__evaluate_typesz00,
							BGl_proc2684z00zz__evaluate_typesz00,
							BGl_proc2683z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2682z00zz__evaluate_typesz00,
							BGl_symbol2687z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 6),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2692z00zz__evaluate_typesz00,
							BGl_proc2691z00zz__evaluate_typesz00,
							BGl_proc2690z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2689z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 7),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2697z00zz__evaluate_typesz00,
							BGl_proc2696z00zz__evaluate_typesz00,
							BGl_proc2695z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2694z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 8),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2702z00zz__evaluate_typesz00,
							BGl_proc2701z00zz__evaluate_typesz00,
							BGl_proc2700z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2699z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1345z00_2161, ((long) 9),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2706z00zz__evaluate_typesz00,
							BGl_proc2705z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2704z00zz__evaluate_typesz00,
							BGl_symbol2401z00zz__evaluate_typesz00));
					BgL_arg2001z00_2140 = BgL_v1345z00_2161;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1346z00_2277;

					BgL_v1346z00_2277 = create_vector(((long) 0));
					BgL_arg2002z00_2141 = BgL_v1346z00_2277;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2710z00zz__evaluate_typesz00,
						BGl_symbol2388z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2709z00zz__evaluate_typesz00,
						BGl_proc2708z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2707z00zz__evaluate_typesz00, BFALSE, BgL_arg2001z00_2140,
						BgL_arg2002z00_2141), BUNSPEC);
		}}

	}



/* &<@anonymous:2007> */
	obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3469, obj_t BgL_new1194z00_3470)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_auxz00_4599;

				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1194z00_3470)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3470)))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3470)))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3470)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4608;

					{	/* Eval/evaluate_types.scm 122 */
						obj_t BgL_classz00_3945;

						BgL_classz00_3945 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL__ortest_1294z00_3946;

							BgL__ortest_1294z00_3946 = BGL_CLASS_NIL(BgL_classz00_3945);
							if (CBOOL(BgL__ortest_1294z00_3946))
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4608 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_3946);
								}
							else
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4608 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3945));
								}
						}
					}
					((((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_new1194z00_3470)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4608), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1194z00_3470)))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3470)))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3470)))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3470)))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3470)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4599 = ((BgL_ev_absz00_bglt) BgL_new1194z00_3470);
				return ((obj_t) BgL_auxz00_4599);
			}
		}

	}



/* &lambda2005 */
	BgL_ev_absz00_bglt BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3471)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_new1193z00_3947;

				BgL_new1193z00_3947 =
					((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 122 */
					long BgL_arg2006z00_3948;

					BgL_arg2006z00_3948 =
						BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1193z00_3947), BgL_arg2006z00_3948);
				}
				return BgL_new1193z00_3947;
			}
		}

	}



/* &lambda2003 */
	BgL_ev_absz00_bglt BGl_z62lambda2003z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3472, obj_t BgL_loc1183z00_3473, obj_t BgL_where1184z00_3474,
		obj_t BgL_arity1185z00_3475, obj_t BgL_vars1186z00_3476,
		obj_t BgL_body1187z00_3477, obj_t BgL_siza7e1188za7_3478,
		obj_t BgL_bind1189z00_3479, obj_t BgL_free1190z00_3480,
		obj_t BgL_inner1191z00_3481, obj_t BgL_boxes1192z00_3482)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_siza7e1188za7_3950;

				BgL_siza7e1188za7_3950 = CINT(BgL_siza7e1188za7_3478);
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1253z00_3951;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1252z00_3952;

						BgL_new1252z00_3952 =
							((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg2004z00_3953;

							BgL_arg2004z00_3953 =
								BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1252z00_3952),
								BgL_arg2004z00_3953);
						}
						BgL_new1253z00_3951 = BgL_new1252z00_3952;
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_locz00) =
						((obj_t) BgL_loc1183z00_3473), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_wherez00) =
						((obj_t) BgL_where1184z00_3474), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_arityz00) =
						((obj_t) BgL_arity1185z00_3475), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_varsz00) =
						((obj_t) BgL_vars1186z00_3476), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
								BgL_body1187z00_3477)), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->
							BgL_siza7eza7) = ((int) BgL_siza7e1188za7_3950), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_bindz00) =
						((obj_t) BgL_bind1189z00_3479), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_freez00) =
						((obj_t) BgL_free1190z00_3480), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_innerz00) =
						((obj_t) BgL_inner1191z00_3481), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1253z00_3951))->BgL_boxesz00) =
						((obj_t) BgL_boxes1192z00_3482), BUNSPEC);
					return BgL_new1253z00_3951;
				}
			}
		}

	}



/* &<@anonymous:2074> */
	obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3483)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2073 */
	obj_t BGl_z62lambda2073z62zz__evaluate_typesz00(obj_t BgL_envz00_3484,
		obj_t BgL_oz00_3485, obj_t BgL_vz00_3486)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3485)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3486), BUNSPEC);
		}

	}



/* &lambda2072 */
	obj_t BGl_z62lambda2072z62zz__evaluate_typesz00(obj_t BgL_envz00_3487,
		obj_t BgL_oz00_3488)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3488)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:2066> */
	obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3489)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2065 */
	obj_t BGl_z62lambda2065z62zz__evaluate_typesz00(obj_t BgL_envz00_3490,
		obj_t BgL_oz00_3491, obj_t BgL_vz00_3492)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3491)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3492), BUNSPEC);
		}

	}



/* &lambda2064 */
	obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t BgL_envz00_3493,
		obj_t BgL_oz00_3494)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3494)))->BgL_innerz00);
		}

	}



/* &<@anonymous:2059> */
	obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3495)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2058 */
	obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t BgL_envz00_3496,
		obj_t BgL_oz00_3497, obj_t BgL_vz00_3498)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3497)))->BgL_freez00) =
				((obj_t) BgL_vz00_3498), BUNSPEC);
		}

	}



/* &lambda2057 */
	obj_t BGl_z62lambda2057z62zz__evaluate_typesz00(obj_t BgL_envz00_3499,
		obj_t BgL_oz00_3500)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3500)))->BgL_freez00);
		}

	}



/* &<@anonymous:2051> */
	obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3501)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2050 */
	obj_t BGl_z62lambda2050z62zz__evaluate_typesz00(obj_t BgL_envz00_3502,
		obj_t BgL_oz00_3503, obj_t BgL_vz00_3504)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3503)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3504), BUNSPEC);
		}

	}



/* &lambda2049 */
	obj_t BGl_z62lambda2049z62zz__evaluate_typesz00(obj_t BgL_envz00_3505,
		obj_t BgL_oz00_3506)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3506)))->BgL_bindz00);
		}

	}



/* &<@anonymous:2044> */
	obj_t BGl_z62zc3z04anonymousza32044ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3507)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(((long) 0));
		}

	}



/* &lambda2043 */
	obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t BgL_envz00_3508,
		obj_t BgL_oz00_3509, obj_t BgL_vz00_3510)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_3963;

				BgL_vz00_3963 = CINT(BgL_vz00_3510);
				return
					((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_oz00_3509)))->BgL_siza7eza7) =
					((int) BgL_vz00_3963), BUNSPEC);
		}}

	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t BgL_envz00_3511,
		obj_t BgL_oz00_3512)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3512)))->BgL_siza7eza7));
		}

	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3514)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3515)), BUNSPEC);
		}

	}



/* &lambda2035 */
	BgL_ev_exprz00_bglt BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3516, obj_t BgL_oz00_3517)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3517)))->BgL_bodyz00);
		}

	}



/* &lambda2030 */
	obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t BgL_envz00_3518,
		obj_t BgL_oz00_3519, obj_t BgL_vz00_3520)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3519)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3520), BUNSPEC);
		}

	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t BgL_envz00_3521,
		obj_t BgL_oz00_3522)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3522)))->BgL_varsz00);
		}

	}



/* &lambda2024 */
	obj_t BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t BgL_envz00_3523,
		obj_t BgL_oz00_3524, obj_t BgL_vz00_3525)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3524)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3525), BUNSPEC);
		}

	}



/* &lambda2023 */
	obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t BgL_envz00_3526,
		obj_t BgL_oz00_3527)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3527)))->BgL_arityz00);
		}

	}



/* &lambda2019 */
	obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t BgL_envz00_3528,
		obj_t BgL_oz00_3529, obj_t BgL_vz00_3530)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3529)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3530), BUNSPEC);
		}

	}



/* &lambda2018 */
	obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t BgL_envz00_3531,
		obj_t BgL_oz00_3532)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3532)))->BgL_wherez00);
		}

	}



/* &lambda2013 */
	obj_t BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t BgL_envz00_3533,
		obj_t BgL_oz00_3534, obj_t BgL_vz00_3535)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3534)))->BgL_locz00) =
				((obj_t) BgL_vz00_3535), BUNSPEC);
		}

	}



/* &lambda2012 */
	obj_t BGl_z62lambda2012z62zz__evaluate_typesz00(obj_t BgL_envz00_3536,
		obj_t BgL_oz00_3537)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3537)))->BgL_locz00);
		}

	}



/* &<@anonymous:1977> */
	obj_t BGl_z62zc3z04anonymousza31977ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3538, obj_t BgL_new1181z00_3539)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_auxz00_4694;

				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1181z00_3539)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4697;

					{	/* Eval/evaluate_types.scm 119 */
						obj_t BgL_classz00_3977;

						BgL_classz00_3977 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL__ortest_1294z00_3978;

							BgL__ortest_1294z00_3978 = BGL_CLASS_NIL(BgL_classz00_3977);
							if (CBOOL(BgL__ortest_1294z00_3978))
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4697 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_3978);
								}
							else
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4697 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3977));
								}
						}
					}
					((((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_new1181z00_3539)))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4697), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1181z00_3539)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
									BgL_new1181z00_3539)))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4694 = ((BgL_ev_appz00_bglt) BgL_new1181z00_3539);
				return ((obj_t) BgL_auxz00_4694);
			}
		}

	}



/* &lambda1975 */
	BgL_ev_appz00_bglt BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3540)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1180z00_3979;

				BgL_new1180z00_3979 =
					((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 119 */
					long BgL_arg1976z00_3980;

					BgL_arg1976z00_3980 =
						BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1180z00_3979), BgL_arg1976z00_3980);
				}
				return BgL_new1180z00_3979;
			}
		}

	}



/* &lambda1973 */
	BgL_ev_appz00_bglt BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3541, obj_t BgL_loc1176z00_3542, obj_t BgL_fun1177z00_3543,
		obj_t BgL_args1178z00_3544, obj_t BgL_tailzf31179zf3_3545)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1251z00_3982;

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1249z00_3983;

					BgL_new1249z00_3983 =
						((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1974z00_3984;

						BgL_arg1974z00_3984 =
							BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1249z00_3983), BgL_arg1974z00_3984);
					}
					BgL_new1251z00_3982 = BgL_new1249z00_3983;
				}
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1251z00_3982))->BgL_locz00) =
					((obj_t) BgL_loc1176z00_3542), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1251z00_3982))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_fun1177z00_3543)),
					BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1251z00_3982))->BgL_argsz00) =
					((obj_t) BgL_args1178z00_3544), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1251z00_3982))->BgL_tailzf3zf3) =
					((obj_t) BgL_tailzf31179zf3_3545), BUNSPEC);
				return BgL_new1251z00_3982;
			}
		}

	}



/* &lambda1997 */
	obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t BgL_envz00_3546,
		obj_t BgL_oz00_3547, obj_t BgL_vz00_3548)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3547)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3548), BUNSPEC);
		}

	}



/* &lambda1996 */
	obj_t BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t BgL_envz00_3549,
		obj_t BgL_oz00_3550)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3550)))->BgL_tailzf3zf3);
		}

	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3551,
		obj_t BgL_oz00_3552, obj_t BgL_vz00_3553)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3552)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3553), BUNSPEC);
		}

	}



/* &lambda1991 */
	obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t BgL_envz00_3554,
		obj_t BgL_oz00_3555)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3555)))->BgL_argsz00);
		}

	}



/* &lambda1987 */
	obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t BgL_envz00_3556,
		obj_t BgL_oz00_3557, obj_t BgL_vz00_3558)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3557)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3558)), BUNSPEC);
		}

	}



/* &lambda1986 */
	BgL_ev_exprz00_bglt BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3559, obj_t BgL_oz00_3560)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3560)))->BgL_funz00);
		}

	}



/* &lambda1982 */
	obj_t BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t BgL_envz00_3561,
		obj_t BgL_oz00_3562, obj_t BgL_vz00_3563)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3562)))->BgL_locz00) =
				((obj_t) BgL_vz00_3563), BUNSPEC);
		}

	}



/* &lambda1981 */
	obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t BgL_envz00_3564,
		obj_t BgL_oz00_3565)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3565)))->BgL_locz00);
		}

	}



/* &<@anonymous:1947> */
	obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3566, obj_t BgL_new1174z00_3567)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_auxz00_4742;

				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1174z00_3567)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4745;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_3995;

						BgL_classz00_3995 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1294z00_3996;

							BgL__ortest_1294z00_3996 = BGL_CLASS_NIL(BgL_classz00_3995);
							if (CBOOL(BgL__ortest_1294z00_3996))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4745 =
										((BgL_ev_varz00_bglt) BgL__ortest_1294z00_3996);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4745 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3995));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1174z00_3567)))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4745), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4754;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_3997;

						BgL_classz00_3997 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1294z00_3998;

							BgL__ortest_1294z00_3998 = BGL_CLASS_NIL(BgL_classz00_3997);
							if (CBOOL(BgL__ortest_1294z00_3998))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4754 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1294z00_3998);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4754 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3997));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1174z00_3567)))->
							BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4754), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1174z00_3567)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4742 = ((BgL_ev_gotoz00_bglt) BgL_new1174z00_3567);
				return ((obj_t) BgL_auxz00_4742);
			}
		}

	}



/* &lambda1945 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3568)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1173z00_3999;

				BgL_new1173z00_3999 =
					((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg1946z00_4000;

					BgL_arg1946z00_4000 =
						BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1173z00_3999), BgL_arg1946z00_4000);
				}
				return BgL_new1173z00_3999;
			}
		}

	}



/* &lambda1943 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3569, obj_t BgL_loc1169z00_3570, obj_t BgL_label1170z00_3571,
		obj_t BgL_labels1171z00_3572, obj_t BgL_args1172z00_3573)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1248z00_4003;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1247z00_4004;

					BgL_new1247z00_4004 =
						((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1944z00_4005;

						BgL_arg1944z00_4005 =
							BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1247z00_4004), BgL_arg1944z00_4005);
					}
					BgL_new1248z00_4003 = BgL_new1247z00_4004;
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1248z00_4003))->BgL_locz00) =
					((obj_t) BgL_loc1169z00_3570), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1248z00_4003))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_label1170z00_3571)),
					BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1248z00_4003))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BgL_labels1171z00_3572)), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1248z00_4003))->BgL_argsz00) =
					((obj_t) BgL_args1172z00_3573), BUNSPEC);
				return BgL_new1248z00_4003;
			}
		}

	}



/* &lambda1967 */
	obj_t BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t BgL_envz00_3574,
		obj_t BgL_oz00_3575, obj_t BgL_vz00_3576)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3575)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3576), BUNSPEC);
		}

	}



/* &lambda1966 */
	obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t BgL_envz00_3577,
		obj_t BgL_oz00_3578)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3578)))->BgL_argsz00);
		}

	}



/* &lambda1962 */
	obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t BgL_envz00_3579,
		obj_t BgL_oz00_3580, obj_t BgL_vz00_3581)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3580)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3581)),
				BUNSPEC);
		}

	}



/* &lambda1961 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3582, obj_t BgL_oz00_3583)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3583)))->BgL_labelsz00);
		}

	}



/* &lambda1957 */
	obj_t BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t BgL_envz00_3584,
		obj_t BgL_oz00_3585, obj_t BgL_vz00_3586)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3585)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3586)), BUNSPEC);
		}

	}



/* &lambda1956 */
	BgL_ev_varz00_bglt BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3587, obj_t BgL_oz00_3588)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3588)))->BgL_labelz00);
		}

	}



/* &lambda1952 */
	obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t BgL_envz00_3589,
		obj_t BgL_oz00_3590, obj_t BgL_vz00_3591)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3590)))->BgL_locz00) =
				((obj_t) BgL_vz00_3591), BUNSPEC);
		}

	}



/* &lambda1951 */
	obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t BgL_envz00_3592,
		obj_t BgL_oz00_3593)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3593)))->BgL_locz00);
		}

	}



/* &<@anonymous:1895> */
	obj_t BGl_z62zc3z04anonymousza31895ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3594, obj_t BgL_new1167z00_3595)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_auxz00_4799;

				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1167z00_3595)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3595)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3595)))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3595)))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4808;

					{	/* Eval/evaluate_types.scm 106 */
						obj_t BgL_classz00_4017;

						BgL_classz00_4017 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL__ortest_1294z00_4018;

							BgL__ortest_1294z00_4018 = BGL_CLASS_NIL(BgL_classz00_4017);
							if (CBOOL(BgL__ortest_1294z00_4018))
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4808 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4018);
								}
							else
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4808 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4017));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_new1167z00_3595)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4808), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1167z00_3595)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4799 = ((BgL_ev_labelsz00_bglt) BgL_new1167z00_3595);
				return ((obj_t) BgL_auxz00_4799);
			}
		}

	}



/* &lambda1893 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3596)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1166z00_4019;

				BgL_new1166z00_4019 =
					((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 106 */
					long BgL_arg1894z00_4020;

					BgL_arg1894z00_4020 =
						BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1166z00_4019), BgL_arg1894z00_4020);
				}
				return BgL_new1166z00_4019;
			}
		}

	}



/* &lambda1891 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3597, obj_t BgL_vars1160z00_3598, obj_t BgL_vals1161z00_3599,
		obj_t BgL_env1162z00_3600, obj_t BgL_stk1163z00_3601,
		obj_t BgL_body1164z00_3602, obj_t BgL_boxes1165z00_3603)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1246z00_4022;

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1244z00_4023;

					BgL_new1244z00_4023 =
						((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1892z00_4024;

						BgL_arg1892z00_4024 =
							BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1244z00_4023), BgL_arg1892z00_4024);
					}
					BgL_new1246z00_4022 = BgL_new1244z00_4023;
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1246z00_4022))->BgL_varsz00) =
					((obj_t) BgL_vars1160z00_3598), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1246z00_4022))->BgL_valsz00) =
					((obj_t) BgL_vals1161z00_3599), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1246z00_4022))->BgL_envz00) =
					((obj_t) BgL_env1162z00_3600), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1246z00_4022))->BgL_stkz00) =
					((obj_t) BgL_stk1163z00_3601), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1246z00_4022))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1164z00_3602)),
					BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1246z00_4022))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1165z00_3603), BUNSPEC);
				return BgL_new1246z00_4022;
			}
		}

	}



/* &<@anonymous:1937> */
	obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3604)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1936 */
	obj_t BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t BgL_envz00_3605,
		obj_t BgL_oz00_3606, obj_t BgL_vz00_3607)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3606)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3607), BUNSPEC);
		}

	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3608,
		obj_t BgL_oz00_3609)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3609)))->BgL_boxesz00);
		}

	}



/* &lambda1930 */
	obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3610,
		obj_t BgL_oz00_3611, obj_t BgL_vz00_3612)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3611)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3612)), BUNSPEC);
		}

	}



/* &lambda1929 */
	BgL_ev_exprz00_bglt BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3613, obj_t BgL_oz00_3614)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3614)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:1925> */
	obj_t BGl_z62zc3z04anonymousza31925ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3615)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1924 */
	obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3616,
		obj_t BgL_oz00_3617, obj_t BgL_vz00_3618)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3617)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3618), BUNSPEC);
		}

	}



/* &lambda1923 */
	obj_t BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t BgL_envz00_3619,
		obj_t BgL_oz00_3620)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3620)))->BgL_stkz00);
		}

	}



/* &<@anonymous:1918> */
	obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3621)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t BgL_envz00_3622,
		obj_t BgL_oz00_3623, obj_t BgL_vz00_3624)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3623)))->BgL_envz00) =
				((obj_t) BgL_vz00_3624), BUNSPEC);
		}

	}



/* &lambda1916 */
	obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t BgL_envz00_3625,
		obj_t BgL_oz00_3626)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3626)))->BgL_envz00);
		}

	}



/* &lambda1908 */
	obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t BgL_envz00_3627,
		obj_t BgL_oz00_3628, obj_t BgL_vz00_3629)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3628)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3629), BUNSPEC);
		}

	}



/* &lambda1907 */
	obj_t BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3631)))->BgL_valsz00);
		}

	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t BgL_envz00_3632,
		obj_t BgL_oz00_3633, obj_t BgL_vz00_3634)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3633)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3634), BUNSPEC);
		}

	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t BgL_envz00_3635,
		obj_t BgL_oz00_3636)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3636)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1885> */
	obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3637, obj_t BgL_new1158z00_3638)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_auxz00_4861;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_new1158z00_3638))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letrecz00_bglt)
										BgL_new1158z00_3638))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4868;

					{	/* Eval/evaluate_types.scm 105 */
						obj_t BgL_classz00_4039;

						BgL_classz00_4039 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL__ortest_1294z00_4040;

							BgL__ortest_1294z00_4040 = BGL_CLASS_NIL(BgL_classz00_4039);
							if (CBOOL(BgL__ortest_1294z00_4040))
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4868 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4040);
								}
							else
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4868 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4039));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_new1158z00_3638))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4868), BUNSPEC);
				}
				BgL_auxz00_4861 = ((BgL_ev_letrecz00_bglt) BgL_new1158z00_3638);
				return ((obj_t) BgL_auxz00_4861);
			}
		}

	}



/* &lambda1883 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3639)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1156z00_4041;

				BgL_new1156z00_4041 =
					((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 105 */
					long BgL_arg1884z00_4042;

					BgL_arg1884z00_4042 =
						BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1156z00_4041), BgL_arg1884z00_4042);
				}
				return BgL_new1156z00_4041;
			}
		}

	}



/* &lambda1880 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3640, obj_t BgL_vars1153z00_3641, obj_t BgL_vals1154z00_3642,
		obj_t BgL_body1155z00_3643)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1243z00_4044;

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1242z00_4045;

					BgL_new1242z00_4045 =
						((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1882z00_4046;

						BgL_arg1882z00_4046 =
							BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1242z00_4045), BgL_arg1882z00_4046);
					}
					BgL_new1243z00_4044 = BgL_new1242z00_4045;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1243z00_4044)))->BgL_varsz00) =
					((obj_t) BgL_vars1153z00_3641), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1243z00_4044)))->BgL_valsz00) =
					((obj_t) BgL_vals1154z00_3642), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1243z00_4044)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1155z00_3643)),
					BUNSPEC);
				return BgL_new1243z00_4044;
			}
		}

	}



/* &<@anonymous:1865> */
	obj_t BGl_z62zc3z04anonymousza31865ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3644, obj_t BgL_new1151z00_3645)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_auxz00_4895;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_new1151z00_3645))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letza2za2_bglt)
										BgL_new1151z00_3645))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4902;

					{	/* Eval/evaluate_types.scm 103 */
						obj_t BgL_classz00_4048;

						BgL_classz00_4048 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL__ortest_1294z00_4049;

							BgL__ortest_1294z00_4049 = BGL_CLASS_NIL(BgL_classz00_4048);
							if (CBOOL(BgL__ortest_1294z00_4049))
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4902 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4049);
								}
							else
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4902 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4048));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_new1151z00_3645))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4902), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) COBJECT(
								((BgL_ev_letza2za2_bglt) BgL_new1151z00_3645)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4895 = ((BgL_ev_letza2za2_bglt) BgL_new1151z00_3645);
				return ((obj_t) BgL_auxz00_4895);
			}
		}

	}



/* &lambda1862 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3646)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1150z00_4050;

				BgL_new1150z00_4050 =
					((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 103 */
					long BgL_arg1864z00_4051;

					BgL_arg1864z00_4051 =
						BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1150z00_4050), BgL_arg1864z00_4051);
				}
				return BgL_new1150z00_4050;
			}
		}

	}



/* &lambda1860 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3647, obj_t BgL_vars1146z00_3648, obj_t BgL_vals1147z00_3649,
		obj_t BgL_body1148z00_3650, obj_t BgL_boxes1149z00_3651)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1241z00_4053;

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1240z00_4054;

					BgL_new1240z00_4054 =
						((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1861z00_4055;

						BgL_arg1861z00_4055 =
							BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1240z00_4054), BgL_arg1861z00_4055);
					}
					BgL_new1241z00_4053 = BgL_new1240z00_4054;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1241z00_4053)))->BgL_varsz00) =
					((obj_t) BgL_vars1146z00_3648), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1241z00_4053)))->BgL_valsz00) =
					((obj_t) BgL_vals1147z00_3649), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1241z00_4053)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1148z00_3650)),
					BUNSPEC);
				((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1241z00_4053))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1149z00_3651), BUNSPEC);
				return BgL_new1241z00_4053;
			}
		}

	}



/* &<@anonymous:1873> */
	obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3652)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}

	}



/* &lambda1872 */
	obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3653,
		obj_t BgL_oz00_3654, obj_t BgL_vz00_3655)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) COBJECT(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3654)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3655), BUNSPEC);
		}

	}



/* &lambda1871 */
	obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3656,
		obj_t BgL_oz00_3657)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) COBJECT(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3657)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1843> */
	obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3658, obj_t BgL_new1144z00_3659)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_auxz00_4936;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_new1144z00_3659))))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letz00_bglt)
										BgL_new1144z00_3659))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4943;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_4059;

						BgL_classz00_4059 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1294z00_4060;

							BgL__ortest_1294z00_4060 = BGL_CLASS_NIL(BgL_classz00_4059);
							if (CBOOL(BgL__ortest_1294z00_4060))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4943 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4060);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4943 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4059));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_new1144z00_3659))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4943), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) COBJECT(
								((BgL_ev_letz00_bglt) BgL_new1144z00_3659)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4936 = ((BgL_ev_letz00_bglt) BgL_new1144z00_3659);
				return ((obj_t) BgL_auxz00_4936);
			}
		}

	}



/* &lambda1841 */
	BgL_ev_letz00_bglt BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3660)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1143z00_4061;

				BgL_new1143z00_4061 =
					((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg1842z00_4062;

					BgL_arg1842z00_4062 =
						BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1143z00_4061), BgL_arg1842z00_4062);
				}
				return BgL_new1143z00_4061;
			}
		}

	}



/* &lambda1839 */
	BgL_ev_letz00_bglt BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3661, obj_t BgL_vars1139z00_3662, obj_t BgL_vals1140z00_3663,
		obj_t BgL_body1141z00_3664, obj_t BgL_boxes1142z00_3665)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1238z00_4064;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1237z00_4065;

					BgL_new1237z00_4065 =
						((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1840z00_4066;

						BgL_arg1840z00_4066 =
							BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1237z00_4065), BgL_arg1840z00_4066);
					}
					BgL_new1238z00_4064 = BgL_new1237z00_4065;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1238z00_4064)))->BgL_varsz00) =
					((obj_t) BgL_vars1139z00_3662), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1238z00_4064)))->BgL_valsz00) =
					((obj_t) BgL_vals1140z00_3663), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1238z00_4064)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1141z00_3664)),
					BUNSPEC);
				((((BgL_ev_letz00_bglt) COBJECT(BgL_new1238z00_4064))->BgL_boxesz00) =
					((obj_t) BgL_boxes1142z00_3665), BUNSPEC);
				return BgL_new1238z00_4064;
			}
		}

	}



/* &<@anonymous:1850> */
	obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3666)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}

	}



/* &lambda1849 */
	obj_t BGl_z62lambda1849z62zz__evaluate_typesz00(obj_t BgL_envz00_3667,
		obj_t BgL_oz00_3668, obj_t BgL_vz00_3669)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) COBJECT(
							((BgL_ev_letz00_bglt) BgL_oz00_3668)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3669), BUNSPEC);
		}

	}



/* &lambda1848 */
	obj_t BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t BgL_envz00_3670,
		obj_t BgL_oz00_3671)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) COBJECT(
						((BgL_ev_letz00_bglt) BgL_oz00_3671)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1818> */
	obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3672, obj_t BgL_new1137z00_3673)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_auxz00_4977;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1137z00_3673)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1137z00_3673)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4982;

					{	/* Eval/evaluate_types.scm 97 */
						obj_t BgL_classz00_4070;

						BgL_classz00_4070 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL__ortest_1294z00_4071;

							BgL__ortest_1294z00_4071 = BGL_CLASS_NIL(BgL_classz00_4070);
							if (CBOOL(BgL__ortest_1294z00_4071))
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4982 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4071);
								}
							else
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4982 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4070));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1137z00_3673)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4982), BUNSPEC);
				}
				BgL_auxz00_4977 = ((BgL_ev_binderz00_bglt) BgL_new1137z00_3673);
				return ((obj_t) BgL_auxz00_4977);
			}
		}

	}



/* &lambda1816 */
	BgL_ev_binderz00_bglt BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3674)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1136z00_4072;

				BgL_new1136z00_4072 =
					((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 97 */
					long BgL_arg1817z00_4073;

					BgL_arg1817z00_4073 =
						BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1136z00_4072), BgL_arg1817z00_4073);
				}
				return BgL_new1136z00_4072;
			}
		}

	}



/* &lambda1814 */
	BgL_ev_binderz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3675, obj_t BgL_vars1133z00_3676, obj_t BgL_vals1134z00_3677,
		obj_t BgL_body1135z00_3678)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1236z00_4075;

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1235z00_4076;

					BgL_new1235z00_4076 =
						((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1815z00_4077;

						BgL_arg1815z00_4077 =
							BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_4076), BgL_arg1815z00_4077);
					}
					BgL_new1236z00_4075 = BgL_new1235z00_4076;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1236z00_4075))->BgL_varsz00) =
					((obj_t) BgL_vars1133z00_3676), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1236z00_4075))->BgL_valsz00) =
					((obj_t) BgL_vals1134z00_3677), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1236z00_4075))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1135z00_3678)),
					BUNSPEC);
				return BgL_new1236z00_4075;
			}
		}

	}



/* &lambda1833 */
	obj_t BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t BgL_envz00_3679,
		obj_t BgL_oz00_3680, obj_t BgL_vz00_3681)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3680)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3681)), BUNSPEC);
		}

	}



/* &lambda1832 */
	BgL_ev_exprz00_bglt BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3682, obj_t BgL_oz00_3683)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3683)))->BgL_bodyz00);
		}

	}



/* &lambda1828 */
	obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t BgL_envz00_3684,
		obj_t BgL_oz00_3685, obj_t BgL_vz00_3686)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3685)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3686), BUNSPEC);
		}

	}



/* &lambda1827 */
	obj_t BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t BgL_envz00_3687,
		obj_t BgL_oz00_3688)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3688)))->BgL_valsz00);
		}

	}



/* &lambda1823 */
	obj_t BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t BgL_envz00_3689,
		obj_t BgL_oz00_3690, obj_t BgL_vz00_3691)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3690)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3691), BUNSPEC);
		}

	}



/* &lambda1822 */
	obj_t BGl_z62lambda1822z62zz__evaluate_typesz00(obj_t BgL_envz00_3692,
		obj_t BgL_oz00_3693)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3693)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1786> */
	obj_t BGl_z62zc3z04anonymousza31786ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3694, obj_t BgL_new1131z00_3695)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5018;

				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3695)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5021;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4086;

						BgL_classz00_4086 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1294z00_4087;

							BgL__ortest_1294z00_4087 = BGL_CLASS_NIL(BgL_classz00_4086);
							if (CBOOL(BgL__ortest_1294z00_4087))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5021 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4087);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5021 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4086));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3695)))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5021), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5030;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4088;

						BgL_classz00_4088 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1294z00_4089;

							BgL__ortest_1294z00_4089 = BGL_CLASS_NIL(BgL_classz00_4088);
							if (CBOOL(BgL__ortest_1294z00_4089))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5030 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4089);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5030 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4088));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3695)))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5030), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5039;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4090;

						BgL_classz00_4090 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1294z00_4091;

							BgL__ortest_1294z00_4091 = BGL_CLASS_NIL(BgL_classz00_4090);
							if (CBOOL(BgL__ortest_1294z00_4091))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5039 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4091);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5039 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4090));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3695)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5039), BUNSPEC);
				}
				BgL_auxz00_5018 = ((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3695);
				return ((obj_t) BgL_auxz00_5018);
			}
		}

	}



/* &lambda1784 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3696)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1130z00_4092;

				BgL_new1130z00_4092 =
					((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_synchroniza7eza7_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg1785z00_4093;

					BgL_arg1785z00_4093 =
						BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1130z00_4092), BgL_arg1785z00_4093);
				}
				return BgL_new1130z00_4092;
			}
		}

	}



/* &lambda1782 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3697, obj_t BgL_loc1125z00_3698, obj_t BgL_mutex1126z00_3699,
		obj_t BgL_prelock1127z00_3700, obj_t BgL_body1128z00_3701)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1234z00_4097;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1233z00_4098;

					BgL_new1233z00_4098 =
						((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1783z00_4099;

						BgL_arg1783z00_4099 =
							BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_4098), BgL_arg1783z00_4099);
					}
					BgL_new1234z00_4097 = BgL_new1233z00_4098;
				}
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1234z00_4097))->
						BgL_locz00) = ((obj_t) BgL_loc1125z00_3698), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1234z00_4097))->
						BgL_mutexz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_mutex1126z00_3699)),
					BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1234z00_4097))->
						BgL_prelockz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_prelock1127z00_3700)), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1234z00_4097))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1128z00_3701)),
					BUNSPEC);
				return BgL_new1234z00_4097;
			}
		}

	}



/* &lambda1808 */
	obj_t BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t BgL_envz00_3702,
		obj_t BgL_oz00_3703, obj_t BgL_vz00_3704)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3703)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3704)), BUNSPEC);
		}

	}



/* &lambda1807 */
	BgL_ev_exprz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3705, obj_t BgL_oz00_3706)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3706)))->BgL_bodyz00);
		}

	}



/* &lambda1802 */
	obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t BgL_envz00_3707,
		obj_t BgL_oz00_3708, obj_t BgL_vz00_3709)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3708)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3709)), BUNSPEC);
		}

	}



/* &lambda1801 */
	BgL_ev_exprz00_bglt BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3710, obj_t BgL_oz00_3711)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3711)))->BgL_prelockz00);
		}

	}



/* &lambda1797 */
	obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t BgL_envz00_3712,
		obj_t BgL_oz00_3713, obj_t BgL_vz00_3714)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3713)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3714)), BUNSPEC);
		}

	}



/* &lambda1796 */
	BgL_ev_exprz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3715, obj_t BgL_oz00_3716)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3716)))->BgL_mutexz00);
		}

	}



/* &lambda1791 */
	obj_t BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t BgL_envz00_3717,
		obj_t BgL_oz00_3718, obj_t BgL_vz00_3719)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3718)))->BgL_locz00) =
				((obj_t) BgL_vz00_3719), BUNSPEC);
		}

	}



/* &lambda1790 */
	obj_t BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t BgL_envz00_3720,
		obj_t BgL_oz00_3721)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3721)))->BgL_locz00);
		}

	}



/* &<@anonymous:1764> */
	obj_t BGl_z62zc3z04anonymousza31764ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3722, obj_t BgL_new1123z00_3723)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5084;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5085;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4112;

						BgL_classz00_4112 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1294z00_4113;

							BgL__ortest_1294z00_4113 = BGL_CLASS_NIL(BgL_classz00_4112);
							if (CBOOL(BgL__ortest_1294z00_4113))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5085 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4113);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5085 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4112));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3723)))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5085), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5094;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4114;

						BgL_classz00_4114 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1294z00_4115;

							BgL__ortest_1294z00_4115 = BGL_CLASS_NIL(BgL_classz00_4114);
							if (CBOOL(BgL__ortest_1294z00_4115))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5094 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4115);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5094 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4114));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3723)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5094), BUNSPEC);
				}
				BgL_auxz00_5084 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3723);
				return ((obj_t) BgL_auxz00_5084);
			}
		}

	}



/* &lambda1762 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3724)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1122z00_4116;

				BgL_new1122z00_4116 =
					((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg1763z00_4117;

					BgL_arg1763z00_4117 =
						BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1122z00_4116), BgL_arg1763z00_4117);
				}
				return BgL_new1122z00_4116;
			}
		}

	}



/* &lambda1760 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3725, obj_t BgL_handler1120z00_3726, obj_t BgL_body1121z00_3727)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1231z00_4120;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1230z00_4121;

					BgL_new1230z00_4121 =
						((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1761z00_4122;

						BgL_arg1761z00_4122 =
							BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1230z00_4121), BgL_arg1761z00_4122);
					}
					BgL_new1231z00_4120 = BgL_new1230z00_4121;
				}
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1231z00_4120))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_handler1120z00_3726)), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1231z00_4120))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1121z00_3727)),
					BUNSPEC);
				return BgL_new1231z00_4120;
			}
		}

	}



/* &lambda1776 */
	obj_t BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t BgL_envz00_3728,
		obj_t BgL_oz00_3729, obj_t BgL_vz00_3730)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3729)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3730)), BUNSPEC);
		}

	}



/* &lambda1775 */
	BgL_ev_exprz00_bglt BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3731, obj_t BgL_oz00_3732)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3732)))->BgL_bodyz00);
		}

	}



/* &lambda1771 */
	obj_t BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t BgL_envz00_3733,
		obj_t BgL_oz00_3734, obj_t BgL_vz00_3735)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3734)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3735)), BUNSPEC);
		}

	}



/* &lambda1770 */
	BgL_ev_exprz00_bglt BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3736, obj_t BgL_oz00_3737)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3737)))->BgL_handlerz00);
		}

	}



/* &<@anonymous:1744> */
	obj_t BGl_z62zc3z04anonymousza31744ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3738, obj_t BgL_new1118z00_3739)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5127;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5128;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4130;

						BgL_classz00_4130 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1294z00_4131;

							BgL__ortest_1294z00_4131 = BGL_CLASS_NIL(BgL_classz00_4130);
							if (CBOOL(BgL__ortest_1294z00_4131))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5128 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4131);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5128 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4130));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1118z00_3739)))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5128), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5137;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4132;

						BgL_classz00_4132 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1294z00_4133;

							BgL__ortest_1294z00_4133 = BGL_CLASS_NIL(BgL_classz00_4132);
							if (CBOOL(BgL__ortest_1294z00_4133))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5137 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4133);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5137 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4132));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1118z00_3739)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5137), BUNSPEC);
				}
				BgL_auxz00_5127 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1118z00_3739);
				return ((obj_t) BgL_auxz00_5127);
			}
		}

	}



/* &lambda1742 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t BgL_envz00_3740)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_4134;

				BgL_new1117z00_4134 =
					((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg1743z00_4135;

					BgL_arg1743z00_4135 =
						BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1117z00_4134), BgL_arg1743z00_4135);
				}
				return BgL_new1117z00_4134;
			}
		}

	}



/* &lambda1740 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t BgL_envz00_3741,
		obj_t BgL_e1115z00_3742, obj_t BgL_body1116z00_3743)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1229z00_4138;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1228z00_4139;

					BgL_new1228z00_4139 =
						((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1741z00_4140;

						BgL_arg1741z00_4140 =
							BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1228z00_4139), BgL_arg1741z00_4140);
					}
					BgL_new1229z00_4138 = BgL_new1228z00_4139;
				}
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1229z00_4138))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1115z00_3742)),
					BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1229z00_4138))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1116z00_3743)),
					BUNSPEC);
				return BgL_new1229z00_4138;
			}
		}

	}



/* &lambda1754 */
	obj_t BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t BgL_envz00_3744,
		obj_t BgL_oz00_3745, obj_t BgL_vz00_3746)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3745)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3746)), BUNSPEC);
		}

	}



/* &lambda1753 */
	BgL_ev_exprz00_bglt BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3747, obj_t BgL_oz00_3748)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3748)))->BgL_bodyz00);
		}

	}



/* &lambda1749 */
	obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3749,
		obj_t BgL_oz00_3750, obj_t BgL_vz00_3751)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3750)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3751)), BUNSPEC);
		}

	}



/* &lambda1748 */
	BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3752, obj_t BgL_oz00_3753)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3753)))->BgL_ez00);
		}

	}



/* &<@anonymous:1724> */
	obj_t BGl_z62zc3z04anonymousza31724ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3754, obj_t BgL_new1113z00_3755)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5170;

				{
					BgL_ev_varz00_bglt BgL_auxz00_5171;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4148;

						BgL_classz00_4148 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1294z00_4149;

							BgL__ortest_1294z00_4149 = BGL_CLASS_NIL(BgL_classz00_4148);
							if (CBOOL(BgL__ortest_1294z00_4149))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5171 =
										((BgL_ev_varz00_bglt) BgL__ortest_1294z00_4149);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5171 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4148));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1113z00_3755)))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5171), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5180;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4150;

						BgL_classz00_4150 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1294z00_4151;

							BgL__ortest_1294z00_4151 = BGL_CLASS_NIL(BgL_classz00_4150);
							if (CBOOL(BgL__ortest_1294z00_4151))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5180 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4151);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5180 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4150));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1113z00_3755)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5180), BUNSPEC);
				}
				BgL_auxz00_5170 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_new1113z00_3755);
				return ((obj_t) BgL_auxz00_5170);
			}
		}

	}



/* &lambda1722 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3756)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1112z00_4152;

				BgL_new1112z00_4152 =
					((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg1723z00_4153;

					BgL_arg1723z00_4153 =
						BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1112z00_4152), BgL_arg1723z00_4153);
				}
				return BgL_new1112z00_4152;
			}
		}

	}



/* &lambda1720 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3757, obj_t BgL_var1109z00_3758, obj_t BgL_body1110z00_3759)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1227z00_4156;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1226z00_4157;

					BgL_new1226z00_4157 =
						((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1721z00_4158;

						BgL_arg1721z00_4158 =
							BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1226z00_4157), BgL_arg1721z00_4158);
					}
					BgL_new1227z00_4156 = BgL_new1226z00_4157;
				}
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1227z00_4156))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_var1109z00_3758)),
					BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1227z00_4156))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1110z00_3759)),
					BUNSPEC);
				return BgL_new1227z00_4156;
			}
		}

	}



/* &lambda1734 */
	obj_t BGl_z62lambda1734z62zz__evaluate_typesz00(obj_t BgL_envz00_3760,
		obj_t BgL_oz00_3761, obj_t BgL_vz00_3762)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3761)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3762)), BUNSPEC);
		}

	}



/* &lambda1733 */
	BgL_ev_exprz00_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3763, obj_t BgL_oz00_3764)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3764)))->BgL_bodyz00);
		}

	}



/* &lambda1729 */
	obj_t BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t BgL_envz00_3765,
		obj_t BgL_oz00_3766, obj_t BgL_vz00_3767)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3766)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3767)), BUNSPEC);
		}

	}



/* &lambda1728 */
	BgL_ev_varz00_bglt BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3768, obj_t BgL_oz00_3769)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3769)))->BgL_varz00);
		}

	}



/* &<@anonymous:1711> */
	obj_t BGl_z62zc3z04anonymousza31711ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3770, obj_t BgL_new1107z00_3771)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_auxz00_5213;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5214;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_4166;

						BgL_classz00_4166 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1294z00_4167;

							BgL__ortest_1294z00_4167 = BGL_CLASS_NIL(BgL_classz00_4166);
							if (CBOOL(BgL__ortest_1294z00_4167))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5214 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4167);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5214 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4166));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3771))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5214), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3771))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3771))))->BgL_namez00) =
					((obj_t) BGl_symbol2712z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3771))))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5213 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3771);
				return ((obj_t) BgL_auxz00_5213);
			}
		}

	}



/* &lambda1709 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3772)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1106z00_4168;

				BgL_new1106z00_4168 =
					((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg1710z00_4169;

					BgL_arg1710z00_4169 =
						BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1106z00_4168), BgL_arg1710z00_4169);
				}
				return BgL_new1106z00_4168;
			}
		}

	}



/* &lambda1705 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3773, obj_t BgL_e1102z00_3774, obj_t BgL_loc1103z00_3775,
		obj_t BgL_name1104z00_3776, obj_t BgL_mod1105z00_3777)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1225z00_4172;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1223z00_4173;

					BgL_new1223z00_4173 =
						((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1708z00_4174;

						BgL_arg1708z00_4174 =
							BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1223z00_4173), BgL_arg1708z00_4174);
					}
					BgL_new1225z00_4172 = BgL_new1223z00_4173;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1225z00_4172)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1102z00_3774)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1225z00_4172)))->BgL_locz00) =
					((obj_t) BgL_loc1103z00_3775), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1225z00_4172)))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1104z00_3776)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1225z00_4172)))->BgL_modz00) =
					((obj_t) BgL_mod1105z00_3777), BUNSPEC);
				return BgL_new1225z00_4172;
			}
		}

	}



/* &<@anonymous:1667> */
	obj_t BGl_z62zc3z04anonymousza31667ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3778, obj_t BgL_new1100z00_3779)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_auxz00_5253;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5254;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_4176;

						BgL_classz00_4176 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1294z00_4177;

							BgL__ortest_1294z00_4177 = BGL_CLASS_NIL(BgL_classz00_4176);
							if (CBOOL(BgL__ortest_1294z00_4177))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5254 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4177);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5254 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4176));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3779))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5254), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3779)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3779)))->BgL_namez00) =
					((obj_t) BGl_symbol2712z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3779)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5253 = ((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3779);
				return ((obj_t) BgL_auxz00_5253);
			}
		}

	}



/* &lambda1664 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1664z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3780)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1099z00_4178;

				BgL_new1099z00_4178 =
					((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg1666z00_4179;

					BgL_arg1666z00_4179 =
						BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1099z00_4178), BgL_arg1666z00_4179);
				}
				return BgL_new1099z00_4178;
			}
		}

	}



/* &lambda1662 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3781, obj_t BgL_e1095z00_3782, obj_t BgL_loc1096z00_3783,
		obj_t BgL_name1097z00_3784, obj_t BgL_mod1098z00_3785)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1222z00_4182;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1221z00_4183;

					BgL_new1221z00_4183 =
						((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1663z00_4184;

						BgL_arg1663z00_4184 =
							BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1221z00_4183), BgL_arg1663z00_4184);
					}
					BgL_new1222z00_4182 = BgL_new1221z00_4183;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1222z00_4182)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1095z00_3782)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1222z00_4182))->
						BgL_locz00) = ((obj_t) BgL_loc1096z00_3783), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1222z00_4182))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1097z00_3784)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1222z00_4182))->
						BgL_modz00) = ((obj_t) BgL_mod1098z00_3785), BUNSPEC);
				return BgL_new1222z00_4182;
			}
		}

	}



/* &lambda1687 */
	obj_t BGl_z62lambda1687z62zz__evaluate_typesz00(obj_t BgL_envz00_3786,
		obj_t BgL_oz00_3787, obj_t BgL_vz00_3788)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3787)))->BgL_modz00) =
				((obj_t) BgL_vz00_3788), BUNSPEC);
		}

	}



/* &lambda1686 */
	obj_t BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t BgL_envz00_3789,
		obj_t BgL_oz00_3790)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3790)))->BgL_modz00);
		}

	}



/* &lambda1682 */
	obj_t BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t BgL_envz00_3791,
		obj_t BgL_oz00_3792, obj_t BgL_vz00_3793)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3792)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_3793)), BUNSPEC);
		}

	}



/* &lambda1681 */
	obj_t BGl_z62lambda1681z62zz__evaluate_typesz00(obj_t BgL_envz00_3794,
		obj_t BgL_oz00_3795)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3795)))->BgL_namez00);
		}

	}



/* &lambda1673 */
	obj_t BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t BgL_envz00_3796,
		obj_t BgL_oz00_3797, obj_t BgL_vz00_3798)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3797)))->BgL_locz00) =
				((obj_t) BgL_vz00_3798), BUNSPEC);
		}

	}



/* &lambda1672 */
	obj_t BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t BgL_envz00_3799,
		obj_t BgL_oz00_3800)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3800)))->BgL_locz00);
		}

	}



/* &<@anonymous:1651> */
	obj_t BGl_z62zc3z04anonymousza31651ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3801, obj_t BgL_new1093z00_3802)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_auxz00_5300;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5301;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4193;

						BgL_classz00_4193 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1294z00_4194;

							BgL__ortest_1294z00_4194 = BGL_CLASS_NIL(BgL_classz00_4193);
							if (CBOOL(BgL__ortest_1294z00_4194))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5301 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4194);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5301 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4193));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3802))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5301), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_5311;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4195;

						BgL_classz00_4195 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1294z00_4196;

							BgL__ortest_1294z00_4196 = BGL_CLASS_NIL(BgL_classz00_4195);
							if (CBOOL(BgL__ortest_1294z00_4196))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5311 =
										((BgL_ev_varz00_bglt) BgL__ortest_1294z00_4196);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5311 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4195));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3802)))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_5311), BUNSPEC);
				}
				BgL_auxz00_5300 = ((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3802);
				return ((obj_t) BgL_auxz00_5300);
			}
		}

	}



/* &lambda1649 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3803)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1092z00_4197;

				BgL_new1092z00_4197 =
					((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg1650z00_4198;

					BgL_arg1650z00_4198 =
						BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1092z00_4197), BgL_arg1650z00_4198);
				}
				return BgL_new1092z00_4197;
			}
		}

	}



/* &lambda1647 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3804, obj_t BgL_e1090z00_3805, obj_t BgL_v1091z00_3806)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1220z00_4201;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1219z00_4202;

					BgL_new1219z00_4202 =
						((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1648z00_4203;

						BgL_arg1648z00_4203 =
							BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1219z00_4202), BgL_arg1648z00_4203);
					}
					BgL_new1220z00_4201 = BgL_new1219z00_4202;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1220z00_4201)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1090z00_3805)),
					BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1220z00_4201))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_v1091z00_3806)),
					BUNSPEC);
				return BgL_new1220z00_4201;
			}
		}

	}



/* &lambda1656 */
	obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t BgL_envz00_3807,
		obj_t BgL_oz00_3808, obj_t BgL_vz00_3809)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				((((BgL_ev_setlocalz00_bglt) COBJECT(
							((BgL_ev_setlocalz00_bglt) BgL_oz00_3808)))->BgL_vz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3809)), BUNSPEC);
		}

	}



/* &lambda1655 */
	BgL_ev_varz00_bglt BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3810, obj_t BgL_oz00_3811)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) COBJECT(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3811)))->BgL_vz00);
		}

	}



/* &<@anonymous:1640> */
	obj_t BGl_z62zc3z04anonymousza31640ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3812, obj_t BgL_new1088z00_3813)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_auxz00_5340;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5341;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_4208;

						BgL_classz00_4208 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1294z00_4209;

							BgL__ortest_1294z00_4209 = BGL_CLASS_NIL(BgL_classz00_4208);
							if (CBOOL(BgL__ortest_1294z00_4209))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5341 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4209);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5341 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4208));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_new1088z00_3813))))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5341), BUNSPEC);
				}
				BgL_auxz00_5340 = ((BgL_ev_trapz00_bglt) BgL_new1088z00_3813);
				return ((obj_t) BgL_auxz00_5340);
			}
		}

	}



/* &lambda1638 */
	BgL_ev_trapz00_bglt BGl_z62lambda1638z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3814)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1087z00_4210;

				BgL_new1087z00_4210 =
					((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg1639z00_4211;

					BgL_arg1639z00_4211 =
						BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1087z00_4210), BgL_arg1639z00_4211);
				}
				return BgL_new1087z00_4210;
			}
		}

	}



/* &lambda1636 */
	BgL_ev_trapz00_bglt BGl_z62lambda1636z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3815, obj_t BgL_e1086z00_3816)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1218z00_4213;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1217z00_4214;

					BgL_new1217z00_4214 =
						((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1637z00_4215;

						BgL_arg1637z00_4215 =
							BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1217z00_4214), BgL_arg1637z00_4215);
					}
					BgL_new1218z00_4213 = BgL_new1217z00_4214;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1218z00_4213)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1086z00_3816)),
					BUNSPEC);
				return BgL_new1218z00_4213;
			}
		}

	}



/* &<@anonymous:1624> */
	obj_t BGl_z62zc3z04anonymousza31624ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3817, obj_t BgL_new1084z00_3818)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_auxz00_5364;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5365;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_4217;

						BgL_classz00_4217 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1294z00_4218;

							BgL__ortest_1294z00_4218 = BGL_CLASS_NIL(BgL_classz00_4217);
							if (CBOOL(BgL__ortest_1294z00_4218))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5365 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4218);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5365 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4217));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_new1084z00_3818)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5365), BUNSPEC);
				}
				BgL_auxz00_5364 = ((BgL_ev_hookz00_bglt) BgL_new1084z00_3818);
				return ((obj_t) BgL_auxz00_5364);
			}
		}

	}



/* &lambda1622 */
	BgL_ev_hookz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3819)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1083z00_4219;

				BgL_new1083z00_4219 =
					((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg1623z00_4220;

					BgL_arg1623z00_4220 =
						BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1083z00_4219), BgL_arg1623z00_4220);
				}
				return BgL_new1083z00_4219;
			}
		}

	}



/* &lambda1620 */
	BgL_ev_hookz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3820, obj_t BgL_e1082z00_3821)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1216z00_4222;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1215z00_4223;

					BgL_new1215z00_4223 =
						((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1621z00_4224;

						BgL_arg1621z00_4224 =
							BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1215z00_4223), BgL_arg1621z00_4224);
					}
					BgL_new1216z00_4222 = BgL_new1215z00_4223;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1216z00_4222))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1082z00_3821)),
					BUNSPEC);
				return BgL_new1216z00_4222;
			}
		}

	}



/* &lambda1629 */
	obj_t BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t BgL_envz00_3822,
		obj_t BgL_oz00_3823, obj_t BgL_vz00_3824)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_oz00_3823)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3824)), BUNSPEC);
		}

	}



/* &lambda1628 */
	BgL_ev_exprz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3825, obj_t BgL_oz00_3826)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) COBJECT(
						((BgL_ev_hookz00_bglt) BgL_oz00_3826)))->BgL_ez00);
		}

	}



/* &<@anonymous:1603> */
	obj_t BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3827, obj_t BgL_new1080z00_3828)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_auxz00_5391;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5392;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4229;

						BgL_classz00_4229 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1294z00_4230;

							BgL__ortest_1294z00_4230 = BGL_CLASS_NIL(BgL_classz00_4229);
							if (CBOOL(BgL__ortest_1294z00_4230))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5392 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4230);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5392 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4229));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3828)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5392), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5401;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4231;

						BgL_classz00_4231 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1294z00_4232;

							BgL__ortest_1294z00_4232 = BGL_CLASS_NIL(BgL_classz00_4231);
							if (CBOOL(BgL__ortest_1294z00_4232))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5401 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4232);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5401 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4231));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3828)))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5401), BUNSPEC);
				}
				BgL_auxz00_5391 = ((BgL_ev_prog2z00_bglt) BgL_new1080z00_3828);
				return ((obj_t) BgL_auxz00_5391);
			}
		}

	}



/* &lambda1601 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3829)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1079z00_4233;

				BgL_new1079z00_4233 =
					((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg1602z00_4234;

					BgL_arg1602z00_4234 =
						BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1079z00_4233), BgL_arg1602z00_4234);
				}
				return BgL_new1079z00_4233;
			}
		}

	}



/* &lambda1599 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3830, obj_t BgL_e11077z00_3831, obj_t BgL_e21078z00_3832)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1214z00_4237;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1213z00_4238;

					BgL_new1213z00_4238 =
						((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1600z00_4239;

						BgL_arg1600z00_4239 =
							BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1213z00_4238), BgL_arg1600z00_4239);
					}
					BgL_new1214z00_4237 = BgL_new1213z00_4238;
				}
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1214z00_4237))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e11077z00_3831)),
					BUNSPEC);
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1214z00_4237))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e21078z00_3832)),
					BUNSPEC);
				return BgL_new1214z00_4237;
			}
		}

	}



/* &lambda1613 */
	obj_t BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t BgL_envz00_3833,
		obj_t BgL_oz00_3834, obj_t BgL_vz00_3835)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3834)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3835)), BUNSPEC);
		}

	}



/* &lambda1612 */
	BgL_ev_exprz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3836, obj_t BgL_oz00_3837)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3837)))->BgL_e2z00);
		}

	}



/* &lambda1608 */
	obj_t BGl_z62lambda1608z62zz__evaluate_typesz00(obj_t BgL_envz00_3838,
		obj_t BgL_oz00_3839, obj_t BgL_vz00_3840)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3839)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3840)), BUNSPEC);
		}

	}



/* &lambda1607 */
	BgL_ev_exprz00_bglt BGl_z62lambda1607z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3841, obj_t BgL_oz00_3842)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3842)))->BgL_e1z00);
		}

	}



/* &<@anonymous:1589> */
	obj_t BGl_z62zc3z04anonymousza31589ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3843, obj_t BgL_new1075z00_3844)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_auxz00_5434;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_new1075z00_3844))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5434 = ((BgL_ev_andz00_bglt) BgL_new1075z00_3844);
				return ((obj_t) BgL_auxz00_5434);
			}
		}

	}



/* &lambda1586 */
	BgL_ev_andz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3845)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1074z00_4247;

				BgL_new1074z00_4247 =
					((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg1588z00_4248;

					BgL_arg1588z00_4248 =
						BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1074z00_4247), BgL_arg1588z00_4248);
				}
				return BgL_new1074z00_4247;
			}
		}

	}



/* &lambda1584 */
	BgL_ev_andz00_bglt BGl_z62lambda1584z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3846, obj_t BgL_args1073z00_3847)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1212z00_4249;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1211z00_4250;

					BgL_new1211z00_4250 =
						((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1585z00_4251;

						BgL_arg1585z00_4251 =
							BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1211z00_4250), BgL_arg1585z00_4251);
					}
					BgL_new1212z00_4249 = BgL_new1211z00_4250;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1212z00_4249)))->BgL_argsz00) =
					((obj_t) BgL_args1073z00_3847), BUNSPEC);
				return BgL_new1212z00_4249;
			}
		}

	}



/* &<@anonymous:1576> */
	obj_t BGl_z62zc3z04anonymousza31576ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3848, obj_t BgL_new1071z00_3849)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_auxz00_5450;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_new1071z00_3849))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5450 = ((BgL_ev_orz00_bglt) BgL_new1071z00_3849);
				return ((obj_t) BgL_auxz00_5450);
			}
		}

	}



/* &lambda1573 */
	BgL_ev_orz00_bglt BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3850)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1070z00_4253;

				BgL_new1070z00_4253 =
					((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg1575z00_4254;

					BgL_arg1575z00_4254 =
						BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1070z00_4253), BgL_arg1575z00_4254);
				}
				return BgL_new1070z00_4253;
			}
		}

	}



/* &lambda1571 */
	BgL_ev_orz00_bglt BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3851, obj_t BgL_args1069z00_3852)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1210z00_4255;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1209z00_4256;

					BgL_new1209z00_4256 =
						((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1572z00_4257;

						BgL_arg1572z00_4257 =
							BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1209z00_4256), BgL_arg1572z00_4257);
					}
					BgL_new1210z00_4255 = BgL_new1209z00_4256;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1210z00_4255)))->BgL_argsz00) =
					((obj_t) BgL_args1069z00_3852), BUNSPEC);
				return BgL_new1210z00_4255;
			}
		}

	}



/* &<@anonymous:1556> */
	obj_t BGl_z62zc3z04anonymousza31556ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3853, obj_t BgL_new1067z00_3854)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_auxz00_5466;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1067z00_3854)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5466 = ((BgL_ev_listz00_bglt) BgL_new1067z00_3854);
				return ((obj_t) BgL_auxz00_5466);
			}
		}

	}



/* &lambda1554 */
	BgL_ev_listz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3855)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1066z00_4259;

				BgL_new1066z00_4259 =
					((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg1555z00_4260;

					BgL_arg1555z00_4260 =
						BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1066z00_4259), BgL_arg1555z00_4260);
				}
				return BgL_new1066z00_4259;
			}
		}

	}



/* &lambda1550 */
	BgL_ev_listz00_bglt BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3856, obj_t BgL_args1065z00_3857)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1208z00_4261;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1207z00_4262;

					BgL_new1207z00_4262 =
						((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1553z00_4263;

						BgL_arg1553z00_4263 =
							BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1207z00_4262), BgL_arg1553z00_4263);
					}
					BgL_new1208z00_4261 = BgL_new1207z00_4262;
				}
				((((BgL_ev_listz00_bglt) COBJECT(BgL_new1208z00_4261))->BgL_argsz00) =
					((obj_t) BgL_args1065z00_3857), BUNSPEC);
				return BgL_new1208z00_4261;
			}
		}

	}



/* &lambda1561 */
	obj_t BGl_z62lambda1561z62zz__evaluate_typesz00(obj_t BgL_envz00_3858,
		obj_t BgL_oz00_3859, obj_t BgL_vz00_3860)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_oz00_3859)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3860), BUNSPEC);
		}

	}



/* &lambda1560 */
	obj_t BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t BgL_envz00_3861,
		obj_t BgL_oz00_3862)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) COBJECT(
						((BgL_ev_listz00_bglt) BgL_oz00_3862)))->BgL_argsz00);
		}

	}



/* &<@anonymous:1522> */
	obj_t BGl_z62zc3z04anonymousza31522ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3863, obj_t BgL_new1063z00_3864)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_auxz00_5484;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5485;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4267;

						BgL_classz00_4267 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1294z00_4268;

							BgL__ortest_1294z00_4268 = BGL_CLASS_NIL(BgL_classz00_4267);
							if (CBOOL(BgL__ortest_1294z00_4268))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5485 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4268);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5485 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4267));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3864)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5485), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5494;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4269;

						BgL_classz00_4269 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1294z00_4270;

							BgL__ortest_1294z00_4270 = BGL_CLASS_NIL(BgL_classz00_4269);
							if (CBOOL(BgL__ortest_1294z00_4270))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5494 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4270);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5494 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4269));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3864)))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5494), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5503;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4271;

						BgL_classz00_4271 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1294z00_4272;

							BgL__ortest_1294z00_4272 = BGL_CLASS_NIL(BgL_classz00_4271);
							if (CBOOL(BgL__ortest_1294z00_4272))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5503 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1294z00_4272);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5503 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4271));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3864)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5503), BUNSPEC);
				}
				BgL_auxz00_5484 = ((BgL_ev_ifz00_bglt) BgL_new1063z00_3864);
				return ((obj_t) BgL_auxz00_5484);
			}
		}

	}



/* &lambda1520 */
	BgL_ev_ifz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3865)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1062z00_4273;

				BgL_new1062z00_4273 =
					((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg1521z00_4274;

					BgL_arg1521z00_4274 =
						BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_4273), BgL_arg1521z00_4274);
				}
				return BgL_new1062z00_4273;
			}
		}

	}



/* &lambda1518 */
	BgL_ev_ifz00_bglt BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3866, obj_t BgL_p1059z00_3867, obj_t BgL_t1060z00_3868,
		obj_t BgL_e1061z00_3869)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1206z00_4278;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1205z00_4279;

					BgL_new1205z00_4279 =
						((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1519z00_4280;

						BgL_arg1519z00_4280 =
							BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1205z00_4279), BgL_arg1519z00_4280);
					}
					BgL_new1206z00_4278 = BgL_new1205z00_4279;
				}
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1206z00_4278))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_p1059z00_3867)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1206z00_4278))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_t1060z00_3868)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1206z00_4278))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1061z00_3869)),
					BUNSPEC);
				return BgL_new1206z00_4278;
			}
		}

	}



/* &lambda1541 */
	obj_t BGl_z62lambda1541z62zz__evaluate_typesz00(obj_t BgL_envz00_3870,
		obj_t BgL_oz00_3871, obj_t BgL_vz00_3872)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3871)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3872)), BUNSPEC);
		}

	}



/* &lambda1540 */
	BgL_ev_exprz00_bglt BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3873, obj_t BgL_oz00_3874)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3874)))->BgL_ez00);
		}

	}



/* &lambda1533 */
	obj_t BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t BgL_envz00_3875,
		obj_t BgL_oz00_3876, obj_t BgL_vz00_3877)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3876)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3877)), BUNSPEC);
		}

	}



/* &lambda1532 */
	BgL_ev_exprz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3878, obj_t BgL_oz00_3879)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3879)))->BgL_tz00);
		}

	}



/* &lambda1528 */
	obj_t BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t BgL_envz00_3880,
		obj_t BgL_oz00_3881, obj_t BgL_vz00_3882)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3881)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3882)), BUNSPEC);
		}

	}



/* &lambda1527 */
	BgL_ev_exprz00_bglt BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3883, obj_t BgL_oz00_3884)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3884)))->BgL_pz00);
		}

	}



/* &<@anonymous:1506> */
	obj_t BGl_z62zc3z04anonymousza31506ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3885, obj_t BgL_new1057z00_3886)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_auxz00_5543;

				((((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_new1057z00_3886)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5543 = ((BgL_ev_littz00_bglt) BgL_new1057z00_3886);
				return ((obj_t) BgL_auxz00_5543);
			}
		}

	}



/* &lambda1504 */
	BgL_ev_littz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3887)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1056z00_4291;

				BgL_new1056z00_4291 =
					((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg1505z00_4292;

					BgL_arg1505z00_4292 =
						BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1056z00_4291), BgL_arg1505z00_4292);
				}
				return BgL_new1056z00_4291;
			}
		}

	}



/* &lambda1502 */
	BgL_ev_littz00_bglt BGl_z62lambda1502z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3888, obj_t BgL_value1055z00_3889)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1204z00_4293;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1203z00_4294;

					BgL_new1203z00_4294 =
						((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1503z00_4295;

						BgL_arg1503z00_4295 =
							BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1203z00_4294), BgL_arg1503z00_4295);
					}
					BgL_new1204z00_4293 = BgL_new1203z00_4294;
				}
				((((BgL_ev_littz00_bglt) COBJECT(BgL_new1204z00_4293))->BgL_valuez00) =
					((obj_t) BgL_value1055z00_3889), BUNSPEC);
				return BgL_new1204z00_4293;
			}
		}

	}



/* &lambda1512 */
	obj_t BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t BgL_envz00_3890,
		obj_t BgL_oz00_3891, obj_t BgL_vz00_3892)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) COBJECT(
							((BgL_ev_littz00_bglt) BgL_oz00_3891)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3892), BUNSPEC);
		}

	}



/* &lambda1511 */
	obj_t BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t BgL_envz00_3893,
		obj_t BgL_oz00_3894)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) COBJECT(
						((BgL_ev_littz00_bglt) BgL_oz00_3894)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1476> */
	obj_t BGl_z62zc3z04anonymousza31476ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3895, obj_t BgL_new1053z00_3896)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_auxz00_5561;

				((((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_new1053z00_3896)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3896)))->BgL_namez00) =
					((obj_t) BGl_symbol2712z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3896)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5561 = ((BgL_ev_globalz00_bglt) BgL_new1053z00_3896);
				return ((obj_t) BgL_auxz00_5561);
			}
		}

	}



/* &lambda1474 */
	BgL_ev_globalz00_bglt BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3897)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1052z00_4299;

				BgL_new1052z00_4299 =
					((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg1475z00_4300;

					BgL_arg1475z00_4300 =
						BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1052z00_4299), BgL_arg1475z00_4300);
				}
				return BgL_new1052z00_4299;
			}
		}

	}



/* &lambda1472 */
	BgL_ev_globalz00_bglt BGl_z62lambda1472z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3898, obj_t BgL_loc1049z00_3899, obj_t BgL_name1050z00_3900,
		obj_t BgL_mod1051z00_3901)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1201z00_4302;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1199z00_4303;

					BgL_new1199z00_4303 =
						((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1473z00_4304;

						BgL_arg1473z00_4304 =
							BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1199z00_4303), BgL_arg1473z00_4304);
					}
					BgL_new1201z00_4302 = BgL_new1199z00_4303;
				}
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1201z00_4302))->BgL_locz00) =
					((obj_t) BgL_loc1049z00_3899), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1201z00_4302))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1050z00_3900)), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1201z00_4302))->BgL_modz00) =
					((obj_t) BgL_mod1051z00_3901), BUNSPEC);
				return BgL_new1201z00_4302;
			}
		}

	}



/* &lambda1494 */
	obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t BgL_envz00_3902,
		obj_t BgL_oz00_3903, obj_t BgL_vz00_3904)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3903)))->BgL_modz00) =
				((obj_t) BgL_vz00_3904), BUNSPEC);
		}

	}



/* &lambda1493 */
	obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3905,
		obj_t BgL_oz00_3906)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3906)))->BgL_modz00);
		}

	}



/* &lambda1489 */
	obj_t BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t BgL_envz00_3907,
		obj_t BgL_oz00_3908, obj_t BgL_vz00_3909)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3908)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3909)), BUNSPEC);
		}

	}



/* &lambda1488 */
	obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t BgL_envz00_3910,
		obj_t BgL_oz00_3911)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3911)))->BgL_namez00);
		}

	}



/* &lambda1482 */
	obj_t BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t BgL_envz00_3912,
		obj_t BgL_oz00_3913, obj_t BgL_vz00_3914)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3913)))->BgL_locz00) =
				((obj_t) BgL_vz00_3914), BUNSPEC);
		}

	}



/* &lambda1481 */
	obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t BgL_envz00_3915,
		obj_t BgL_oz00_3916)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3916)))->BgL_locz00);
		}

	}



/* &<@anonymous:1449> */
	obj_t BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3917, obj_t BgL_new1047z00_3918)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_auxz00_5595;

				((((BgL_ev_varz00_bglt) COBJECT(
								((BgL_ev_varz00_bglt) BgL_new1047z00_3918)))->BgL_namez00) =
					((obj_t) BGl_symbol2712z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3918)))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3918)))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5595 = ((BgL_ev_varz00_bglt) BgL_new1047z00_3918);
				return ((obj_t) BgL_auxz00_5595);
			}
		}

	}



/* &lambda1445 */
	BgL_ev_varz00_bglt BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3919)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1046z00_4313;

				BgL_new1046z00_4313 =
					((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 51 */
					long BgL_arg1448z00_4314;

					BgL_arg1448z00_4314 =
						BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1046z00_4313), BgL_arg1448z00_4314);
				}
				return BgL_new1046z00_4313;
			}
		}

	}



/* &lambda1443 */
	BgL_ev_varz00_bglt BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3920, obj_t BgL_name1043z00_3921, obj_t BgL_eff1044z00_3922,
		obj_t BgL_type1045z00_3923)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1198z00_4316;

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1197z00_4317;

					BgL_new1197z00_4317 =
						((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1444z00_4318;

						BgL_arg1444z00_4318 =
							BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1197z00_4317), BgL_arg1444z00_4318);
					}
					BgL_new1198z00_4316 = BgL_new1197z00_4317;
				}
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4316))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1043z00_3921)), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4316))->BgL_effz00) =
					((obj_t) BgL_eff1044z00_3922), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4316))->BgL_typez00) =
					((obj_t) BgL_type1045z00_3923), BUNSPEC);
				return BgL_new1198z00_4316;
			}
		}

	}



/* &lambda1466 */
	obj_t BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t BgL_envz00_3924,
		obj_t BgL_oz00_3925, obj_t BgL_vz00_3926)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3925)))->BgL_typez00) =
				((obj_t) BgL_vz00_3926), BUNSPEC);
		}

	}



/* &lambda1465 */
	obj_t BGl_z62lambda1465z62zz__evaluate_typesz00(obj_t BgL_envz00_3927,
		obj_t BgL_oz00_3928)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3928)))->BgL_typez00);
		}

	}



/* &<@anonymous:1461> */
	obj_t BGl_z62zc3z04anonymousza31461ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3929)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1460 */
	obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t BgL_envz00_3930,
		obj_t BgL_oz00_3931, obj_t BgL_vz00_3932)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3931)))->BgL_effz00) =
				((obj_t) BgL_vz00_3932), BUNSPEC);
		}

	}



/* &lambda1459 */
	obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t BgL_envz00_3933,
		obj_t BgL_oz00_3934)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3934)))->BgL_effz00);
		}

	}



/* &lambda1454 */
	obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3935,
		obj_t BgL_oz00_3936, obj_t BgL_vz00_3937)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3936)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3937)), BUNSPEC);
		}

	}



/* &lambda1453 */
	obj_t BGl_z62lambda1453z62zz__evaluate_typesz00(obj_t BgL_envz00_3938,
		obj_t BgL_oz00_3939)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3939)))->BgL_namez00);
		}

	}



/* &<@anonymous:1437> */
	obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3940, obj_t BgL_new1041z00_3941)
	{
		{	/* Eval/evaluate_types.scm 49 */
			return ((obj_t) ((BgL_ev_exprz00_bglt) BgL_new1041z00_3941));
		}

	}



/* &lambda1435 */
	BgL_ev_exprz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3942)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1040z00_4327;

				BgL_new1040z00_4327 =
					((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 49 */
					long BgL_arg1436z00_4328;

					BgL_arg1436z00_4328 =
						BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1040z00_4327), BgL_arg1436z00_4328);
				}
				return BgL_new1040z00_4327;
			}
		}

	}



/* &lambda1433 */
	BgL_ev_exprz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3943)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1196z00_4329;

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1195z00_4330;

					BgL_new1195z00_4330 =
						((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1434z00_4331;

						BgL_arg1434z00_4331 =
							BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1195z00_4330), BgL_arg1434z00_4331);
					}
					BgL_new1196z00_4329 = BgL_new1195z00_4330;
				}
				return BgL_new1196z00_4329;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 481261960),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					242777169),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 43892022),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 207454816),
				BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					86988580), BSTRING_TO_STRING(BGl_string2389z00zz__evaluate_typesz00));
		}

	}

#ifdef __cplusplus
}
#endif
