/*===========================================================================*/
/*   (Unsafe/bignumber.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/bignumber.scm -indent -o objs/obj_u/Unsafe/bignumber.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

/* User header */
#if( BGL_HAVE_GMP == 0 )
#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t bgl_seed_rand(long);
	BGL_EXPORTED_DECL bool_t BXZERO(obj_t);
	extern obj_t BGl_u8vectorzd2ze3listz31zz__srfi4z00(obj_t);
	extern obj_t BGl_makezd2u8vectorzd2zz__srfi4z00(long, uint8_t);
	BGL_EXPORTED_DECL obj_t bgl_long_to_bignum(long);
	static obj_t BGl_fixnumzd2listzd2ze3bignumze3zz__bignumz00(obj_t, long);
	static obj_t BGl_z62z42z42bitlshbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	extern long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
	static obj_t BGl_z62z42z42divrembxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42stringzd2ze3bignumz53zz__bignumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62z42z42bitmaskbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_neg(obj_t);
	static obj_t BGl_z62z42z42remainderbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42negbxz62zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42stringzd2ze3integerzd2objz81zz__bignumz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_flonum_to_bignum(double);
	static obj_t BGl_bignumzd2ze3fixnumzd2listze3zz__bignumz00(obj_t, long);
	static obj_t BGl_requirezd2initializa7ationz75zz__bignumz00 = BUNSPEC;
	static obj_t BGl_z62z42z42za2bxzc0zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BXPOSITIVE(obj_t);
	extern obj_t BGl_makezd2u16vectorzd2zz__srfi4z00(long, uint16_t);
	static obj_t BGl_z62z42z42oddbxzf3z91zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42quotientbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static int64_t BGl_bignumzd2minzd2int64zd2divzd2radixz00zz__bignumz00(void);
	BGL_EXPORTED_DECL obj_t bgl_bignum_to_string(obj_t, long);
	static obj_t BGl_z62z42z42randbxz62zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_not(obj_t);
	static obj_t BGl_bignumzd2sum2zd2zz__bignumz00(obj_t, obj_t, long, long);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62z42z42bitorbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long bgl_bignum_to_elong(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_sub(obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3elongz53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_bignumzd2exptzd2zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42zb2bxzd0zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_quotient(obj_t, obj_t);
	static obj_t BGl_z62z42z42exptbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__bignumz00(void);
	static obj_t BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(long);
	static obj_t BGl_z62z42z42bitnotbxz62zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3uint64z53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42uint64zd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	static long BGl_bignumzd2integerzd2lengthz00zz__bignumz00(obj_t);
	static obj_t BGl_convertze70ze7zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__bignumz00(void);
	static obj_t BGl_makezd2randomzd2u8vectorz00zz__bignumz00(obj_t);
	static obj_t BGl_z62z42z42positivebxzf3z91zz__bignumz00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	extern obj_t BGl_assvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__bignumz00(void);
	static long BGl_bignumzd2signzd2zz__bignumz00(obj_t);
	extern long bgl_bignum_to_long(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__bignumz00(void);
	BGL_EXPORTED_DECL obj_t bgl_bignum_rsh(obj_t, long);
	static obj_t BGl_gczd2rootszd2initz00zz__bignumz00(void);
	static obj_t BGl_z62z42z42fixnumzd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__bignumz00(void);
	static obj_t BGl_bignumzd2signzd2setz12z12zz__bignumz00(obj_t, int);
	BGL_EXPORTED_DECL obj_t bgl_bignum_xor(obj_t, obj_t);
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_or(obj_t, obj_t);
	extern obj_t bgl_bignum_mul(obj_t, obj_t);
	static obj_t BGl_z62z42z42flonumzd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42zd2bxzb0zz__bignumz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_bignumzd2shrinkzd2zz__bignumz00(obj_t, long);
	static obj_t BGl_z62z42z42seedzd2randzb0zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00(obj_t);
	BGL_EXPORTED_DECL int64_t bgl_bignum_to_int64(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_elong_to_bignum(long);
	BGL_EXPORTED_DECL long bgl_bignum_to_long(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_mask(obj_t, long);
	static obj_t BGl_z62z42z42bignumzd2ze3int64z53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42elongzd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_gcd(obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3stringz53zz__bignumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62z42z42bitrshbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42gcdbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42bitxorbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL double bgl_bignum_to_flonum(obj_t);
	extern obj_t BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl_preallocatedzd2bignumszd2zz__bignumz00 = BUNSPEC;
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_bignumzd2subzd2nonnegz00zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_string_to_bignum(char *, int);
	BGL_EXPORTED_DECL obj_t bgl_bignum_and(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BXNEGATIVE(obj_t);
	static obj_t BGl_methodzd2initzd2zz__bignumz00(void);
	extern obj_t bgl_make_bignum(obj_t);
	static obj_t BGl_z62z42z42evenbxzf3z91zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t bgl_bignum_odd(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_abs(obj_t);
	static bool_t BGl_z42zc3bxz81zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42absbxz62zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42za7erobxzf3z36zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_rand_bignum(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_llong_to_bignum(BGL_LONGLONG_T);
	static obj_t BGl_z62z42z42llongzd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_remainder(obj_t, obj_t);
	static obj_t BGl_z62z42z42bitandbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_string_to_integer_obj(char *, long);
	static obj_t BGl_list2505z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_bignumzd2addzd2nonnegz00zz__bignumz00(obj_t, obj_t);
	static long BGl_bignumzd2minzd2elongzd2divzd2radixz00zz__bignumz00(void);
	BGL_EXPORTED_DECL obj_t bgl_int64_to_bignum(int64_t);
	static obj_t BGl_list2508z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_list2509z00zz__bignumz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t bgl_bignum_mul(obj_t, obj_t);
	static obj_t BGl_z62z42z42int64zd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_bignumzd2divzd2zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2cmpzb0zz__bignumz00(obj_t, obj_t, obj_t);
	extern int64_t BGl_expts64z00zz__r4_numbers_6_5_fixnumz00(int64_t, int64_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_expt(obj_t, obj_t);
	static obj_t BGl_list2510z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_list2511z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_list2512z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_list2513z00zz__bignumz00 = BUNSPEC;
	extern obj_t bgl_long_to_bignum(long);
	BGL_EXPORTED_DECL obj_t bgl_bignum_lsh(obj_t, long);
	BGL_EXPORTED_DECL obj_t bgl_bignum_div(obj_t, obj_t);
	extern bool_t BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_bignumzd2za7eroz75zz__bignumz00 = BUNSPEC;
	extern long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		long, long);
	static long BGl_bignumzd2lengthzd2zz__bignumz00(obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3fixnumz53zz__bignumz00(obj_t, obj_t);
	extern obj_t BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42negativebxzf3z91zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_lcm(obj_t, obj_t);
	BGL_EXPORTED_DECL uint64_t bgl_bignum_to_uint64(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_uint64_to_bignum(uint64_t);
	static obj_t BGl_z62z42z42lcmbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3flonumz53zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t bgl_bignum_even(obj_t);
	static BGL_LONGLONG_T
		BGl_bignumzd2minzd2llongzd2divzd2radixz00zz__bignumz00(void);
	BGL_EXPORTED_DECL BGL_LONGLONG_T bgl_bignum_to_llong(obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3llongz53zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int bgl_bignum_cmp(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3flonumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72539z00,
		BGl_z62z42z42bignumzd2ze3flonumz53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42positivebxzf3zd2envz21zz__bignumz00,
		BgL_bgl_za762za742za742positiv2540za7,
		BGl_z62z42z42positivebxzf3z91zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42divrembxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742divremb2541za7,
		BGl_z62z42z42divrembxz62zz__bignumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3stringzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72542z00,
		BGl_z62z42z42bignumzd2ze3stringz53zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42zb2bxzd2envz60zz__bignumz00,
		BgL_bgl_za762za742za742za7b2bxza7d2543za7,
		BGl_z62z42z42zb2bxzd0zz__bignumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3llongzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72544z00,
		BGl_z62z42z42bignumzd2ze3llongz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42za7erobxzf3zd2envz86zz__bignumz00,
		BgL_bgl_za762za742za742za7a7erob2545z00,
		BGl_z62z42z42za7erobxzf3z36zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42int64zd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742int64za7d2546z00,
		BGl_z62z42z42int64zd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42lcmbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742lcmbxza762547z00, BGl_z62z42z42lcmbxz62zz__bignumz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2500z00zz__bignumz00,
		BgL_bgl_string2500za700za7za7_2548za7, "&$$quotientbx", 13);
	      DEFINE_STRING(BGl_string2501z00zz__bignumz00,
		BgL_bgl_string2501za700za7za7_2549za7, "&$$remainderbx", 14);
	      DEFINE_STRING(BGl_string2502z00zz__bignumz00,
		BgL_bgl_string2502za700za7za7_2550za7, "&$$absbx", 8);
	      DEFINE_STRING(BGl_string2503z00zz__bignumz00,
		BgL_bgl_string2503za700za7za7_2551za7, "&$$gcdbx", 8);
	      DEFINE_STRING(BGl_string2504z00zz__bignumz00,
		BgL_bgl_string2504za700za7za7_2552za7, "&$$lcmbx", 8);
	      DEFINE_STRING(BGl_string2506z00zz__bignumz00,
		BgL_bgl_string2506za700za7za7_2553za7,
		"0123456789abcdefghijklmnopqrstuvwxyz", 36);
	      DEFINE_STRING(BGl_string2507z00zz__bignumz00,
		BgL_bgl_string2507za700za7za7_2554za7, "&$$bignum->string", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42randbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742randbxza72555z00,
		BGl_z62z42z42randbxz62zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3fixnumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72556z00,
		BGl_z62z42z42bignumzd2ze3fixnumz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2514z00zz__bignumz00,
		BgL_bgl_string2514za700za7za7_2557za7, "&$$string->bignum", 17);
	      DEFINE_STRING(BGl_string2515z00zz__bignumz00,
		BgL_bgl_string2515za700za7za7_2558za7, "&$$bignum->fixnum", 17);
	      DEFINE_STRING(BGl_string2516z00zz__bignumz00,
		BgL_bgl_string2516za700za7za7_2559za7, "&$$bignum->elong", 16);
	      DEFINE_STRING(BGl_string2517z00zz__bignumz00,
		BgL_bgl_string2517za700za7za7_2560za7, "&$$bignum->llong", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42gcdbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742gcdbxza762561z00, BGl_z62z42z42gcdbxz62zz__bignumz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2518z00zz__bignumz00,
		BgL_bgl_string2518za700za7za7_2562za7, "&$$bignum->int64", 16);
	      DEFINE_STRING(BGl_string2519z00zz__bignumz00,
		BgL_bgl_string2519za700za7za7_2563za7, "&$$bignum->uint64", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42flonumzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742flonumza72564z00,
		BGl_z62z42z42flonumzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2520z00zz__bignumz00,
		BgL_bgl_string2520za700za7za7_2565za7, "&$$seed-rand", 12);
	      DEFINE_STRING(BGl_string2521z00zz__bignumz00,
		BgL_bgl_string2521za700za7za7_2566za7, "&$$randbx", 9);
	      DEFINE_STRING(BGl_string2522z00zz__bignumz00,
		BgL_bgl_string2522za700za7za7_2567za7, "&$$flonum->bignum", 17);
	      DEFINE_STRING(BGl_string2523z00zz__bignumz00,
		BgL_bgl_string2523za700za7za7_2568za7, "real", 4);
	      DEFINE_STRING(BGl_string2524z00zz__bignumz00,
		BgL_bgl_string2524za700za7za7_2569za7, "&$$bignum->flonum", 17);
	      DEFINE_STRING(BGl_string2525z00zz__bignumz00,
		BgL_bgl_string2525za700za7za7_2570za7, "&$$bitlshbx", 11);
	      DEFINE_STRING(BGl_string2526z00zz__bignumz00,
		BgL_bgl_string2526za700za7za7_2571za7, "&$$bitrshbx", 11);
	      DEFINE_STRING(BGl_string2527z00zz__bignumz00,
		BgL_bgl_string2527za700za7za7_2572za7, "bitmaskbx", 9);
	      DEFINE_STRING(BGl_string2528z00zz__bignumz00,
		BgL_bgl_string2528za700za7za7_2573za7, "not implemented", 15);
	      DEFINE_STRING(BGl_string2529z00zz__bignumz00,
		BgL_bgl_string2529za700za7za7_2574za7, "&$$bitmaskbx", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42exptbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742exptbxza72575z00,
		BGl_z62z42z42exptbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2530z00zz__bignumz00,
		BgL_bgl_string2530za700za7za7_2576za7, "bitorbx", 7);
	      DEFINE_STRING(BGl_string2531z00zz__bignumz00,
		BgL_bgl_string2531za700za7za7_2577za7, "&$$bitorbx", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42stringzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742stringza72578z00,
		BGl_z62z42z42stringzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2532z00zz__bignumz00,
		BgL_bgl_string2532za700za7za7_2579za7, "bitxorbx", 8);
	      DEFINE_STRING(BGl_string2533z00zz__bignumz00,
		BgL_bgl_string2533za700za7za7_2580za7, "&$$bitxorbx", 11);
	      DEFINE_STRING(BGl_string2534z00zz__bignumz00,
		BgL_bgl_string2534za700za7za7_2581za7, "bitandbx", 8);
	      DEFINE_STRING(BGl_string2535z00zz__bignumz00,
		BgL_bgl_string2535za700za7za7_2582za7, "&$$bitandbx", 11);
	      DEFINE_STRING(BGl_string2536z00zz__bignumz00,
		BgL_bgl_string2536za700za7za7_2583za7, "bitnotbx", 8);
	      DEFINE_STRING(BGl_string2537z00zz__bignumz00,
		BgL_bgl_string2537za700za7za7_2584za7, "&$$bitnotbx", 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitnotbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitnotb2585za7,
		BGl_z62z42z42bitnotbxz62zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2538z00zz__bignumz00,
		BgL_bgl_string2538za700za7za7_2586za7, "__bignum", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitandbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitandb2587za7,
		BGl_z62z42z42bitandbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42negativebxzf3zd2envz21zz__bignumz00,
		BgL_bgl_za762za742za742negativ2588za7,
		BGl_z62z42z42negativebxzf3z91zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3uint64zd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72589z00,
		BGl_z62z42z42bignumzd2ze3uint64z53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42uint64zd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742uint64za72590z00,
		BGl_z62z42z42uint64zd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3elongzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72591z00,
		BGl_z62z42z42bignumzd2ze3elongz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42evenbxzf3zd2envz21zz__bignumz00,
		BgL_bgl_za762za742za742evenbxza72592z00,
		BGl_z62z42z42evenbxzf3z91zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bignumzd2cmpzd2envz00zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72593z00,
		BGl_z62z42z42bignumzd2cmpzb0zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42absbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742absbxza762594z00, BGl_z62z42z42absbxz62zz__bignumz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42oddbxzf3zd2envz21zz__bignumz00,
		BgL_bgl_za762za742za742oddbxza7f2595z00,
		BGl_z62z42z42oddbxzf3z91zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42seedzd2randzd2envz00zz__bignumz00,
		BgL_bgl_za762za742za742seedza7d22596z00,
		BGl_z62z42z42seedzd2randzb0zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitmaskbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitmask2597za7,
		BGl_z62z42z42bitmaskbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2472z00zz__bignumz00,
		BgL_bgl_string2472za700za7za7_2598za7,
		"/tmp/bigloo/runtime/Unsafe/bignumber.scm", 40);
	      DEFINE_STRING(BGl_string2473z00zz__bignumz00,
		BgL_bgl_string2473za700za7za7_2599za7, "&$$string->integer-obj", 22);
	      DEFINE_STRING(BGl_string2474z00zz__bignumz00,
		BgL_bgl_string2474za700za7za7_2600za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2475z00zz__bignumz00,
		BgL_bgl_string2475za700za7za7_2601za7, "bint", 4);
	      DEFINE_STRING(BGl_string2476z00zz__bignumz00,
		BgL_bgl_string2476za700za7za7_2602za7, "&$$elong->bignum", 16);
	      DEFINE_STRING(BGl_string2477z00zz__bignumz00,
		BgL_bgl_string2477za700za7za7_2603za7, "belong", 6);
	      DEFINE_STRING(BGl_string2478z00zz__bignumz00,
		BgL_bgl_string2478za700za7za7_2604za7, "&$$llong->bignum", 16);
	      DEFINE_STRING(BGl_string2479z00zz__bignumz00,
		BgL_bgl_string2479za700za7za7_2605za7, "bllong", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42stringzd2ze3integerzd2objzd2envz31zz__bignumz00,
		BgL_bgl_za762za742za742stringza72606z00,
		BGl_z62z42z42stringzd2ze3integerzd2objz81zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42za2bxzd2envz70zz__bignumz00,
		BgL_bgl_za762za742za742za7a2bxza7c2607za7,
		BGl_z62z42z42za2bxzc0zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2480z00zz__bignumz00,
		BgL_bgl_string2480za700za7za7_2608za7, "&$$int64->bignum", 16);
	      DEFINE_STRING(BGl_string2481z00zz__bignumz00,
		BgL_bgl_string2481za700za7za7_2609za7, "bint64", 6);
	      DEFINE_STRING(BGl_string2482z00zz__bignumz00,
		BgL_bgl_string2482za700za7za7_2610za7, "&$$uint64->bignum", 17);
	      DEFINE_STRING(BGl_string2483z00zz__bignumz00,
		BgL_bgl_string2483za700za7za7_2611za7, "buint64", 7);
	      DEFINE_STRING(BGl_string2484z00zz__bignumz00,
		BgL_bgl_string2484za700za7za7_2612za7, "&$$fixnum->bignum", 17);
	      DEFINE_STRING(BGl_string2485z00zz__bignumz00,
		BgL_bgl_string2485za700za7za7_2613za7, "&$$zerobx?", 10);
	      DEFINE_STRING(BGl_string2486z00zz__bignumz00,
		BgL_bgl_string2486za700za7za7_2614za7, "bignum", 6);
	      DEFINE_STRING(BGl_string2487z00zz__bignumz00,
		BgL_bgl_string2487za700za7za7_2615za7, "&$$negativebx?", 14);
	      DEFINE_STRING(BGl_string2488z00zz__bignumz00,
		BgL_bgl_string2488za700za7za7_2616za7, "&$$positivebx?", 14);
	      DEFINE_STRING(BGl_string2489z00zz__bignumz00,
		BgL_bgl_string2489za700za7za7_2617za7, "&$$evenbx?", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitlshbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitlshb2618za7,
		BGl_z62z42z42bitlshbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitrshbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitrshb2619za7,
		BGl_z62z42z42bitrshbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2490z00zz__bignumz00,
		BgL_bgl_string2490za700za7za7_2620za7, "&$$oddbx?", 9);
	      DEFINE_STRING(BGl_string2491z00zz__bignumz00,
		BgL_bgl_string2491za700za7za7_2621za7, "&$$bignum-cmp", 13);
	      DEFINE_STRING(BGl_string2492z00zz__bignumz00,
		BgL_bgl_string2492za700za7za7_2622za7, "&$$+bx", 6);
	      DEFINE_STRING(BGl_string2493z00zz__bignumz00,
		BgL_bgl_string2493za700za7za7_2623za7, "&$$-bx", 6);
	      DEFINE_STRING(BGl_string2494z00zz__bignumz00,
		BgL_bgl_string2494za700za7za7_2624za7, "&$$negbx", 8);
	      DEFINE_STRING(BGl_string2495z00zz__bignumz00,
		BgL_bgl_string2495za700za7za7_2625za7, "&$$*bx", 6);
	      DEFINE_STRING(BGl_string2496z00zz__bignumz00,
		BgL_bgl_string2496za700za7za7_2626za7, "&$$exptbx", 9);
	      DEFINE_STRING(BGl_string2497z00zz__bignumz00,
		BgL_bgl_string2497za700za7za7_2627za7, "/bx", 3);
	      DEFINE_STRING(BGl_string2498z00zz__bignumz00,
		BgL_bgl_string2498za700za7za7_2628za7, "divide by zero", 14);
	      DEFINE_STRING(BGl_string2499z00zz__bignumz00,
		BgL_bgl_string2499za700za7za7_2629za7, "&$$divrembx", 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitxorbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitxorb2630za7,
		BGl_z62z42z42bitxorbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitorbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitorbx2631za7, BGl_z62z42z42bitorbxz62zz__bignumz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42zd2bxzd2envz00zz__bignumz00,
		BgL_bgl_za762za742za742za7d2bxza7b2632za7,
		BGl_z62z42z42zd2bxzb0zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42quotientbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742quotien2633za7,
		BGl_z62z42z42quotientbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3int64zd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72634z00,
		BGl_z62z42z42bignumzd2ze3int64z53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42elongzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742elongza7d2635z00,
		BGl_z62z42z42elongzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42fixnumzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742fixnumza72636z00,
		BGl_z62z42z42fixnumzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42llongzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742llongza7d2637z00,
		BGl_z62z42z42llongzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42remainderbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742remaind2638za7,
		BGl_z62z42z42remainderbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42negbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742negbxza762639z00, BGl_z62z42z42negbxz62zz__bignumz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_preallocatedzd2bignumszd2zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2505z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2508z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2509z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2510z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2511z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2512z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2513z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_bignumzd2za7eroz75zz__bignumz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long
		BgL_checksumz00_5708, char *BgL_fromz00_5709)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__bignumz00))
				{
					BGl_requirezd2initializa7ationz75zz__bignumz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__bignumz00();
					BGl_cnstzd2initzd2zz__bignumz00();
					BGl_importedzd2moduleszd2initz00zz__bignumz00();
					return BGl_toplevelzd2initzd2zz__bignumz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 45 */
			BGl_list2505z00zz__bignumz00 = MAKE_YOUNG_PAIR(BINT(((long) 0)), BNIL);
			BGl_list2508z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '+')),
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '-')), BNIL));
			BGl_list2510z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'x')), BINT(((long) 16)));
			BGl_list2511z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'd')), BINT(((long) 10)));
			BGl_list2512z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'o')), BINT(((long) 8)));
			BGl_list2513z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'b')), BINT(((long) 2)));
			return (BGl_list2509z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BGl_list2510z00zz__bignumz00,
					MAKE_YOUNG_PAIR(BGl_list2511z00zz__bignumz00,
						MAKE_YOUNG_PAIR(BGl_list2512z00zz__bignumz00,
							MAKE_YOUNG_PAIR(BGl_list2513z00zz__bignumz00, BNIL)))), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 45 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 45 */
			{	/* Unsafe/bignumber.scm 406 */
				obj_t BgL_vz00_1278;

				BgL_vz00_1278 = make_vector(((long) 33), BFALSE);
				{
					long BgL_iz00_2781;
					long BgL_nz00_2782;

					BgL_iz00_2781 = ((long) 0);
					BgL_nz00_2782 = ((long) -16);
				BgL_loopz00_2780:
					if ((((long) 16) < BgL_nz00_2782))
						{	/* Unsafe/bignumber.scm 408 */
							BGl_preallocatedzd2bignumszd2zz__bignumz00 = BgL_vz00_1278;
						}
					else
						{	/* Unsafe/bignumber.scm 408 */
							VECTOR_SET(BgL_vz00_1278, BgL_iz00_2781,
								BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
								(BgL_nz00_2782));
							{
								long BgL_nz00_5747;
								long BgL_iz00_5745;

								BgL_iz00_5745 = (BgL_iz00_2781 + ((long) 1));
								BgL_nz00_5747 = (BgL_nz00_2782 + ((long) 1));
								BgL_nz00_2782 = BgL_nz00_5747;
								BgL_iz00_2781 = BgL_iz00_5745;
								goto BgL_loopz00_2780;
							}
						}
				}
			}
			{	/* Unsafe/bignumber.scm 420 */
				obj_t BgL_res2322z00_2801;

				{	/* Unsafe/bignumber.scm 415 */
					bool_t BgL_test2642z00_5749;

					if ((((long) 0) < ((long) -16)))
						{	/* Unsafe/bignumber.scm 415 */
							BgL_test2642z00_5749 = ((bool_t) 1);
						}
					else
						{	/* Unsafe/bignumber.scm 415 */
							BgL_test2642z00_5749 = (((long) 16) < ((long) 0));
						}
					if (BgL_test2642z00_5749)
						{	/* Unsafe/bignumber.scm 415 */
							BgL_res2322z00_2801 =
								BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
									0));
						}
					else
						{	/* Unsafe/bignumber.scm 415 */
							BgL_res2322z00_2801 =
								VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
								(((long) 0) + ((long) 16)));
				}}
				return (BGl_bignumzd2za7eroz75zz__bignumz00 =
					BgL_res2322z00_2801, BUNSPEC);
			}
		}

	}



/* $$string->integer-obj */
	BGL_EXPORTED_DEF obj_t bgl_string_to_integer_obj(char *BgL_strz00_3,
		long BgL_radixz00_4)
	{
		{	/* Unsafe/bignumber.scm 194 */
			{	/* Unsafe/bignumber.scm 195 */

				return
					BINT(BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
					(string_to_bstring(BgL_strz00_3), BgL_radixz00_4, ((long) 0)));
		}}

	}



/* &$$string->integer-obj */
	obj_t BGl_z62z42z42stringzd2ze3integerzd2objz81zz__bignumz00(obj_t
		BgL_envz00_5495, obj_t BgL_strz00_5496, obj_t BgL_radixz00_5497)
	{
		{	/* Unsafe/bignumber.scm 194 */
			{	/* Unsafe/bignumber.scm 195 */
				long BgL_auxz00_5768;
				char *BgL_auxz00_5759;

				{	/* Unsafe/bignumber.scm 195 */
					obj_t BgL_tmpz00_5769;

					if (INTEGERP(BgL_radixz00_5497))
						{	/* Unsafe/bignumber.scm 195 */
							BgL_tmpz00_5769 = BgL_radixz00_5497;
						}
					else
						{
							obj_t BgL_auxz00_5772;

							BgL_auxz00_5772 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 8257)), BGl_string2473z00zz__bignumz00,
								BGl_string2475z00zz__bignumz00, BgL_radixz00_5497);
							FAILURE(BgL_auxz00_5772, BFALSE, BFALSE);
						}
					BgL_auxz00_5768 = (long) CINT(BgL_tmpz00_5769);
				}
				{	/* Unsafe/bignumber.scm 195 */
					obj_t BgL_tmpz00_5760;

					if (STRINGP(BgL_strz00_5496))
						{	/* Unsafe/bignumber.scm 195 */
							BgL_tmpz00_5760 = BgL_strz00_5496;
						}
					else
						{
							obj_t BgL_auxz00_5763;

							BgL_auxz00_5763 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 8257)), BGl_string2473z00zz__bignumz00,
								BGl_string2474z00zz__bignumz00, BgL_strz00_5496);
							FAILURE(BgL_auxz00_5763, BFALSE, BFALSE);
						}
					BgL_auxz00_5759 = BSTRING_TO_STRING(BgL_tmpz00_5760);
				}
				return bgl_string_to_integer_obj(BgL_auxz00_5759, BgL_auxz00_5768);
			}
		}

	}



/* bignum-min-elong-div-radix */
	long BGl_bignumzd2minzd2elongzd2divzd2radixz00zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 236 */
			{	/* Unsafe/bignumber.scm 237 */
				long BgL_arg1200z00_1300;

				BgL_arg1200z00_1300 =
					(((long) -2) * ((long) (((long) 1)) << (int) (((long) 30))));
				return (BgL_arg1200z00_1300 / ((long) 16384));
		}}

	}



/* bignum-min-llong-div-radix */
	BGL_LONGLONG_T BGl_bignumzd2minzd2llongzd2divzd2radixz00zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 243 */
			{	/* Unsafe/bignumber.scm 244 */
				BGL_LONGLONG_T BgL_arg1205z00_1303;

				BgL_arg1205z00_1303 =
					((-((BGL_LONGLONG_T) 2)) *
					(LONG_TO_LLONG(((long) 1)) << (int) (((long) 60))));
				return (BgL_arg1205z00_1303 / ((BGL_LONGLONG_T) 32768));
			}
		}

	}



/* bignum-min-int64-div-radix */
	int64_t BGl_bignumzd2minzd2int64zd2divzd2radixz00zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 252 */
			{	/* Unsafe/bignumber.scm 253 */
				int64_t BgL_arg1212z00_1306;

				BgL_arg1212z00_1306 =
					((int64_t) (-2) *
					BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t) (2),
						(int64_t) (((long) 60))));
				return (BgL_arg1212z00_1306 / (int64_t) (32768));
			}
		}

	}



/* bignum-length */
	long BGl_bignumzd2lengthzd2zz__bignumz00(obj_t BgL_bnz00_6)
	{
		{	/* Unsafe/bignumber.scm 260 */
			{	/* Unsafe/bignumber.scm 261 */
				long BgL_arg1224z00_2835;

				{	/* Unsafe/bignumber.scm 261 */
					obj_t BgL_arg1226z00_2836;

					BgL_arg1226z00_2836 = BGL_BIGNUM_U16VECT(BgL_bnz00_6);
					BgL_arg1224z00_2835 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_2836);
				}
				{	/* Unsafe/bignumber.scm 261 */
					uint16_t BgL_xz00_2838;

					BgL_xz00_2838 = (uint16_t) (BgL_arg1224z00_2835);
					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg2271z00_2839;

						BgL_arg2271z00_2839 = (long) (BgL_xz00_2838);
						return (long) (BgL_arg2271z00_2839);
		}}}}

	}



/* bignum-sign */
	long BGl_bignumzd2signzd2zz__bignumz00(obj_t BgL_bnz00_7)
	{
		{	/* Unsafe/bignumber.scm 262 */
			{	/* Unsafe/bignumber.scm 263 */
				uint16_t BgL_arg1228z00_2841;

				{	/* Unsafe/bignumber.scm 263 */
					obj_t BgL_arg1235z00_2842;

					BgL_arg1235z00_2842 = BGL_BIGNUM_U16VECT(BgL_bnz00_7);
					BgL_arg1228z00_2841 = BGL_U16VREF(BgL_arg1235z00_2842, ((long) 0));
				}
				{	/* Unsafe/bignumber.scm 263 */
					long BgL_arg2271z00_2844;

					BgL_arg2271z00_2844 = (long) (BgL_arg1228z00_2841);
					return (long) (BgL_arg2271z00_2844);
		}}}

	}



/* bignum-sign-set! */
	obj_t BGl_bignumzd2signzd2setz12z12zz__bignumz00(obj_t BgL_bnz00_8,
		int BgL_signz00_9)
	{
		{	/* Unsafe/bignumber.scm 264 */
			{	/* Unsafe/bignumber.scm 265 */
				obj_t BgL_arg1239z00_2846;
				uint16_t BgL_arg1240z00_2847;

				BgL_arg1239z00_2846 = BGL_BIGNUM_U16VECT(BgL_bnz00_8);
				{	/* Unsafe/bignumber.scm 265 */
					long BgL_tmpz00_5802;

					BgL_tmpz00_5802 = (long) (BgL_signz00_9);
					BgL_arg1240z00_2847 = (uint16_t) (BgL_tmpz00_5802);
				}
				BGL_U16VSET(BgL_arg1239z00_2846, ((long) 0), BgL_arg1240z00_2847);
				return BUNSPEC;
			}
		}

	}



/* bignum-shrink */
	obj_t BGl_bignumzd2shrinkzd2zz__bignumz00(obj_t BgL_xz00_17,
		long BgL_lenz00_18)
	{
		{	/* Unsafe/bignumber.scm 278 */
			{	/* Unsafe/bignumber.scm 279 */
				obj_t BgL_yz00_1321;

				{	/* Unsafe/bignumber.scm 279 */
					int BgL_lenz00_2863;

					BgL_lenz00_2863 = (int) (BgL_lenz00_18);
					{	/* Unsafe/bignumber.scm 259 */
						obj_t BgL_arg1220z00_2864;

						{	/* Unsafe/bignumber.scm 259 */

							BgL_arg1220z00_2864 =
								BGl_makezd2u16vectorzd2zz__srfi4z00(
								(long) (BgL_lenz00_2863), (uint16_t) (0));
						}
						BgL_yz00_1321 = bgl_make_bignum(BgL_arg1220z00_2864);
				}}
				{	/* Unsafe/bignumber.scm 280 */
					long BgL_g1042z00_1322;

					BgL_g1042z00_1322 = (BgL_lenz00_18 - ((long) 1));
					{
						long BgL_iz00_1324;

						BgL_iz00_1324 = BgL_g1042z00_1322;
					BgL_zc3z04anonymousza31261ze3z87_1325:
						if ((BgL_iz00_1324 < ((long) 0)))
							{	/* Unsafe/bignumber.scm 281 */
								return BgL_yz00_1321;
							}
						else
							{	/* Unsafe/bignumber.scm 281 */
								{	/* Unsafe/bignumber.scm 284 */
									long BgL_arg1263z00_1327;

									{	/* Unsafe/bignumber.scm 284 */
										int BgL_iz00_2870;

										BgL_iz00_2870 = (int) (BgL_iz00_1324);
										{	/* Unsafe/bignumber.scm 267 */
											uint16_t BgL_arg1241z00_2871;

											{	/* Unsafe/bignumber.scm 267 */
												obj_t BgL_arg1242z00_2872;

												BgL_arg1242z00_2872 = BGL_BIGNUM_U16VECT(BgL_xz00_17);
												{	/* Unsafe/bignumber.scm 267 */
													long BgL_tmpz00_5815;

													BgL_tmpz00_5815 = (long) (BgL_iz00_2870);
													BgL_arg1241z00_2871 =
														BGL_U16VREF(BgL_arg1242z00_2872, BgL_tmpz00_5815);
											}}
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_arg2271z00_2874;

												BgL_arg2271z00_2874 = (long) (BgL_arg1241z00_2871);
												BgL_arg1263z00_1327 = (long) (BgL_arg2271z00_2874);
									}}}
									{	/* Unsafe/bignumber.scm 284 */
										int BgL_iz00_2877;
										int BgL_digitz00_2878;

										BgL_iz00_2877 = (int) (BgL_iz00_1324);
										BgL_digitz00_2878 = (int) (BgL_arg1263z00_1327);
										{	/* Unsafe/bignumber.scm 269 */
											obj_t BgL_arg1244z00_2879;
											uint16_t BgL_arg1260z00_2880;

											BgL_arg1244z00_2879 = BGL_BIGNUM_U16VECT(BgL_yz00_1321);
											{	/* Unsafe/bignumber.scm 269 */
												long BgL_tmpz00_5823;

												BgL_tmpz00_5823 = (long) (BgL_digitz00_2878);
												BgL_arg1260z00_2880 = (uint16_t) (BgL_tmpz00_5823);
											}
											{	/* Unsafe/bignumber.scm 269 */
												long BgL_tmpz00_5826;

												BgL_tmpz00_5826 = (long) (BgL_iz00_2877);
												BGL_U16VSET(BgL_arg1244z00_2879, BgL_tmpz00_5826,
													BgL_arg1260z00_2880);
											} BUNSPEC;
								}}}
								{
									long BgL_iz00_5829;

									BgL_iz00_5829 = (BgL_iz00_1324 - ((long) 1));
									BgL_iz00_1324 = BgL_iz00_5829;
									goto BgL_zc3z04anonymousza31261ze3z87_1325;
								}
							}
					}
				}
			}
		}

	}



/* bignum-remove-leading-zeroes */
	obj_t BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00(obj_t
		BgL_xz00_19)
	{
		{	/* Unsafe/bignumber.scm 287 */
			{	/* Unsafe/bignumber.scm 288 */
				long BgL_signz00_1330;

				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1228z00_2884;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1235z00_2885;

						BgL_arg1235z00_2885 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
						BgL_arg1228z00_2884 = BGL_U16VREF(BgL_arg1235z00_2885, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2271z00_2887;

						BgL_arg2271z00_2887 = (long) (BgL_arg1228z00_2884);
						BgL_signz00_1330 = (long) (BgL_arg2271z00_2887);
				}}
				{	/* Unsafe/bignumber.scm 265 */
					obj_t BgL_arg1239z00_2891;
					uint16_t BgL_arg1240z00_2892;

					BgL_arg1239z00_2891 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
					BgL_arg1240z00_2892 = (uint16_t) (((long) 1));
					BGL_U16VSET(BgL_arg1239z00_2891, ((long) 0), BgL_arg1240z00_2892);
					BUNSPEC;
				}
				{	/* Unsafe/bignumber.scm 290 */
					long BgL_g1043z00_1331;

					{	/* Unsafe/bignumber.scm 290 */
						long BgL_arg1282z00_1347;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_2894;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_2895;

								BgL_arg1226z00_2895 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
								BgL_arg1224z00_2894 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_2895);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_2897;

								BgL_xz00_2897 = (uint16_t) (BgL_arg1224z00_2894);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_2898;

									BgL_arg2271z00_2898 = (long) (BgL_xz00_2897);
									BgL_arg1282z00_1347 = (long) (BgL_arg2271z00_2898);
						}}}
						BgL_g1043z00_1331 = (BgL_arg1282z00_1347 - ((long) 1));
					}
					{
						long BgL_iz00_1333;

						BgL_iz00_1333 = BgL_g1043z00_1331;
					BgL_zc3z04anonymousza31265ze3z87_1334:
						{	/* Unsafe/bignumber.scm 291 */
							bool_t BgL_test2647z00_5844;

							{	/* Unsafe/bignumber.scm 291 */
								long BgL_arg1281z00_1345;

								{	/* Unsafe/bignumber.scm 291 */
									int BgL_iz00_2902;

									BgL_iz00_2902 = (int) (BgL_iz00_1333);
									{	/* Unsafe/bignumber.scm 267 */
										uint16_t BgL_arg1241z00_2903;

										{	/* Unsafe/bignumber.scm 267 */
											obj_t BgL_arg1242z00_2904;

											BgL_arg1242z00_2904 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_tmpz00_5847;

												BgL_tmpz00_5847 = (long) (BgL_iz00_2902);
												BgL_arg1241z00_2903 =
													BGL_U16VREF(BgL_arg1242z00_2904, BgL_tmpz00_5847);
										}}
										{	/* Unsafe/bignumber.scm 267 */
											long BgL_arg2271z00_2906;

											BgL_arg2271z00_2906 = (long) (BgL_arg1241z00_2903);
											BgL_arg1281z00_1345 = (long) (BgL_arg2271z00_2906);
								}}}
								BgL_test2647z00_5844 = (BgL_arg1281z00_1345 == ((long) 0));
							}
							if (BgL_test2647z00_5844)
								{
									long BgL_iz00_5853;

									BgL_iz00_5853 = (BgL_iz00_1333 - ((long) 1));
									BgL_iz00_1333 = BgL_iz00_5853;
									goto BgL_zc3z04anonymousza31265ze3z87_1334;
								}
							else
								{	/* Unsafe/bignumber.scm 291 */
									if ((BgL_iz00_1333 == ((long) 0)))
										{	/* Unsafe/bignumber.scm 293 */
											return BGl_bignumzd2za7eroz75zz__bignumz00;
										}
									else
										{	/* Unsafe/bignumber.scm 293 */
											{	/* Unsafe/bignumber.scm 296 */
												int BgL_signz00_2912;

												BgL_signz00_2912 = (int) (BgL_signz00_1330);
												{	/* Unsafe/bignumber.scm 265 */
													obj_t BgL_arg1239z00_2913;
													uint16_t BgL_arg1240z00_2914;

													BgL_arg1239z00_2913 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
													{	/* Unsafe/bignumber.scm 265 */
														long BgL_tmpz00_5859;

														BgL_tmpz00_5859 = (long) (BgL_signz00_2912);
														BgL_arg1240z00_2914 = (uint16_t) (BgL_tmpz00_5859);
													}
													BGL_U16VSET(BgL_arg1239z00_2913, ((long) 0),
														BgL_arg1240z00_2914);
													BUNSPEC;
											}}
											{	/* Unsafe/bignumber.scm 297 */
												bool_t BgL_test2649z00_5863;

												{	/* Unsafe/bignumber.scm 297 */
													long BgL_arg1276z00_1343;

													{	/* Unsafe/bignumber.scm 297 */
														long BgL_arg1278z00_1344;

														{	/* Unsafe/bignumber.scm 261 */
															long BgL_arg1224z00_2917;

															{	/* Unsafe/bignumber.scm 261 */
																obj_t BgL_arg1226z00_2918;

																BgL_arg1226z00_2918 =
																	BGL_BIGNUM_U16VECT(BgL_xz00_19);
																BgL_arg1224z00_2917 =
																	BGL_HVECTOR_LENGTH(BgL_arg1226z00_2918);
															}
															{	/* Unsafe/bignumber.scm 261 */
																uint16_t BgL_xz00_2920;

																BgL_xz00_2920 =
																	(uint16_t) (BgL_arg1224z00_2917);
																{	/* Unsafe/bignumber.scm 261 */
																	long BgL_arg2271z00_2921;

																	BgL_arg2271z00_2921 = (long) (BgL_xz00_2920);
																	BgL_arg1278z00_1344 =
																		(long) (BgL_arg2271z00_2921);
														}}}
														BgL_arg1276z00_1343 =
															(BgL_arg1278z00_1344 - ((long) 1));
													}
													BgL_test2649z00_5863 =
														(BgL_iz00_1333 == BgL_arg1276z00_1343);
												}
												if (BgL_test2649z00_5863)
													{	/* Unsafe/bignumber.scm 297 */
														return BgL_xz00_19;
													}
												else
													{	/* Unsafe/bignumber.scm 297 */
														return
															BGl_bignumzd2shrinkzd2zz__bignumz00(BgL_xz00_19,
															(BgL_iz00_1333 + ((long) 1)));
		}}}}}}}}}

	}



/* $$fixnum->bignum-fresh */
	obj_t BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(long BgL_nz00_21)
	{
		{	/* Unsafe/bignumber.scm 305 */
			{	/* Unsafe/bignumber.scm 306 */
				long BgL_negzd2nzd2_1348;

				if ((BgL_nz00_21 < ((long) 0)))
					{	/* Unsafe/bignumber.scm 306 */
						BgL_negzd2nzd2_1348 = BgL_nz00_21;
					}
				else
					{	/* Unsafe/bignumber.scm 306 */
						BgL_negzd2nzd2_1348 = (((long) 0) - BgL_nz00_21);
					}
				{
					long BgL_nbzd2digitszd2_1350;
					long BgL_xz00_1351;

					BgL_nbzd2digitszd2_1350 = ((long) 0);
					BgL_xz00_1351 = BgL_negzd2nzd2_1348;
				BgL_zc3z04anonymousza31283ze3z87_1352:
					if ((BgL_xz00_1351 == ((long) 0)))
						{	/* Unsafe/bignumber.scm 311 */
							obj_t BgL_rz00_1354;

							{	/* Unsafe/bignumber.scm 311 */
								long BgL_arg1299z00_1368;

								BgL_arg1299z00_1368 = (BgL_nbzd2digitszd2_1350 + ((long) 1));
								{	/* Unsafe/bignumber.scm 311 */
									int BgL_lenz00_2931;

									BgL_lenz00_2931 = (int) (BgL_arg1299z00_1368);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_2932;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_2932 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_2931), (uint16_t) (0));
										}
										BgL_rz00_1354 = bgl_make_bignum(BgL_arg1220z00_2932);
							}}}
							if ((BgL_nz00_21 < ((long) 0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_2938;
									uint16_t BgL_arg1240z00_2939;

									BgL_arg1239z00_2938 = BGL_BIGNUM_U16VECT(BgL_rz00_1354);
									BgL_arg1240z00_2939 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1239z00_2938, ((long) 0),
										BgL_arg1240z00_2939);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_2942;
									uint16_t BgL_arg1240z00_2943;

									BgL_arg1239z00_2942 = BGL_BIGNUM_U16VECT(BgL_rz00_1354);
									BgL_arg1240z00_2943 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1239z00_2942, ((long) 0),
										BgL_arg1240z00_2943);
									BUNSPEC;
								}
							{
								long BgL_iz00_2969;
								long BgL_xz00_2970;

								BgL_iz00_2969 = ((long) 1);
								BgL_xz00_2970 = BgL_negzd2nzd2_1348;
							BgL_loop2z00_2968:
								if ((BgL_xz00_2970 == ((long) 0)))
									{	/* Unsafe/bignumber.scm 316 */
										return BgL_rz00_1354;
									}
								else
									{	/* Unsafe/bignumber.scm 316 */
										{	/* Unsafe/bignumber.scm 321 */
											long BgL_arg1292z00_2973;

											{	/* Unsafe/bignumber.scm 321 */
												long BgL_arg1293z00_2974;

												{	/* Unsafe/bignumber.scm 321 */
													long BgL_n1z00_2976;
													long BgL_n2z00_2977;

													BgL_n1z00_2976 = BgL_xz00_2970;
													BgL_n2z00_2977 = ((long) 16384);
													{	/* Unsafe/bignumber.scm 321 */
														bool_t BgL_test2654z00_5893;

														{	/* Unsafe/bignumber.scm 321 */
															long BgL_arg2169z00_2979;

															BgL_arg2169z00_2979 =
																(((BgL_n1z00_2976) | (BgL_n2z00_2977)) &
																-2147483648);
															BgL_test2654z00_5893 =
																(BgL_arg2169z00_2979 == ((long) 0));
														}
														if (BgL_test2654z00_5893)
															{	/* Unsafe/bignumber.scm 321 */
																int32_t BgL_arg2166z00_2981;

																{	/* Unsafe/bignumber.scm 321 */
																	int32_t BgL_arg2167z00_2982;
																	int32_t BgL_arg2168z00_2983;

																	BgL_arg2167z00_2982 =
																		(int32_t) (BgL_n1z00_2976);
																	BgL_arg2168z00_2983 =
																		(int32_t) (BgL_n2z00_2977);
																	BgL_arg2166z00_2981 =
																		(BgL_arg2167z00_2982 % BgL_arg2168z00_2983);
																}
																{	/* Unsafe/bignumber.scm 321 */
																	long BgL_arg2270z00_2987;

																	BgL_arg2270z00_2987 =
																		(long) (BgL_arg2166z00_2981);
																	BgL_arg1293z00_2974 =
																		(long) (BgL_arg2270z00_2987);
															}}
														else
															{	/* Unsafe/bignumber.scm 321 */
																BgL_arg1293z00_2974 =
																	(BgL_n1z00_2976 % BgL_n2z00_2977);
															}
													}
												}
												BgL_arg1292z00_2973 =
													(((long) 0) - BgL_arg1293z00_2974);
											}
											{	/* Unsafe/bignumber.scm 318 */
												int BgL_iz00_2991;
												int BgL_digitz00_2992;

												BgL_iz00_2991 = (int) (BgL_iz00_2969);
												BgL_digitz00_2992 = (int) (BgL_arg1292z00_2973);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1244z00_2993;
													uint16_t BgL_arg1260z00_2994;

													BgL_arg1244z00_2993 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1354);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_5906;

														BgL_tmpz00_5906 = (long) (BgL_digitz00_2992);
														BgL_arg1260z00_2994 = (uint16_t) (BgL_tmpz00_5906);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_5909;

														BgL_tmpz00_5909 = (long) (BgL_iz00_2991);
														BGL_U16VSET(BgL_arg1244z00_2993, BgL_tmpz00_5909,
															BgL_arg1260z00_2994);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 322 */
											long BgL_arg1295z00_2996;
											long BgL_arg1296z00_2997;

											BgL_arg1295z00_2996 = (BgL_iz00_2969 + ((long) 1));
											BgL_arg1296z00_2997 = (BgL_xz00_2970 / ((long) 16384));
											{
												long BgL_xz00_5915;
												long BgL_iz00_5914;

												BgL_iz00_5914 = BgL_arg1295z00_2996;
												BgL_xz00_5915 = BgL_arg1296z00_2997;
												BgL_xz00_2970 = BgL_xz00_5915;
												BgL_iz00_2969 = BgL_iz00_5914;
												goto BgL_loop2z00_2968;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 310 */
							long BgL_arg1302z00_1369;
							long BgL_arg1303z00_1370;

							BgL_arg1302z00_1369 = (BgL_nbzd2digitszd2_1350 + ((long) 1));
							BgL_arg1303z00_1370 = (BgL_xz00_1351 / ((long) 16384));
							{
								long BgL_xz00_5919;
								long BgL_nbzd2digitszd2_5918;

								BgL_nbzd2digitszd2_5918 = BgL_arg1302z00_1369;
								BgL_xz00_5919 = BgL_arg1303z00_1370;
								BgL_xz00_1351 = BgL_xz00_5919;
								BgL_nbzd2digitszd2_1350 = BgL_nbzd2digitszd2_5918;
								goto BgL_zc3z04anonymousza31283ze3z87_1352;
							}
						}
				}
			}
		}

	}



/* $$elong->bignum */
	BGL_EXPORTED_DEF obj_t bgl_elong_to_bignum(long BgL_nz00_22)
	{
		{	/* Unsafe/bignumber.scm 325 */
			{	/* Unsafe/bignumber.scm 326 */
				long BgL_negzd2nzd2_1374;

				if ((BgL_nz00_22 < ((long) 0)))
					{	/* Unsafe/bignumber.scm 326 */
						BgL_negzd2nzd2_1374 = BgL_nz00_22;
					}
				else
					{	/* Unsafe/bignumber.scm 326 */
						long BgL_res2323z00_3009;

						{	/* Unsafe/bignumber.scm 326 */
							long BgL_tmpz00_5922;

							BgL_tmpz00_5922 = (((long) 0) - BgL_nz00_22);
							BgL_res2323z00_3009 = (long) (BgL_tmpz00_5922);
						}
						BgL_negzd2nzd2_1374 = BgL_res2323z00_3009;
					}
				{
					long BgL_nbzd2digitszd2_1376;
					long BgL_xz00_1377;

					BgL_nbzd2digitszd2_1376 = ((long) 0);
					BgL_xz00_1377 = BgL_negzd2nzd2_1374;
				BgL_zc3z04anonymousza31306ze3z87_1378:
					if ((BgL_xz00_1377 == (long) (((long) 0))))
						{	/* Unsafe/bignumber.scm 331 */
							obj_t BgL_rz00_1380;

							{	/* Unsafe/bignumber.scm 331 */
								long BgL_arg1325z00_1396;

								BgL_arg1325z00_1396 = (BgL_nbzd2digitszd2_1376 + ((long) 1));
								{	/* Unsafe/bignumber.scm 331 */
									int BgL_lenz00_3013;

									BgL_lenz00_3013 = (int) (BgL_arg1325z00_1396);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3014;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3014 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3013), (uint16_t) (0));
										}
										BgL_rz00_1380 = bgl_make_bignum(BgL_arg1220z00_3014);
							}}}
							if ((BgL_nz00_22 < ((long) 0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3021;
									uint16_t BgL_arg1240z00_3022;

									BgL_arg1239z00_3021 = BGL_BIGNUM_U16VECT(BgL_rz00_1380);
									BgL_arg1240z00_3022 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1239z00_3021, ((long) 0),
										BgL_arg1240z00_3022);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3025;
									uint16_t BgL_arg1240z00_3026;

									BgL_arg1239z00_3025 = BGL_BIGNUM_U16VECT(BgL_rz00_1380);
									BgL_arg1240z00_3026 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1239z00_3025, ((long) 0),
										BgL_arg1240z00_3026);
									BUNSPEC;
								}
							{
								int BgL_iz00_3042;
								long BgL_xz00_3043;

								BgL_iz00_3042 = (int) (((long) 1));
								BgL_xz00_3043 = BgL_negzd2nzd2_1374;
							BgL_loop2z00_3041:
								if ((BgL_xz00_3043 == ((long) 0)))
									{	/* Unsafe/bignumber.scm 336 */
										return BgL_rz00_1380;
									}
								else
									{	/* Unsafe/bignumber.scm 336 */
										{	/* Unsafe/bignumber.scm 341 */
											long BgL_arg1311z00_3047;

											{	/* Unsafe/bignumber.scm 341 */
												long BgL_arg1313z00_3048;

												{	/* Unsafe/bignumber.scm 341 */
													long BgL_arg1314z00_3049;

													{	/* Unsafe/bignumber.scm 341 */
														long BgL_arg1315z00_3050;

														BgL_arg1315z00_3050 = (long) (((long) 16384));
														BgL_arg1314z00_3049 =
															(BgL_xz00_3043 % BgL_arg1315z00_3050);
													}
													BgL_arg1313z00_3048 = (long) (BgL_arg1314z00_3049);
												}
												BgL_arg1311z00_3047 =
													(((long) 0) - BgL_arg1313z00_3048);
											}
											{	/* Unsafe/bignumber.scm 338 */
												int BgL_digitz00_3057;

												BgL_digitz00_3057 = (int) (BgL_arg1311z00_3047);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1244z00_3058;
													uint16_t BgL_arg1260z00_3059;

													BgL_arg1244z00_3058 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1380);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_5949;

														BgL_tmpz00_5949 = (long) (BgL_digitz00_3057);
														BgL_arg1260z00_3059 = (uint16_t) (BgL_tmpz00_5949);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_5952;

														BgL_tmpz00_5952 = (long) (BgL_iz00_3042);
														BGL_U16VSET(BgL_arg1244z00_3058, BgL_tmpz00_5952,
															BgL_arg1260z00_3059);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 342 */
											long BgL_arg1317z00_3061;
											long BgL_arg1318z00_3062;

											BgL_arg1317z00_3061 =
												((long) (BgL_iz00_3042) + ((long) 1));
											{	/* Unsafe/bignumber.scm 342 */
												long BgL_n2z00_3066;

												BgL_n2z00_3066 = (long) (((long) 16384));
												BgL_arg1318z00_3062 = (BgL_xz00_3043 / BgL_n2z00_3066);
											}
											{
												long BgL_xz00_5961;
												int BgL_iz00_5959;

												BgL_iz00_5959 = (int) (BgL_arg1317z00_3061);
												BgL_xz00_5961 = BgL_arg1318z00_3062;
												BgL_xz00_3043 = BgL_xz00_5961;
												BgL_iz00_3042 = BgL_iz00_5959;
												goto BgL_loop2z00_3041;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 330 */
							long BgL_arg1326z00_1397;
							long BgL_arg1327z00_1398;

							BgL_arg1326z00_1397 = (BgL_nbzd2digitszd2_1376 + ((long) 1));
							{	/* Unsafe/bignumber.scm 330 */
								long BgL_arg1328z00_1399;

								BgL_arg1328z00_1399 =
									((long) (((long) 1)) << (int) (((long) 15)));
								BgL_arg1327z00_1398 = (BgL_xz00_1377 / BgL_arg1328z00_1399);
							}
							{
								long BgL_xz00_5969;
								long BgL_nbzd2digitszd2_5968;

								BgL_nbzd2digitszd2_5968 = BgL_arg1326z00_1397;
								BgL_xz00_5969 = BgL_arg1327z00_1398;
								BgL_xz00_1377 = BgL_xz00_5969;
								BgL_nbzd2digitszd2_1376 = BgL_nbzd2digitszd2_5968;
								goto BgL_zc3z04anonymousza31306ze3z87_1378;
							}
						}
				}
			}
		}

	}



/* &$$elong->bignum */
	obj_t BGl_z62z42z42elongzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5498,
		obj_t BgL_nz00_5499)
	{
		{	/* Unsafe/bignumber.scm 325 */
			{	/* Unsafe/bignumber.scm 326 */
				long BgL_auxz00_5970;

				{	/* Unsafe/bignumber.scm 326 */
					obj_t BgL_tmpz00_5971;

					if (ELONGP(BgL_nz00_5499))
						{	/* Unsafe/bignumber.scm 326 */
							BgL_tmpz00_5971 = BgL_nz00_5499;
						}
					else
						{
							obj_t BgL_auxz00_5974;

							BgL_auxz00_5974 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 12664)), BGl_string2476z00zz__bignumz00,
								BGl_string2477z00zz__bignumz00, BgL_nz00_5499);
							FAILURE(BgL_auxz00_5974, BFALSE, BFALSE);
						}
					BgL_auxz00_5970 = BELONG_TO_LONG(BgL_tmpz00_5971);
				}
				return bgl_elong_to_bignum(BgL_auxz00_5970);
			}
		}

	}



/* $$llong->bignum */
	BGL_EXPORTED_DEF obj_t bgl_llong_to_bignum(BGL_LONGLONG_T BgL_nz00_23)
	{
		{	/* Unsafe/bignumber.scm 345 */
			{	/* Unsafe/bignumber.scm 346 */
				BGL_LONGLONG_T BgL_negzd2nzd2_1402;

				if ((BgL_nz00_23 < ((BGL_LONGLONG_T) 0)))
					{	/* Unsafe/bignumber.scm 346 */
						BgL_negzd2nzd2_1402 = BgL_nz00_23;
					}
				else
					{	/* Unsafe/bignumber.scm 346 */
						BgL_negzd2nzd2_1402 = (((BGL_LONGLONG_T) 0) - BgL_nz00_23);
					}
				{
					long BgL_nbzd2digitszd2_1404;
					BGL_LONGLONG_T BgL_xz00_1405;

					BgL_nbzd2digitszd2_1404 = ((long) 0);
					BgL_xz00_1405 = BgL_negzd2nzd2_1402;
				BgL_zc3z04anonymousza31330ze3z87_1406:
					if ((BgL_xz00_1405 == LONG_TO_LLONG(((long) 0))))
						{	/* Unsafe/bignumber.scm 351 */
							obj_t BgL_rz00_1408;

							{	/* Unsafe/bignumber.scm 351 */
								long BgL_arg1344z00_1424;

								BgL_arg1344z00_1424 = (BgL_nbzd2digitszd2_1404 + ((long) 1));
								{	/* Unsafe/bignumber.scm 351 */
									int BgL_lenz00_3078;

									BgL_lenz00_3078 = (int) (BgL_arg1344z00_1424);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3079;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3079 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3078), (uint16_t) (0));
										}
										BgL_rz00_1408 = bgl_make_bignum(BgL_arg1220z00_3079);
							}}}
							if ((BgL_nz00_23 < ((BGL_LONGLONG_T) 0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3086;
									uint16_t BgL_arg1240z00_3087;

									BgL_arg1239z00_3086 = BGL_BIGNUM_U16VECT(BgL_rz00_1408);
									BgL_arg1240z00_3087 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1239z00_3086, ((long) 0),
										BgL_arg1240z00_3087);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3090;
									uint16_t BgL_arg1240z00_3091;

									BgL_arg1239z00_3090 = BGL_BIGNUM_U16VECT(BgL_rz00_1408);
									BgL_arg1240z00_3091 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1239z00_3090, ((long) 0),
										BgL_arg1240z00_3091);
									BUNSPEC;
								}
							{
								long BgL_iz00_3107;
								BGL_LONGLONG_T BgL_xz00_3108;

								BgL_iz00_3107 = ((long) 1);
								BgL_xz00_3108 = BgL_negzd2nzd2_1402;
							BgL_loop2z00_3106:
								if ((BgL_xz00_3108 == ((BGL_LONGLONG_T) 0)))
									{	/* Unsafe/bignumber.scm 356 */
										return BgL_rz00_1408;
									}
								else
									{	/* Unsafe/bignumber.scm 356 */
										{	/* Unsafe/bignumber.scm 361 */
											long BgL_arg1335z00_3112;

											{	/* Unsafe/bignumber.scm 361 */
												long BgL_arg1336z00_3113;

												{	/* Unsafe/bignumber.scm 361 */
													BGL_LONGLONG_T BgL_arg1338z00_3114;

													{	/* Unsafe/bignumber.scm 361 */
														BGL_LONGLONG_T BgL_arg1339z00_3115;

														BgL_arg1339z00_3115 = LONG_TO_LLONG(((long) 16384));
														BgL_arg1338z00_3114 =
															(BgL_xz00_3108 % BgL_arg1339z00_3115);
													}
													BgL_arg1336z00_3113 =
														LLONG_TO_LONG(BgL_arg1338z00_3114);
												}
												BgL_arg1335z00_3112 =
													(((long) 0) - BgL_arg1336z00_3113);
											}
											{	/* Unsafe/bignumber.scm 358 */
												int BgL_iz00_3121;
												int BgL_digitz00_3122;

												BgL_iz00_3121 = (int) (BgL_iz00_3107);
												BgL_digitz00_3122 = (int) (BgL_arg1335z00_3112);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1244z00_3123;
													uint16_t BgL_arg1260z00_3124;

													BgL_arg1244z00_3123 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1408);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6008;

														BgL_tmpz00_6008 = (long) (BgL_digitz00_3122);
														BgL_arg1260z00_3124 = (uint16_t) (BgL_tmpz00_6008);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6011;

														BgL_tmpz00_6011 = (long) (BgL_iz00_3121);
														BGL_U16VSET(BgL_arg1244z00_3123, BgL_tmpz00_6011,
															BgL_arg1260z00_3124);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 362 */
											long BgL_arg1341z00_3126;
											BGL_LONGLONG_T BgL_arg1342z00_3127;

											BgL_arg1341z00_3126 = (BgL_iz00_3107 + ((long) 1));
											{	/* Unsafe/bignumber.scm 362 */
												BGL_LONGLONG_T BgL_n2z00_3131;

												BgL_n2z00_3131 = LONG_TO_LLONG(((long) 16384));
												BgL_arg1342z00_3127 = (BgL_xz00_3108 / BgL_n2z00_3131);
											}
											{
												BGL_LONGLONG_T BgL_xz00_6018;
												long BgL_iz00_6017;

												BgL_iz00_6017 = BgL_arg1341z00_3126;
												BgL_xz00_6018 = BgL_arg1342z00_3127;
												BgL_xz00_3108 = BgL_xz00_6018;
												BgL_iz00_3107 = BgL_iz00_6017;
												goto BgL_loop2z00_3106;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 350 */
							long BgL_arg1345z00_1425;
							BGL_LONGLONG_T BgL_arg1346z00_1426;

							BgL_arg1345z00_1425 = (BgL_nbzd2digitszd2_1404 + ((long) 1));
							{	/* Unsafe/bignumber.scm 350 */
								BGL_LONGLONG_T BgL_arg1347z00_1427;

								BgL_arg1347z00_1427 =
									(LONG_TO_LLONG(((long) 1)) << (int) (((long) 30)));
								BgL_arg1346z00_1426 = (BgL_xz00_1405 / BgL_arg1347z00_1427);
							}
							{
								BGL_LONGLONG_T BgL_xz00_6025;
								long BgL_nbzd2digitszd2_6024;

								BgL_nbzd2digitszd2_6024 = BgL_arg1345z00_1425;
								BgL_xz00_6025 = BgL_arg1346z00_1426;
								BgL_xz00_1405 = BgL_xz00_6025;
								BgL_nbzd2digitszd2_1404 = BgL_nbzd2digitszd2_6024;
								goto BgL_zc3z04anonymousza31330ze3z87_1406;
							}
						}
				}
			}
		}

	}



/* &$$llong->bignum */
	obj_t BGl_z62z42z42llongzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5500,
		obj_t BgL_nz00_5501)
	{
		{	/* Unsafe/bignumber.scm 345 */
			{	/* Unsafe/bignumber.scm 346 */
				BGL_LONGLONG_T BgL_auxz00_6026;

				{	/* Unsafe/bignumber.scm 346 */
					obj_t BgL_tmpz00_6027;

					if (LLONGP(BgL_nz00_5501))
						{	/* Unsafe/bignumber.scm 346 */
							BgL_tmpz00_6027 = BgL_nz00_5501;
						}
					else
						{
							obj_t BgL_auxz00_6030;

							BgL_auxz00_6030 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 13354)), BGl_string2478z00zz__bignumz00,
								BGl_string2479z00zz__bignumz00, BgL_nz00_5501);
							FAILURE(BgL_auxz00_6030, BFALSE, BFALSE);
						}
					BgL_auxz00_6026 = BLLONG_TO_LLONG(BgL_tmpz00_6027);
				}
				return bgl_llong_to_bignum(BgL_auxz00_6026);
			}
		}

	}



/* $$int64->bignum */
	BGL_EXPORTED_DEF obj_t bgl_int64_to_bignum(int64_t BgL_nz00_24)
	{
		{	/* Unsafe/bignumber.scm 365 */
			{	/* Unsafe/bignumber.scm 366 */
				int64_t BgL_negzd2nzd2_1430;

				if ((BgL_nz00_24 < (int64_t) (0)))
					{	/* Unsafe/bignumber.scm 366 */
						BgL_negzd2nzd2_1430 = BgL_nz00_24;
					}
				else
					{	/* Unsafe/bignumber.scm 366 */
						BgL_negzd2nzd2_1430 = ((int64_t) (0) - BgL_nz00_24);
					}
				{
					long BgL_nbzd2digitszd2_1432;
					int64_t BgL_xz00_1433;

					BgL_nbzd2digitszd2_1432 = ((long) 0);
					BgL_xz00_1433 = BgL_negzd2nzd2_1430;
				BgL_zc3z04anonymousza31349ze3z87_1434:
					if ((BgL_xz00_1433 == (int64_t) (0)))
						{	/* Unsafe/bignumber.scm 371 */
							obj_t BgL_rz00_1436;

							{	/* Unsafe/bignumber.scm 371 */
								long BgL_arg1364z00_1452;

								BgL_arg1364z00_1452 = (BgL_nbzd2digitszd2_1432 + ((long) 1));
								{	/* Unsafe/bignumber.scm 371 */
									int BgL_lenz00_3143;

									BgL_lenz00_3143 = (int) (BgL_arg1364z00_1452);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3144;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3144 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3143), (uint16_t) (0));
										}
										BgL_rz00_1436 = bgl_make_bignum(BgL_arg1220z00_3144);
							}}}
							if ((BgL_nz00_24 < (int64_t) (0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3151;
									uint16_t BgL_arg1240z00_3152;

									BgL_arg1239z00_3151 = BGL_BIGNUM_U16VECT(BgL_rz00_1436);
									BgL_arg1240z00_3152 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1239z00_3151, ((long) 0),
										BgL_arg1240z00_3152);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3155;
									uint16_t BgL_arg1240z00_3156;

									BgL_arg1239z00_3155 = BGL_BIGNUM_U16VECT(BgL_rz00_1436);
									BgL_arg1240z00_3156 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1239z00_3155, ((long) 0),
										BgL_arg1240z00_3156);
									BUNSPEC;
								}
							{
								long BgL_iz00_3176;
								int64_t BgL_xz00_3177;

								BgL_iz00_3176 = ((long) 1);
								BgL_xz00_3177 = BgL_negzd2nzd2_1430;
							BgL_loop2z00_3175:
								if ((BgL_xz00_3177 == (int64_t) (0)))
									{	/* Unsafe/bignumber.scm 376 */
										return BgL_rz00_1436;
									}
								else
									{	/* Unsafe/bignumber.scm 376 */
										{	/* Unsafe/bignumber.scm 381 */
											long BgL_arg1354z00_3181;

											{	/* Unsafe/bignumber.scm 381 */
												long BgL_arg1356z00_3182;

												{	/* Unsafe/bignumber.scm 381 */
													int64_t BgL_arg1358z00_3183;

													{	/* Unsafe/bignumber.scm 381 */
														int64_t BgL_arg1359z00_3184;

														BgL_arg1359z00_3184 = (int64_t) (((long) 16384));
														BgL_arg1358z00_3183 =
															(BgL_xz00_3177 % BgL_arg1359z00_3184);
													}
													{	/* Unsafe/bignumber.scm 381 */
														long BgL_arg2269z00_3190;

														BgL_arg2269z00_3190 = (long) (BgL_arg1358z00_3183);
														BgL_arg1356z00_3182 = (long) (BgL_arg2269z00_3190);
												}}
												BgL_arg1354z00_3181 =
													(((long) 0) - BgL_arg1356z00_3182);
											}
											{	/* Unsafe/bignumber.scm 378 */
												int BgL_iz00_3194;
												int BgL_digitz00_3195;

												BgL_iz00_3194 = (int) (BgL_iz00_3176);
												BgL_digitz00_3195 = (int) (BgL_arg1354z00_3181);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1244z00_3196;
													uint16_t BgL_arg1260z00_3197;

													BgL_arg1244z00_3196 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1436);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6064;

														BgL_tmpz00_6064 = (long) (BgL_digitz00_3195);
														BgL_arg1260z00_3197 = (uint16_t) (BgL_tmpz00_6064);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6067;

														BgL_tmpz00_6067 = (long) (BgL_iz00_3194);
														BGL_U16VSET(BgL_arg1244z00_3196, BgL_tmpz00_6067,
															BgL_arg1260z00_3197);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 382 */
											long BgL_arg1361z00_3199;
											int64_t BgL_arg1362z00_3200;

											BgL_arg1361z00_3199 = (BgL_iz00_3176 + ((long) 1));
											{	/* Unsafe/bignumber.scm 382 */
												int64_t BgL_n2z00_3204;

												BgL_n2z00_3204 = (int64_t) (((long) 16384));
												BgL_arg1362z00_3200 = (BgL_xz00_3177 / BgL_n2z00_3204);
											}
											{
												int64_t BgL_xz00_6074;
												long BgL_iz00_6073;

												BgL_iz00_6073 = BgL_arg1361z00_3199;
												BgL_xz00_6074 = BgL_arg1362z00_3200;
												BgL_xz00_3177 = BgL_xz00_6074;
												BgL_iz00_3176 = BgL_iz00_6073;
												goto BgL_loop2z00_3175;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 370 */
							long BgL_arg1365z00_1453;
							int64_t BgL_arg1366z00_1454;

							BgL_arg1365z00_1453 = (BgL_nbzd2digitszd2_1432 + ((long) 1));
							{	/* Unsafe/bignumber.scm 370 */
								int64_t BgL_arg1367z00_1455;

								BgL_arg1367z00_1455 =
									BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t) (2),
									(int64_t) (((long) 30)));
								BgL_arg1366z00_1454 = (BgL_xz00_1433 / BgL_arg1367z00_1455);
							}
							{
								int64_t BgL_xz00_6080;
								long BgL_nbzd2digitszd2_6079;

								BgL_nbzd2digitszd2_6079 = BgL_arg1365z00_1453;
								BgL_xz00_6080 = BgL_arg1366z00_1454;
								BgL_xz00_1433 = BgL_xz00_6080;
								BgL_nbzd2digitszd2_1432 = BgL_nbzd2digitszd2_6079;
								goto BgL_zc3z04anonymousza31349ze3z87_1434;
							}
						}
				}
			}
		}

	}



/* &$$int64->bignum */
	obj_t BGl_z62z42z42int64zd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5502,
		obj_t BgL_nz00_5503)
	{
		{	/* Unsafe/bignumber.scm 365 */
			{	/* Unsafe/bignumber.scm 366 */
				int64_t BgL_auxz00_6081;

				{	/* Unsafe/bignumber.scm 366 */
					obj_t BgL_tmpz00_6082;

					if (BGL_INT64P(BgL_nz00_5503))
						{	/* Unsafe/bignumber.scm 366 */
							BgL_tmpz00_6082 = BgL_nz00_5503;
						}
					else
						{
							obj_t BgL_auxz00_6085;

							BgL_auxz00_6085 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 14032)), BGl_string2480z00zz__bignumz00,
								BGl_string2481z00zz__bignumz00, BgL_nz00_5503);
							FAILURE(BgL_auxz00_6085, BFALSE, BFALSE);
						}
					BgL_auxz00_6081 = BGL_BINT64_TO_INT64(BgL_tmpz00_6082);
				}
				return bgl_int64_to_bignum(BgL_auxz00_6081);
			}
		}

	}



/* $$uint64->bignum */
	BGL_EXPORTED_DEF obj_t bgl_uint64_to_bignum(uint64_t BgL_nz00_25)
	{
		{	/* Unsafe/bignumber.scm 385 */
			{	/* Unsafe/bignumber.scm 386 */
				uint64_t BgL_negzd2nzd2_1458;

				if ((BgL_nz00_25 < (uint64_t) (0)))
					{	/* Unsafe/bignumber.scm 386 */
						BgL_negzd2nzd2_1458 = BgL_nz00_25;
					}
				else
					{	/* Unsafe/bignumber.scm 386 */
						BgL_negzd2nzd2_1458 = ((uint64_t) (0) - BgL_nz00_25);
					}
				{
					long BgL_nbzd2digitszd2_1460;
					uint64_t BgL_xz00_1461;

					BgL_nbzd2digitszd2_1460 = ((long) 0);
					BgL_xz00_1461 = BgL_negzd2nzd2_1458;
				BgL_zc3z04anonymousza31369ze3z87_1462:
					if ((BgL_xz00_1461 == (uint64_t) (0)))
						{	/* Unsafe/bignumber.scm 391 */
							obj_t BgL_rz00_1464;

							{	/* Unsafe/bignumber.scm 391 */
								long BgL_arg1382z00_1480;

								BgL_arg1382z00_1480 = (BgL_nbzd2digitszd2_1460 + ((long) 1));
								{	/* Unsafe/bignumber.scm 391 */
									int BgL_lenz00_3215;

									BgL_lenz00_3215 = (int) (BgL_arg1382z00_1480);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3216;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3216 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3215), (uint16_t) (0));
										}
										BgL_rz00_1464 = bgl_make_bignum(BgL_arg1220z00_3216);
							}}}
							if ((BgL_nz00_25 < (uint64_t) (0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3223;
									uint16_t BgL_arg1240z00_3224;

									BgL_arg1239z00_3223 = BGL_BIGNUM_U16VECT(BgL_rz00_1464);
									BgL_arg1240z00_3224 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1239z00_3223, ((long) 0),
										BgL_arg1240z00_3224);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3227;
									uint16_t BgL_arg1240z00_3228;

									BgL_arg1239z00_3227 = BGL_BIGNUM_U16VECT(BgL_rz00_1464);
									BgL_arg1240z00_3228 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1239z00_3227, ((long) 0),
										BgL_arg1240z00_3228);
									BUNSPEC;
								}
							{
								long BgL_iz00_3247;
								uint64_t BgL_xz00_3248;

								BgL_iz00_3247 = ((long) 1);
								BgL_xz00_3248 = BgL_negzd2nzd2_1458;
							BgL_loop2z00_3246:
								if ((BgL_xz00_3248 == (uint64_t) (0)))
									{	/* Unsafe/bignumber.scm 396 */
										return BgL_rz00_1464;
									}
								else
									{	/* Unsafe/bignumber.scm 396 */
										{	/* Unsafe/bignumber.scm 401 */
											long BgL_arg1374z00_3252;

											{	/* Unsafe/bignumber.scm 401 */
												long BgL_arg1375z00_3253;

												{	/* Unsafe/bignumber.scm 401 */
													uint64_t BgL_arg1376z00_3254;

													{	/* Unsafe/bignumber.scm 401 */
														uint64_t BgL_arg1377z00_3255;

														BgL_arg1377z00_3255 = (uint64_t) (((long) 16384));
														{	/* Unsafe/bignumber.scm 401 */
															int64_t BgL_tmpz00_6112;

															BgL_tmpz00_6112 = (int64_t) (BgL_arg1377z00_3255);
															BgL_arg1376z00_3254 =
																(BgL_xz00_3248 % BgL_tmpz00_6112);
													}}
													{	/* Unsafe/bignumber.scm 401 */
														long BgL_arg2268z00_3260;

														BgL_arg2268z00_3260 = (long) (BgL_arg1376z00_3254);
														BgL_arg1375z00_3253 = (long) (BgL_arg2268z00_3260);
												}}
												BgL_arg1374z00_3252 =
													(((long) 0) - BgL_arg1375z00_3253);
											}
											{	/* Unsafe/bignumber.scm 398 */
												int BgL_iz00_3264;
												int BgL_digitz00_3265;

												BgL_iz00_3264 = (int) (BgL_iz00_3247);
												BgL_digitz00_3265 = (int) (BgL_arg1374z00_3252);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1244z00_3266;
													uint16_t BgL_arg1260z00_3267;

													BgL_arg1244z00_3266 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1464);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6121;

														BgL_tmpz00_6121 = (long) (BgL_digitz00_3265);
														BgL_arg1260z00_3267 = (uint16_t) (BgL_tmpz00_6121);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6124;

														BgL_tmpz00_6124 = (long) (BgL_iz00_3264);
														BGL_U16VSET(BgL_arg1244z00_3266, BgL_tmpz00_6124,
															BgL_arg1260z00_3267);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 402 */
											long BgL_arg1379z00_3269;
											uint64_t BgL_arg1380z00_3270;

											BgL_arg1379z00_3269 = (BgL_iz00_3247 + ((long) 1));
											{	/* Unsafe/bignumber.scm 402 */
												uint64_t BgL_n2z00_3274;

												BgL_n2z00_3274 = (uint64_t) (((long) 16384));
												{	/* Unsafe/bignumber.scm 402 */
													int64_t BgL_tmpz00_6129;

													BgL_tmpz00_6129 = (int64_t) (BgL_n2z00_3274);
													BgL_arg1380z00_3270 =
														(BgL_xz00_3248 / BgL_tmpz00_6129);
											}}
											{
												uint64_t BgL_xz00_6133;
												long BgL_iz00_6132;

												BgL_iz00_6132 = BgL_arg1379z00_3269;
												BgL_xz00_6133 = BgL_arg1380z00_3270;
												BgL_xz00_3248 = BgL_xz00_6133;
												BgL_iz00_3247 = BgL_iz00_6132;
												goto BgL_loop2z00_3246;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 390 */
							long BgL_arg1383z00_1481;
							uint64_t BgL_arg1384z00_1482;

							BgL_arg1383z00_1481 = (BgL_nbzd2digitszd2_1460 + ((long) 1));
							{	/* Unsafe/bignumber.scm 390 */
								int64_t BgL_arg1385z00_1483;

								BgL_arg1385z00_1483 =
									BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t) (2),
									(int64_t) (((long) 30)));
								{	/* Unsafe/bignumber.scm 390 */
									uint64_t BgL_n2z00_3277;

									BgL_n2z00_3277 = (uint64_t) (BgL_arg1385z00_1483);
									{	/* Unsafe/bignumber.scm 390 */
										int64_t BgL_tmpz00_6138;

										BgL_tmpz00_6138 = (int64_t) (BgL_n2z00_3277);
										BgL_arg1384z00_1482 = (BgL_xz00_1461 / BgL_tmpz00_6138);
							}}}
							{
								uint64_t BgL_xz00_6142;
								long BgL_nbzd2digitszd2_6141;

								BgL_nbzd2digitszd2_6141 = BgL_arg1383z00_1481;
								BgL_xz00_6142 = BgL_arg1384z00_1482;
								BgL_xz00_1461 = BgL_xz00_6142;
								BgL_nbzd2digitszd2_1460 = BgL_nbzd2digitszd2_6141;
								goto BgL_zc3z04anonymousza31369ze3z87_1462;
							}
						}
				}
			}
		}

	}



/* &$$uint64->bignum */
	obj_t BGl_z62z42z42uint64zd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5504,
		obj_t BgL_nz00_5505)
	{
		{	/* Unsafe/bignumber.scm 385 */
			{	/* Unsafe/bignumber.scm 386 */
				uint64_t BgL_auxz00_6143;

				{	/* Unsafe/bignumber.scm 386 */
					obj_t BgL_tmpz00_6144;

					if (BGL_UINT64P(BgL_nz00_5505))
						{	/* Unsafe/bignumber.scm 386 */
							BgL_tmpz00_6144 = BgL_nz00_5505;
						}
					else
						{
							obj_t BgL_auxz00_6147;

							BgL_auxz00_6147 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 14714)), BGl_string2482z00zz__bignumz00,
								BGl_string2483z00zz__bignumz00, BgL_nz00_5505);
							FAILURE(BgL_auxz00_6147, BFALSE, BFALSE);
						}
					BgL_auxz00_6143 = BGL_BINT64_TO_INT64(BgL_tmpz00_6144);
				}
				return bgl_uint64_to_bignum(BgL_auxz00_6143);
			}
		}

	}



/* $$fixnum->bignum */
	BGL_EXPORTED_DEF obj_t bgl_long_to_bignum(long BgL_nz00_26)
	{
		{	/* Unsafe/bignumber.scm 414 */
			{	/* Unsafe/bignumber.scm 415 */
				bool_t BgL_test2675z00_6153;

				if ((BgL_nz00_26 < ((long) -16)))
					{	/* Unsafe/bignumber.scm 415 */
						BgL_test2675z00_6153 = ((bool_t) 1);
					}
				else
					{	/* Unsafe/bignumber.scm 415 */
						BgL_test2675z00_6153 = (((long) 16) < BgL_nz00_26);
					}
				if (BgL_test2675z00_6153)
					{	/* Unsafe/bignumber.scm 415 */
						BGL_TAIL return
							BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(BgL_nz00_26);
					}
				else
					{	/* Unsafe/bignumber.scm 415 */
						return
							VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
							(BgL_nz00_26 + ((long) 16)));
		}}}

	}



/* &$$fixnum->bignum */
	obj_t BGl_z62z42z42fixnumzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5506,
		obj_t BgL_nz00_5507)
	{
		{	/* Unsafe/bignumber.scm 414 */
			{	/* Unsafe/bignumber.scm 415 */
				long BgL_auxz00_6160;

				{	/* Unsafe/bignumber.scm 415 */
					obj_t BgL_tmpz00_6161;

					if (INTEGERP(BgL_nz00_5507))
						{	/* Unsafe/bignumber.scm 415 */
							BgL_tmpz00_6161 = BgL_nz00_5507;
						}
					else
						{
							obj_t BgL_auxz00_6164;

							BgL_auxz00_6164 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 15614)), BGl_string2484z00zz__bignumz00,
								BGl_string2475z00zz__bignumz00, BgL_nz00_5507);
							FAILURE(BgL_auxz00_6164, BFALSE, BFALSE);
						}
					BgL_auxz00_6160 = (long) CINT(BgL_tmpz00_6161);
				}
				return bgl_long_to_bignum(BgL_auxz00_6160);
			}
		}

	}



/* $<bx */
	bool_t BGl_z42zc3bxz81zz__bignumz00(obj_t BgL_xz00_29, obj_t BgL_yz00_30)
	{
		{	/* Unsafe/bignumber.scm 439 */
			{	/* Unsafe/bignumber.scm 440 */
				bool_t BgL_test2678z00_6170;

				{	/* Unsafe/bignumber.scm 440 */
					long BgL_arg1421z00_1531;
					long BgL_arg1422z00_1532;

					{	/* Unsafe/bignumber.scm 263 */
						uint16_t BgL_arg1228z00_3284;

						{	/* Unsafe/bignumber.scm 263 */
							obj_t BgL_arg1235z00_3285;

							BgL_arg1235z00_3285 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
							BgL_arg1228z00_3284 =
								BGL_U16VREF(BgL_arg1235z00_3285, ((long) 0));
						}
						{	/* Unsafe/bignumber.scm 263 */
							long BgL_arg2271z00_3287;

							BgL_arg2271z00_3287 = (long) (BgL_arg1228z00_3284);
							BgL_arg1421z00_1531 = (long) (BgL_arg2271z00_3287);
					}}
					{	/* Unsafe/bignumber.scm 263 */
						uint16_t BgL_arg1228z00_3290;

						{	/* Unsafe/bignumber.scm 263 */
							obj_t BgL_arg1235z00_3291;

							BgL_arg1235z00_3291 = BGL_BIGNUM_U16VECT(BgL_yz00_30);
							BgL_arg1228z00_3290 =
								BGL_U16VREF(BgL_arg1235z00_3291, ((long) 0));
						}
						{	/* Unsafe/bignumber.scm 263 */
							long BgL_arg2271z00_3293;

							BgL_arg2271z00_3293 = (long) (BgL_arg1228z00_3290);
							BgL_arg1422z00_1532 = (long) (BgL_arg2271z00_3293);
					}}
					BgL_test2678z00_6170 = (BgL_arg1421z00_1531 == BgL_arg1422z00_1532);
				}
				if (BgL_test2678z00_6170)
					{	/* Unsafe/bignumber.scm 442 */
						long BgL_lenxz00_1514;
						long BgL_lenyz00_1515;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_3298;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_3299;

								BgL_arg1226z00_3299 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
								BgL_arg1224z00_3298 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3299);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3301;

								BgL_xz00_3301 = (uint16_t) (BgL_arg1224z00_3298);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_3302;

									BgL_arg2271z00_3302 = (long) (BgL_xz00_3301);
									BgL_lenxz00_1514 = (long) (BgL_arg2271z00_3302);
						}}}
						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_3305;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_3306;

								BgL_arg1226z00_3306 = BGL_BIGNUM_U16VECT(BgL_yz00_30);
								BgL_arg1224z00_3305 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3306);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3308;

								BgL_xz00_3308 = (uint16_t) (BgL_arg1224z00_3305);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_3309;

									BgL_arg2271z00_3309 = (long) (BgL_xz00_3308);
									BgL_lenyz00_1515 = (long) (BgL_arg2271z00_3309);
						}}}
						if ((BgL_lenxz00_1514 < BgL_lenyz00_1515))
							{	/* Unsafe/bignumber.scm 445 */
								bool_t BgL_test2680z00_6192;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_3314;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_3316;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_3317;

											BgL_arg1235z00_3317 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
											BgL_arg1228z00_3316 =
												BGL_U16VREF(BgL_arg1235z00_3317, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_3319;

											BgL_arg2271z00_3319 = (long) (BgL_arg1228z00_3316);
											BgL_arg1427z00_3314 = (long) (BgL_arg2271z00_3319);
									}}
									BgL_test2680z00_6192 = (BgL_arg1427z00_3314 == ((long) 0));
								}
								if (BgL_test2680z00_6192)
									{	/* Unsafe/bignumber.scm 445 */
										return ((bool_t) 0);
									}
								else
									{	/* Unsafe/bignumber.scm 445 */
										return ((bool_t) 1);
									}
							}
						else
							{	/* Unsafe/bignumber.scm 444 */
								if ((BgL_lenyz00_1515 < BgL_lenxz00_1514))
									{	/* Unsafe/bignumber.scm 471 */
										long BgL_arg1427z00_3325;

										{	/* Unsafe/bignumber.scm 263 */
											uint16_t BgL_arg1228z00_3327;

											{	/* Unsafe/bignumber.scm 263 */
												obj_t BgL_arg1235z00_3328;

												BgL_arg1235z00_3328 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
												BgL_arg1228z00_3327 =
													BGL_U16VREF(BgL_arg1235z00_3328, ((long) 0));
											}
											{	/* Unsafe/bignumber.scm 263 */
												long BgL_arg2271z00_3330;

												BgL_arg2271z00_3330 = (long) (BgL_arg1228z00_3327);
												BgL_arg1427z00_3325 = (long) (BgL_arg2271z00_3330);
										}}
										return (BgL_arg1427z00_3325 == ((long) 0));
									}
								else
									{	/* Unsafe/bignumber.scm 449 */
										long BgL_g1045z00_1519;

										BgL_g1045z00_1519 = (BgL_lenxz00_1514 - ((long) 1));
										{
											long BgL_iz00_1521;

											BgL_iz00_1521 = BgL_g1045z00_1519;
										BgL_zc3z04anonymousza31415ze3z87_1522:
											if ((((long) 0) < BgL_iz00_1521))
												{	/* Unsafe/bignumber.scm 451 */
													long BgL_dxz00_1524;
													long BgL_dyz00_1525;

													{	/* Unsafe/bignumber.scm 451 */
														int BgL_iz00_3336;

														BgL_iz00_3336 = (int) (BgL_iz00_1521);
														{	/* Unsafe/bignumber.scm 267 */
															uint16_t BgL_arg1241z00_3337;

															{	/* Unsafe/bignumber.scm 267 */
																obj_t BgL_arg1242z00_3338;

																BgL_arg1242z00_3338 =
																	BGL_BIGNUM_U16VECT(BgL_xz00_29);
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_tmpz00_6210;

																	BgL_tmpz00_6210 = (long) (BgL_iz00_3336);
																	BgL_arg1241z00_3337 =
																		BGL_U16VREF(BgL_arg1242z00_3338,
																		BgL_tmpz00_6210);
															}}
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_arg2271z00_3340;

																BgL_arg2271z00_3340 =
																	(long) (BgL_arg1241z00_3337);
																BgL_dxz00_1524 = (long) (BgL_arg2271z00_3340);
													}}}
													{	/* Unsafe/bignumber.scm 452 */
														int BgL_iz00_3343;

														BgL_iz00_3343 = (int) (BgL_iz00_1521);
														{	/* Unsafe/bignumber.scm 267 */
															uint16_t BgL_arg1241z00_3344;

															{	/* Unsafe/bignumber.scm 267 */
																obj_t BgL_arg1242z00_3345;

																BgL_arg1242z00_3345 =
																	BGL_BIGNUM_U16VECT(BgL_yz00_30);
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_tmpz00_6217;

																	BgL_tmpz00_6217 = (long) (BgL_iz00_3343);
																	BgL_arg1241z00_3344 =
																		BGL_U16VREF(BgL_arg1242z00_3345,
																		BgL_tmpz00_6217);
															}}
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_arg2271z00_3347;

																BgL_arg2271z00_3347 =
																	(long) (BgL_arg1241z00_3344);
																BgL_dyz00_1525 = (long) (BgL_arg2271z00_3347);
													}}}
													if ((BgL_dxz00_1524 < BgL_dyz00_1525))
														{	/* Unsafe/bignumber.scm 453 */
															bool_t BgL_test2684z00_6224;

															{	/* Unsafe/bignumber.scm 471 */
																long BgL_arg1427z00_3352;

																{	/* Unsafe/bignumber.scm 263 */
																	uint16_t BgL_arg1228z00_3354;

																	{	/* Unsafe/bignumber.scm 263 */
																		obj_t BgL_arg1235z00_3355;

																		BgL_arg1235z00_3355 =
																			BGL_BIGNUM_U16VECT(BgL_xz00_29);
																		BgL_arg1228z00_3354 =
																			BGL_U16VREF(BgL_arg1235z00_3355,
																			((long) 0));
																	}
																	{	/* Unsafe/bignumber.scm 263 */
																		long BgL_arg2271z00_3357;

																		BgL_arg2271z00_3357 =
																			(long) (BgL_arg1228z00_3354);
																		BgL_arg1427z00_3352 =
																			(long) (BgL_arg2271z00_3357);
																}}
																BgL_test2684z00_6224 =
																	(BgL_arg1427z00_3352 == ((long) 0));
															}
															if (BgL_test2684z00_6224)
																{	/* Unsafe/bignumber.scm 453 */
																	return ((bool_t) 0);
																}
															else
																{	/* Unsafe/bignumber.scm 453 */
																	return ((bool_t) 1);
																}
														}
													else
														{	/* Unsafe/bignumber.scm 453 */
															if ((BgL_dyz00_1525 < BgL_dxz00_1524))
																{	/* Unsafe/bignumber.scm 471 */
																	long BgL_arg1427z00_3363;

																	{	/* Unsafe/bignumber.scm 263 */
																		uint16_t BgL_arg1228z00_3365;

																		{	/* Unsafe/bignumber.scm 263 */
																			obj_t BgL_arg1235z00_3366;

																			BgL_arg1235z00_3366 =
																				BGL_BIGNUM_U16VECT(BgL_xz00_29);
																			BgL_arg1228z00_3365 =
																				BGL_U16VREF(BgL_arg1235z00_3366,
																				((long) 0));
																		}
																		{	/* Unsafe/bignumber.scm 263 */
																			long BgL_arg2271z00_3368;

																			BgL_arg2271z00_3368 =
																				(long) (BgL_arg1228z00_3365);
																			BgL_arg1427z00_3363 =
																				(long) (BgL_arg2271z00_3368);
																	}}
																	return (BgL_arg1427z00_3363 == ((long) 0));
																}
															else
																{
																	long BgL_iz00_6237;

																	BgL_iz00_6237 = (BgL_iz00_1521 - ((long) 1));
																	BgL_iz00_1521 = BgL_iz00_6237;
																	goto BgL_zc3z04anonymousza31415ze3z87_1522;
																}
														}
												}
											else
												{	/* Unsafe/bignumber.scm 450 */
													return ((bool_t) 0);
												}
										}
									}
							}
					}
				else
					{	/* Unsafe/bignumber.scm 471 */
						long BgL_arg1427z00_3373;

						{	/* Unsafe/bignumber.scm 263 */
							uint16_t BgL_arg1228z00_3375;

							{	/* Unsafe/bignumber.scm 263 */
								obj_t BgL_arg1235z00_3376;

								BgL_arg1235z00_3376 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
								BgL_arg1228z00_3375 =
									BGL_U16VREF(BgL_arg1235z00_3376, ((long) 0));
							}
							{	/* Unsafe/bignumber.scm 263 */
								long BgL_arg2271z00_3378;

								BgL_arg2271z00_3378 = (long) (BgL_arg1228z00_3375);
								BgL_arg1427z00_3373 = (long) (BgL_arg2271z00_3378);
						}}
						return (BgL_arg1427z00_3373 == ((long) 0));
		}}}

	}



/* $$zerobx? */
	BGL_EXPORTED_DEF bool_t BXZERO(obj_t BgL_xz00_37)
	{
		{	/* Unsafe/bignumber.scm 467 */
			{	/* Unsafe/bignumber.scm 468 */
				long BgL_arg1426z00_3382;

				{	/* Unsafe/bignumber.scm 261 */
					long BgL_arg1224z00_3384;

					{	/* Unsafe/bignumber.scm 261 */
						obj_t BgL_arg1226z00_3385;

						BgL_arg1226z00_3385 = BGL_BIGNUM_U16VECT(BgL_xz00_37);
						BgL_arg1224z00_3384 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3385);
					}
					{	/* Unsafe/bignumber.scm 261 */
						uint16_t BgL_xz00_3387;

						BgL_xz00_3387 = (uint16_t) (BgL_arg1224z00_3384);
						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg2271z00_3388;

							BgL_arg2271z00_3388 = (long) (BgL_xz00_3387);
							BgL_arg1426z00_3382 = (long) (BgL_arg2271z00_3388);
				}}}
				return (BgL_arg1426z00_3382 == ((long) 1));
		}}

	}



/* &$$zerobx? */
	obj_t BGl_z62z42z42za7erobxzf3z36zz__bignumz00(obj_t BgL_envz00_5508,
		obj_t BgL_xz00_5509)
	{
		{	/* Unsafe/bignumber.scm 467 */
			{	/* Unsafe/bignumber.scm 468 */
				bool_t BgL_tmpz00_6250;

				{	/* Unsafe/bignumber.scm 468 */
					obj_t BgL_auxz00_6251;

					if (BIGNUMP(BgL_xz00_5509))
						{	/* Unsafe/bignumber.scm 468 */
							BgL_auxz00_6251 = BgL_xz00_5509;
						}
					else
						{
							obj_t BgL_auxz00_6254;

							BgL_auxz00_6254 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 17040)), BGl_string2485z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5509);
							FAILURE(BgL_auxz00_6254, BFALSE, BFALSE);
						}
					BgL_tmpz00_6250 = BXZERO(BgL_auxz00_6251);
				}
				return BBOOL(BgL_tmpz00_6250);
			}
		}

	}



/* $$negativebx? */
	BGL_EXPORTED_DEF bool_t BXNEGATIVE(obj_t BgL_xz00_38)
	{
		{	/* Unsafe/bignumber.scm 470 */
			{	/* Unsafe/bignumber.scm 471 */
				long BgL_arg1427z00_3391;

				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1228z00_3393;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1235z00_3394;

						BgL_arg1235z00_3394 = BGL_BIGNUM_U16VECT(BgL_xz00_38);
						BgL_arg1228z00_3393 = BGL_U16VREF(BgL_arg1235z00_3394, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2271z00_3396;

						BgL_arg2271z00_3396 = (long) (BgL_arg1228z00_3393);
						BgL_arg1427z00_3391 = (long) (BgL_arg2271z00_3396);
				}}
				return (BgL_arg1427z00_3391 == ((long) 0));
		}}

	}



/* &$$negativebx? */
	obj_t BGl_z62z42z42negativebxzf3z91zz__bignumz00(obj_t BgL_envz00_5510,
		obj_t BgL_xz00_5511)
	{
		{	/* Unsafe/bignumber.scm 470 */
			{	/* Unsafe/bignumber.scm 471 */
				bool_t BgL_tmpz00_6265;

				{	/* Unsafe/bignumber.scm 471 */
					obj_t BgL_auxz00_6266;

					if (BIGNUMP(BgL_xz00_5511))
						{	/* Unsafe/bignumber.scm 471 */
							BgL_auxz00_6266 = BgL_xz00_5511;
						}
					else
						{
							obj_t BgL_auxz00_6269;

							BgL_auxz00_6269 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 17097)), BGl_string2487z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5511);
							FAILURE(BgL_auxz00_6269, BFALSE, BFALSE);
						}
					BgL_tmpz00_6265 = BXNEGATIVE(BgL_auxz00_6266);
				}
				return BBOOL(BgL_tmpz00_6265);
			}
		}

	}



/* $$positivebx? */
	BGL_EXPORTED_DEF bool_t BXPOSITIVE(obj_t BgL_xz00_39)
	{
		{	/* Unsafe/bignumber.scm 473 */
			{	/* Unsafe/bignumber.scm 474 */
				bool_t BgL_test2688z00_6275;

				{	/* Unsafe/bignumber.scm 474 */
					bool_t BgL_test2689z00_6276;

					{	/* Unsafe/bignumber.scm 468 */
						long BgL_arg1426z00_3402;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_3404;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_3405;

								BgL_arg1226z00_3405 = BGL_BIGNUM_U16VECT(BgL_xz00_39);
								BgL_arg1224z00_3404 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3405);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3407;

								BgL_xz00_3407 = (uint16_t) (BgL_arg1224z00_3404);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_3408;

									BgL_arg2271z00_3408 = (long) (BgL_xz00_3407);
									BgL_arg1426z00_3402 = (long) (BgL_arg2271z00_3408);
						}}}
						BgL_test2689z00_6276 = (BgL_arg1426z00_3402 == ((long) 1));
					}
					if (BgL_test2689z00_6276)
						{	/* Unsafe/bignumber.scm 474 */
							BgL_test2688z00_6275 = ((bool_t) 1);
						}
					else
						{	/* Unsafe/bignumber.scm 471 */
							long BgL_arg1427z00_3412;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1228z00_3414;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1235z00_3415;

									BgL_arg1235z00_3415 = BGL_BIGNUM_U16VECT(BgL_xz00_39);
									BgL_arg1228z00_3414 =
										BGL_U16VREF(BgL_arg1235z00_3415, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2271z00_3417;

									BgL_arg2271z00_3417 = (long) (BgL_arg1228z00_3414);
									BgL_arg1427z00_3412 = (long) (BgL_arg2271z00_3417);
							}}
							BgL_test2688z00_6275 = (BgL_arg1427z00_3412 == ((long) 0));
				}}
				if (BgL_test2688z00_6275)
					{	/* Unsafe/bignumber.scm 474 */
						return ((bool_t) 0);
					}
				else
					{	/* Unsafe/bignumber.scm 474 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &$$positivebx? */
	obj_t BGl_z62z42z42positivebxzf3z91zz__bignumz00(obj_t BgL_envz00_5512,
		obj_t BgL_xz00_5513)
	{
		{	/* Unsafe/bignumber.scm 473 */
			{	/* Unsafe/bignumber.scm 474 */
				bool_t BgL_tmpz00_6288;

				{	/* Unsafe/bignumber.scm 474 */
					obj_t BgL_auxz00_6289;

					if (BIGNUMP(BgL_xz00_5513))
						{	/* Unsafe/bignumber.scm 474 */
							BgL_auxz00_6289 = BgL_xz00_5513;
						}
					else
						{
							obj_t BgL_auxz00_6292;

							BgL_auxz00_6292 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 17147)), BGl_string2488z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5513);
							FAILURE(BgL_auxz00_6292, BFALSE, BFALSE);
						}
					BgL_tmpz00_6288 = BXPOSITIVE(BgL_auxz00_6289);
				}
				return BBOOL(BgL_tmpz00_6288);
			}
		}

	}



/* $$evenbx? */
	BGL_EXPORTED_DEF bool_t bgl_bignum_even(obj_t BgL_xz00_40)
	{
		{	/* Unsafe/bignumber.scm 476 */
			{	/* Unsafe/bignumber.scm 477 */
				bool_t BgL__ortest_1046z00_3420;

				{	/* Unsafe/bignumber.scm 468 */
					long BgL_arg1426z00_3423;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_3425;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_3426;

							BgL_arg1226z00_3426 = BGL_BIGNUM_U16VECT(BgL_xz00_40);
							BgL_arg1224z00_3425 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3426);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3428;

							BgL_xz00_3428 = (uint16_t) (BgL_arg1224z00_3425);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_3429;

								BgL_arg2271z00_3429 = (long) (BgL_xz00_3428);
								BgL_arg1426z00_3423 = (long) (BgL_arg2271z00_3429);
					}}}
					BgL__ortest_1046z00_3420 = (BgL_arg1426z00_3423 == ((long) 1));
				}
				if (BgL__ortest_1046z00_3420)
					{	/* Unsafe/bignumber.scm 477 */
						return BgL__ortest_1046z00_3420;
					}
				else
					{	/* Unsafe/bignumber.scm 477 */
						long BgL_arg1430z00_3421;

						{	/* Unsafe/bignumber.scm 267 */
							uint16_t BgL_arg1241z00_3433;

							{	/* Unsafe/bignumber.scm 267 */
								obj_t BgL_arg1242z00_3434;

								BgL_arg1242z00_3434 = BGL_BIGNUM_U16VECT(BgL_xz00_40);
								BgL_arg1241z00_3433 =
									BGL_U16VREF(BgL_arg1242z00_3434, ((long) 1));
							}
							{	/* Unsafe/bignumber.scm 267 */
								long BgL_arg2271z00_3436;

								BgL_arg2271z00_3436 = (long) (BgL_arg1241z00_3433);
								BgL_arg1430z00_3421 = (long) (BgL_arg2271z00_3436);
						}}
						return
							BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(BINT
							(BgL_arg1430z00_3421));
					}
			}
		}

	}



/* &$$evenbx? */
	obj_t BGl_z62z42z42evenbxzf3z91zz__bignumz00(obj_t BgL_envz00_5514,
		obj_t BgL_xz00_5515)
	{
		{	/* Unsafe/bignumber.scm 476 */
			{	/* Unsafe/bignumber.scm 477 */
				bool_t BgL_tmpz00_6311;

				{	/* Unsafe/bignumber.scm 477 */
					obj_t BgL_auxz00_6312;

					if (BIGNUMP(BgL_xz00_5515))
						{	/* Unsafe/bignumber.scm 477 */
							BgL_auxz00_6312 = BgL_xz00_5515;
						}
					else
						{
							obj_t BgL_auxz00_6315;

							BgL_auxz00_6315 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 17221)), BGl_string2489z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5515);
							FAILURE(BgL_auxz00_6315, BFALSE, BFALSE);
						}
					BgL_tmpz00_6311 = bgl_bignum_even(BgL_auxz00_6312);
				}
				return BBOOL(BgL_tmpz00_6311);
			}
		}

	}



/* $$oddbx? */
	BGL_EXPORTED_DEF bool_t bgl_bignum_odd(obj_t BgL_xz00_41)
	{
		{	/* Unsafe/bignumber.scm 479 */
			{	/* Unsafe/bignumber.scm 480 */
				bool_t BgL_test2693z00_6321;

				{	/* Unsafe/bignumber.scm 480 */
					bool_t BgL_res2324z00_3451;

					{	/* Unsafe/bignumber.scm 477 */
						bool_t BgL__ortest_1046z00_3440;

						BgL__ortest_1046z00_3440 =
							(BGl_bignumzd2lengthzd2zz__bignumz00(BgL_xz00_41) == ((long) 1));
						if (BgL__ortest_1046z00_3440)
							{	/* Unsafe/bignumber.scm 477 */
								BgL_res2324z00_3451 = BgL__ortest_1046z00_3440;
							}
						else
							{	/* Unsafe/bignumber.scm 477 */
								long BgL_arg1430z00_3441;

								{	/* Unsafe/bignumber.scm 267 */
									uint16_t BgL_arg1241z00_3446;

									{	/* Unsafe/bignumber.scm 267 */
										obj_t BgL_arg1242z00_3447;

										BgL_arg1242z00_3447 = BGL_BIGNUM_U16VECT(BgL_xz00_41);
										BgL_arg1241z00_3446 =
											BGL_U16VREF(BgL_arg1242z00_3447, ((long) 1));
									}
									{	/* Unsafe/bignumber.scm 267 */
										long BgL_arg2271z00_3449;

										BgL_arg2271z00_3449 = (long) (BgL_arg1241z00_3446);
										BgL_arg1430z00_3441 = (long) (BgL_arg2271z00_3449);
								}}
								BgL_res2324z00_3451 =
									BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(BINT
									(BgL_arg1430z00_3441));
					}}
					BgL_test2693z00_6321 = BgL_res2324z00_3451;
				}
				if (BgL_test2693z00_6321)
					{	/* Unsafe/bignumber.scm 480 */
						return ((bool_t) 0);
					}
				else
					{	/* Unsafe/bignumber.scm 480 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &$$oddbx? */
	obj_t BGl_z62z42z42oddbxzf3z91zz__bignumz00(obj_t BgL_envz00_5516,
		obj_t BgL_xz00_5517)
	{
		{	/* Unsafe/bignumber.scm 479 */
			{	/* Unsafe/bignumber.scm 480 */
				bool_t BgL_tmpz00_6331;

				{	/* Unsafe/bignumber.scm 480 */
					obj_t BgL_auxz00_6332;

					if (BIGNUMP(BgL_xz00_5517))
						{	/* Unsafe/bignumber.scm 480 */
							BgL_auxz00_6332 = BgL_xz00_5517;
						}
					else
						{
							obj_t BgL_auxz00_6335;

							BgL_auxz00_6335 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 17293)), BGl_string2490z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5517);
							FAILURE(BgL_auxz00_6335, BFALSE, BFALSE);
						}
					BgL_tmpz00_6331 = bgl_bignum_odd(BgL_auxz00_6332);
				}
				return BBOOL(BgL_tmpz00_6331);
			}
		}

	}



/* $$bignum-cmp */
	BGL_EXPORTED_DEF int bgl_bignum_cmp(obj_t BgL_n1z00_42, obj_t BgL_n2z00_43)
	{
		{	/* Unsafe/bignumber.scm 482 */
			if (BGl_z42zc3bxz81zz__bignumz00(BgL_n1z00_42, BgL_n2z00_43))
				{	/* Unsafe/bignumber.scm 484 */
					return (int) (((long) -1));
				}
			else
				{	/* Unsafe/bignumber.scm 484 */
					if (BGl_z42zc3bxz81zz__bignumz00(BgL_n2z00_43, BgL_n1z00_42))
						{	/* Unsafe/bignumber.scm 485 */
							return (int) (((long) 1));
						}
					else
						{	/* Unsafe/bignumber.scm 485 */
							return (int) (((long) 0));
		}}}

	}



/* &$$bignum-cmp */
	obj_t BGl_z62z42z42bignumzd2cmpzb0zz__bignumz00(obj_t BgL_envz00_5518,
		obj_t BgL_n1z00_5519, obj_t BgL_n2z00_5520)
	{
		{	/* Unsafe/bignumber.scm 482 */
			{	/* Unsafe/bignumber.scm 484 */
				int BgL_tmpz00_6348;

				{	/* Unsafe/bignumber.scm 484 */
					obj_t BgL_auxz00_6356;
					obj_t BgL_auxz00_6349;

					if (BIGNUMP(BgL_n2z00_5520))
						{	/* Unsafe/bignumber.scm 484 */
							BgL_auxz00_6356 = BgL_n2z00_5520;
						}
					else
						{
							obj_t BgL_auxz00_6359;

							BgL_auxz00_6359 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 17359)), BGl_string2491z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_n2z00_5520);
							FAILURE(BgL_auxz00_6359, BFALSE, BFALSE);
						}
					if (BIGNUMP(BgL_n1z00_5519))
						{	/* Unsafe/bignumber.scm 484 */
							BgL_auxz00_6349 = BgL_n1z00_5519;
						}
					else
						{
							obj_t BgL_auxz00_6352;

							BgL_auxz00_6352 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 17359)), BGl_string2491z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_n1z00_5519);
							FAILURE(BgL_auxz00_6352, BFALSE, BFALSE);
						}
					BgL_tmpz00_6348 = bgl_bignum_cmp(BgL_auxz00_6349, BgL_auxz00_6356);
				}
				return BINT(BgL_tmpz00_6348);
			}
		}

	}



/* bignum-add-nonneg */
	obj_t BGl_bignumzd2addzd2nonnegz00zz__bignumz00(obj_t BgL_xz00_44,
		obj_t BgL_yz00_45)
	{
		{	/* Unsafe/bignumber.scm 491 */
			{
				obj_t BgL_xz00_1549;
				obj_t BgL_yz00_1550;
				long BgL_lenxz00_1551;
				long BgL_lenyz00_1552;

				{	/* Unsafe/bignumber.scm 530 */
					long BgL_lenxz00_1546;
					long BgL_lenyz00_1547;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_3538;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_3539;

							BgL_arg1226z00_3539 = BGL_BIGNUM_U16VECT(BgL_xz00_44);
							BgL_arg1224z00_3538 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3539);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3541;

							BgL_xz00_3541 = (uint16_t) (BgL_arg1224z00_3538);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_3542;

								BgL_arg2271z00_3542 = (long) (BgL_xz00_3541);
								BgL_lenxz00_1546 = (long) (BgL_arg2271z00_3542);
					}}}
					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_3545;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_3546;

							BgL_arg1226z00_3546 = BGL_BIGNUM_U16VECT(BgL_yz00_45);
							BgL_arg1224z00_3545 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3546);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3548;

							BgL_xz00_3548 = (uint16_t) (BgL_arg1224z00_3545);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_3549;

								BgL_arg2271z00_3549 = (long) (BgL_xz00_3548);
								BgL_lenyz00_1547 = (long) (BgL_arg2271z00_3549);
					}}}
					if ((BgL_lenxz00_1546 < BgL_lenyz00_1547))
						{	/* Unsafe/bignumber.scm 532 */
							BgL_xz00_1549 = BgL_yz00_45;
							BgL_yz00_1550 = BgL_xz00_44;
							BgL_lenxz00_1551 = BgL_lenyz00_1547;
							BgL_lenyz00_1552 = BgL_lenxz00_1546;
						BgL_zc3z04anonymousza31435ze3z87_1553:
							{	/* Unsafe/bignumber.scm 494 */
								obj_t BgL_rz00_1554;

								{	/* Unsafe/bignumber.scm 494 */
									long BgL_arg1462z00_1588;

									BgL_arg1462z00_1588 = (BgL_lenxz00_1551 + ((long) 1));
									{	/* Unsafe/bignumber.scm 494 */
										int BgL_lenz00_3455;

										BgL_lenz00_3455 = (int) (BgL_arg1462z00_1588);
										{	/* Unsafe/bignumber.scm 259 */
											obj_t BgL_arg1220z00_3456;

											{	/* Unsafe/bignumber.scm 259 */

												BgL_arg1220z00_3456 =
													BGl_makezd2u16vectorzd2zz__srfi4z00(
													(long) (BgL_lenz00_3455), (uint16_t) (0));
											}
											BgL_rz00_1554 = bgl_make_bignum(BgL_arg1220z00_3456);
								}}}
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1239z00_3461;
									uint16_t BgL_arg1240z00_3462;

									BgL_arg1239z00_3461 = BGL_BIGNUM_U16VECT(BgL_rz00_1554);
									BgL_arg1240z00_3462 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1239z00_3461, ((long) 0),
										BgL_arg1240z00_3462);
									BUNSPEC;
								}
								{
									long BgL_iz00_1556;
									long BgL_cz00_1557;

									BgL_iz00_1556 = ((long) 1);
									BgL_cz00_1557 = ((long) 0);
								BgL_zc3z04anonymousza31436ze3z87_1558:
									if ((BgL_iz00_1556 < BgL_lenyz00_1552))
										{	/* Unsafe/bignumber.scm 501 */
											long BgL_wz00_1560;

											{	/* Unsafe/bignumber.scm 501 */
												long BgL_arg1445z00_1568;

												{	/* Unsafe/bignumber.scm 501 */
													long BgL_arg1448z00_1569;
													long BgL_arg1449z00_1570;

													{	/* Unsafe/bignumber.scm 501 */
														int BgL_iz00_3466;

														BgL_iz00_3466 = (int) (BgL_iz00_1556);
														{	/* Unsafe/bignumber.scm 267 */
															uint16_t BgL_arg1241z00_3467;

															{	/* Unsafe/bignumber.scm 267 */
																obj_t BgL_arg1242z00_3468;

																BgL_arg1242z00_3468 =
																	BGL_BIGNUM_U16VECT(BgL_xz00_1549);
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_tmpz00_6389;

																	BgL_tmpz00_6389 = (long) (BgL_iz00_3466);
																	BgL_arg1241z00_3467 =
																		BGL_U16VREF(BgL_arg1242z00_3468,
																		BgL_tmpz00_6389);
															}}
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_arg2271z00_3470;

																BgL_arg2271z00_3470 =
																	(long) (BgL_arg1241z00_3467);
																BgL_arg1448z00_1569 =
																	(long) (BgL_arg2271z00_3470);
													}}}
													{	/* Unsafe/bignumber.scm 502 */
														int BgL_iz00_3473;

														BgL_iz00_3473 = (int) (BgL_iz00_1556);
														{	/* Unsafe/bignumber.scm 267 */
															uint16_t BgL_arg1241z00_3474;

															{	/* Unsafe/bignumber.scm 267 */
																obj_t BgL_arg1242z00_3475;

																BgL_arg1242z00_3475 =
																	BGL_BIGNUM_U16VECT(BgL_yz00_1550);
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_tmpz00_6396;

																	BgL_tmpz00_6396 = (long) (BgL_iz00_3473);
																	BgL_arg1241z00_3474 =
																		BGL_U16VREF(BgL_arg1242z00_3475,
																		BgL_tmpz00_6396);
															}}
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_arg2271z00_3477;

																BgL_arg2271z00_3477 =
																	(long) (BgL_arg1241z00_3474);
																BgL_arg1449z00_1570 =
																	(long) (BgL_arg2271z00_3477);
													}}}
													BgL_arg1445z00_1568 =
														(BgL_arg1448z00_1569 + BgL_arg1449z00_1570);
												}
												BgL_wz00_1560 = (BgL_arg1445z00_1568 + BgL_cz00_1557);
											}
											if ((BgL_wz00_1560 < ((long) 16384)))
												{	/* Unsafe/bignumber.scm 504 */
													{	/* Unsafe/bignumber.scm 506 */
														int BgL_iz00_3486;
														int BgL_digitz00_3487;

														BgL_iz00_3486 = (int) (BgL_iz00_1556);
														BgL_digitz00_3487 = (int) (BgL_wz00_1560);
														{	/* Unsafe/bignumber.scm 269 */
															obj_t BgL_arg1244z00_3488;
															uint16_t BgL_arg1260z00_3489;

															BgL_arg1244z00_3488 =
																BGL_BIGNUM_U16VECT(BgL_rz00_1554);
															{	/* Unsafe/bignumber.scm 269 */
																long BgL_tmpz00_6408;

																BgL_tmpz00_6408 = (long) (BgL_digitz00_3487);
																BgL_arg1260z00_3489 =
																	(uint16_t) (BgL_tmpz00_6408);
															}
															{	/* Unsafe/bignumber.scm 269 */
																long BgL_tmpz00_6411;

																BgL_tmpz00_6411 = (long) (BgL_iz00_3486);
																BGL_U16VSET(BgL_arg1244z00_3488,
																	BgL_tmpz00_6411, BgL_arg1260z00_3489);
															} BUNSPEC;
													}}
													{
														long BgL_cz00_6416;
														long BgL_iz00_6414;

														BgL_iz00_6414 = (BgL_iz00_1556 + ((long) 1));
														BgL_cz00_6416 = ((long) 0);
														BgL_cz00_1557 = BgL_cz00_6416;
														BgL_iz00_1556 = BgL_iz00_6414;
														goto BgL_zc3z04anonymousza31436ze3z87_1558;
													}
												}
											else
												{	/* Unsafe/bignumber.scm 504 */
													{	/* Unsafe/bignumber.scm 509 */
														long BgL_arg1441z00_1564;

														BgL_arg1441z00_1564 =
															(BgL_wz00_1560 - ((long) 16384));
														{	/* Unsafe/bignumber.scm 509 */
															int BgL_iz00_3495;
															int BgL_digitz00_3496;

															BgL_iz00_3495 = (int) (BgL_iz00_1556);
															BgL_digitz00_3496 = (int) (BgL_arg1441z00_1564);
															{	/* Unsafe/bignumber.scm 269 */
																obj_t BgL_arg1244z00_3497;
																uint16_t BgL_arg1260z00_3498;

																BgL_arg1244z00_3497 =
																	BGL_BIGNUM_U16VECT(BgL_rz00_1554);
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6421;

																	BgL_tmpz00_6421 = (long) (BgL_digitz00_3496);
																	BgL_arg1260z00_3498 =
																		(uint16_t) (BgL_tmpz00_6421);
																}
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6424;

																	BgL_tmpz00_6424 = (long) (BgL_iz00_3495);
																	BGL_U16VSET(BgL_arg1244z00_3497,
																		BgL_tmpz00_6424, BgL_arg1260z00_3498);
																} BUNSPEC;
													}}}
													{
														long BgL_cz00_6429;
														long BgL_iz00_6427;

														BgL_iz00_6427 = (BgL_iz00_1556 + ((long) 1));
														BgL_cz00_6429 = ((long) 1);
														BgL_cz00_1557 = BgL_cz00_6429;
														BgL_iz00_1556 = BgL_iz00_6427;
														goto BgL_zc3z04anonymousza31436ze3z87_1558;
													}
												}
										}
									else
										{
											long BgL_iz00_1572;
											long BgL_cz00_1573;

											BgL_iz00_1572 = BgL_iz00_1556;
											BgL_cz00_1573 = BgL_cz00_1557;
										BgL_zc3z04anonymousza31450ze3z87_1574:
											if ((BgL_iz00_1572 < BgL_lenxz00_1551))
												{	/* Unsafe/bignumber.scm 515 */
													long BgL_wz00_1576;

													{	/* Unsafe/bignumber.scm 515 */
														long BgL_arg1460z00_1584;

														{	/* Unsafe/bignumber.scm 515 */
															int BgL_iz00_3504;

															BgL_iz00_3504 = (int) (BgL_iz00_1572);
															{	/* Unsafe/bignumber.scm 267 */
																uint16_t BgL_arg1241z00_3505;

																{	/* Unsafe/bignumber.scm 267 */
																	obj_t BgL_arg1242z00_3506;

																	BgL_arg1242z00_3506 =
																		BGL_BIGNUM_U16VECT(BgL_xz00_1549);
																	{	/* Unsafe/bignumber.scm 267 */
																		long BgL_tmpz00_6434;

																		BgL_tmpz00_6434 = (long) (BgL_iz00_3504);
																		BgL_arg1241z00_3505 =
																			BGL_U16VREF(BgL_arg1242z00_3506,
																			BgL_tmpz00_6434);
																}}
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_arg2271z00_3508;

																	BgL_arg2271z00_3508 =
																		(long) (BgL_arg1241z00_3505);
																	BgL_arg1460z00_1584 =
																		(long) (BgL_arg2271z00_3508);
														}}}
														BgL_wz00_1576 =
															(BgL_arg1460z00_1584 + BgL_cz00_1573);
													}
													if ((BgL_wz00_1576 < ((long) 16384)))
														{	/* Unsafe/bignumber.scm 516 */
															{	/* Unsafe/bignumber.scm 518 */
																int BgL_iz00_3515;
																int BgL_digitz00_3516;

																BgL_iz00_3515 = (int) (BgL_iz00_1572);
																BgL_digitz00_3516 = (int) (BgL_wz00_1576);
																{	/* Unsafe/bignumber.scm 269 */
																	obj_t BgL_arg1244z00_3517;
																	uint16_t BgL_arg1260z00_3518;

																	BgL_arg1244z00_3517 =
																		BGL_BIGNUM_U16VECT(BgL_rz00_1554);
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6445;

																		BgL_tmpz00_6445 =
																			(long) (BgL_digitz00_3516);
																		BgL_arg1260z00_3518 =
																			(uint16_t) (BgL_tmpz00_6445);
																	}
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6448;

																		BgL_tmpz00_6448 = (long) (BgL_iz00_3515);
																		BGL_U16VSET(BgL_arg1244z00_3517,
																			BgL_tmpz00_6448, BgL_arg1260z00_3518);
																	} BUNSPEC;
															}}
															{
																long BgL_cz00_6453;
																long BgL_iz00_6451;

																BgL_iz00_6451 = (BgL_iz00_1572 + ((long) 1));
																BgL_cz00_6453 = ((long) 0);
																BgL_cz00_1573 = BgL_cz00_6453;
																BgL_iz00_1572 = BgL_iz00_6451;
																goto BgL_zc3z04anonymousza31450ze3z87_1574;
															}
														}
													else
														{	/* Unsafe/bignumber.scm 516 */
															{	/* Unsafe/bignumber.scm 521 */
																long BgL_arg1455z00_1580;

																BgL_arg1455z00_1580 =
																	(BgL_wz00_1576 - ((long) 16384));
																{	/* Unsafe/bignumber.scm 521 */
																	int BgL_iz00_3524;
																	int BgL_digitz00_3525;

																	BgL_iz00_3524 = (int) (BgL_iz00_1572);
																	BgL_digitz00_3525 =
																		(int) (BgL_arg1455z00_1580);
																	{	/* Unsafe/bignumber.scm 269 */
																		obj_t BgL_arg1244z00_3526;
																		uint16_t BgL_arg1260z00_3527;

																		BgL_arg1244z00_3526 =
																			BGL_BIGNUM_U16VECT(BgL_rz00_1554);
																		{	/* Unsafe/bignumber.scm 269 */
																			long BgL_tmpz00_6458;

																			BgL_tmpz00_6458 =
																				(long) (BgL_digitz00_3525);
																			BgL_arg1260z00_3527 =
																				(uint16_t) (BgL_tmpz00_6458);
																		}
																		{	/* Unsafe/bignumber.scm 269 */
																			long BgL_tmpz00_6461;

																			BgL_tmpz00_6461 = (long) (BgL_iz00_3524);
																			BGL_U16VSET(BgL_arg1244z00_3526,
																				BgL_tmpz00_6461, BgL_arg1260z00_3527);
																		} BUNSPEC;
															}}}
															{
																long BgL_cz00_6466;
																long BgL_iz00_6464;

																BgL_iz00_6464 = (BgL_iz00_1572 + ((long) 1));
																BgL_cz00_6466 = ((long) 1);
																BgL_cz00_1573 = BgL_cz00_6466;
																BgL_iz00_1572 = BgL_iz00_6464;
																goto BgL_zc3z04anonymousza31450ze3z87_1574;
															}
														}
												}
											else
												{	/* Unsafe/bignumber.scm 513 */
													if ((BgL_cz00_1573 == ((long) 0)))
														{	/* Unsafe/bignumber.scm 524 */
															return
																BGl_bignumzd2shrinkzd2zz__bignumz00
																(BgL_rz00_1554, BgL_lenxz00_1551);
														}
													else
														{	/* Unsafe/bignumber.scm 524 */
															{	/* Unsafe/bignumber.scm 527 */
																int BgL_iz00_3532;
																int BgL_digitz00_3533;

																BgL_iz00_3532 = (int) (BgL_lenxz00_1551);
																BgL_digitz00_3533 = (int) (BgL_cz00_1573);
																{	/* Unsafe/bignumber.scm 269 */
																	obj_t BgL_arg1244z00_3534;
																	uint16_t BgL_arg1260z00_3535;

																	BgL_arg1244z00_3534 =
																		BGL_BIGNUM_U16VECT(BgL_rz00_1554);
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6473;

																		BgL_tmpz00_6473 =
																			(long) (BgL_digitz00_3533);
																		BgL_arg1260z00_3535 =
																			(uint16_t) (BgL_tmpz00_6473);
																	}
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6476;

																		BgL_tmpz00_6476 = (long) (BgL_iz00_3532);
																		BGL_U16VSET(BgL_arg1244z00_3534,
																			BgL_tmpz00_6476, BgL_arg1260z00_3535);
																	} BUNSPEC;
															}}
															return BgL_rz00_1554;
														}
												}
										}
								}
							}
						}
					else
						{
							long BgL_lenyz00_6482;
							long BgL_lenxz00_6481;
							obj_t BgL_yz00_6480;
							obj_t BgL_xz00_6479;

							BgL_xz00_6479 = BgL_xz00_44;
							BgL_yz00_6480 = BgL_yz00_45;
							BgL_lenxz00_6481 = BgL_lenxz00_1546;
							BgL_lenyz00_6482 = BgL_lenyz00_1547;
							BgL_lenyz00_1552 = BgL_lenyz00_6482;
							BgL_lenxz00_1551 = BgL_lenxz00_6481;
							BgL_yz00_1550 = BgL_yz00_6480;
							BgL_xz00_1549 = BgL_xz00_6479;
							goto BgL_zc3z04anonymousza31435ze3z87_1553;
						}
				}
			}
		}

	}



/* bignum-sub-nonneg */
	obj_t BGl_bignumzd2subzd2nonnegz00zz__bignumz00(obj_t BgL_xz00_46,
		obj_t BgL_yz00_47)
	{
		{	/* Unsafe/bignumber.scm 536 */
			{
				obj_t BgL_xz00_1610;
				obj_t BgL_yz00_1611;
				long BgL_lenxz00_1612;
				long BgL_lenyz00_1613;
				obj_t BgL_rz00_1594;

				{	/* Unsafe/bignumber.scm 589 */
					long BgL_arg1463z00_1592;
					long BgL_arg1464z00_1593;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_3665;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_3666;

							BgL_arg1226z00_3666 = BGL_BIGNUM_U16VECT(BgL_xz00_46);
							BgL_arg1224z00_3665 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3666);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3668;

							BgL_xz00_3668 = (uint16_t) (BgL_arg1224z00_3665);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_3669;

								BgL_arg2271z00_3669 = (long) (BgL_xz00_3668);
								BgL_arg1463z00_1592 = (long) (BgL_arg2271z00_3669);
					}}}
					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_3672;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_3673;

							BgL_arg1226z00_3673 = BGL_BIGNUM_U16VECT(BgL_yz00_47);
							BgL_arg1224z00_3672 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3673);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3675;

							BgL_xz00_3675 = (uint16_t) (BgL_arg1224z00_3672);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_3676;

								BgL_arg2271z00_3676 = (long) (BgL_xz00_3675);
								BgL_arg1464z00_1593 = (long) (BgL_arg2271z00_3676);
					}}}
					BgL_xz00_1610 = BgL_xz00_46;
					BgL_yz00_1611 = BgL_yz00_47;
					BgL_lenxz00_1612 = BgL_arg1463z00_1592;
					BgL_lenyz00_1613 = BgL_arg1464z00_1593;
					{	/* Unsafe/bignumber.scm 553 */
						obj_t BgL_rz00_1615;

						{	/* Unsafe/bignumber.scm 553 */
							int BgL_lenz00_3586;

							BgL_lenz00_3586 = (int) (BgL_lenxz00_1612);
							{	/* Unsafe/bignumber.scm 259 */
								obj_t BgL_arg1220z00_3587;

								{	/* Unsafe/bignumber.scm 259 */

									BgL_arg1220z00_3587 =
										BGl_makezd2u16vectorzd2zz__srfi4z00(
										(long) (BgL_lenz00_3586), (uint16_t) (0));
								}
								BgL_rz00_1615 = bgl_make_bignum(BgL_arg1220z00_3587);
						}}
						{
							long BgL_iz00_1617;
							long BgL_bz00_1618;

							BgL_iz00_1617 = ((long) 1);
							BgL_bz00_1618 = ((long) 0);
						BgL_zc3z04anonymousza31475ze3z87_1619:
							if ((BgL_iz00_1617 < BgL_lenyz00_1613))
								{	/* Unsafe/bignumber.scm 558 */
									long BgL_wz00_1621;

									{	/* Unsafe/bignumber.scm 558 */
										long BgL_arg1484z00_1627;

										{	/* Unsafe/bignumber.scm 558 */
											long BgL_arg1486z00_1628;
											long BgL_arg1487z00_1629;

											{	/* Unsafe/bignumber.scm 558 */
												int BgL_iz00_3593;

												BgL_iz00_3593 = (int) (BgL_iz00_1617);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1241z00_3594;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1242z00_3595;

														BgL_arg1242z00_3595 =
															BGL_BIGNUM_U16VECT(BgL_xz00_1610);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_6501;

															BgL_tmpz00_6501 = (long) (BgL_iz00_3593);
															BgL_arg1241z00_3594 =
																BGL_U16VREF(BgL_arg1242z00_3595,
																BgL_tmpz00_6501);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2271z00_3597;

														BgL_arg2271z00_3597 = (long) (BgL_arg1241z00_3594);
														BgL_arg1486z00_1628 = (long) (BgL_arg2271z00_3597);
											}}}
											{	/* Unsafe/bignumber.scm 559 */
												int BgL_iz00_3600;

												BgL_iz00_3600 = (int) (BgL_iz00_1617);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1241z00_3601;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1242z00_3602;

														BgL_arg1242z00_3602 =
															BGL_BIGNUM_U16VECT(BgL_yz00_1611);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_6508;

															BgL_tmpz00_6508 = (long) (BgL_iz00_3600);
															BgL_arg1241z00_3601 =
																BGL_U16VREF(BgL_arg1242z00_3602,
																BgL_tmpz00_6508);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2271z00_3604;

														BgL_arg2271z00_3604 = (long) (BgL_arg1241z00_3601);
														BgL_arg1487z00_1629 = (long) (BgL_arg2271z00_3604);
											}}}
											BgL_arg1484z00_1627 =
												(BgL_arg1486z00_1628 - BgL_arg1487z00_1629);
										}
										BgL_wz00_1621 = (BgL_arg1484z00_1627 - BgL_bz00_1618);
									}
									if ((BgL_wz00_1621 < ((long) 0)))
										{	/* Unsafe/bignumber.scm 561 */
											{	/* Unsafe/bignumber.scm 563 */
												long BgL_arg1478z00_1623;

												BgL_arg1478z00_1623 = (BgL_wz00_1621 + ((long) 16384));
												{	/* Unsafe/bignumber.scm 563 */
													int BgL_iz00_3614;
													int BgL_digitz00_3615;

													BgL_iz00_3614 = (int) (BgL_iz00_1617);
													BgL_digitz00_3615 = (int) (BgL_arg1478z00_1623);
													{	/* Unsafe/bignumber.scm 269 */
														obj_t BgL_arg1244z00_3616;
														uint16_t BgL_arg1260z00_3617;

														BgL_arg1244z00_3616 =
															BGL_BIGNUM_U16VECT(BgL_rz00_1615);
														{	/* Unsafe/bignumber.scm 269 */
															long BgL_tmpz00_6521;

															BgL_tmpz00_6521 = (long) (BgL_digitz00_3615);
															BgL_arg1260z00_3617 =
																(uint16_t) (BgL_tmpz00_6521);
														}
														{	/* Unsafe/bignumber.scm 269 */
															long BgL_tmpz00_6524;

															BgL_tmpz00_6524 = (long) (BgL_iz00_3614);
															BGL_U16VSET(BgL_arg1244z00_3616, BgL_tmpz00_6524,
																BgL_arg1260z00_3617);
														} BUNSPEC;
											}}}
											{
												long BgL_bz00_6529;
												long BgL_iz00_6527;

												BgL_iz00_6527 = (BgL_iz00_1617 + ((long) 1));
												BgL_bz00_6529 = ((long) 1);
												BgL_bz00_1618 = BgL_bz00_6529;
												BgL_iz00_1617 = BgL_iz00_6527;
												goto BgL_zc3z04anonymousza31475ze3z87_1619;
											}
										}
									else
										{	/* Unsafe/bignumber.scm 561 */
											{	/* Unsafe/bignumber.scm 566 */
												int BgL_iz00_3621;
												int BgL_digitz00_3622;

												BgL_iz00_3621 = (int) (BgL_iz00_1617);
												BgL_digitz00_3622 = (int) (BgL_wz00_1621);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1244z00_3623;
													uint16_t BgL_arg1260z00_3624;

													BgL_arg1244z00_3623 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1615);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6533;

														BgL_tmpz00_6533 = (long) (BgL_digitz00_3622);
														BgL_arg1260z00_3624 = (uint16_t) (BgL_tmpz00_6533);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6536;

														BgL_tmpz00_6536 = (long) (BgL_iz00_3621);
														BGL_U16VSET(BgL_arg1244z00_3623, BgL_tmpz00_6536,
															BgL_arg1260z00_3624);
													} BUNSPEC;
											}}
											{
												long BgL_bz00_6541;
												long BgL_iz00_6539;

												BgL_iz00_6539 = (BgL_iz00_1617 + ((long) 1));
												BgL_bz00_6541 = ((long) 0);
												BgL_bz00_1618 = BgL_bz00_6541;
												BgL_iz00_1617 = BgL_iz00_6539;
												goto BgL_zc3z04anonymousza31475ze3z87_1619;
											}
										}
								}
							else
								{
									long BgL_iz00_1631;
									long BgL_bz00_1632;

									BgL_iz00_1631 = BgL_iz00_1617;
									BgL_bz00_1632 = BgL_bz00_1618;
								BgL_zc3z04anonymousza31488ze3z87_1633:
									if ((BgL_iz00_1631 < BgL_lenxz00_1612))
										{	/* Unsafe/bignumber.scm 572 */
											long BgL_wz00_1635;

											{	/* Unsafe/bignumber.scm 572 */
												long BgL_arg1497z00_1641;

												{	/* Unsafe/bignumber.scm 572 */
													int BgL_iz00_3630;

													BgL_iz00_3630 = (int) (BgL_iz00_1631);
													{	/* Unsafe/bignumber.scm 267 */
														uint16_t BgL_arg1241z00_3631;

														{	/* Unsafe/bignumber.scm 267 */
															obj_t BgL_arg1242z00_3632;

															BgL_arg1242z00_3632 =
																BGL_BIGNUM_U16VECT(BgL_xz00_1610);
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_tmpz00_6546;

																BgL_tmpz00_6546 = (long) (BgL_iz00_3630);
																BgL_arg1241z00_3631 =
																	BGL_U16VREF(BgL_arg1242z00_3632,
																	BgL_tmpz00_6546);
														}}
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_arg2271z00_3634;

															BgL_arg2271z00_3634 =
																(long) (BgL_arg1241z00_3631);
															BgL_arg1497z00_1641 =
																(long) (BgL_arg2271z00_3634);
												}}}
												BgL_wz00_1635 = (BgL_arg1497z00_1641 - BgL_bz00_1632);
											}
											if ((BgL_wz00_1635 < ((long) 0)))
												{	/* Unsafe/bignumber.scm 573 */
													{	/* Unsafe/bignumber.scm 575 */
														long BgL_arg1491z00_1637;

														BgL_arg1491z00_1637 =
															(BgL_wz00_1635 + ((long) 16384));
														{	/* Unsafe/bignumber.scm 575 */
															int BgL_iz00_3642;
															int BgL_digitz00_3643;

															BgL_iz00_3642 = (int) (BgL_iz00_1631);
															BgL_digitz00_3643 = (int) (BgL_arg1491z00_1637);
															{	/* Unsafe/bignumber.scm 269 */
																obj_t BgL_arg1244z00_3644;
																uint16_t BgL_arg1260z00_3645;

																BgL_arg1244z00_3644 =
																	BGL_BIGNUM_U16VECT(BgL_rz00_1615);
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6558;

																	BgL_tmpz00_6558 = (long) (BgL_digitz00_3643);
																	BgL_arg1260z00_3645 =
																		(uint16_t) (BgL_tmpz00_6558);
																}
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6561;

																	BgL_tmpz00_6561 = (long) (BgL_iz00_3642);
																	BGL_U16VSET(BgL_arg1244z00_3644,
																		BgL_tmpz00_6561, BgL_arg1260z00_3645);
																} BUNSPEC;
													}}}
													{
														long BgL_bz00_6566;
														long BgL_iz00_6564;

														BgL_iz00_6564 = (BgL_iz00_1631 + ((long) 1));
														BgL_bz00_6566 = ((long) 1);
														BgL_bz00_1632 = BgL_bz00_6566;
														BgL_iz00_1631 = BgL_iz00_6564;
														goto BgL_zc3z04anonymousza31488ze3z87_1633;
													}
												}
											else
												{	/* Unsafe/bignumber.scm 573 */
													{	/* Unsafe/bignumber.scm 578 */
														int BgL_iz00_3649;
														int BgL_digitz00_3650;

														BgL_iz00_3649 = (int) (BgL_iz00_1631);
														BgL_digitz00_3650 = (int) (BgL_wz00_1635);
														{	/* Unsafe/bignumber.scm 269 */
															obj_t BgL_arg1244z00_3651;
															uint16_t BgL_arg1260z00_3652;

															BgL_arg1244z00_3651 =
																BGL_BIGNUM_U16VECT(BgL_rz00_1615);
															{	/* Unsafe/bignumber.scm 269 */
																long BgL_tmpz00_6570;

																BgL_tmpz00_6570 = (long) (BgL_digitz00_3650);
																BgL_arg1260z00_3652 =
																	(uint16_t) (BgL_tmpz00_6570);
															}
															{	/* Unsafe/bignumber.scm 269 */
																long BgL_tmpz00_6573;

																BgL_tmpz00_6573 = (long) (BgL_iz00_3649);
																BGL_U16VSET(BgL_arg1244z00_3651,
																	BgL_tmpz00_6573, BgL_arg1260z00_3652);
															} BUNSPEC;
													}}
													{
														long BgL_bz00_6578;
														long BgL_iz00_6576;

														BgL_iz00_6576 = (BgL_iz00_1631 + ((long) 1));
														BgL_bz00_6578 = ((long) 0);
														BgL_bz00_1632 = BgL_bz00_6578;
														BgL_iz00_1631 = BgL_iz00_6576;
														goto BgL_zc3z04anonymousza31488ze3z87_1633;
													}
												}
										}
									else
										{	/* Unsafe/bignumber.scm 570 */
											if ((BgL_bz00_1632 == ((long) 0)))
												{	/* Unsafe/bignumber.scm 265 */
													obj_t BgL_arg1239z00_3658;
													uint16_t BgL_arg1240z00_3659;

													BgL_arg1239z00_3658 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1615);
													BgL_arg1240z00_3659 = (uint16_t) (((long) 1));
													BGL_U16VSET(BgL_arg1239z00_3658, ((long) 0),
														BgL_arg1240z00_3659);
													BUNSPEC;
												}
											else
												{	/* Unsafe/bignumber.scm 581 */
													{	/* Unsafe/bignumber.scm 265 */
														obj_t BgL_arg1239z00_3662;
														uint16_t BgL_arg1240z00_3663;

														BgL_arg1239z00_3662 =
															BGL_BIGNUM_U16VECT(BgL_rz00_1615);
														BgL_arg1240z00_3663 = (uint16_t) (((long) 0));
														BGL_U16VSET(BgL_arg1239z00_3662, ((long) 0),
															BgL_arg1240z00_3663);
														BUNSPEC;
													}
													{	/* Unsafe/bignumber.scm 585 */
														bool_t BgL_tmpz00_6587;

														BgL_rz00_1594 = BgL_rz00_1615;
														{	/* Unsafe/bignumber.scm 539 */
															long BgL_lrz00_1596;

															{	/* Unsafe/bignumber.scm 261 */
																long BgL_arg1224z00_3554;

																{	/* Unsafe/bignumber.scm 261 */
																	obj_t BgL_arg1226z00_3555;

																	BgL_arg1226z00_3555 =
																		BGL_BIGNUM_U16VECT(BgL_rz00_1594);
																	BgL_arg1224z00_3554 =
																		BGL_HVECTOR_LENGTH(BgL_arg1226z00_3555);
																}
																{	/* Unsafe/bignumber.scm 261 */
																	uint16_t BgL_xz00_3557;

																	BgL_xz00_3557 =
																		(uint16_t) (BgL_arg1224z00_3554);
																	{	/* Unsafe/bignumber.scm 261 */
																		long BgL_arg2271z00_3558;

																		BgL_arg2271z00_3558 =
																			(long) (BgL_xz00_3557);
																		BgL_lrz00_1596 =
																			(long) (BgL_arg2271z00_3558);
															}}}
															{
																long BgL_iz00_1598;
																long BgL_cz00_1599;

																BgL_iz00_1598 = ((long) 1);
																BgL_cz00_1599 = ((long) 0);
															BgL_zc3z04anonymousza31466ze3z87_1600:
																if ((BgL_iz00_1598 < BgL_lrz00_1596))
																	{	/* Unsafe/bignumber.scm 543 */
																		long BgL_wz00_1602;

																		{	/* Unsafe/bignumber.scm 543 */
																			long BgL_arg1473z00_1608;

																			{	/* Unsafe/bignumber.scm 543 */
																				int BgL_iz00_3563;

																				BgL_iz00_3563 = (int) (BgL_iz00_1598);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1241z00_3564;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1242z00_3565;

																						BgL_arg1242z00_3565 =
																							BGL_BIGNUM_U16VECT(BgL_rz00_1594);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_6597;

																							BgL_tmpz00_6597 =
																								(long) (BgL_iz00_3563);
																							BgL_arg1241z00_3564 =
																								BGL_U16VREF(BgL_arg1242z00_3565,
																								BgL_tmpz00_6597);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2271z00_3567;

																						BgL_arg2271z00_3567 =
																							(long) (BgL_arg1241z00_3564);
																						BgL_arg1473z00_1608 =
																							(long) (BgL_arg2271z00_3567);
																			}}}
																			BgL_wz00_1602 =
																				(BgL_arg1473z00_1608 + BgL_cz00_1599);
																		}
																		if ((((long) 0) < BgL_wz00_1602))
																			{	/* Unsafe/bignumber.scm 544 */
																				{	/* Unsafe/bignumber.scm 546 */
																					long BgL_arg1469z00_1604;

																					BgL_arg1469z00_1604 =
																						(((long) 16384) - BgL_wz00_1602);
																					{	/* Unsafe/bignumber.scm 546 */
																						int BgL_iz00_3575;
																						int BgL_digitz00_3576;

																						BgL_iz00_3575 =
																							(int) (BgL_iz00_1598);
																						BgL_digitz00_3576 =
																							(int) (BgL_arg1469z00_1604);
																						{	/* Unsafe/bignumber.scm 269 */
																							obj_t BgL_arg1244z00_3577;
																							uint16_t BgL_arg1260z00_3578;

																							BgL_arg1244z00_3577 =
																								BGL_BIGNUM_U16VECT
																								(BgL_rz00_1594);
																							{	/* Unsafe/bignumber.scm 269 */
																								long BgL_tmpz00_6609;

																								BgL_tmpz00_6609 =
																									(long) (BgL_digitz00_3576);
																								BgL_arg1260z00_3578 =
																									(uint16_t) (BgL_tmpz00_6609);
																							}
																							{	/* Unsafe/bignumber.scm 269 */
																								long BgL_tmpz00_6612;

																								BgL_tmpz00_6612 =
																									(long) (BgL_iz00_3575);
																								BGL_U16VSET(BgL_arg1244z00_3577,
																									BgL_tmpz00_6612,
																									BgL_arg1260z00_3578);
																							} BUNSPEC;
																				}}}
																				{
																					long BgL_cz00_6617;
																					long BgL_iz00_6615;

																					BgL_iz00_6615 =
																						(BgL_iz00_1598 + ((long) 1));
																					BgL_cz00_6617 = ((long) 1);
																					BgL_cz00_1599 = BgL_cz00_6617;
																					BgL_iz00_1598 = BgL_iz00_6615;
																					goto
																						BgL_zc3z04anonymousza31466ze3z87_1600;
																				}
																			}
																		else
																			{	/* Unsafe/bignumber.scm 544 */
																				{	/* Unsafe/bignumber.scm 549 */
																					int BgL_iz00_3582;

																					BgL_iz00_3582 = (int) (BgL_iz00_1598);
																					{	/* Unsafe/bignumber.scm 269 */
																						obj_t BgL_arg1244z00_3583;
																						uint16_t BgL_arg1260z00_3584;

																						BgL_arg1244z00_3583 =
																							BGL_BIGNUM_U16VECT(BgL_rz00_1594);
																						BgL_arg1260z00_3584 =
																							(uint16_t) (((long) 0));
																						{	/* Unsafe/bignumber.scm 269 */
																							long BgL_tmpz00_6621;

																							BgL_tmpz00_6621 =
																								(long) (BgL_iz00_3582);
																							BGL_U16VSET(BgL_arg1244z00_3583,
																								BgL_tmpz00_6621,
																								BgL_arg1260z00_3584);
																						} BUNSPEC;
																				}}
																				{
																					long BgL_cz00_6626;
																					long BgL_iz00_6624;

																					BgL_iz00_6624 =
																						(BgL_iz00_1598 + ((long) 1));
																					BgL_cz00_6626 = ((long) 0);
																					BgL_cz00_1599 = BgL_cz00_6626;
																					BgL_iz00_1598 = BgL_iz00_6624;
																					goto
																						BgL_zc3z04anonymousza31466ze3z87_1600;
																				}
																			}
																	}
																else
																	{	/* Unsafe/bignumber.scm 541 */
																		BgL_tmpz00_6587 = ((bool_t) 0);
																	}
															}
														}
														BBOOL(BgL_tmpz00_6587);
													}
												}
										}
								}
						}
						return
							BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
							(BgL_rz00_1615);
					}
				}
			}
		}

	}



/* bignum-sum2 */
	obj_t BGl_bignumzd2sum2zd2zz__bignumz00(obj_t BgL_xz00_48, obj_t BgL_yz00_49,
		long BgL_signzd2xzd2_50, long BgL_signzd2yzd2_51)
	{
		{	/* Unsafe/bignumber.scm 591 */
			if ((BgL_signzd2xzd2_50 == BgL_signzd2yzd2_51))
				{	/* Unsafe/bignumber.scm 600 */
					obj_t BgL_arg1500z00_1649;

					BgL_arg1500z00_1649 =
						BGl_bignumzd2addzd2nonnegz00zz__bignumz00(BgL_xz00_48, BgL_yz00_49);
					{	/* Unsafe/bignumber.scm 594 */
						bool_t BgL_test2714z00_6632;

						{	/* Unsafe/bignumber.scm 594 */
							long BgL_arg1511z00_3700;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1228z00_3703;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1235z00_3704;

									BgL_arg1235z00_3704 = BGL_BIGNUM_U16VECT(BgL_arg1500z00_1649);
									BgL_arg1228z00_3703 =
										BGL_U16VREF(BgL_arg1235z00_3704, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2271z00_3706;

									BgL_arg2271z00_3706 = (long) (BgL_arg1228z00_3703);
									BgL_arg1511z00_3700 = (long) (BgL_arg2271z00_3706);
							}}
							BgL_test2714z00_6632 =
								(BgL_arg1511z00_3700 == BgL_signzd2xzd2_50);
						}
						if (BgL_test2714z00_6632)
							{	/* Unsafe/bignumber.scm 594 */
								BGl_bignumzd2signzd2setz12z12zz__bignumz00(BgL_arg1500z00_1649,
									(int) (((long) 1)));
							}
						else
							{	/* Unsafe/bignumber.scm 594 */
								BGl_bignumzd2signzd2setz12z12zz__bignumz00(BgL_arg1500z00_1649,
									(int) (((long) 0)));
					}}
					return
						BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
						(BgL_arg1500z00_1649);
				}
			else
				{	/* Unsafe/bignumber.scm 601 */
					bool_t BgL_test2715z00_6643;

					{	/* Unsafe/bignumber.scm 601 */
						long BgL_arg1506z00_1655;
						long BgL_arg1507z00_1656;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_3713;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_3714;

								BgL_arg1226z00_3714 = BGL_BIGNUM_U16VECT(BgL_xz00_48);
								BgL_arg1224z00_3713 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3714);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3716;

								BgL_xz00_3716 = (uint16_t) (BgL_arg1224z00_3713);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_3717;

									BgL_arg2271z00_3717 = (long) (BgL_xz00_3716);
									BgL_arg1506z00_1655 = (long) (BgL_arg2271z00_3717);
						}}}
						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_3720;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_3721;

								BgL_arg1226z00_3721 = BGL_BIGNUM_U16VECT(BgL_yz00_49);
								BgL_arg1224z00_3720 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3721);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3723;

								BgL_xz00_3723 = (uint16_t) (BgL_arg1224z00_3720);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_3724;

									BgL_arg2271z00_3724 = (long) (BgL_xz00_3723);
									BgL_arg1507z00_1656 = (long) (BgL_arg2271z00_3724);
						}}}
						BgL_test2715z00_6643 = (BgL_arg1506z00_1655 < BgL_arg1507z00_1656);
					}
					if (BgL_test2715z00_6643)
						{	/* Unsafe/bignumber.scm 602 */
							obj_t BgL_arg1504z00_1653;

							BgL_arg1504z00_1653 =
								BGl_bignumzd2subzd2nonnegz00zz__bignumz00(BgL_yz00_49,
								BgL_xz00_48);
							{	/* Unsafe/bignumber.scm 594 */
								bool_t BgL_test2716z00_6656;

								{	/* Unsafe/bignumber.scm 594 */
									long BgL_arg1511z00_3729;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_3732;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_3733;

											BgL_arg1235z00_3733 =
												BGL_BIGNUM_U16VECT(BgL_arg1504z00_1653);
											BgL_arg1228z00_3732 =
												BGL_U16VREF(BgL_arg1235z00_3733, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_3735;

											BgL_arg2271z00_3735 = (long) (BgL_arg1228z00_3732);
											BgL_arg1511z00_3729 = (long) (BgL_arg2271z00_3735);
									}}
									BgL_test2716z00_6656 =
										(BgL_arg1511z00_3729 == BgL_signzd2yzd2_51);
								}
								if (BgL_test2716z00_6656)
									{	/* Unsafe/bignumber.scm 594 */
										BGl_bignumzd2signzd2setz12z12zz__bignumz00
											(BgL_arg1504z00_1653, (int) (((long) 1)));
									}
								else
									{	/* Unsafe/bignumber.scm 594 */
										BGl_bignumzd2signzd2setz12z12zz__bignumz00
											(BgL_arg1504z00_1653, (int) (((long) 0)));
							}}
							return
								BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
								(BgL_arg1504z00_1653);
						}
					else
						{	/* Unsafe/bignumber.scm 604 */
							obj_t BgL_arg1505z00_1654;

							BgL_arg1505z00_1654 =
								BGl_bignumzd2subzd2nonnegz00zz__bignumz00(BgL_xz00_48,
								BgL_yz00_49);
							{	/* Unsafe/bignumber.scm 594 */
								bool_t BgL_test2717z00_6668;

								{	/* Unsafe/bignumber.scm 594 */
									long BgL_arg1511z00_3742;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_3745;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_3746;

											BgL_arg1235z00_3746 =
												BGL_BIGNUM_U16VECT(BgL_arg1505z00_1654);
											BgL_arg1228z00_3745 =
												BGL_U16VREF(BgL_arg1235z00_3746, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_3748;

											BgL_arg2271z00_3748 = (long) (BgL_arg1228z00_3745);
											BgL_arg1511z00_3742 = (long) (BgL_arg2271z00_3748);
									}}
									BgL_test2717z00_6668 =
										(BgL_arg1511z00_3742 == BgL_signzd2xzd2_50);
								}
								if (BgL_test2717z00_6668)
									{	/* Unsafe/bignumber.scm 594 */
										BGl_bignumzd2signzd2setz12z12zz__bignumz00
											(BgL_arg1505z00_1654, (int) (((long) 1)));
									}
								else
									{	/* Unsafe/bignumber.scm 594 */
										BGl_bignumzd2signzd2setz12z12zz__bignumz00
											(BgL_arg1505z00_1654, (int) (((long) 0)));
							}}
							return
								BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
								(BgL_arg1505z00_1654);
						}
				}
		}

	}



/* $$+bx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_add(obj_t BgL_xz00_52, obj_t BgL_yz00_53)
	{
		{	/* Unsafe/bignumber.scm 606 */
			{	/* Unsafe/bignumber.scm 607 */
				long BgL_arg1513z00_3754;
				long BgL_arg1514z00_3755;

				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1228z00_3757;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1235z00_3758;

						BgL_arg1235z00_3758 = BGL_BIGNUM_U16VECT(BgL_xz00_52);
						BgL_arg1228z00_3757 = BGL_U16VREF(BgL_arg1235z00_3758, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2271z00_3760;

						BgL_arg2271z00_3760 = (long) (BgL_arg1228z00_3757);
						BgL_arg1513z00_3754 = (long) (BgL_arg2271z00_3760);
				}}
				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1228z00_3763;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1235z00_3764;

						BgL_arg1235z00_3764 = BGL_BIGNUM_U16VECT(BgL_yz00_53);
						BgL_arg1228z00_3763 = BGL_U16VREF(BgL_arg1235z00_3764, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2271z00_3766;

						BgL_arg2271z00_3766 = (long) (BgL_arg1228z00_3763);
						BgL_arg1514z00_3755 = (long) (BgL_arg2271z00_3766);
				}}
				return
					BGl_bignumzd2sum2zd2zz__bignumz00(BgL_xz00_52, BgL_yz00_53,
					BgL_arg1513z00_3754, BgL_arg1514z00_3755);
			}
		}

	}



/* &$$+bx */
	obj_t BGl_z62z42z42zb2bxzd0zz__bignumz00(obj_t BgL_envz00_5521,
		obj_t BgL_xz00_5522, obj_t BgL_yz00_5523)
	{
		{	/* Unsafe/bignumber.scm 606 */
			{	/* Unsafe/bignumber.scm 607 */
				obj_t BgL_auxz00_6695;
				obj_t BgL_auxz00_6688;

				if (BIGNUMP(BgL_yz00_5523))
					{	/* Unsafe/bignumber.scm 607 */
						BgL_auxz00_6695 = BgL_yz00_5523;
					}
				else
					{
						obj_t BgL_auxz00_6698;

						BgL_auxz00_6698 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 20617)), BGl_string2492z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5523);
						FAILURE(BgL_auxz00_6698, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5522))
					{	/* Unsafe/bignumber.scm 607 */
						BgL_auxz00_6688 = BgL_xz00_5522;
					}
				else
					{
						obj_t BgL_auxz00_6691;

						BgL_auxz00_6691 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 20617)), BGl_string2492z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5522);
						FAILURE(BgL_auxz00_6691, BFALSE, BFALSE);
					}
				return bgl_bignum_add(BgL_auxz00_6688, BgL_auxz00_6695);
			}
		}

	}



/* $$-bx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_sub(obj_t BgL_xz00_54, obj_t BgL_yz00_55)
	{
		{	/* Unsafe/bignumber.scm 609 */
			{	/* Unsafe/bignumber.scm 610 */
				long BgL_arg1515z00_3768;
				long BgL_arg1516z00_3769;

				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1228z00_3772;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1235z00_3773;

						BgL_arg1235z00_3773 = BGL_BIGNUM_U16VECT(BgL_xz00_54);
						BgL_arg1228z00_3772 = BGL_U16VREF(BgL_arg1235z00_3773, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2271z00_3775;

						BgL_arg2271z00_3775 = (long) (BgL_arg1228z00_3772);
						BgL_arg1515z00_3768 = (long) (BgL_arg2271z00_3775);
				}}
				{	/* Unsafe/bignumber.scm 610 */
					long BgL_arg1517z00_3770;

					{	/* Unsafe/bignumber.scm 263 */
						uint16_t BgL_arg1228z00_3778;

						{	/* Unsafe/bignumber.scm 263 */
							obj_t BgL_arg1235z00_3779;

							BgL_arg1235z00_3779 = BGL_BIGNUM_U16VECT(BgL_yz00_55);
							BgL_arg1228z00_3778 =
								BGL_U16VREF(BgL_arg1235z00_3779, ((long) 0));
						}
						{	/* Unsafe/bignumber.scm 263 */
							long BgL_arg2271z00_3781;

							BgL_arg2271z00_3781 = (long) (BgL_arg1228z00_3778);
							BgL_arg1517z00_3770 = (long) (BgL_arg2271z00_3781);
					}}
					BgL_arg1516z00_3769 = (((long) 1) - BgL_arg1517z00_3770);
				}
				return
					BGl_bignumzd2sum2zd2zz__bignumz00(BgL_xz00_54, BgL_yz00_55,
					BgL_arg1515z00_3768, BgL_arg1516z00_3769);
			}
		}

	}



/* &$$-bx */
	obj_t BGl_z62z42z42zd2bxzb0zz__bignumz00(obj_t BgL_envz00_5524,
		obj_t BgL_xz00_5525, obj_t BgL_yz00_5526)
	{
		{	/* Unsafe/bignumber.scm 609 */
			{	/* Unsafe/bignumber.scm 610 */
				obj_t BgL_auxz00_6720;
				obj_t BgL_auxz00_6713;

				if (BIGNUMP(BgL_yz00_5526))
					{	/* Unsafe/bignumber.scm 610 */
						BgL_auxz00_6720 = BgL_yz00_5526;
					}
				else
					{
						obj_t BgL_auxz00_6723;

						BgL_auxz00_6723 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 20692)), BGl_string2493z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5526);
						FAILURE(BgL_auxz00_6723, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5525))
					{	/* Unsafe/bignumber.scm 610 */
						BgL_auxz00_6713 = BgL_xz00_5525;
					}
				else
					{
						obj_t BgL_auxz00_6716;

						BgL_auxz00_6716 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 20692)), BGl_string2493z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5525);
						FAILURE(BgL_auxz00_6716, BFALSE, BFALSE);
					}
				return bgl_bignum_sub(BgL_auxz00_6713, BgL_auxz00_6720);
			}
		}

	}



/* $$negbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_neg(obj_t BgL_xz00_56)
	{
		{	/* Unsafe/bignumber.scm 612 */
			{	/* Unsafe/bignumber.scm 613 */
				obj_t BgL_res2325z00_3802;

				{	/* Unsafe/bignumber.scm 613 */
					obj_t BgL_xz00_3784;

					BgL_xz00_3784 = BGl_bignumzd2za7eroz75zz__bignumz00;
					{	/* Unsafe/bignumber.scm 610 */
						long BgL_arg1515z00_3786;
						long BgL_arg1516z00_3787;

						{	/* Unsafe/bignumber.scm 263 */
							uint16_t BgL_arg1228z00_3790;

							{	/* Unsafe/bignumber.scm 263 */
								obj_t BgL_arg1235z00_3791;

								BgL_arg1235z00_3791 = BGL_BIGNUM_U16VECT(BgL_xz00_3784);
								BgL_arg1228z00_3790 =
									BGL_U16VREF(BgL_arg1235z00_3791, ((long) 0));
							}
							{	/* Unsafe/bignumber.scm 263 */
								long BgL_arg2271z00_3793;

								BgL_arg2271z00_3793 = (long) (BgL_arg1228z00_3790);
								BgL_arg1515z00_3786 = (long) (BgL_arg2271z00_3793);
						}}
						{	/* Unsafe/bignumber.scm 610 */
							long BgL_arg1517z00_3788;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1228z00_3796;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1235z00_3797;

									BgL_arg1235z00_3797 = BGL_BIGNUM_U16VECT(BgL_xz00_56);
									BgL_arg1228z00_3796 =
										BGL_U16VREF(BgL_arg1235z00_3797, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2271z00_3799;

									BgL_arg2271z00_3799 = (long) (BgL_arg1228z00_3796);
									BgL_arg1517z00_3788 = (long) (BgL_arg2271z00_3799);
							}}
							BgL_arg1516z00_3787 = (((long) 1) - BgL_arg1517z00_3788);
						}
						BgL_res2325z00_3802 =
							BGl_bignumzd2sum2zd2zz__bignumz00(BgL_xz00_3784, BgL_xz00_56,
							BgL_arg1515z00_3786, BgL_arg1516z00_3787);
				}}
				return BgL_res2325z00_3802;
			}
		}

	}



/* &$$negbx */
	obj_t BGl_z62z42z42negbxz62zz__bignumz00(obj_t BgL_envz00_5527,
		obj_t BgL_xz00_5528)
	{
		{	/* Unsafe/bignumber.scm 612 */
			{	/* Unsafe/bignumber.scm 613 */
				obj_t BgL_auxz00_6738;

				if (BIGNUMP(BgL_xz00_5528))
					{	/* Unsafe/bignumber.scm 613 */
						BgL_auxz00_6738 = BgL_xz00_5528;
					}
				else
					{
						obj_t BgL_auxz00_6741;

						BgL_auxz00_6741 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 20758)), BGl_string2494z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5528);
						FAILURE(BgL_auxz00_6741, BFALSE, BFALSE);
					}
				return bgl_bignum_neg(BgL_auxz00_6738);
			}
		}

	}



/* $$*bx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_mul(obj_t BgL_xz00_60, obj_t BgL_yz00_61)
	{
		{	/* Unsafe/bignumber.scm 634 */
			{
				obj_t BgL_xz00_1696;
				obj_t BgL_yz00_1697;
				long BgL_lenxz00_1698;
				long BgL_lenyz00_1699;

				{	/* Unsafe/bignumber.scm 665 */
					obj_t BgL_arg1530z00_1693;

					{	/* Unsafe/bignumber.scm 665 */
						long BgL_arg1531z00_1694;
						long BgL_arg1532z00_1695;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_3883;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_3884;

								BgL_arg1226z00_3884 = BGL_BIGNUM_U16VECT(BgL_xz00_60);
								BgL_arg1224z00_3883 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3884);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3886;

								BgL_xz00_3886 = (uint16_t) (BgL_arg1224z00_3883);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_3887;

									BgL_arg2271z00_3887 = (long) (BgL_xz00_3886);
									BgL_arg1531z00_1694 = (long) (BgL_arg2271z00_3887);
						}}}
						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_3890;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_3891;

								BgL_arg1226z00_3891 = BGL_BIGNUM_U16VECT(BgL_yz00_61);
								BgL_arg1224z00_3890 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3891);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3893;

								BgL_xz00_3893 = (uint16_t) (BgL_arg1224z00_3890);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_3894;

									BgL_arg2271z00_3894 = (long) (BgL_xz00_3893);
									BgL_arg1532z00_1695 = (long) (BgL_arg2271z00_3894);
						}}}
						BgL_xz00_1696 = BgL_xz00_60;
						BgL_yz00_1697 = BgL_yz00_61;
						BgL_lenxz00_1698 = BgL_arg1531z00_1694;
						BgL_lenyz00_1699 = BgL_arg1532z00_1695;
						{	/* Unsafe/bignumber.scm 637 */
							obj_t BgL_rz00_1701;

							{	/* Unsafe/bignumber.scm 637 */
								long BgL_arg1570z00_1734;

								BgL_arg1570z00_1734 =
									((BgL_lenxz00_1698 + BgL_lenyz00_1699) - ((long) 1));
								{	/* Unsafe/bignumber.scm 637 */
									int BgL_lenz00_3806;

									BgL_lenz00_3806 = (int) (BgL_arg1570z00_1734);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3807;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3807 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3806), (uint16_t) (0));
										}
										BgL_rz00_1701 = bgl_make_bignum(BgL_arg1220z00_3807);
							}}}
							{	/* Unsafe/bignumber.scm 639 */
								bool_t BgL_test2723z00_6762;

								{	/* Unsafe/bignumber.scm 639 */
									long BgL_arg1542z00_1705;
									long BgL_arg1543z00_1706;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_3811;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_3812;

											BgL_arg1235z00_3812 = BGL_BIGNUM_U16VECT(BgL_xz00_1696);
											BgL_arg1228z00_3811 =
												BGL_U16VREF(BgL_arg1235z00_3812, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_3814;

											BgL_arg2271z00_3814 = (long) (BgL_arg1228z00_3811);
											BgL_arg1542z00_1705 = (long) (BgL_arg2271z00_3814);
									}}
									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_3817;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_3818;

											BgL_arg1235z00_3818 = BGL_BIGNUM_U16VECT(BgL_yz00_1697);
											BgL_arg1228z00_3817 =
												BGL_U16VREF(BgL_arg1235z00_3818, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_3820;

											BgL_arg2271z00_3820 = (long) (BgL_arg1228z00_3817);
											BgL_arg1543z00_1706 = (long) (BgL_arg2271z00_3820);
									}}
									BgL_test2723z00_6762 =
										(BgL_arg1542z00_1705 == BgL_arg1543z00_1706);
								}
								if (BgL_test2723z00_6762)
									{	/* Unsafe/bignumber.scm 265 */
										obj_t BgL_arg1239z00_3826;
										uint16_t BgL_arg1240z00_3827;

										BgL_arg1239z00_3826 = BGL_BIGNUM_U16VECT(BgL_rz00_1701);
										BgL_arg1240z00_3827 = (uint16_t) (((long) 1));
										BGL_U16VSET(BgL_arg1239z00_3826, ((long) 0),
											BgL_arg1240z00_3827);
										BUNSPEC;
									}
								else
									{	/* Unsafe/bignumber.scm 265 */
										obj_t BgL_arg1239z00_3830;
										uint16_t BgL_arg1240z00_3831;

										BgL_arg1239z00_3830 = BGL_BIGNUM_U16VECT(BgL_rz00_1701);
										BgL_arg1240z00_3831 = (uint16_t) (((long) 0));
										BGL_U16VSET(BgL_arg1239z00_3830, ((long) 0),
											BgL_arg1240z00_3831);
										BUNSPEC;
							}}
							{
								long BgL_jz00_1708;

								BgL_jz00_1708 = ((long) 1);
							BgL_zc3z04anonymousza31544ze3z87_1709:
								if ((BgL_jz00_1708 < BgL_lenyz00_1699))
									{	/* Unsafe/bignumber.scm 646 */
										long BgL_dz00_1711;

										{	/* Unsafe/bignumber.scm 646 */
											int BgL_iz00_3835;

											BgL_iz00_3835 = (int) (BgL_jz00_1708);
											{	/* Unsafe/bignumber.scm 267 */
												uint16_t BgL_arg1241z00_3836;

												{	/* Unsafe/bignumber.scm 267 */
													obj_t BgL_arg1242z00_3837;

													BgL_arg1242z00_3837 =
														BGL_BIGNUM_U16VECT(BgL_yz00_1697);
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_tmpz00_6782;

														BgL_tmpz00_6782 = (long) (BgL_iz00_3835);
														BgL_arg1241z00_3836 =
															BGL_U16VREF(BgL_arg1242z00_3837, BgL_tmpz00_6782);
												}}
												{	/* Unsafe/bignumber.scm 267 */
													long BgL_arg2271z00_3839;

													BgL_arg2271z00_3839 = (long) (BgL_arg1241z00_3836);
													BgL_dz00_1711 = (long) (BgL_arg2271z00_3839);
										}}}
										if ((BgL_dz00_1711 == ((long) 0)))
											{
												long BgL_jz00_6789;

												BgL_jz00_6789 = (BgL_jz00_1708 + ((long) 1));
												BgL_jz00_1708 = BgL_jz00_6789;
												goto BgL_zc3z04anonymousza31544ze3z87_1709;
											}
										else
											{
												long BgL_iz00_1715;
												long BgL_kz00_1716;
												long BgL_cz00_1717;

												BgL_iz00_1715 = ((long) 1);
												BgL_kz00_1716 = BgL_jz00_1708;
												BgL_cz00_1717 = ((long) 0);
											BgL_zc3z04anonymousza31549ze3z87_1718:
												if ((BgL_iz00_1715 < BgL_lenxz00_1698))
													{	/* Unsafe/bignumber.scm 652 */
														long BgL_wz00_1720;

														{	/* Unsafe/bignumber.scm 652 */
															long BgL_arg1561z00_1727;
															long BgL_arg1564z00_1728;

															{	/* Unsafe/bignumber.scm 652 */
																long BgL_arg1565z00_1729;

																{	/* Unsafe/bignumber.scm 652 */
																	int BgL_iz00_3846;

																	BgL_iz00_3846 = (int) (BgL_kz00_1716);
																	{	/* Unsafe/bignumber.scm 267 */
																		uint16_t BgL_arg1241z00_3847;

																		{	/* Unsafe/bignumber.scm 267 */
																			obj_t BgL_arg1242z00_3848;

																			BgL_arg1242z00_3848 =
																				BGL_BIGNUM_U16VECT(BgL_rz00_1701);
																			{	/* Unsafe/bignumber.scm 267 */
																				long BgL_tmpz00_6795;

																				BgL_tmpz00_6795 =
																					(long) (BgL_iz00_3846);
																				BgL_arg1241z00_3847 =
																					BGL_U16VREF(BgL_arg1242z00_3848,
																					BgL_tmpz00_6795);
																		}}
																		{	/* Unsafe/bignumber.scm 267 */
																			long BgL_arg2271z00_3850;

																			BgL_arg2271z00_3850 =
																				(long) (BgL_arg1241z00_3847);
																			BgL_arg1565z00_1729 =
																				(long) (BgL_arg2271z00_3850);
																}}}
																BgL_arg1561z00_1727 =
																	(BgL_arg1565z00_1729 + BgL_cz00_1717);
															}
															{	/* Unsafe/bignumber.scm 653 */
																long BgL_arg1567z00_1730;

																{	/* Unsafe/bignumber.scm 653 */
																	int BgL_iz00_3855;

																	BgL_iz00_3855 = (int) (BgL_iz00_1715);
																	{	/* Unsafe/bignumber.scm 267 */
																		uint16_t BgL_arg1241z00_3856;

																		{	/* Unsafe/bignumber.scm 267 */
																			obj_t BgL_arg1242z00_3857;

																			BgL_arg1242z00_3857 =
																				BGL_BIGNUM_U16VECT(BgL_xz00_1696);
																			{	/* Unsafe/bignumber.scm 267 */
																				long BgL_tmpz00_6803;

																				BgL_tmpz00_6803 =
																					(long) (BgL_iz00_3855);
																				BgL_arg1241z00_3856 =
																					BGL_U16VREF(BgL_arg1242z00_3857,
																					BgL_tmpz00_6803);
																		}}
																		{	/* Unsafe/bignumber.scm 267 */
																			long BgL_arg2271z00_3859;

																			BgL_arg2271z00_3859 =
																				(long) (BgL_arg1241z00_3856);
																			BgL_arg1567z00_1730 =
																				(long) (BgL_arg2271z00_3859);
																}}}
																BgL_arg1564z00_1728 =
																	(BgL_arg1567z00_1730 * BgL_dz00_1711);
															}
															BgL_wz00_1720 =
																(BgL_arg1561z00_1727 + BgL_arg1564z00_1728);
														}
														{	/* Unsafe/bignumber.scm 654 */
															obj_t BgL_arg1553z00_1721;

															BgL_arg1553z00_1721 =
																BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(BINT
																(BgL_wz00_1720), BINT(((long) 16384)));
															{	/* Unsafe/bignumber.scm 654 */
																int BgL_iz00_3866;
																int BgL_digitz00_3867;

																BgL_iz00_3866 = (int) (BgL_kz00_1716);
																BgL_digitz00_3867 = CINT(BgL_arg1553z00_1721);
																{	/* Unsafe/bignumber.scm 269 */
																	obj_t BgL_arg1244z00_3868;
																	uint16_t BgL_arg1260z00_3869;

																	BgL_arg1244z00_3868 =
																		BGL_BIGNUM_U16VECT(BgL_rz00_1701);
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6816;

																		BgL_tmpz00_6816 =
																			(long) (BgL_digitz00_3867);
																		BgL_arg1260z00_3869 =
																			(uint16_t) (BgL_tmpz00_6816);
																	}
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6819;

																		BgL_tmpz00_6819 = (long) (BgL_iz00_3866);
																		BGL_U16VSET(BgL_arg1244z00_3868,
																			BgL_tmpz00_6819, BgL_arg1260z00_3869);
																	} BUNSPEC;
														}}}
														{	/* Unsafe/bignumber.scm 655 */
															long BgL_arg1557z00_1723;
															long BgL_arg1558z00_1724;
															long BgL_arg1559z00_1725;

															BgL_arg1557z00_1723 =
																(BgL_iz00_1715 + ((long) 1));
															BgL_arg1558z00_1724 =
																(BgL_kz00_1716 + ((long) 1));
															BgL_arg1559z00_1725 =
																(BgL_wz00_1720 / ((long) 16384));
															{
																long BgL_cz00_6827;
																long BgL_kz00_6826;
																long BgL_iz00_6825;

																BgL_iz00_6825 = BgL_arg1557z00_1723;
																BgL_kz00_6826 = BgL_arg1558z00_1724;
																BgL_cz00_6827 = BgL_arg1559z00_1725;
																BgL_cz00_1717 = BgL_cz00_6827;
																BgL_kz00_1716 = BgL_kz00_6826;
																BgL_iz00_1715 = BgL_iz00_6825;
																goto BgL_zc3z04anonymousza31549ze3z87_1718;
															}
														}
													}
												else
													{	/* Unsafe/bignumber.scm 650 */
														{	/* Unsafe/bignumber.scm 660 */
															int BgL_iz00_3876;
															int BgL_digitz00_3877;

															BgL_iz00_3876 = (int) (BgL_kz00_1716);
															BgL_digitz00_3877 = (int) (BgL_cz00_1717);
															{	/* Unsafe/bignumber.scm 269 */
																obj_t BgL_arg1244z00_3878;
																uint16_t BgL_arg1260z00_3879;

																BgL_arg1244z00_3878 =
																	BGL_BIGNUM_U16VECT(BgL_rz00_1701);
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6831;

																	BgL_tmpz00_6831 = (long) (BgL_digitz00_3877);
																	BgL_arg1260z00_3879 =
																		(uint16_t) (BgL_tmpz00_6831);
																}
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6834;

																	BgL_tmpz00_6834 = (long) (BgL_iz00_3876);
																	BGL_U16VSET(BgL_arg1244z00_3878,
																		BgL_tmpz00_6834, BgL_arg1260z00_3879);
																} BUNSPEC;
														}}
														{
															long BgL_jz00_6837;

															BgL_jz00_6837 = (BgL_jz00_1708 + ((long) 1));
															BgL_jz00_1708 = BgL_jz00_6837;
															goto BgL_zc3z04anonymousza31544ze3z87_1709;
														}
													}
											}
									}
								else
									{	/* Unsafe/bignumber.scm 644 */
										((bool_t) 0);
									}
							}
							BgL_arg1530z00_1693 =
								BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
								(BgL_rz00_1701);
						}
					}
					return BgL_arg1530z00_1693;
				}
			}
		}

	}



/* &$$*bx */
	obj_t BGl_z62z42z42za2bxzc0zz__bignumz00(obj_t BgL_envz00_5529,
		obj_t BgL_xz00_5530, obj_t BgL_yz00_5531)
	{
		{	/* Unsafe/bignumber.scm 634 */
			{	/* Unsafe/bignumber.scm 637 */
				obj_t BgL_auxz00_6847;
				obj_t BgL_auxz00_6840;

				if (BIGNUMP(BgL_yz00_5531))
					{	/* Unsafe/bignumber.scm 637 */
						BgL_auxz00_6847 = BgL_yz00_5531;
					}
				else
					{
						obj_t BgL_auxz00_6850;

						BgL_auxz00_6850 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 21436)), BGl_string2495z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5531);
						FAILURE(BgL_auxz00_6850, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5530))
					{	/* Unsafe/bignumber.scm 637 */
						BgL_auxz00_6840 = BgL_xz00_5530;
					}
				else
					{
						obj_t BgL_auxz00_6843;

						BgL_auxz00_6843 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 21436)), BGl_string2495z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5530);
						FAILURE(BgL_auxz00_6843, BFALSE, BFALSE);
					}
				return bgl_bignum_mul(BgL_auxz00_6840, BgL_auxz00_6847);
			}
		}

	}



/* $$exptbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_expt(obj_t BgL_xz00_63, obj_t BgL_yz00_64)
	{
		{	/* Unsafe/bignumber.scm 678 */
		bgl_bignum_expt:
			{	/* Unsafe/bignumber.scm 680 */
				bool_t BgL_test2729z00_6855;

				{	/* Unsafe/bignumber.scm 468 */
					long BgL_arg1426z00_3897;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_3899;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_3900;

							BgL_arg1226z00_3900 = BGL_BIGNUM_U16VECT(BgL_yz00_64);
							BgL_arg1224z00_3899 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_3900);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3902;

							BgL_xz00_3902 = (uint16_t) (BgL_arg1224z00_3899);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_3903;

								BgL_arg2271z00_3903 = (long) (BgL_xz00_3902);
								BgL_arg1426z00_3897 = (long) (BgL_arg2271z00_3903);
					}}}
					BgL_test2729z00_6855 = (BgL_arg1426z00_3897 == ((long) 1));
				}
				if (BgL_test2729z00_6855)
					{	/* Unsafe/bignumber.scm 680 */
						obj_t BgL_res2326z00_3914;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2730z00_6862;

							if ((((long) 1) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2730z00_6862 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2730z00_6862 = (((long) 16) < ((long) 1));
								}
							if (BgL_test2730z00_6862)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2326z00_3914 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											1));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2326z00_3914 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 1) + ((long) 16)));
						}}
						return BgL_res2326z00_3914;
					}
				else
					{	/* Unsafe/bignumber.scm 681 */
						bool_t BgL_test2732z00_6869;

						{	/* Unsafe/bignumber.scm 681 */
							bool_t BgL_res2327z00_3927;

							{	/* Unsafe/bignumber.scm 477 */
								bool_t BgL__ortest_1046z00_3916;

								BgL__ortest_1046z00_3916 =
									(BGl_bignumzd2lengthzd2zz__bignumz00(BgL_yz00_64) ==
									((long) 1));
								if (BgL__ortest_1046z00_3916)
									{	/* Unsafe/bignumber.scm 477 */
										BgL_res2327z00_3927 = BgL__ortest_1046z00_3916;
									}
								else
									{	/* Unsafe/bignumber.scm 477 */
										long BgL_arg1430z00_3917;

										{	/* Unsafe/bignumber.scm 267 */
											uint16_t BgL_arg1241z00_3922;

											{	/* Unsafe/bignumber.scm 267 */
												obj_t BgL_arg1242z00_3923;

												BgL_arg1242z00_3923 = BGL_BIGNUM_U16VECT(BgL_yz00_64);
												BgL_arg1241z00_3922 =
													BGL_U16VREF(BgL_arg1242z00_3923, ((long) 1));
											}
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_arg2271z00_3925;

												BgL_arg2271z00_3925 = (long) (BgL_arg1241z00_3922);
												BgL_arg1430z00_3917 = (long) (BgL_arg2271z00_3925);
										}}
										BgL_res2327z00_3927 =
											BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(BINT
											(BgL_arg1430z00_3917));
							}}
							BgL_test2732z00_6869 = BgL_res2327z00_3927;
						}
						if (BgL_test2732z00_6869)
							{	/* Unsafe/bignumber.scm 681 */
								obj_t BgL_arg1581z00_1751;
								obj_t BgL_arg1582z00_1752;

								BgL_arg1581z00_1751 = bgl_bignum_mul(BgL_xz00_63, BgL_xz00_63);
								{	/* Unsafe/bignumber.scm 681 */
									obj_t BgL_arg1583z00_1753;

									{	/* Unsafe/bignumber.scm 681 */
										obj_t BgL_res2328z00_3936;

										{	/* Unsafe/bignumber.scm 415 */
											bool_t BgL_test2734z00_6880;

											if ((((long) 2) < ((long) -16)))
												{	/* Unsafe/bignumber.scm 415 */
													BgL_test2734z00_6880 = ((bool_t) 1);
												}
											else
												{	/* Unsafe/bignumber.scm 415 */
													BgL_test2734z00_6880 = (((long) 16) < ((long) 2));
												}
											if (BgL_test2734z00_6880)
												{	/* Unsafe/bignumber.scm 415 */
													BgL_res2328z00_3936 =
														BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
														(((long) 2));
												}
											else
												{	/* Unsafe/bignumber.scm 415 */
													BgL_res2328z00_3936 =
														VECTOR_REF
														(BGl_preallocatedzd2bignumszd2zz__bignumz00,
														(((long) 2) + ((long) 16)));
										}}
										BgL_arg1583z00_1753 = BgL_res2328z00_3936;
									}
									{	/* Unsafe/bignumber.scm 681 */
										obj_t BgL_res2329z00_3942;

										{	/* Unsafe/bignumber.scm 859 */
											obj_t BgL_arg1757z00_3939;

											{	/* Unsafe/bignumber.scm 859 */
												obj_t BgL_arg1758z00_3940;

												BgL_arg1758z00_3940 =
													BGl_bignumzd2divzd2zz__bignumz00(BgL_yz00_64,
													BgL_arg1583z00_1753);
												BgL_arg1757z00_3939 =
													CAR(((obj_t) BgL_arg1758z00_3940));
											}
											BgL_res2329z00_3942 = BgL_arg1757z00_3939;
										}
										BgL_arg1582z00_1752 = BgL_res2329z00_3942;
								}}
								{
									obj_t BgL_yz00_6891;
									obj_t BgL_xz00_6890;

									BgL_xz00_6890 = BgL_arg1581z00_1751;
									BgL_yz00_6891 = BgL_arg1582z00_1752;
									BgL_yz00_64 = BgL_yz00_6891;
									BgL_xz00_63 = BgL_xz00_6890;
									goto bgl_bignum_expt;
								}
							}
						else
							{	/* Unsafe/bignumber.scm 682 */
								obj_t BgL_arg1584z00_1754;

								{	/* Unsafe/bignumber.scm 682 */
									obj_t BgL_arg1585z00_1755;

									{	/* Unsafe/bignumber.scm 682 */
										obj_t BgL_arg1586z00_1756;

										{	/* Unsafe/bignumber.scm 682 */
											obj_t BgL_res2330z00_3951;

											{	/* Unsafe/bignumber.scm 415 */
												bool_t BgL_test2736z00_6892;

												if ((((long) 1) < ((long) -16)))
													{	/* Unsafe/bignumber.scm 415 */
														BgL_test2736z00_6892 = ((bool_t) 1);
													}
												else
													{	/* Unsafe/bignumber.scm 415 */
														BgL_test2736z00_6892 = (((long) 16) < ((long) 1));
													}
												if (BgL_test2736z00_6892)
													{	/* Unsafe/bignumber.scm 415 */
														BgL_res2330z00_3951 =
															BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
															(((long) 1));
													}
												else
													{	/* Unsafe/bignumber.scm 415 */
														BgL_res2330z00_3951 =
															VECTOR_REF
															(BGl_preallocatedzd2bignumszd2zz__bignumz00,
															(((long) 1) + ((long) 16)));
											}}
											BgL_arg1586z00_1756 = BgL_res2330z00_3951;
										}
										{	/* Unsafe/bignumber.scm 682 */
											obj_t BgL_res2331z00_3970;

											{	/* Unsafe/bignumber.scm 610 */
												long BgL_arg1515z00_3954;
												long BgL_arg1516z00_3955;

												{	/* Unsafe/bignumber.scm 263 */
													uint16_t BgL_arg1228z00_3958;

													{	/* Unsafe/bignumber.scm 263 */
														obj_t BgL_arg1235z00_3959;

														BgL_arg1235z00_3959 =
															BGL_BIGNUM_U16VECT(BgL_yz00_64);
														BgL_arg1228z00_3958 =
															BGL_U16VREF(BgL_arg1235z00_3959, ((long) 0));
													}
													{	/* Unsafe/bignumber.scm 263 */
														long BgL_arg2271z00_3961;

														BgL_arg2271z00_3961 = (long) (BgL_arg1228z00_3958);
														BgL_arg1515z00_3954 = (long) (BgL_arg2271z00_3961);
												}}
												{	/* Unsafe/bignumber.scm 610 */
													long BgL_arg1517z00_3956;

													{	/* Unsafe/bignumber.scm 263 */
														uint16_t BgL_arg1228z00_3964;

														{	/* Unsafe/bignumber.scm 263 */
															obj_t BgL_arg1235z00_3965;

															BgL_arg1235z00_3965 =
																BGL_BIGNUM_U16VECT(BgL_arg1586z00_1756);
															BgL_arg1228z00_3964 =
																BGL_U16VREF(BgL_arg1235z00_3965, ((long) 0));
														}
														{	/* Unsafe/bignumber.scm 263 */
															long BgL_arg2271z00_3967;

															BgL_arg2271z00_3967 =
																(long) (BgL_arg1228z00_3964);
															BgL_arg1517z00_3956 =
																(long) (BgL_arg2271z00_3967);
													}}
													BgL_arg1516z00_3955 =
														(((long) 1) - BgL_arg1517z00_3956);
												}
												BgL_res2331z00_3970 =
													BGl_bignumzd2sum2zd2zz__bignumz00(BgL_yz00_64,
													BgL_arg1586z00_1756, BgL_arg1515z00_3954,
													BgL_arg1516z00_3955);
											}
											BgL_arg1585z00_1755 = BgL_res2331z00_3970;
									}}
									BgL_arg1584z00_1754 =
										bgl_bignum_expt(BgL_xz00_63, BgL_arg1585z00_1755);
								}
								BGL_TAIL return
									bgl_bignum_mul(BgL_xz00_63, BgL_arg1584z00_1754);
							}
					}
			}
		}

	}



/* &$$exptbx */
	obj_t BGl_z62z42z42exptbxz62zz__bignumz00(obj_t BgL_envz00_5532,
		obj_t BgL_xz00_5533, obj_t BgL_yz00_5534)
	{
		{	/* Unsafe/bignumber.scm 678 */
			{	/* Unsafe/bignumber.scm 680 */
				obj_t BgL_auxz00_6918;
				obj_t BgL_auxz00_6911;

				if (BIGNUMP(BgL_yz00_5534))
					{	/* Unsafe/bignumber.scm 680 */
						BgL_auxz00_6918 = BgL_yz00_5534;
					}
				else
					{
						obj_t BgL_auxz00_6921;

						BgL_auxz00_6921 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 22761)), BGl_string2496z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5534);
						FAILURE(BgL_auxz00_6921, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5533))
					{	/* Unsafe/bignumber.scm 680 */
						BgL_auxz00_6911 = BgL_xz00_5533;
					}
				else
					{
						obj_t BgL_auxz00_6914;

						BgL_auxz00_6914 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 22761)), BGl_string2496z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5533);
						FAILURE(BgL_auxz00_6914, BFALSE, BFALSE);
					}
				return bgl_bignum_expt(BgL_auxz00_6911, BgL_auxz00_6918);
			}
		}

	}



/* bignum-div */
	obj_t BGl_bignumzd2divzd2zz__bignumz00(obj_t BgL_xz00_65, obj_t BgL_yz00_66)
	{
		{	/* Unsafe/bignumber.scm 687 */
			{
				obj_t BgL_xz00_1956;
				obj_t BgL_yz00_1957;
				long BgL_lenxz00_1958;
				long BgL_lenyz00_1959;
				obj_t BgL_xz00_1788;
				obj_t BgL_yz00_1789;
				long BgL_lenxz00_1790;
				long BgL_lenyz00_1791;
				obj_t BgL_rz00_1792;
				obj_t BgL_xz00_1763;
				obj_t BgL_yz00_1764;
				long BgL_lenxz00_1765;
				long BgL_lenyz00_1766;
				obj_t BgL_rz00_1767;

				{	/* Unsafe/bignumber.scm 850 */
					bool_t BgL_test2740z00_6926;

					{	/* Unsafe/bignumber.scm 468 */
						long BgL_arg1426z00_4447;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_4449;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_4450;

								{	/* Unsafe/bignumber.scm 261 */
									obj_t BgL_tmpz00_6927;

									BgL_tmpz00_6927 = ((obj_t) BgL_yz00_66);
									BgL_arg1226z00_4450 = BGL_BIGNUM_U16VECT(BgL_tmpz00_6927);
								}
								BgL_arg1224z00_4449 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_4450);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_4452;

								BgL_xz00_4452 = (uint16_t) (BgL_arg1224z00_4449);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_4453;

									BgL_arg2271z00_4453 = (long) (BgL_xz00_4452);
									BgL_arg1426z00_4447 = (long) (BgL_arg2271z00_4453);
						}}}
						BgL_test2740z00_6926 = (BgL_arg1426z00_4447 == ((long) 1));
					}
					if (BgL_test2740z00_6926)
						{	/* Unsafe/bignumber.scm 850 */
							return
								BGl_errorz00zz__errorz00(BGl_string2497z00zz__bignumz00,
								BGl_string2498z00zz__bignumz00, BgL_xz00_65);
						}
					else
						{	/* Unsafe/bignumber.scm 852 */
							long BgL_arg1589z00_1761;
							long BgL_arg1590z00_1762;

							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg1224z00_4457;

								{	/* Unsafe/bignumber.scm 261 */
									obj_t BgL_arg1226z00_4458;

									{	/* Unsafe/bignumber.scm 261 */
										obj_t BgL_tmpz00_6936;

										BgL_tmpz00_6936 = ((obj_t) BgL_xz00_65);
										BgL_arg1226z00_4458 = BGL_BIGNUM_U16VECT(BgL_tmpz00_6936);
									}
									BgL_arg1224z00_4457 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_4458);
								}
								{	/* Unsafe/bignumber.scm 261 */
									uint16_t BgL_xz00_4460;

									BgL_xz00_4460 = (uint16_t) (BgL_arg1224z00_4457);
									{	/* Unsafe/bignumber.scm 261 */
										long BgL_arg2271z00_4461;

										BgL_arg2271z00_4461 = (long) (BgL_xz00_4460);
										BgL_arg1589z00_1761 = (long) (BgL_arg2271z00_4461);
							}}}
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg1224z00_4464;

								{	/* Unsafe/bignumber.scm 261 */
									obj_t BgL_arg1226z00_4465;

									{	/* Unsafe/bignumber.scm 261 */
										obj_t BgL_tmpz00_6943;

										BgL_tmpz00_6943 = ((obj_t) BgL_yz00_66);
										BgL_arg1226z00_4465 = BGL_BIGNUM_U16VECT(BgL_tmpz00_6943);
									}
									BgL_arg1224z00_4464 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_4465);
								}
								{	/* Unsafe/bignumber.scm 261 */
									uint16_t BgL_xz00_4467;

									BgL_xz00_4467 = (uint16_t) (BgL_arg1224z00_4464);
									{	/* Unsafe/bignumber.scm 261 */
										long BgL_arg2271z00_4468;

										BgL_arg2271z00_4468 = (long) (BgL_xz00_4467);
										BgL_arg1590z00_1762 = (long) (BgL_arg2271z00_4468);
							}}}
							BgL_xz00_1956 = BgL_xz00_65;
							BgL_yz00_1957 = BgL_yz00_66;
							BgL_lenxz00_1958 = BgL_arg1589z00_1761;
							BgL_lenyz00_1959 = BgL_arg1590z00_1762;
							if ((BgL_lenxz00_1958 < BgL_lenyz00_1959))
								{	/* Unsafe/bignumber.scm 836 */
									return
										MAKE_YOUNG_PAIR(BGl_bignumzd2za7eroz75zz__bignumz00,
										BgL_xz00_1956);
								}
							else
								{	/* Unsafe/bignumber.scm 840 */
									obj_t BgL_rz00_1962;

									{	/* Unsafe/bignumber.scm 840 */
										long BgL_arg1755z00_1969;

										BgL_arg1755z00_1969 =
											((BgL_lenxz00_1958 - BgL_lenyz00_1959) + ((long) 2));
										{	/* Unsafe/bignumber.scm 840 */
											int BgL_lenz00_4419;

											BgL_lenz00_4419 = (int) (BgL_arg1755z00_1969);
											{	/* Unsafe/bignumber.scm 259 */
												obj_t BgL_arg1220z00_4420;

												{	/* Unsafe/bignumber.scm 259 */

													BgL_arg1220z00_4420 =
														BGl_makezd2u16vectorzd2zz__srfi4z00(
														(long) (BgL_lenz00_4419), (uint16_t) (0));
												}
												BgL_rz00_1962 = bgl_make_bignum(BgL_arg1220z00_4420);
									}}}
									{	/* Unsafe/bignumber.scm 842 */
										bool_t BgL_test2742z00_6959;

										{	/* Unsafe/bignumber.scm 842 */
											long BgL_arg1752z00_1966;
											long BgL_arg1753z00_1967;

											{	/* Unsafe/bignumber.scm 263 */
												uint16_t BgL_arg1228z00_4424;

												{	/* Unsafe/bignumber.scm 263 */
													obj_t BgL_arg1235z00_4425;

													{	/* Unsafe/bignumber.scm 263 */
														obj_t BgL_tmpz00_6960;

														BgL_tmpz00_6960 = ((obj_t) BgL_xz00_1956);
														BgL_arg1235z00_4425 =
															BGL_BIGNUM_U16VECT(BgL_tmpz00_6960);
													}
													BgL_arg1228z00_4424 =
														BGL_U16VREF(BgL_arg1235z00_4425, ((long) 0));
												}
												{	/* Unsafe/bignumber.scm 263 */
													long BgL_arg2271z00_4427;

													BgL_arg2271z00_4427 = (long) (BgL_arg1228z00_4424);
													BgL_arg1752z00_1966 = (long) (BgL_arg2271z00_4427);
											}}
											{	/* Unsafe/bignumber.scm 263 */
												uint16_t BgL_arg1228z00_4430;

												{	/* Unsafe/bignumber.scm 263 */
													obj_t BgL_arg1235z00_4431;

													{	/* Unsafe/bignumber.scm 263 */
														obj_t BgL_tmpz00_6966;

														BgL_tmpz00_6966 = ((obj_t) BgL_yz00_1957);
														BgL_arg1235z00_4431 =
															BGL_BIGNUM_U16VECT(BgL_tmpz00_6966);
													}
													BgL_arg1228z00_4430 =
														BGL_U16VREF(BgL_arg1235z00_4431, ((long) 0));
												}
												{	/* Unsafe/bignumber.scm 263 */
													long BgL_arg2271z00_4433;

													BgL_arg2271z00_4433 = (long) (BgL_arg1228z00_4430);
													BgL_arg1753z00_1967 = (long) (BgL_arg2271z00_4433);
											}}
											BgL_test2742z00_6959 =
												(BgL_arg1752z00_1966 == BgL_arg1753z00_1967);
										}
										if (BgL_test2742z00_6959)
											{	/* Unsafe/bignumber.scm 265 */
												obj_t BgL_arg1239z00_4439;
												uint16_t BgL_arg1240z00_4440;

												BgL_arg1239z00_4439 = BGL_BIGNUM_U16VECT(BgL_rz00_1962);
												BgL_arg1240z00_4440 = (uint16_t) (((long) 1));
												BGL_U16VSET(BgL_arg1239z00_4439, ((long) 0),
													BgL_arg1240z00_4440);
												BUNSPEC;
											}
										else
											{	/* Unsafe/bignumber.scm 265 */
												obj_t BgL_arg1239z00_4443;
												uint16_t BgL_arg1240z00_4444;

												BgL_arg1239z00_4443 = BGL_BIGNUM_U16VECT(BgL_rz00_1962);
												BgL_arg1240z00_4444 = (uint16_t) (((long) 0));
												BGL_U16VSET(BgL_arg1239z00_4443, ((long) 0),
													BgL_arg1240z00_4444);
												BUNSPEC;
									}}
									if ((BgL_lenyz00_1959 == ((long) 2)))
										{	/* Unsafe/bignumber.scm 846 */
											BgL_xz00_1763 = BgL_xz00_1956;
											BgL_yz00_1764 = BgL_yz00_1957;
											BgL_lenxz00_1765 = BgL_lenxz00_1958;
											BgL_lenyz00_1766 = BgL_lenyz00_1959;
											BgL_rz00_1767 = BgL_rz00_1962;
											{	/* Unsafe/bignumber.scm 693 */
												long BgL_dz00_1769;

												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1241z00_3972;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1242z00_3973;

														{	/* Unsafe/bignumber.scm 267 */
															obj_t BgL_tmpz00_6981;

															BgL_tmpz00_6981 = ((obj_t) BgL_yz00_1764);
															BgL_arg1242z00_3973 =
																BGL_BIGNUM_U16VECT(BgL_tmpz00_6981);
														}
														BgL_arg1241z00_3972 =
															BGL_U16VREF(BgL_arg1242z00_3973, ((long) 1));
													}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2271z00_3975;

														BgL_arg2271z00_3975 = (long) (BgL_arg1241z00_3972);
														BgL_dz00_1769 = (long) (BgL_arg2271z00_3975);
												}}
												{	/* Unsafe/bignumber.scm 694 */
													long BgL_g1051z00_1770;

													BgL_g1051z00_1770 = (BgL_lenxz00_1765 - ((long) 1));
													{
														long BgL_iz00_1772;
														long BgL_kz00_1773;

														BgL_iz00_1772 = BgL_g1051z00_1770;
														BgL_kz00_1773 = ((long) 0);
													BgL_zc3z04anonymousza31592ze3z87_1774:
														if ((((long) 0) < BgL_iz00_1772))
															{	/* Unsafe/bignumber.scm 696 */
																long BgL_wz00_1776;

																{	/* Unsafe/bignumber.scm 696 */
																	long BgL_arg1600z00_1780;
																	long BgL_arg1601z00_1781;

																	BgL_arg1600z00_1780 =
																		(BgL_kz00_1773 * ((long) 16384));
																	{	/* Unsafe/bignumber.scm 696 */
																		int BgL_iz00_3982;

																		BgL_iz00_3982 = (int) (BgL_iz00_1772);
																		{	/* Unsafe/bignumber.scm 267 */
																			uint16_t BgL_arg1241z00_3983;

																			{	/* Unsafe/bignumber.scm 267 */
																				obj_t BgL_arg1242z00_3984;

																				{	/* Unsafe/bignumber.scm 267 */
																					obj_t BgL_tmpz00_6992;

																					BgL_tmpz00_6992 =
																						((obj_t) BgL_xz00_1763);
																					BgL_arg1242z00_3984 =
																						BGL_BIGNUM_U16VECT(BgL_tmpz00_6992);
																				}
																				{	/* Unsafe/bignumber.scm 267 */
																					long BgL_tmpz00_6995;

																					BgL_tmpz00_6995 =
																						(long) (BgL_iz00_3982);
																					BgL_arg1241z00_3983 =
																						BGL_U16VREF(BgL_arg1242z00_3984,
																						BgL_tmpz00_6995);
																			}}
																			{	/* Unsafe/bignumber.scm 267 */
																				long BgL_arg2271z00_3986;

																				BgL_arg2271z00_3986 =
																					(long) (BgL_arg1241z00_3983);
																				BgL_arg1601z00_1781 =
																					(long) (BgL_arg2271z00_3986);
																	}}}
																	BgL_wz00_1776 =
																		(BgL_arg1600z00_1780 + BgL_arg1601z00_1781);
																}
																{	/* Unsafe/bignumber.scm 697 */
																	long BgL_arg1594z00_1777;

																	BgL_arg1594z00_1777 =
																		(BgL_wz00_1776 / BgL_dz00_1769);
																	{	/* Unsafe/bignumber.scm 697 */
																		int BgL_iz00_3993;
																		int BgL_digitz00_3994;

																		BgL_iz00_3993 = (int) (BgL_iz00_1772);
																		BgL_digitz00_3994 =
																			(int) (BgL_arg1594z00_1777);
																		{	/* Unsafe/bignumber.scm 269 */
																			obj_t BgL_arg1244z00_3995;
																			uint16_t BgL_arg1260z00_3996;

																			BgL_arg1244z00_3995 =
																				BGL_BIGNUM_U16VECT(BgL_rz00_1767);
																			{	/* Unsafe/bignumber.scm 269 */
																				long BgL_tmpz00_7005;

																				BgL_tmpz00_7005 =
																					(long) (BgL_digitz00_3994);
																				BgL_arg1260z00_3996 =
																					(uint16_t) (BgL_tmpz00_7005);
																			}
																			{	/* Unsafe/bignumber.scm 269 */
																				long BgL_tmpz00_7008;

																				BgL_tmpz00_7008 =
																					(long) (BgL_iz00_3993);
																				BGL_U16VSET(BgL_arg1244z00_3995,
																					BgL_tmpz00_7008, BgL_arg1260z00_3996);
																			} BUNSPEC;
																}}}
																{	/* Unsafe/bignumber.scm 698 */
																	long BgL_arg1598z00_1778;
																	long BgL_arg1599z00_1779;

																	BgL_arg1598z00_1778 =
																		(BgL_iz00_1772 - ((long) 1));
																	{	/* Unsafe/bignumber.scm 698 */
																		long BgL_n1z00_3999;
																		long BgL_n2z00_4000;

																		BgL_n1z00_3999 = BgL_wz00_1776;
																		BgL_n2z00_4000 = BgL_dz00_1769;
																		{	/* Unsafe/bignumber.scm 698 */
																			bool_t BgL_test2745z00_7012;

																			{	/* Unsafe/bignumber.scm 698 */
																				long BgL_arg2169z00_4002;

																				BgL_arg2169z00_4002 =
																					(((BgL_n1z00_3999) | (BgL_n2z00_4000))
																					& -2147483648);
																				BgL_test2745z00_7012 =
																					(BgL_arg2169z00_4002 == ((long) 0));
																			}
																			if (BgL_test2745z00_7012)
																				{	/* Unsafe/bignumber.scm 698 */
																					int32_t BgL_arg2166z00_4003;

																					{	/* Unsafe/bignumber.scm 698 */
																						int32_t BgL_arg2167z00_4004;
																						int32_t BgL_arg2168z00_4005;

																						BgL_arg2167z00_4004 =
																							(int32_t) (BgL_n1z00_3999);
																						BgL_arg2168z00_4005 =
																							(int32_t) (BgL_n2z00_4000);
																						BgL_arg2166z00_4003 =
																							(BgL_arg2167z00_4004 %
																							BgL_arg2168z00_4005);
																					}
																					{	/* Unsafe/bignumber.scm 698 */
																						long BgL_arg2270z00_4010;

																						BgL_arg2270z00_4010 =
																							(long) (BgL_arg2166z00_4003);
																						BgL_arg1599z00_1779 =
																							(long) (BgL_arg2270z00_4010);
																				}}
																			else
																				{	/* Unsafe/bignumber.scm 698 */
																					BgL_arg1599z00_1779 =
																						(BgL_n1z00_3999 % BgL_n2z00_4000);
																				}
																		}
																	}
																	{
																		long BgL_kz00_7022;
																		long BgL_iz00_7021;

																		BgL_iz00_7021 = BgL_arg1598z00_1778;
																		BgL_kz00_7022 = BgL_arg1599z00_1779;
																		BgL_kz00_1773 = BgL_kz00_7022;
																		BgL_iz00_1772 = BgL_iz00_7021;
																		goto BgL_zc3z04anonymousza31592ze3z87_1774;
																	}
																}
															}
														else
															{	/* Unsafe/bignumber.scm 699 */
																obj_t BgL_arg1603z00_1783;
																obj_t BgL_arg1604z00_1784;

																BgL_arg1603z00_1783 =
																	BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
																	(BgL_rz00_1767);
																{	/* Unsafe/bignumber.scm 701 */
																	long BgL_arg1605z00_1785;

																	{	/* Unsafe/bignumber.scm 701 */
																		bool_t BgL_test2746z00_7024;

																		{	/* Unsafe/bignumber.scm 471 */
																			long BgL_arg1427z00_4013;

																			{	/* Unsafe/bignumber.scm 263 */
																				uint16_t BgL_arg1228z00_4015;

																				{	/* Unsafe/bignumber.scm 263 */
																					obj_t BgL_arg1235z00_4016;

																					{	/* Unsafe/bignumber.scm 263 */
																						obj_t BgL_tmpz00_7025;

																						BgL_tmpz00_7025 =
																							((obj_t) BgL_xz00_1763);
																						BgL_arg1235z00_4016 =
																							BGL_BIGNUM_U16VECT
																							(BgL_tmpz00_7025);
																					}
																					BgL_arg1228z00_4015 =
																						BGL_U16VREF(BgL_arg1235z00_4016,
																						((long) 0));
																				}
																				{	/* Unsafe/bignumber.scm 263 */
																					long BgL_arg2271z00_4018;

																					BgL_arg2271z00_4018 =
																						(long) (BgL_arg1228z00_4015);
																					BgL_arg1427z00_4013 =
																						(long) (BgL_arg2271z00_4018);
																			}}
																			BgL_test2746z00_7024 =
																				(BgL_arg1427z00_4013 == ((long) 0));
																		}
																		if (BgL_test2746z00_7024)
																			{	/* Unsafe/bignumber.scm 701 */
																				BgL_arg1605z00_1785 =
																					(((long) 0) - BgL_kz00_1773);
																			}
																		else
																			{	/* Unsafe/bignumber.scm 701 */
																				BgL_arg1605z00_1785 = BgL_kz00_1773;
																			}
																	}
																	BgL_arg1604z00_1784 =
																		bgl_long_to_bignum(BgL_arg1605z00_1785);
																}
																return
																	MAKE_YOUNG_PAIR(BgL_arg1603z00_1783,
																	BgL_arg1604z00_1784);
															}
													}
												}
											}
										}
									else
										{	/* Unsafe/bignumber.scm 846 */
											BgL_xz00_1788 = BgL_xz00_1956;
											BgL_yz00_1789 = BgL_yz00_1957;
											BgL_lenxz00_1790 = BgL_lenxz00_1958;
											BgL_lenyz00_1791 = BgL_lenyz00_1959;
											BgL_rz00_1792 = BgL_rz00_1962;
											{	/* Unsafe/bignumber.scm 709 */
												long BgL_g1052z00_1794;

												{	/* Unsafe/bignumber.scm 710 */
													long BgL_arg1745z00_1954;

													{	/* Unsafe/bignumber.scm 710 */
														long BgL_arg1746z00_1955;

														BgL_arg1746z00_1955 =
															(BgL_lenyz00_1791 - ((long) 1));
														{	/* Unsafe/bignumber.scm 710 */
															int BgL_iz00_4024;

															BgL_iz00_4024 = (int) (BgL_arg1746z00_1955);
															{	/* Unsafe/bignumber.scm 267 */
																uint16_t BgL_arg1241z00_4025;

																{	/* Unsafe/bignumber.scm 267 */
																	obj_t BgL_arg1242z00_4026;

																	{	/* Unsafe/bignumber.scm 267 */
																		obj_t BgL_tmpz00_7037;

																		BgL_tmpz00_7037 = ((obj_t) BgL_yz00_1789);
																		BgL_arg1242z00_4026 =
																			BGL_BIGNUM_U16VECT(BgL_tmpz00_7037);
																	}
																	{	/* Unsafe/bignumber.scm 267 */
																		long BgL_tmpz00_7040;

																		BgL_tmpz00_7040 = (long) (BgL_iz00_4024);
																		BgL_arg1241z00_4025 =
																			BGL_U16VREF(BgL_arg1242z00_4026,
																			BgL_tmpz00_7040);
																}}
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_arg2271z00_4028;

																	BgL_arg2271z00_4028 =
																		(long) (BgL_arg1241z00_4025);
																	BgL_arg1745z00_1954 =
																		(long) (BgL_arg2271z00_4028);
													}}}}
													BgL_g1052z00_1794 =
														(BgL_arg1745z00_1954 * ((long) 2));
												}
												{
													long BgL_shiftz00_1796;
													long BgL_nz00_1797;

													BgL_shiftz00_1796 = ((long) 1);
													BgL_nz00_1797 = BgL_g1052z00_1794;
												BgL_zc3z04anonymousza31608ze3z87_1798:
													if ((BgL_nz00_1797 < ((long) 16384)))
														{
															long BgL_nz00_7050;
															long BgL_shiftz00_7048;

															BgL_shiftz00_7048 =
																(BgL_shiftz00_1796 * ((long) 2));
															BgL_nz00_7050 = (BgL_nz00_1797 * ((long) 2));
															BgL_nz00_1797 = BgL_nz00_7050;
															BgL_shiftz00_1796 = BgL_shiftz00_7048;
															goto BgL_zc3z04anonymousza31608ze3z87_1798;
														}
													else
														{	/* Unsafe/bignumber.scm 714 */
															obj_t BgL_nxz00_1803;
															obj_t BgL_nyz00_1804;

															{	/* Unsafe/bignumber.scm 714 */
																long BgL_arg1743z00_1951;

																BgL_arg1743z00_1951 =
																	(BgL_lenxz00_1790 + ((long) 1));
																{	/* Unsafe/bignumber.scm 714 */
																	int BgL_lenz00_4036;

																	BgL_lenz00_4036 = (int) (BgL_arg1743z00_1951);
																	{	/* Unsafe/bignumber.scm 259 */
																		obj_t BgL_arg1220z00_4037;

																		{	/* Unsafe/bignumber.scm 259 */

																			BgL_arg1220z00_4037 =
																				BGl_makezd2u16vectorzd2zz__srfi4z00(
																				(long) (BgL_lenz00_4036),
																				(uint16_t) (0));
																		}
																		BgL_nxz00_1803 =
																			bgl_make_bignum(BgL_arg1220z00_4037);
															}}}
															{	/* Unsafe/bignumber.scm 715 */
																int BgL_lenz00_4040;

																BgL_lenz00_4040 = (int) (BgL_lenyz00_1791);
																{	/* Unsafe/bignumber.scm 259 */
																	obj_t BgL_arg1220z00_4041;

																	{	/* Unsafe/bignumber.scm 259 */

																		BgL_arg1220z00_4041 =
																			BGl_makezd2u16vectorzd2zz__srfi4z00(
																			(long) (BgL_lenz00_4040), (uint16_t) (0));
																	}
																	BgL_nyz00_1804 =
																		bgl_make_bignum(BgL_arg1220z00_4041);
															}}
															{	/* Unsafe/bignumber.scm 717 */
																long BgL_arg1615z00_1805;

																{	/* Unsafe/bignumber.scm 263 */
																	uint16_t BgL_arg1228z00_4045;

																	{	/* Unsafe/bignumber.scm 263 */
																		obj_t BgL_arg1235z00_4046;

																		{	/* Unsafe/bignumber.scm 263 */
																			obj_t BgL_tmpz00_7061;

																			BgL_tmpz00_7061 = ((obj_t) BgL_xz00_1788);
																			BgL_arg1235z00_4046 =
																				BGL_BIGNUM_U16VECT(BgL_tmpz00_7061);
																		}
																		BgL_arg1228z00_4045 =
																			BGL_U16VREF(BgL_arg1235z00_4046,
																			((long) 0));
																	}
																	{	/* Unsafe/bignumber.scm 263 */
																		long BgL_arg2271z00_4048;

																		BgL_arg2271z00_4048 =
																			(long) (BgL_arg1228z00_4045);
																		BgL_arg1615z00_1805 =
																			(long) (BgL_arg2271z00_4048);
																}}
																{	/* Unsafe/bignumber.scm 717 */
																	int BgL_signz00_4051;

																	BgL_signz00_4051 =
																		(int) (BgL_arg1615z00_1805);
																	{	/* Unsafe/bignumber.scm 265 */
																		obj_t BgL_arg1239z00_4052;
																		uint16_t BgL_arg1240z00_4053;

																		BgL_arg1239z00_4052 =
																			BGL_BIGNUM_U16VECT(BgL_nxz00_1803);
																		{	/* Unsafe/bignumber.scm 265 */
																			long BgL_tmpz00_7069;

																			BgL_tmpz00_7069 =
																				(long) (BgL_signz00_4051);
																			BgL_arg1240z00_4053 =
																				(uint16_t) (BgL_tmpz00_7069);
																		}
																		BGL_U16VSET(BgL_arg1239z00_4052, ((long) 0),
																			BgL_arg1240z00_4053);
																		BUNSPEC;
															}}}
															{
																long BgL_iz00_4084;
																long BgL_cz00_4085;

																BgL_iz00_4084 = ((long) 1);
																BgL_cz00_4085 = ((long) 0);
															BgL_loop3z00_4083:
																if ((BgL_iz00_4084 < BgL_lenxz00_1790))
																	{	/* Unsafe/bignumber.scm 721 */
																		long BgL_wz00_4089;

																		{	/* Unsafe/bignumber.scm 721 */
																			long BgL_arg1623z00_4090;

																			{	/* Unsafe/bignumber.scm 721 */
																				long BgL_arg1624z00_4091;

																				{	/* Unsafe/bignumber.scm 721 */
																					int BgL_iz00_4093;

																					BgL_iz00_4093 = (int) (BgL_iz00_4084);
																					{	/* Unsafe/bignumber.scm 267 */
																						uint16_t BgL_arg1241z00_4094;

																						{	/* Unsafe/bignumber.scm 267 */
																							obj_t BgL_arg1242z00_4095;

																							{	/* Unsafe/bignumber.scm 267 */
																								obj_t BgL_tmpz00_7076;

																								BgL_tmpz00_7076 =
																									((obj_t) BgL_xz00_1788);
																								BgL_arg1242z00_4095 =
																									BGL_BIGNUM_U16VECT
																									(BgL_tmpz00_7076);
																							}
																							{	/* Unsafe/bignumber.scm 267 */
																								long BgL_tmpz00_7079;

																								BgL_tmpz00_7079 =
																									(long) (BgL_iz00_4093);
																								BgL_arg1241z00_4094 =
																									BGL_U16VREF
																									(BgL_arg1242z00_4095,
																									BgL_tmpz00_7079);
																						}}
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_arg2271z00_4097;

																							BgL_arg2271z00_4097 =
																								(long) (BgL_arg1241z00_4094);
																							BgL_arg1624z00_4091 =
																								(long) (BgL_arg2271z00_4097);
																				}}}
																				BgL_arg1623z00_4090 =
																					(BgL_arg1624z00_4091 *
																					BgL_shiftz00_1796);
																			}
																			BgL_wz00_4089 =
																				(BgL_arg1623z00_4090 + BgL_cz00_4085);
																		}
																		{	/* Unsafe/bignumber.scm 722 */
																			obj_t BgL_arg1618z00_4103;

																			BgL_arg1618z00_4103 =
																				BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																				(BINT(BgL_wz00_4089),
																				BINT(((long) 16384)));
																			{	/* Unsafe/bignumber.scm 722 */
																				int BgL_iz00_4106;
																				int BgL_digitz00_4107;

																				BgL_iz00_4106 = (int) (BgL_iz00_4084);
																				BgL_digitz00_4107 =
																					CINT(BgL_arg1618z00_4103);
																				{	/* Unsafe/bignumber.scm 269 */
																					obj_t BgL_arg1244z00_4108;
																					uint16_t BgL_arg1260z00_4109;

																					BgL_arg1244z00_4108 =
																						BGL_BIGNUM_U16VECT(BgL_nxz00_1803);
																					{	/* Unsafe/bignumber.scm 269 */
																						long BgL_tmpz00_7092;

																						BgL_tmpz00_7092 =
																							(long) (BgL_digitz00_4107);
																						BgL_arg1260z00_4109 =
																							(uint16_t) (BgL_tmpz00_7092);
																					}
																					{	/* Unsafe/bignumber.scm 269 */
																						long BgL_tmpz00_7095;

																						BgL_tmpz00_7095 =
																							(long) (BgL_iz00_4106);
																						BGL_U16VSET(BgL_arg1244z00_4108,
																							BgL_tmpz00_7095,
																							BgL_arg1260z00_4109);
																					} BUNSPEC;
																		}}}
																		{	/* Unsafe/bignumber.scm 723 */
																			long BgL_arg1620z00_4111;
																			long BgL_arg1621z00_4112;

																			BgL_arg1620z00_4111 =
																				(BgL_iz00_4084 + ((long) 1));
																			BgL_arg1621z00_4112 =
																				(BgL_wz00_4089 / ((long) 16384));
																			{
																				long BgL_cz00_7101;
																				long BgL_iz00_7100;

																				BgL_iz00_7100 = BgL_arg1620z00_4111;
																				BgL_cz00_7101 = BgL_arg1621z00_4112;
																				BgL_cz00_4085 = BgL_cz00_7101;
																				BgL_iz00_4084 = BgL_iz00_7100;
																				goto BgL_loop3z00_4083;
																			}
																		}
																	}
																else
																	{	/* Unsafe/bignumber.scm 724 */
																		int BgL_iz00_4118;
																		int BgL_digitz00_4119;

																		BgL_iz00_4118 = (int) (BgL_iz00_4084);
																		BgL_digitz00_4119 = (int) (BgL_cz00_4085);
																		{	/* Unsafe/bignumber.scm 269 */
																			obj_t BgL_arg1244z00_4120;
																			uint16_t BgL_arg1260z00_4121;

																			BgL_arg1244z00_4120 =
																				BGL_BIGNUM_U16VECT(BgL_nxz00_1803);
																			{	/* Unsafe/bignumber.scm 269 */
																				long BgL_tmpz00_7105;

																				BgL_tmpz00_7105 =
																					(long) (BgL_digitz00_4119);
																				BgL_arg1260z00_4121 =
																					(uint16_t) (BgL_tmpz00_7105);
																			}
																			{	/* Unsafe/bignumber.scm 269 */
																				long BgL_tmpz00_7108;

																				BgL_tmpz00_7108 =
																					(long) (BgL_iz00_4118);
																				BGL_U16VSET(BgL_arg1244z00_4120,
																					BgL_tmpz00_7108, BgL_arg1260z00_4121);
																			} BUNSPEC;
															}}}
															{
																long BgL_iz00_4146;
																long BgL_cz00_4147;

																BgL_iz00_4146 = ((long) 1);
																BgL_cz00_4147 = ((long) 0);
															BgL_loop4z00_4145:
																if ((BgL_iz00_4146 < BgL_lenyz00_1791))
																	{	/* Unsafe/bignumber.scm 728 */
																		long BgL_wz00_4151;

																		{	/* Unsafe/bignumber.scm 728 */
																			long BgL_arg1634z00_4152;

																			{	/* Unsafe/bignumber.scm 728 */
																				long BgL_arg1635z00_4153;

																				{	/* Unsafe/bignumber.scm 728 */
																					int BgL_iz00_4155;

																					BgL_iz00_4155 = (int) (BgL_iz00_4146);
																					{	/* Unsafe/bignumber.scm 267 */
																						uint16_t BgL_arg1241z00_4156;

																						{	/* Unsafe/bignumber.scm 267 */
																							obj_t BgL_arg1242z00_4157;

																							{	/* Unsafe/bignumber.scm 267 */
																								obj_t BgL_tmpz00_7114;

																								BgL_tmpz00_7114 =
																									((obj_t) BgL_yz00_1789);
																								BgL_arg1242z00_4157 =
																									BGL_BIGNUM_U16VECT
																									(BgL_tmpz00_7114);
																							}
																							{	/* Unsafe/bignumber.scm 267 */
																								long BgL_tmpz00_7117;

																								BgL_tmpz00_7117 =
																									(long) (BgL_iz00_4155);
																								BgL_arg1241z00_4156 =
																									BGL_U16VREF
																									(BgL_arg1242z00_4157,
																									BgL_tmpz00_7117);
																						}}
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_arg2271z00_4159;

																							BgL_arg2271z00_4159 =
																								(long) (BgL_arg1241z00_4156);
																							BgL_arg1635z00_4153 =
																								(long) (BgL_arg2271z00_4159);
																				}}}
																				BgL_arg1634z00_4152 =
																					(BgL_arg1635z00_4153 *
																					BgL_shiftz00_1796);
																			}
																			BgL_wz00_4151 =
																				(BgL_arg1634z00_4152 + BgL_cz00_4147);
																		}
																		{	/* Unsafe/bignumber.scm 729 */
																			obj_t BgL_arg1627z00_4165;

																			BgL_arg1627z00_4165 =
																				BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																				(BINT(BgL_wz00_4151),
																				BINT(((long) 16384)));
																			{	/* Unsafe/bignumber.scm 729 */
																				int BgL_iz00_4168;
																				int BgL_digitz00_4169;

																				BgL_iz00_4168 = (int) (BgL_iz00_4146);
																				BgL_digitz00_4169 =
																					CINT(BgL_arg1627z00_4165);
																				{	/* Unsafe/bignumber.scm 269 */
																					obj_t BgL_arg1244z00_4170;
																					uint16_t BgL_arg1260z00_4171;

																					BgL_arg1244z00_4170 =
																						BGL_BIGNUM_U16VECT(BgL_nyz00_1804);
																					{	/* Unsafe/bignumber.scm 269 */
																						long BgL_tmpz00_7130;

																						BgL_tmpz00_7130 =
																							(long) (BgL_digitz00_4169);
																						BgL_arg1260z00_4171 =
																							(uint16_t) (BgL_tmpz00_7130);
																					}
																					{	/* Unsafe/bignumber.scm 269 */
																						long BgL_tmpz00_7133;

																						BgL_tmpz00_7133 =
																							(long) (BgL_iz00_4168);
																						BGL_U16VSET(BgL_arg1244z00_4170,
																							BgL_tmpz00_7133,
																							BgL_arg1260z00_4171);
																					} BUNSPEC;
																		}}}
																		{	/* Unsafe/bignumber.scm 730 */
																			long BgL_arg1630z00_4173;
																			long BgL_arg1632z00_4174;

																			BgL_arg1630z00_4173 =
																				(BgL_iz00_4146 + ((long) 1));
																			BgL_arg1632z00_4174 =
																				(BgL_wz00_4151 / ((long) 16384));
																			{
																				long BgL_cz00_7139;
																				long BgL_iz00_7138;

																				BgL_iz00_7138 = BgL_arg1630z00_4173;
																				BgL_cz00_7139 = BgL_arg1632z00_4174;
																				BgL_cz00_4147 = BgL_cz00_7139;
																				BgL_iz00_4146 = BgL_iz00_7138;
																				goto BgL_loop4z00_4145;
																			}
																		}
																	}
																else
																	{	/* Unsafe/bignumber.scm 727 */
																		((bool_t) 0);
																	}
															}
															{
																long BgL_iz00_1835;

																BgL_iz00_1835 = BgL_lenxz00_1790;
															BgL_zc3z04anonymousza31636ze3z87_1836:
																if ((BgL_iz00_1835 < BgL_lenyz00_1791))
																	{	/* Unsafe/bignumber.scm 733 */
																		((bool_t) 0);
																	}
																else
																	{	/* Unsafe/bignumber.scm 737 */
																		long BgL_msdzd2ofzd2nyz00_1838;
																		long BgL_nextzd2msdzd2ofzd2nyzd2_1839;
																		long BgL_msdzd2ofzd2nxz00_1840;
																		long BgL_nextzd2msdzd2ofzd2nxzd2_1841;
																		long
																			BgL_nextzd2nextzd2msdzd2ofzd2nxz00_1842;
																		{	/* Unsafe/bignumber.scm 738 */
																			long BgL_arg1728z00_1930;

																			BgL_arg1728z00_1930 =
																				(BgL_lenyz00_1791 - ((long) 1));
																			{	/* Unsafe/bignumber.scm 738 */
																				int BgL_iz00_4183;

																				BgL_iz00_4183 =
																					(int) (BgL_arg1728z00_1930);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1241z00_4184;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1242z00_4185;

																						BgL_arg1242z00_4185 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nyz00_1804);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_7145;

																							BgL_tmpz00_7145 =
																								(long) (BgL_iz00_4183);
																							BgL_arg1241z00_4184 =
																								BGL_U16VREF(BgL_arg1242z00_4185,
																								BgL_tmpz00_7145);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2271z00_4187;

																						BgL_arg2271z00_4187 =
																							(long) (BgL_arg1241z00_4184);
																						BgL_msdzd2ofzd2nyz00_1838 =
																							(long) (BgL_arg2271z00_4187);
																		}}}}
																		{	/* Unsafe/bignumber.scm 740 */
																			long BgL_arg1729z00_1931;

																			BgL_arg1729z00_1931 =
																				(BgL_lenyz00_1791 - ((long) 2));
																			{	/* Unsafe/bignumber.scm 740 */
																				int BgL_iz00_4191;

																				BgL_iz00_4191 =
																					(int) (BgL_arg1729z00_1931);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1241z00_4192;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1242z00_4193;

																						BgL_arg1242z00_4193 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nyz00_1804);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_7153;

																							BgL_tmpz00_7153 =
																								(long) (BgL_iz00_4191);
																							BgL_arg1241z00_4192 =
																								BGL_U16VREF(BgL_arg1242z00_4193,
																								BgL_tmpz00_7153);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2271z00_4195;

																						BgL_arg2271z00_4195 =
																							(long) (BgL_arg1241z00_4192);
																						BgL_nextzd2msdzd2ofzd2nyzd2_1839 =
																							(long) (BgL_arg2271z00_4195);
																		}}}}
																		{	/* Unsafe/bignumber.scm 742 */
																			int BgL_iz00_4198;

																			BgL_iz00_4198 = (int) (BgL_iz00_1835);
																			{	/* Unsafe/bignumber.scm 267 */
																				uint16_t BgL_arg1241z00_4199;

																				{	/* Unsafe/bignumber.scm 267 */
																					obj_t BgL_arg1242z00_4200;

																					BgL_arg1242z00_4200 =
																						BGL_BIGNUM_U16VECT(BgL_nxz00_1803);
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_tmpz00_7160;

																						BgL_tmpz00_7160 =
																							(long) (BgL_iz00_4198);
																						BgL_arg1241z00_4199 =
																							BGL_U16VREF(BgL_arg1242z00_4200,
																							BgL_tmpz00_7160);
																				}}
																				{	/* Unsafe/bignumber.scm 267 */
																					long BgL_arg2271z00_4202;

																					BgL_arg2271z00_4202 =
																						(long) (BgL_arg1241z00_4199);
																					BgL_msdzd2ofzd2nxz00_1840 =
																						(long) (BgL_arg2271z00_4202);
																		}}}
																		{	/* Unsafe/bignumber.scm 744 */
																			long BgL_arg1730z00_1932;

																			BgL_arg1730z00_1932 =
																				(BgL_iz00_1835 - ((long) 1));
																			{	/* Unsafe/bignumber.scm 744 */
																				int BgL_iz00_4206;

																				BgL_iz00_4206 =
																					(int) (BgL_arg1730z00_1932);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1241z00_4207;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1242z00_4208;

																						BgL_arg1242z00_4208 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nxz00_1803);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_7168;

																							BgL_tmpz00_7168 =
																								(long) (BgL_iz00_4206);
																							BgL_arg1241z00_4207 =
																								BGL_U16VREF(BgL_arg1242z00_4208,
																								BgL_tmpz00_7168);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2271z00_4210;

																						BgL_arg2271z00_4210 =
																							(long) (BgL_arg1241z00_4207);
																						BgL_nextzd2msdzd2ofzd2nxzd2_1841 =
																							(long) (BgL_arg2271z00_4210);
																		}}}}
																		{	/* Unsafe/bignumber.scm 746 */
																			long BgL_arg1731z00_1933;

																			BgL_arg1731z00_1933 =
																				(BgL_iz00_1835 - ((long) 2));
																			{	/* Unsafe/bignumber.scm 746 */
																				int BgL_iz00_4214;

																				BgL_iz00_4214 =
																					(int) (BgL_arg1731z00_1933);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1241z00_4215;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1242z00_4216;

																						BgL_arg1242z00_4216 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nxz00_1803);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_7176;

																							BgL_tmpz00_7176 =
																								(long) (BgL_iz00_4214);
																							BgL_arg1241z00_4215 =
																								BGL_U16VREF(BgL_arg1242z00_4216,
																								BgL_tmpz00_7176);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2271z00_4218;

																						BgL_arg2271z00_4218 =
																							(long) (BgL_arg1241z00_4215);
																						BgL_nextzd2nextzd2msdzd2ofzd2nxz00_1842
																							= (long) (BgL_arg2271z00_4218);
																		}}}}
																		{
																			long BgL_qz00_1909;
																			long BgL_uz00_1910;

																			{	/* Unsafe/bignumber.scm 760 */
																				long BgL_qz00_1844;

																				if (
																					(BgL_msdzd2ofzd2nxz00_1840 ==
																						BgL_msdzd2ofzd2nyz00_1838))
																					{	/* Unsafe/bignumber.scm 760 */
																						BgL_qz00_1909 = ((long) 16383);
																						BgL_uz00_1910 =
																							(BgL_msdzd2ofzd2nyz00_1838 +
																							BgL_nextzd2msdzd2ofzd2nxzd2_1841);
																					BgL_zc3z04anonymousza31712ze3z87_1911:
																						if (
																							(BgL_uz00_1910 < ((long) 16384)))
																							{	/* Unsafe/bignumber.scm 750 */
																								long BgL_temp1z00_1914;

																								BgL_temp1z00_1914 =
																									(BgL_qz00_1909 *
																									BgL_nextzd2msdzd2ofzd2nyzd2_1839);
																								{	/* Unsafe/bignumber.scm 750 */
																									long BgL_temp2z00_1915;

																									BgL_temp2z00_1915 =
																										(BgL_temp1z00_1914 /
																										((long) 16384));
																									{	/* Unsafe/bignumber.scm 751 */

																										{	/* Unsafe/bignumber.scm 752 */
																											bool_t
																												BgL_test2753z00_7187;
																											if ((BgL_uz00_1910 <
																													BgL_temp2z00_1915))
																												{	/* Unsafe/bignumber.scm 752 */
																													BgL_test2753z00_7187 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Unsafe/bignumber.scm 752 */
																													if (
																														(BgL_temp2z00_1915
																															== BgL_uz00_1910))
																														{	/* Unsafe/bignumber.scm 755 */
																															long
																																BgL_arg1723z00_1925;
																															{	/* Unsafe/bignumber.scm 755 */
																																long
																																	BgL_n1z00_4230;
																																long
																																	BgL_n2z00_4231;
																																BgL_n1z00_4230 =
																																	BgL_temp1z00_1914;
																																BgL_n2z00_4231 =
																																	((long)
																																	16384);
																																{	/* Unsafe/bignumber.scm 755 */
																																	bool_t
																																		BgL_test2756z00_7192;
																																	{	/* Unsafe/bignumber.scm 755 */
																																		long
																																			BgL_arg2169z00_4233;
																																		BgL_arg2169z00_4233
																																			=
																																			(((BgL_n1z00_4230) | (BgL_n2z00_4231)) & -2147483648);
																																		BgL_test2756z00_7192
																																			=
																																			(BgL_arg2169z00_4233
																																			==
																																			((long)
																																				0));
																																	}
																																	if (BgL_test2756z00_7192)
																																		{	/* Unsafe/bignumber.scm 755 */
																																			int32_t
																																				BgL_arg2166z00_4234;
																																			{	/* Unsafe/bignumber.scm 755 */
																																				int32_t
																																					BgL_arg2167z00_4235;
																																				int32_t
																																					BgL_arg2168z00_4236;
																																				BgL_arg2167z00_4235
																																					=
																																					(int32_t)
																																					(BgL_n1z00_4230);
																																				BgL_arg2168z00_4236
																																					=
																																					(int32_t)
																																					(BgL_n2z00_4231);
																																				BgL_arg2166z00_4234
																																					=
																																					(BgL_arg2167z00_4235
																																					%
																																					BgL_arg2168z00_4236);
																																			}
																																			{	/* Unsafe/bignumber.scm 755 */
																																				long
																																					BgL_arg2270z00_4241;
																																				BgL_arg2270z00_4241
																																					=
																																					(long)
																																					(BgL_arg2166z00_4234);
																																				BgL_arg1723z00_1925
																																					=
																																					(long)
																																					(BgL_arg2270z00_4241);
																																		}}
																																	else
																																		{	/* Unsafe/bignumber.scm 755 */
																																			BgL_arg1723z00_1925
																																				=
																																				(BgL_n1z00_4230
																																				%
																																				BgL_n2z00_4231);
																																		}
																																}
																															}
																															BgL_test2753z00_7187
																																=
																																(BgL_nextzd2nextzd2msdzd2ofzd2nxz00_1842
																																<
																																BgL_arg1723z00_1925);
																														}
																													else
																														{	/* Unsafe/bignumber.scm 753 */
																															BgL_test2753z00_7187
																																= ((bool_t) 0);
																														}
																												}
																											if (BgL_test2753z00_7187)
																												{
																													long BgL_uz00_7204;
																													long BgL_qz00_7202;

																													BgL_qz00_7202 =
																														(BgL_qz00_1909 -
																														((long) 1));
																													BgL_uz00_7204 =
																														(BgL_uz00_1910 +
																														BgL_msdzd2ofzd2nyz00_1838);
																													BgL_uz00_1910 =
																														BgL_uz00_7204;
																													BgL_qz00_1909 =
																														BgL_qz00_7202;
																													goto
																														BgL_zc3z04anonymousza31712ze3z87_1911;
																												}
																											else
																												{	/* Unsafe/bignumber.scm 752 */
																													BgL_qz00_1844 =
																														BgL_qz00_1909;
																												}
																										}
																									}
																								}
																							}
																						else
																							{	/* Unsafe/bignumber.scm 749 */
																								BgL_qz00_1844 = BgL_qz00_1909;
																							}
																					}
																				else
																					{	/* Unsafe/bignumber.scm 763 */
																						long BgL_tempz00_1904;

																						BgL_tempz00_1904 =
																							(
																							(BgL_msdzd2ofzd2nxz00_1840 *
																								((long) 16384)) +
																							BgL_nextzd2msdzd2ofzd2nxzd2_1841);
																						{	/* Unsafe/bignumber.scm 765 */
																							long BgL_arg1708z00_1905;
																							long BgL_arg1709z00_1906;

																							BgL_arg1708z00_1905 =
																								(BgL_tempz00_1904 /
																								BgL_msdzd2ofzd2nyz00_1838);
																							BgL_arg1709z00_1906 =
																								BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00
																								(BgL_tempz00_1904,
																								BgL_msdzd2ofzd2nyz00_1838);
																							{
																								long BgL_uz00_7212;
																								long BgL_qz00_7211;

																								BgL_qz00_7211 =
																									BgL_arg1708z00_1905;
																								BgL_uz00_7212 =
																									BgL_arg1709z00_1906;
																								BgL_uz00_1910 = BgL_uz00_7212;
																								BgL_qz00_1909 = BgL_qz00_7211;
																								goto
																									BgL_zc3z04anonymousza31712ze3z87_1911;
																							}
																						}
																					}
																				{	/* Unsafe/bignumber.scm 770 */
																					long BgL_g1054z00_1845;

																					BgL_g1054z00_1845 =
																						(BgL_iz00_1835 -
																						(BgL_lenyz00_1791 - ((long) 1)));
																					{
																						long BgL_jz00_1847;
																						long BgL_kz00_1848;
																						long BgL_bz00_1849;

																						BgL_jz00_1847 = ((long) 1);
																						BgL_kz00_1848 = BgL_g1054z00_1845;
																						BgL_bz00_1849 = ((long) 0);
																					BgL_zc3z04anonymousza31638ze3z87_1850:
																						if (
																							(BgL_jz00_1847 <
																								BgL_lenyz00_1791))
																							{	/* Unsafe/bignumber.scm 775 */
																								long BgL_wz00_1852;

																								{	/* Unsafe/bignumber.scm 775 */
																									long BgL_arg1651z00_1861;
																									long BgL_arg1652z00_1862;

																									{	/* Unsafe/bignumber.scm 775 */
																										long BgL_arg1653z00_1863;

																										{	/* Unsafe/bignumber.scm 775 */
																											int BgL_iz00_4264;

																											BgL_iz00_4264 =
																												(int) (BgL_kz00_1848);
																											{	/* Unsafe/bignumber.scm 267 */
																												uint16_t
																													BgL_arg1241z00_4265;
																												{	/* Unsafe/bignumber.scm 267 */
																													obj_t
																														BgL_arg1242z00_4266;
																													BgL_arg1242z00_4266 =
																														BGL_BIGNUM_U16VECT
																														(BgL_nxz00_1803);
																													{	/* Unsafe/bignumber.scm 267 */
																														long
																															BgL_tmpz00_7219;
																														BgL_tmpz00_7219 =
																															(long)
																															(BgL_iz00_4264);
																														BgL_arg1241z00_4265
																															=
																															BGL_U16VREF
																															(BgL_arg1242z00_4266,
																															BgL_tmpz00_7219);
																												}}
																												{	/* Unsafe/bignumber.scm 267 */
																													long
																														BgL_arg2271z00_4268;
																													BgL_arg2271z00_4268 =
																														(long)
																														(BgL_arg1241z00_4265);
																													BgL_arg1653z00_1863 =
																														(long)
																														(BgL_arg2271z00_4268);
																										}}}
																										BgL_arg1651z00_1861 =
																											(BgL_arg1653z00_1863 +
																											BgL_bz00_1849);
																									}
																									{	/* Unsafe/bignumber.scm 776 */
																										long BgL_arg1654z00_1864;

																										{	/* Unsafe/bignumber.scm 776 */
																											int BgL_iz00_4273;

																											BgL_iz00_4273 =
																												(int) (BgL_jz00_1847);
																											{	/* Unsafe/bignumber.scm 267 */
																												uint16_t
																													BgL_arg1241z00_4274;
																												{	/* Unsafe/bignumber.scm 267 */
																													obj_t
																														BgL_arg1242z00_4275;
																													BgL_arg1242z00_4275 =
																														BGL_BIGNUM_U16VECT
																														(BgL_nyz00_1804);
																													{	/* Unsafe/bignumber.scm 267 */
																														long
																															BgL_tmpz00_7227;
																														BgL_tmpz00_7227 =
																															(long)
																															(BgL_iz00_4273);
																														BgL_arg1241z00_4274
																															=
																															BGL_U16VREF
																															(BgL_arg1242z00_4275,
																															BgL_tmpz00_7227);
																												}}
																												{	/* Unsafe/bignumber.scm 267 */
																													long
																														BgL_arg2271z00_4277;
																													BgL_arg2271z00_4277 =
																														(long)
																														(BgL_arg1241z00_4274);
																													BgL_arg1654z00_1864 =
																														(long)
																														(BgL_arg2271z00_4277);
																										}}}
																										BgL_arg1652z00_1862 =
																											(BgL_arg1654z00_1864 *
																											BgL_qz00_1844);
																									}
																									BgL_wz00_1852 =
																										(BgL_arg1651z00_1861 -
																										BgL_arg1652z00_1862);
																								}
																								{	/* Unsafe/bignumber.scm 780 */
																									obj_t BgL_arg1640z00_1853;

																									BgL_arg1640z00_1853 =
																										BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																										(BINT(BgL_wz00_1852),
																										BINT(((long) 16384)));
																									{	/* Unsafe/bignumber.scm 777 */
																										int BgL_iz00_4284;
																										int BgL_digitz00_4285;

																										BgL_iz00_4284 =
																											(int) (BgL_kz00_1848);
																										BgL_digitz00_4285 =
																											CINT(BgL_arg1640z00_1853);
																										{	/* Unsafe/bignumber.scm 269 */
																											obj_t BgL_arg1244z00_4286;
																											uint16_t
																												BgL_arg1260z00_4287;
																											BgL_arg1244z00_4286 =
																												BGL_BIGNUM_U16VECT
																												(BgL_nxz00_1803);
																											{	/* Unsafe/bignumber.scm 269 */
																												long BgL_tmpz00_7240;

																												BgL_tmpz00_7240 =
																													(long)
																													(BgL_digitz00_4285);
																												BgL_arg1260z00_4287 =
																													(uint16_t)
																													(BgL_tmpz00_7240);
																											}
																											{	/* Unsafe/bignumber.scm 269 */
																												long BgL_tmpz00_7243;

																												BgL_tmpz00_7243 =
																													(long)
																													(BgL_iz00_4284);
																												BGL_U16VSET
																													(BgL_arg1244z00_4286,
																													BgL_tmpz00_7243,
																													BgL_arg1260z00_4287);
																											} BUNSPEC;
																								}}}
																								{	/* Unsafe/bignumber.scm 781 */
																									long BgL_arg1642z00_1855;
																									long BgL_arg1644z00_1856;
																									long BgL_arg1645z00_1857;

																									BgL_arg1642z00_1855 =
																										(BgL_jz00_1847 +
																										((long) 1));
																									BgL_arg1644z00_1856 =
																										(BgL_kz00_1848 +
																										((long) 1));
																									{	/* Unsafe/bignumber.scm 783 */
																										long BgL_tmpz00_7248;

																										BgL_tmpz00_7248 =
																											(BgL_wz00_1852 -
																											((long) 16383));
																										BgL_arg1645z00_1857 =
																											(BgL_tmpz00_7248 /
																											((long) 16384));
																									}
																									{
																										long BgL_bz00_7253;
																										long BgL_kz00_7252;
																										long BgL_jz00_7251;

																										BgL_jz00_7251 =
																											BgL_arg1642z00_1855;
																										BgL_kz00_7252 =
																											BgL_arg1644z00_1856;
																										BgL_bz00_7253 =
																											BgL_arg1645z00_1857;
																										BgL_bz00_1849 =
																											BgL_bz00_7253;
																										BgL_kz00_1848 =
																											BgL_kz00_7252;
																										BgL_jz00_1847 =
																											BgL_jz00_7251;
																										goto
																											BgL_zc3z04anonymousza31638ze3z87_1850;
																									}
																								}
																							}
																						else
																							{	/* Unsafe/bignumber.scm 786 */
																								long BgL_wz00_1865;

																								{	/* Unsafe/bignumber.scm 786 */
																									long BgL_arg1696z00_1898;

																									{	/* Unsafe/bignumber.scm 786 */
																										int BgL_iz00_4296;

																										BgL_iz00_4296 =
																											(int) (BgL_kz00_1848);
																										{	/* Unsafe/bignumber.scm 267 */
																											uint16_t
																												BgL_arg1241z00_4297;
																											{	/* Unsafe/bignumber.scm 267 */
																												obj_t
																													BgL_arg1242z00_4298;
																												BgL_arg1242z00_4298 =
																													BGL_BIGNUM_U16VECT
																													(BgL_nxz00_1803);
																												{	/* Unsafe/bignumber.scm 267 */
																													long BgL_tmpz00_7256;

																													BgL_tmpz00_7256 =
																														(long)
																														(BgL_iz00_4296);
																													BgL_arg1241z00_4297 =
																														BGL_U16VREF
																														(BgL_arg1242z00_4298,
																														BgL_tmpz00_7256);
																											}}
																											{	/* Unsafe/bignumber.scm 267 */
																												long
																													BgL_arg2271z00_4300;
																												BgL_arg2271z00_4300 =
																													(long)
																													(BgL_arg1241z00_4297);
																												BgL_arg1696z00_1898 =
																													(long)
																													(BgL_arg2271z00_4300);
																									}}}
																									BgL_wz00_1865 =
																										(BgL_arg1696z00_1898 +
																										BgL_bz00_1849);
																								}
																								{	/* Unsafe/bignumber.scm 790 */
																									obj_t BgL_arg1656z00_1866;

																									BgL_arg1656z00_1866 =
																										BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																										(BINT(BgL_wz00_1865),
																										BINT(((long) 16384)));
																									{	/* Unsafe/bignumber.scm 787 */
																										int BgL_iz00_4305;
																										int BgL_digitz00_4306;

																										BgL_iz00_4305 =
																											(int) (BgL_kz00_1848);
																										BgL_digitz00_4306 =
																											CINT(BgL_arg1656z00_1866);
																										{	/* Unsafe/bignumber.scm 269 */
																											obj_t BgL_arg1244z00_4307;
																											uint16_t
																												BgL_arg1260z00_4308;
																											BgL_arg1244z00_4307 =
																												BGL_BIGNUM_U16VECT
																												(BgL_nxz00_1803);
																											{	/* Unsafe/bignumber.scm 269 */
																												long BgL_tmpz00_7268;

																												BgL_tmpz00_7268 =
																													(long)
																													(BgL_digitz00_4306);
																												BgL_arg1260z00_4308 =
																													(uint16_t)
																													(BgL_tmpz00_7268);
																											}
																											{	/* Unsafe/bignumber.scm 269 */
																												long BgL_tmpz00_7271;

																												BgL_tmpz00_7271 =
																													(long)
																													(BgL_iz00_4305);
																												BGL_U16VSET
																													(BgL_arg1244z00_4307,
																													BgL_tmpz00_7271,
																													BgL_arg1260z00_4308);
																											} BUNSPEC;
																								}}}
																								if (
																									(BgL_wz00_1865 < ((long) 0)))
																									{	/* Unsafe/bignumber.scm 791 */
																										{	/* Unsafe/bignumber.scm 795 */
																											long BgL_arg1659z00_1869;
																											long BgL_arg1660z00_1870;

																											BgL_arg1659z00_1869 =
																												(BgL_iz00_1835 -
																												(BgL_lenyz00_1791 -
																													((long) 1)));
																											BgL_arg1660z00_1870 =
																												(BgL_qz00_1844 -
																												((long) 1));
																											{	/* Unsafe/bignumber.scm 793 */
																												int BgL_iz00_4316;
																												int BgL_digitz00_4317;

																												BgL_iz00_4316 =
																													(int)
																													(BgL_arg1659z00_1869);
																												BgL_digitz00_4317 =
																													(int)
																													(BgL_arg1660z00_1870);
																												{	/* Unsafe/bignumber.scm 269 */
																													obj_t
																														BgL_arg1244z00_4318;
																													uint16_t
																														BgL_arg1260z00_4319;
																													BgL_arg1244z00_4318 =
																														BGL_BIGNUM_U16VECT
																														(BgL_rz00_1792);
																													{	/* Unsafe/bignumber.scm 269 */
																														long
																															BgL_tmpz00_7282;
																														BgL_tmpz00_7282 =
																															(long)
																															(BgL_digitz00_4317);
																														BgL_arg1260z00_4319
																															=
																															(uint16_t)
																															(BgL_tmpz00_7282);
																													}
																													{	/* Unsafe/bignumber.scm 269 */
																														long
																															BgL_tmpz00_7285;
																														BgL_tmpz00_7285 =
																															(long)
																															(BgL_iz00_4316);
																														BGL_U16VSET
																															(BgL_arg1244z00_4318,
																															BgL_tmpz00_7285,
																															BgL_arg1260z00_4319);
																													} BUNSPEC;
																										}}}
																										{	/* Unsafe/bignumber.scm 797 */
																											long BgL_g1055z00_1872;

																											BgL_g1055z00_1872 =
																												(BgL_iz00_1835 -
																												(BgL_lenyz00_1791 -
																													((long) 1)));
																											{
																												long BgL_jz00_1874;
																												long BgL_kz00_1875;
																												long BgL_cz00_1876;

																												BgL_jz00_1874 =
																													((long) 1);
																												BgL_kz00_1875 =
																													BgL_g1055z00_1872;
																												BgL_cz00_1876 =
																													((long) 0);
																											BgL_zc3z04anonymousza31662ze3z87_1877:
																												if (
																													(BgL_jz00_1874 <
																														BgL_lenyz00_1791))
																													{	/* Unsafe/bignumber.scm 802 */
																														long BgL_wz00_1879;

																														{	/* Unsafe/bignumber.scm 804 */
																															long
																																BgL_arg1672z00_1886;
																															{	/* Unsafe/bignumber.scm 804 */
																																long
																																	BgL_arg1673z00_1887;
																																long
																																	BgL_arg1674z00_1888;
																																{	/* Unsafe/bignumber.scm 804 */
																																	int
																																		BgL_iz00_4327;
																																	BgL_iz00_4327
																																		=
																																		(int)
																																		(BgL_kz00_1875);
																																	{	/* Unsafe/bignumber.scm 267 */
																																		uint16_t
																																			BgL_arg1241z00_4328;
																																		{	/* Unsafe/bignumber.scm 267 */
																																			obj_t
																																				BgL_arg1242z00_4329;
																																			BgL_arg1242z00_4329
																																				=
																																				BGL_BIGNUM_U16VECT
																																				(BgL_nxz00_1803);
																																			{	/* Unsafe/bignumber.scm 267 */
																																				long
																																					BgL_tmpz00_7294;
																																				BgL_tmpz00_7294
																																					=
																																					(long)
																																					(BgL_iz00_4327);
																																				BgL_arg1241z00_4328
																																					=
																																					BGL_U16VREF
																																					(BgL_arg1242z00_4329,
																																					BgL_tmpz00_7294);
																																		}}
																																		{	/* Unsafe/bignumber.scm 267 */
																																			long
																																				BgL_arg2271z00_4331;
																																			BgL_arg2271z00_4331
																																				=
																																				(long)
																																				(BgL_arg1241z00_4328);
																																			BgL_arg1673z00_1887
																																				=
																																				(long)
																																				(BgL_arg2271z00_4331);
																																}}}
																																{	/* Unsafe/bignumber.scm 805 */
																																	int
																																		BgL_iz00_4334;
																																	BgL_iz00_4334
																																		=
																																		(int)
																																		(BgL_jz00_1874);
																																	{	/* Unsafe/bignumber.scm 267 */
																																		uint16_t
																																			BgL_arg1241z00_4335;
																																		{	/* Unsafe/bignumber.scm 267 */
																																			obj_t
																																				BgL_arg1242z00_4336;
																																			BgL_arg1242z00_4336
																																				=
																																				BGL_BIGNUM_U16VECT
																																				(BgL_nyz00_1804);
																																			{	/* Unsafe/bignumber.scm 267 */
																																				long
																																					BgL_tmpz00_7301;
																																				BgL_tmpz00_7301
																																					=
																																					(long)
																																					(BgL_iz00_4334);
																																				BgL_arg1241z00_4335
																																					=
																																					BGL_U16VREF
																																					(BgL_arg1242z00_4336,
																																					BgL_tmpz00_7301);
																																		}}
																																		{	/* Unsafe/bignumber.scm 267 */
																																			long
																																				BgL_arg2271z00_4338;
																																			BgL_arg2271z00_4338
																																				=
																																				(long)
																																				(BgL_arg1241z00_4335);
																																			BgL_arg1674z00_1888
																																				=
																																				(long)
																																				(BgL_arg2271z00_4338);
																																}}}
																																BgL_arg1672z00_1886
																																	=
																																	(BgL_arg1673z00_1887
																																	+
																																	BgL_arg1674z00_1888);
																															}
																															BgL_wz00_1879 =
																																(BgL_arg1672z00_1886
																																+
																																BgL_cz00_1876);
																														}
																														{	/* Unsafe/bignumber.scm 810 */
																															obj_t
																																BgL_arg1664z00_1880;
																															BgL_arg1664z00_1880
																																=
																																BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																																(BINT
																																(BgL_wz00_1879),
																																BINT(((long)
																																		16384)));
																															{	/* Unsafe/bignumber.scm 807 */
																																int
																																	BgL_iz00_4345;
																																int
																																	BgL_digitz00_4346;
																																BgL_iz00_4345 =
																																	(int)
																																	(BgL_kz00_1875);
																																BgL_digitz00_4346
																																	=
																																	CINT
																																	(BgL_arg1664z00_1880);
																																{	/* Unsafe/bignumber.scm 269 */
																																	obj_t
																																		BgL_arg1244z00_4347;
																																	uint16_t
																																		BgL_arg1260z00_4348;
																																	BgL_arg1244z00_4347
																																		=
																																		BGL_BIGNUM_U16VECT
																																		(BgL_nxz00_1803);
																																	{	/* Unsafe/bignumber.scm 269 */
																																		long
																																			BgL_tmpz00_7314;
																																		BgL_tmpz00_7314
																																			=
																																			(long)
																																			(BgL_digitz00_4346);
																																		BgL_arg1260z00_4348
																																			=
																																			(uint16_t)
																																			(BgL_tmpz00_7314);
																																	}
																																	{	/* Unsafe/bignumber.scm 269 */
																																		long
																																			BgL_tmpz00_7317;
																																		BgL_tmpz00_7317
																																			=
																																			(long)
																																			(BgL_iz00_4345);
																																		BGL_U16VSET
																																			(BgL_arg1244z00_4347,
																																			BgL_tmpz00_7317,
																																			BgL_arg1260z00_4348);
																																	} BUNSPEC;
																														}}}
																														{	/* Unsafe/bignumber.scm 812 */
																															long
																																BgL_arg1667z00_1882;
																															long
																																BgL_arg1668z00_1883;
																															long
																																BgL_arg1670z00_1884;
																															BgL_arg1667z00_1882
																																=
																																(BgL_jz00_1874 +
																																((long) 1));
																															BgL_arg1668z00_1883
																																=
																																(BgL_kz00_1875 +
																																((long) 1));
																															BgL_arg1670z00_1884
																																=
																																(BgL_wz00_1879 /
																																((long) 16384));
																															{
																																long
																																	BgL_cz00_7325;
																																long
																																	BgL_kz00_7324;
																																long
																																	BgL_jz00_7323;
																																BgL_jz00_7323 =
																																	BgL_arg1667z00_1882;
																																BgL_kz00_7324 =
																																	BgL_arg1668z00_1883;
																																BgL_cz00_7325 =
																																	BgL_arg1670z00_1884;
																																BgL_cz00_1876 =
																																	BgL_cz00_7325;
																																BgL_kz00_1875 =
																																	BgL_kz00_7324;
																																BgL_jz00_1874 =
																																	BgL_jz00_7323;
																																goto
																																	BgL_zc3z04anonymousza31662ze3z87_1877;
																															}
																														}
																													}
																												else
																													{	/* Unsafe/bignumber.scm 819 */
																														obj_t
																															BgL_arg1677z00_1889;
																														{	/* Unsafe/bignumber.scm 819 */
																															long
																																BgL_arg1680z00_1890;
																															{	/* Unsafe/bignumber.scm 819 */
																																long
																																	BgL_arg1683z00_1892;
																																{	/* Unsafe/bignumber.scm 819 */
																																	int
																																		BgL_iz00_4355;
																																	BgL_iz00_4355
																																		=
																																		(int)
																																		(BgL_kz00_1875);
																																	{	/* Unsafe/bignumber.scm 267 */
																																		uint16_t
																																			BgL_arg1241z00_4356;
																																		{	/* Unsafe/bignumber.scm 267 */
																																			obj_t
																																				BgL_arg1242z00_4357;
																																			BgL_arg1242z00_4357
																																				=
																																				BGL_BIGNUM_U16VECT
																																				(BgL_nxz00_1803);
																																			{	/* Unsafe/bignumber.scm 267 */
																																				long
																																					BgL_tmpz00_7328;
																																				BgL_tmpz00_7328
																																					=
																																					(long)
																																					(BgL_iz00_4355);
																																				BgL_arg1241z00_4356
																																					=
																																					BGL_U16VREF
																																					(BgL_arg1242z00_4357,
																																					BgL_tmpz00_7328);
																																		}}
																																		{	/* Unsafe/bignumber.scm 267 */
																																			long
																																				BgL_arg2271z00_4359;
																																			BgL_arg2271z00_4359
																																				=
																																				(long)
																																				(BgL_arg1241z00_4356);
																																			BgL_arg1683z00_1892
																																				=
																																				(long)
																																				(BgL_arg2271z00_4359);
																																}}}
																																BgL_arg1680z00_1890
																																	=
																																	(BgL_arg1683z00_1892
																																	+
																																	BgL_cz00_1876);
																															}
																															BgL_arg1677z00_1889
																																=
																																BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																																(BINT
																																(BgL_arg1680z00_1890),
																																BINT(((long)
																																		16384)));
																														}
																														{	/* Unsafe/bignumber.scm 815 */
																															int BgL_iz00_4364;
																															int
																																BgL_digitz00_4365;
																															BgL_iz00_4364 =
																																(int)
																																(BgL_kz00_1875);
																															BgL_digitz00_4365
																																=
																																CINT
																																(BgL_arg1677z00_1889);
																															{	/* Unsafe/bignumber.scm 269 */
																																obj_t
																																	BgL_arg1244z00_4366;
																																uint16_t
																																	BgL_arg1260z00_4367;
																																BgL_arg1244z00_4366
																																	=
																																	BGL_BIGNUM_U16VECT
																																	(BgL_nxz00_1803);
																																{	/* Unsafe/bignumber.scm 269 */
																																	long
																																		BgL_tmpz00_7340;
																																	BgL_tmpz00_7340
																																		=
																																		(long)
																																		(BgL_digitz00_4365);
																																	BgL_arg1260z00_4367
																																		=
																																		(uint16_t)
																																		(BgL_tmpz00_7340);
																																}
																																{	/* Unsafe/bignumber.scm 269 */
																																	long
																																		BgL_tmpz00_7343;
																																	BgL_tmpz00_7343
																																		=
																																		(long)
																																		(BgL_iz00_4364);
																																	BGL_U16VSET
																																		(BgL_arg1244z00_4366,
																																		BgL_tmpz00_7343,
																																		BgL_arg1260z00_4367);
																																} BUNSPEC;
																									}}}}}}
																								else
																									{	/* Unsafe/bignumber.scm 821 */
																										long BgL_arg1685z00_1895;

																										BgL_arg1685z00_1895 =
																											(BgL_iz00_1835 -
																											(BgL_lenyz00_1791 -
																												((long) 1)));
																										{	/* Unsafe/bignumber.scm 821 */
																											int BgL_iz00_4373;
																											int BgL_digitz00_4374;

																											BgL_iz00_4373 =
																												(int)
																												(BgL_arg1685z00_1895);
																											BgL_digitz00_4374 =
																												(int) (BgL_qz00_1844);
																											{	/* Unsafe/bignumber.scm 269 */
																												obj_t
																													BgL_arg1244z00_4375;
																												uint16_t
																													BgL_arg1260z00_4376;
																												BgL_arg1244z00_4375 =
																													BGL_BIGNUM_U16VECT
																													(BgL_rz00_1792);
																												{	/* Unsafe/bignumber.scm 269 */
																													long BgL_tmpz00_7351;

																													BgL_tmpz00_7351 =
																														(long)
																														(BgL_digitz00_4374);
																													BgL_arg1260z00_4376 =
																														(uint16_t)
																														(BgL_tmpz00_7351);
																												}
																												{	/* Unsafe/bignumber.scm 269 */
																													long BgL_tmpz00_7354;

																													BgL_tmpz00_7354 =
																														(long)
																														(BgL_iz00_4373);
																													BGL_U16VSET
																														(BgL_arg1244z00_4375,
																														BgL_tmpz00_7354,
																														BgL_arg1260z00_4376);
																												} BUNSPEC;
																									}}}
																								{
																									long BgL_iz00_7357;

																									BgL_iz00_7357 =
																										(BgL_iz00_1835 -
																										((long) 1));
																									BgL_iz00_1835 = BgL_iz00_7357;
																									goto
																										BgL_zc3z04anonymousza31636ze3z87_1836;
																								}
																							}
																					}
																				}
																			}
																		}
																	}
															}
															{	/* Unsafe/bignumber.scm 824 */
																long BgL_g1056z00_1935;

																BgL_g1056z00_1935 =
																	(BgL_lenyz00_1791 - ((long) 1));
																{
																	long BgL_iz00_1937;
																	long BgL_kz00_1938;

																	BgL_iz00_1937 = BgL_g1056z00_1935;
																	BgL_kz00_1938 = ((long) 0);
																BgL_zc3z04anonymousza31732ze3z87_1939:
																	if ((((long) 0) < BgL_iz00_1937))
																		{	/* Unsafe/bignumber.scm 826 */
																			long BgL_wz00_1941;

																			{	/* Unsafe/bignumber.scm 826 */
																				long BgL_arg1737z00_1945;
																				long BgL_arg1738z00_1946;

																				BgL_arg1737z00_1945 =
																					(BgL_kz00_1938 * ((long) 16384));
																				{	/* Unsafe/bignumber.scm 827 */
																					int BgL_iz00_4384;

																					BgL_iz00_4384 = (int) (BgL_iz00_1937);
																					{	/* Unsafe/bignumber.scm 267 */
																						uint16_t BgL_arg1241z00_4385;

																						{	/* Unsafe/bignumber.scm 267 */
																							obj_t BgL_arg1242z00_4386;

																							BgL_arg1242z00_4386 =
																								BGL_BIGNUM_U16VECT
																								(BgL_nxz00_1803);
																							{	/* Unsafe/bignumber.scm 267 */
																								long BgL_tmpz00_7365;

																								BgL_tmpz00_7365 =
																									(long) (BgL_iz00_4384);
																								BgL_arg1241z00_4385 =
																									BGL_U16VREF
																									(BgL_arg1242z00_4386,
																									BgL_tmpz00_7365);
																						}}
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_arg2271z00_4388;

																							BgL_arg2271z00_4388 =
																								(long) (BgL_arg1241z00_4385);
																							BgL_arg1738z00_1946 =
																								(long) (BgL_arg2271z00_4388);
																				}}}
																				BgL_wz00_1941 =
																					(BgL_arg1737z00_1945 +
																					BgL_arg1738z00_1946);
																			}
																			{	/* Unsafe/bignumber.scm 828 */
																				long BgL_arg1734z00_1942;

																				BgL_arg1734z00_1942 =
																					(BgL_wz00_1941 / BgL_shiftz00_1796);
																				{	/* Unsafe/bignumber.scm 828 */
																					int BgL_iz00_4395;
																					int BgL_digitz00_4396;

																					BgL_iz00_4395 = (int) (BgL_iz00_1937);
																					BgL_digitz00_4396 =
																						(int) (BgL_arg1734z00_1942);
																					{	/* Unsafe/bignumber.scm 269 */
																						obj_t BgL_arg1244z00_4397;
																						uint16_t BgL_arg1260z00_4398;

																						BgL_arg1244z00_4397 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nxz00_1803);
																						{	/* Unsafe/bignumber.scm 269 */
																							long BgL_tmpz00_7375;

																							BgL_tmpz00_7375 =
																								(long) (BgL_digitz00_4396);
																							BgL_arg1260z00_4398 =
																								(uint16_t) (BgL_tmpz00_7375);
																						}
																						{	/* Unsafe/bignumber.scm 269 */
																							long BgL_tmpz00_7378;

																							BgL_tmpz00_7378 =
																								(long) (BgL_iz00_4395);
																							BGL_U16VSET(BgL_arg1244z00_4397,
																								BgL_tmpz00_7378,
																								BgL_arg1260z00_4398);
																						} BUNSPEC;
																			}}}
																			{	/* Unsafe/bignumber.scm 829 */
																				long BgL_arg1735z00_1943;
																				long BgL_arg1736z00_1944;

																				BgL_arg1735z00_1943 =
																					(BgL_iz00_1937 - ((long) 1));
																				{	/* Unsafe/bignumber.scm 830 */
																					long BgL_n1z00_4401;
																					long BgL_n2z00_4402;

																					BgL_n1z00_4401 = BgL_wz00_1941;
																					BgL_n2z00_4402 = BgL_shiftz00_1796;
																					{	/* Unsafe/bignumber.scm 830 */
																						bool_t BgL_test2761z00_7382;

																						{	/* Unsafe/bignumber.scm 830 */
																							long BgL_arg2169z00_4404;

																							BgL_arg2169z00_4404 =
																								(((BgL_n1z00_4401) |
																									(BgL_n2z00_4402)) &
																								-2147483648);
																							BgL_test2761z00_7382 =
																								(BgL_arg2169z00_4404 ==
																								((long) 0));
																						}
																						if (BgL_test2761z00_7382)
																							{	/* Unsafe/bignumber.scm 830 */
																								int32_t BgL_arg2166z00_4405;

																								{	/* Unsafe/bignumber.scm 830 */
																									int32_t BgL_arg2167z00_4406;
																									int32_t BgL_arg2168z00_4407;

																									BgL_arg2167z00_4406 =
																										(int32_t) (BgL_n1z00_4401);
																									BgL_arg2168z00_4407 =
																										(int32_t) (BgL_n2z00_4402);
																									BgL_arg2166z00_4405 =
																										(BgL_arg2167z00_4406 %
																										BgL_arg2168z00_4407);
																								}
																								{	/* Unsafe/bignumber.scm 830 */
																									long BgL_arg2270z00_4412;

																									BgL_arg2270z00_4412 =
																										(long)
																										(BgL_arg2166z00_4405);
																									BgL_arg1736z00_1944 =
																										(long)
																										(BgL_arg2270z00_4412);
																							}}
																						else
																							{	/* Unsafe/bignumber.scm 830 */
																								BgL_arg1736z00_1944 =
																									(BgL_n1z00_4401 %
																									BgL_n2z00_4402);
																							}
																					}
																				}
																				{
																					long BgL_kz00_7392;
																					long BgL_iz00_7391;

																					BgL_iz00_7391 = BgL_arg1735z00_1943;
																					BgL_kz00_7392 = BgL_arg1736z00_1944;
																					BgL_kz00_1938 = BgL_kz00_7392;
																					BgL_iz00_1937 = BgL_iz00_7391;
																					goto
																						BgL_zc3z04anonymousza31732ze3z87_1939;
																				}
																			}
																		}
																	else
																		{	/* Unsafe/bignumber.scm 825 */
																			((bool_t) 0);
																		}
																}
															}
															return
																MAKE_YOUNG_PAIR
																(BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
																(BgL_rz00_1792),
																BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
																(BgL_nxz00_1803));
														}
												}
											}
										}
								}
						}
				}
			}
		}

	}



/* $$divrembx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_div(obj_t BgL_xz00_67, obj_t BgL_yz00_68)
	{
		{	/* Unsafe/bignumber.scm 854 */
			{	/* Unsafe/bignumber.scm 855 */
				obj_t BgL_vz00_4470;

				BgL_vz00_4470 =
					BGl_bignumzd2divzd2zz__bignumz00(BgL_xz00_67, BgL_yz00_68);
				{	/* Unsafe/bignumber.scm 856 */
					obj_t BgL_val0_1099z00_4471;
					obj_t BgL_val1_1100z00_4472;

					BgL_val0_1099z00_4471 = CAR(((obj_t) BgL_vz00_4470));
					BgL_val1_1100z00_4472 = CDR(((obj_t) BgL_vz00_4470));
					{	/* Unsafe/bignumber.scm 856 */
						int BgL_tmpz00_7401;

						BgL_tmpz00_7401 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7401);
					}
					{	/* Unsafe/bignumber.scm 856 */
						int BgL_tmpz00_7404;

						BgL_tmpz00_7404 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_7404, BgL_val1_1100z00_4472);
					}
					return BgL_val0_1099z00_4471;
				}
			}
		}

	}



/* &$$divrembx */
	obj_t BGl_z62z42z42divrembxz62zz__bignumz00(obj_t BgL_envz00_5535,
		obj_t BgL_xz00_5536, obj_t BgL_yz00_5537)
	{
		{	/* Unsafe/bignumber.scm 854 */
			{	/* Unsafe/bignumber.scm 855 */
				obj_t BgL_auxz00_7414;
				obj_t BgL_auxz00_7407;

				if (BIGNUMP(BgL_yz00_5537))
					{	/* Unsafe/bignumber.scm 855 */
						BgL_auxz00_7414 = BgL_yz00_5537;
					}
				else
					{
						obj_t BgL_auxz00_7417;

						BgL_auxz00_7417 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 27993)), BGl_string2499z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5537);
						FAILURE(BgL_auxz00_7417, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5536))
					{	/* Unsafe/bignumber.scm 855 */
						BgL_auxz00_7407 = BgL_xz00_5536;
					}
				else
					{
						obj_t BgL_auxz00_7410;

						BgL_auxz00_7410 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 27993)), BGl_string2499z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5536);
						FAILURE(BgL_auxz00_7410, BFALSE, BFALSE);
					}
				return bgl_bignum_div(BgL_auxz00_7407, BgL_auxz00_7414);
			}
		}

	}



/* $$quotientbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_quotient(obj_t BgL_xz00_69,
		obj_t BgL_yz00_70)
	{
		{	/* Unsafe/bignumber.scm 858 */
			{	/* Unsafe/bignumber.scm 859 */
				obj_t BgL_arg1757z00_4475;

				{	/* Unsafe/bignumber.scm 859 */
					obj_t BgL_arg1758z00_4476;

					BgL_arg1758z00_4476 =
						BGl_bignumzd2divzd2zz__bignumz00(BgL_xz00_69, BgL_yz00_70);
					BgL_arg1757z00_4475 = CAR(((obj_t) BgL_arg1758z00_4476));
				}
				return BgL_arg1757z00_4475;
			}
		}

	}



/* &$$quotientbx */
	obj_t BGl_z62z42z42quotientbxz62zz__bignumz00(obj_t BgL_envz00_5538,
		obj_t BgL_xz00_5539, obj_t BgL_yz00_5540)
	{
		{	/* Unsafe/bignumber.scm 858 */
			{	/* Unsafe/bignumber.scm 859 */
				obj_t BgL_auxz00_7432;
				obj_t BgL_auxz00_7425;

				if (BIGNUMP(BgL_yz00_5540))
					{	/* Unsafe/bignumber.scm 859 */
						BgL_auxz00_7432 = BgL_yz00_5540;
					}
				else
					{
						obj_t BgL_auxz00_7435;

						BgL_auxz00_7435 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 28108)), BGl_string2500z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5540);
						FAILURE(BgL_auxz00_7435, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5539))
					{	/* Unsafe/bignumber.scm 859 */
						BgL_auxz00_7425 = BgL_xz00_5539;
					}
				else
					{
						obj_t BgL_auxz00_7428;

						BgL_auxz00_7428 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 28108)), BGl_string2500z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5539);
						FAILURE(BgL_auxz00_7428, BFALSE, BFALSE);
					}
				return bgl_bignum_quotient(BgL_auxz00_7425, BgL_auxz00_7432);
			}
		}

	}



/* $$remainderbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_remainder(obj_t BgL_xz00_71,
		obj_t BgL_yz00_72)
	{
		{	/* Unsafe/bignumber.scm 861 */
			{	/* Unsafe/bignumber.scm 862 */
				obj_t BgL_arg1759z00_4478;

				{	/* Unsafe/bignumber.scm 862 */
					obj_t BgL_arg1760z00_4479;

					BgL_arg1760z00_4479 =
						BGl_bignumzd2divzd2zz__bignumz00(BgL_xz00_71, BgL_yz00_72);
					BgL_arg1759z00_4478 = CDR(((obj_t) BgL_arg1760z00_4479));
				}
				return BgL_arg1759z00_4478;
			}
		}

	}



/* &$$remainderbx */
	obj_t BGl_z62z42z42remainderbxz62zz__bignumz00(obj_t BgL_envz00_5541,
		obj_t BgL_xz00_5542, obj_t BgL_yz00_5543)
	{
		{	/* Unsafe/bignumber.scm 861 */
			{	/* Unsafe/bignumber.scm 862 */
				obj_t BgL_auxz00_7450;
				obj_t BgL_auxz00_7443;

				if (BIGNUMP(BgL_yz00_5543))
					{	/* Unsafe/bignumber.scm 862 */
						BgL_auxz00_7450 = BgL_yz00_5543;
					}
				else
					{
						obj_t BgL_auxz00_7453;

						BgL_auxz00_7453 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 28183)), BGl_string2501z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5543);
						FAILURE(BgL_auxz00_7453, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5542))
					{	/* Unsafe/bignumber.scm 862 */
						BgL_auxz00_7443 = BgL_xz00_5542;
					}
				else
					{
						obj_t BgL_auxz00_7446;

						BgL_auxz00_7446 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 28183)), BGl_string2501z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5542);
						FAILURE(BgL_auxz00_7446, BFALSE, BFALSE);
					}
				return bgl_bignum_remainder(BgL_auxz00_7443, BgL_auxz00_7450);
			}
		}

	}



/* $$absbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_abs(obj_t BgL_xz00_83)
	{
		{	/* Unsafe/bignumber.scm 893 */
			{	/* Unsafe/bignumber.scm 894 */
				bool_t BgL_test2768z00_7458;

				{	/* Unsafe/bignumber.scm 471 */
					long BgL_arg1427z00_4483;

					{	/* Unsafe/bignumber.scm 263 */
						uint16_t BgL_arg1228z00_4485;

						{	/* Unsafe/bignumber.scm 263 */
							obj_t BgL_arg1235z00_4486;

							BgL_arg1235z00_4486 = BGL_BIGNUM_U16VECT(BgL_xz00_83);
							BgL_arg1228z00_4485 =
								BGL_U16VREF(BgL_arg1235z00_4486, ((long) 0));
						}
						{	/* Unsafe/bignumber.scm 263 */
							long BgL_arg2271z00_4488;

							BgL_arg2271z00_4488 = (long) (BgL_arg1228z00_4485);
							BgL_arg1427z00_4483 = (long) (BgL_arg2271z00_4488);
					}}
					BgL_test2768z00_7458 = (BgL_arg1427z00_4483 == ((long) 0));
				}
				if (BgL_test2768z00_7458)
					{	/* Unsafe/bignumber.scm 894 */
						return
							bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00, BgL_xz00_83);
					}
				else
					{	/* Unsafe/bignumber.scm 894 */
						return BgL_xz00_83;
					}
			}
		}

	}



/* &$$absbx */
	obj_t BGl_z62z42z42absbxz62zz__bignumz00(obj_t BgL_envz00_5544,
		obj_t BgL_xz00_5545)
	{
		{	/* Unsafe/bignumber.scm 893 */
			{	/* Unsafe/bignumber.scm 894 */
				obj_t BgL_auxz00_7465;

				if (BIGNUMP(BgL_xz00_5545))
					{	/* Unsafe/bignumber.scm 894 */
						BgL_auxz00_7465 = BgL_xz00_5545;
					}
				else
					{
						obj_t BgL_auxz00_7468;

						BgL_auxz00_7468 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 29024)), BGl_string2502z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5545);
						FAILURE(BgL_auxz00_7468, BFALSE, BFALSE);
					}
				return bgl_bignum_abs(BgL_auxz00_7465);
			}
		}

	}



/* $$gcdbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_gcd(obj_t BgL_xz00_84, obj_t BgL_yz00_85)
	{
		{	/* Unsafe/bignumber.scm 898 */
			{	/* Unsafe/bignumber.scm 899 */
				obj_t BgL_g1057z00_4492;
				obj_t BgL_g1058z00_4493;

				if ((BGl_bignumzd2signzd2zz__bignumz00(BgL_xz00_84) == ((long) 0)))
					{	/* Unsafe/bignumber.scm 894 */
						BgL_g1057z00_4492 =
							bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00, BgL_xz00_84);
					}
				else
					{	/* Unsafe/bignumber.scm 894 */
						BgL_g1057z00_4492 = BgL_xz00_84;
					}
				if ((BGl_bignumzd2signzd2zz__bignumz00(BgL_yz00_85) == ((long) 0)))
					{	/* Unsafe/bignumber.scm 894 */
						BgL_g1058z00_4493 =
							bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00, BgL_yz00_85);
					}
				else
					{	/* Unsafe/bignumber.scm 894 */
						BgL_g1058z00_4493 = BgL_yz00_85;
					}
				if (BXZERO(BgL_g1058z00_4493))
					{	/* Unsafe/bignumber.scm 900 */
						return BgL_g1057z00_4492;
					}
				else
					{	/* Unsafe/bignumber.scm 902 */
						obj_t BgL_arg1787z00_4561;

						BgL_arg1787z00_4561 =
							bgl_bignum_remainder(BgL_g1057z00_4492, BgL_g1058z00_4493);
						{
							obj_t BgL_xz00_4543;
							obj_t BgL_yz00_4544;

							BgL_xz00_4543 = BgL_g1058z00_4493;
							BgL_yz00_4544 = BgL_arg1787z00_4561;
						BgL_loopz00_4542:
							if (
								(BGl_bignumzd2lengthzd2zz__bignumz00(BgL_yz00_4544) ==
									((long) 1)))
								{	/* Unsafe/bignumber.scm 900 */
									return BgL_xz00_4543;
								}
							else
								{	/* Unsafe/bignumber.scm 902 */
									obj_t BgL_arg1787z00_4548;

									{	/* Unsafe/bignumber.scm 902 */
										obj_t BgL_res2334z00_4557;

										{	/* Unsafe/bignumber.scm 862 */
											obj_t BgL_arg1759z00_4554;

											{	/* Unsafe/bignumber.scm 862 */
												obj_t BgL_arg1760z00_4555;

												BgL_arg1760z00_4555 =
													BGl_bignumzd2divzd2zz__bignumz00(BgL_xz00_4543,
													BgL_yz00_4544);
												BgL_arg1759z00_4554 =
													CDR(((obj_t) BgL_arg1760z00_4555));
											}
											BgL_res2334z00_4557 = BgL_arg1759z00_4554;
										}
										BgL_arg1787z00_4548 = BgL_res2334z00_4557;
									}
									if (BXZERO(BgL_arg1787z00_4548))
										{	/* Unsafe/bignumber.scm 900 */
											return BgL_yz00_4544;
										}
									else
										{
											obj_t BgL_yz00_7493;
											obj_t BgL_xz00_7492;

											BgL_xz00_7492 = BgL_arg1787z00_4548;
											BgL_yz00_7493 =
												bgl_bignum_remainder(BgL_yz00_4544,
												BgL_arg1787z00_4548);
											BgL_yz00_4544 = BgL_yz00_7493;
											BgL_xz00_4543 = BgL_xz00_7492;
											goto BgL_loopz00_4542;
										}
								}
						}
					}
			}
		}

	}



/* &$$gcdbx */
	obj_t BGl_z62z42z42gcdbxz62zz__bignumz00(obj_t BgL_envz00_5546,
		obj_t BgL_xz00_5547, obj_t BgL_yz00_5548)
	{
		{	/* Unsafe/bignumber.scm 898 */
			{	/* Unsafe/bignumber.scm 899 */
				obj_t BgL_auxz00_7502;
				obj_t BgL_auxz00_7495;

				if (BIGNUMP(BgL_yz00_5548))
					{	/* Unsafe/bignumber.scm 899 */
						BgL_auxz00_7502 = BgL_yz00_5548;
					}
				else
					{
						obj_t BgL_auxz00_7505;

						BgL_auxz00_7505 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 29102)), BGl_string2503z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5548);
						FAILURE(BgL_auxz00_7505, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5547))
					{	/* Unsafe/bignumber.scm 899 */
						BgL_auxz00_7495 = BgL_xz00_5547;
					}
				else
					{
						obj_t BgL_auxz00_7498;

						BgL_auxz00_7498 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 29102)), BGl_string2503z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5547);
						FAILURE(BgL_auxz00_7498, BFALSE, BFALSE);
					}
				return bgl_bignum_gcd(BgL_auxz00_7495, BgL_auxz00_7502);
			}
		}

	}



/* $$lcmbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_lcm(obj_t BgL_xz00_86, obj_t BgL_yz00_87)
	{
		{	/* Unsafe/bignumber.scm 904 */
			{	/* Unsafe/bignumber.scm 905 */
				bool_t BgL_test2777z00_7510;

				{	/* Unsafe/bignumber.scm 905 */
					bool_t BgL_test2778z00_7511;

					{	/* Unsafe/bignumber.scm 468 */
						long BgL_arg1426z00_4568;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_4570;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_4571;

								BgL_arg1226z00_4571 = BGL_BIGNUM_U16VECT(BgL_xz00_86);
								BgL_arg1224z00_4570 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_4571);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_4573;

								BgL_xz00_4573 = (uint16_t) (BgL_arg1224z00_4570);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_4574;

									BgL_arg2271z00_4574 = (long) (BgL_xz00_4573);
									BgL_arg1426z00_4568 = (long) (BgL_arg2271z00_4574);
						}}}
						BgL_test2778z00_7511 = (BgL_arg1426z00_4568 == ((long) 1));
					}
					if (BgL_test2778z00_7511)
						{	/* Unsafe/bignumber.scm 905 */
							BgL_test2777z00_7510 = ((bool_t) 1);
						}
					else
						{	/* Unsafe/bignumber.scm 468 */
							long BgL_arg1426z00_4578;

							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg1224z00_4580;

								{	/* Unsafe/bignumber.scm 261 */
									obj_t BgL_arg1226z00_4581;

									BgL_arg1226z00_4581 = BGL_BIGNUM_U16VECT(BgL_yz00_87);
									BgL_arg1224z00_4580 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_4581);
								}
								{	/* Unsafe/bignumber.scm 261 */
									uint16_t BgL_xz00_4583;

									BgL_xz00_4583 = (uint16_t) (BgL_arg1224z00_4580);
									{	/* Unsafe/bignumber.scm 261 */
										long BgL_arg2271z00_4584;

										BgL_arg2271z00_4584 = (long) (BgL_xz00_4583);
										BgL_arg1426z00_4578 = (long) (BgL_arg2271z00_4584);
							}}}
							BgL_test2777z00_7510 = (BgL_arg1426z00_4578 == ((long) 1));
				}}
				if (BgL_test2777z00_7510)
					{	/* Unsafe/bignumber.scm 905 */
						return BGl_bignumzd2za7eroz75zz__bignumz00;
					}
				else
					{	/* Unsafe/bignumber.scm 908 */
						obj_t BgL_arg1790z00_4564;
						obj_t BgL_arg1791z00_4565;

						{	/* Unsafe/bignumber.scm 908 */
							obj_t BgL_arg1792z00_4566;

							BgL_arg1792z00_4566 = bgl_bignum_mul(BgL_xz00_86, BgL_yz00_87);
							if (
								(BGl_bignumzd2signzd2zz__bignumz00(BgL_arg1792z00_4566) ==
									((long) 0)))
								{	/* Unsafe/bignumber.scm 894 */
									BgL_arg1790z00_4564 =
										bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00,
										BgL_arg1792z00_4566);
								}
							else
								{	/* Unsafe/bignumber.scm 894 */
									BgL_arg1790z00_4564 = BgL_arg1792z00_4566;
								}
						}
						{	/* Unsafe/bignumber.scm 909 */
							obj_t BgL_res2336z00_4628;

							{	/* Unsafe/bignumber.scm 899 */
								obj_t BgL_g1057z00_4595;
								obj_t BgL_g1058z00_4596;

								if (BXNEGATIVE(BgL_xz00_86))
									{	/* Unsafe/bignumber.scm 894 */
										BgL_g1057z00_4595 =
											bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00,
											BgL_xz00_86);
									}
								else
									{	/* Unsafe/bignumber.scm 894 */
										BgL_g1057z00_4595 = BgL_xz00_86;
									}
								if (BXNEGATIVE(BgL_yz00_87))
									{	/* Unsafe/bignumber.scm 894 */
										BgL_g1058z00_4596 =
											bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00,
											BgL_yz00_87);
									}
								else
									{	/* Unsafe/bignumber.scm 894 */
										BgL_g1058z00_4596 = BgL_yz00_87;
									}
								{
									obj_t BgL_xz00_4622;
									obj_t BgL_yz00_4623;

									BgL_xz00_4622 = BgL_g1057z00_4595;
									BgL_yz00_4623 = BgL_g1058z00_4596;
								BgL_loopz00_4621:
									if (BXZERO(BgL_yz00_4623))
										{	/* Unsafe/bignumber.scm 900 */
											BgL_res2336z00_4628 = BgL_xz00_4622;
										}
									else
										{
											obj_t BgL_yz00_7538;
											obj_t BgL_xz00_7537;

											BgL_xz00_7537 = BgL_yz00_4623;
											BgL_yz00_7538 =
												bgl_bignum_remainder(BgL_xz00_4622, BgL_yz00_4623);
											BgL_yz00_4623 = BgL_yz00_7538;
											BgL_xz00_4622 = BgL_xz00_7537;
											goto BgL_loopz00_4621;
										}
								}
							}
							BgL_arg1791z00_4565 = BgL_res2336z00_4628;
						}
						{	/* Unsafe/bignumber.scm 907 */
							obj_t BgL_res2337z00_4634;

							{	/* Unsafe/bignumber.scm 859 */
								obj_t BgL_arg1757z00_4631;

								{	/* Unsafe/bignumber.scm 859 */
									obj_t BgL_arg1758z00_4632;

									BgL_arg1758z00_4632 =
										BGl_bignumzd2divzd2zz__bignumz00(BgL_arg1790z00_4564,
										BgL_arg1791z00_4565);
									BgL_arg1757z00_4631 = CAR(((obj_t) BgL_arg1758z00_4632));
								}
								BgL_res2337z00_4634 = BgL_arg1757z00_4631;
							}
							return BgL_res2337z00_4634;
						}
					}
			}
		}

	}



/* &$$lcmbx */
	obj_t BGl_z62z42z42lcmbxz62zz__bignumz00(obj_t BgL_envz00_5549,
		obj_t BgL_xz00_5550, obj_t BgL_yz00_5551)
	{
		{	/* Unsafe/bignumber.scm 904 */
			{	/* Unsafe/bignumber.scm 905 */
				obj_t BgL_auxz00_7550;
				obj_t BgL_auxz00_7543;

				if (BIGNUMP(BgL_yz00_5551))
					{	/* Unsafe/bignumber.scm 905 */
						BgL_auxz00_7550 = BgL_yz00_5551;
					}
				else
					{
						obj_t BgL_auxz00_7553;

						BgL_auxz00_7553 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 29236)), BGl_string2504z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5551);
						FAILURE(BgL_auxz00_7553, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5550))
					{	/* Unsafe/bignumber.scm 905 */
						BgL_auxz00_7543 = BgL_xz00_5550;
					}
				else
					{
						obj_t BgL_auxz00_7546;

						BgL_auxz00_7546 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 29236)), BGl_string2504z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5550);
						FAILURE(BgL_auxz00_7546, BFALSE, BFALSE);
					}
				return bgl_bignum_lcm(BgL_auxz00_7543, BgL_auxz00_7550);
			}
		}

	}



/* bignum-expt */
	obj_t BGl_bignumzd2exptzd2zz__bignumz00(obj_t BgL_xz00_88, obj_t BgL_yz00_89)
	{
		{	/* Unsafe/bignumber.scm 914 */
		BGl_bignumzd2exptzd2zz__bignumz00:
			{	/* Unsafe/bignumber.scm 915 */
				bool_t BgL_test2785z00_7558;

				{	/* Unsafe/bignumber.scm 468 */
					long BgL_arg1426z00_4636;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_4638;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_4639;

							BgL_arg1226z00_4639 = BGL_BIGNUM_U16VECT(BgL_yz00_89);
							BgL_arg1224z00_4638 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_4639);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_4641;

							BgL_xz00_4641 = (uint16_t) (BgL_arg1224z00_4638);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_4642;

								BgL_arg2271z00_4642 = (long) (BgL_xz00_4641);
								BgL_arg1426z00_4636 = (long) (BgL_arg2271z00_4642);
					}}}
					BgL_test2785z00_7558 = (BgL_arg1426z00_4636 == ((long) 1));
				}
				if (BgL_test2785z00_7558)
					{	/* Unsafe/bignumber.scm 916 */
						obj_t BgL_res2338z00_4653;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2786z00_7565;

							if ((((long) 1) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2786z00_7565 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2786z00_7565 = (((long) 16) < ((long) 1));
								}
							if (BgL_test2786z00_7565)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2338z00_4653 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											1));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2338z00_4653 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 1) + ((long) 16)));
						}}
						return BgL_res2338z00_4653;
					}
				else
					{	/* Unsafe/bignumber.scm 917 */
						bool_t BgL_test2788z00_7572;

						{	/* Unsafe/bignumber.scm 917 */
							bool_t BgL_res2339z00_4666;

							{	/* Unsafe/bignumber.scm 477 */
								bool_t BgL__ortest_1046z00_4655;

								BgL__ortest_1046z00_4655 =
									(BGl_bignumzd2lengthzd2zz__bignumz00(BgL_yz00_89) ==
									((long) 1));
								if (BgL__ortest_1046z00_4655)
									{	/* Unsafe/bignumber.scm 477 */
										BgL_res2339z00_4666 = BgL__ortest_1046z00_4655;
									}
								else
									{	/* Unsafe/bignumber.scm 477 */
										long BgL_arg1430z00_4656;

										{	/* Unsafe/bignumber.scm 267 */
											uint16_t BgL_arg1241z00_4661;

											{	/* Unsafe/bignumber.scm 267 */
												obj_t BgL_arg1242z00_4662;

												BgL_arg1242z00_4662 = BGL_BIGNUM_U16VECT(BgL_yz00_89);
												BgL_arg1241z00_4661 =
													BGL_U16VREF(BgL_arg1242z00_4662, ((long) 1));
											}
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_arg2271z00_4664;

												BgL_arg2271z00_4664 = (long) (BgL_arg1241z00_4661);
												BgL_arg1430z00_4656 = (long) (BgL_arg2271z00_4664);
										}}
										BgL_res2339z00_4666 =
											BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(BINT
											(BgL_arg1430z00_4656));
							}}
							BgL_test2788z00_7572 = BgL_res2339z00_4666;
						}
						if (BgL_test2788z00_7572)
							{	/* Unsafe/bignumber.scm 919 */
								obj_t BgL_arg1795z00_2030;
								obj_t BgL_arg1797z00_2031;

								BgL_arg1795z00_2030 = bgl_bignum_mul(BgL_xz00_88, BgL_xz00_88);
								{	/* Unsafe/bignumber.scm 920 */
									obj_t BgL_arg1798z00_2032;

									{	/* Unsafe/bignumber.scm 920 */
										obj_t BgL_res2340z00_4675;

										{	/* Unsafe/bignumber.scm 415 */
											bool_t BgL_test2790z00_7583;

											if ((((long) 2) < ((long) -16)))
												{	/* Unsafe/bignumber.scm 415 */
													BgL_test2790z00_7583 = ((bool_t) 1);
												}
											else
												{	/* Unsafe/bignumber.scm 415 */
													BgL_test2790z00_7583 = (((long) 16) < ((long) 2));
												}
											if (BgL_test2790z00_7583)
												{	/* Unsafe/bignumber.scm 415 */
													BgL_res2340z00_4675 =
														BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
														(((long) 2));
												}
											else
												{	/* Unsafe/bignumber.scm 415 */
													BgL_res2340z00_4675 =
														VECTOR_REF
														(BGl_preallocatedzd2bignumszd2zz__bignumz00,
														(((long) 2) + ((long) 16)));
										}}
										BgL_arg1798z00_2032 = BgL_res2340z00_4675;
									}
									{	/* Unsafe/bignumber.scm 920 */
										obj_t BgL_res2341z00_4681;

										{	/* Unsafe/bignumber.scm 859 */
											obj_t BgL_arg1757z00_4678;

											{	/* Unsafe/bignumber.scm 859 */
												obj_t BgL_arg1758z00_4679;

												BgL_arg1758z00_4679 =
													BGl_bignumzd2divzd2zz__bignumz00(BgL_yz00_89,
													BgL_arg1798z00_2032);
												BgL_arg1757z00_4678 =
													CAR(((obj_t) BgL_arg1758z00_4679));
											}
											BgL_res2341z00_4681 = BgL_arg1757z00_4678;
										}
										BgL_arg1797z00_2031 = BgL_res2341z00_4681;
								}}
								{
									obj_t BgL_yz00_7594;
									obj_t BgL_xz00_7593;

									BgL_xz00_7593 = BgL_arg1795z00_2030;
									BgL_yz00_7594 = BgL_arg1797z00_2031;
									BgL_yz00_89 = BgL_yz00_7594;
									BgL_xz00_88 = BgL_xz00_7593;
									goto BGl_bignumzd2exptzd2zz__bignumz00;
								}
							}
						else
							{	/* Unsafe/bignumber.scm 922 */
								obj_t BgL_arg1799z00_2033;

								{	/* Unsafe/bignumber.scm 922 */
									obj_t BgL_arg1800z00_2034;

									{	/* Unsafe/bignumber.scm 922 */
										obj_t BgL_arg1801z00_2035;

										{	/* Unsafe/bignumber.scm 922 */
											obj_t BgL_res2342z00_4690;

											{	/* Unsafe/bignumber.scm 415 */
												bool_t BgL_test2792z00_7595;

												if ((((long) 1) < ((long) -16)))
													{	/* Unsafe/bignumber.scm 415 */
														BgL_test2792z00_7595 = ((bool_t) 1);
													}
												else
													{	/* Unsafe/bignumber.scm 415 */
														BgL_test2792z00_7595 = (((long) 16) < ((long) 1));
													}
												if (BgL_test2792z00_7595)
													{	/* Unsafe/bignumber.scm 415 */
														BgL_res2342z00_4690 =
															BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
															(((long) 1));
													}
												else
													{	/* Unsafe/bignumber.scm 415 */
														BgL_res2342z00_4690 =
															VECTOR_REF
															(BGl_preallocatedzd2bignumszd2zz__bignumz00,
															(((long) 1) + ((long) 16)));
											}}
											BgL_arg1801z00_2035 = BgL_res2342z00_4690;
										}
										{	/* Unsafe/bignumber.scm 922 */
											obj_t BgL_res2343z00_4709;

											{	/* Unsafe/bignumber.scm 610 */
												long BgL_arg1515z00_4693;
												long BgL_arg1516z00_4694;

												{	/* Unsafe/bignumber.scm 263 */
													uint16_t BgL_arg1228z00_4697;

													{	/* Unsafe/bignumber.scm 263 */
														obj_t BgL_arg1235z00_4698;

														BgL_arg1235z00_4698 =
															BGL_BIGNUM_U16VECT(BgL_yz00_89);
														BgL_arg1228z00_4697 =
															BGL_U16VREF(BgL_arg1235z00_4698, ((long) 0));
													}
													{	/* Unsafe/bignumber.scm 263 */
														long BgL_arg2271z00_4700;

														BgL_arg2271z00_4700 = (long) (BgL_arg1228z00_4697);
														BgL_arg1515z00_4693 = (long) (BgL_arg2271z00_4700);
												}}
												{	/* Unsafe/bignumber.scm 610 */
													long BgL_arg1517z00_4695;

													{	/* Unsafe/bignumber.scm 263 */
														uint16_t BgL_arg1228z00_4703;

														{	/* Unsafe/bignumber.scm 263 */
															obj_t BgL_arg1235z00_4704;

															BgL_arg1235z00_4704 =
																BGL_BIGNUM_U16VECT(BgL_arg1801z00_2035);
															BgL_arg1228z00_4703 =
																BGL_U16VREF(BgL_arg1235z00_4704, ((long) 0));
														}
														{	/* Unsafe/bignumber.scm 263 */
															long BgL_arg2271z00_4706;

															BgL_arg2271z00_4706 =
																(long) (BgL_arg1228z00_4703);
															BgL_arg1517z00_4695 =
																(long) (BgL_arg2271z00_4706);
													}}
													BgL_arg1516z00_4694 =
														(((long) 1) - BgL_arg1517z00_4695);
												}
												BgL_res2343z00_4709 =
													BGl_bignumzd2sum2zd2zz__bignumz00(BgL_yz00_89,
													BgL_arg1801z00_2035, BgL_arg1515z00_4693,
													BgL_arg1516z00_4694);
											}
											BgL_arg1800z00_2034 = BgL_res2343z00_4709;
									}}
									BgL_arg1799z00_2033 =
										BGl_bignumzd2exptzd2zz__bignumz00(BgL_xz00_88,
										BgL_arg1800z00_2034);
								}
								BGL_TAIL return
									bgl_bignum_mul(BgL_xz00_88, BgL_arg1799z00_2033);
							}
					}
			}
		}

	}



/* bignum-integer-length */
	long BGl_bignumzd2integerzd2lengthz00zz__bignumz00(obj_t BgL_xz00_91)
	{
		{	/* Unsafe/bignumber.scm 933 */
			{	/* Unsafe/bignumber.scm 934 */
				obj_t BgL_nz00_2037;

				{	/* Unsafe/bignumber.scm 934 */
					bool_t BgL_test2794z00_7614;

					{	/* Unsafe/bignumber.scm 471 */
						long BgL_arg1427z00_4740;

						{	/* Unsafe/bignumber.scm 263 */
							uint16_t BgL_arg1228z00_4742;

							{	/* Unsafe/bignumber.scm 263 */
								obj_t BgL_arg1235z00_4743;

								BgL_arg1235z00_4743 = BGL_BIGNUM_U16VECT(BgL_xz00_91);
								BgL_arg1228z00_4742 =
									BGL_U16VREF(BgL_arg1235z00_4743, ((long) 0));
							}
							{	/* Unsafe/bignumber.scm 263 */
								long BgL_arg2271z00_4745;

								BgL_arg2271z00_4745 = (long) (BgL_arg1228z00_4742);
								BgL_arg1427z00_4740 = (long) (BgL_arg2271z00_4745);
						}}
						BgL_test2794z00_7614 = (BgL_arg1427z00_4740 == ((long) 0));
					}
					if (BgL_test2794z00_7614)
						{	/* Unsafe/bignumber.scm 934 */
							BgL_nz00_2037 =
								bgl_bignum_sub(bgl_long_to_bignum(((long) -1)), BgL_xz00_91);
						}
					else
						{	/* Unsafe/bignumber.scm 934 */
							BgL_nz00_2037 = BgL_xz00_91;
						}
				}
				{	/* Unsafe/bignumber.scm 934 */
					long BgL_nbzd2digitszd2_2038;

					{	/* Unsafe/bignumber.scm 935 */
						long BgL_arg1811z00_2052;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1224z00_4750;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1226z00_4751;

								BgL_arg1226z00_4751 = BGL_BIGNUM_U16VECT(BgL_nz00_2037);
								BgL_arg1224z00_4750 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_4751);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_4753;

								BgL_xz00_4753 = (uint16_t) (BgL_arg1224z00_4750);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2271z00_4754;

									BgL_arg2271z00_4754 = (long) (BgL_xz00_4753);
									BgL_arg1811z00_2052 = (long) (BgL_arg2271z00_4754);
						}}}
						BgL_nbzd2digitszd2_2038 = (BgL_arg1811z00_2052 - ((long) 1));
					}
					{	/* Unsafe/bignumber.scm 935 */

						if ((BgL_nbzd2digitszd2_2038 == ((long) 0)))
							{	/* Unsafe/bignumber.scm 936 */
								return ((long) 0);
							}
						else
							{	/* Unsafe/bignumber.scm 938 */
								long BgL_g1059z00_2040;
								long BgL_g1060z00_2041;

								{	/* Unsafe/bignumber.scm 938 */
									int BgL_iz00_4759;

									BgL_iz00_4759 = (int) (BgL_nbzd2digitszd2_2038);
									{	/* Unsafe/bignumber.scm 267 */
										uint16_t BgL_arg1241z00_4760;

										{	/* Unsafe/bignumber.scm 267 */
											obj_t BgL_arg1242z00_4761;

											BgL_arg1242z00_4761 = BGL_BIGNUM_U16VECT(BgL_nz00_2037);
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_tmpz00_7632;

												BgL_tmpz00_7632 = (long) (BgL_iz00_4759);
												BgL_arg1241z00_4760 =
													BGL_U16VREF(BgL_arg1242z00_4761, BgL_tmpz00_7632);
										}}
										{	/* Unsafe/bignumber.scm 267 */
											long BgL_arg2271z00_4763;

											BgL_arg2271z00_4763 = (long) (BgL_arg1241z00_4760);
											BgL_g1059z00_2040 = (long) (BgL_arg2271z00_4763);
								}}}
								BgL_g1060z00_2041 =
									((BgL_nbzd2digitszd2_2038 - ((long) 1)) * ((long) 14));
								{
									long BgL_dz00_4781;
									long BgL_lenz00_4782;

									BgL_dz00_4781 = BgL_g1059z00_2040;
									BgL_lenz00_4782 = BgL_g1060z00_2041;
								BgL_loopz00_4780:
									if ((((long) 0) < BgL_dz00_4781))
										{	/* Unsafe/bignumber.scm 941 */
											long BgL_arg1806z00_4787;
											long BgL_arg1807z00_4788;

											BgL_arg1806z00_4787 = (BgL_dz00_4781 / ((long) 2));
											BgL_arg1807z00_4788 = (BgL_lenz00_4782 + ((long) 1));
											{
												long BgL_lenz00_7644;
												long BgL_dz00_7643;

												BgL_dz00_7643 = BgL_arg1806z00_4787;
												BgL_lenz00_7644 = BgL_arg1807z00_4788;
												BgL_lenz00_4782 = BgL_lenz00_7644;
												BgL_dz00_4781 = BgL_dz00_7643;
												goto BgL_loopz00_4780;
											}
										}
									else
										{	/* Unsafe/bignumber.scm 940 */
											return BgL_lenz00_4782;
										}
								}
							}
					}
				}
			}
		}

	}



/* $$bignum->string */
	BGL_EXPORTED_DEF obj_t bgl_bignum_to_string(obj_t BgL_xz00_92,
		long BgL_radixz00_93)
	{
		{	/* Unsafe/bignumber.scm 948 */
			{
				obj_t BgL_signz00_2060;
				obj_t BgL_nz00_2061;

				{	/* Unsafe/bignumber.scm 961 */
					bool_t BgL_test2797z00_7645;

					{	/* Unsafe/bignumber.scm 471 */
						long BgL_arg1427z00_4848;

						{	/* Unsafe/bignumber.scm 263 */
							uint16_t BgL_arg1228z00_4850;

							{	/* Unsafe/bignumber.scm 263 */
								obj_t BgL_arg1235z00_4851;

								BgL_arg1235z00_4851 = BGL_BIGNUM_U16VECT(BgL_xz00_92);
								BgL_arg1228z00_4850 =
									BGL_U16VREF(BgL_arg1235z00_4851, ((long) 0));
							}
							{	/* Unsafe/bignumber.scm 263 */
								long BgL_arg2271z00_4853;

								BgL_arg2271z00_4853 = (long) (BgL_arg1228z00_4850);
								BgL_arg1427z00_4848 = (long) (BgL_arg2271z00_4853);
						}}
						BgL_test2797z00_7645 = (BgL_arg1427z00_4848 == ((long) 0));
					}
					if (BgL_test2797z00_7645)
						{	/* Unsafe/bignumber.scm 961 */
							BgL_signz00_2060 = BCHAR(((unsigned char) '-'));
							BgL_nz00_2061 =
								bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00,
								BgL_xz00_92);
						BgL_zc3z04anonymousza31816ze3z87_2062:
							{	/* Unsafe/bignumber.scm 954 */
								obj_t BgL_digitsz00_2063;

								{	/* Unsafe/bignumber.scm 955 */
									obj_t BgL_l1101z00_2065;

									{	/* Unsafe/bignumber.scm 956 */
										bool_t BgL_test2798z00_7651;

										{	/* Unsafe/bignumber.scm 468 */
											long BgL_arg1426z00_4795;

											{	/* Unsafe/bignumber.scm 261 */
												long BgL_arg1224z00_4797;

												{	/* Unsafe/bignumber.scm 261 */
													obj_t BgL_arg1226z00_4798;

													BgL_arg1226z00_4798 =
														BGL_BIGNUM_U16VECT(BgL_nz00_2061);
													BgL_arg1224z00_4797 =
														BGL_HVECTOR_LENGTH(BgL_arg1226z00_4798);
												}
												{	/* Unsafe/bignumber.scm 261 */
													uint16_t BgL_xz00_4800;

													BgL_xz00_4800 = (uint16_t) (BgL_arg1224z00_4797);
													{	/* Unsafe/bignumber.scm 261 */
														long BgL_arg2271z00_4801;

														BgL_arg2271z00_4801 = (long) (BgL_xz00_4800);
														BgL_arg1426z00_4795 = (long) (BgL_arg2271z00_4801);
											}}}
											BgL_test2798z00_7651 =
												(BgL_arg1426z00_4795 == ((long) 1));
										}
										if (BgL_test2798z00_7651)
											{	/* Unsafe/bignumber.scm 956 */
												BgL_l1101z00_2065 = BGl_list2505z00zz__bignumz00;
											}
										else
											{	/* Unsafe/bignumber.scm 956 */
												BgL_l1101z00_2065 =
													bgl_reverse
													(BGl_bignumzd2ze3fixnumzd2listze3zz__bignumz00
													(BgL_nz00_2061, (BgL_radixz00_93 - ((long) 1))));
									}}
									if (NULLP(BgL_l1101z00_2065))
										{	/* Unsafe/bignumber.scm 955 */
											BgL_digitsz00_2063 = BNIL;
										}
									else
										{	/* Unsafe/bignumber.scm 955 */
											obj_t BgL_head1103z00_2067;

											{	/* Unsafe/bignumber.scm 955 */
												unsigned char BgL_arg1824z00_2079;

												BgL_arg1824z00_2079 =
													STRING_REF(BGl_string2506z00zz__bignumz00,
													(long) CINT(CAR(BgL_l1101z00_2065)));
												BgL_head1103z00_2067 =
													MAKE_YOUNG_PAIR(BCHAR(BgL_arg1824z00_2079), BNIL);
											}
											{	/* Unsafe/bignumber.scm 955 */
												obj_t BgL_g1106z00_2068;

												BgL_g1106z00_2068 = CDR(BgL_l1101z00_2065);
												{
													obj_t BgL_l1101z00_4830;
													obj_t BgL_tail1104z00_4831;

													BgL_l1101z00_4830 = BgL_g1106z00_2068;
													BgL_tail1104z00_4831 = BgL_head1103z00_2067;
												BgL_zc3z04anonymousza31819ze3z87_4829:
													if (NULLP(BgL_l1101z00_4830))
														{	/* Unsafe/bignumber.scm 955 */
															BgL_digitsz00_2063 = BgL_head1103z00_2067;
														}
													else
														{	/* Unsafe/bignumber.scm 955 */
															obj_t BgL_newtail1105z00_4838;

															{	/* Unsafe/bignumber.scm 955 */
																unsigned char BgL_arg1822z00_4839;

																BgL_arg1822z00_4839 =
																	STRING_REF(BGl_string2506z00zz__bignumz00,
																	(long) CINT(CAR(
																			((obj_t) BgL_l1101z00_4830))));
																BgL_newtail1105z00_4838 =
																	MAKE_YOUNG_PAIR(BCHAR(BgL_arg1822z00_4839),
																	BNIL);
															}
															SET_CDR(BgL_tail1104z00_4831,
																BgL_newtail1105z00_4838);
															{	/* Unsafe/bignumber.scm 955 */
																obj_t BgL_arg1821z00_4841;

																BgL_arg1821z00_4841 =
																	CDR(((obj_t) BgL_l1101z00_4830));
																{
																	obj_t BgL_tail1104z00_7681;
																	obj_t BgL_l1101z00_7680;

																	BgL_l1101z00_7680 = BgL_arg1821z00_4841;
																	BgL_tail1104z00_7681 =
																		BgL_newtail1105z00_4838;
																	BgL_tail1104z00_4831 = BgL_tail1104z00_7681;
																	BgL_l1101z00_4830 = BgL_l1101z00_7680;
																	goto BgL_zc3z04anonymousza31819ze3z87_4829;
																}
															}
														}
												}
											}
										}
								}
								{	/* Unsafe/bignumber.scm 959 */
									obj_t BgL_arg1817z00_2064;

									if (CBOOL(BgL_signz00_2060))
										{	/* Unsafe/bignumber.scm 959 */
											BgL_arg1817z00_2064 =
												MAKE_YOUNG_PAIR(BgL_signz00_2060, BgL_digitsz00_2063);
										}
									else
										{	/* Unsafe/bignumber.scm 959 */
											BgL_arg1817z00_2064 = BgL_digitsz00_2063;
										}
									return
										BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
										(BgL_arg1817z00_2064);
								}
							}
						}
					else
						{
							obj_t BgL_nz00_7689;
							obj_t BgL_signz00_7688;

							BgL_signz00_7688 = BFALSE;
							BgL_nz00_7689 = BgL_xz00_92;
							BgL_nz00_2061 = BgL_nz00_7689;
							BgL_signz00_2060 = BgL_signz00_7688;
							goto BgL_zc3z04anonymousza31816ze3z87_2062;
						}
				}
			}
		}

	}



/* &$$bignum->string */
	obj_t BGl_z62z42z42bignumzd2ze3stringz53zz__bignumz00(obj_t BgL_envz00_5552,
		obj_t BgL_xz00_5553, obj_t BgL_radixz00_5554)
	{
		{	/* Unsafe/bignumber.scm 948 */
			{	/* Unsafe/bignumber.scm 951 */
				long BgL_auxz00_7697;
				obj_t BgL_auxz00_7690;

				{	/* Unsafe/bignumber.scm 951 */
					obj_t BgL_tmpz00_7698;

					if (INTEGERP(BgL_radixz00_5554))
						{	/* Unsafe/bignumber.scm 951 */
							BgL_tmpz00_7698 = BgL_radixz00_5554;
						}
					else
						{
							obj_t BgL_auxz00_7701;

							BgL_auxz00_7701 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 31011)), BGl_string2507z00zz__bignumz00,
								BGl_string2475z00zz__bignumz00, BgL_radixz00_5554);
							FAILURE(BgL_auxz00_7701, BFALSE, BFALSE);
						}
					BgL_auxz00_7697 = (long) CINT(BgL_tmpz00_7698);
				}
				if (BIGNUMP(BgL_xz00_5553))
					{	/* Unsafe/bignumber.scm 951 */
						BgL_auxz00_7690 = BgL_xz00_5553;
					}
				else
					{
						obj_t BgL_auxz00_7693;

						BgL_auxz00_7693 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 31011)), BGl_string2507z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5553);
						FAILURE(BgL_auxz00_7693, BFALSE, BFALSE);
					}
				return bgl_bignum_to_string(BgL_auxz00_7690, BgL_auxz00_7697);
			}
		}

	}



/* $$string->bignum */
	BGL_EXPORTED_DEF obj_t bgl_string_to_bignum(char *BgL_strz00_94,
		int BgL_radixz00_95)
	{
		{	/* Unsafe/bignumber.scm 965 */
			{
				long BgL_iz00_2156;
				obj_t BgL_radz00_2140;
				long BgL_iz00_2141;
				obj_t BgL_radz00_2115;
				obj_t BgL_signz00_2116;
				long BgL_iz00_2117;
				unsigned char BgL_cz00_2090;
				obj_t BgL_radz00_2091;

				BgL_iz00_2156 = ((long) 0);
				{	/* Unsafe/bignumber.scm 1005 */
					obj_t BgL_g1064z00_2158;

					if (
						((BgL_iz00_2156 + ((long) 3)) <=
							STRING_LENGTH(string_to_bstring(BgL_strz00_94))))
						{	/* Unsafe/bignumber.scm 1005 */
							if (
								(STRING_REF(string_to_bstring(BgL_strz00_94),
										BgL_iz00_2156) == ((unsigned char) '#')))
								{	/* Unsafe/bignumber.scm 1006 */
									BgL_g1064z00_2158 =
										BGl_assvz00zz__r4_pairs_and_lists_6_3z00(BCHAR(tolower
											(STRING_REF(string_to_bstring(BgL_strz00_94),
													(BgL_iz00_2156 + ((long) 1))))),
										BGl_list2509z00zz__bignumz00);
								}
							else
								{	/* Unsafe/bignumber.scm 1006 */
									BgL_g1064z00_2158 = BFALSE;
								}
						}
					else
						{	/* Unsafe/bignumber.scm 1005 */
							BgL_g1064z00_2158 = BFALSE;
						}
					if (CBOOL(BgL_g1064z00_2158))
						{	/* Unsafe/bignumber.scm 1014 */
							obj_t BgL_arg1879z00_2161;
							long BgL_arg1880z00_2162;

							BgL_arg1879z00_2161 = CDR(((obj_t) BgL_g1064z00_2158));
							BgL_arg1880z00_2162 = (BgL_iz00_2156 + ((long) 2));
							BgL_radz00_2140 = BgL_arg1879z00_2161;
							BgL_iz00_2141 = BgL_arg1880z00_2162;
						BgL_zc3z04anonymousza31863ze3z87_2142:
							{	/* Unsafe/bignumber.scm 998 */
								bool_t BgL_test2807z00_7727;

								if (
									((BgL_iz00_2141 + ((long) 2)) <=
										STRING_LENGTH(string_to_bstring(BgL_strz00_94))))
									{	/* Unsafe/bignumber.scm 998 */
										BgL_test2807z00_7727 =
											CBOOL(BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BCHAR
												(STRING_REF(string_to_bstring(BgL_strz00_94),
														BgL_iz00_2141)), BGl_list2508z00zz__bignumz00));
									}
								else
									{	/* Unsafe/bignumber.scm 998 */
										BgL_test2807z00_7727 = ((bool_t) 0);
									}
								if (BgL_test2807z00_7727)
									{	/* Unsafe/bignumber.scm 1000 */
										unsigned char BgL_arg1873z00_2150;
										long BgL_arg1874z00_2151;

										BgL_arg1873z00_2150 =
											STRING_REF(string_to_bstring(BgL_strz00_94),
											BgL_iz00_2141);
										BgL_arg1874z00_2151 = (BgL_iz00_2141 + ((long) 1));
										BgL_radz00_2115 = BgL_radz00_2140;
										BgL_signz00_2116 = BCHAR(BgL_arg1873z00_2150);
										BgL_iz00_2117 = BgL_arg1874z00_2151;
									BgL_zc3z04anonymousza31846ze3z87_2118:
										if (
											((BgL_iz00_2117 + ((long) 1)) <=
												STRING_LENGTH(string_to_bstring(BgL_strz00_94))))
											{
												long BgL_iz00_2124;
												obj_t BgL_digitsz00_2125;

												BgL_iz00_2124 = BgL_iz00_2117;
												BgL_digitsz00_2125 = BNIL;
											BgL_zc3z04anonymousza31850ze3z87_2126:
												if (
													(BgL_iz00_2124 <
														STRING_LENGTH(string_to_bstring(BgL_strz00_94))))
													{	/* Unsafe/bignumber.scm 987 */
														obj_t BgL_dz00_2129;

														BgL_cz00_2090 =
															STRING_REF(string_to_bstring(BgL_strz00_94),
															BgL_iz00_2124);
														BgL_radz00_2091 = BgL_radz00_2115;
														{	/* Unsafe/bignumber.scm 974 */
															bool_t BgL_test2811z00_7750;

															if ((BgL_cz00_2090 >= ((unsigned char) '0')))
																{	/* Unsafe/bignumber.scm 974 */
																	BgL_test2811z00_7750 =
																		(BgL_cz00_2090 <= ((unsigned char) '9'));
																}
															else
																{	/* Unsafe/bignumber.scm 974 */
																	BgL_test2811z00_7750 = ((bool_t) 0);
																}
															if (BgL_test2811z00_7750)
																{	/* Unsafe/bignumber.scm 975 */
																	long BgL_arg1832z00_2096;

																	BgL_arg1832z00_2096 =
																		((BgL_cz00_2090) - ((long) 48));
																	if (
																		(BgL_arg1832z00_2096 <
																			(long) CINT(BgL_radz00_2091)))
																		{	/* Unsafe/bignumber.scm 970 */
																			BgL_dz00_2129 = BINT(BgL_arg1832z00_2096);
																		}
																	else
																		{	/* Unsafe/bignumber.scm 970 */
																			BgL_dz00_2129 = BFALSE;
																		}
																}
															else
																{	/* Unsafe/bignumber.scm 976 */
																	bool_t BgL_test2814z00_7760;

																	if ((BgL_cz00_2090 >= ((unsigned char) 'a')))
																		{	/* Unsafe/bignumber.scm 976 */
																			BgL_test2814z00_7760 =
																				(BgL_cz00_2090 <=
																				((unsigned char) 'z'));
																		}
																	else
																		{	/* Unsafe/bignumber.scm 976 */
																			BgL_test2814z00_7760 = ((bool_t) 0);
																		}
																	if (BgL_test2814z00_7760)
																		{	/* Unsafe/bignumber.scm 977 */
																			long BgL_arg1836z00_2100;

																			BgL_arg1836z00_2100 =
																				(((long) 10) +
																				((BgL_cz00_2090) - ((long) 97)));
																			if (
																				(BgL_arg1836z00_2100 <
																					(long) CINT(BgL_radz00_2091)))
																				{	/* Unsafe/bignumber.scm 970 */
																					BgL_dz00_2129 =
																						BINT(BgL_arg1836z00_2100);
																				}
																			else
																				{	/* Unsafe/bignumber.scm 970 */
																					BgL_dz00_2129 = BFALSE;
																				}
																		}
																	else
																		{	/* Unsafe/bignumber.scm 978 */
																			bool_t BgL_test2817z00_7771;

																			if (
																				(BgL_cz00_2090 >=
																					((unsigned char) 'A')))
																				{	/* Unsafe/bignumber.scm 978 */
																					BgL_test2817z00_7771 =
																						(BgL_cz00_2090 <=
																						((unsigned char) 'Z'));
																				}
																			else
																				{	/* Unsafe/bignumber.scm 978 */
																					BgL_test2817z00_7771 = ((bool_t) 0);
																				}
																			if (BgL_test2817z00_7771)
																				{	/* Unsafe/bignumber.scm 979 */
																					long BgL_arg1841z00_2105;

																					BgL_arg1841z00_2105 =
																						(((long) 10) +
																						((BgL_cz00_2090) - ((long) 65)));
																					if (
																						(BgL_arg1841z00_2105 <
																							(long) CINT(BgL_radz00_2091)))
																						{	/* Unsafe/bignumber.scm 970 */
																							BgL_dz00_2129 =
																								BINT(BgL_arg1841z00_2105);
																						}
																					else
																						{	/* Unsafe/bignumber.scm 970 */
																							BgL_dz00_2129 = BFALSE;
																						}
																				}
																			else
																				{	/* Unsafe/bignumber.scm 978 */
																					BgL_dz00_2129 = BFALSE;
																				}
																		}
																}
														}
														if (CBOOL(BgL_dz00_2129))
															{	/* Unsafe/bignumber.scm 989 */
																long BgL_arg1854z00_2130;
																obj_t BgL_arg1856z00_2131;

																BgL_arg1854z00_2130 =
																	(BgL_iz00_2124 + ((long) 1));
																BgL_arg1856z00_2131 =
																	MAKE_YOUNG_PAIR(BgL_dz00_2129,
																	BgL_digitsz00_2125);
																{
																	obj_t BgL_digitsz00_7789;
																	long BgL_iz00_7788;

																	BgL_iz00_7788 = BgL_arg1854z00_2130;
																	BgL_digitsz00_7789 = BgL_arg1856z00_2131;
																	BgL_digitsz00_2125 = BgL_digitsz00_7789;
																	BgL_iz00_2124 = BgL_iz00_7788;
																	goto BgL_zc3z04anonymousza31850ze3z87_2126;
																}
															}
														else
															{	/* Unsafe/bignumber.scm 988 */
																return
																	BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
																	(((long) 0));
													}}
												else
													{	/* Unsafe/bignumber.scm 991 */
														obj_t BgL_nz00_2133;

														BgL_nz00_2133 =
															BGl_fixnumzd2listzd2ze3bignumze3zz__bignumz00
															(BgL_digitsz00_2125,
															((long) CINT(BgL_radz00_2115) - ((long) 1)));
														{	/* Unsafe/bignumber.scm 992 */
															bool_t BgL_test2821z00_7794;

															if (CBOOL(BgL_signz00_2116))
																{	/* Unsafe/bignumber.scm 992 */
																	BgL_test2821z00_7794 =
																		(CCHAR(BgL_signz00_2116) ==
																		((unsigned char) '-'));
																}
															else
																{	/* Unsafe/bignumber.scm 992 */
																	BgL_test2821z00_7794 = ((bool_t) 0);
																}
															if (BgL_test2821z00_7794)
																{	/* Unsafe/bignumber.scm 992 */
																	return
																		bgl_bignum_sub
																		(BGl_bignumzd2za7eroz75zz__bignumz00,
																		BgL_nz00_2133);
																}
															else
																{	/* Unsafe/bignumber.scm 992 */
																	return BgL_nz00_2133;
																}
														}
													}
											}
										else
											{	/* Unsafe/bignumber.scm 984 */
												return
													BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00((
														(long) 0));
									}}
								else
									{
										long BgL_iz00_7804;
										obj_t BgL_signz00_7803;
										obj_t BgL_radz00_7802;

										BgL_radz00_7802 = BgL_radz00_2140;
										BgL_signz00_7803 = BFALSE;
										BgL_iz00_7804 = BgL_iz00_2141;
										BgL_iz00_2117 = BgL_iz00_7804;
										BgL_signz00_2116 = BgL_signz00_7803;
										BgL_radz00_2115 = BgL_radz00_7802;
										goto BgL_zc3z04anonymousza31846ze3z87_2118;
									}
							}
						}
					else
						{
							long BgL_iz00_7807;
							obj_t BgL_radz00_7805;

							BgL_radz00_7805 = BINT(BgL_radixz00_95);
							BgL_iz00_7807 = BgL_iz00_2156;
							BgL_iz00_2141 = BgL_iz00_7807;
							BgL_radz00_2140 = BgL_radz00_7805;
							goto BgL_zc3z04anonymousza31863ze3z87_2142;
						}
				}
			}
		}

	}



/* &$$string->bignum */
	obj_t BGl_z62z42z42stringzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5555,
		obj_t BgL_strz00_5556, obj_t BgL_radixz00_5557)
	{
		{	/* Unsafe/bignumber.scm 965 */
			{	/* Unsafe/bignumber.scm 970 */
				int BgL_auxz00_7817;
				char *BgL_auxz00_7808;

				{	/* Unsafe/bignumber.scm 970 */
					obj_t BgL_tmpz00_7818;

					if (INTEGERP(BgL_radixz00_5557))
						{	/* Unsafe/bignumber.scm 970 */
							BgL_tmpz00_7818 = BgL_radixz00_5557;
						}
					else
						{
							obj_t BgL_auxz00_7821;

							BgL_auxz00_7821 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 31576)), BGl_string2514z00zz__bignumz00,
								BGl_string2475z00zz__bignumz00, BgL_radixz00_5557);
							FAILURE(BgL_auxz00_7821, BFALSE, BFALSE);
						}
					BgL_auxz00_7817 = CINT(BgL_tmpz00_7818);
				}
				{	/* Unsafe/bignumber.scm 970 */
					obj_t BgL_tmpz00_7809;

					if (STRINGP(BgL_strz00_5556))
						{	/* Unsafe/bignumber.scm 970 */
							BgL_tmpz00_7809 = BgL_strz00_5556;
						}
					else
						{
							obj_t BgL_auxz00_7812;

							BgL_auxz00_7812 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 31576)), BGl_string2514z00zz__bignumz00,
								BGl_string2474z00zz__bignumz00, BgL_strz00_5556);
							FAILURE(BgL_auxz00_7812, BFALSE, BFALSE);
						}
					BgL_auxz00_7808 = BSTRING_TO_STRING(BgL_tmpz00_7809);
				}
				return bgl_string_to_bignum(BgL_auxz00_7808, BgL_auxz00_7817);
			}
		}

	}



/* bignum->fixnum-list */
	obj_t BGl_bignumzd2ze3fixnumzd2listze3zz__bignumz00(obj_t BgL_xz00_96,
		long BgL_radixzd2minuszd21z00_97)
	{
		{	/* Unsafe/bignumber.scm 1023 */
			{	/* Unsafe/bignumber.scm 1024 */
				obj_t BgL_bigzd2radixzd2_2175;

				{	/* Unsafe/bignumber.scm 1026 */
					obj_t BgL_arg1900z00_2204;
					obj_t BgL_arg1901z00_2205;

					BgL_arg1900z00_2204 = bgl_long_to_bignum(BgL_radixzd2minuszd21z00_97);
					{	/* Unsafe/bignumber.scm 1027 */
						obj_t BgL_res2346z00_4934;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2825z00_7828;

							if ((((long) 1) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2825z00_7828 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2825z00_7828 = (((long) 16) < ((long) 1));
								}
							if (BgL_test2825z00_7828)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2346z00_4934 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											1));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2346z00_4934 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 1) + ((long) 16)));
						}}
						BgL_arg1901z00_2205 = BgL_res2346z00_4934;
					}
					{	/* Unsafe/bignumber.scm 1025 */
						obj_t BgL_res2347z00_4951;

						{	/* Unsafe/bignumber.scm 607 */
							long BgL_arg1513z00_4937;
							long BgL_arg1514z00_4938;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1228z00_4940;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1235z00_4941;

									BgL_arg1235z00_4941 = BGL_BIGNUM_U16VECT(BgL_arg1900z00_2204);
									BgL_arg1228z00_4940 =
										BGL_U16VREF(BgL_arg1235z00_4941, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2271z00_4943;

									BgL_arg2271z00_4943 = (long) (BgL_arg1228z00_4940);
									BgL_arg1513z00_4937 = (long) (BgL_arg2271z00_4943);
							}}
							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1228z00_4946;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1235z00_4947;

									BgL_arg1235z00_4947 = BGL_BIGNUM_U16VECT(BgL_arg1901z00_2205);
									BgL_arg1228z00_4946 =
										BGL_U16VREF(BgL_arg1235z00_4947, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2271z00_4949;

									BgL_arg2271z00_4949 = (long) (BgL_arg1228z00_4946);
									BgL_arg1514z00_4938 = (long) (BgL_arg2271z00_4949);
							}}
							BgL_res2347z00_4951 =
								BGl_bignumzd2sum2zd2zz__bignumz00(BgL_arg1900z00_2204,
								BgL_arg1901z00_2205, BgL_arg1513z00_4937, BgL_arg1514z00_4938);
						}
						BgL_bigzd2radixzd2_2175 = BgL_res2347z00_4951;
				}}
				{	/* Unsafe/bignumber.scm 1024 */
					obj_t BgL_squarezd2serieszd2_2176;

					{	/* Unsafe/bignumber.scm 1029 */
						obj_t BgL_g1066z00_2194;

						{	/* Unsafe/bignumber.scm 1030 */
							obj_t BgL_list1899z00_2203;

							BgL_list1899z00_2203 =
								MAKE_YOUNG_PAIR(BgL_bigzd2radixzd2_2175, BNIL);
							BgL_g1066z00_2194 = BgL_list1899z00_2203;
						}
						{
							obj_t BgL_squarez00_4960;
							obj_t BgL_squarezd2listzd2_4961;

							BgL_squarez00_4960 = BgL_bigzd2radixzd2_2175;
							BgL_squarezd2listzd2_4961 = BgL_g1066z00_2194;
						BgL_loopz00_4959:
							{	/* Unsafe/bignumber.scm 1031 */
								obj_t BgL_newzd2squarezd2_4965;

								BgL_newzd2squarezd2_4965 =
									bgl_bignum_mul(BgL_squarez00_4960, BgL_squarez00_4960);
								if (BGl_z42zc3bxz81zz__bignumz00(BgL_xz00_96,
										BgL_newzd2squarezd2_4965))
									{	/* Unsafe/bignumber.scm 1033 */
										BgL_squarezd2serieszd2_2176 = BgL_squarezd2listzd2_4961;
									}
								else
									{	/* Unsafe/bignumber.scm 1036 */
										obj_t BgL_arg1898z00_4967;

										BgL_arg1898z00_4967 =
											MAKE_YOUNG_PAIR(BgL_newzd2squarezd2_4965,
											BgL_squarezd2listzd2_4961);
										{
											obj_t BgL_squarezd2listzd2_7850;
											obj_t BgL_squarez00_7849;

											BgL_squarez00_7849 = BgL_newzd2squarezd2_4965;
											BgL_squarezd2listzd2_7850 = BgL_arg1898z00_4967;
											BgL_squarezd2listzd2_4961 = BgL_squarezd2listzd2_7850;
											BgL_squarez00_4960 = BgL_squarez00_7849;
											goto BgL_loopz00_4959;
										}
									}
							}
						}
					}
					{	/* Unsafe/bignumber.scm 1028 */

						return
							BGl_convertze70ze7zz__bignumz00(BgL_xz00_96,
							BgL_squarezd2serieszd2_2176, BNIL);
					}
				}
			}
		}

	}



/* convert~0 */
	obj_t BGl_convertze70ze7zz__bignumz00(obj_t BgL_nz00_2178,
		obj_t BgL_squarezd2serieszd2_2179, obj_t BgL_tailz00_2180)
	{
		{	/* Unsafe/bignumber.scm 1053 */
		BGl_convertze70ze7zz__bignumz00:
			if (PAIRP(BgL_squarezd2serieszd2_2179))
				{	/* Unsafe/bignumber.scm 1040 */
					obj_t BgL_qrz00_2183;

					BgL_qrz00_2183 =
						BGl_bignumzd2divzd2zz__bignumz00(BgL_nz00_2178,
						CAR(BgL_squarezd2serieszd2_2179));
					{	/* Unsafe/bignumber.scm 1040 */
						obj_t BgL_qz00_2184;

						BgL_qz00_2184 = CAR(((obj_t) BgL_qrz00_2183));
						{	/* Unsafe/bignumber.scm 1041 */
							obj_t BgL_rz00_2185;

							BgL_rz00_2185 = CDR(((obj_t) BgL_qrz00_2183));
							{	/* Unsafe/bignumber.scm 1042 */
								obj_t BgL_newzd2squarezd2seriesz00_2186;

								BgL_newzd2squarezd2seriesz00_2186 =
									CDR(BgL_squarezd2serieszd2_2179);
								{	/* Unsafe/bignumber.scm 1043 */

									{
										obj_t BgL_tailz00_7863;
										obj_t BgL_squarezd2serieszd2_7862;
										obj_t BgL_nz00_7861;

										BgL_nz00_7861 = BgL_rz00_2185;
										BgL_squarezd2serieszd2_7862 =
											BgL_newzd2squarezd2seriesz00_2186;
										BgL_tailz00_7863 =
											BGl_convertze70ze7zz__bignumz00(BgL_qz00_2184,
											BgL_newzd2squarezd2seriesz00_2186, BgL_tailz00_2180);
										BgL_tailz00_2180 = BgL_tailz00_7863;
										BgL_squarezd2serieszd2_2179 = BgL_squarezd2serieszd2_7862;
										BgL_nz00_2178 = BgL_nz00_7861;
										goto BGl_convertze70ze7zz__bignumz00;
									}
								}
							}
						}
					}
				}
			else
				{	/* Unsafe/bignumber.scm 1049 */
					long BgL_dz00_2189;

					BgL_dz00_2189 = bgl_bignum_to_long(((obj_t) BgL_nz00_2178));
					{	/* Unsafe/bignumber.scm 1050 */
						bool_t BgL_test2829z00_7867;

						if (NULLP(BgL_tailz00_2180))
							{	/* Unsafe/bignumber.scm 1050 */
								BgL_test2829z00_7867 = (BgL_dz00_2189 == ((long) 0));
							}
						else
							{	/* Unsafe/bignumber.scm 1050 */
								BgL_test2829z00_7867 = ((bool_t) 0);
							}
						if (BgL_test2829z00_7867)
							{	/* Unsafe/bignumber.scm 1050 */
								return BgL_tailz00_2180;
							}
						else
							{	/* Unsafe/bignumber.scm 1050 */
								return MAKE_YOUNG_PAIR(BINT(BgL_dz00_2189), BgL_tailz00_2180);
							}
					}
				}
		}

	}



/* fixnum-list->bignum */
	obj_t BGl_fixnumzd2listzd2ze3bignumze3zz__bignumz00(obj_t
		BgL_digitzd2listzd2_98, long BgL_radixzd2minuszd21z00_99)
	{
		{	/* Unsafe/bignumber.scm 1057 */
			{	/* Unsafe/bignumber.scm 1061 */
				obj_t BgL_bigzd2radixzd2_2206;

				{	/* Unsafe/bignumber.scm 1063 */
					obj_t BgL_arg1912z00_2219;
					obj_t BgL_arg1914z00_2220;

					BgL_arg1912z00_2219 = bgl_long_to_bignum(BgL_radixzd2minuszd21z00_99);
					{	/* Unsafe/bignumber.scm 1064 */
						obj_t BgL_res2349z00_4982;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2831z00_7874;

							if ((((long) 1) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2831z00_7874 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2831z00_7874 = (((long) 16) < ((long) 1));
								}
							if (BgL_test2831z00_7874)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2349z00_4982 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											1));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2349z00_4982 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 1) + ((long) 16)));
						}}
						BgL_arg1914z00_2220 = BgL_res2349z00_4982;
					}
					{	/* Unsafe/bignumber.scm 1062 */
						obj_t BgL_res2350z00_4999;

						{	/* Unsafe/bignumber.scm 607 */
							long BgL_arg1513z00_4985;
							long BgL_arg1514z00_4986;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1228z00_4988;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1235z00_4989;

									BgL_arg1235z00_4989 = BGL_BIGNUM_U16VECT(BgL_arg1912z00_2219);
									BgL_arg1228z00_4988 =
										BGL_U16VREF(BgL_arg1235z00_4989, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2271z00_4991;

									BgL_arg2271z00_4991 = (long) (BgL_arg1228z00_4988);
									BgL_arg1513z00_4985 = (long) (BgL_arg2271z00_4991);
							}}
							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1228z00_4994;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1235z00_4995;

									BgL_arg1235z00_4995 = BGL_BIGNUM_U16VECT(BgL_arg1914z00_2220);
									BgL_arg1228z00_4994 =
										BGL_U16VREF(BgL_arg1235z00_4995, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2271z00_4997;

									BgL_arg2271z00_4997 = (long) (BgL_arg1228z00_4994);
									BgL_arg1514z00_4986 = (long) (BgL_arg2271z00_4997);
							}}
							BgL_res2350z00_4999 =
								BGl_bignumzd2sum2zd2zz__bignumz00(BgL_arg1912z00_2219,
								BgL_arg1914z00_2220, BgL_arg1513z00_4985, BgL_arg1514z00_4986);
						}
						BgL_bigzd2radixzd2_2206 = BgL_res2350z00_4999;
				}}
				{	/* Unsafe/bignumber.scm 1065 */
					obj_t BgL_g1067z00_2207;

					BgL_g1067z00_2207 = bgl_reverse(BgL_digitzd2listzd2_98);
					{
						obj_t BgL_nz00_5039;
						obj_t BgL_lstz00_5040;

						BgL_nz00_5039 = BGl_bignumzd2za7eroz75zz__bignumz00;
						BgL_lstz00_5040 = BgL_g1067z00_2207;
					BgL_loopz00_5038:
						if (PAIRP(BgL_lstz00_5040))
							{	/* Unsafe/bignumber.scm 1067 */
								obj_t BgL_arg1904z00_5048;
								obj_t BgL_arg1906z00_5049;

								{	/* Unsafe/bignumber.scm 1067 */
									obj_t BgL_arg1907z00_5050;
									obj_t BgL_arg1908z00_5051;

									BgL_arg1907z00_5050 =
										bgl_bignum_mul(BgL_nz00_5039, BgL_bigzd2radixzd2_2206);
									{	/* Unsafe/bignumber.scm 1068 */
										obj_t BgL_arg1910z00_5052;

										BgL_arg1910z00_5052 = CAR(BgL_lstz00_5040);
										BgL_arg1908z00_5051 =
											bgl_long_to_bignum((long) CINT(BgL_arg1910z00_5052));
									}
									BgL_arg1904z00_5048 =
										BGl_bignumzd2sum2zd2zz__bignumz00(BgL_arg1907z00_5050,
										BgL_arg1908z00_5051,
										BGl_bignumzd2signzd2zz__bignumz00(BgL_arg1907z00_5050),
										BGl_bignumzd2signzd2zz__bignumz00(BgL_arg1908z00_5051));
								}
								BgL_arg1906z00_5049 = CDR(BgL_lstz00_5040);
								{
									obj_t BgL_lstz00_7902;
									obj_t BgL_nz00_7901;

									BgL_nz00_7901 = BgL_arg1904z00_5048;
									BgL_lstz00_7902 = BgL_arg1906z00_5049;
									BgL_lstz00_5040 = BgL_lstz00_7902;
									BgL_nz00_5039 = BgL_nz00_7901;
									goto BgL_loopz00_5038;
								}
							}
						else
							{	/* Unsafe/bignumber.scm 1066 */
								return BgL_nz00_5039;
							}
					}
				}
			}
		}

	}



/* $$bignum->fixnum */
	BGL_EXPORTED_DEF long bgl_bignum_to_long(obj_t BgL_xz00_100)
	{
		{	/* Unsafe/bignumber.scm 1072 */
			{	/* Unsafe/bignumber.scm 1073 */
				long BgL_lenxzd2minuszd21z00_2221;

				{	/* Unsafe/bignumber.scm 1073 */
					long BgL_arg1933z00_2245;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_5061;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_5062;

							BgL_arg1226z00_5062 = BGL_BIGNUM_U16VECT(BgL_xz00_100);
							BgL_arg1224z00_5061 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_5062);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_5064;

							BgL_xz00_5064 = (uint16_t) (BgL_arg1224z00_5061);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_5065;

								BgL_arg2271z00_5065 = (long) (BgL_xz00_5064);
								BgL_arg1933z00_2245 = (long) (BgL_arg2271z00_5065);
					}}}
					BgL_lenxzd2minuszd21z00_2221 = (BgL_arg1933z00_2245 - ((long) 1));
				}
				{
					long BgL_nz00_2223;
					long BgL_iz00_2224;

					{	/* Unsafe/bignumber.scm 1074 */
						obj_t BgL_tmpz00_7909;

						BgL_nz00_2223 = ((long) 0);
						BgL_iz00_2224 = BgL_lenxzd2minuszd21z00_2221;
					BgL_zc3z04anonymousza31915ze3z87_2225:
						if ((((long) 0) < BgL_iz00_2224))
							{	/* Unsafe/bignumber.scm 1076 */
								bool_t BgL_test2835z00_7912;

								{	/* Unsafe/bignumber.scm 1076 */
									long BgL_arg1928z00_2239;

									BgL_arg1928z00_2239 = (((long) -536870912) / ((long) 16384));
									BgL_test2835z00_7912 = (BgL_nz00_2223 < BgL_arg1928z00_2239);
								}
								if (BgL_test2835z00_7912)
									{	/* Unsafe/bignumber.scm 1076 */
										BgL_tmpz00_7909 = BFALSE;
									}
								else
									{	/* Unsafe/bignumber.scm 1078 */
										long BgL_mz00_2229;
										long BgL_dz00_2230;

										BgL_mz00_2229 = (BgL_nz00_2223 * ((long) 16384));
										{	/* Unsafe/bignumber.scm 1079 */
											int BgL_iz00_5074;

											BgL_iz00_5074 = (int) (BgL_iz00_2224);
											{	/* Unsafe/bignumber.scm 267 */
												uint16_t BgL_arg1241z00_5075;

												{	/* Unsafe/bignumber.scm 267 */
													obj_t BgL_arg1242z00_5076;

													BgL_arg1242z00_5076 =
														BGL_BIGNUM_U16VECT(BgL_xz00_100);
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_tmpz00_7918;

														BgL_tmpz00_7918 = (long) (BgL_iz00_5074);
														BgL_arg1241z00_5075 =
															BGL_U16VREF(BgL_arg1242z00_5076, BgL_tmpz00_7918);
												}}
												{	/* Unsafe/bignumber.scm 267 */
													long BgL_arg2271z00_5078;

													BgL_arg2271z00_5078 = (long) (BgL_arg1241z00_5075);
													BgL_dz00_2230 = (long) (BgL_arg2271z00_5078);
										}}}
										if ((BgL_mz00_2229 < (((long) -536870912) + BgL_dz00_2230)))
											{	/* Unsafe/bignumber.scm 1080 */
												BgL_tmpz00_7909 = BFALSE;
											}
										else
											{
												long BgL_iz00_7928;
												long BgL_nz00_7926;

												BgL_nz00_7926 = (BgL_mz00_2229 - BgL_dz00_2230);
												BgL_iz00_7928 = (BgL_iz00_2224 - ((long) 1));
												BgL_iz00_2224 = BgL_iz00_7928;
												BgL_nz00_2223 = BgL_nz00_7926;
												goto BgL_zc3z04anonymousza31915ze3z87_2225;
											}
									}
							}
						else
							{	/* Unsafe/bignumber.scm 1084 */
								bool_t BgL_test2837z00_7930;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_5088;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_5090;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_5091;

											BgL_arg1235z00_5091 = BGL_BIGNUM_U16VECT(BgL_xz00_100);
											BgL_arg1228z00_5090 =
												BGL_U16VREF(BgL_arg1235z00_5091, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_5093;

											BgL_arg2271z00_5093 = (long) (BgL_arg1228z00_5090);
											BgL_arg1427z00_5088 = (long) (BgL_arg2271z00_5093);
									}}
									BgL_test2837z00_7930 = (BgL_arg1427z00_5088 == ((long) 0));
								}
								if (BgL_test2837z00_7930)
									{	/* Unsafe/bignumber.scm 1084 */
										BgL_tmpz00_7909 = BINT(BgL_nz00_2223);
									}
								else
									{	/* Unsafe/bignumber.scm 1084 */
										if ((BgL_nz00_2223 == ((long) -536870912)))
											{	/* Unsafe/bignumber.scm 1086 */
												BgL_tmpz00_7909 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1086 */
												BgL_tmpz00_7909 = BINT((((long) 0) - BgL_nz00_2223));
							}}}
						return (long) CINT(BgL_tmpz00_7909);
		}}}}

	}



/* &$$bignum->fixnum */
	obj_t BGl_z62z42z42bignumzd2ze3fixnumz53zz__bignumz00(obj_t BgL_envz00_5558,
		obj_t BgL_xz00_5559)
	{
		{	/* Unsafe/bignumber.scm 1072 */
			{	/* Unsafe/bignumber.scm 1073 */
				long BgL_tmpz00_7942;

				{	/* Unsafe/bignumber.scm 1073 */
					obj_t BgL_auxz00_7943;

					if (BIGNUMP(BgL_xz00_5559))
						{	/* Unsafe/bignumber.scm 1073 */
							BgL_auxz00_7943 = BgL_xz00_5559;
						}
					else
						{
							obj_t BgL_auxz00_7946;

							BgL_auxz00_7946 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 34701)), BGl_string2515z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5559);
							FAILURE(BgL_auxz00_7946, BFALSE, BFALSE);
						}
					BgL_tmpz00_7942 = bgl_bignum_to_long(BgL_auxz00_7943);
				}
				return BINT(BgL_tmpz00_7942);
			}
		}

	}



/* $$bignum->elong */
	BGL_EXPORTED_DEF long bgl_bignum_to_elong(obj_t BgL_xz00_101)
	{
		{	/* Unsafe/bignumber.scm 1091 */
			{	/* Unsafe/bignumber.scm 1092 */
				long BgL_lenxzd2minuszd21z00_2246;

				{	/* Unsafe/bignumber.scm 1092 */
					long BgL_arg1952z00_2271;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_5100;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_5101;

							BgL_arg1226z00_5101 = BGL_BIGNUM_U16VECT(BgL_xz00_101);
							BgL_arg1224z00_5100 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_5101);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_5103;

							BgL_xz00_5103 = (uint16_t) (BgL_arg1224z00_5100);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_5104;

								BgL_arg2271z00_5104 = (long) (BgL_xz00_5103);
								BgL_arg1952z00_2271 = (long) (BgL_arg2271z00_5104);
					}}}
					BgL_lenxzd2minuszd21z00_2246 = (BgL_arg1952z00_2271 - ((long) 1));
				}
				{
					long BgL_nz00_2248;
					long BgL_iz00_2249;

					{	/* Unsafe/bignumber.scm 1093 */
						obj_t BgL_tmpz00_7958;

						BgL_nz00_2248 = ((long) 0);
						BgL_iz00_2249 = BgL_lenxzd2minuszd21z00_2246;
					BgL_zc3z04anonymousza31934ze3z87_2250:
						if ((((long) 0) < BgL_iz00_2249))
							{	/* Unsafe/bignumber.scm 1094 */
								if (
									(BgL_nz00_2248 <
										BGl_bignumzd2minzd2elongzd2divzd2radixz00zz__bignumz00()))
									{	/* Unsafe/bignumber.scm 1095 */
										BgL_tmpz00_7958 = BFALSE;
									}
								else
									{	/* Unsafe/bignumber.scm 1097 */
										long BgL_mz00_2254;
										long BgL_dz00_2255;

										BgL_mz00_2254 =
											(BgL_nz00_2248 *
											((long) (((long) 1)) << (int) (((long) 15))));
										{	/* Unsafe/bignumber.scm 1098 */
											long BgL_arg1946z00_2264;

											{	/* Unsafe/bignumber.scm 1098 */
												int BgL_iz00_5114;

												BgL_iz00_5114 = (int) (BgL_iz00_2249);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1241z00_5115;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1242z00_5116;

														BgL_arg1242z00_5116 =
															BGL_BIGNUM_U16VECT(BgL_xz00_101);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_7970;

															BgL_tmpz00_7970 = (long) (BgL_iz00_5114);
															BgL_arg1241z00_5115 =
																BGL_U16VREF(BgL_arg1242z00_5116,
																BgL_tmpz00_7970);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2271z00_5118;

														BgL_arg2271z00_5118 = (long) (BgL_arg1241z00_5115);
														BgL_arg1946z00_2264 = (long) (BgL_arg2271z00_5118);
											}}}
											BgL_dz00_2255 = (long) (BgL_arg1946z00_2264);
										}
										if (
											(BgL_mz00_2254 <
												((((long) -2) *
														((long) (((long) 1)) <<
															(int) (((long) 30)))) + BgL_dz00_2255)))
											{	/* Unsafe/bignumber.scm 1099 */
												BgL_tmpz00_7958 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1101 */
												long BgL_arg1941z00_2259;
												long BgL_arg1942z00_2260;

												{	/* Unsafe/bignumber.scm 1101 */
													long BgL_res2354z00_5130;

													{	/* Unsafe/bignumber.scm 1101 */
														long BgL_tmpz00_7983;

														BgL_tmpz00_7983 = (BgL_mz00_2254 - BgL_dz00_2255);
														BgL_res2354z00_5130 = (long) (BgL_tmpz00_7983);
													}
													BgL_arg1941z00_2259 = BgL_res2354z00_5130;
												}
												BgL_arg1942z00_2260 = (BgL_iz00_2249 - ((long) 1));
												{
													long BgL_iz00_7988;
													long BgL_nz00_7987;

													BgL_nz00_7987 = BgL_arg1941z00_2259;
													BgL_iz00_7988 = BgL_arg1942z00_2260;
													BgL_iz00_2249 = BgL_iz00_7988;
													BgL_nz00_2248 = BgL_nz00_7987;
													goto BgL_zc3z04anonymousza31934ze3z87_2250;
												}
											}
									}
							}
						else
							{	/* Unsafe/bignumber.scm 1103 */
								bool_t BgL_test2843z00_7989;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_5133;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_5135;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_5136;

											BgL_arg1235z00_5136 = BGL_BIGNUM_U16VECT(BgL_xz00_101);
											BgL_arg1228z00_5135 =
												BGL_U16VREF(BgL_arg1235z00_5136, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_5138;

											BgL_arg2271z00_5138 = (long) (BgL_arg1228z00_5135);
											BgL_arg1427z00_5133 = (long) (BgL_arg2271z00_5138);
									}}
									BgL_test2843z00_7989 = (BgL_arg1427z00_5133 == ((long) 0));
								}
								if (BgL_test2843z00_7989)
									{	/* Unsafe/bignumber.scm 1103 */
										BgL_tmpz00_7958 = make_belong(BgL_nz00_2248);
									}
								else
									{	/* Unsafe/bignumber.scm 1103 */
										if (
											(BgL_nz00_2248 ==
												(((long) -2) *
													((long) (((long) 1)) << (int) (((long) 30))))))
											{	/* Unsafe/bignumber.scm 1105 */
												BgL_tmpz00_7958 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1106 */
												long BgL_res2355z00_5149;

												{	/* Unsafe/bignumber.scm 1106 */
													long BgL_tmpz00_8002;

													BgL_tmpz00_8002 = (((long) 0) - BgL_nz00_2248);
													BgL_res2355z00_5149 = (long) (BgL_tmpz00_8002);
												}
												BgL_tmpz00_7958 = make_belong(BgL_res2355z00_5149);
							}}}
						return BELONG_TO_LONG(BgL_tmpz00_7958);
					}
				}
			}
		}

	}



/* &$$bignum->elong */
	obj_t BGl_z62z42z42bignumzd2ze3elongz53zz__bignumz00(obj_t BgL_envz00_5560,
		obj_t BgL_xz00_5561)
	{
		{	/* Unsafe/bignumber.scm 1091 */
			{	/* Unsafe/bignumber.scm 1092 */
				long BgL_tmpz00_8007;

				{	/* Unsafe/bignumber.scm 1092 */
					obj_t BgL_auxz00_8008;

					if (BIGNUMP(BgL_xz00_5561))
						{	/* Unsafe/bignumber.scm 1092 */
							BgL_auxz00_8008 = BgL_xz00_5561;
						}
					else
						{
							obj_t BgL_auxz00_8011;

							BgL_auxz00_8011 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 35211)), BGl_string2516z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5561);
							FAILURE(BgL_auxz00_8011, BFALSE, BFALSE);
						}
					BgL_tmpz00_8007 = bgl_bignum_to_elong(BgL_auxz00_8008);
				}
				return make_belong(BgL_tmpz00_8007);
			}
		}

	}



/* $$bignum->llong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T bgl_bignum_to_llong(obj_t BgL_xz00_102)
	{
		{	/* Unsafe/bignumber.scm 1110 */
			{	/* Unsafe/bignumber.scm 1111 */
				long BgL_lenxzd2minuszd21z00_2272;

				{	/* Unsafe/bignumber.scm 1111 */
					long BgL_arg1971z00_2297;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_5151;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_5152;

							BgL_arg1226z00_5152 = BGL_BIGNUM_U16VECT(BgL_xz00_102);
							BgL_arg1224z00_5151 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_5152);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_5154;

							BgL_xz00_5154 = (uint16_t) (BgL_arg1224z00_5151);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_5155;

								BgL_arg2271z00_5155 = (long) (BgL_xz00_5154);
								BgL_arg1971z00_2297 = (long) (BgL_arg2271z00_5155);
					}}}
					BgL_lenxzd2minuszd21z00_2272 = (BgL_arg1971z00_2297 - ((long) 1));
				}
				{
					BGL_LONGLONG_T BgL_nz00_2274;
					long BgL_iz00_2275;

					{	/* Unsafe/bignumber.scm 1112 */
						obj_t BgL_tmpz00_8023;

						BgL_nz00_2274 = ((BGL_LONGLONG_T) 0);
						BgL_iz00_2275 = BgL_lenxzd2minuszd21z00_2272;
					BgL_zc3z04anonymousza31953ze3z87_2276:
						if ((((long) 0) < BgL_iz00_2275))
							{	/* Unsafe/bignumber.scm 1113 */
								if (
									(BgL_nz00_2274 <
										BGl_bignumzd2minzd2llongzd2divzd2radixz00zz__bignumz00()))
									{	/* Unsafe/bignumber.scm 1114 */
										BgL_tmpz00_8023 = BFALSE;
									}
								else
									{	/* Unsafe/bignumber.scm 1116 */
										BGL_LONGLONG_T BgL_mz00_2280;
										BGL_LONGLONG_T BgL_dz00_2281;

										BgL_mz00_2280 =
											(BgL_nz00_2274 *
											(LONG_TO_LLONG(((long) 1)) << (int) (((long) 30))));
										{	/* Unsafe/bignumber.scm 1117 */
											long BgL_arg1965z00_2290;

											{	/* Unsafe/bignumber.scm 1117 */
												int BgL_iz00_5165;

												BgL_iz00_5165 = (int) (BgL_iz00_2275);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1241z00_5166;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1242z00_5167;

														BgL_arg1242z00_5167 =
															BGL_BIGNUM_U16VECT(BgL_xz00_102);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_8035;

															BgL_tmpz00_8035 = (long) (BgL_iz00_5165);
															BgL_arg1241z00_5166 =
																BGL_U16VREF(BgL_arg1242z00_5167,
																BgL_tmpz00_8035);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2271z00_5169;

														BgL_arg2271z00_5169 = (long) (BgL_arg1241z00_5166);
														BgL_arg1965z00_2290 = (long) (BgL_arg2271z00_5169);
											}}}
											BgL_dz00_2281 = LONG_TO_LLONG(BgL_arg1965z00_2290);
										}
										if (
											(BgL_mz00_2280 <
												(((-((BGL_LONGLONG_T) 2)) *
														(LONG_TO_LLONG(((long) 1)) <<
															(int) (((long) 30)))) + BgL_dz00_2281)))
											{	/* Unsafe/bignumber.scm 1118 */
												BgL_tmpz00_8023 = BFALSE;
											}
										else
											{
												long BgL_iz00_8050;
												BGL_LONGLONG_T BgL_nz00_8048;

												BgL_nz00_8048 = (BgL_mz00_2280 - BgL_dz00_2281);
												BgL_iz00_8050 = (BgL_iz00_2275 - ((long) 1));
												BgL_iz00_2275 = BgL_iz00_8050;
												BgL_nz00_2274 = BgL_nz00_8048;
												goto BgL_zc3z04anonymousza31953ze3z87_2276;
											}
									}
							}
						else
							{	/* Unsafe/bignumber.scm 1122 */
								bool_t BgL_test2849z00_8052;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_5183;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_5185;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_5186;

											BgL_arg1235z00_5186 = BGL_BIGNUM_U16VECT(BgL_xz00_102);
											BgL_arg1228z00_5185 =
												BGL_U16VREF(BgL_arg1235z00_5186, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_5188;

											BgL_arg2271z00_5188 = (long) (BgL_arg1228z00_5185);
											BgL_arg1427z00_5183 = (long) (BgL_arg2271z00_5188);
									}}
									BgL_test2849z00_8052 = (BgL_arg1427z00_5183 == ((long) 0));
								}
								if (BgL_test2849z00_8052)
									{	/* Unsafe/bignumber.scm 1122 */
										BgL_tmpz00_8023 = make_bllong(BgL_nz00_2274);
									}
								else
									{	/* Unsafe/bignumber.scm 1122 */
										if (
											(BgL_nz00_2274 ==
												((-((BGL_LONGLONG_T) 2)) *
													(LONG_TO_LLONG(((long) 1)) << (int) (((long) 30))))))
											{	/* Unsafe/bignumber.scm 1124 */
												BgL_tmpz00_8023 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1124 */
												BgL_tmpz00_8023 =
													make_bllong((((BGL_LONGLONG_T) 0) - BgL_nz00_2274));
											}
									}
							}
						return BLLONG_TO_LLONG(BgL_tmpz00_8023);
					}
				}
			}
		}

	}



/* &$$bignum->llong */
	obj_t BGl_z62z42z42bignumzd2ze3llongz53zz__bignumz00(obj_t BgL_envz00_5562,
		obj_t BgL_xz00_5563)
	{
		{	/* Unsafe/bignumber.scm 1110 */
			{	/* Unsafe/bignumber.scm 1111 */
				BGL_LONGLONG_T BgL_tmpz00_8068;

				{	/* Unsafe/bignumber.scm 1111 */
					obj_t BgL_auxz00_8069;

					if (BIGNUMP(BgL_xz00_5563))
						{	/* Unsafe/bignumber.scm 1111 */
							BgL_auxz00_8069 = BgL_xz00_5563;
						}
					else
						{
							obj_t BgL_auxz00_8072;

							BgL_auxz00_8072 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 35771)), BGl_string2517z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5563);
							FAILURE(BgL_auxz00_8072, BFALSE, BFALSE);
						}
					BgL_tmpz00_8068 = bgl_bignum_to_llong(BgL_auxz00_8069);
				}
				return make_bllong(BgL_tmpz00_8068);
			}
		}

	}



/* $$bignum->int64 */
	BGL_EXPORTED_DEF int64_t bgl_bignum_to_int64(obj_t BgL_xz00_103)
	{
		{	/* Unsafe/bignumber.scm 1129 */
			{	/* Unsafe/bignumber.scm 1130 */
				long BgL_lenxzd2minuszd21z00_2298;

				{	/* Unsafe/bignumber.scm 1130 */
					long BgL_arg1990z00_2323;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1224z00_5200;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1226z00_5201;

							BgL_arg1226z00_5201 = BGL_BIGNUM_U16VECT(BgL_xz00_103);
							BgL_arg1224z00_5200 = BGL_HVECTOR_LENGTH(BgL_arg1226z00_5201);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_5203;

							BgL_xz00_5203 = (uint16_t) (BgL_arg1224z00_5200);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2271z00_5204;

								BgL_arg2271z00_5204 = (long) (BgL_xz00_5203);
								BgL_arg1990z00_2323 = (long) (BgL_arg2271z00_5204);
					}}}
					BgL_lenxzd2minuszd21z00_2298 = (BgL_arg1990z00_2323 - ((long) 1));
				}
				{
					int64_t BgL_nz00_2300;
					long BgL_iz00_2301;

					{	/* Unsafe/bignumber.scm 1131 */
						obj_t BgL_tmpz00_8084;

						BgL_nz00_2300 = (int64_t) (0);
						BgL_iz00_2301 = BgL_lenxzd2minuszd21z00_2298;
					BgL_zc3z04anonymousza31972ze3z87_2302:
						if ((((long) 0) < BgL_iz00_2301))
							{	/* Unsafe/bignumber.scm 1132 */
								if (
									(BgL_nz00_2300 <
										BGl_bignumzd2minzd2int64zd2divzd2radixz00zz__bignumz00()))
									{	/* Unsafe/bignumber.scm 1133 */
										BgL_tmpz00_8084 = BFALSE;
									}
								else
									{	/* Unsafe/bignumber.scm 1135 */
										int64_t BgL_mz00_2306;
										int64_t BgL_dz00_2307;

										BgL_mz00_2306 =
											(BgL_nz00_2300 *
											BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t) (2),
												(int64_t) (((long) 30))));
										{	/* Unsafe/bignumber.scm 1136 */
											long BgL_arg1984z00_2316;

											{	/* Unsafe/bignumber.scm 1136 */
												int BgL_iz00_5213;

												BgL_iz00_5213 = (int) (BgL_iz00_2301);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1241z00_5214;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1242z00_5215;

														BgL_arg1242z00_5215 =
															BGL_BIGNUM_U16VECT(BgL_xz00_103);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_8095;

															BgL_tmpz00_8095 = (long) (BgL_iz00_5213);
															BgL_arg1241z00_5214 =
																BGL_U16VREF(BgL_arg1242z00_5215,
																BgL_tmpz00_8095);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2271z00_5217;

														BgL_arg2271z00_5217 = (long) (BgL_arg1241z00_5214);
														BgL_arg1984z00_2316 = (long) (BgL_arg2271z00_5217);
											}}}
											BgL_dz00_2307 = (int64_t) (BgL_arg1984z00_2316);
										}
										if (
											(BgL_mz00_2306 <
												(((int64_t) (-2) *
														BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t)
															(2), (int64_t) (((long) 30)))) + BgL_dz00_2307)))
											{	/* Unsafe/bignumber.scm 1137 */
												BgL_tmpz00_8084 = BFALSE;
											}
										else
											{
												long BgL_iz00_8109;
												int64_t BgL_nz00_8107;

												BgL_nz00_8107 = (BgL_mz00_2306 - BgL_dz00_2307);
												BgL_iz00_8109 = (BgL_iz00_2301 - ((long) 1));
												BgL_iz00_2301 = BgL_iz00_8109;
												BgL_nz00_2300 = BgL_nz00_8107;
												goto BgL_zc3z04anonymousza31972ze3z87_2302;
											}
									}
							}
						else
							{	/* Unsafe/bignumber.scm 1141 */
								bool_t BgL_test2855z00_8111;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_5230;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1228z00_5232;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1235z00_5233;

											BgL_arg1235z00_5233 = BGL_BIGNUM_U16VECT(BgL_xz00_103);
											BgL_arg1228z00_5232 =
												BGL_U16VREF(BgL_arg1235z00_5233, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2271z00_5235;

											BgL_arg2271z00_5235 = (long) (BgL_arg1228z00_5232);
											BgL_arg1427z00_5230 = (long) (BgL_arg2271z00_5235);
									}}
									BgL_test2855z00_8111 = (BgL_arg1427z00_5230 == ((long) 0));
								}
								if (BgL_test2855z00_8111)
									{	/* Unsafe/bignumber.scm 1141 */
										BgL_tmpz00_8084 = BGL_INT64_TO_BINT64(BgL_nz00_2300);
									}
								else
									{	/* Unsafe/bignumber.scm 1143 */
										bool_t BgL_test2856z00_8118;

										{	/* Unsafe/bignumber.scm 1143 */
											int64_t BgL_arg1989z00_2321;

											BgL_arg1989z00_2321 =
												((int64_t) (-2) *
												BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t)
													(2), (int64_t) (((long) 30))));
											BgL_test2856z00_8118 =
												(BgL_nz00_2300 == BgL_arg1989z00_2321);
										}
										if (BgL_test2856z00_8118)
											{	/* Unsafe/bignumber.scm 1143 */
												BgL_tmpz00_8084 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1144 */
												int64_t BgL_tmpz00_8123;

												BgL_tmpz00_8123 =
													((int64_t) (((BGL_LONGLONG_T) 0)) - BgL_nz00_2300);
												BgL_tmpz00_8084 = BGL_INT64_TO_BINT64(BgL_tmpz00_8123);
											}
									}
							}
						return BGL_BINT64_TO_INT64(BgL_tmpz00_8084);
					}
				}
			}
		}

	}



/* &$$bignum->int64 */
	obj_t BGl_z62z42z42bignumzd2ze3int64z53zz__bignumz00(obj_t BgL_envz00_5564,
		obj_t BgL_xz00_5565)
	{
		{	/* Unsafe/bignumber.scm 1129 */
			{	/* Unsafe/bignumber.scm 1130 */
				int64_t BgL_tmpz00_8128;

				{	/* Unsafe/bignumber.scm 1130 */
					obj_t BgL_auxz00_8129;

					if (BIGNUMP(BgL_xz00_5565))
						{	/* Unsafe/bignumber.scm 1130 */
							BgL_auxz00_8129 = BgL_xz00_5565;
						}
					else
						{
							obj_t BgL_auxz00_8132;

							BgL_auxz00_8132 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 36331)), BGl_string2518z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5565);
							FAILURE(BgL_auxz00_8132, BFALSE, BFALSE);
						}
					BgL_tmpz00_8128 = bgl_bignum_to_int64(BgL_auxz00_8129);
				}
				return BGL_INT64_TO_BINT64(BgL_tmpz00_8128);
			}
		}

	}



/* $$bignum->uint64 */
	BGL_EXPORTED_DEF uint64_t bgl_bignum_to_uint64(obj_t BgL_xz00_104)
	{
		{	/* Unsafe/bignumber.scm 1148 */
			{	/* Unsafe/bignumber.scm 1149 */
				int64_t BgL_tmpz00_8138;

				BgL_tmpz00_8138 = bgl_bignum_to_int64(BgL_xz00_104);
				return (uint64_t) (BgL_tmpz00_8138);
			}
		}

	}



/* &$$bignum->uint64 */
	obj_t BGl_z62z42z42bignumzd2ze3uint64z53zz__bignumz00(obj_t BgL_envz00_5566,
		obj_t BgL_xz00_5567)
	{
		{	/* Unsafe/bignumber.scm 1148 */
			{	/* Unsafe/bignumber.scm 1149 */
				uint64_t BgL_tmpz00_8141;

				{	/* Unsafe/bignumber.scm 1149 */
					obj_t BgL_auxz00_8142;

					if (BIGNUMP(BgL_xz00_5567))
						{	/* Unsafe/bignumber.scm 1149 */
							BgL_auxz00_8142 = BgL_xz00_5567;
						}
					else
						{
							obj_t BgL_auxz00_8145;

							BgL_auxz00_8145 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 36896)), BGl_string2519z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_xz00_5567);
							FAILURE(BgL_auxz00_8145, BFALSE, BFALSE);
						}
					BgL_tmpz00_8141 = bgl_bignum_to_uint64(BgL_auxz00_8142);
				}
				return BGL_UINT64_TO_BUINT64(BgL_tmpz00_8141);
			}
		}

	}



/* $$seed-rand */
	BGL_EXPORTED_DEF obj_t bgl_seed_rand(long BgL_seedz00_105)
	{
		{	/* Unsafe/bignumber.scm 1154 */
			{	/* Unsafe/bignumber.scm 1155 */
				int BgL_tmpz00_8151;

				BgL_tmpz00_8151 = (int) (BgL_seedz00_105);
				srand(BgL_tmpz00_8151);
			} BUNSPEC;
			return BINT(BgL_seedz00_105);
		}

	}



/* &$$seed-rand */
	obj_t BGl_z62z42z42seedzd2randzb0zz__bignumz00(obj_t BgL_envz00_5568,
		obj_t BgL_seedz00_5569)
	{
		{	/* Unsafe/bignumber.scm 1154 */
			{	/* Unsafe/bignumber.scm 1155 */
				long BgL_auxz00_8155;

				{	/* Unsafe/bignumber.scm 1155 */
					obj_t BgL_tmpz00_8156;

					if (INTEGERP(BgL_seedz00_5569))
						{	/* Unsafe/bignumber.scm 1155 */
							BgL_tmpz00_8156 = BgL_seedz00_5569;
						}
					else
						{
							obj_t BgL_auxz00_8159;

							BgL_auxz00_8159 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 37183)), BGl_string2520z00zz__bignumz00,
								BGl_string2475z00zz__bignumz00, BgL_seedz00_5569);
							FAILURE(BgL_auxz00_8159, BFALSE, BFALSE);
						}
					BgL_auxz00_8155 = (long) CINT(BgL_tmpz00_8156);
				}
				return bgl_seed_rand(BgL_auxz00_8155);
			}
		}

	}



/* make-random-u8vector */
	obj_t BGl_makezd2randomzd2u8vectorz00zz__bignumz00(obj_t BgL_lenz00_106)
	{
		{	/* Unsafe/bignumber.scm 1161 */
			{
				obj_t BgL_vecz00_2329;

				{	/* Unsafe/bignumber.scm 1169 */
					obj_t BgL_arg1992z00_2326;

					{	/* Llib/srfi4.scm 447 */

						BgL_arg1992z00_2326 =
							BGl_makezd2u8vectorzd2zz__srfi4z00(
							(long) CINT(BgL_lenz00_106), (uint8_t) (0));
					}
					BgL_vecz00_2329 = BgL_arg1992z00_2326;
					{	/* Unsafe/bignumber.scm 1163 */
						long BgL_g1068z00_2331;

						{	/* Unsafe/bignumber.scm 1163 */
							long BgL_arg1999z00_2339;

							BgL_arg1999z00_2339 = BGL_HVECTOR_LENGTH(BgL_vecz00_2329);
							BgL_g1068z00_2331 = (BgL_arg1999z00_2339 - ((long) 1));
						}
						{
							long BgL_iz00_2333;

							BgL_iz00_2333 = BgL_g1068z00_2331;
						BgL_zc3z04anonymousza31995ze3z87_2334:
							if ((BgL_iz00_2333 == ((long) -1)))
								{	/* Unsafe/bignumber.scm 1164 */
									return BgL_vecz00_2329;
								}
							else
								{	/* Unsafe/bignumber.scm 1164 */
									{	/* Unsafe/bignumber.scm 1167 */
										long BgL_arg1997z00_2336;

										{	/* Unsafe/bignumber.scm 1167 */
											int BgL_arg2163z00_5251;

											BgL_arg2163z00_5251 = rand();
											BgL_arg1997z00_2336 =
												BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
												(long) (BgL_arg2163z00_5251), ((long) 256));
										}
										{	/* Unsafe/bignumber.scm 1167 */
											uint8_t BgL_tmpz00_8174;

											BgL_tmpz00_8174 = (uint8_t) (BgL_arg1997z00_2336);
											BGL_U8VSET(BgL_vecz00_2329, BgL_iz00_2333,
												BgL_tmpz00_8174);
										} BUNSPEC;
									}
									{
										long BgL_iz00_8177;

										BgL_iz00_8177 = (BgL_iz00_2333 - ((long) 1));
										BgL_iz00_2333 = BgL_iz00_8177;
										goto BgL_zc3z04anonymousza31995ze3z87_2334;
									}
								}
						}
					}
				}
			}
		}

	}



/* $$randbx */
	BGL_EXPORTED_DEF obj_t bgl_rand_bignum(obj_t BgL_rangez00_107)
	{
		{	/* Unsafe/bignumber.scm 1174 */
			{	/* Unsafe/bignumber.scm 1175 */
				long BgL_rangezd2bitszd2_2341;

				BgL_rangezd2bitszd2_2341 =
					BGl_bignumzd2integerzd2lengthz00zz__bignumz00(BgL_rangez00_107);
				{	/* Unsafe/bignumber.scm 1175 */
					obj_t BgL_lenz00_2342;

					{	/* Unsafe/bignumber.scm 1176 */
						long BgL_arg2005z00_2355;

						BgL_arg2005z00_2355 = (BgL_rangezd2bitszd2_2341 + ((long) 20));
						BgL_lenz00_2342 =
							BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(BINT
							(BgL_arg2005z00_2355), BINT(((long) 8)));
					}
					{	/* Unsafe/bignumber.scm 1176 */
						obj_t BgL_nz00_2343;

						BgL_nz00_2343 =
							BGl_bignumzd2exptzd2zz__bignumz00(bgl_long_to_bignum(((long)
									256)), bgl_long_to_bignum((long) CINT(BgL_lenz00_2342)));
						{	/* Unsafe/bignumber.scm 1177 */
							obj_t BgL_divisorz00_2344;

							{	/* Unsafe/bignumber.scm 1178 */
								obj_t BgL_res2356z00_5260;

								{	/* Unsafe/bignumber.scm 859 */
									obj_t BgL_arg1757z00_5257;

									{	/* Unsafe/bignumber.scm 859 */
										obj_t BgL_arg1758z00_5258;

										BgL_arg1758z00_5258 =
											BGl_bignumzd2divzd2zz__bignumz00(BgL_nz00_2343,
											BgL_rangez00_107);
										BgL_arg1757z00_5257 = CAR(((obj_t) BgL_arg1758z00_5258));
									}
									BgL_res2356z00_5260 = BgL_arg1757z00_5257;
								}
								BgL_divisorz00_2344 = BgL_res2356z00_5260;
							}
							{	/* Unsafe/bignumber.scm 1178 */
								obj_t BgL_limitz00_2345;

								BgL_limitz00_2345 =
									bgl_bignum_mul(BgL_divisorz00_2344, BgL_rangez00_107);
								{	/* Unsafe/bignumber.scm 1179 */

									{

									BgL_zc3z04anonymousza32000ze3z87_2347:
										{	/* Unsafe/bignumber.scm 1181 */
											obj_t BgL_u8vectz00_2348;

											BgL_u8vectz00_2348 =
												BGl_makezd2randomzd2u8vectorz00zz__bignumz00
												(BgL_lenz00_2342);
											{	/* Unsafe/bignumber.scm 1181 */
												obj_t BgL_xz00_2349;

												BgL_xz00_2349 =
													BGl_fixnumzd2listzd2ze3bignumze3zz__bignumz00
													(BGl_u8vectorzd2ze3listz31zz__srfi4z00
													(BgL_u8vectz00_2348), ((long) 255));
												{	/* Unsafe/bignumber.scm 1182 */

													{	/* Unsafe/bignumber.scm 1183 */
														bool_t BgL_test2861z00_8195;

														if (BGl_z42zc3bxz81zz__bignumz00(BgL_xz00_2349,
																BgL_limitz00_2345))
															{	/* Unsafe/bignumber.scm 465 */
																BgL_test2861z00_8195 = ((bool_t) 0);
															}
														else
															{	/* Unsafe/bignumber.scm 465 */
																BgL_test2861z00_8195 = ((bool_t) 1);
															}
														if (BgL_test2861z00_8195)
															{	/* Unsafe/bignumber.scm 1183 */
																goto BgL_zc3z04anonymousza32000ze3z87_2347;
															}
														else
															{	/* Unsafe/bignumber.scm 1185 */
																obj_t BgL_res2357z00_5269;

																{	/* Unsafe/bignumber.scm 859 */
																	obj_t BgL_arg1757z00_5266;

																	{	/* Unsafe/bignumber.scm 859 */
																		obj_t BgL_arg1758z00_5267;

																		BgL_arg1758z00_5267 =
																			BGl_bignumzd2divzd2zz__bignumz00
																			(BgL_xz00_2349, BgL_divisorz00_2344);
																		BgL_arg1757z00_5266 =
																			CAR(((obj_t) BgL_arg1758z00_5267));
																	}
																	BgL_res2357z00_5269 = BgL_arg1757z00_5266;
																}
																return BgL_res2357z00_5269;
															}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &$$randbx */
	obj_t BGl_z62z42z42randbxz62zz__bignumz00(obj_t BgL_envz00_5570,
		obj_t BgL_rangez00_5571)
	{
		{	/* Unsafe/bignumber.scm 1174 */
			{	/* Unsafe/bignumber.scm 1175 */
				obj_t BgL_auxz00_8201;

				if (BIGNUMP(BgL_rangez00_5571))
					{	/* Unsafe/bignumber.scm 1175 */
						BgL_auxz00_8201 = BgL_rangez00_5571;
					}
				else
					{
						obj_t BgL_auxz00_8204;

						BgL_auxz00_8204 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 37950)), BGl_string2521z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_rangez00_5571);
						FAILURE(BgL_auxz00_8204, BFALSE, BFALSE);
					}
				return bgl_rand_bignum(BgL_auxz00_8201);
			}
		}

	}



/* $$flonum->bignum */
	BGL_EXPORTED_DEF obj_t bgl_flonum_to_bignum(double BgL_nz00_108)
	{
		{	/* Unsafe/bignumber.scm 1190 */
			{	/* Unsafe/bignumber.scm 1191 */
				long BgL_arg2006z00_5270;

				BgL_arg2006z00_5270 = (long) (BgL_nz00_108);
				return bgl_long_to_bignum(BgL_arg2006z00_5270);
			}
		}

	}



/* &$$flonum->bignum */
	obj_t BGl_z62z42z42flonumzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5572,
		obj_t BgL_nz00_5573)
	{
		{	/* Unsafe/bignumber.scm 1190 */
			{	/* Unsafe/bignumber.scm 1191 */
				double BgL_auxz00_8211;

				{	/* Unsafe/bignumber.scm 1191 */
					obj_t BgL_tmpz00_8212;

					if (REALP(BgL_nz00_5573))
						{	/* Unsafe/bignumber.scm 1191 */
							BgL_tmpz00_8212 = BgL_nz00_5573;
						}
					else
						{
							obj_t BgL_auxz00_8215;

							BgL_auxz00_8215 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 38631)), BGl_string2522z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_nz00_5573);
							FAILURE(BgL_auxz00_8215, BFALSE, BFALSE);
						}
					BgL_auxz00_8211 = REAL_TO_DOUBLE(BgL_tmpz00_8212);
				}
				return bgl_flonum_to_bignum(BgL_auxz00_8211);
			}
		}

	}



/* $$bignum->flonum */
	BGL_EXPORTED_DEF double bgl_bignum_to_flonum(obj_t BgL_nz00_109)
	{
		{	/* Unsafe/bignumber.scm 1193 */
			{	/* Unsafe/bignumber.scm 1194 */
				long BgL_tmpz00_8221;

				BgL_tmpz00_8221 = bgl_bignum_to_long(BgL_nz00_109);
				return (double) (BgL_tmpz00_8221);
		}}

	}



/* &$$bignum->flonum */
	obj_t BGl_z62z42z42bignumzd2ze3flonumz53zz__bignumz00(obj_t BgL_envz00_5574,
		obj_t BgL_nz00_5575)
	{
		{	/* Unsafe/bignumber.scm 1193 */
			{	/* Unsafe/bignumber.scm 1194 */
				double BgL_tmpz00_8224;

				{	/* Unsafe/bignumber.scm 1194 */
					obj_t BgL_auxz00_8225;

					if (BIGNUMP(BgL_nz00_5575))
						{	/* Unsafe/bignumber.scm 1194 */
							BgL_auxz00_8225 = BgL_nz00_5575;
						}
					else
						{
							obj_t BgL_auxz00_8228;

							BgL_auxz00_8228 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 38703)), BGl_string2524z00zz__bignumz00,
								BGl_string2486z00zz__bignumz00, BgL_nz00_5575);
							FAILURE(BgL_auxz00_8228, BFALSE, BFALSE);
						}
					BgL_tmpz00_8224 = bgl_bignum_to_flonum(BgL_auxz00_8225);
				}
				return DOUBLE_TO_REAL(BgL_tmpz00_8224);
			}
		}

	}



/* $$bitlshbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_lsh(obj_t BgL_za7za7_110, long BgL_nz00_111)
	{
		{	/* Unsafe/bignumber.scm 1199 */
			{	/* Unsafe/bignumber.scm 1200 */
				obj_t BgL_arg2008z00_5273;

				{	/* Unsafe/bignumber.scm 1200 */
					obj_t BgL_arg2010z00_5274;
					obj_t BgL_arg2011z00_5275;

					{	/* Unsafe/bignumber.scm 1200 */
						obj_t BgL_res2358z00_5284;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2866z00_8234;

							if ((((long) 2) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2866z00_8234 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2866z00_8234 = (((long) 16) < ((long) 2));
								}
							if (BgL_test2866z00_8234)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2358z00_5284 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											2));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2358z00_5284 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 2) + ((long) 16)));
						}}
						BgL_arg2010z00_5274 = BgL_res2358z00_5284;
					}
					BgL_arg2011z00_5275 = bgl_long_to_bignum(BgL_nz00_111);
					BgL_arg2008z00_5273 =
						bgl_bignum_expt(BgL_arg2010z00_5274, BgL_arg2011z00_5275);
				}
				return bgl_bignum_mul(BgL_za7za7_110, BgL_arg2008z00_5273);
			}
		}

	}



/* &$$bitlshbx */
	obj_t BGl_z62z42z42bitlshbxz62zz__bignumz00(obj_t BgL_envz00_5576,
		obj_t BgL_za7za7_5577, obj_t BgL_nz00_5578)
	{
		{	/* Unsafe/bignumber.scm 1199 */
			{	/* Unsafe/bignumber.scm 1200 */
				long BgL_auxz00_8251;
				obj_t BgL_auxz00_8244;

				{	/* Unsafe/bignumber.scm 1200 */
					obj_t BgL_tmpz00_8252;

					if (INTEGERP(BgL_nz00_5578))
						{	/* Unsafe/bignumber.scm 1200 */
							BgL_tmpz00_8252 = BgL_nz00_5578;
						}
					else
						{
							obj_t BgL_auxz00_8255;

							BgL_auxz00_8255 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 38996)), BGl_string2525z00zz__bignumz00,
								BGl_string2475z00zz__bignumz00, BgL_nz00_5578);
							FAILURE(BgL_auxz00_8255, BFALSE, BFALSE);
						}
					BgL_auxz00_8251 = (long) CINT(BgL_tmpz00_8252);
				}
				if (BIGNUMP(BgL_za7za7_5577))
					{	/* Unsafe/bignumber.scm 1200 */
						BgL_auxz00_8244 = BgL_za7za7_5577;
					}
				else
					{
						obj_t BgL_auxz00_8247;

						BgL_auxz00_8247 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 38996)), BGl_string2525z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_za7za7_5577);
						FAILURE(BgL_auxz00_8247, BFALSE, BFALSE);
					}
				return bgl_bignum_lsh(BgL_auxz00_8244, BgL_auxz00_8251);
			}
		}

	}



/* $$bitrshbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_rsh(obj_t BgL_za7za7_112, long BgL_nz00_113)
	{
		{	/* Unsafe/bignumber.scm 1202 */
			{	/* Unsafe/bignumber.scm 1203 */
				obj_t BgL_arg2012z00_5285;

				{	/* Unsafe/bignumber.scm 1203 */
					obj_t BgL_arg2013z00_5286;
					obj_t BgL_arg2014z00_5287;

					{	/* Unsafe/bignumber.scm 1203 */
						obj_t BgL_res2359z00_5296;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2870z00_8261;

							if ((((long) 2) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2870z00_8261 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2870z00_8261 = (((long) 16) < ((long) 2));
								}
							if (BgL_test2870z00_8261)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2359z00_5296 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											2));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2359z00_5296 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 2) + ((long) 16)));
						}}
						BgL_arg2013z00_5286 = BgL_res2359z00_5296;
					}
					BgL_arg2014z00_5287 = bgl_long_to_bignum(BgL_nz00_113);
					BgL_arg2012z00_5285 =
						bgl_bignum_expt(BgL_arg2013z00_5286, BgL_arg2014z00_5287);
				}
				return
					BGl_bignumzd2divzd2zz__bignumz00(BgL_za7za7_112, BgL_arg2012z00_5285);
			}
		}

	}



/* &$$bitrshbx */
	obj_t BGl_z62z42z42bitrshbxz62zz__bignumz00(obj_t BgL_envz00_5579,
		obj_t BgL_za7za7_5580, obj_t BgL_nz00_5581)
	{
		{	/* Unsafe/bignumber.scm 1202 */
			{	/* Unsafe/bignumber.scm 1203 */
				long BgL_auxz00_8278;
				obj_t BgL_auxz00_8271;

				{	/* Unsafe/bignumber.scm 1203 */
					obj_t BgL_tmpz00_8279;

					if (INTEGERP(BgL_nz00_5581))
						{	/* Unsafe/bignumber.scm 1203 */
							BgL_tmpz00_8279 = BgL_nz00_5581;
						}
					else
						{
							obj_t BgL_auxz00_8282;

							BgL_auxz00_8282 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 39094)), BGl_string2526z00zz__bignumz00,
								BGl_string2475z00zz__bignumz00, BgL_nz00_5581);
							FAILURE(BgL_auxz00_8282, BFALSE, BFALSE);
						}
					BgL_auxz00_8278 = (long) CINT(BgL_tmpz00_8279);
				}
				if (BIGNUMP(BgL_za7za7_5580))
					{	/* Unsafe/bignumber.scm 1203 */
						BgL_auxz00_8271 = BgL_za7za7_5580;
					}
				else
					{
						obj_t BgL_auxz00_8274;

						BgL_auxz00_8274 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39094)), BGl_string2526z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_za7za7_5580);
						FAILURE(BgL_auxz00_8274, BFALSE, BFALSE);
					}
				return bgl_bignum_rsh(BgL_auxz00_8271, BgL_auxz00_8278);
			}
		}

	}



/* $$bitmaskbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_mask(obj_t BgL_xz00_114, long BgL_yz00_115)
	{
		{	/* Unsafe/bignumber.scm 1205 */
			return
				BGl_errorz00zz__errorz00(BGl_string2527z00zz__bignumz00,
				BGl_string2528z00zz__bignumz00, BgL_xz00_114);
		}

	}



/* &$$bitmaskbx */
	obj_t BGl_z62z42z42bitmaskbxz62zz__bignumz00(obj_t BgL_envz00_5582,
		obj_t BgL_xz00_5583, obj_t BgL_yz00_5584)
	{
		{	/* Unsafe/bignumber.scm 1205 */
			{	/* Unsafe/bignumber.scm 1206 */
				long BgL_auxz00_8296;
				obj_t BgL_auxz00_8289;

				{	/* Unsafe/bignumber.scm 1206 */
					obj_t BgL_tmpz00_8297;

					if (INTEGERP(BgL_yz00_5584))
						{	/* Unsafe/bignumber.scm 1206 */
							BgL_tmpz00_8297 = BgL_yz00_5584;
						}
					else
						{
							obj_t BgL_auxz00_8300;

							BgL_auxz00_8300 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
								BINT(((long) 39169)), BGl_string2529z00zz__bignumz00,
								BGl_string2475z00zz__bignumz00, BgL_yz00_5584);
							FAILURE(BgL_auxz00_8300, BFALSE, BFALSE);
						}
					BgL_auxz00_8296 = (long) CINT(BgL_tmpz00_8297);
				}
				if (BIGNUMP(BgL_xz00_5583))
					{	/* Unsafe/bignumber.scm 1206 */
						BgL_auxz00_8289 = BgL_xz00_5583;
					}
				else
					{
						obj_t BgL_auxz00_8292;

						BgL_auxz00_8292 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39169)), BGl_string2529z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5583);
						FAILURE(BgL_auxz00_8292, BFALSE, BFALSE);
					}
				return bgl_bignum_mask(BgL_auxz00_8289, BgL_auxz00_8296);
			}
		}

	}



/* $$bitorbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_or(obj_t BgL_xz00_116, obj_t BgL_yz00_117)
	{
		{	/* Unsafe/bignumber.scm 1208 */
			return
				BGl_errorz00zz__errorz00(BGl_string2530z00zz__bignumz00,
				BGl_string2528z00zz__bignumz00, BgL_xz00_116);
		}

	}



/* &$$bitorbx */
	obj_t BGl_z62z42z42bitorbxz62zz__bignumz00(obj_t BgL_envz00_5585,
		obj_t BgL_xz00_5586, obj_t BgL_yz00_5587)
	{
		{	/* Unsafe/bignumber.scm 1208 */
			{	/* Unsafe/bignumber.scm 1209 */
				obj_t BgL_auxz00_8314;
				obj_t BgL_auxz00_8307;

				if (BIGNUMP(BgL_yz00_5587))
					{	/* Unsafe/bignumber.scm 1209 */
						BgL_auxz00_8314 = BgL_yz00_5587;
					}
				else
					{
						obj_t BgL_auxz00_8317;

						BgL_auxz00_8317 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39238)), BGl_string2531z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5587);
						FAILURE(BgL_auxz00_8317, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5586))
					{	/* Unsafe/bignumber.scm 1209 */
						BgL_auxz00_8307 = BgL_xz00_5586;
					}
				else
					{
						obj_t BgL_auxz00_8310;

						BgL_auxz00_8310 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39238)), BGl_string2531z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5586);
						FAILURE(BgL_auxz00_8310, BFALSE, BFALSE);
					}
				return bgl_bignum_or(BgL_auxz00_8307, BgL_auxz00_8314);
			}
		}

	}



/* $$bitxorbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_xor(obj_t BgL_xz00_118, obj_t BgL_yz00_119)
	{
		{	/* Unsafe/bignumber.scm 1211 */
			return
				BGl_errorz00zz__errorz00(BGl_string2532z00zz__bignumz00,
				BGl_string2528z00zz__bignumz00, BgL_xz00_118);
		}

	}



/* &$$bitxorbx */
	obj_t BGl_z62z42z42bitxorbxz62zz__bignumz00(obj_t BgL_envz00_5588,
		obj_t BgL_xz00_5589, obj_t BgL_yz00_5590)
	{
		{	/* Unsafe/bignumber.scm 1211 */
			{	/* Unsafe/bignumber.scm 1212 */
				obj_t BgL_auxz00_8330;
				obj_t BgL_auxz00_8323;

				if (BIGNUMP(BgL_yz00_5590))
					{	/* Unsafe/bignumber.scm 1212 */
						BgL_auxz00_8330 = BgL_yz00_5590;
					}
				else
					{
						obj_t BgL_auxz00_8333;

						BgL_auxz00_8333 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39306)), BGl_string2533z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5590);
						FAILURE(BgL_auxz00_8333, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5589))
					{	/* Unsafe/bignumber.scm 1212 */
						BgL_auxz00_8323 = BgL_xz00_5589;
					}
				else
					{
						obj_t BgL_auxz00_8326;

						BgL_auxz00_8326 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39306)), BGl_string2533z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5589);
						FAILURE(BgL_auxz00_8326, BFALSE, BFALSE);
					}
				return bgl_bignum_xor(BgL_auxz00_8323, BgL_auxz00_8330);
			}
		}

	}



/* $$bitandbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_and(obj_t BgL_xz00_120, obj_t BgL_yz00_121)
	{
		{	/* Unsafe/bignumber.scm 1214 */
			return
				BGl_errorz00zz__errorz00(BGl_string2534z00zz__bignumz00,
				BGl_string2528z00zz__bignumz00, BgL_xz00_120);
		}

	}



/* &$$bitandbx */
	obj_t BGl_z62z42z42bitandbxz62zz__bignumz00(obj_t BgL_envz00_5591,
		obj_t BgL_xz00_5592, obj_t BgL_yz00_5593)
	{
		{	/* Unsafe/bignumber.scm 1214 */
			{	/* Unsafe/bignumber.scm 1215 */
				obj_t BgL_auxz00_8346;
				obj_t BgL_auxz00_8339;

				if (BIGNUMP(BgL_yz00_5593))
					{	/* Unsafe/bignumber.scm 1215 */
						BgL_auxz00_8346 = BgL_yz00_5593;
					}
				else
					{
						obj_t BgL_auxz00_8349;

						BgL_auxz00_8349 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39375)), BGl_string2535z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_yz00_5593);
						FAILURE(BgL_auxz00_8349, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5592))
					{	/* Unsafe/bignumber.scm 1215 */
						BgL_auxz00_8339 = BgL_xz00_5592;
					}
				else
					{
						obj_t BgL_auxz00_8342;

						BgL_auxz00_8342 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39375)), BGl_string2535z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5592);
						FAILURE(BgL_auxz00_8342, BFALSE, BFALSE);
					}
				return bgl_bignum_and(BgL_auxz00_8339, BgL_auxz00_8346);
			}
		}

	}



/* $$bitnotbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_not(obj_t BgL_xz00_122)
	{
		{	/* Unsafe/bignumber.scm 1217 */
			return
				BGl_errorz00zz__errorz00(BGl_string2536z00zz__bignumz00,
				BGl_string2528z00zz__bignumz00, BgL_xz00_122);
		}

	}



/* &$$bitnotbx */
	obj_t BGl_z62z42z42bitnotbxz62zz__bignumz00(obj_t BgL_envz00_5594,
		obj_t BgL_xz00_5595)
	{
		{	/* Unsafe/bignumber.scm 1217 */
			{	/* Unsafe/bignumber.scm 1218 */
				obj_t BgL_auxz00_8355;

				if (BIGNUMP(BgL_xz00_5595))
					{	/* Unsafe/bignumber.scm 1218 */
						BgL_auxz00_8355 = BgL_xz00_5595;
					}
				else
					{
						obj_t BgL_auxz00_8358;

						BgL_auxz00_8358 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2472z00zz__bignumz00,
							BINT(((long) 39442)), BGl_string2537z00zz__bignumz00,
							BGl_string2486z00zz__bignumz00, BgL_xz00_5595);
						FAILURE(BgL_auxz00_8358, BFALSE, BFALSE);
					}
				return bgl_bignum_not(BgL_auxz00_8355);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 45 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 45 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 45 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__bignumz00(void)
	{
		{	/* Unsafe/bignumber.scm 45 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string2538z00zz__bignumz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string2538z00zz__bignumz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string2538z00zz__bignumz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2538z00zz__bignumz00));
		}

	}

#ifdef __cplusplus
}
#endif
#endif
